// AUTOGENERATED FILE
// +build !syz_target syz_target,syz_os_linux,syz_arch_arm64

package gen

import . "github.com/google/syzkaller/prog"
import . "github.com/google/syzkaller/sys/linux"

func init() {
	RegisterTarget(&Target{OS: "linux", Arch: "arm64", Revision: revision_arm64, PtrSize: 8, PageSize: 4096, NumPages: 4096, DataOffset: 536870912, Syscalls: syscalls_arm64, Resources: resources_arm64, Structs: structDescs_arm64, Consts: consts_arm64}, InitTarget)
}

var resources_arm64 = []*ResourceDesc{
	{Name: "assoc_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"assoc_id"}, Values: []uint64{0}},
	{Name: "binder_ptr", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: []string{"binder_ptr"}, Values: []uint64{0}},
	{Name: "bpf_map_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"bpf_map_id"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "bpf_prog_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"bpf_prog_id"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "drm_agp_handle", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"drm_agp_handle"}, Values: []uint64{0}},
	{Name: "drm_gem_handle", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"drm_gem_handle"}, Values: []uint64{0}},
	{Name: "drm_gem_name", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"drm_gem_name"}, Values: []uint64{0}},
	{Name: "drmctx", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"drmctx"}, Values: []uint64{0}},
	{Name: "fd", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_ashmem", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_ashmem"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_binder", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_binder"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_block", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace", "fd_block"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_block_trace", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_bpf_map", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_bpf_map"}, Values: []uint64{18446744073709551615, 18446744073709551516, 1}},
	{Name: "fd_bpf_prog", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_bpf_prog"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cdrom", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cdrom"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cgroup", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cgroup"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cgroup_int", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cgroup_int"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cgroup_pid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cgroup_pid"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cgroup_subtree", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cgroup_subtree"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_cgroup_type", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_cgroup_type"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_dir", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_dir"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_dma_buf", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_dma_buf"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_dmabuf", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_dmabuf"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_dri", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_dri"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_epoll", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_epoll"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_evdev", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_evdev"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_event", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_event"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_fanotify", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_fanotify"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_fuse", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_fuse"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_i2c", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_i2c"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_inotify", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_inotify"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_ion", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_ion"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_kvm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_kvm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_kvmcpu", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_kvmcpu"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_kvmdev", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_kvmdev"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_kvmvm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_kvmvm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_loop", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace", "fd_block", "fd_loop"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_loop_ctrl", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_loop_ctrl"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_loop_num", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"fd_loop_num"}, Values: []uint64{0, 1, 2, 10, 11, 12}},
	{Name: "fd_midi", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_midi"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_mq", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_mq"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_namespace", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_namespace"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_ndb", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace", "fd_block", "fd_ndb"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_perf", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_perf"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_random", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_random"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_rdma_cm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_rdma_cm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_rtc", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_rtc"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_access", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_access"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_context", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_context"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_create", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_create"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_load", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_load"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_user", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_user"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_selinux_validatetrans", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_selinux_validatetrans"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_sg", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace", "fd_sg"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_signal", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_signal"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_sndctrl", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_sndctrl"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_sndseq", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_sndseq"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_sndtimer", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_sndtimer"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_sr", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_block_trace", "fd_block", "fd_sr"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_timer", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_timer"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_tlk", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_tlk"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_tty", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_tty"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_tun", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_tun"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_uffd", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_uffd"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_uhid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_uhid"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_uinput", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_uinput"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_v4l2_buffer", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_v4l2_buffer"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_vhost", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_vhost"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "fd_video", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_video"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "genl_fou_family_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: []string{"genl_fou_family_id"}, Values: []uint64{0}},
	{Name: "genl_ipvs_family_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: []string{"genl_ipvs_family_id"}, Values: []uint64{0}},
	{Name: "genl_team_family_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: []string{"genl_team_family_id"}, Values: []uint64{0}},
	{Name: "gid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"gid"}, Values: []uint64{0, 18446744073709551615, 60928, 60929}},
	{Name: "ifindex", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ifindex"}, Values: []uint64{0}},
	{Name: "ifindex_team", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ifindex", "ifindex_team"}, Values: []uint64{0}},
	{Name: "ifindex_vcan", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ifindex", "ifindex_vcan"}, Values: []uint64{0}},
	{Name: "inotifydesc", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"inotifydesc"}, Values: []uint64{0}},
	{Name: "io_ctx", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"io_ctx"}, Values: []uint64{0}},
	{Name: "ipc", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ipc"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "ipc_msq", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ipc", "ipc_msq"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "ipc_sem", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ipc", "ipc_sem"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "ipc_shm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"ipc", "ipc_shm"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "key", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"key"}, Values: []uint64{0}},
	{Name: "keyring", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"key", "keyring"}, Values: []uint64{0, 18446744073709551615, 18446744073709551614, 18446744073709551613, 18446744073709551612, 18446744073709551611, 18446744073709551610, 18446744073709551609, 18446744073709551608}},
	{Name: "pid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"pid"}, Values: []uint64{0, 18446744073709551615}},
	{Name: "pkey", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"pkey"}, Values: []uint64{18446744073709551615}},
	{Name: "rdma_cm_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"rdma_cm_id"}, Values: []uint64{18446744073709551615}},
	{Name: "rdma_cm_mcast_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"rdma_cm_mcast_id"}, Values: []uint64{18446744073709551615}},
	{Name: "rfd9p", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "rfd9p"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "shmaddr", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"shmaddr"}, Values: []uint64{0}},
	{Name: "sock", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_alg", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_alg"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_algconn", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_algconn"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_ax25", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_ax25"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_bnep", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_bnep"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_cmtp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_cmtp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_hci", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_hci"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_hidp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_hidp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_l2cap", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_l2cap"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_rfcomm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_rfcomm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_bt_sco", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_bt", "sock_bt_sco"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_can", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_can"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_can_bcm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_can", "sock_can_bcm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_can_raw", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_can", "sock_can_raw"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_dccp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in", "sock_dccp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_dccp6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6", "sock_dccp6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_icmp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in", "sock_icmp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_icmp6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6", "sock_icmp6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_in", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_in6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_ipx", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_ipx"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_kcm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_kcm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_key", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_key"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_l2tp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_pppox", "sock_l2tp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_llc", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_llc"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_netlink", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_netrom", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netrom"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nfc_llcp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_nfc_llcp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nfc_raw", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_nfc_raw"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nl_crypto", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink", "sock_nl_crypto"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nl_generic", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink", "sock_nl_generic"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nl_netfilter", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink", "sock_nl_netfilter"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nl_route", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink", "sock_nl_route"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_nl_xfrm", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_netlink", "sock_nl_xfrm"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_packet", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_packet"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_pppoe", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_pppox", "sock_pppoe"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_pppox", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_pppox"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_pptp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_pppox", "sock_pptp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_rds", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_rds"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_sctp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in", "sock_sctp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_sctp6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6", "sock_sctp6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_tcp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in", "sock_tcp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_tcp6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6", "sock_tcp6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_udp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in", "sock_udp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_udp6", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_in6", "sock_udp6"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_unix", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_unix"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_vsock", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_vsock"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_vsock_dgram", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_vsock", "sock_vsock_dgram"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_vsock_stream", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_vsock", "sock_vsock_stream"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "sock_xdp", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "sock", "sock_xdp"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "tcp_seq_num", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"tcp_seq_num"}, Values: []uint64{1094861636}},
	{Name: "te_session_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"te_session_id"}, Values: []uint64{0}},
	{Name: "time_nsec", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"time_nsec"}, Values: []uint64{0}},
	{Name: "time_sec", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"time_sec"}, Values: []uint64{0}},
	{Name: "time_usec", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"time_usec"}, Values: []uint64{0}},
	{Name: "timerid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"timerid"}, Values: []uint64{0}},
	{Name: "uid", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"uid"}, Values: []uint64{0, 18446744073709551615, 60928, 60929}},
	{Name: "user_key", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"key", "user_key"}, Values: []uint64{0}},
	{Name: "v4l2_std_id", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: []string{"v4l2_std_id"}, Values: []uint64{0}},
	{Name: "vhost_net", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_vhost", "vhost_net"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "vhost_vsock", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "fd_vhost", "vhost_vsock"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
	{Name: "wfd9p", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: []string{"fd", "wfd9p"}, Values: []uint64{18446744073709551615, 18446744073709551516}},
}

var structDescs_arm64 = []*KeyedStruct{
	{Key: StructKey{Name: "action_dump_flags"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "action_dump_flags", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROOT_FLAGS, int16], nla_bitfield32]"}, FldName: "TCA_ROOT_FLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROOT_TIME_DELTA, int16], int32]"}, FldName: "TCA_ROOT_TIME_DELTA"},
	}}},
	{Key: StructKey{Name: "action_dump_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "action_dump_policy", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "action_gd_policy"}, FldName: "action_gd"},
		&UnionType{Key: StructKey{Name: "action_dump_flags"}, FldName: "action_dump_flags"},
	}}},
	{Key: StructKey{Name: "action_gd_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "action_gd_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_TAB, int16], array[nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]]]"}, FldName: "TCA_ACT_TAB"},
	}}},
	{Key: StructKey{Name: "alg_aead_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "alg_aead_name", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "alg_blkcipher_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "alg_blkcipher_name", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "alg_compress_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "alg_compress_name", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, SubKind: "alg_compress_names", Values: []string{"deflate\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lzs\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lzjh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "alg_hash_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "alg_hash_name", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "alg_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "alg_name", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "arp_ether_ipv4_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arp_ether_ipv4_packet", TypeSize: 28}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "htype", TypeSize: 2}, ArgFormat: 1}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ptype", TypeSize: 2}, ArgFormat: 1}, Val: 2048},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hlen", TypeSize: 1}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "plen", TypeSize: 1}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_ops", FldName: "op", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 8, 9, 10}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sha"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "spa"},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "tha"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "tpa"},
	}}},
	{Key: StructKey{Name: "arp_ether_ipv6_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arp_ether_ipv6_packet", TypeSize: 52}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "htype", TypeSize: 2}, ArgFormat: 1}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ptype", TypeSize: 2}, ArgFormat: 1}, Val: 34525},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hlen", TypeSize: 1}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "plen", TypeSize: 1}}, Val: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_ops", FldName: "op", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 8, 9, 10}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sha"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "spa"},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "tha"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "tpa"},
	}}},
	{Key: StructKey{Name: "arp_generic_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arp_generic_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_htypes", FldName: "htype", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 65535, 65534}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "ptype", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hlen", TypeSize: 1}}, Val: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "plen", TypeSize: 1}}, Buf: "spa"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_ops", FldName: "op", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 8, 9, 10}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sha"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "spa", IsVarlen: true}, Kind: 1, RangeEnd: 16},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "tha"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tpa", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "arp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arp_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "arp_generic_packet"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "arp_ether_ipv4_packet"}, FldName: "ether_ipv4"},
		&StructType{Key: StructKey{Name: "arp_ether_ipv6_packet"}, FldName: "ether_ipv6"},
	}}},
	{Key: StructKey{Name: "arpreq_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpreq_in", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "arp_pa"},
		&StructType{Key: StructKey{Name: "sockaddr_ethernet"}, FldName: "arp_ha"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_flags", FldName: "arp_flags", TypeSize: 4}}, Vals: []uint64{2, 4, 8, 16, 32, 64}, BitMask: true},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "arp_netmask"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "arp_dev", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "arpreq_in", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpreq_in", TypeSize: 72, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 2}, FldName: "arp_pa"},
		&StructType{Key: StructKey{Name: "sockaddr_ethernet", Dir: 2}, FldName: "arp_ha"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_flags", FldName: "arp_flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2, 4, 8, 16, 32, 64}, BitMask: true},
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 2}, FldName: "arp_netmask"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "arp_dev", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "arpt_arp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_arp", TypeSize: 210}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "src"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "dst"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "smsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "dmsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&UnionType{Key: StructKey{Name: "arpt_devaddr"}, FldName: "src_devaddr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
		&StructType{Key: StructKey{Name: "arpt_devmask"}, FldName: "src_devmask"},
		&UnionType{Key: StructKey{Name: "arpt_devaddr"}, FldName: "tgt_devaddr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
		&StructType{Key: StructKey{Name: "arpt_devmask"}, FldName: "tgt_devmask"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arpop", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arpop_mask", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arhrd", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arhrd_mask", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arpro", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "arpro_mask", TypeSize: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "iniface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "outiface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 10}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "iniface_mask"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 14}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "outiface_mask"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arpt_arp_invflags", FldName: "invflags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 10}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "arpt_arp_or_uncond"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_arp_or_uncond", TypeSize: 210}, Fields: []Type{
		&StructType{Key: StructKey{Name: "arpt_arp"}, FldName: "arp"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "uncond", TypeSize: 164}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 164, RangeEnd: 164},
	}}},
	{Key: StructKey{Name: "arpt_counters_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_counters_info", TypeSize: 104}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "num_counters", TypeSize: 4}}, Buf: "counters"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "counters", TypeSize: 64}, Type: &StructType{Key: StructKey{Name: "xt_counters"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "arpt_devaddr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_devaddr", TypeSize: 16}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "empty", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "mac"},
	}}},
	{Key: StructKey{Name: "arpt_devmask"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_devmask", TypeSize: 16}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mac", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 10}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "arpt_entry"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_entry", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "arpt_entry_matches"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "arpt_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "arpt_entry_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_entry_matches", TypeSize: 240}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "arpt_arp_or_uncond"}, FldName: "arp"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "arpt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "arpt_entry_underflow"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_entry_underflow", TypeSize: 232}, Fields: []Type{
		&StructType{Key: StructKey{Name: "arpt_entry_underflow_matches"}, FldName: "matches"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"\", const[NF_ACCEPT_VERDICT, int32], 0]"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "arpt_entry_underflow_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_entry_underflow_matches", TypeSize: 192}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "arp", TypeSize: 164}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 164, RangeEnd: 164},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "arpt_entry_underflow"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
	}}},
	{Key: StructKey{Name: "arpt_get_entries"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_get_entries", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entrytable"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entrytable", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "arpt_getinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_getinfo", TypeSize: 68}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "underflow", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "size", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "arpt_mangle"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_mangle", TypeSize: 48}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "arpt_devaddr"}, FldName: "src_devaddr"},
		&UnionType{Key: StructKey{Name: "arpt_devaddr"}, FldName: "tgt_devaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "src_ip"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "tgt_ip"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arpt_mangle_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 15}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arpt_mangle_targets", FldName: "target", TypeSize: 4}}, Vals: []uint64{0, 1, 4294967295}},
	}}},
	{Key: StructKey{Name: "arpt_replace"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_replace", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 4, RangeEnd: 4}},
		&StructType{Key: StructKey{Name: "arpt_replace_entries"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "arpt_replace_entries"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_replace_entries", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "arpt_entry"}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "arpt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "arpt_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "arpt_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xt_unspec_targets"}, FldName: "unspec"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"mangle\", arpt_mangle, 0]"}, FldName: "mangle"},
	}}},
	{Key: StructKey{Name: "ashmem_pin"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ashmem_pin", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ashmem_pin", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ashmem_pin", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "ax25_address"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ax25_address", TypeSize: 7}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ax25_call", TypeSize: 7}, Kind: 1, RangeBegin: 7, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "ax25_address", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ax25_address", TypeSize: 7, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ax25_call", TypeSize: 7, ArgDir: 1}, Kind: 1, RangeBegin: 7, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "ax25_address", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ax25_address", TypeSize: 7, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ax25_call", TypeSize: 7, ArgDir: 2}, Kind: 1, RangeBegin: 7, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "ax25_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ax25_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "bdaddr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bdaddr", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr3", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr4", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr5", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "bdaddr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bdaddr", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr1", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr2", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr3", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr4", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr5", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "bdaddr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bdaddr", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr0", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr1", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr2", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr3", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr4", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addr5", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "binder_buffer_object"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_buffer_object", TypeSize: 40}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1886661253},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "buffer", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "length", TypeSize: 8}}, BitSize: 8, Buf: "buffer"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parnt", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parent_offset", TypeSize: 8}}, Kind: 2, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "binder_cmd_acquire"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_acquire", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074029317},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ref", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_acquire_done"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_acquire_done", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074815753},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "ptr", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_clear_death"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_clear_death", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074553615},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "handle", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_dead_binder_done"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_dead_binder_done", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074291472},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_decrefs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_decrefs", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074029319},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ref", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_enter_looper"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_enter_looper", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 25356},
	}}},
	{Key: StructKey{Name: "binder_cmd_exit_looper"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_exit_looper", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 25357},
	}}},
	{Key: StructKey{Name: "binder_cmd_free_buffer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_free_buffer", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074291459},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "ptr", TypeSize: 8}},
	}}},
	{Key: StructKey{Name: "binder_cmd_increfs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_increfs", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074029316},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ref", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_increfs_done"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_increfs_done", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074815752},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "ptr", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_register_looper"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_register_looper", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 25355},
	}}},
	{Key: StructKey{Name: "binder_cmd_release"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_release", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074029318},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ref", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_reply"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_reply", TypeSize: 68}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1077961473},
		&StructType{Key: StructKey{Name: "binder_transaction_data"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "binder_cmd_reply_sg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_reply_sg", TypeSize: 76}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1078485778},
		&StructType{Key: StructKey{Name: "binder_transaction_data_sg"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "binder_cmd_request_death"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_request_death", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1074553614},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "handle", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_cmd_transaction"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_transaction", TypeSize: 68}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1077961472},
		&StructType{Key: StructKey{Name: "binder_transaction_data"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "binder_cmd_transaction_sg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_cmd_transaction_sg", TypeSize: 76}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1078485777},
		&StructType{Key: StructKey{Name: "binder_transaction_data_sg"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "binder_fd_array_object"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_fd_array_object", TypeSize: 32}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1717854597},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "num_fds", TypeSize: 8}}, Kind: 2, RangeEnd: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parnt", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parent_offset", TypeSize: 8}}, Kind: 2, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "binder_fd_object"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_fd_object", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1717840517},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "binder_node_debug_info", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_node_debug_info", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "ptr", TypeSize: 8, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cookie", TypeSize: 8, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "has_strong_ref", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "has_weak_ref", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "binder_object"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_object", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "flat_binder_object"}, FldName: "flat"},
		&StructType{Key: StructKey{Name: "binder_fd_object"}, FldName: "fd"},
		&StructType{Key: StructKey{Name: "binder_fd_array_object"}, FldName: "fda"},
		&StructType{Key: StructKey{Name: "binder_buffer_object"}, FldName: "ptr"},
	}}},
	{Key: StructKey{Name: "binder_transaction_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_transaction_data", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "handle", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "binder_transaction_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 16}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sender_pid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sender_euid", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "data_size", TypeSize: 8}}, BitSize: 8, Buf: "buffer"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "offsets_size", TypeSize: 8}}, BitSize: 8, Buf: "offsets"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "buffer", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "binder_object"}}, Kind: 1, RangeEnd: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "offsets", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "binder_buffer_offsets", TypeSize: 8}}, Vals: []uint64{0, 24, 32, 40, 48, 56, 64, 72}}}},
	}}},
	{Key: StructKey{Name: "binder_transaction_data_sg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_transaction_data_sg", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "binder_transaction_data"}, FldName: "trx"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "buffers_size", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "binder_write_cmd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_write_cmd", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "binder_cmd_transaction"}, FldName: "transaction"},
		&StructType{Key: StructKey{Name: "binder_cmd_reply"}, FldName: "reply"},
		&StructType{Key: StructKey{Name: "binder_cmd_transaction_sg"}, FldName: "transaction_sg"},
		&StructType{Key: StructKey{Name: "binder_cmd_reply_sg"}, FldName: "reply_sg"},
		&StructType{Key: StructKey{Name: "binder_cmd_free_buffer"}, FldName: "free_buffer"},
		&StructType{Key: StructKey{Name: "binder_cmd_increfs"}, FldName: "increfs"},
		&StructType{Key: StructKey{Name: "binder_cmd_acquire"}, FldName: "acquire"},
		&StructType{Key: StructKey{Name: "binder_cmd_release"}, FldName: "release"},
		&StructType{Key: StructKey{Name: "binder_cmd_decrefs"}, FldName: "decrefs"},
		&StructType{Key: StructKey{Name: "binder_cmd_increfs_done"}, FldName: "increfs_done"},
		&StructType{Key: StructKey{Name: "binder_cmd_acquire_done"}, FldName: "acquire_done"},
		&StructType{Key: StructKey{Name: "binder_cmd_register_looper"}, FldName: "register_looper"},
		&StructType{Key: StructKey{Name: "binder_cmd_enter_looper"}, FldName: "enter_looper"},
		&StructType{Key: StructKey{Name: "binder_cmd_exit_looper"}, FldName: "exit_looper"},
		&StructType{Key: StructKey{Name: "binder_cmd_request_death"}, FldName: "request_death"},
		&StructType{Key: StructKey{Name: "binder_cmd_clear_death"}, FldName: "clear_death"},
		&StructType{Key: StructKey{Name: "binder_cmd_dead_binder_done"}, FldName: "dead_binder_done"},
	}}},
	{Key: StructKey{Name: "binder_write_read"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binder_write_read", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "write_size", TypeSize: 8}}, BitSize: 8, Buf: "write_buffer"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "write_consumed", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "write_buffer", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "binder_write_cmd"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "read_size", TypeSize: 8}}, BitSize: 8, Buf: "read_buffer"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "read_consumed", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "read_buffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "binfmt_aout"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_aout", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "exec"}, FldName: "exec"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", IsVarlen: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 256}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32}, Kind: 1, RangeEnd: 10},
	}}},
	{Key: StructKey{Name: "binfmt_elf[int32, elf32_phdr, ELF32_PHDR_SIZE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_elf[int32, elf32_phdr, ELF32_PHDR_SIZE]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "elf_hdr[int32, ELF32_PHDR_SIZE]"}, FldName: "hdr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "phdr", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "elf32_phdr"}}, Kind: 1, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", IsVarlen: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 256}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32}, Kind: 1, RangeEnd: 10},
	}}},
	{Key: StructKey{Name: "binfmt_elf[int64, elf64_phdr, ELF64_PHDR_SIZE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_elf[int64, elf64_phdr, ELF64_PHDR_SIZE]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "elf_hdr[int64, ELF64_PHDR_SIZE]"}, FldName: "hdr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "phdr", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "elf64_phdr"}}, Kind: 1, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", IsVarlen: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 256}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32}, Kind: 1, RangeEnd: 10},
	}}},
	{Key: StructKey{Name: "binfmt_misc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_misc", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hdr", TypeSize: 4}, Kind: 2, SubKind: "binfmt_misc_headers", Values: []string{"syz0", "syz1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "binfmt_script"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_script", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hdr", TypeSize: 3}, Kind: 2, Values: []string{"#! "}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "bin", IsVarlen: true}, Kind: 3, NoZ: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "args", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "binfmt_script_arg"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl", TypeSize: 1}}, Val: 10},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "binfmt_script_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "binfmt_script_arg", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "arg", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "blk_user_trace_setup"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "blk_user_trace_setup", TypeSize: 72}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "act_mask", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buf_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buf_nr", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "start_lba", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "end_lba", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "blk_zone"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "blk_zone", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wp", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cond", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "non_seq", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "reset", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 36}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 36, RangeEnd: 36},
	}}},
	{Key: StructKey{Name: "blk_zone_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "blk_zone_range", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sector", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nr_sectors", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "blk_zone_report"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "blk_zone_report", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sector", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr_zones", TypeSize: 4}}, Buf: "zones"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "zones", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "blk_zone"}}},
	}}},
	{Key: StructKey{Name: "blkpg_ioctl_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "blkpg_ioctl_arg", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "op", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "datalen", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "bnep_connadd_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bnep_connadd_req", IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "sock", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "role", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "device", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "bnep_conndel_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bnep_conndel_req", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "dst"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "bnep_conninfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bnep_conninfo", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "role", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "dst"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "device", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "bnep_conninfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bnep_conninfo", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "role", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2, ArgDir: 1}}},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 1}, FldName: "dst"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "device", TypeSize: 16, ArgDir: 1}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "bnep_connlist_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bnep_connlist_req", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnum", TypeSize: 4}}, Buf: "ci"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ci", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "bnep_conninfo", Dir: 1}}}},
	}}},
	{Key: StructKey{Name: "bond_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bond_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MODE, int16], int8[0:6]]"}, FldName: "IFLA_BOND_MODE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ACTIVE_SLAVE, int16], ifindex]"}, FldName: "IFLA_BOND_ACTIVE_SLAVE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MIIMON, int16], int32]"}, FldName: "IFLA_BOND_MIIMON"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_UPDELAY, int16], int32]"}, FldName: "IFLA_BOND_UPDELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_DOWNDELAY, int16], int32]"}, FldName: "IFLA_BOND_DOWNDELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_USE_CARRIER, int16], int8]"}, FldName: "IFLA_BOND_USE_CARRIER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_INTERVAL, int16], int32]"}, FldName: "IFLA_BOND_ARP_INTERVAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_IP_TARGET, int16], array[ipv4_addr]]"}, FldName: "IFLA_BOND_ARP_IP_TARGET"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_VALIDATE, int16], int32[0:3]]"}, FldName: "IFLA_BOND_ARP_VALIDATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_ALL_TARGETS, int16], int32[0:1]]"}, FldName: "IFLA_BOND_ARP_ALL_TARGETS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PRIMARY, int16], ifindex]"}, FldName: "IFLA_BOND_PRIMARY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PRIMARY_RESELECT, int16], int8[0:2]]"}, FldName: "IFLA_BOND_PRIMARY_RESELECT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_FAIL_OVER_MAC, int16], int8[0:2]]"}, FldName: "IFLA_BOND_FAIL_OVER_MAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_XMIT_HASH_POLICY, int16], int8[0:4]]"}, FldName: "IFLA_BOND_XMIT_HASH_POLICY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_RESEND_IGMP, int16], int32]"}, FldName: "IFLA_BOND_RESEND_IGMP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_NUM_PEER_NOTIF, int16], int8]"}, FldName: "IFLA_BOND_NUM_PEER_NOTIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ALL_SLAVES_ACTIVE, int16], int8]"}, FldName: "IFLA_BOND_ALL_SLAVES_ACTIVE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MIN_LINKS, int16], int32]"}, FldName: "IFLA_BOND_MIN_LINKS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_LP_INTERVAL, int16], int32]"}, FldName: "IFLA_BOND_LP_INTERVAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PACKETS_PER_SLAVE, int16], int32]"}, FldName: "IFLA_BOND_PACKETS_PER_SLAVE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_LACP_RATE, int16], int8[0:1]]"}, FldName: "IFLA_BOND_AD_LACP_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_SELECT, int16], int8[0:2]]"}, FldName: "IFLA_BOND_AD_SELECT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYS_PRIO, int16], int16]"}, FldName: "IFLA_BOND_AD_ACTOR_SYS_PRIO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_USER_PORT_KEY, int16], int16]"}, FldName: "IFLA_BOND_AD_USER_PORT_KEY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYSTEM, int16], ipv4_addr]"}, FldName: "IFLA_BOND_AD_ACTOR_SYSTEM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_TLB_DYNAMIC_LB, int16], int8]"}, FldName: "IFLA_BOND_TLB_DYNAMIC_LB"},
	}}},
	{Key: StructKey{Name: "bond_slave_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bond_slave_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_SLAVE_QUEUE_ID, int16], int16]"}, FldName: "IFLA_BOND_SLAVE_QUEUE_ID"},
	}}},
	{Key: StructKey{Name: "bpf_attach_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_attach_arg", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "target_fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "attach_bpf_fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_attach_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_attach_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "bpf_detach_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_detach_arg", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "target", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "prog", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_attach_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_attach_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "prog2", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "bpf_framed_program"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_framed_program", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bpf_insn_init_r0"}, FldName: "initr0"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "body", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "bpf_insn"}}},
		&StructType{Key: StructKey{Name: "bpf_insn_exit"}, FldName: "exit"},
	}}},
	{Key: StructKey{Name: "bpf_get_map_info_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_get_map_info_arg", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "prog", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "info"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "info", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_info", Dir: 1}}},
	}}},
	{Key: StructKey{Name: "bpf_get_prog_info_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_get_prog_info_arg", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "prog", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "info"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "info", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_prog_info", Dir: 1}}},
	}}},
	{Key: StructKey{Name: "bpf_insn"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bpf_insn_generic"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "bpf_insn_ldst"}, FldName: "ldst"},
		&StructType{Key: StructKey{Name: "bpf_insn_alu"}, FldName: "alu"},
		&StructType{Key: StructKey{Name: "bpf_insn_jmp"}, FldName: "jmp"},
		&StructType{Key: StructKey{Name: "bpf_insn_call"}, FldName: "call"},
		&StructType{Key: StructKey{Name: "bpf_insn_exit"}, FldName: "exit"},
		&StructType{Key: StructKey{Name: "bpf_insn_init_r0"}, FldName: "initr0"},
		&StructType{Key: StructKey{Name: "bpf_insn_map"}, FldName: "map"},
	}}},
	{Key: StructKey{Name: "bpf_insn_alu"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_alu", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_alu_insn", FldName: "code_class", TypeSize: 1}, BitfieldLen: 3, BitfieldMdl: true}, Vals: []uint64{4, 7}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_s", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_alu_op", FldName: "code_op", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "dst", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "src", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_offsets", FldName: "off", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 16, 24, 32, 48, 64, 80, 128, 256, 18446744073709551615, 18446744073709551614, 18446744073709551612, 18446744073709551608, 18446744073709551604, 18446744073709551600, 18446744073709551584, 18446744073709551552}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_immediates", FldName: "imm", TypeSize: 4}}, Vals: []uint64{0, 1, 4, 8, 16, 18446744073709551615, 18446744073709551612, 18446744073709551600}},
	}}},
	{Key: StructKey{Name: "bpf_insn_call"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_call", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}, Val: 133},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "regs", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "func", TypeSize: 4}}, Kind: 2, RangeEnd: 81},
	}}},
	{Key: StructKey{Name: "bpf_insn_exit"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_exit", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}, Val: 149},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "regs", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "imm", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "bpf_insn_generic"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_generic", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "regs", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "off", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "imm", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "bpf_insn_init_r0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_init_r0", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "dst", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "imm", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "regs2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off2", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "imm2", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "bpf_insn_jmp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_jmp", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code_class", TypeSize: 1}, BitfieldLen: 3, BitfieldMdl: true}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_s", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_jmp_op", FldName: "code_op", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "dst", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "src", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_offsets", FldName: "off", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 16, 24, 32, 48, 64, 80, 128, 256, 18446744073709551615, 18446744073709551614, 18446744073709551612, 18446744073709551608, 18446744073709551604, 18446744073709551600, 18446744073709551584, 18446744073709551552}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_immediates", FldName: "imm", TypeSize: 4}}, Vals: []uint64{0, 1, 4, 8, 16, 18446744073709551615, 18446744073709551612, 18446744073709551600}},
	}}},
	{Key: StructKey{Name: "bpf_insn_ldst"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_ldst", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_ldst_insn", FldName: "code_class", TypeSize: 1}, BitfieldLen: 3, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_ldst_size", FldName: "code_size", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 2, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_ldst_mode", FldName: "code_mode", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 3}, Vals: []uint64{0, 1, 2, 3, 6}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "dst", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "src", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_offsets", FldName: "off", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 16, 24, 32, 48, 64, 80, 128, 256, 18446744073709551615, 18446744073709551614, 18446744073709551612, 18446744073709551608, 18446744073709551604, 18446744073709551600, 18446744073709551584, 18446744073709551552}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_insn_immediates", FldName: "imm", TypeSize: 4}}, Vals: []uint64{0, 1, 4, 8, 16, 18446744073709551615, 18446744073709551612, 18446744073709551600}},
	}}},
	{Key: StructKey{Name: "bpf_insn_map"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_insn_map", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_reg", FldName: "dst", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "imm", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "regs2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "off2", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "imm2", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "bpf_instructions"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_instructions", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bpf_framed_program"}, FldName: "framed"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "raw", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "bpf_insn"}}},
	}}},
	{Key: StructKey{Name: "bpf_map_create_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_create_arg", TypeSize: 44}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_map_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 7, 8, 5, 6, 9, 10, 11, 12, 13, 14, 15, 16}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ksize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "map_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "inner", TypeSize: 4, IsOptional: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "node", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "map_name", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "bpf_map_delete_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_delete_arg", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "map", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "key", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "bpf_map_get_fd_by_id_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_get_fd_by_id_arg", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "bpf_map_id", FldName: "map_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "next_id", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_open_flags", FldName: "open_flags", TypeSize: 4}}, Vals: []uint64{8, 16}, BitMask: true},
	}}},
	{Key: StructKey{Name: "bpf_map_get_next_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_get_next_arg", TypeSize: 24}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "map", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "key", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "next", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "bpf_map_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_info", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "bpf_map_id", FldName: "id", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key_size", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value_size", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_entries", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "map_flags", TypeSize: 4, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 16, ArgDir: 1}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "bpf_map_lookup_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_lookup_arg", TypeSize: 24}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "map", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "key", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "bpf_map_update_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_map_update_arg", TypeSize: 32}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "map", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "key", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_map_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "bpf_obj_get"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_obj_get", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_open_flags", FldName: "file_flags", TypeSize: 4}}, Vals: []uint64{8, 16}, BitMask: true},
	}}},
	{Key: StructKey{Name: "bpf_obj_pin_map"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_obj_pin_map", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "bpf_obj_pin_prog"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_obj_pin_prog", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "bpf_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fs_opt[\"mode\", fmt[oct, int32]]"}, FldName: "mode"},
	}}},
	{Key: StructKey{Name: "bpf_prog"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_prog", TypeSize: 72}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_prog_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "ninsn", TypeSize: 4}}, BitSize: 64, Buf: "insns"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "insns", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "bpf_instructions"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "license", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "bpf_licenses", Values: []string{"GPL\x00", "syzkaller\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "loglev", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "logsize", TypeSize: 4}}, Buf: "log"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "log", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_kern_version", FldName: "kern_version", TypeSize: 4}}, Vals: []uint64{265984, 266240, 266496}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_prog_load_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prog_name", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "prog_ifindex", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_attach_type", FldName: "expected_attach_type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13}},
	}}},
	{Key: StructKey{Name: "bpf_prog_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_prog_info", TypeSize: 80, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "bpf_prog_id", FldName: "id", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "tag", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "jited_prog_len", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xlated_prog_len", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "jited_prog_insns", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "xlated_prog_insns", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "load_time", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "created_by_uid", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nr_map_ids", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map_ids", TypeSize: 8, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 16, ArgDir: 1}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "bpf_prog_query"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_prog_query", TypeSize: 32}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "target_fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_prog_query_attach_type", FldName: "attach_type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 6}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bpf_prog_query_flags", FldName: "query_flags", TypeSize: 4}}, Vals: []uint64{1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "attach_flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "prog_ids", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "prog_cnt", TypeSize: 4}}, Buf: "prog_ids"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "bpf_raw_tracepoint"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_raw_tracepoint", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "prog_fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "bpf_test_prog_arg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bpf_test_prog_arg", TypeSize: 40}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "prog", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "retval", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "insize", TypeSize: 4}}, Buf: "indata"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "outsize", TypeSize: 4}}, Buf: "outdata"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "indata", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "outdata", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "repeat", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "dur", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "br_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "br_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_FORWARD_DELAY, int16], int32[2:30]]"}, FldName: "IFLA_BR_FORWARD_DELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_HELLO_TIME, int16], int32[1:10]]"}, FldName: "IFLA_BR_HELLO_TIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MAX_AGE, int16], int32[6:40]]"}, FldName: "IFLA_BR_MAX_AGE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_AGEING_TIME, int16], int32]"}, FldName: "IFLA_BR_AGEING_TIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_STP_STATE, int16], int32[0:1]]"}, FldName: "IFLA_BR_STP_STATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_PRIORITY, int16], int16]"}, FldName: "IFLA_BR_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_FILTERING, int16], int8]"}, FldName: "IFLA_BR_VLAN_FILTERING"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_PROTOCOL, int16], int32]"}, FldName: "IFLA_BR_VLAN_PROTOCOL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_GROUP_FWD_MASK, int16], int32]"}, FldName: "IFLA_BR_GROUP_FWD_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_GROUP_ADDR, int16], int32]"}, FldName: "IFLA_BR_GROUP_ADDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_ROUTER, int16], int32]"}, FldName: "IFLA_BR_MCAST_ROUTER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_SNOOPING, int16], int32]"}, FldName: "IFLA_BR_MCAST_SNOOPING"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_USE_IFADDR, int16], int32]"}, FldName: "IFLA_BR_MCAST_QUERY_USE_IFADDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERIER, int16], int32]"}, FldName: "IFLA_BR_MCAST_QUERIER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_HASH_ELASTICITY, int16], int32]"}, FldName: "IFLA_BR_MCAST_HASH_ELASTICITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_HASH_MAX, int16], int32]"}, FldName: "IFLA_BR_MCAST_HASH_MAX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_CNT, int16], int32]"}, FldName: "IFLA_BR_MCAST_LAST_MEMBER_CNT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_CNT, int16], int32]"}, FldName: "IFLA_BR_MCAST_STARTUP_QUERY_CNT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_LAST_MEMBER_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_MEMBERSHIP_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_MEMBERSHIP_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERIER_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_QUERIER_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_QUERY_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_RESPONSE_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_QUERY_RESPONSE_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_INTVL, int16], int32]"}, FldName: "IFLA_BR_MCAST_STARTUP_QUERY_INTVL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_IPTABLES, int16], int32]"}, FldName: "IFLA_BR_NF_CALL_IPTABLES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_IP6TABLES, int16], int32]"}, FldName: "IFLA_BR_NF_CALL_IP6TABLES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_ARPTABLES, int16], int32]"}, FldName: "IFLA_BR_NF_CALL_ARPTABLES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_DEFAULT_PVID, int16], int32]"}, FldName: "IFLA_BR_VLAN_DEFAULT_PVID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_STATS_ENABLED, int16], int32]"}, FldName: "IFLA_BR_VLAN_STATS_ENABLED"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STATS_ENABLED, int16], int32]"}, FldName: "IFLA_BR_MCAST_STATS_ENABLED"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_IGMP_VERSION, int16], int32]"}, FldName: "IFLA_BR_MCAST_IGMP_VERSION"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_MLD_VERSION, int16], int32]"}, FldName: "IFLA_BR_MCAST_MLD_VERSION"},
	}}},
	{Key: StructKey{Name: "br_port_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "br_port_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_STATE, int16], int8[0:4]]"}, FldName: "IFLA_BRPORT_STATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_COST, int16], int32]"}, FldName: "IFLA_BRPORT_COST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PRIORITY, int16], int16]"}, FldName: "IFLA_BRPORT_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MODE, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_MODE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_GUARD, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_GUARD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROTECT, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_PROTECT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_FAST_LEAVE, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_FAST_LEAVE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_LEARNING, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_LEARNING"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_UNICAST_FLOOD, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_UNICAST_FLOOD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROXYARP, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_PROXYARP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROXYARP_WIFI, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_PROXYARP_WIFI"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MULTICAST_ROUTER, int16], int8[0:3]]"}, FldName: "IFLA_BRPORT_MULTICAST_ROUTER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MCAST_TO_UCAST, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_MCAST_TO_UCAST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MCAST_FLOOD, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_MCAST_FLOOD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_BCAST_FLOOD, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_BCAST_FLOOD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_VLAN_TUNNEL, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_VLAN_TUNNEL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_GROUP_FWD_MASK, int16], int16]"}, FldName: "IFLA_BRPORT_GROUP_FWD_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_NEIGH_SUPPRESS, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_NEIGH_SUPPRESS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_ISOLATED, int16], int8[0:1]]"}, FldName: "IFLA_BRPORT_ISOLATED"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_FLUSH, int16], void]"}, FldName: "IFLA_BRPORT_FLUSH"},
	}}},
	{Key: StructKey{Name: "brctl_arg", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "brctl_arg", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "brctl_arg_get", Dir: 2}, FldName: "get"},
		&StructType{Key: StructKey{Name: "brctl_arg_add_del", Dir: 2}, FldName: "add_del"},
		&StructType{Key: StructKey{Name: "brctl_arg_generic", Dir: 2}, FldName: "generic"},
	}}},
	{Key: StructKey{Name: "brctl_arg_add_del", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "brctl_arg_add_del", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8, ArgDir: 2}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "devname", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "pad", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "brctl_arg_generic", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "brctl_arg_generic", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "brctl_cmds", FldName: "a0", TypeSize: 8, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "a1", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "a2", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "brctl_arg_get", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "brctl_arg_get", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8, ArgDir: 2}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "indices", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "bt_security"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bt_security", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lev", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "keysize", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "bt_security", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "bt_security", TypeSize: 2, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lev", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "keysize", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "btrfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "btrfs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "degraded", TypeSize: 8}, Kind: 2, Values: []string{"degraded"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodatasum", TypeSize: 9}, Kind: 2, Values: []string{"nodatasum"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "datasum", TypeSize: 7}, Kind: 2, Values: []string{"datasum"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodatacow", TypeSize: 9}, Kind: 2, Values: []string{"nodatacow"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "datacow", TypeSize: 7}, Kind: 2, Values: []string{"datacow"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "compress", TypeSize: 8}, Kind: 2, Values: []string{"compress"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "compress_force", TypeSize: 14}, Kind: 2, Values: []string{"compress-force"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ssd", TypeSize: 3}, Kind: 2, Values: []string{"ssd"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ssd_spread", TypeSize: 10}, Kind: 2, Values: []string{"ssd_spread"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nossd_spread", TypeSize: 12}, Kind: 2, Values: []string{"nossd_spread"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nossd", TypeSize: 5}, Kind: 2, Values: []string{"nossd"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "acl", TypeSize: 3}, Kind: 2, Values: []string{"acl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noacl", TypeSize: 5}, Kind: 2, Values: []string{"noacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "notreelog", TypeSize: 9}, Kind: 2, Values: []string{"notreelog"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "treelog", TypeSize: 7}, Kind: 2, Values: []string{"treelog"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "flushoncommit", TypeSize: 13}, Kind: 2, Values: []string{"flushoncommit"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noflushoncommit", TypeSize: 15}, Kind: 2, Values: []string{"noflushoncommit"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "space_cache", TypeSize: 11}, Kind: 2, Values: []string{"space_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "clear_cache", TypeSize: 11}, Kind: 2, Values: []string{"clear_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "user_subvol_rm", TypeSize: 22}, Kind: 2, Values: []string{"user_subvol_rm_allowed"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "enospc_debug", TypeSize: 12}, Kind: 2, Values: []string{"enospc_debug"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noenospc_debug", TypeSize: 14}, Kind: 2, Values: []string{"noenospc_debug"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "autodefrag", TypeSize: 10}, Kind: 2, Values: []string{"autodefrag"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noautodefrag", TypeSize: 12}, Kind: 2, Values: []string{"noautodefrag"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inode_cache", TypeSize: 11}, Kind: 2, Values: []string{"inode_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noinode_cache", TypeSize: 13}, Kind: 2, Values: []string{"noinode_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nospace_cache", TypeSize: 13}, Kind: 2, Values: []string{"nospace_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usebackuproot", TypeSize: 13}, Kind: 2, Values: []string{"usebackuproot"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "skip_balance", TypeSize: 12}, Kind: 2, Values: []string{"skip_balance"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_int", TypeSize: 9}, Kind: 2, Values: []string{"check_int"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_int_data", TypeSize: 14}, Kind: 2, Values: []string{"check_int_data"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "rescan_uuid_tree", TypeSize: 16}, Kind: 2, Values: []string{"rescan_uuid_tree"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fragment_data", TypeSize: 13}, Kind: 2, Values: []string{"fragment=data"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fragment_metadata", TypeSize: 17}, Kind: 2, Values: []string{"fragment=metadata"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fragment_all", TypeSize: 12}, Kind: 2, Values: []string{"fragment=all"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ref_verify", TypeSize: 10}, Kind: 2, Values: []string{"ref_verify"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"metadata_ratio\", fmt[hex, int32]]"}, FldName: "metadata_ratio"},
		&StructType{Key: StructKey{Name: "fs_opt[\"check_int_print_mask\", fmt[hex, int32]]"}, FldName: "check_int_print_mask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"commit\", fmt[hex, int32]]"}, FldName: "commit"},
		&StructType{Key: StructKey{Name: "fs_opt[\"thread_pool\", fmt[hex, int32]]"}, FldName: "thread_pool"},
		&StructType{Key: StructKey{Name: "fs_opt[\"device\", stringnoz[filename]]"}, FldName: "device"},
		&StructType{Key: StructKey{Name: "fs_opt[\"subvolid\", fmt[hex, int64]]"}, FldName: "subvolid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"subvol\", stringnoz]"}, FldName: "subvol"},
		&StructType{Key: StructKey{Name: "fs_opt[\"max_inline\", array[flags[fs_opt_digits_suffix, int8]]]"}, FldName: "max_inline"},
		&StructType{Key: StructKey{Name: "fs_opt[\"compress\", stringnoz[btrfs_compress_algos]]"}, FldName: "compress_algo"},
		&StructType{Key: StructKey{Name: "fs_opt[\"compress-force\", stringnoz[btrfs_compress_algos]]"}, FldName: "compress_force_algo"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "space_cache_v1", TypeSize: 14}, Kind: 2, Values: []string{"space_cache=v1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "space_cache_v2", TypeSize: 14}, Kind: 2, Values: []string{"space_cache=v2"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "c_atm_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_atm_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_FD, int16], sock]"}, FldName: "TCA_ATM_FD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_HDR, int16], array[int8, 0:64]]"}, FldName: "TCA_ATM_HDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_EXCESS, int16], tcm_handle]"}, FldName: "TCA_ATM_EXCESS"},
	}}},
	{Key: StructKey{Name: "c_drr_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_drr_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DRR_QUANTUM, int16], int32]"}, FldName: "TCA_DRR_QUANTUM"},
	}}},
	{Key: StructKey{Name: "c_dsmark_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_dsmark_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_MASK, int16], int8]"}, FldName: "TCA_DSMARK_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_VALUE, int16], int8]"}, FldName: "TCA_DSMARK_VALUE"},
	}}},
	{Key: StructKey{Name: "c_hfsc_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_hfsc_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_RSC, int16], tc_service_curve]"}, FldName: "TCA_HFSC_RSC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_FSC, int16], tc_service_curve]"}, FldName: "TCA_HFSC_FSC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_USC, int16], tc_service_curve]"}, FldName: "TCA_HFSC_USC"},
	}}},
	{Key: StructKey{Name: "c_htb_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_htb_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_PARMS, int16], tc_htb_opt]"}, FldName: "TCA_HTB_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_CTAB, int16], array[int32, 256]]"}, FldName: "TCA_HTB_CTAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_RTAB, int16], array[int32, 256]]"}, FldName: "TCA_HTB_RTAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_RATE64, int16], int64]"}, FldName: "TCA_HTB_RATE64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_CEIL64, int16], int64]"}, FldName: "TCA_HTB_CEIL64"},
	}}},
	{Key: StructKey{Name: "c_qfq_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "c_qfq_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_QFQ_WEIGHT, int16], int32]"}, FldName: "TCA_QFQ_WEIGHT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_QFQ_LMAX, int16], int32]"}, FldName: "TCA_QFQ_LMAX"},
	}}},
	{Key: StructKey{Name: "can_bcm_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "can_bcm_msg", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "can_bcm_opcodes", FldName: "opcode", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "can_bcm_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "timeval"}, FldName: "ival1"},
		&StructType{Key: StructKey{Name: "timeval"}, FldName: "ival2"},
		&StructType{Key: StructKey{Name: "canid_t"}, FldName: "can_id"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nframes", TypeSize: 4}}, Val: 1},
		&UnionType{Key: StructKey{Name: "can_raw_msg"}, FldName: "frames"},
	}}},
	{Key: StructKey{Name: "can_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "can_filter", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "can_id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "can_mask", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "can_frame_t[CANFD_MAX_DLEN]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "can_frame_t[CANFD_MAX_DLEN]", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "canid_t"}, FldName: "can_id"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "len", TypeSize: 1}}, Kind: 2, RangeEnd: 64},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "can_frame_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__res0", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__res1", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "can_frame_t[CAN_MAX_DLEN]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "can_frame_t[CAN_MAX_DLEN]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "canid_t"}, FldName: "can_id"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "len", TypeSize: 1}}, Kind: 2, RangeEnd: 8},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "can_frame_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__res0", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__res1", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 8}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "can_raw_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "can_raw_msg", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "can_frame_t[CAN_MAX_DLEN]"}, FldName: "can"},
		&StructType{Key: StructKey{Name: "can_frame_t[CANFD_MAX_DLEN]"}, FldName: "canfd"},
	}}},
	{Key: StructKey{Name: "canid_t"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "canid_t", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}, BitfieldLen: 29, BitfieldMdl: true}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "err", TypeSize: 4}, BitfieldOff: 29, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rtr", TypeSize: 4}, BitfieldOff: 30, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eff", TypeSize: 4}, BitfieldOff: 31, BitfieldLen: 1}},
	}}},
	{Key: StructKey{Name: "cap_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cap_data", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eff0", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "perm0", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "inher0", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eff1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "perm1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "inher1", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cap_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cap_header", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cap_version", FldName: "var", TypeSize: 4}}, Vals: []uint64{429392688, 537333798, 537396514}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "cdrom_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_addr", TypeSize: 4}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cdrom_msf0"}, FldName: "msf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lba", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cdrom_addr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_addr", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cdrom_msf0", Dir: 2}, FldName: "msf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lba", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "cdrom_blk"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_blk", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "from", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "len", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "cdrom_generic_command", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_generic_command", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "cmd", TypeSize: 12, ArgDir: 2}, Kind: 1, RangeBegin: 12, RangeEnd: 12},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "buflen", TypeSize: 4, ArgDir: 2}}, Buf: "buffer"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stat", TypeSize: 4, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sense", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "request_sense", Dir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_data_direction", FldName: "data_direction", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "quiet", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "reserved", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 8, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
	}}},
	{Key: StructKey{Name: "cdrom_mcn", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_mcn", TypeSize: 14, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "medium_catalog_number", TypeSize: 14, ArgDir: 1}, Kind: 1, RangeBegin: 14, RangeEnd: 14},
	}}},
	{Key: StructKey{Name: "cdrom_msf"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_msf", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_min0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_sec0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_frame0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_min1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_sec1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_frame1", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "cdrom_msf0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_msf0", TypeSize: 3}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "minute", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "second", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "frame", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "cdrom_msf0", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_msf0", TypeSize: 3, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "minute", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "second", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "frame", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "cdrom_msf_out_stub"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_msf_out_stub", TypeSize: 2646}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_min0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_sec0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_frame0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_min1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_sec1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdmsf_frame1", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 2640}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 2640, RangeEnd: 2640},
	}}},
	{Key: StructKey{Name: "cdrom_multisession", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_multisession", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "cdrom_addr", Dir: 2}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "xa_flag", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeEnd: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_format", FldName: "addr_format", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{2, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "cdrom_output_buffer", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_output_buffer", TypeSize: 2646, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 2646, ArgDir: 1}, Kind: 1, RangeBegin: 2646, RangeEnd: 2646},
	}}},
	{Key: StructKey{Name: "cdrom_read_audio"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_read_audio", TypeSize: 24}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "cdrom_addr"}, FldName: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_format", FldName: "addr_format", TypeSize: 1}}, Vals: []uint64{2, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "nframes", TypeSize: 4}}, BitSize: 8, Buf: "buf"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Kind: 1, RangeBegin: 1, RangeEnd: 75}},
	}}},
	{Key: StructKey{Name: "cdrom_subchnl", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_subchnl", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_format", FldName: "cdsc_format", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{2, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdsc_audiostatus", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdsc_adr", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdsc_ctrl", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdsc_trk", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdsc_ind", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "cdrom_addr", Dir: 2}, FldName: "cdsc_absaddr"},
		&UnionType{Key: StructKey{Name: "cdrom_addr", Dir: 2}, FldName: "cdsc_reladdr"},
	}}},
	{Key: StructKey{Name: "cdrom_ti"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_ti", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdti_trk0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdti_int0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdti_trk1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdti_ind1", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "cdrom_tocentry", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_tocentry", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdte_track", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdte_adr", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdte_ctrl", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_format", FldName: "cdte_format", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{2, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "cdrom_addr", Dir: 2}, FldName: "cdte_addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdte_datamode", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "cdrom_tochdr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_tochdr", TypeSize: 2, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdth_trk0", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cdth_trk1", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "cdrom_volctrl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_volctrl", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel3", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "cdrom_volctrl", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cdrom_volctrl", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel1", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel2", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "channel3", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "cgroup_control"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cgroup_control", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cgroup_control_signs", FldName: "sign", TypeSize: 1}}, Vals: []uint64{43, 45}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "subsys", IsVarlen: true}, Kind: 2, SubKind: "cgroup_subsystems", Values: []string{"cpu", "memory", "io", "pids", "rdma"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp", TypeSize: 1}}, Val: 32},
	}}},
	{Key: StructKey{Name: "cgroup_subtree"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cgroup_subtree", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "controls", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "cgroup_control"}}},
	}}},
	{Key: StructKey{Name: "cisco_proto"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cisco_proto", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cmsghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cmsg_levels", FldName: "cmsg_level", TypeSize: 4}}, Vals: []uint64{1, 1, 0, 6, 17, 41, 58, 132, 136, 255, 256, 257, 258, 259, 260, 261, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cmsg_type", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_alg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_alg", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cmsghdr_alg_iv"}, FldName: "iv"},
		&StructType{Key: StructKey{Name: "cmsghdr_alg_op"}, FldName: "op"},
		&StructType{Key: StructKey{Name: "cmsghdr_alg_assoc"}, FldName: "assoc"},
	}}},
	{Key: StructKey{Name: "cmsghdr_alg_assoc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_alg_assoc", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 279},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "assoc", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_alg_iv"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_alg_iv", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 279},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 2},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ivlen", TypeSize: 4}}, Buf: "iv"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "iv", IsVarlen: true}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_alg_op"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_alg_op", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 279},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "alg_op_op", FldName: "op", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_ARGS, rds_rdma_args]"}, FldName: "rdma_args"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_DEST, rds_rdma_cookie_t]"}, FldName: "rdma_dest"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_MAP, rds_get_mr_args]"}, FldName: "rdma_map"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_FADD, rds_atomic_args]"}, FldName: "fadd"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_CSWP, rds_atomic_args]"}, FldName: "cswp"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_FADD, rds_atomic_args]"}, FldName: "mask_fadd"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_CSWP, rds_atomic_args]"}, FldName: "mask_cswp"},
		&StructType{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ZCOPY_COOKIE, int32]"}, FldName: "zcopy_cookie"},
	}}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_CSWP, rds_atomic_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_CSWP, rds_atomic_args]", TypeSize: 88}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 7},
		&StructType{Key: StructKey{Name: "rds_atomic_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_FADD, rds_atomic_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_ATOMIC_FADD, rds_atomic_args]", TypeSize: 88}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 6},
		&StructType{Key: StructKey{Name: "rds_atomic_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_CSWP, rds_atomic_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_CSWP, rds_atomic_args]", TypeSize: 88}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 9},
		&StructType{Key: StructKey{Name: "rds_atomic_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_FADD, rds_atomic_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_MASKED_ATOMIC_FADD, rds_atomic_args]", TypeSize: 88}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 8},
		&StructType{Key: StructKey{Name: "rds_atomic_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_ARGS, rds_rdma_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_RDMA_ARGS, rds_rdma_args]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "rds_rdma_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_DEST, rds_rdma_cookie_t]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_RDMA_DEST, rds_rdma_cookie_t]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 2},
		&StructType{Key: StructKey{Name: "rds_rdma_cookie_t"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_RDMA_MAP, rds_get_mr_args]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_RDMA_MAP, rds_get_mr_args]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 3},
		&StructType{Key: StructKey{Name: "rds_get_mr_args"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_rds_t[RDS_CMSG_ZCOPY_COOKIE, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_rds_t[RDS_CMSG_ZCOPY_COOKIE, int32]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmsg_len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_level", TypeSize: 4}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmsg_type", TypeSize: 4}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "data", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_init"}, FldName: "init"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_sndrcv"}, FldName: "sndrcv"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_sndinfo"}, FldName: "sndinfo"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_prinfo"}, FldName: "prinfo"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_authinfo"}, FldName: "authinfo"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_dstaddrv4"}, FldName: "dstaddrv4"},
		&StructType{Key: StructKey{Name: "cmsghdr_sctp_dstaddrv6"}, FldName: "dstaddrv6"},
	}}},
	{Key: StructKey{Name: "cmsghdr_sctp_authinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_authinfo", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 6},
		&StructType{Key: StructKey{Name: "sctp_authinfo"}, FldName: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_dstaddrv4"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_dstaddrv4", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 7},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_dstaddrv6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_dstaddrv6", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 8},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "msg"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_init"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_init", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "sctp_initmsg"}, FldName: "msg"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_prinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_prinfo", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 5},
		&StructType{Key: StructKey{Name: "sctp_prinfo"}, FldName: "msg"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_sndinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_sndinfo", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 2},
		&StructType{Key: StructKey{Name: "sctp_sndinfo"}, FldName: "msg"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_sctp_sndrcv"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_sctp_sndrcv", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "sctp_sndrcvinfo"}, FldName: "msg"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_un"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_un", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "cmsghdr_un_rights"}, FldName: "rights"},
		&StructType{Key: StructKey{Name: "cmsghdr_un_cred"}, FldName: "cred"},
	}}},
	{Key: StructKey{Name: "cmsghdr_un_cred"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_un_cred", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 2},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmsghdr_un_rights"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmsghdr_un_rights", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fds", IsVarlen: true}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", TypeSize: 4}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "cmtp_connadd_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmtp_connadd_req", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "sock", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cmtp_conndel_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmtp_conndel_req", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cmtp_conninfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmtp_conninfo", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "cmtp_conninfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmtp_conninfo", TypeSize: 20, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 1}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "cmtp_connlist_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "cmtp_connlist_req", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnum", TypeSize: 4}}, Buf: "ci"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ci", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "cmtp_conninfo", Dir: 1}}}},
	}}},
	{Key: StructKey{Name: "crypto_user_alg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "crypto_user_alg", TypeSize: 208}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_name"}, FldName: "cru_name"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "cru_driver_name", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "cru_module_name", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "crypto_user_alg_flags", FldName: "cru_type", TypeSize: 4}}, Vals: []uint64{1024, 8192}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "crypto_user_alg_flags", FldName: "cru_mask", TypeSize: 4}}, Vals: []uint64{1024, 8192}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cru_refcnt", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cru_flags", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "dccp6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dccp6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "dccp_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dccp_header", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "src_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dst_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "offset", TypeSize: 1}}, BitSize: 32, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cscov", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ccval", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 33},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "x", TypeSize: 1}, BitfieldLen: 1, BitfieldMdl: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_types", FldName: "type", TypeSize: 1}, BitfieldOff: 1, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "reserved1", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 3}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "seq_num", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "reserved2", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ack_num", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "dccp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dccp_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "dccp_header"}, FldName: "header"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "dccp_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dccp_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "devconf_ip_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "devconf_ip_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IFINDEX, int16], ifindex]"}, FldName: "NETCONFA_IFINDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_FORWARDING, int16], int32]"}, FldName: "NETCONFA_FORWARDING"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_RP_FILTER, int16], int32]"}, FldName: "NETCONFA_RP_FILTER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_PROXY_NEIGH, int16], int32]"}, FldName: "NETCONFA_PROXY_NEIGH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IGNORE_ROUTES_WITH_LINKDOWN, int16], int32]"}, FldName: "IGNORE_ROUTES_WITH_LINKDOWN"},
	}}},
	{Key: StructKey{Name: "devconf_mpls_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "devconf_mpls_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IFINDEX, int16], ifindex]"}, FldName: "NETCONFA_IFINDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IGNORE_ROUTES_WITH_LINKDOWN, int16], int32]"}, FldName: "IGNORE_ROUTES_WITH_LINKDOWN"},
	}}},
	{Key: StructKey{Name: "devname_mask"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "devname_mask", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "devname_mask_values", FldName: "lo", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 15}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "dlci_add"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dlci_add", TypeSize: 18}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "devname", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dlci", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "dlci_add", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dlci_add", TypeSize: 18, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "devname", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dlci", TypeSize: 2, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "drm_agp_binding"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_agp_binding", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_agp_handle", FldName: "handle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "offset", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "drm_agp_buffer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_agp_buffer", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_agp_handle", FldName: "handle", TypeSize: 8, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_agp_mem_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 65536, 65537}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "physic", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "drm_agp_buffer", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_agp_buffer", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_agp_handle", FldName: "handle", TypeSize: 8, ArgDir: 2, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_agp_mem_type", FldName: "type", TypeSize: 8, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 65536, 65537}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "physic", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "drm_buf_desc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_buf_desc", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lomark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "himark", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_buf_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "agpaddr", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "drm_buf_free"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_buf_free", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 4}}, Buf: "list"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
	}}},
	{Key: StructKey{Name: "drm_buf_map"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_buf_map", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 4}}, Buf: "list"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "virtual", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "drm_buf_pub"}}}},
	}}},
	{Key: StructKey{Name: "drm_buf_pub"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_buf_pub", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idx", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "total", TypeSize: 4}}, Buf: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "used", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "drm_client"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_client", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "auth", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid_pad", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uid_pad", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "magic", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "iocs", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "drm_control"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_control", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_control_type", FldName: "func", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irq", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_ctx"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_ctx", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drmctx", FldName: "handle", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_ctx_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "drm_ctx", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_ctx", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drmctx", FldName: "handle", TypeSize: 4, ArgDir: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_ctx_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "drm_ctx_priv_map"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_ctx_priv_map", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drmctx", FldName: "ctxid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "drm_ctx_res"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_ctx_res", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 4}}, Buf: "context"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "context", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "drm_ctx", Dir: 1}}}},
	}}},
	{Key: StructKey{Name: "drm_dma"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_dma", TypeSize: 64}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drmctx", FldName: "context", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sendcnt", TypeSize: 4}}, Buf: "sendind"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sendind", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sendsiz", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_dma_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 16, 32, 64}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "reqcnd", TypeSize: 4}}, Buf: "reqind"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqsiz0", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "reqind", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "reqsiz", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "granted", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "drm_gem_close"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_gem_close", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_handle", FldName: "handle", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_gem_flink", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_gem_flink", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_handle", FldName: "handle", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_name", FldName: "name", TypeSize: 4, ArgDir: 2, IsOptional: true}},
	}}},
	{Key: StructKey{Name: "drm_gem_open", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_gem_open", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_name", FldName: "name", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_handle", FldName: "handle", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "size", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "drm_get_cap"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_get_cap", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cap", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "drm_irq_busid"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_irq_busid", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irq", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bus", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "func", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_lock"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_lock", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drmctx", FldName: "context", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_lock_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
	}}},
	{Key: StructKey{Name: "drm_map"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_map", TypeSize: 40}, Fields: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "off", TypeSize: 8, IsOptional: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_map_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_map_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "handle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtrr", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "drm_mode_card_res"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_mode_card_res", TypeSize: 64}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fbid", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "crtcid", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "connid", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "encid", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nfbid", TypeSize: 4}}, Buf: "fbid"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ncrtcid", TypeSize: 4}}, Buf: "crtcid"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nconnid", TypeSize: 4}}, Buf: "connid"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nencid", TypeSize: 4}}, Buf: "encid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "maxw", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "maxh", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "minw", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "minh", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_mode_crtc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_mode_crtc", TypeSize: 104}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "connect", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnt", TypeSize: 4}}, Buf: "connect"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "crtcid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gamma", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "valid", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "drm_mode_modeinfo"}, FldName: "mode"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "drm_mode_get_plane_res"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_mode_get_plane_res", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ids", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnt", TypeSize: 4}}, Buf: "ids"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "drm_mode_modeinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_mode_modeinfo", TypeSize: 68}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "clock", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hdisp", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hsyncs", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hsynce", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "htotal", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hskew", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vdisp", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vsyncs", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vsynce", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vtotal", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vscan", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vrefr", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "drm_modeset_ctl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_modeset_ctl", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "crtc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cmd", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_prime_handle", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_prime_handle", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_gem_handle", FldName: "handle", TypeSize: 4, ArgDir: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dup_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{524288}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "drm_scatter_gather"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_scatter_gather", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "drm_agp_handle", FldName: "handle", TypeSize: 8}},
	}}},
	{Key: StructKey{Name: "drm_set_version"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_set_version", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "di_maj", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "di_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dd_maj", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dd_min", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "drm_unique_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_unique_in", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "uni"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "uni", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "drm_unique_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_unique_out", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "uni"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "uni", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "drm_version"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_version", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maj", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "patch", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "namelen", TypeSize: 8}}, Buf: "name"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "datelen", TypeSize: 8}}, Buf: "date"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "date", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "desclen", TypeSize: 8}}, Buf: "desc"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "desc", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "drm_wait_vblank"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "drm_wait_vblank", TypeSize: 12}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "drm_vblank_seq_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 62, 67108864, 134217728, 268435456, 536870912, 1073741824}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signal", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
	}}},
	{Key: StructKey{Name: "dvd_authinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_authinfo", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dvd_authinfo_type", FldName: "type", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 2, 3, 7, 8, 1, 4, 9, 10, 10}},
		&StructType{Key: StructKey{Name: "dvd_lu_send_agid", Dir: 2}, FldName: "lsa"},
		&StructType{Key: StructKey{Name: "dvd_host_send_challenge", Dir: 2}, FldName: "hsc"},
		&StructType{Key: StructKey{Name: "dvd_send_key", Dir: 2}, FldName: "lsk"},
		&StructType{Key: StructKey{Name: "dvd_lu_send_challenge", Dir: 2}, FldName: "lsc"},
		&StructType{Key: StructKey{Name: "dvd_send_key", Dir: 2}, FldName: "hsk"},
		&StructType{Key: StructKey{Name: "dvd_lu_send_title_key", Dir: 2}, FldName: "lstk"},
		&StructType{Key: StructKey{Name: "dvd_lu_send_asf", Dir: 2}, FldName: "lsasf"},
		&StructType{Key: StructKey{Name: "dvd_host_send_rpcstate", Dir: 2}, FldName: "hrpcs"},
		&StructType{Key: StructKey{Name: "dvd_lu_send_rpcstate", Dir: 2}, FldName: "lrpcs"},
	}}},
	{Key: StructKey{Name: "dvd_bca"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_bca", TypeSize: 196}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "value"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 188}, Kind: 1, RangeBegin: 188, RangeEnd: 188},
	}}},
	{Key: StructKey{Name: "dvd_bca", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_bca", TypeSize: 196, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "value"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 188, ArgDir: 2}, Kind: 1, RangeBegin: 188, RangeEnd: 188},
	}}},
	{Key: StructKey{Name: "dvd_copyright"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_copyright", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cpst", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rmi", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "dvd_copyright", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_copyright", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cpst", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rmi", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "dvd_disckey"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_disckey", TypeSize: 2056}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 2048}, Kind: 1, RangeBegin: 2048, RangeEnd: 2048},
	}}},
	{Key: StructKey{Name: "dvd_disckey", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_disckey", TypeSize: 2056, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 2048, ArgDir: 2}, Kind: 1, RangeBegin: 2048, RangeEnd: 2048},
	}}},
	{Key: StructKey{Name: "dvd_host_send_challenge", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_host_send_challenge", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "chal", TypeSize: 10, ArgDir: 2}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "dvd_host_send_rpcstate", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_host_send_rpcstate", TypeSize: 2, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pdrc", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "dvd_layer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_layer", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "book_version", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "book_type", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "min_rate", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "disc_size", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_type", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "track_path", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nlayers", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "track_density", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "linear_density", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bca", TypeSize: 1}, BitfieldLen: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "start_sector", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "end_sector", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "end_sector_l0", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "dvd_layer", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_layer", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "book_version", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "book_type", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "min_rate", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "disc_size", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_type", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "track_path", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nlayers", TypeSize: 1, ArgDir: 2}, BitfieldOff: 5, BitfieldLen: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "track_density", TypeSize: 1, ArgDir: 2}, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "linear_density", TypeSize: 1, ArgDir: 2}, BitfieldOff: 4, BitfieldLen: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bca", TypeSize: 1, ArgDir: 2}, BitfieldLen: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "start_sector", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "end_sector", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "end_sector_l0", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "dvd_lu_send_agid", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_lu_send_agid", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
	}}},
	{Key: StructKey{Name: "dvd_lu_send_asf", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_lu_send_asf", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "asf", TypeSize: 4, ArgDir: 2}, BitfieldOff: 2, BitfieldLen: 1}},
	}}},
	{Key: StructKey{Name: "dvd_lu_send_challenge", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_lu_send_challenge", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "chal", TypeSize: 10, ArgDir: 2}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "dvd_lu_send_rpcstate", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_lu_send_rpcstate", TypeSize: 3, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1, ArgDir: 2}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vra", TypeSize: 1, ArgDir: 2}, BitfieldOff: 2, BitfieldLen: 3, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ucca", TypeSize: 1, ArgDir: 2}, BitfieldOff: 5, BitfieldLen: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "region_mask", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rpc_scheme", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "dvd_lu_send_title_key", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_lu_send_title_key", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "title_key", TypeSize: 5, ArgDir: 2}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lba", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpm", TypeSize: 4, ArgDir: 2}, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cp_sec", TypeSize: 4, ArgDir: 2}, BitfieldOff: 1, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cgms", TypeSize: 4, ArgDir: 2}, BitfieldOff: 2, BitfieldLen: 2}},
	}}},
	{Key: StructKey{Name: "dvd_manufact"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_manufact", TypeSize: 2056}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "value"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 2048}, Kind: 1, RangeBegin: 2048, RangeEnd: 2048},
	}}},
	{Key: StructKey{Name: "dvd_manufact", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_manufact", TypeSize: 2056, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "value"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 2048, ArgDir: 2}, Kind: 1, RangeBegin: 2048, RangeEnd: 2048},
	}}},
	{Key: StructKey{Name: "dvd_physical"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_physical", TypeSize: 84}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "layer", TypeSize: 80}, Type: &StructType{Key: StructKey{Name: "dvd_layer"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "dvd_physical", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_physical", TypeSize: 84, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "layer_num", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "layer", TypeSize: 80, ArgDir: 2}, Type: &StructType{Key: StructKey{Name: "dvd_layer", Dir: 2}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "dvd_send_key", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_send_key", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dvd_send_key_type", FldName: "type", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{2, 4}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "agid", TypeSize: 4, ArgDir: 2}, BitfieldLen: 2}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "key", TypeSize: 5, ArgDir: 2}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "dvd_struct"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_struct", TypeSize: 2056}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dvd_struct_type", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&StructType{Key: StructKey{Name: "dvd_physical"}, FldName: "physical"},
		&StructType{Key: StructKey{Name: "dvd_copyright"}, FldName: "copyright"},
		&StructType{Key: StructKey{Name: "dvd_disckey"}, FldName: "disckey"},
		&StructType{Key: StructKey{Name: "dvd_bca"}, FldName: "bca"},
		&StructType{Key: StructKey{Name: "dvd_manufact"}, FldName: "manufact"},
	}}},
	{Key: StructKey{Name: "dvd_struct", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "dvd_struct", TypeSize: 2056, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dvd_struct_type", FldName: "type", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&StructType{Key: StructKey{Name: "dvd_physical", Dir: 2}, FldName: "physical"},
		&StructType{Key: StructKey{Name: "dvd_copyright", Dir: 2}, FldName: "copyright"},
		&StructType{Key: StructKey{Name: "dvd_disckey", Dir: 2}, FldName: "disckey"},
		&StructType{Key: StructKey{Name: "dvd_bca", Dir: 2}, FldName: "bca"},
		&StructType{Key: StructKey{Name: "dvd_manufact", Dir: 2}, FldName: "manufact"},
	}}},
	{Key: StructKey{Name: "ebt_802_3_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_802_3_info", TypeSize: 6}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sap_values", FldName: "sap", TypeSize: 1}}, Vals: []uint64{1, 0, 2, 4, 14, 6, 66, 78, 126, 128, 142, 170, 188, 224, 240, 244, 248, 252, 254, 220, 212, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "type", TypeSize: 2}, ArgFormat: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_802_3_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_802_3_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ebt_among_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_among_info", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wh_dst_ofs", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wh_src_ofs", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_among_flags", FldName: "bitmask", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&StructType{Key: StructKey{Name: "ebt_mac_wormhash"}, FldName: "dst"},
		&StructType{Key: StructKey{Name: "ebt_mac_wormhash"}, FldName: "src"},
	}}},
	{Key: StructKey{Name: "ebt_arp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_arp_info", TypeSize: 52}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_htypes", FldName: "htype", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 65535, 65534}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "ptype", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "arp_ops", FldName: "op", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 8, 9, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "saddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "smsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "daddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "dmsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "smaddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "smmsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "dmaddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dmmsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_arp_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_arp_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ebt_arpreply_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_arpreply_info", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "mac"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_verdicts", FldName: "target", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612, 18446744073709551613}},
	}}},
	{Key: StructKey{Name: "ebt_broute_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_broute_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ebt_targets"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ebt_counters_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_counters_info", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ebt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "broute\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nentries", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "entries_size", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "num_counters", TypeSize: 4}}, Buf: "counters1"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "entries", TypeSize: 8}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "counters1", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xt_counters"}}},
	}}},
	{Key: StructKey{Name: "ebt_entries[ebt_broute_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entries[ebt_broute_targets]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "distinguisher", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "counter_offset", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_entries_policy", FldName: "policy", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nentries", TypeSize: 4}}, Buf: "entries"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entry[ebt_broute_targets]"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entries[ebt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entries[ebt_filter_targets]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "distinguisher", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "counter_offset", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_entries_policy", FldName: "policy", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nentries", TypeSize: 4}}, Buf: "entries"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entry[ebt_filter_targets]"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entries[ebt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entries[ebt_nat_targets]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "distinguisher", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "counter_offset", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_entries_policy", FldName: "policy", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nentries", TypeSize: 4}}, Buf: "entries"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entry[ebt_nat_targets]"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entry[ebt_broute_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry[ebt_broute_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_watchers[ebt_broute_targets]"}, FldName: "watchers"},
		&UnionType{Key: StructKey{Name: "ebt_broute_targets"}, FldName: "target"},
	}}},
	{Key: StructKey{Name: "ebt_entry[ebt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry[ebt_filter_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_watchers[ebt_filter_targets]"}, FldName: "watchers"},
		&UnionType{Key: StructKey{Name: "ebt_filter_targets"}, FldName: "target"},
	}}},
	{Key: StructKey{Name: "ebt_entry[ebt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry[ebt_nat_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_watchers[ebt_nat_targets]"}, FldName: "watchers"},
		&UnionType{Key: StructKey{Name: "ebt_nat_targets"}, FldName: "target"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"802_3\", ebt_802_3_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"802_3\", ebt_802_3_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"802_3\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_802_3_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"among\", ebt_among_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"among\", ebt_among_info]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"among\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_among_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"arp\", ebt_arp_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"arp\", ebt_arp_info]", TypeSize: 96}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"arp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_arp_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"bpf\", xt_bpf_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"bpf\", xt_bpf_info]", TypeSize: 568}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"bpf\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_bpf_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"cgroup\", xt_cgroup_info_v0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"cgroup\", xt_cgroup_info_v0]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"cgroup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_cgroup_info_v0]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"cluster\", xt_cluster_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"cluster\", xt_cluster_match_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"cluster\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_cluster_match_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"comment\", xt_comment_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"comment\", xt_comment_info]", TypeSize: 296}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"comment\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_comment_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"connbytes\", xt_connbytes_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"connbytes\", xt_connbytes_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"connbytes\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_connbytes_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"connlabel\", xt_connlabel_mtinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"connlabel\", xt_connlabel_mtinfo]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"connlabel\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_connlabel_mtinfo]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"cpu\", xt_cpu_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"cpu\", xt_cpu_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"cpu\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_cpu_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"devgroup\", xt_devgroup_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"devgroup\", xt_devgroup_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"devgroup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_devgroup_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"helper\", xt_helper_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"helper\", xt_helper_info]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"helper\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_helper_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"ip\", ebt_ip_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"ip\", ebt_ip_info]", TypeSize: 72}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"ip\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_ip_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"ip6\", ebt_ip6_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"ip6\", ebt_ip6_info]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"ip6\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_ip6_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"ipvs\", xt_ipvs_mtinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"ipvs\", xt_ipvs_mtinfo]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"ipvs\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_ipvs_mtinfo]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"limit\", ebt_limit_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"limit\", ebt_limit_info]", TypeSize: 72}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"limit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_limit_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"mac\", xt_mac_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"mac\", xt_mac_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"mac\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_mac_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"mark_m\", ebt_mark_m_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"mark_m\", ebt_mark_m_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"mark_m\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_mark_m_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"nfacct\", xt_nfacct_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"nfacct\", xt_nfacct_match_info]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"nfacct\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_nfacct_match_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"owner\", xt_owner_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"owner\", xt_owner_match_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"owner\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_owner_match_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"physdev\", xt_physdev_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"physdev\", xt_physdev_info]", TypeSize: 152}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"physdev\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_physdev_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"pkttype\", ebt_pkttype_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"pkttype\", ebt_pkttype_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"pkttype\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_pkttype_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"quota\", xt_quota_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"quota\", xt_quota_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"quota\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_quota_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"rateest\", xt_rateest_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"rateest\", xt_rateest_match_info]", TypeSize: 112}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"rateest\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_rateest_match_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"realm\", xt_realm_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"realm\", xt_realm_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"realm\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_realm_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"state\", xt_state_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"state\", xt_state_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"state\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_state_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"statistic\", xt_statistic_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"statistic\", xt_statistic_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"statistic\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_statistic_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"stp\", ebt_stp_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"stp\", ebt_stp_info]", TypeSize: 112}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"stp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_stp_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"time\", xt_time_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"time\", xt_time_info]", TypeSize: 64}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"time\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_time_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"u32\", xt_u32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"u32\", xt_u32]", TypeSize: 2024}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"u32\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_u32]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_match[\"vlan\", ebt_vlan_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_match[\"vlan\", ebt_vlan_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"vlan\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "match_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_vlan_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_matches", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_entry_bitmask", FldName: "bitmask", TypeSize: 4}}, Vals: []uint64{3, 5, 9, 17}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_entry_invflags", FldName: "invflags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "ethproto", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "in", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "logical_in", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "out", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "logical_out", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sourcemac"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sourcemsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "destmac"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "destmsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "watchers_offset", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_offset", TypeSize: 4}}, BitSize: 8, Buf: "ebt_entry_watchers"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "next_offset", TypeSize: 4}}, BitSize: 8, Buf: "ebt_entry"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ebt_matches"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"\", flags[nf_verdicts, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"\", flags[nf_verdicts, int32]]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[flags[nf_verdicts, int32]]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"AUDIT\", xt_audit_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"AUDIT\", xt_audit_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"AUDIT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_audit_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"CLASSIFY\", xt_classify_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"CLASSIFY\", xt_classify_target_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"CLASSIFY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_classify_target_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"CONNSECMARK\", xt_connsecmark_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"CONNSECMARK\", xt_connsecmark_target_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"CONNSECMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_connsecmark_target_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN]]", TypeSize: 72}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"ERROR\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[array[int8, XT_FUNCTION_MAXNAMELEN]]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"IDLETIMER\", idletimer_tg_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"IDLETIMER\", idletimer_tg_info]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"IDLETIMER\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[idletimer_tg_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"LED\", xt_led_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"LED\", xt_led_info]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"LED\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_led_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"NFLOG\", xt_nflog_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"NFLOG\", xt_nflog_info]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"NFLOG\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_nflog_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"NFQUEUE\", xt_NFQ_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"NFQUEUE\", xt_NFQ_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"NFQUEUE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_NFQ_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"RATEEST\", xt_rateest_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"RATEEST\", xt_rateest_target_info]", TypeSize: 72}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"RATEEST\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_rateest_target_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"SECMARK\", xt_secmark_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"SECMARK\", xt_secmark_target_info]", TypeSize: 304}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"SECMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[xt_secmark_target_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"arpreply\", ebt_arpreply_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"arpreply\", ebt_arpreply_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"arpreply\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_arpreply_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"dnat\", ebt_nat_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"dnat\", ebt_nat_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"dnat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_nat_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"log\", ebt_log_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"log\", ebt_log_info]", TypeSize: 80}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"log\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_log_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"mark\", ebt_mark_t_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"mark\", ebt_mark_t_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"mark\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_mark_t_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"nflog\", ebt_nflog_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"nflog\", ebt_nflog_info]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"nflog\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_nflog_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"redirect\", ebt_redirect_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"redirect\", ebt_redirect_info]", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"redirect\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_redirect_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_target[\"snat\", ebt_nat_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_target[\"snat\", ebt_nat_info]", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"snat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "target_size", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_padded[ebt_nat_info]"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "ebt_entry_watchers[ebt_broute_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_watchers[ebt_broute_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_matches"}, FldName: "matches"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "watchers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ebt_broute_targets"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entry_watchers[ebt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_watchers[ebt_filter_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_matches"}, FldName: "matches"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "watchers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ebt_filter_targets"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_entry_watchers[ebt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_entry_watchers[ebt_nat_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_matches"}, FldName: "matches"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "watchers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ebt_nat_targets"}}, Kind: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ebt_filter_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_filter_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ebt_targets"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ebt_get_entries"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_get_entries", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ebt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "broute\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nentries", TypeSize: 4}}, Kind: 2, RangeBegin: 3, RangeEnd: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "entries_size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "num_counters", TypeSize: 4}}, Buf: "counters"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "ebt_getinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_getinfo", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ebt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "broute\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nentries", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "entries_size", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "counters", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "entries", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "ebt_ip6_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_ip6_info", TypeSize: 76}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "saddr"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "daddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "smsk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dmsk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tclass", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_ip6_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_ip6_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "ebt_ip_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_ip_info", TypeSize: 28}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "saddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "daddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "smsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "dmsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_types", FldName: "protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 115}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_ip_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_ip_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "ebt_limit_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_limit_info", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "burst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prev", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "credit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "credit_cap", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cost", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ebt_log_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_log_info", TypeSize: 36}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "loglevel", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prefix", TypeSize: 30}, Kind: 1, RangeBegin: 30, RangeEnd: 30},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_log_bitmask", FldName: "bitmask", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ebt_mac_wormhash"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_mac_wormhash", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "table", TypeSize: 1028}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 257, RangeEnd: 257},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "poolsize", TypeSize: 4}}, Buf: "pool"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pool", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_mac_wormhash_tuple"}}},
	}}},
	{Key: StructKey{Name: "ebt_mac_wormhash_tuple"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_mac_wormhash_tuple", TypeSize: 12}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "cmp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ip"},
	}}},
	{Key: StructKey{Name: "ebt_mark_m_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_mark_m_info", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "mark", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "mask", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_mark_m_flags", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_mark_m_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ebt_mark_t_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_mark_t_info", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_mark_marks", FldName: "mark", TypeSize: 8}}, Vals: []uint64{4294967280, 4294967264, 4294967248, 4294967232}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_verdicts", FldName: "target", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612, 18446744073709551613}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ebt_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_matches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"802_3\", ebt_802_3_info]"}, FldName: "m802_3"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"among\", ebt_among_info]"}, FldName: "among"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"arp\", ebt_arp_info]"}, FldName: "arp"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"ip\", ebt_ip_info]"}, FldName: "ip"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"ip6\", ebt_ip6_info]"}, FldName: "ip6"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"limit\", ebt_limit_info]"}, FldName: "limit"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"mark_m\", ebt_mark_m_info]"}, FldName: "mark_m"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"pkttype\", ebt_pkttype_info]"}, FldName: "pkttype"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"stp\", ebt_stp_info]"}, FldName: "stp"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"vlan\", ebt_vlan_info]"}, FldName: "vlan"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"cgroup\", xt_cgroup_info_v0]"}, FldName: "cgroup0"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"helper\", xt_helper_info]"}, FldName: "helper"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"rateest\", xt_rateest_match_info]"}, FldName: "rateest"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"time\", xt_time_info]"}, FldName: "time"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"bpf\", xt_bpf_info]"}, FldName: "bpf0"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"realm\", xt_realm_info]"}, FldName: "realm"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"connbytes\", xt_connbytes_info]"}, FldName: "connbytes"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"quota\", xt_quota_info]"}, FldName: "quota"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"ipvs\", xt_ipvs_mtinfo]"}, FldName: "ipvs"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"nfacct\", xt_nfacct_match_info]"}, FldName: "nfacct"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"mac\", xt_mac_info]"}, FldName: "mac"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"comment\", xt_comment_info]"}, FldName: "comment"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"statistic\", xt_statistic_info]"}, FldName: "statistic"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"physdev\", xt_physdev_info]"}, FldName: "physdev"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"connlabel\", xt_connlabel_mtinfo]"}, FldName: "connlabel"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"devgroup\", xt_devgroup_info]"}, FldName: "devgroup"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"cluster\", xt_cluster_match_info]"}, FldName: "cluster"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"owner\", xt_owner_match_info]"}, FldName: "owner"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"u32\", xt_u32]"}, FldName: "u32"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"cpu\", xt_cpu_info]"}, FldName: "cpu"},
		&StructType{Key: StructKey{Name: "ebt_entry_match[\"state\", xt_state_info]"}, FldName: "state"},
	}}},
	{Key: StructKey{Name: "ebt_nat_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_nat_info", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "mac"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_nat_verdicts", FldName: "target", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612, 18446744073709551613, 16}},
	}}},
	{Key: StructKey{Name: "ebt_nat_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_nat_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ebt_targets"}, FldName: "common"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"arpreply\", ebt_arpreply_info]"}, FldName: "arpreply"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"snat\", ebt_nat_info]"}, FldName: "snat"},
	}}},
	{Key: StructKey{Name: "ebt_nflog_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_nflog_info", TypeSize: 76}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "group", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "threshold", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prefix", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "ebt_pkttype_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_pkttype_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pkt_type", TypeSize: 1}}, Kind: 2, RangeEnd: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "ebt_redirect_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_redirect_info", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_verdicts", FldName: "target", TypeSize: 4}}, Vals: []uint64{18446744073709551614, 18446744073709551615, 18446744073709551612, 18446744073709551613}},
	}}},
	{Key: StructKey{Name: "ebt_replace"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_replace", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_replace_t[\"filter\", EBT_FILTER_VALID_HOOKS, ebt_filter_targets]"}, FldName: "filter"},
		&StructType{Key: StructKey{Name: "ebt_replace_t[\"nat\", EBT_NAT_VALID_HOOKS, ebt_nat_targets]"}, FldName: "nat"},
		&StructType{Key: StructKey{Name: "ebt_replace_t[\"broute\", EBT_BROUTE_VALID_HOOKS, ebt_broute_targets]"}, FldName: "broute"},
	}}},
	{Key: StructKey{Name: "ebt_replace_t[\"broute\", EBT_BROUTE_VALID_HOOKS, ebt_broute_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_replace_t[\"broute\", EBT_BROUTE_VALID_HOOKS, ebt_broute_targets]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"broute\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 32},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nentries", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "entries_size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entries[ebt_broute_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 4}},
	}}},
	{Key: StructKey{Name: "ebt_replace_t[\"filter\", EBT_FILTER_VALID_HOOKS, ebt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_replace_t[\"filter\", EBT_FILTER_VALID_HOOKS, ebt_filter_targets]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nentries", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "entries_size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entries[ebt_filter_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 4}},
	}}},
	{Key: StructKey{Name: "ebt_replace_t[\"nat\", EBT_NAT_VALID_HOOKS, ebt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_replace_t[\"nat\", EBT_NAT_VALID_HOOKS, ebt_nat_targets]", TypeSize: 120}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 25},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nentries", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "entries_size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 48}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ebt_entries[ebt_nat_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 4}},
	}}},
	{Key: StructKey{Name: "ebt_stp_config_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_stp_config_info", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "root_priol", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "root_priou", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "root_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "root_addrmsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "root_costl", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "root_costu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sender_priol", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sender_priou", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sender_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sender_addrmsk", TypeSize: 6}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_mask_vals", TypeSize: 1}}, Vals: []uint64{0, 255}, BitMask: true}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "portl", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "portu", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "msg_agel", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "msg_ageu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "max_agel", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "max_ageu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hello_timel", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hello_timeu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "forward_delayl", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "forward_delayu", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ebt_stp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_stp_info", TypeSize: 72}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&StructType{Key: StructKey{Name: "ebt_stp_config_info"}, FldName: "config"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_stp_flags", FldName: "bitmask", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_stp_flags", FldName: "invflags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ebt_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"dnat\", ebt_nat_info]"}, FldName: "dnat"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"log\", ebt_log_info]"}, FldName: "log"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"mark\", ebt_mark_t_info]"}, FldName: "mark"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"nflog\", ebt_nflog_info]"}, FldName: "nflog"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"redirect\", ebt_redirect_info]"}, FldName: "redirect"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"\", flags[nf_verdicts, int32]]"}, FldName: "STANDARD"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN]]"}, FldName: "ERROR"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"LED\", xt_led_info]"}, FldName: "LED"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"RATEEST\", xt_rateest_target_info]"}, FldName: "RATEEST"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"NFQUEUE\", xt_NFQ_info]"}, FldName: "NFQUEUE0"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"CLASSIFY\", xt_classify_target_info]"}, FldName: "CLASSIFY"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"IDLETIMER\", idletimer_tg_info]"}, FldName: "IDLETIMER"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"AUDIT\", xt_audit_info]"}, FldName: "AUDIT"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"CONNSECMARK\", xt_connsecmark_target_info]"}, FldName: "CONNSECMARK"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"SECMARK\", xt_secmark_target_info]"}, FldName: "SECMARK"},
		&StructType{Key: StructKey{Name: "ebt_entry_target[\"NFLOG\", xt_nflog_info]"}, FldName: "NFLOG"},
	}}},
	{Key: StructKey{Name: "ebt_vlan_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ebt_vlan_info", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "id", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "prio", TypeSize: 1}}, Kind: 2, RangeEnd: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "encap", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_vlan_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ebt_vlan_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
	}}},
	{Key: StructKey{Name: "elf32_phdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "elf32_phdr", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_ptypes", FldName: "p_type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 1610612736, 1879048192, 1685382481}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_offset", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_vaddr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_paddr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_filesz", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_memsz", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_align", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "elf64_phdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "elf64_phdr", TypeSize: 56}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_ptypes", FldName: "p_type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 1610612736, 1879048192, 1685382481}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p_flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_vaddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_paddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_filesz", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_memsz", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "p_align", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "elf_hdr[int32, ELF32_PHDR_SIZE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "elf_hdr[int32, ELF32_PHDR_SIZE]", TypeSize: 56}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident0", TypeSize: 1}}, Val: 127},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident1", TypeSize: 1}}, Val: 69},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident2", TypeSize: 1}}, Val: 76},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident3", TypeSize: 1}}, Val: 70},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_class", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_data", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_ver", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_osabi", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "e_ident_pad", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_types", FldName: "e_type", TypeSize: 2}}, Vals: []uint64{2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_machines", FldName: "e_machine", TypeSize: 2}}, Vals: []uint64{3, 6, 62}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_version", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_entry", TypeSize: 4}}, Kind: 2, RangeEnd: 1000},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "e_phoff", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_shoff", TypeSize: 4}}, Kind: 2, RangeEnd: 1000},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_ehsize", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_phentsize", TypeSize: 2}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_phnum", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shentsize", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shnum", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shstrndx", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "elf_hdr[int64, ELF64_PHDR_SIZE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "elf_hdr[int64, ELF64_PHDR_SIZE]", TypeSize: 64}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident0", TypeSize: 1}}, Val: 127},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident1", TypeSize: 1}}, Val: 69},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident2", TypeSize: 1}}, Val: 76},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_ident3", TypeSize: 1}}, Val: 70},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_class", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_data", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_ver", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "e_ident_osabi", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "e_ident_pad", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_types", FldName: "e_type", TypeSize: 2}}, Vals: []uint64{2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "elf_machines", FldName: "e_machine", TypeSize: 2}}, Vals: []uint64{3, 6, 62}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_version", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "e_entry", TypeSize: 8}}, Kind: 2, RangeEnd: 1000},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "e_phoff", TypeSize: 8}}, BitSize: 8, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "e_shoff", TypeSize: 8}}, Kind: 2, RangeEnd: 1000},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "e_flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_ehsize", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "e_phentsize", TypeSize: 2}}, Val: 56},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_phnum", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shentsize", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shnum", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "e_shstrndx", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "epoll_event"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "epoll_event", TypeSize: 12}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "epoll_ev", FldName: "ev", TypeSize: 4}}, Vals: []uint64{1, 4, 8192, 2, 8, 16, 2147483648, 1073741824, 268435456, 536870912}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "data", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "epoll_event", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "epoll_event", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "epoll_ev", FldName: "ev", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 4, 8192, 2, 8, 16, 2147483648, 1073741824, 268435456, 536870912}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "data", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "erspan_base_hdr[1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "erspan_base_hdr[1]", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vlan_upper", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ver", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vlan", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "session_id_upper", TypeSize: 1}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "t", TypeSize: 1}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "en", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cos", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "session_id", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "erspan_base_hdr[2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "erspan_base_hdr[2]", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vlan_upper", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ver", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vlan", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "session_id_upper", TypeSize: 1}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "t", TypeSize: 1}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "en", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cos", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "session_id", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "erspan_md1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "erspan_md1", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "erspan_base_hdr[1]"}, FldName: "base"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 4}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "index", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "erspan_md2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "erspan_md2", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "erspan_base_hdr[2]"}, FldName: "base"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 4}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "timestamp", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sgt", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hwid_upper", TypeSize: 1}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ft", TypeSize: 1}, BitfieldOff: 2, BitfieldLen: 5, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "p", TypeSize: 1}, BitfieldOff: 7, BitfieldLen: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "o", TypeSize: 1}, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "gra", TypeSize: 1}, BitfieldOff: 1, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dir", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hwid", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 1}},
	}}},
	{Key: StructKey{Name: "eth2_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "eth2_packet_generic"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_ARP, arp_packet]"}, FldName: "arp"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_IP, ipv4_packet]"}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_IPV6, ipv6_packet]"}, FldName: "ipv6"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_802_2, llc_packet]"}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_TR_802_2, llc_packet]"}, FldName: "llc_tr"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_IPX, ipx_packet]"}, FldName: "ipx"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_X25, x25_packet]"}, FldName: "x25"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_MPLS_UC, mpls_packet]"}, FldName: "mpls_uc"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_MPLS_MC, mpls_packet]"}, FldName: "mpls_mc"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_CAN, can_frame]"}, FldName: "can"},
		&StructType{Key: StructKey{Name: "eth2_packet_t[ETH_P_CANFD, canfd_frame]"}, FldName: "canfd"},
	}}},
	{Key: StructKey{Name: "eth2_packet_generic"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_generic", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_802_2, llc_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_802_2, llc_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 4},
		&StructType{Key: StructKey{Name: "llc_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_ARP, arp_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_ARP, arp_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 2054},
		&UnionType{Key: StructKey{Name: "arp_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_CAN, can_frame]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_CAN, can_frame]", TypeSize: 18}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 12},
		&StructType{Key: StructKey{Name: "can_frame_t[CAN_MAX_DLEN]"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_CANFD, canfd_frame]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_CANFD, canfd_frame]", TypeSize: 74}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 13},
		&StructType{Key: StructKey{Name: "can_frame_t[CANFD_MAX_DLEN]"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_IP, ipv4_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_IP, ipv4_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 2048},
		&StructType{Key: StructKey{Name: "ipv4_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_IPV6, ipv6_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_IPV6, ipv6_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 34525},
		&StructType{Key: StructKey{Name: "ipv6_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_IPX, ipx_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_IPX, ipx_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 33079},
		&StructType{Key: StructKey{Name: "ipx_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_MPLS_MC, mpls_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_MPLS_MC, mpls_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 34888},
		&StructType{Key: StructKey{Name: "mpls_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_MPLS_UC, mpls_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_MPLS_UC, mpls_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 34887},
		&StructType{Key: StructKey{Name: "mpls_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_TR_802_2, llc_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_TR_802_2, llc_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 17},
		&StructType{Key: StructKey{Name: "llc_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth2_packet_t[ETH_P_X25, x25_packet]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth2_packet_t[ETH_P_X25, x25_packet]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "etype", TypeSize: 2}, ArgFormat: 1}, Val: 2053},
		&StructType{Key: StructKey{Name: "x25_packet"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth_packet", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "dst_mac"},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "src_mac"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "vtag", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "vlan_tag"}}, Kind: 1, RangeEnd: 1},
		&StructType{Key: StructKey{Name: "eth_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "eth_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "eth_payload", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "eth2_packet"}, FldName: "eth2"},
	}}},
	{Key: StructKey{Name: "ethhdr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethhdr", TypeSize: 14, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "h_dest"},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "h_source"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "h_proto", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ethtool_ah_espip4_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_ah_espip4_spec", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4src"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_ah_espip6_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_ah_espip6_spec", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6src"},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tclass", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_channels", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_channels", TypeSize: 36, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_channels_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{60, 61}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_rx", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_tx", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_other", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_combined", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_count", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_count", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "other_count", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "combined_count", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_cmd", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_cmd", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "supported", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "advertising", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "speed", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "duplex", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "phy_address", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "transceiver", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "autoneg", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mdio_support", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maxtxpkt", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maxrxpkt", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "speed_hi", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "eth_tp_mdix", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "eth_tp_mdix_ctrl", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lp_advertising", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ethtool_cmd_u", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_cmd_u", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ethtool_cmd", Dir: 2}, FldName: "ethtool_cmd"},
		&StructType{Key: StructKey{Name: "ethtool_drvinfo", Dir: 2}, FldName: "ethtool_drvinfo"},
		&StructType{Key: StructKey{Name: "ethtool_wolinfo", Dir: 2}, FldName: "ethtool_wolinfo"},
		&StructType{Key: StructKey{Name: "ethtool_regs", Dir: 2}, FldName: "ethtool_regs"},
		&StructType{Key: StructKey{Name: "ethtool_eeprom", Dir: 2}, FldName: "ethtool_eeprom"},
		&StructType{Key: StructKey{Name: "ethtool_eee", Dir: 2}, FldName: "ethtool_eee"},
		&StructType{Key: StructKey{Name: "ethtool_modinfo", Dir: 2}, FldName: "ethtool_modinfo"},
		&StructType{Key: StructKey{Name: "ethtool_coalesce", Dir: 2}, FldName: "ethtool_coalesce"},
		&StructType{Key: StructKey{Name: "ethtool_ringparam", Dir: 2}, FldName: "ethtool_ringparam"},
		&StructType{Key: StructKey{Name: "ethtool_channels", Dir: 2}, FldName: "ethtool_channels"},
		&StructType{Key: StructKey{Name: "ethtool_pauseparam", Dir: 2}, FldName: "ethtool_pauseparam"},
		&StructType{Key: StructKey{Name: "ethtool_gstrings", Dir: 2}, FldName: "ethtool_gstrings"},
		&StructType{Key: StructKey{Name: "ethtool_sset_info", Dir: 2}, FldName: "ethtool_sset_info"},
		&StructType{Key: StructKey{Name: "ethtool_test", Dir: 2}, FldName: "ethtool_test"},
		&StructType{Key: StructKey{Name: "ethtool_stats", Dir: 2}, FldName: "ethtool_stats"},
		&StructType{Key: StructKey{Name: "ethtool_perm_addr", Dir: 2}, FldName: "ethtool_perm_addr"},
		&StructType{Key: StructKey{Name: "ethtool_rxnfc", Dir: 2}, FldName: "ethtool_rxnfc"},
		&StructType{Key: StructKey{Name: "ethtool_rxfh_indir", Dir: 2}, FldName: "ethtool_rxfh_indir"},
		&StructType{Key: StructKey{Name: "ethtool_rxfh", Dir: 2}, FldName: "ethtool_rxfh"},
		&StructType{Key: StructKey{Name: "ethtool_rx_ntuple", Dir: 2}, FldName: "ethtool_rx_ntuple"},
		&StructType{Key: StructKey{Name: "ethtool_flash", Dir: 2}, FldName: "ethtool_flash"},
		&StructType{Key: StructKey{Name: "ethtool_dump", Dir: 2}, FldName: "ethtool_dump"},
		&StructType{Key: StructKey{Name: "ethtool_gfeatures", Dir: 2}, FldName: "ethtool_gfeatures"},
		&StructType{Key: StructKey{Name: "ethtool_sfeatures", Dir: 2}, FldName: "ethtool_sfeatures"},
		&StructType{Key: StructKey{Name: "ethtool_ts_info", Dir: 2}, FldName: "ethtool_ts_info"},
		&StructType{Key: StructKey{Name: "ethtool_per_queue_op", Dir: 2}, FldName: "ethtool_per_queue_op"},
		&StructType{Key: StructKey{Name: "ethtool_link_settings", Dir: 2}, FldName: "ethtool_link_settings"},
	}}},
	{Key: StructKey{Name: "ethtool_coalesce", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_coalesce", TypeSize: 92, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_coalesce_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{14, 15}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_coalesce_usecs", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_max_coalesced_frames", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_coalesce_usecs_irq", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_max_coalesced_frames_irq", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_coalesce_usecs", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_max_coalesced_frames", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_coalesce_usecs_irq", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_max_coalesced_frames_irq", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stats_block_coalesce_usecs", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "use_adaptive_rx_coalesce", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "use_adaptive_tx_coalesce", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pkt_rate_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_coalesce_usecs_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_max_coalesced_frames_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_coalesce_usecs_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_max_coalesced_frames_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pkt_rate_high", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_coalesce_usecs_high", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_max_coalesced_frames_high", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_coalesce_usecs_high", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_max_coalesced_frames_high", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate_sample_interval", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_drvinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_drvinfo", TypeSize: 196, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "driver", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "version", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fw_version", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "bus_info", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "erom_version", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved2", TypeSize: 12, ArgDir: 2}, Kind: 1, RangeBegin: 12, RangeEnd: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n_priv_flags", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n_stats", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "testinfo_len", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eedump_len", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "regdump_len", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_dump", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_dump", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_dump_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{63, 64, 62}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flag", TypeSize: 4, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_eee", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_eee", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_eee_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{68, 69}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "supported", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "advertised", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lp_advertised", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eee_active", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eee_enabled", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_lpi_enabled", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_lpi_timer", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ethtool_eeprom", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_eeprom", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_eeprom_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{11, 67, 12}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "magic", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_flash", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_flash", TypeSize: 136, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 51},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "region", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 128, ArgDir: 2}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "ethtool_flow_ext", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_flow_ext", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "padding", TypeSize: 2, ArgDir: 2}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "h_dest"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "vlan_etype", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "vlan_tci", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 8, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "ethtool_flow_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_flow_union", TypeSize: 52, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "tcp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "udp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "sctp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip4_spec", Dir: 2}, FldName: "ah_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip4_spec", Dir: 2}, FldName: "esp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_usrip4_spec", Dir: 2}, FldName: "usr_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip6_spec", Dir: 2}, FldName: "tcp_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip6_spec", Dir: 2}, FldName: "udp_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip6_spec", Dir: 2}, FldName: "sctp_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip6_spec", Dir: 2}, FldName: "ah_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip6_spec", Dir: 2}, FldName: "esp_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethtool_usrip6_spec", Dir: 2}, FldName: "usr_ip6_spec"},
		&StructType{Key: StructKey{Name: "ethhdr", Dir: 2}, FldName: "ether_spec"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hdata", TypeSize: 52, ArgDir: 2}, Kind: 1, RangeBegin: 52, RangeEnd: 52},
	}}},
	{Key: StructKey{Name: "ethtool_get_features_block", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_get_features_block", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "available", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "requested", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "active", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "never_changed", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_gfeatures", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_gfeatures", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 58},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4, ArgDir: 2}}, Buf: "features"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "features", ArgDir: 2, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ethtool_get_features_block", Dir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_gstrings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_gstrings", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "string_set", TypeSize: 4, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_link_settings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_link_settings", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_link_settings_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{76, 77}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "speed", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "duplex", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "phy_address", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "autoneg", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mdio_support", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "eth_tp_mdix", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "eth_tp_mdix_ctrl", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "link_mode_masks_nwords", TypeSize: 1, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "link_mode_masks", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_modinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_modinfo", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 66},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eeprom_len", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "ethtool_pauseparam", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_pauseparam", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_pauseparam_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{18, 19}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "autoneg", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_pause", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_pause", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_per_queue_op", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_per_queue_op", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 75},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sub_command", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "queue_mask", TypeSize: 16384, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4096, RangeEnd: 4096},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_perm_addr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_perm_addr", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 32},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_regs", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_regs", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ethtool_ringparam", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_ringparam", TypeSize: 36, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_ringparam_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{16, 17}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_max_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_mini_max_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_jumbo_max_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_max_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_mini_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_jumbo_pending", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_pending", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_rx_flow_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rx_flow_spec", TypeSize: 168, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "traffic_flow_types", FldName: "flow_type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 13, 14, 16, 17, 18}},
		&UnionType{Key: StructKey{Name: "ethtool_flow_union", Dir: 2}, FldName: "h_u"},
		&StructType{Key: StructKey{Name: "ethtool_flow_ext", Dir: 2}, FldName: "h_ext"},
		&UnionType{Key: StructKey{Name: "ethtool_flow_union", Dir: 2}, FldName: "m_u"},
		&StructType{Key: StructKey{Name: "ethtool_flow_ext", Dir: 2}, FldName: "m_ext"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ring_cookie", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "location", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_rx_ntuple", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rx_ntuple", TypeSize: 184, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 53},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "ethtool_rx_ntuple_flow_spec", Dir: 2}, FldName: "fs"},
	}}},
	{Key: StructKey{Name: "ethtool_rx_ntuple_flow_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rx_ntuple_flow_spec", TypeSize: 176, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "traffic_flow_types", FldName: "flow_type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 13, 14, 16, 17, 18}},
		&UnionType{Key: StructKey{Name: "ethtool_rx_ntuple_flow_spec_union", Dir: 2}, FldName: "h_u"},
		&UnionType{Key: StructKey{Name: "ethtool_rx_ntuple_flow_spec_union", Dir: 2}, FldName: "m_u"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vlan_tag", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vlan_tag_mask", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data_mask", TypeSize: 8, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_rx_ntuple_flow_spec_action_flags", FldName: "action", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{18446744073709551615, 18446744073709551614}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_rx_ntuple_flow_spec_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rx_ntuple_flow_spec_union", TypeSize: 72, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "tcp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "udp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, FldName: "sctp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip4_spec", Dir: 2}, FldName: "ah_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_ah_espip4_spec", Dir: 2}, FldName: "esp_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethtool_usrip4_spec", Dir: 2}, FldName: "usr_ip4_spec"},
		&StructType{Key: StructKey{Name: "ethhdr", Dir: 2}, FldName: "ether_spec"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hdata", TypeSize: 72, ArgDir: 2}, Kind: 1, RangeBegin: 72, RangeEnd: 72},
	}}},
	{Key: StructKey{Name: "ethtool_rxfh", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rxfh", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_rxfh_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{70, 71}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rss_context", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "indir_size", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key_size", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hfunc", TypeSize: 1, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rsvd8", TypeSize: 3, ArgDir: 2}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rsvd32", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rss_config", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_rxfh_indir", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rxfh_indir", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_rxfh_indir_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{56, 57}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4, ArgDir: 2}}, Buf: "ring_index"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ring_index", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_rxnfc", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_rxnfc", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_rxnfc_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{41, 42, 45, 46, 47, 48, 49, 50}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "traffic_flow_types", FldName: "flow_type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 13, 14, 16, 17, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data", TypeSize: 8, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "ethtool_rx_flow_spec", Dir: 2}, FldName: "fs"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rule_cnt", TypeSize: 4, ArgDir: 2}}, Buf: "rule_locs"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rule_locs", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_set_features_block", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_set_features_block", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "valid", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "requested", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_sfeatures", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_sfeatures", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 59},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4, ArgDir: 2}}, Buf: "features"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "features", ArgDir: 2, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ethtool_set_features_block", Dir: 2}}},
	}}},
	{Key: StructKey{Name: "ethtool_sset_info", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_sset_info", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 55},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sset_mask", TypeSize: 8, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_stats", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_stats", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 29},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "n_stats", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_tcpip4_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_tcpip4_spec", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4src"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "psrc", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "pdst", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_tcpip6_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_tcpip6_spec", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6src"},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "psrc", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "pdst", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tclass", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_test", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_test", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 26},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "data"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "ethtool_ts_info", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_ts_info", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Val: 65},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "so_timestamping", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "phc_index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tx_types", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tx_reserved", TypeSize: 12, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rx_filters", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rx_reserved", TypeSize: 12, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "ethtool_usrip4_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_usrip4_spec", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4src"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "ip4dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "l4_4_bytes", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ip_ver", TypeSize: 1, ArgDir: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_usrip6_spec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_usrip6_spec", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6src"},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "ip6dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "l4_4_bytes", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tclass", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "l4_proto", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ethtool_wolinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ethtool_wolinfo", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ethtool_wolinfo_cmd_flags", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{5, 6}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "supported", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wolopts", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sopass", TypeSize: 6, ArgDir: 2}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "exec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "exec", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "aouthdr_magics", FldName: "magic", TypeSize: 2}}, Vals: []uint64{263, 264, 267, 204}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "machtype", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "a_text", TypeSize: 4}}, Kind: 2, RangeEnd: 1000},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "a_data", TypeSize: 4}}, Kind: 2, RangeEnd: 1000},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "a_bss", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "a_syms", TypeSize: 4}}, Kind: 2, RangeEnd: 1000},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "a_entry", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a_trsize", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a_drsize", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ext4_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ext4_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "bsddf", TypeSize: 5}, Kind: 2, Values: []string{"bsddf"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "minixdf", TypeSize: 7}, Kind: 2, Values: []string{"minixdf"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpid", TypeSize: 5}, Kind: 2, Values: []string{"grpid"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "bsdgroups", TypeSize: 9}, Kind: 2, Values: []string{"bsdgroups"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nogrpid", TypeSize: 7}, Kind: 2, Values: []string{"nogrpid"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "sysvgroups", TypeSize: 10}, Kind: 2, Values: []string{"sysvgroups"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_continue", TypeSize: 15}, Kind: 2, Values: []string{"errors=continue"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_remount", TypeSize: 17}, Kind: 2, Values: []string{"errors=remount-ro"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nouid32", TypeSize: 7}, Kind: 2, Values: []string{"nouid32"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "debug", TypeSize: 5}, Kind: 2, Values: []string{"debug"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "oldalloc", TypeSize: 8}, Kind: 2, Values: []string{"oldalloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "orlov", TypeSize: 5}, Kind: 2, Values: []string{"orlov"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "user_xattr", TypeSize: 10}, Kind: 2, Values: []string{"user_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nouser_xattr", TypeSize: 12}, Kind: 2, Values: []string{"nouser_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "acl", TypeSize: 3}, Kind: 2, Values: []string{"acl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noacl", TypeSize: 5}, Kind: 2, Values: []string{"noacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norecovery", TypeSize: 10}, Kind: 2, Values: []string{"norecovery"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noload", TypeSize: 6}, Kind: 2, Values: []string{"noload"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobh", TypeSize: 4}, Kind: 2, Values: []string{"nobh"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "bh", TypeSize: 2}, Kind: 2, Values: []string{"bh"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "journal_checksum", TypeSize: 16}, Kind: 2, Values: []string{"journal_checksum"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nojournal_checksum", TypeSize: 18}, Kind: 2, Values: []string{"nojournal_checksum"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "journal_async_commit", TypeSize: 20}, Kind: 2, Values: []string{"journal_async_commit"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "abort", TypeSize: 5}, Kind: 2, Values: []string{"abort"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_journal", TypeSize: 12}, Kind: 2, Values: []string{"data=journal"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_ordered", TypeSize: 12}, Kind: 2, Values: []string{"data=ordered"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_writeback", TypeSize: 14}, Kind: 2, Values: []string{"data=writeback"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_err_abort", TypeSize: 14}, Kind: 2, Values: []string{"data_err=abort"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_err_ignore", TypeSize: 15}, Kind: 2, Values: []string{"data_err=ignore"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrjquota", TypeSize: 10}, Kind: 2, Values: []string{"usrjquota="}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpjquota", TypeSize: 10}, Kind: 2, Values: []string{"grpjquota="}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsold", TypeSize: 12}, Kind: 2, Values: []string{"jqfmt=vfsold"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsv0", TypeSize: 11}, Kind: 2, Values: []string{"jqfmt=vfsv0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsv1", TypeSize: 11}, Kind: 2, Values: []string{"jqfmt=vfsv1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpquota", TypeSize: 8}, Kind: 2, Values: []string{"grpquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota", TypeSize: 5}, Kind: 2, Values: []string{"quota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrquota", TypeSize: 8}, Kind: 2, Values: []string{"usrquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "prjquota", TypeSize: 8}, Kind: 2, Values: []string{"prjquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "i_version", TypeSize: 9}, Kind: 2, Values: []string{"i_version"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dax", TypeSize: 3}, Kind: 2, Values: []string{"dax"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "delalloc", TypeSize: 8}, Kind: 2, Values: []string{"delalloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lazytime", TypeSize: 8}, Kind: 2, Values: []string{"lazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nolazytime", TypeSize: 10}, Kind: 2, Values: []string{"nolazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodelalloc", TypeSize: 10}, Kind: 2, Values: []string{"nodelalloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "mblk_io_submit", TypeSize: 14}, Kind: 2, Values: []string{"mblk_io_submit"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nomblk_io_submit", TypeSize: 16}, Kind: 2, Values: []string{"nomblk_io_submit"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "block_validity", TypeSize: 14}, Kind: 2, Values: []string{"block_validity"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noblock_validity", TypeSize: 16}, Kind: 2, Values: []string{"noblock_validity"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "auto_da_alloc", TypeSize: 13}, Kind: 2, Values: []string{"auto_da_alloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noauto_da_alloc", TypeSize: 15}, Kind: 2, Values: []string{"noauto_da_alloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dioread_nolock", TypeSize: 14}, Kind: 2, Values: []string{"dioread_nolock"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dioread_lock", TypeSize: 12}, Kind: 2, Values: []string{"dioread_lock"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "init_itable", TypeSize: 11}, Kind: 2, Values: []string{"init_itable"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noinit_itable", TypeSize: 13}, Kind: 2, Values: []string{"noinit_itable"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "test_dummy_encryption", TypeSize: 21}, Kind: 2, Values: []string{"test_dummy_encryption"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nombcache", TypeSize: 9}, Kind: 2, Values: []string{"nombcache"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"resgid\", fmt[hex, gid]]"}, FldName: "resgid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"resuid\", fmt[hex, uid]]"}, FldName: "resuid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"sb\", fmt[hex, int32]]"}, FldName: "sb"},
		&StructType{Key: StructKey{Name: "fs_opt[\"commit\", fmt[hex, int32]]"}, FldName: "commit"},
		&StructType{Key: StructKey{Name: "fs_opt[\"min_batch_time\", fmt[hex, int32]]"}, FldName: "min_batch_time"},
		&StructType{Key: StructKey{Name: "fs_opt[\"max_batch_time\", fmt[hex, int32]]"}, FldName: "max_batch_time"},
		&StructType{Key: StructKey{Name: "fs_opt[\"journal_dev\", fmt[hex, int32]]"}, FldName: "journal_dev"},
		&StructType{Key: StructKey{Name: "fs_opt[\"barrier\", fmt[hex, int32]]"}, FldName: "barrier_val"},
		&StructType{Key: StructKey{Name: "fs_opt[\"stripe\", fmt[hex, int32]]"}, FldName: "stripe"},
		&StructType{Key: StructKey{Name: "fs_opt[\"debug_want_extra_isize\", fmt[hex, int32]]"}, FldName: "debug_want_extra_isize"},
		&StructType{Key: StructKey{Name: "fs_opt[\"inode_readahead_blks\", fmt[hex, flags[ext4_inode_readahead_blks]]]"}, FldName: "inode_readahead_blks"},
		&StructType{Key: StructKey{Name: "fs_opt[\"journal_ioprio\", fmt[hex, int32[0:7]]]"}, FldName: "journal_ioprio"},
		&StructType{Key: StructKey{Name: "fs_opt[\"auto_da_alloc\", fmt[hex, int32]]"}, FldName: "auto_da_alloc_val"},
		&StructType{Key: StructKey{Name: "fs_opt[\"init_itable\", fmt[hex, int32]]"}, FldName: "init_itable_val"},
		&StructType{Key: StructKey{Name: "fs_opt[\"max_dir_size_kb\", fmt[hex, int32]]"}, FldName: "max_dir_size_kb"},
		&StructType{Key: StructKey{Name: "fs_opt[\"journal_path\", stringnoz[filename]]"}, FldName: "journal_path"},
		&StructType{Key: StructKey{Name: "fs_opt[\"grpjquota\", stringnoz[filename]]"}, FldName: "grpjquota_path"},
		&StructType{Key: StructKey{Name: "fs_opt[\"usrjquota\", stringnoz[filename]]"}, FldName: "usrjquota_path"},
	}}},
	{Key: StructKey{Name: "f2fs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f2fs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "background_gc_sync", TypeSize: 18}, Kind: 2, Values: []string{"background_gc=sync"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "background_gc_off", TypeSize: 17}, Kind: 2, Values: []string{"background_gc=off"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "background_gc_on", TypeSize: 16}, Kind: 2, Values: []string{"background_gc=on"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "disable_roll_forward", TypeSize: 20}, Kind: 2, Values: []string{"disable_roll_forward"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norecovery", TypeSize: 10}, Kind: 2, Values: []string{"norecovery"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noheap", TypeSize: 6}, Kind: 2, Values: []string{"noheap"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "heap", TypeSize: 4}, Kind: 2, Values: []string{"heap"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "user_xattr", TypeSize: 10}, Kind: 2, Values: []string{"user_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nouser_xattr", TypeSize: 12}, Kind: 2, Values: []string{"nouser_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "acl", TypeSize: 3}, Kind: 2, Values: []string{"acl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noacl", TypeSize: 5}, Kind: 2, Values: []string{"noacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "six_active_logs", TypeSize: 13}, Kind: 2, Values: []string{"active_logs=6"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "four_active_logs", TypeSize: 13}, Kind: 2, Values: []string{"active_logs=4"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "two_active_logs", TypeSize: 13}, Kind: 2, Values: []string{"active_logs=2"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "disable_ext_identify", TypeSize: 20}, Kind: 2, Values: []string{"disable_ext_identify"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inline_xattr", TypeSize: 12}, Kind: 2, Values: []string{"inline_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noinline_xattr", TypeSize: 14}, Kind: 2, Values: []string{"noinline_xattr"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"inline_xattr_size\", fmt[hex, int32]]"}, FldName: "inline_xattr_size"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inline_data", TypeSize: 11}, Kind: 2, Values: []string{"inline_data"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noinline_data", TypeSize: 13}, Kind: 2, Values: []string{"noinline_data"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inline_dentry", TypeSize: 13}, Kind: 2, Values: []string{"inline_dentry"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noinline_dentry", TypeSize: 15}, Kind: 2, Values: []string{"noinline_dentry"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "flush_merge", TypeSize: 11}, Kind: 2, Values: []string{"flush_merge"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noflush_merge", TypeSize: 13}, Kind: 2, Values: []string{"noflush_merge"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fastboot", TypeSize: 8}, Kind: 2, Values: []string{"fastboot"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "extent_cache", TypeSize: 12}, Kind: 2, Values: []string{"extent_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noextent_cache", TypeSize: 14}, Kind: 2, Values: []string{"noextent_cache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_flush", TypeSize: 10}, Kind: 2, Values: []string{"data_flush"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "adaptive_mode", TypeSize: 13}, Kind: 2, Values: []string{"mode=adaptive"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lfs_mode", TypeSize: 8}, Kind: 2, Values: []string{"mode=lfs"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"resgid\", fmt[hex, gid]]"}, FldName: "resgid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"resuid\", fmt[hex, uid]]"}, FldName: "resuid"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lazytime", TypeSize: 8}, Kind: 2, Values: []string{"lazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nolazytime", TypeSize: 10}, Kind: 2, Values: []string{"nolazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota", TypeSize: 5}, Kind: 2, Values: []string{"quota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"usrquota\", stringnoz]"}, FldName: "usrquota"},
		&StructType{Key: StructKey{Name: "fs_opt[\"grpquota\", stringnoz]"}, FldName: "grpquota"},
		&StructType{Key: StructKey{Name: "fs_opt[\"prjquota\", stringnoz]"}, FldName: "prjquota"},
		&StructType{Key: StructKey{Name: "fs_opt[\"usrjquota\", stringnoz]"}, FldName: "usrjquota"},
		&StructType{Key: StructKey{Name: "fs_opt[\"grpjquota\", stringnoz]"}, FldName: "grpjquota"},
		&StructType{Key: StructKey{Name: "fs_opt[\"prjjquota\", stringnoz]"}, FldName: "prjjquota"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsold", TypeSize: 12}, Kind: 2, Values: []string{"jqfmt=vfsold"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsv0", TypeSize: 11}, Kind: 2, Values: []string{"jqfmt=vfsv0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsv1", TypeSize: 11}, Kind: 2, Values: []string{"jqfmt=vfsv1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "whint_mode_user", TypeSize: 21}, Kind: 2, Values: []string{"whint_mode=user-based"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "whint_mode_off", TypeSize: 14}, Kind: 2, Values: []string{"whint_mode=off"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "whint_mode_fs", TypeSize: 19}, Kind: 2, Values: []string{"whint_mode=fs-based"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "alloc_mode_def", TypeSize: 18}, Kind: 2, Values: []string{"alloc_mode=default"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "alloc_mode_reuse", TypeSize: 16}, Kind: 2, Values: []string{"alloc_mode=reuse"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fsync_mode_posix", TypeSize: 16}, Kind: 2, Values: []string{"fsync_mode=posix"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fsync_mode_strict", TypeSize: 17}, Kind: 2, Values: []string{"fsync_mode=strict"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "test_dummy_encryption", TypeSize: 21}, Kind: 2, Values: []string{"test_dummy_encryption"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "f_basic_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_basic_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_CLASSID, int16], tcm_handle]"}, FldName: "TCA_BASIC_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_EMATCHES, int16], array[tca_ematches]]"}, FldName: "TCA_BASIC_EMATCHES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_ACT, int16], tca_actions]"}, FldName: "TCA_BASIC_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_POLICE, int16], tca_polices]"}, FldName: "TCA_BASIC_POLICE"},
	}}},
	{Key: StructKey{Name: "f_bpf_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_bpf_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_ACT, int16], tca_actions]"}, FldName: "TCA_BPF_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_POLICE, int16], tca_polices]"}, FldName: "TCA_BPF_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_CLASSID, int16], tcm_handle]"}, FldName: "TCA_BPF_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_OPS_LEN, int16], int16[0:10]]"}, FldName: "TCA_BPF_OPS_LEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_OPS, int16], array[sock_filter]]"}, FldName: "TCA_BPF_OPS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FD, int16], fd]"}, FldName: "TCA_BPF_FD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_NAME, int16], string[filename]]"}, FldName: "TCA_BPF_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FLAGS, int16], int32[0:1]]"}, FldName: "TCA_BPF_FLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FLAGS_GEN, int16], int32[0:8]]"}, FldName: "TCA_BPF_FLAGS_GEN"},
	}}},
	{Key: StructKey{Name: "f_cgroup_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_cgroup_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_ACT, int16], tca_actions]"}, FldName: "TCA_CGROUP_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_POLICE, int16], tca_polices]"}, FldName: "TCA_CGROUP_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_EMATCHES, int16], array[tca_ematches]]"}, FldName: "TCA_CGROUP_EMATCHES"},
	}}},
	{Key: StructKey{Name: "f_flow_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_flow_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_KEYS, int16], int32[0:0x1ffff]]"}, FldName: "TCA_FLOW_KEYS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_MODE, int16], flags[tc_flow_modes, int32]]"}, FldName: "TCA_FLOW_MODE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_BASECLASS, int16], tcm_handle]"}, FldName: "TCA_FLOW_BASECLASS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_RSHIFT, int16], int32]"}, FldName: "TCA_FLOW_RSHIFT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_ADDEND, int16], int32]"}, FldName: "TCA_FLOW_ADDEND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_MASK, int16], int32]"}, FldName: "TCA_FLOW_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_XOR, int16], int32]"}, FldName: "TCA_FLOW_XOR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_DIVISOR, int16], int32]"}, FldName: "TCA_FLOW_DIVISOR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_ACT, int16], tca_actions]"}, FldName: "TCA_FLOW_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_POLICE, int16], tca_polices]"}, FldName: "TCA_FLOW_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_EMATCHES, int16], array[tca_ematches]]"}, FldName: "TCA_FLOW_EMATCHES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_PERTURB, int16], int32]"}, FldName: "TCA_FLOW_PERTURB"},
	}}},
	{Key: StructKey{Name: "f_fw_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_fw_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FW_CLASSID, int16], tcm_handle]"}, FldName: "TCA_FW_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FW_POLICE, int16], tca_polices]"}, FldName: "TCA_FW_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FW_INDEV, int16], devname]"}, FldName: "TCA_FW_INDEV"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FW_ACT, int16], tca_actions]"}, FldName: "TCA_FW_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FW_MASK, int16], int32]"}, FldName: "TCA_FW_MASK"},
	}}},
	{Key: StructKey{Name: "f_matchall_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_matchall_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_CLASSID, int16], tcm_handle]"}, FldName: "TCA_MATCHALL_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_ACT, int16], tca_actions]"}, FldName: "TCA_MATCHALL_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_FLAGS, int16], int32[0:8]]"}, FldName: "TCA_MATCHALL_FLAGS"},
	}}},
	{Key: StructKey{Name: "f_owner_ex"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_owner_ex", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "f_owner_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "f_owner_ex", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_owner_ex", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "f_owner_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "f_rfvp6_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_rfvp6_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_CLASSID, int16], tcm_handle]"}, FldName: "TCA_RSVP_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_DST, int16], ipv6_addr]"}, FldName: "TCA_RSVP_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv6_addr]"}, FldName: "TCA_RSVP_SRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_PINFO, int16], tc_rsvp_pinfo]"}, FldName: "TCA_RSVP_PINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_POLICE, int16], tca_polices]"}, FldName: "TCA_RSVP_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_ACT, int16], tca_actions]"}, FldName: "TCA_RSVP_ACT"},
	}}},
	{Key: StructKey{Name: "f_rfvp_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_rfvp_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_CLASSID, int16], tcm_handle]"}, FldName: "TCA_RSVP_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_DST, int16], ipv4_addr]"}, FldName: "TCA_RSVP_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv4_addr]"}, FldName: "TCA_RSVP_SRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_PINFO, int16], tc_rsvp_pinfo]"}, FldName: "TCA_RSVP_PINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_POLICE, int16], tca_polices]"}, FldName: "TCA_RSVP_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_ACT, int16], tca_actions]"}, FldName: "TCA_RSVP_ACT"},
	}}},
	{Key: StructKey{Name: "f_route_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_route_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_CLASSID, int16], tcm_handle]"}, FldName: "TCA_ROUTE4_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_TO, int16], int32[0:256]]"}, FldName: "TCA_ROUTE4_TO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_FROM, int16], int32[0:256]]"}, FldName: "TCA_ROUTE4_FROM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_IIF, int16], devname]"}, FldName: "TCA_ROUTE4_IIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_POLICE, int16], tca_polices]"}, FldName: "TCA_ROUTE4_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_ACT, int16], tca_actions]"}, FldName: "TCA_ROUTE4_ACT"},
	}}},
	{Key: StructKey{Name: "f_tcindex_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_tcindex_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_HASH, int16], int32[0:0x10000]]"}, FldName: "TCA_TCINDEX_HASH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_MASK, int16], int16]"}, FldName: "TCA_TCINDEX_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_SHIFT, int16], int32]"}, FldName: "TCA_TCINDEX_SHIFT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_FALL_THROUGH, int16], int32[0:1]]"}, FldName: "TCA_TCINDEX_FALL_THROUGH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_CLASSID, int16], tcm_handle]"}, FldName: "TCA_TCINDEX_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_POLICE, int16], tca_polices]"}, FldName: "TCA_TCINDEX_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_ACT, int16], tca_actions]"}, FldName: "TCA_TCINDEX_ACT"},
	}}},
	{Key: StructKey{Name: "f_u32_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "f_u32_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_CLASSID, int16], tcm_handle]"}, FldName: "TCA_U32_CLASSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_HASH, int16], int32]"}, FldName: "TCA_U32_HASH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_LINK, int16], int32]"}, FldName: "TCA_U32_LINK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_DIVISOR, int16], int32[0:0x100]]"}, FldName: "TCA_U32_DIVISOR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_SEL, int16], tc_u32_sel]"}, FldName: "TCA_U32_SEL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_POLICE, int16], tca_polices]"}, FldName: "TCA_U32_POLICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_ACT, int16], tca_actions]"}, FldName: "TCA_U32_ACT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_INDEV, int16], devname]"}, FldName: "TCA_U32_INDEV"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_MARK, int16], tc_u32_mark]"}, FldName: "TCA_U32_MARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_U32_FLAGS, int16], int32[0:8]]"}, FldName: "TCA_U32_FLAGS"},
	}}},
	{Key: StructKey{Name: "fat_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fat_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_relaxed", TypeSize: 13}, Kind: 2, Values: []string{"check=relaxed"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_strict", TypeSize: 12}, Kind: 2, Values: []string{"check=strict"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_normal", TypeSize: 12}, Kind: 2, Values: []string{"check=normal"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usefree", TypeSize: 7}, Kind: 2, Values: []string{"usefree"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nocase", TypeSize: 6}, Kind: 2, Values: []string{"nocase"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quiet", TypeSize: 5}, Kind: 2, Values: []string{"quiet"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "showexec", TypeSize: 8}, Kind: 2, Values: []string{"showexec"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "debug", TypeSize: 5}, Kind: 2, Values: []string{"debug"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "sys_immutable", TypeSize: 13}, Kind: 2, Values: []string{"sys_immutable"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "flush", TypeSize: 5}, Kind: 2, Values: []string{"flush"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tz_utc", TypeSize: 6}, Kind: 2, Values: []string{"tz=UTC"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_continue", TypeSize: 15}, Kind: 2, Values: []string{"errors=continue"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_remount", TypeSize: 17}, Kind: 2, Values: []string{"errors=remount-ro"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nfs", TypeSize: 3}, Kind: 2, Values: []string{"nfs"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nfs_nostale_ro", TypeSize: 14}, Kind: 2, Values: []string{"nfs=nostale_ro"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dos1xfloppy", TypeSize: 11}, Kind: 2, Values: []string{"dos1xfloppy"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"umask\", fmt[oct, int32]]"}, FldName: "umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dmask\", fmt[oct, int32]]"}, FldName: "dmask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"fmask\", fmt[oct, int32]]"}, FldName: "fmask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"allow_utime\", fmt[oct, int32]]"}, FldName: "allow_utime"},
		&StructType{Key: StructKey{Name: "fs_opt[\"time_offset\", fmt[hex, int32[-1440:1440]]]"}, FldName: "time_offset"},
		&StructType{Key: StructKey{Name: "fs_opt[\"codepage\", stringnoz[codepage_nums]]"}, FldName: "codepage"},
	}}},
	{Key: StructKey{Name: "fd_set", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fd_set", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask0", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask1", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask2", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask3", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask4", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask5", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask6", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask7", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ff_condition_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_condition_effect", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rsatur", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "lsatur", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rcoeff", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "lcoeff", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dead", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "center", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ff_constant_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_constant_effect", TypeSize: 10}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "level", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "ff_envelope"}, FldName: "envelop"},
	}}},
	{Key: StructKey{Name: "ff_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_effect", TypeSize: 48}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ff_effect_type", FldName: "type", TypeSize: 2}}, Vals: []uint64{81, 82, 83, 84, 85, 86, 87}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "id", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dir", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "ff_trigger"}, FldName: "trigger"},
		&StructType{Key: StructKey{Name: "ff_replay"}, FldName: "replay"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ff_effect_u"}, FldName: "u"},
	}}},
	{Key: StructKey{Name: "ff_effect_u"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_effect_u", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ff_constant_effect"}, FldName: "const"},
		&StructType{Key: StructKey{Name: "ff_ramp_effect"}, FldName: "ramp"},
		&StructType{Key: StructKey{Name: "ff_periodic_effect"}, FldName: "period"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "cond", TypeSize: 24}, Type: &StructType{Key: StructKey{Name: "ff_condition_effect"}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "ff_rumble_effect"}, FldName: "rumble"},
	}}},
	{Key: StructKey{Name: "ff_envelope"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_envelope", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "len", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "level", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flen", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flevel", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ff_periodic_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_periodic_effect", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ff_periodic_effect_wave", FldName: "wave", TypeSize: 2}}, Vals: []uint64{88, 89, 90, 91, 92, 93}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "period", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "magnit", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "offset", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "phase", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "ff_envelope"}, FldName: "envelope"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "custom_len", TypeSize: 4}}, Buf: "custom_data"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "custom_data", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}}},
	}}},
	{Key: StructKey{Name: "ff_ramp_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_ramp_effect", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "slevel", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "elevel", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "ff_envelope"}, FldName: "envelop"},
	}}},
	{Key: StructKey{Name: "ff_replay"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_replay", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "len", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "delay", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ff_rumble_effect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_rumble_effect", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "smagnit", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wmagnit", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ff_trigger"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ff_trigger", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "button", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "interv", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "fib4_rule_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib4_rule_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ipv4_addr]"}, FldName: "FRA_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_SRC, int16], ipv4_addr]"}, FldName: "FRA_SRC"},
		&UnionType{Key: StructKey{Name: "fra_generic_policy"}, FldName: "FRA_GENERIC_POLICY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_FLOW, int16], int32]"}, FldName: "FRA_FLOW"},
	}}},
	{Key: StructKey{Name: "fib6_rule_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib6_rule_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ipv6_addr]"}, FldName: "FRA_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_SRC, int16], ipv6_addr]"}, FldName: "FRA_SRC"},
		&UnionType{Key: StructKey{Name: "fra_generic_policy"}, FldName: "FIB_RULE_POLICY"},
	}}},
	{Key: StructKey{Name: "fib_rule_hdr[AF_INET6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib_rule_hdr[AF_INET6]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 1}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "table", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "res1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "res2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fr_actions", FldName: "action", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fr_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 65536}, BitMask: true},
	}}},
	{Key: StructKey{Name: "fib_rule_hdr[AF_INET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib_rule_hdr[AF_INET]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 1}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "table", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "res1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "res2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fr_actions", FldName: "action", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fr_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 65536}, BitMask: true},
	}}},
	{Key: StructKey{Name: "fib_rule_port_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib_rule_port_range", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "start", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "end", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "fib_rule_uid_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fib_rule_uid_range", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "start", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "end", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "fiemap"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fiemap", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fiemap_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mapped", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 4}}, Buf: "extent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "extent", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fiemap_extent"}}},
	}}},
	{Key: StructKey{Name: "fiemap_extent"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fiemap_extent", TypeSize: 56}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "logical", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "phys", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fiemap_extent_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad3", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad4", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad5", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "file_clone_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "file_clone_range", TypeSize: 32}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "src_fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "src_offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "src_length", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dest_offset", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "file_dedupe_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "file_dedupe_range", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "src_offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "src_length", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "dest_count", TypeSize: 2}}, Buf: "info"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved1", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved2", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "info", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "file_dedupe_range_info"}}},
	}}},
	{Key: StructKey{Name: "file_dedupe_range_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "file_dedupe_range_info", TypeSize: 32}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "dest_fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dest_offset", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "bytes_deduped", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "status", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "file_handle"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "file_handle", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "bytes", TypeSize: 4}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "handle", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "filter_kind_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "filter_kind_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"basic\", array[f_basic_options]]"}, FldName: "f_basic"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"bpf\", array[f_bpf_options]]"}, FldName: "f_bpf"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"cgroup\", array[f_cgroup_options]]"}, FldName: "f_cgroup"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"flow\", array[f_flow_options]]"}, FldName: "f_flow"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"fw\", array[f_fw_options]]"}, FldName: "f_fw"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"matchall\", array[f_matchall_options]]"}, FldName: "f_matchall"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"route\", array[f_route_options]]"}, FldName: "f_route"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"rsvp\", array[f_rfvp_options]]"}, FldName: "f_rsvp"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"rsvp6\", array[f_rfvp6_options]]"}, FldName: "f_rsvp6"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"tcindex\", array[f_tcindex_options]]"}, FldName: "f_tcindex"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"u32\", array[f_u32_options]]"}, FldName: "f_u32"},
	}}},
	{Key: StructKey{Name: "filter_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "filter_policy", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "filter_kind_options"}, FldName: "filter_kind_options"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RATE, int16], tc_estimator]"}, FldName: "TCA_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CHAIN, int16], int32]"}, FldName: "TCA_CHAIN"},
	}}},
	{Key: StructKey{Name: "flat_binder_object"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "flat_binder_object", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "binder_flat_types", FldName: "type", TypeSize: 4}}, Vals: []uint64{1935813253, 2002922117, 1936206469, 2003315333}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "binder_flat_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 10, 256}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "binder", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "flock"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "flock", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flock_type", FldName: "type", TypeSize: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seek_whence", FldName: "whence", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "fou_nl_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fou_nl_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_PORT, int16], sock_port]"}, FldName: "FOU_ATTR_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_AF, int16], flags[fou_families, int8]]"}, FldName: "FOU_ATTR_AF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_IPPROTO, int16], flags[ipv6_types, int8]]"}, FldName: "FOU_ATTR_IPPROTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_TYPE, int16], flags[fou_types, int8]]"}, FldName: "FOU_ATTR_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_REMCSUM_NOPARTIAL, int16], void]"}, FldName: "FOU_ATTR_REMCSUM_NOPARTIAL"},
	}}},
	{Key: StructKey{Name: "fr_proto"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fr_proto", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "t391", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "t392", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n391", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n392", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n393", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "lmi", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dce", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "fr_proto_pvc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fr_proto_pvc", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dlcl", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fr_proto_pvc_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fr_proto_pvc_info", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dlci", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "master", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "fra_generic_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fra_generic_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_IIFNAME, int16], devname]"}, FldName: "FRA_IIFNAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_OIFNAME, int16], devname]"}, FldName: "FRA_OIFNAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_PRIORITY, int16], int32]"}, FldName: "FRA_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_FWMARK, int16], int32]"}, FldName: "FRA_FWMARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_FWMASK, int16], int32]"}, FldName: "FRA_FWMASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_TABLE, int16], int32]"}, FldName: "FRA_TABLE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_SUPPRESS_PREFIXLEN, int16], int32]"}, FldName: "FRA_SUPPRESS_PREFIXLEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_SUPPRESS_IFGROUP, int16], int32]"}, FldName: "FRA_SUPPRESS_IFGROUP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_GOTO, int16], int32]"}, FldName: "FRA_GOTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_L3MDEV, int16], int8]"}, FldName: "FRA_L3MDEV"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_UID_RANGE, int16], fib_rule_uid_range]"}, FldName: "FRA_UID_RANGE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_PROTOCOL, int16], flags[rtm_protocol, int8]]"}, FldName: "FRA_PROTOCOL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_IP_PROTO, int16], flags[ipv6_types, int8]]"}, FldName: "FRA_IP_PROTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_SPORT_RANGE, int16], fib_rule_port_range]"}, FldName: "FRA_SPORT_RANGE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[FRA_DPORT_RANGE, int16], fib_rule_port_range]"}, FldName: "FRA_DPORT_RANGE"},
	}}},
	{Key: StructKey{Name: "fs_image_segment"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_image_segment", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "data"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "offset", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"access\", fmt[dec, uid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"access\", fmt[dec, uid]]", TypeSize: 27}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"access"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 20}, ArgFormat: 2},
	}}},
	{Key: StructKey{Name: "fs_opt[\"afid\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"afid\", fmt[hex, int32]]", TypeSize: 23}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"afid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"allocsize\", array[flags[fs_opt_digits_suffix, int8]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"allocsize\", array[flags[fs_opt_digits_suffix, int8]]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"allocsize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "val", IsVarlen: true}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fs_opt_digits_suffix", TypeSize: 1}}, Vals: []uint64{45, 120, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 107, 109, 103, 116, 112, 101}}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"allow_utime\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"allow_utime\", fmt[oct, int32]]", TypeSize: 35}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"allow_utime"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"aname\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"aname\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"aname"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"auto_da_alloc\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"auto_da_alloc\", fmt[hex, int32]]", TypeSize: 32}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 13}, Kind: 2, Values: []string{"auto_da_alloc"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"barrier\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"barrier\", fmt[hex, int32]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"biosize\", fmt[dec, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"biosize\", fmt[dec, int32]]", TypeSize: 28}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"biosize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 20}, ArgFormat: 2}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"blksize\", fmt[hex, flags[fuse_block_sizes]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"blksize\", fmt[hex, flags[fuse_block_sizes]]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"blksize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_block_sizes", TypeSize: 18}, ArgFormat: 3}, Vals: []uint64{512, 1024, 2048, 4096}, BitMask: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"block\", fmt[hex, flags[iso9660_blocks]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"block\", fmt[hex, flags[iso9660_blocks]]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"block"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "iso9660_blocks", TypeSize: 18}, ArgFormat: 3}, Vals: []uint64{512, 1024, 2048}, BitMask: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"cachetag\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"cachetag\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"cachetag"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"check_int_print_mask\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"check_int_print_mask\", fmt[hex, int32]]", TypeSize: 39}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 20}, Kind: 2, Values: []string{"check_int_print_mask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"codepage\", stringnoz[codepage_nums]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"codepage\", stringnoz[codepage_nums]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"codepage"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "codepage_nums", Values: []string{"1250", "1251", "1255", "437", "737", "775", "850", "852", "855", "857", "860", "861", "862", "863", "864", "865", "866", "869", "874", "932", "936", "949", "950"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"codepage\", stringnoz[codepages_names]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"codepage\", stringnoz[codepages_names]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"codepage"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "codepages_names", Values: []string{"macceltic", "maccenteuro", "maccroatian", "maccyrillic", "macgaelic", "macgreek", "maciceland", "macinuit", "macroman", "macromanian", "macturkish", "ascii", "default", "cp1250", "cp1251", "cp1255", "cp437", "cp737", "cp775", "cp850", "cp852", "cp855", "cp857", "cp860", "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874", "cp932", "cp936", "cp949", "cp950", "euc-jp", "iso8859-13", "iso8859-14", "iso8859-15", "iso8859-1", "iso8859-2", "iso8859-3", "iso8859-4", "iso8859-5", "iso8859-6", "iso8859-7", "iso8859-9", "koi8-r", "koi8-ru", "koi8-u", "utf8", "none"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"commit\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"commit\", fmt[hex, int32]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"commit"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"compress\", stringnoz[btrfs_compress_algos]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"compress\", stringnoz[btrfs_compress_algos]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"compress"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "btrfs_compress_algos", Values: []string{"zlib", "lzo", "zstd", "no"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"compress-force\", stringnoz[btrfs_compress_algos]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"compress-force\", stringnoz[btrfs_compress_algos]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"compress-force"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "btrfs_compress_algos", Values: []string{"zlib", "lzo", "zstd", "no"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"creator\", array[int8, 4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"creator\", array[int8, 4]]", TypeSize: 12}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"creator"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "val", TypeSize: 4}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "fs_opt[\"debug\", fmt[hex, int64]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"debug\", fmt[hex, int64]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"debug"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"debug_want_extra_isize\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"debug_want_extra_isize\", fmt[hex, int32]]", TypeSize: 41}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 22}, Kind: 2, Values: []string{"debug_want_extra_isize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"device\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"device\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"device"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"dfltgid\", fmt[hex, gid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"dfltgid\", fmt[hex, gid]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"dfltgid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"dfltuid\", fmt[hex, uid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"dfltuid\", fmt[hex, uid]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"dfltuid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"dir_umask\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"dir_umask\", fmt[oct, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"dir_umask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"discard\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"discard\", fmt[hex, int32]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"dmask\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"dmask\", fmt[oct, int32]]", TypeSize: 29}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"dmask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"dmode\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"dmode\", fmt[hex, int32]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"dmode"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"fd\", fmt[hex, fd_fuse]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"fd\", fmt[hex, fd_fuse]]", TypeSize: 21}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 2}, Kind: 2, Values: []string{"fd"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"file_umask\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"file_umask\", fmt[oct, int32]]", TypeSize: 34}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 10}, Kind: 2, Values: []string{"file_umask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"fmask\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"fmask\", fmt[oct, int32]]", TypeSize: 29}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"fmask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"gid\", fmt[hex, gid]]", TypeSize: 22}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 3}, Kind: 2, Values: []string{"gid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"group_id\", fmt[dec, gid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"group_id\", fmt[dec, gid]]", TypeSize: 29}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"group_id"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 20}, ArgFormat: 2},
	}}},
	{Key: StructKey{Name: "fs_opt[\"grpjquota\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"grpjquota\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"grpjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"grpjquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"grpjquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"grpjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"grpquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"grpquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"grpquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"hostdata\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"hostdata\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"hostdata"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"init_itable\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"init_itable\", fmt[hex, int32]]", TypeSize: 30}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"init_itable"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"inline_xattr_size\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"inline_xattr_size\", fmt[hex, int32]]", TypeSize: 36}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 17}, Kind: 2, Values: []string{"inline_xattr_size"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"inode_readahead_blks\", fmt[hex, flags[ext4_inode_readahead_blks]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"inode_readahead_blks\", fmt[hex, flags[ext4_inode_readahead_blks]]]", TypeSize: 39}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 20}, Kind: 2, Values: []string{"inode_readahead_blks"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ext4_inode_readahead_blks", TypeSize: 18}, ArgFormat: 3}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728}, BitMask: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"iocharset\", stringnoz[codepages_names]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"iocharset\", stringnoz[codepages_names]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"iocharset"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "codepages_names", Values: []string{"macceltic", "maccenteuro", "maccroatian", "maccyrillic", "macgaelic", "macgreek", "maciceland", "macinuit", "macroman", "macromanian", "macturkish", "ascii", "default", "cp1250", "cp1251", "cp1255", "cp437", "cp737", "cp775", "cp850", "cp852", "cp855", "cp857", "cp860", "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874", "cp932", "cp936", "cp949", "cp950", "euc-jp", "iso8859-13", "iso8859-14", "iso8859-15", "iso8859-1", "iso8859-2", "iso8859-3", "iso8859-4", "iso8859-5", "iso8859-6", "iso8859-7", "iso8859-9", "koi8-r", "koi8-ru", "koi8-u", "utf8", "none"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"jdev\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"jdev\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"jdev"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"journal_dev\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"journal_dev\", fmt[hex, int32]]", TypeSize: 30}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"journal_dev"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"journal_ioprio\", fmt[hex, int32[0:7]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"journal_ioprio\", fmt[hex, int32[0:7]]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"journal_ioprio"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}, Kind: 2, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "fs_opt[\"journal_path\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"journal_path\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 12}, Kind: 2, Values: []string{"journal_path"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"locktable\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"locktable\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"locktable"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"logbsize\", array[flags[fs_opt_digits_suffix, int8]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"logbsize\", array[flags[fs_opt_digits_suffix, int8]]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"logbsize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "val", IsVarlen: true}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fs_opt_digits_suffix", TypeSize: 1}}, Vals: []uint64{45, 120, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 107, 109, 103, 116, 112, 101}}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"logbufs\", fmt[dec, int32[-1:8]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"logbufs\", fmt[dec, int32[-1:8]]]", TypeSize: 28}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"logbufs"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 20}, ArgFormat: 2}, Kind: 2, RangeBegin: 18446744073709551615, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "fs_opt[\"logdev\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"logdev\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"logdev"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"max_batch_time\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"max_batch_time\", fmt[hex, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"max_batch_time"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"max_dir_size_kb\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"max_dir_size_kb\", fmt[hex, int32]]", TypeSize: 34}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 15}, Kind: 2, Values: []string{"max_dir_size_kb"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"max_inline\", array[flags[fs_opt_digits_suffix, int8]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"max_inline\", array[flags[fs_opt_digits_suffix, int8]]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 10}, Kind: 2, Values: []string{"max_inline"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "val", IsVarlen: true}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fs_opt_digits_suffix", TypeSize: 1}}, Vals: []uint64{45, 120, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 107, 109, 103, 116, 112, 101}}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"max_read\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"max_read\", fmt[hex, int32]]", TypeSize: 27}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"max_read"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"metadata_ratio\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"metadata_ratio\", fmt[hex, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"metadata_ratio"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"mft_zone_multiplier\", fmt[hex, int32[-1:4]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"mft_zone_multiplier\", fmt[hex, int32[-1:4]]]", TypeSize: 38}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 19}, Kind: 2, Values: []string{"mft_zone_multiplier"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}, Kind: 2, RangeBegin: 18446744073709551615, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "fs_opt[\"min_batch_time\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"min_batch_time\", fmt[hex, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"min_batch_time"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"mode\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"mode\", fmt[hex, int32]]", TypeSize: 23}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"mode"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"mode\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"mode\", fmt[oct, int32]]", TypeSize: 28}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"mode"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"msize\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"msize\", fmt[hex, int32]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"msize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"nls\", stringnoz[codepages_names]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"nls\", stringnoz[codepages_names]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 3}, Kind: 2, Values: []string{"nls"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, SubKind: "codepages_names", Values: []string{"macceltic", "maccenteuro", "maccroatian", "maccyrillic", "macgaelic", "macgreek", "maciceland", "macinuit", "macroman", "macromanian", "macturkish", "ascii", "default", "cp1250", "cp1251", "cp1255", "cp437", "cp737", "cp775", "cp850", "cp852", "cp855", "cp857", "cp860", "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874", "cp932", "cp936", "cp949", "cp950", "euc-jp", "iso8859-13", "iso8859-14", "iso8859-15", "iso8859-1", "iso8859-2", "iso8859-3", "iso8859-4", "iso8859-5", "iso8859-6", "iso8859-7", "iso8859-9", "koi8-r", "koi8-ru", "koi8-u", "utf8", "none"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"part\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"part\", fmt[hex, int32]]", TypeSize: 23}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"part"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"port\", fmt[hex, sock_port]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"port\", fmt[hex, sock_port]]", TypeSize: 23}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"port"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", TypeSize: 18}, ArgFormat: 3}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "fs_opt[\"prjjquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"prjjquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"prjjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"prjquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"prjquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"prjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"quota_quantum\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"quota_quantum\", fmt[hex, int32]]", TypeSize: 32}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 13}, Kind: 2, Values: []string{"quota_quantum"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"resgid\", fmt[hex, gid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"resgid\", fmt[hex, gid]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"resgid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"resize\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"resize\", fmt[hex, int32]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"resize"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"resuid\", fmt[hex, uid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"resuid\", fmt[hex, uid]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"resuid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"rfdno\", fmt[hex, rfd9p]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"rfdno\", fmt[hex, rfd9p]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"rfdno"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rfd9p", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"rootmode\", fmt[oct, flags[fuse_mode]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"rootmode\", fmt[oct, flags[fuse_mode]]]", TypeSize: 32}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"rootmode"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_mode", TypeSize: 23}, ArgFormat: 4}, Vals: []uint64{32768, 8192, 24576, 4096, 49152, 40960, 16384}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"rq\", fmt[hex, intptr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"rq\", fmt[hex, intptr]]", TypeSize: 21}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 2}, Kind: 2, Values: []string{"rq"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"rtdev\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"rtdev\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"rtdev"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"sb\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"sb\", fmt[hex, int32]]", TypeSize: 21}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 2}, Kind: 2, Values: []string{"sb"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"sbsector\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"sbsector\", fmt[hex, int32]]", TypeSize: 27}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"sbsector"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"session\", fmt[hex, int32[0:98]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"session\", fmt[hex, int32[0:98]]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"session"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}, Kind: 2, RangeEnd: 98},
	}}},
	{Key: StructKey{Name: "fs_opt[\"session\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"session\", fmt[hex, int32]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"session"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"sq\", fmt[hex, intptr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"sq\", fmt[hex, intptr]]", TypeSize: 21}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 2}, Kind: 2, Values: []string{"sq"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"statfs_percent\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"statfs_percent\", fmt[hex, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"statfs_percent"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"statfs_quantum\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"statfs_quantum\", fmt[hex, int32]]", TypeSize: 33}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 14}, Kind: 2, Values: []string{"statfs_quantum"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"stripe\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"stripe\", fmt[hex, int32]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"stripe"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"subvol\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"subvol\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"subvol"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"subvolid\", fmt[hex, int64]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"subvolid\", fmt[hex, int64]]", TypeSize: 27}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"subvolid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"sunit\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"sunit\", fmt[hex, int32]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"sunit"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"swidth\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"swidth\", fmt[hex, int32]]", TypeSize: 25}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 6}, Kind: 2, Values: []string{"swidth"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"thread_pool\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"thread_pool\", fmt[hex, int32]]", TypeSize: 30}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"thread_pool"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"time_offset\", fmt[hex, int32[-1440:1440]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"time_offset\", fmt[hex, int32[-1440:1440]]]", TypeSize: 30}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"time_offset"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}, Kind: 2, RangeBegin: 18446744073709550176, RangeEnd: 1440},
	}}},
	{Key: StructKey{Name: "fs_opt[\"timeout\", fmt[hex, intptr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"timeout\", fmt[hex, intptr]]", TypeSize: 26}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"timeout"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"type\", array[int8, 4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"type\", array[int8, 4]]", TypeSize: 9}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 4}, Kind: 2, Values: []string{"type"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "val", TypeSize: 4}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"uid\", fmt[hex, uid]]", TypeSize: 22}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 3}, Kind: 2, Values: []string{"uid"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt[\"umask\", fmt[hex, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"umask\", fmt[hex, int32]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"umask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 18}, ArgFormat: 3}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"umask\", fmt[oct, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"umask\", fmt[oct, int32]]", TypeSize: 29}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"umask"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 23}, ArgFormat: 4}},
	}}},
	{Key: StructKey{Name: "fs_opt[\"uname\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"uname\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"uname"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"user_id\", fmt[dec, uid]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"user_id\", fmt[dec, uid]]", TypeSize: 28}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 7}, Kind: 2, Values: []string{"user_id"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 20}, ArgFormat: 2},
	}}},
	{Key: StructKey{Name: "fs_opt[\"usrjquota\", stringnoz[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"usrjquota\", stringnoz[filename]]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"usrjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "val", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"usrjquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"usrjquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 9}, Kind: 2, Values: []string{"usrjquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"usrquota\", stringnoz]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"usrquota\", stringnoz]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 8}, Kind: 2, Values: []string{"usrquota"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "val", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "fs_opt[\"wfdno\", fmt[hex, fd]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt[\"wfdno\", fmt[hex, fd]]", TypeSize: 24}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 5}, Kind: 2, Values: []string{"wfdno"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "eq", TypeSize: 1}}, Val: 61},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", TypeSize: 18}, ArgFormat: 3},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[bpf_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[bpf_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "bpf_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[btrfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[btrfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "btrfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[ext4_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[ext4_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ext4_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[f2fs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[f2fs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "f2fs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[fuse_opts]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[fuse_opts]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "fuse_opts"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[gfs2_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[gfs2_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "gfs2_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[hfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[hfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "hfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[hfsplus_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[hfsplus_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "hfsplus_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[iso9660_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[iso9660_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "iso9660_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[jfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[jfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "jfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[msdos_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[msdos_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "msdos_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[ntfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[ntfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ntfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[p9_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[p9_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "p9_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[p9_options_rdma_opt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[p9_options_rdma_opt]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "p9_options_rdma_opt"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[reiserfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[reiserfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "reiserfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[vfat_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[vfat_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "vfat_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_opt_elem[xfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_opt_elem[xfs_options]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfs_options"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma", TypeSize: 1}}, Val: 44},
	}}},
	{Key: StructKey{Name: "fs_options[bpf_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[bpf_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[bpf_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[btrfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[btrfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[btrfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[ext4_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[ext4_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[ext4_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[f2fs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[f2fs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[f2fs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[fuse_opts]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[fuse_opts]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[fuse_opts]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[gfs2_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[gfs2_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[gfs2_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[hfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[hfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[hfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[hfsplus_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[hfsplus_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[hfsplus_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[iso9660_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[iso9660_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[iso9660_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[jfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[jfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[jfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[msdos_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[msdos_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[msdos_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[ntfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[ntfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[ntfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[p9_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[p9_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[p9_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[p9_options_rdma_opt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[p9_options_rdma_opt]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[p9_options_rdma_opt]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[reiserfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[reiserfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[reiserfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[vfat_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[vfat_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[vfat_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fs_options[xfs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fs_options[xfs_options]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "elems", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_opt_elem[xfs_options]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "null", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fsxattr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fsxattr", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsx_xflags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsx_extsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsx_nextents", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsx_projid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsx_cowextsize", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fsx_pad", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "full_sockaddr_ax25"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "full_sockaddr_ax25", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_ax25"}, FldName: "fsa_ax25"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fsa_digipeater", TypeSize: 56}, Type: &StructType{Key: StructKey{Name: "ax25_address"}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "full_sockaddr_ax25", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "full_sockaddr_ax25", TypeSize: 72, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}, FldName: "fsa_ax25"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fsa_digipeater", TypeSize: 56, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "ax25_address", Dir: 1}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "fuse_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_attr", TypeSize: 88}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ino", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "size", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blocks", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "atime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mtime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ctime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "atimensec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtimensec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ctimensec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nlink", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rdev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "blksize", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_attr_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_attr_out", TypeSize: 104}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "attr_valid", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "attr_valid_nsec", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "dummy", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "fuse_attr"}, FldName: "attr"},
	}}},
	{Key: StructKey{Name: "fuse_bmap_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_bmap_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "block", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "fuse_create_open_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_create_open_out", TypeSize: 144}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fuse_entry_out"}, FldName: "entry"},
		&StructType{Key: StructKey{Name: "fuse_open_out"}, FldName: "open"},
	}}},
	{Key: StructKey{Name: "fuse_dirent"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_dirent", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ino", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "off", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "namelen", TypeSize: 4}}, Buf: "name"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", IsVarlen: true}, Kind: 2, NoZ: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "fuse_direntplus"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_direntplus", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fuse_entry_out"}, FldName: "entry"},
		&StructType{Key: StructKey{Name: "fuse_dirent"}, FldName: "dirent"},
	}}},
	{Key: StructKey{Name: "fuse_entry_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_entry_out", TypeSize: 128}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nodeid", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "generation", TypeSize: 8}}, Kind: 2, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "entry_valid", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "attr_valid", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "entry_valid_nsec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "attr_valid_nsec", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "fuse_attr"}, FldName: "attr"},
	}}},
	{Key: StructKey{Name: "fuse_file_lock"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_file_lock", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "end", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_lock_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{2, 0, 1}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "fuse_getxattr_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_getxattr_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_init_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_init_out", TypeSize: 64}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "maj", TypeSize: 4}}, Val: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "min", TypeSize: 4}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_readahead", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_init_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "max_background", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "congestion_threshold", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_write", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "time_gran", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "unused", TypeSize: 36}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "fuse_ioctl_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_ioctl_out", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "res", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_ioctl_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{0, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "in_iovs", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "out_iovs", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_kstatfs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_kstatfs", TypeSize: 80}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blocks", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bfree", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bavail", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "files", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ffree", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "namelen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "frsize", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "padding_spare", TypeSize: 28}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 7, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "fuse_lk_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_lk_out", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fuse_file_lock"}, FldName: "lk"},
	}}},
	{Key: StructKey{Name: "fuse_lseek_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_lseek_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "offset", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_DELETE, fuse_notify_delete_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_DELETE, fuse_notify_delete_out]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_delete_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_INVAL_ENTRY, fuse_notify_inval_entry_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_INVAL_ENTRY, fuse_notify_inval_entry_out]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_inval_entry_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_INVAL_INODE, fuse_notify_inval_inode_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_INVAL_INODE, fuse_notify_inval_inode_out]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_inval_inode_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_POLL, fuse_notify_poll_wakeup_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_POLL, fuse_notify_poll_wakeup_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_poll_wakeup_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_RETRIEVE, fuse_notify_retrieve_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_RETRIEVE, fuse_notify_retrieve_out]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_retrieve_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_STORE, fuse_notify_store_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify[FUSE_NOTIFY_STORE, fuse_notify_store_out]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "err", TypeSize: 4}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unique", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "fuse_notify_store_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_notify_delete_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_delete_out", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parent1", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "child", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "namelen", TypeSize: 4}}, Buf: "name"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", IsVarlen: true}, Kind: 2, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "zero", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fuse_notify_inval_entry_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_inval_entry_out", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parent1", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "namelen", TypeSize: 4}}, Buf: "name"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", IsVarlen: true}, Kind: 2, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "zero", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "fuse_notify_inval_inode_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_inval_inode_out", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ino", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "off", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "fuse_notify_poll_wakeup_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_poll_wakeup_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "kh", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "fuse_notify_retrieve_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_retrieve_out", TypeSize: 32}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "notify_unique", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nodeid", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_notify_store_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_notify_store_out", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nodeid", TypeSize: 8}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "off", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4}}, Buf: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}},
	}}},
	{Key: StructKey{Name: "fuse_open_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_open_out", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fh", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_open_flags", FldName: "open_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fs_opt[\"fd\", fmt[hex, fd_fuse]]"}, FldName: "fd"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma0", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_opt[\"rootmode\", fmt[oct, flags[fuse_mode]]]"}, FldName: "rootmode"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma1", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_opt[\"user_id\", fmt[dec, uid]]"}, FldName: "user_id"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma2", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_opt[\"group_id\", fmt[dec, gid]]"}, FldName: "group_id"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma3", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_options[fuse_opts]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "fuse_opts"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_opts", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fs_opt[\"max_read\", fmt[hex, int32]]"}, FldName: "max_read"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "allow_other", TypeSize: 11}, Kind: 2, Values: []string{"allow_other"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "default_permissions", TypeSize: 19}, Kind: 2, Values: []string{"default_permissions"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"blksize\", fmt[hex, flags[fuse_block_sizes]]]"}, FldName: "blksize"},
	}}},
	{Key: StructKey{Name: "fuse_out[array[fuse_dirent]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[array[fuse_dirent]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fuse_dirent"}}},
	}}},
	{Key: StructKey{Name: "fuse_out[array[fuse_direntplus]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[array[fuse_direntplus]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fuse_direntplus"}}},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_attr_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_attr_out]", TypeSize: 120}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_attr_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_bmap_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_bmap_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_bmap_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_create_open_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_create_open_out]", TypeSize: 160}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_create_open_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_entry_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_entry_out]", TypeSize: 144}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_entry_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_getxattr_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_getxattr_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_getxattr_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_init_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_init_out]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_init_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_ioctl_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_ioctl_out]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_ioctl_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_lk_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_lk_out]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_lk_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_lseek_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_lseek_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_lseek_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_open_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_open_out]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_open_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_poll_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_poll_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_poll_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_statfs_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_statfs_out]", TypeSize: 96}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_statfs_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[fuse_write_out]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[fuse_write_out]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "fuse_write_out"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "fuse_out[void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_out[void]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fuse_errors", FldName: "err", TypeSize: 4}}, Vals: []uint64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18446744073709551614, 18446744073709551605, 18446744073709551578}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "unique", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "fuse_poll_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_poll_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "revents", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "fuse_statfs_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_statfs_out", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fuse_kstatfs"}, FldName: "st"},
	}}},
	{Key: StructKey{Name: "fuse_write_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "fuse_write_out", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "genlmsghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cmd", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_ADD]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[FOU_CMD_ADD]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_DEL]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[FOU_CMD_DEL]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_GET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[FOU_CMD_GET]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_DAEMON]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_DEL_DAEMON]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_DEST]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_DEL_DEST]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_SERVICE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_DEL_SERVICE]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_FLUSH]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_FLUSH]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_CONFIG]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_GET_CONFIG]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_DAEMON]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_GET_DAEMON]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 11},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_DEST]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_GET_DEST]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_INFO]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_GET_INFO]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 15},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_SERVICE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_GET_SERVICE]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_DAEMON]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_NEW_DAEMON]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 9},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_DEST]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_NEW_DEST]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_SERVICE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_NEW_SERVICE]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_CONFIG]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_SET_CONFIG]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 12},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_DEST]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_SET_DEST]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_INFO]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_SET_INFO]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_SERVICE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_SET_SERVICE]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_ZERO]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[IPVS_CMD_ZERO]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_NOOP]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[TEAM_CMD_NOOP]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_OPTIONS_GET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[TEAM_CMD_OPTIONS_GET]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_OPTIONS_SET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[TEAM_CMD_OPTIONS_SET]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_PORT_LIST_GET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "genlmsghdr_t[TEAM_CMD_PORT_LIST_GET]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 1}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "gfs2_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gfs2_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "spectator", TypeSize: 9}, Kind: 2, Values: []string{"spectator"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norecovery", TypeSize: 10}, Kind: 2, Values: []string{"norecovery"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ignore_local_fs", TypeSize: 15}, Kind: 2, Values: []string{"ignore_local_fs"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "localflocks", TypeSize: 11}, Kind: 2, Values: []string{"localflocks"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "localcaching", TypeSize: 12}, Kind: 2, Values: []string{"localcaching"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "upgrade", TypeSize: 7}, Kind: 2, Values: []string{"upgrade"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "acl", TypeSize: 3}, Kind: 2, Values: []string{"acl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noacl", TypeSize: 5}, Kind: 2, Values: []string{"noacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota_off", TypeSize: 9}, Kind: 2, Values: []string{"quota=off"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota_account", TypeSize: 13}, Kind: 2, Values: []string{"quota=account"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota_on", TypeSize: 8}, Kind: 2, Values: []string{"quota=on"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota", TypeSize: 5}, Kind: 2, Values: []string{"quota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "suiddir", TypeSize: 7}, Kind: 2, Values: []string{"suiddir"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nosuiddir", TypeSize: 9}, Kind: 2, Values: []string{"nosuiddir"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_writeback", TypeSize: 14}, Kind: 2, Values: []string{"data=writeback"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_ordered", TypeSize: 12}, Kind: 2, Values: []string{"data=ordered"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "meta", TypeSize: 4}, Kind: 2, Values: []string{"meta"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_withdraw", TypeSize: 15}, Kind: 2, Values: []string{"errors=withdraw"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "rgrplvb", TypeSize: 7}, Kind: 2, Values: []string{"rgrplvb"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norgrplvb", TypeSize: 9}, Kind: 2, Values: []string{"norgrplvb"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "loccookie", TypeSize: 9}, Kind: 2, Values: []string{"loccookie"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noloccookie", TypeSize: 11}, Kind: 2, Values: []string{"noloccookie"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"commit\", fmt[hex, int32]]"}, FldName: "commit"},
		&StructType{Key: StructKey{Name: "fs_opt[\"statfs_quantum\", fmt[hex, int32]]"}, FldName: "statfs_quantum"},
		&StructType{Key: StructKey{Name: "fs_opt[\"statfs_percent\", fmt[hex, int32]]"}, FldName: "statfs_percent"},
		&StructType{Key: StructKey{Name: "fs_opt[\"quota_quantum\", fmt[hex, int32]]"}, FldName: "quota_quantum"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lockproto_dlm", TypeSize: 13}, Kind: 2, Values: []string{"lockproto=dlm"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lockproto_nolock", TypeSize: 21}, Kind: 2, Values: []string{"lockproto=lock_nolock"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"locktable\", stringnoz]"}, FldName: "locktable"},
		&StructType{Key: StructKey{Name: "fs_opt[\"hostdata\", stringnoz]"}, FldName: "hostdata"},
	}}},
	{Key: StructKey{Name: "gre_common_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_common_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LINK, int16], ifindex]"}, FldName: "IFLA_GRE_LINK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IFLAGS, int16], int16]"}, FldName: "IFLA_GRE_IFLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_OFLAGS, int16], int16]"}, FldName: "IFLA_GRE_OFLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IKEY, int16], int32]"}, FldName: "IFLA_GRE_IKEY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_OKEY, int16], int32]"}, FldName: "IFLA_GRE_OKEY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_TTL, int16], int8]"}, FldName: "IFLA_GRE_TTL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_TOS, int16], int8]"}, FldName: "IFLA_GRE_TOS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_PMTUDISC, int16], int8[0:1]]"}, FldName: "IFLA_GRE_PMTUDISC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]"}, FldName: "IFLA_GRE_ENCAP_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_FLAGS, int16], int16]"}, FldName: "IFLA_GRE_ENCAP_FLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_SPORT, int16], sock_port]"}, FldName: "IFLA_GRE_ENCAP_SPORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_DPORT, int16], sock_port]"}, FldName: "IFLA_GRE_ENCAP_DPORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_COLLECT_METADATA, int16], void]"}, FldName: "IFLA_GRE_COLLECT_METADATA"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IGNORE_DF, int16], int8[0:1]]"}, FldName: "IFLA_GRE_IGNORE_DF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_FWMARK, int16], int32]"}, FldName: "IFLA_GRE_FWMARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_INDEX, int16], int32[1:0xfffff]]"}, FldName: "IFLA_GRE_ERSPAN_INDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_VER, int16], int8[1:2]]"}, FldName: "IFLA_GRE_ERSPAN_VER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_DIR, int16], int8[0:1]]"}, FldName: "IFLA_GRE_ERSPAN_DIR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_HWID, int16], int16]"}, FldName: "IFLA_GRE_ERSPAN_HWID"},
	}}},
	{Key: StructKey{Name: "gre_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "gre_packet_pptp"}, FldName: "pptp"},
		&StructType{Key: StructKey{Name: "gre_packet_cisco[ETH_P_IP, array[int8]]"}, FldName: "cisco_ipv4"},
		&StructType{Key: StructKey{Name: "gre_packet_cisco[ETH_P_IPV6, array[int8]]"}, FldName: "cisco_ipv6"},
		&StructType{Key: StructKey{Name: "gre_packet_erspan[ETH_P_ERSPAN, erspan_md1]"}, FldName: "erspan1"},
		&StructType{Key: StructKey{Name: "gre_packet_erspan[ETH_P_ERSPAN2, erspan_md2]"}, FldName: "erspan2"},
		&StructType{Key: StructKey{Name: "gre_packet_erspan[ETH_P_TEB, array[int8]]"}, FldName: "teb"},
	}}},
	{Key: StructKey{Name: "gre_packet_cisco[ETH_P_IP, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_cisco[ETH_P_IP, array[int8]]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "C", TypeSize: 2}, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "R", TypeSize: 2}, BitfieldOff: 1, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "K", TypeSize: 2}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "S", TypeSize: 2}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}, BitfieldOff: 4, BitfieldLen: 9, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 2}, BitfieldOff: 13, BitfieldLen: 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 2048},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "add", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", TypeSize: 2}, ArgFormat: 1}}, Kind: 1, RangeEnd: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "gre_packet_cisco[ETH_P_IPV6, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_cisco[ETH_P_IPV6, array[int8]]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "C", TypeSize: 2}, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "R", TypeSize: 2}, BitfieldOff: 1, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "K", TypeSize: 2}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "S", TypeSize: 2}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}, BitfieldOff: 4, BitfieldLen: 9, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 2}, BitfieldOff: 13, BitfieldLen: 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 34525},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "add", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", TypeSize: 2}, ArgFormat: 1}}, Kind: 1, RangeEnd: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "gre_packet_erspan[ETH_P_ERSPAN, erspan_md1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_erspan[ETH_P_ERSPAN, erspan_md1]", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "H", TypeSize: 2}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 35006},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "seq", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "erspan_md1"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "gre_packet_erspan[ETH_P_ERSPAN2, erspan_md2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_erspan[ETH_P_ERSPAN2, erspan_md2]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "H", TypeSize: 2}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 8939},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "seq", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "erspan_md2"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "gre_packet_erspan[ETH_P_TEB, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_erspan[ETH_P_TEB, array[int8]]", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "H", TypeSize: 2}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 25944},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "seq", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeEnd: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "gre_packet_pptp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "gre_packet_pptp", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "C", TypeSize: 2}, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "R", TypeSize: 2}, BitfieldOff: 1, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "K", TypeSize: 2}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "S", TypeSize: 2}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}, BitfieldOff: 4, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "A", TypeSize: 2}, BitfieldOff: 8, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 2}, BitfieldOff: 9, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 2}, BitfieldOff: 13, BitfieldLen: 3}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "protocol", TypeSize: 2}, ArgFormat: 1}, Val: 34827},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "payload_len", TypeSize: 2}, ArgFormat: 1}, BitSize: 8, Buf: "payload"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "key_call_id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeEnd: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "add", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", TypeSize: 2}, ArgFormat: 1}}, Kind: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "group_filter_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_filter_in", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gf_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "gf_group"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_msfilter_mode", FldName: "gf_fmode", TypeSize: 4}}, Vals: []uint64{1, 0}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "gf_numsrc", TypeSize: 4}}, Buf: "gf_slist"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gf_slist", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_storage_in"}}},
	}}},
	{Key: StructKey{Name: "group_filter_in6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_filter_in6", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gf_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "gf_group"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_msfilter_mode", FldName: "gf_fmode", TypeSize: 4}}, Vals: []uint64{1, 0}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "gf_numsrc", TypeSize: 4}}, Buf: "gf_slist"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gf_slist", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_storage_in6"}}},
	}}},
	{Key: StructKey{Name: "group_req_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_req_in", TypeSize: 136}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gr_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "gr_group"},
	}}},
	{Key: StructKey{Name: "group_req_in6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_req_in6", TypeSize: 136}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gr_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "gr_group"},
	}}},
	{Key: StructKey{Name: "group_source_req_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_source_req_in", TypeSize: 264}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gsr_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "gsr_group"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "gsr_source"},
	}}},
	{Key: StructKey{Name: "group_source_req_in6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "group_source_req_in6", TypeSize: 264}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gsr_interface", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "gsr_group"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "gsr_source"},
	}}},
	{Key: StructKey{Name: "guehdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "guehdr", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "hlen", TypeSize: 1}, BitfieldLen: 5, BitfieldMdl: true}, BitSize: 32, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "control", TypeSize: 1}, BitfieldOff: 5, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "version", TypeSize: 1}, BitfieldOff: 6, BitfieldLen: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto_ctype", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "guehdr_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{256}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "priv", IsVarlen: true}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "guehdr_prov_flags", TypeSize: 4}}, Vals: []uint64{128}, BitMask: true}, Kind: 1, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "hashlimit_cfg1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hashlimit_cfg1", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_modes", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "burst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gc_interval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "expire", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "srcmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "dstmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "hashlimit_cfg2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hashlimit_cfg2", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "avg", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "burst", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_modes", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gc_interval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "expire", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "srcmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "dstmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "hashlimit_cfg3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hashlimit_cfg3", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "avg", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "burst", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_modes", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gc_interval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "expire", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "interval", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "srcmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mask", FldName: "dstmask", TypeSize: 1}}, Vals: []uint64{0, 8, 24, 32, 64, 120, 128}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "hci_inquiry_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hci_inquiry_req", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "dev", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lap0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lap1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lap2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "len", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rsp", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "hci_ufilter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hci_ufilter", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "event0", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "event1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "opcode", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "hd_geometry", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hd_geometry", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "heads", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sectors", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cylinders", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "start", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "hfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hfs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quiet", TypeSize: 5}, Kind: 2, Values: []string{"quiet"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"umask\", fmt[oct, int32]]"}, FldName: "umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"file_umask\", fmt[oct, int32]]"}, FldName: "file_umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dir_umask\", fmt[oct, int32]]"}, FldName: "dir_umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"part\", fmt[hex, int32]]"}, FldName: "part"},
		&StructType{Key: StructKey{Name: "fs_opt[\"session\", fmt[hex, int32]]"}, FldName: "session"},
		&StructType{Key: StructKey{Name: "fs_opt[\"type\", array[int8, 4]]"}, FldName: "type"},
		&StructType{Key: StructKey{Name: "fs_opt[\"creator\", array[int8, 4]]"}, FldName: "creator"},
		&StructType{Key: StructKey{Name: "fs_opt[\"codepage\", stringnoz[codepages_names]]"}, FldName: "codepage"},
		&StructType{Key: StructKey{Name: "fs_opt[\"iocharset\", stringnoz[codepages_names]]"}, FldName: "iocharset"},
	}}},
	{Key: StructKey{Name: "hfsplus_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hfsplus_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "decompose", TypeSize: 9}, Kind: 2, Values: []string{"decompose"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodecompose", TypeSize: 11}, Kind: 2, Values: []string{"nodecompose"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "force", TypeSize: 5}, Kind: 2, Values: []string{"force"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"umask\", fmt[oct, int32]]"}, FldName: "umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"type\", array[int8, 4]]"}, FldName: "type"},
		&StructType{Key: StructKey{Name: "fs_opt[\"creator\", array[int8, 4]]"}, FldName: "creator"},
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"part\", fmt[hex, int32]]"}, FldName: "part"},
		&StructType{Key: StructKey{Name: "fs_opt[\"session\", fmt[hex, int32]]"}, FldName: "session"},
		&StructType{Key: StructKey{Name: "fs_opt[\"nls\", stringnoz[codepages_names]]"}, FldName: "nls"},
	}}},
	{Key: StructKey{Name: "hidp_connadd_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hidp_connadd_req", IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "ctrlsk", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "intrsk", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "parser", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rdsize", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "rddata", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "country", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "subclas", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vendor", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "product", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "version", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idleto", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "hidp_conndel_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hidp_conndel_req", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "hidp_conninfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hidp_conninfo", TypeSize: 148}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vendor", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "product", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ver", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 128}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "hidp_conninfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hidp_conninfo", TypeSize: 148, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 1}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vendor", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "product", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ver", TypeSize: 2, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 128, ArgDir: 1}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "hidp_connlist_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "hidp_connlist_req", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnum", TypeSize: 4}}, Buf: "ci"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ci", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "hidp_conninfo", Dir: 1}}}},
	}}},
	{Key: StructKey{Name: "i2c_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "i2c_msg", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "addr", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "i2c_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 16, 512, 1024, 2048, 4096, 8192, 16384, 32768}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 2}}, Buf: "buf"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "i2c_rdwr_ioctl_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "i2c_rdwr_ioctl_data", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msgs", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "i2c_msg"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nmsgs", TypeSize: 4}}, Buf: "msgs"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "i2c_smbus_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "i2c_smbus_data", TypeSize: 34}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "byte", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "word", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "block", TypeSize: 34}, Kind: 1, RangeBegin: 34, RangeEnd: 34},
	}}},
	{Key: StructKey{Name: "i2c_smbus_ioctl_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "i2c_smbus_ioctl_data", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "read_write", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "command", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}, Kind: 2, RangeEnd: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "i2c_smbus_data"}}},
	}}},
	{Key: StructKey{Name: "ib_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ib_addr", TypeSize: 16}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ib_path_rec_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ib_path_rec_data", TypeSize: 72}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ib_path_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "path_rec", TypeSize: 64}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "icmp6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "icmp_address_reply_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_address_reply_packet", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 18},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "mask", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmp_address_request_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_address_request_packet", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "mask", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmp_dest_unreach_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_dest_unreach_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmp_dest_unreach_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "length", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "mtu", TypeSize: 2}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "icmp_ipv4_header"}, FldName: "iph"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "icmp_echo_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_echo_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmp_echo_reply_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_echo_reply_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 100, RangeEnd: 104},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmp_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_filter", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "data", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "icmp_info_reply_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_info_reply_packet", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmp_info_request_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_info_request_packet", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 15},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmp_ipv4_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_ipv4_header", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "ihl", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, BitSize: 32, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ecn", TypeSize: 1}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dscp", TypeSize: 1}, BitfieldOff: 2, BitfieldLen: 6}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "total_len", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 100, RangeEnd: 104},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "frag_off", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ttl", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_types", FldName: "protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "csum", TypeSize: 2}, ArgFormat: 1}},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "src_ip"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "dst_ip"},
		&StructType{Key: StructKey{Name: "ipv4_options"}, FldName: "options"},
	}}},
	{Key: StructKey{Name: "icmp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "icmp_echo_reply_packet"}, FldName: "echo_reply"},
		&StructType{Key: StructKey{Name: "icmp_dest_unreach_packet"}, FldName: "dest_unreach"},
		&StructType{Key: StructKey{Name: "icmp_source_quench_packet"}, FldName: "source_quench"},
		&StructType{Key: StructKey{Name: "icmp_redirect_packet"}, FldName: "redirect"},
		&StructType{Key: StructKey{Name: "icmp_echo_packet"}, FldName: "echo"},
		&StructType{Key: StructKey{Name: "icmp_time_exceeded_packet"}, FldName: "time_exceeded"},
		&StructType{Key: StructKey{Name: "icmp_parameter_prob_packet"}, FldName: "parameter_prob"},
		&StructType{Key: StructKey{Name: "icmp_timestamp_packet"}, FldName: "timestamp"},
		&StructType{Key: StructKey{Name: "icmp_timestamp_reply_packet"}, FldName: "timestamp_reply"},
		&StructType{Key: StructKey{Name: "icmp_info_request_packet"}, FldName: "info_request"},
		&StructType{Key: StructKey{Name: "icmp_info_reply_packet"}, FldName: "info_reply"},
		&StructType{Key: StructKey{Name: "icmp_address_request_packet"}, FldName: "address_request"},
		&StructType{Key: StructKey{Name: "icmp_address_reply_packet"}, FldName: "address_reply"},
	}}},
	{Key: StructKey{Name: "icmp_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "icmp_parameter_prob_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_parameter_prob_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 12},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pointer", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "length", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "icmp_ipv4_header"}, FldName: "iph"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "icmp_redirect_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_redirect_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 5},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmp_redirect_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ip"},
		&StructType{Key: StructKey{Name: "icmp_ipv4_header"}, FldName: "iph"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "icmp_source_quench_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_source_quench_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "icmp_ipv4_header"}, FldName: "iph"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "icmp_time_exceeded_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_time_exceeded_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 11},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmp_time_exceeded_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "length", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused2", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "icmp_ipv4_header"}, FldName: "iph"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "icmp_timestamp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_timestamp_packet", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "orig_ts", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "recv_ts", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "trans_ts", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmp_timestamp_reply_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmp_timestamp_reply_packet", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "orig_ts", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "recv_ts", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "trans_ts", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "icmpv6_dest_unreach_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_dest_unreach_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmpv6_dest_unreach_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "length", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "unused", TypeSize: 3}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "icmpv6_ipv6_packet"}, FldName: "packet"},
	}}},
	{Key: StructKey{Name: "icmpv6_echo_reply_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_echo_reply_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 129},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmpv6_echo_request_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_echo_request_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 128},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "seq_num", TypeSize: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmpv6_ipv6_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_ipv6_packet", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "priority", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 6},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "flow_label", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "length", TypeSize: 2}, ArgFormat: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hop_limit", TypeSize: 1}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "src_ip"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "dst_ip"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ext_headers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_ext_header"}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmpv6_mld_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_mld_packet", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmpv6_mld_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{130, 131, 132}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "mrd", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "unused", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "icmpv6_ni_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_ni_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmpv6_ni_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{139, 140}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "qtype", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "flags", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64be", FldName: "nonce", TypeSize: 8}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "icmpv6_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "icmpv6_dest_unreach_packet"}, FldName: "dest_unreach"},
		&StructType{Key: StructKey{Name: "icmpv6_pkt_toobig_packet"}, FldName: "pkt_toobig"},
		&StructType{Key: StructKey{Name: "icmpv6_time_exceed_packet"}, FldName: "time_exceed"},
		&StructType{Key: StructKey{Name: "icmpv6_param_prob_packet"}, FldName: "param_prob"},
		&StructType{Key: StructKey{Name: "icmpv6_echo_request_packet"}, FldName: "echo_request"},
		&StructType{Key: StructKey{Name: "icmpv6_echo_reply_packet"}, FldName: "echo_reply"},
		&StructType{Key: StructKey{Name: "icmpv6_mld_packet"}, FldName: "mld"},
		&StructType{Key: StructKey{Name: "icmpv6_ni_packet"}, FldName: "ni"},
	}}},
	{Key: StructKey{Name: "icmpv6_param_prob_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_param_prob_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmpv6_param_prob_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "pointer", TypeSize: 4}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "icmpv6_ipv6_packet"}, FldName: "packet"},
	}}},
	{Key: StructKey{Name: "icmpv6_pkt_toobig_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_pkt_toobig_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "mtu", TypeSize: 4}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "icmpv6_ipv6_packet"}, FldName: "packet"},
	}}},
	{Key: StructKey{Name: "icmpv6_time_exceed_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "icmpv6_time_exceed_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmpv6_time_exceed_codes", FldName: "code", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 58},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "length", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "unused", TypeSize: 3}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "icmpv6_ipv6_packet"}, FldName: "packet"},
	}}},
	{Key: StructKey{Name: "idletimer_tg_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "idletimer_tg_info", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "label", TypeSize: 28}, Kind: 2, SubKind: "idletimer_tg_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "timer", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "if_settings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "if_settings", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4, ArgDir: 2}}},
		&UnionType{Key: StructKey{Name: "ifs_ifsu", Dir: 2}, FldName: "ifs_ifsu"},
	}}},
	{Key: StructKey{Name: "if_stats_msg[AF_UNSPEC]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "if_stats_msg[AF_UNSPEC]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "filter_mask", FldName: "filter_mask", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5}},
	}}},
	{Key: StructKey{Name: "ifa_cacheinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifa_cacheinfo", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifa_prefered", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifa_valid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cstamp", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tstamp", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ifa_ipv4_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifa_ipv4_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_LOCAL, int16], ipv4_addr]"}, FldName: "IFA_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_ADDRESS, int16], ipv4_addr]"}, FldName: "IFA_ADDRESS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_BROADCAST, int16], ipv4_addr]"}, FldName: "IFA_BROADCAST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_LABEL, int16], devname]"}, FldName: "IFA_LABEL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_CACHEINFO, int16], ifa_cacheinfo]"}, FldName: "IFA_CACHEINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_FLAGS, int16], flags[ifa_flags, int32]]"}, FldName: "IFA_FLAGS"},
	}}},
	{Key: StructKey{Name: "ifa_ipv6_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifa_ipv6_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_ADDRESS, int16], ipv6_addr]"}, FldName: "IFA_ADDRESS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_LOCAL, int16], ipv6_addr]"}, FldName: "IFA_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_CACHEINFO, int16], ifa_cacheinfo]"}, FldName: "IFA_CACHEINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFA_FLAGS, int16], flags[ifa_flags, int32]]"}, FldName: "IFA_FLAGS"},
	}}},
	{Key: StructKey{Name: "ifaddrmsg[AF_INET6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifaddrmsg[AF_INET6]", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifa_family", TypeSize: 1}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifa_prefixlen", FldName: "ifa_prefixlen", TypeSize: 1}}, Vals: []uint64{0, 1, 8, 16, 24, 31, 32, 56, 63, 64, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifa_flags", FldName: "ifa_flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "ifa_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifa_index", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ifaddrmsg[AF_INET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifaddrmsg[AF_INET]", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifa_family", TypeSize: 1}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifa_prefixlen", FldName: "ifa_prefixlen", TypeSize: 1}}, Vals: []uint64{0, 1, 8, 16, 24, 31, 32, 56, 63, 64, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifa_flags", FldName: "ifa_flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "ifa_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifa_index", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ifconf", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifconf", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ifconf_buf", Dir: 2}, FldName: "buf"},
		&StructType{Key: StructKey{Name: "ifconf_req", Dir: 2}, FldName: "req"},
	}}},
	{Key: StructKey{Name: "ifconf_buf", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifconf_buf", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ifc_len", TypeSize: 4, ArgDir: 2}}, Buf: "ifcu_buf"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ifcu_buf", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "ifconf_req", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifconf_req", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ifc_len", TypeSize: 4, ArgDir: 2}}, Buf: "ifcu_req"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ifcu_req", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, ifr_ifru]", Dir: 2}}},
	}}},
	{Key: StructKey{Name: "ifinfomsg[AF_BRIDGE]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifinfomsg[AF_BRIDGE]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifi_family", TypeSize: 1}}, Val: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__ifi_pad", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifi_type", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifi_index", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "net_device_flags", FldName: "ifi_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "net_device_flags", FldName: "ifi_change", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifinfomsg[AF_UNSPEC]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifi_family", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__ifi_pad", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ifi_type", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifi_index", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "net_device_flags", FldName: "ifi_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "net_device_flags", FldName: "ifi_change", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ifla_info_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"bond\", IFLA_INFO_DATA, array[bond_policy]]"}, FldName: "bond"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"bond_slave\", IFLA_INFO_SLAVE_DATA, bond_slave_policy]"}, FldName: "bond_slave"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"bridge\", IFLA_INFO_DATA, array[br_policy]]"}, FldName: "bridge"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"bridge_slave\", IFLA_INFO_SLAVE_DATA, array[br_port_policy]]"}, FldName: "bridge_slave"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"gre\", IFLA_INFO_DATA, array[ipgre_policy]]"}, FldName: "gre"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"gretap\", IFLA_INFO_DATA, array[ipgre_policy]]"}, FldName: "gretap"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"erspan\", IFLA_INFO_DATA, array[ipgre_policy]]"}, FldName: "erspan"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6gre\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, FldName: "ip6gre"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6gretap\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, FldName: "ip6gretap"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6erspan\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, FldName: "ip6erspan"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ipip\", IFLA_INFO_DATA, array[ipip_policy]]"}, FldName: "ipip"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ipip6_policy]]"}, FldName: "ipip6"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ip6ip6_policy]]"}, FldName: "ip6ip6"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"sit\", IFLA_INFO_DATA, array[sit_policy]]"}, FldName: "sit"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"veth\", IFLA_INFO_DATA, veth_policy]"}, FldName: "veth"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"vti\", IFLA_INFO_DATA, array[vti_policy]]"}, FldName: "vti"},
		&StructType{Key: StructKey{Name: "ifla_info_policy_t[\"ip6vti\", IFLA_INFO_DATA, array[ip6vti_policy]]"}, FldName: "ip6vti"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"bond\", IFLA_INFO_DATA, array[bond_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"bond\", IFLA_INFO_DATA, array[bond_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[bond_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"bond_slave\", IFLA_INFO_SLAVE_DATA, bond_slave_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"bond_slave\", IFLA_INFO_SLAVE_DATA, bond_slave_policy]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond_slave\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], bond_slave_policy]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"bridge\", IFLA_INFO_DATA, array[br_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"bridge\", IFLA_INFO_DATA, array[br_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[br_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"bridge_slave\", IFLA_INFO_SLAVE_DATA, array[br_port_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"bridge_slave\", IFLA_INFO_SLAVE_DATA, array[br_port_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge_slave\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], array[br_port_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"erspan\", IFLA_INFO_DATA, array[ipgre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"erspan\", IFLA_INFO_DATA, array[ipgre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"erspan\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipgre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"gre\", IFLA_INFO_DATA, array[ipgre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"gre\", IFLA_INFO_DATA, array[ipgre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gre\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipgre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"gretap\", IFLA_INFO_DATA, array[ipgre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"gretap\", IFLA_INFO_DATA, array[ipgre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gretap\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipgre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6erspan\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6erspan\", IFLA_INFO_DATA, array[ip6gre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6erspan\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6gre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6gre\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6gre\", IFLA_INFO_DATA, array[ip6gre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gre\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6gre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6gretap\", IFLA_INFO_DATA, array[ip6gre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6gretap\", IFLA_INFO_DATA, array[ip6gre_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gretap\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6gre_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ip6ip6_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ip6ip6_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6tnl\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6ip6_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ipip6_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6tnl\", IFLA_INFO_DATA, array[ipip6_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6tnl\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip6_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ip6vti\", IFLA_INFO_DATA, array[ip6vti_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ip6vti\", IFLA_INFO_DATA, array[ip6vti_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6vti\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6vti_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"ipip\", IFLA_INFO_DATA, array[ipip_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"ipip\", IFLA_INFO_DATA, array[ipip_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ipip\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"sit\", IFLA_INFO_DATA, array[sit_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"sit\", IFLA_INFO_DATA, array[sit_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"sit\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[sit_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"veth\", IFLA_INFO_DATA, veth_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"veth\", IFLA_INFO_DATA, veth_policy]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"veth\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], veth_policy]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_info_policy_t[\"vti\", IFLA_INFO_DATA, array[vti_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_info_policy_t[\"vti\", IFLA_INFO_DATA, array[vti_policy]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"vti\"]]"}, FldName: "IFLA_INFO_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[vti_policy]]"}, FldName: "IFLA_INFO_DATA"},
	}}},
	{Key: StructKey{Name: "ifla_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifla_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IFNAME, int16], devname]"}, FldName: "IFLA_IFNAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_ADDRESS, int16], mac_addr]"}, FldName: "IFLA_ADDRESS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_BROADCAST, int16], mac_addr]"}, FldName: "IFLA_BROADCAST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_MAP, int16], rtnl_link_ifmap]"}, FldName: "IFLA_MAP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_MAP, int16], int32]"}, FldName: "IFLA_MTU"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_LINK, int16], int32]"}, FldName: "IFLA_LINK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_MASTER, int16], int32]"}, FldName: "IFLA_MASTER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_CARRIER, int16], int8]"}, FldName: "IFLA_CARRIER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_TXQLEN, int16], int32]"}, FldName: "IFLA_TXQLEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_WEIGHT, int16], int32]"}, FldName: "IFLA_WEIGHT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_OPERSTATE, int16], int8]"}, FldName: "IFLA_OPERSTATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_LINKMODE, int16], int8]"}, FldName: "IFLA_LINKMODE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_LINKINFO, int16], ifla_info_policy]"}, FldName: "IFLA_LINKINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_NET_NS_PID, int16], pid]"}, FldName: "IFLA_NET_NS_PID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_NET_NS_FD, int16], fd]"}, FldName: "IFLA_NET_NS_FD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IFALIAS, int16], devname]"}, FldName: "IFLA_IFALIAS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IFALIAS, int16], void]"}, FldName: "IFLA_IFALIASn"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VFINFO_LIST, int16], array[nlattr[IFLA_VF_INFO, array[ifla_vf_policy]]]]"}, FldName: "IFLA_VFINFO_LIST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_PORTS, int16], array[nlattr[IFLA_VF_PORT, array[ifla_port_policy]]]]"}, FldName: "IFLA_VF_PORTS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_PORT_SELF, int16], array[ifla_port_policy]]"}, FldName: "IFLA_PORT_SELF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_AF_SPEC, int16], array[nlattr_t[flags[rtnl_af, int16], void]]]"}, FldName: "IFLA_AF_SPEC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_EXT_MASK, int16], int32]"}, FldName: "IFLA_EXT_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_PROMISCUITY, int16], int32]"}, FldName: "IFLA_PROMISCUITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_NUM_TX_QUEUES, int16], int32]"}, FldName: "IFLA_NUM_TX_QUEUES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_NUM_RX_QUEUES, int16], int32]"}, FldName: "IFLA_NUM_RX_QUEUES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_PHYS_PORT_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]"}, FldName: "IFLA_PHYS_PORT_ID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_CARRIER_CHANGES, int16], int32]"}, FldName: "IFLA_CARRIER_CHANGES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_PHYS_SWITCH_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]"}, FldName: "IFLA_PHYS_SWITCH_ID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_LINK_NETNSID, int16], int32]"}, FldName: "IFLA_LINK_NETNSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_PROTO_DOWN, int16], int8]"}, FldName: "IFLA_PROTO_DOWN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_XDP, int16], array[ifla_xdp_policy]]"}, FldName: "IFLA_XDP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_EVENT, int16], int32]"}, FldName: "IFLA_EVENT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GROUP, int16], int32]"}, FldName: "IFLA_GROUP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IF_NETNSID, int16], int32]"}, FldName: "IFLA_IF_NETNSID"},
	}}},
	{Key: StructKey{Name: "ifmap", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifmap", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "mem_start", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "mem_end", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "base_addr", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "irq", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dma", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifr_ifru", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifr_ifru", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "sockaddr", Dir: 2}, FldName: "ifru_addrs"},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "ifru_hwaddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifru_flags", FldName: "ifru_flags", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4096, 8192, 16384, 32768, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifru_ivalue", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifru_mtu", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "ifmap", Dir: 2}, FldName: "ifru_map"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifru_names", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ifru_data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32}},
		&StructType{Key: StructKey{Name: "if_settings", Dir: 2}, FldName: "ifru_settings"},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[\"team0\", ifindex_team[opt]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[\"team0\", ifindex_team[opt]]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, Values: []string{"team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_team", FldName: "elem", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[\"vcan0\", ifindex_vcan]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[\"vcan0\", ifindex_vcan]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, Values: []string{"vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_vcan", FldName: "elem", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[ifru_flags, int16]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, flags[ifru_flags, int16]]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifru_flags", FldName: "elem", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4096, 8192, 16384, 32768, 256, 512, 1024, 2048, 4096}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 22}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[tun_queue_flags, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, flags[tun_queue_flags, int16]]", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tun_queue_flags", FldName: "elem", TypeSize: 2}}, Vals: []uint64{512, 1024}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 22}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[tun_setiff_flags, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, flags[tun_setiff_flags, int16]]", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tun_setiff_flags", FldName: "elem", TypeSize: 2}}, Vals: []uint64{1, 2, 16, 32, 4096, 8192, 16384, 32768, 256, 512, 1024, 2048, 4096}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 22}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, ifindex]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, ifindex]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "elem", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, ifr_ifru]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, ifr_ifru]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&UnionType{Key: StructKey{Name: "ifr_ifru", Dir: 2}, FldName: "elem"},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, int32]", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "elem", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, int32]", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 1}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "elem", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, int32]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "elem", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 20}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, mac_addr]", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 18}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, ptr[inout, ethtool_cmd_u]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, ptr[inout, ethtool_cmd_u]]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "elem", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ethtool_cmd_u", Dir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 16}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, sockaddr_in]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 2}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_ipx]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, sockaddr_ipx]", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&StructType{Key: StructKey{Name: "sockaddr_ipx"}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_ipx]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, sockaddr_ipx]", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 2}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 2}, FldName: "elem"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifreq_dev_t[devnames, void]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifreq_dev_t[devnames, void]", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "ifr_ifrn", TypeSize: 16, ArgDir: 1}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "elem", ArgDir: 1}, Kind: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 24}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ifs_ifsu", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ifs_ifsu", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "raw_hdlc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "raw_hdlc_proto"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cisco", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cisco_proto"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fr_proto"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fr_pvc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fr_proto_pvc"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fr_pvc_info", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fr_proto_pvc_info"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sync", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sync_serial_settings"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "te1", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te1_settings"}}},
	}}},
	{Key: StructKey{Name: "igmp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "igmp_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "igmp_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{17, 18, 19, 20, 21, 22, 23, 34, 30, 31}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mrtime", TypeSize: 1}}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "addr"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "in6_flowlabel_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in6_flowlabel_req", TypeSize: 32}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "flr_dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flr_label", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_actions", FldName: "flr_action", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_shares", FldName: "flr_share", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_flags", FldName: "flr_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flr_expires", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flr_linger", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "__flr_pad", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "in6_flowlabel_req", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in6_flowlabel_req", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "flr_dst"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flr_label", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_actions", FldName: "flr_action", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_shares", FldName: "flr_share", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flr_flags", FldName: "flr_flags", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flr_expires", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flr_linger", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "__flr_pad", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "in6_ifreq"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in6_ifreq", TypeSize: 24}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "ifr6_addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifr6_prefixlen", TypeSize: 4}}, Kind: 2, RangeEnd: 128},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifr6_ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "in6_pktinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in6_pktinfo", TypeSize: 20}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "ipi6_addr"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ipi6_ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "in6_rtmsg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in6_rtmsg", TypeSize: 80}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "rtmsg_dst"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "rtmsg_src"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "rtmsg_gateway"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rtmsg_type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rtmsg_dst_len", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rtmsg_src_len", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtmsg_metrics", FldName: "rtmsg_metric", TypeSize: 4}}, Vals: []uint64{1024, 256}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rtmsg_info", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtmsg_flags", FldName: "rtmsg_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 1073741824, 2147483648}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "rtmsg_ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "in_pktinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in_pktinfo", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ipi_ifindex", TypeSize: 4}},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ipi_spec_dst"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ipi_addr"},
	}}},
	{Key: StructKey{Name: "in_pktinfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "in_pktinfo", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ipi_ifindex", TypeSize: 4, ArgDir: 1}},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "ipi_spec_dst"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "ipi_addr"},
	}}},
	{Key: StructKey{Name: "input_absinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "input_absinfo", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuzz", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "res", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "input_event"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "input_event", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timeval"}, FldName: "time"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "input_codes", FldName: "type", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 17, 18, 20, 21, 22, 23, 31}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "code", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "input_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "input_id", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bustype", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vendor", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "product", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "version", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "input_keymap_entry"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "input_keymap_entry", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "len", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "index", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "keycode", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "scancod", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "input_mask"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "input_mask", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "input_codes", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 17, 18, 20, 21, 22, 23, 31}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "ptr"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "io_cmap"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "io_cmap", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map0", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map3", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map4", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map5", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "io_cmap", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "io_cmap", TypeSize: 48, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map0", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map1", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map2", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map3", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map4", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "map5", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "io_event", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "io_event", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "obj", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "res", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "res2", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "iocb"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iocb", TypeSize: 64}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "aio_data", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "aio_key", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "aio_rw_flags", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lio_opcode", FldName: "aio_lio_opcode", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 6, 7, 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "aio_reqprio", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "aio_fildes", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "aio_buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "aio_nbytes", TypeSize: 8}}, Buf: "aio_buf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "aio_offset", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "aio_reserved2", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "iocb_flags", FldName: "aio_flags", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "aio_resfd", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ion_allocation_data", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ion_allocation_data", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ion_heap_mask", FldName: "heap_id_mask", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ion_alloc_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dma_buf", FldName: "fd", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "ion_heap_data", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ion_heap_data", TypeSize: 52, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32, ArgDir: 1}, Kind: 2, Values: []string{"name\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "heap_id", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved0", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved1", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved2", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "ion_heap_query", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ion_heap_query", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnt", TypeSize: 4, ArgDir: 2}}, Buf: "heaps"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved0", TypeSize: 4, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "heaps", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ion_heap_data", Dir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved1", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved2", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "iovec[in, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, array[int8]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, can_bcm_msg]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, can_bcm_msg]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "can_bcm_msg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, can_raw_msg]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, can_raw_msg]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "can_raw_msg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_crypto]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_crypto]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "netlink_msg_crypto"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_route]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_route]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "netlink_msg_route"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_route_sched]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_route_sched]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "netlink_msg_route_sched"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[in, netlink_msg_xfrm]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[in, netlink_msg_xfrm]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "netlink_msg_xfrm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec[out, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec[out, array[int8]]", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "iovec_nl_netfilter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec_nl_netfilter", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "netlink_msg_netfilter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}}},
	{Key: StructKey{Name: "iovec_sadb_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iovec_sadb_msg", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sadb_msg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "ip6gre_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6gre_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv6_addr]"}, FldName: "IFLA_GRE_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv6_addr]"}, FldName: "IFLA_GRE_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gre_common_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "gre_common_policy"}}},
	}}},
	{Key: StructKey{Name: "ip6ip6_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6ip6_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPV6, int8]]"}, FldName: "IFLA_IPTUN_PROTO"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tunl6_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tunl6_policy"}}},
	}}},
	{Key: StructKey{Name: "ip6t_ah"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_ah", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_min", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_max", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hdrlen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hdrres", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_ah_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip6t_entry[ip6t_filter_matches, ip6t_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry[ip6t_filter_matches, ip6t_filter_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_matches[ip6t_filter_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ip6t_filter_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry[ip6t_mangle_matches, ip6t_mangle_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry[ip6t_mangle_matches, ip6t_mangle_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_matches[ip6t_mangle_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ip6t_mangle_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry[ip6t_nat_matches, ip6t_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry[ip6t_nat_matches, ip6t_nat_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_matches[ip6t_nat_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ip6t_nat_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry[ip6t_raw_matches, ip6t_raw_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry[ip6t_raw_matches, ip6t_raw_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_matches[ip6t_raw_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ip6t_raw_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry[ip6t_security_matches, ip6t_security_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry[ip6t_security_matches, ip6t_security_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_matches[ip6t_security_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ip6t_security_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_matches[ip6t_filter_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_matches[ip6t_filter_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, FldName: "ipv6"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6t_filter_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_matches[ip6t_mangle_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_matches[ip6t_mangle_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, FldName: "ipv6"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6t_mangle_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_matches[ip6t_nat_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_matches[ip6t_nat_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, FldName: "ipv6"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6t_nat_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_matches[ip6t_raw_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_matches[ip6t_raw_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, FldName: "ipv6"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6t_raw_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_matches[ip6t_security_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_matches[ip6t_security_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, FldName: "ipv6"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6t_security_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_underflow"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_underflow", TypeSize: 208}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow_matches"}, FldName: "matches"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"\", const[NF_ACCEPT_VERDICT, int32], 0]"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_entry_underflow_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_entry_underflow_matches", TypeSize: 168}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ipv6", TypeSize: 136}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 136, RangeEnd: 136},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ip6t_entry_underflow"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
	}}},
	{Key: StructKey{Name: "ip6t_filter_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_filter_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt6_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ip6t_filter_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_filter_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_targets"}, FldName: "common"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"REJECT\", ip6t_reject_info, 0]"}, FldName: "REJECT"},
	}}},
	{Key: StructKey{Name: "ip6t_frag"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_frag", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ids_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ids_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hdrlen", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_frag_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_frag_invflags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip6t_icmp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_icmp", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmp_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 3, 4, 5, 8, 11, 12, 13, 14, 15, 16, 17, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_min", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_max", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invflags", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "ip6t_ip6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_ip6", TypeSize: 165}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "src"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "dst"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "smsk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dmsk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "iniface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "outiface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 9}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "iniface_mask"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 14}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "outiface_mask"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "proto", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_ip6_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_ip6_invflags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip6t_ip6_or_uncond"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_ip6_or_uncond", TypeSize: 165}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_ip6"}, FldName: "ipv6"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "uncond", TypeSize: 136}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 136, RangeEnd: 136},
	}}},
	{Key: StructKey{Name: "ip6t_ipv6header_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_ipv6header_info", TypeSize: 3}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_ipv6header_flags", FldName: "matchflags", TypeSize: 1}}, Vals: []uint64{128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_ipv6header_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "modeflag", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "ip6t_mangle_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_mangle_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt6_matches"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_inet_mangle_matches"}, FldName: "inet"},
	}}},
	{Key: StructKey{Name: "ip6t_mangle_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_mangle_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_mangle_targets"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_mangle_targets"}, FldName: "inet"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SNPT\", ip6t_npt_tginfo, 0]"}, FldName: "SNPT"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"DNPT\", ip6t_npt_tginfo, 0]"}, FldName: "DNPT"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"HL\", ipt_TTL_info, 0]"}, FldName: "HL"},
	}}},
	{Key: StructKey{Name: "ip6t_mh"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_mh", TypeSize: 3}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "types_min", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "types_max", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invflags", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "ip6t_nat_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_nat_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt6_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ip6t_nat_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_nat_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_nat_targets"}, FldName: "unspec"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NETMAP\", nf_nat_range, 0]"}, FldName: "NETMAP"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"REDIRECT\", nf_nat_range, 0]"}, FldName: "REDIRECT"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"MASQUERADE\", nf_nat_range, 0]"}, FldName: "MASQUERADE"},
	}}},
	{Key: StructKey{Name: "ip6t_npt_tginfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_npt_tginfo", TypeSize: 36}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "src_pfx"},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "dst_pfx"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "src_pfx_len", TypeSize: 1}}, Kind: 2, RangeEnd: 64},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dst_pfx_len", TypeSize: 1}}, Kind: 2, RangeEnd: 64},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "adjustment", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "ip6t_opts"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_opts", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hdrlen", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_opts_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_opts_invflags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "opts", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "optsnr", TypeSize: 1}}, Kind: 2, RangeEnd: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip6t_raw_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_raw_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt6_matches"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_inet_raw_matches"}, FldName: "inet"},
	}}},
	{Key: StructKey{Name: "ip6t_raw_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_raw_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_raw_targets"}, FldName: "unspec"},
	}}},
	{Key: StructKey{Name: "ip6t_reject_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_reject_info", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_reject_with", FldName: "with", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8}},
	}}},
	{Key: StructKey{Name: "ip6t_replace"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip6t_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ip6t_filter_matches, ip6t_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, FldName: "filter"},
		&StructType{Key: StructKey{Name: "ip6t_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ip6t_nat_matches, ip6t_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]"}, FldName: "nat"},
		&StructType{Key: StructKey{Name: "ip6t_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ip6t_mangle_matches, ip6t_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]"}, FldName: "mangle"},
		&StructType{Key: StructKey{Name: "ip6t_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ip6t_raw_matches, ip6t_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]"}, FldName: "raw"},
		&StructType{Key: StructKey{Name: "ip6t_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ip6t_security_matches, ip6t_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, FldName: "security"},
	}}},
	{Key: StructKey{Name: "ip6t_replace_entries[2, ip6t_raw_matches, ip6t_raw_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_entries[2, ip6t_raw_matches, ip6t_raw_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ip6t_entry[ip6t_raw_matches, ip6t_raw_targets]"}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_replace_entries[3, ip6t_filter_matches, ip6t_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_entries[3, ip6t_filter_matches, ip6t_filter_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ip6t_entry[ip6t_filter_matches, ip6t_filter_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_replace_entries[3, ip6t_security_matches, ip6t_security_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_entries[3, ip6t_security_matches, ip6t_security_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ip6t_entry[ip6t_security_matches, ip6t_security_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_replace_entries[4, ip6t_nat_matches, ip6t_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_entries[4, ip6t_nat_matches, ip6t_nat_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ip6t_entry[ip6t_nat_matches, ip6t_nat_targets]"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_replace_entries[5, ip6t_mangle_matches, ip6t_mangle_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_entries[5, ip6t_mangle_matches, ip6t_mangle_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ip6t_entry[ip6t_mangle_matches, ip6t_mangle_targets]"}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&StructType{Key: StructKey{Name: "ip6t_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ip6t_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ip6t_filter_matches, ip6t_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ip6t_filter_matches, ip6t_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 4, RangeEnd: 4}},
		&StructType{Key: StructKey{Name: "ip6t_replace_entries[3, ip6t_filter_matches, ip6t_filter_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ip6t_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ip6t_mangle_matches, ip6t_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ip6t_mangle_matches, ip6t_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 96, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 6, RangeEnd: 6}},
		&StructType{Key: StructKey{Name: "ip6t_replace_entries[5, ip6t_mangle_matches, ip6t_mangle_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ip6t_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ip6t_nat_matches, ip6t_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ip6t_nat_matches, ip6t_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 27},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 5},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 80, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 5, RangeEnd: 5}},
		&StructType{Key: StructKey{Name: "ip6t_replace_entries[4, ip6t_nat_matches, ip6t_nat_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ip6t_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ip6t_raw_matches, ip6t_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ip6t_raw_matches, ip6t_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 9},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 3},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 48, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 3, RangeEnd: 3}},
		&StructType{Key: StructKey{Name: "ip6t_replace_entries[2, ip6t_raw_matches, ip6t_raw_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ip6t_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ip6t_security_matches, ip6t_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ip6t_security_matches, ip6t_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"security\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 4, RangeEnd: 4}},
		&StructType{Key: StructKey{Name: "ip6t_replace_entries[3, ip6t_security_matches, ip6t_security_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ip6t_rt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_rt", TypeSize: 280}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rt_type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "segsleft_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "segsleft_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hdrlen", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_rt_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 48, 16, 32}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_rt_invflags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "addrs", TypeSize: 256}, Type: &UnionType{Key: StructKey{Name: "ipv6_addr"}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "addrnr", TypeSize: 1}}, Kind: 2, RangeEnd: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip6t_security_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_security_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt6_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ip6t_security_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_security_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ip6t_targets"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ip6t_srh"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_srh", TypeSize: 10}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_hdr", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hdr_len", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "segs_left", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "last_entry", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_srh_flags", FldName: "mt_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_srh_flags", FldName: "mt_invflags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ip6t_srh1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_srh1", TypeSize: 108}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_hdr", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hdr_len", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "segs_left", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "last_entry", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "psid_addr"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "nsid_addr"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "lsid_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "psid_msk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "nsid_msk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lsid_msk", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_srh_flags", FldName: "mt_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip6t_srh_flags", FldName: "mt_invflags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ip6t_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6t_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xt_unspec_targets"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_targets"}, FldName: "inet"},
	}}},
	{Key: StructKey{Name: "ip6vti_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip6vti_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv6_addr]"}, FldName: "IFLA_VTI_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv6_addr]"}, FldName: "IFLA_VTI_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "vit_common_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "vit_common_policy"}}},
	}}},
	{Key: StructKey{Name: "ip_mreq"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreq", TypeSize: 8}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_interface"},
	}}},
	{Key: StructKey{Name: "ip_mreq", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreq", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_interface"},
	}}},
	{Key: StructKey{Name: "ip_mreq_source"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreq_source", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_interface"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_sourceaddr"},
	}}},
	{Key: StructKey{Name: "ip_mreq_source", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreq_source", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_interface"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_sourceaddr"},
	}}},
	{Key: StructKey{Name: "ip_mreqn"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreqn", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imr_address"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "imr_ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ip_mreqn", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_mreqn", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "imr_address"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "imr_ifindex", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "ip_msfilter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_msfilter", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imsf_multiaddr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "imsf_interface"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_msfilter_mode", FldName: "imsf_fmode", TypeSize: 4}}, Vals: []uint64{1, 0}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "imsf_numsrc", TypeSize: 4}}, Buf: "imsf_slist"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "imsf_slist", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}},
	}}},
	{Key: StructKey{Name: "ip_set_counter_match"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_set_counter_match", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "value", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "op", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ip_set_counter_match0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_set_counter_match0", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "op", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "value", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "ip_vs_cmd_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_cmd_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_SERVICE, int16], array[ip_vs_svc_policy]]"}, FldName: "IPVS_CMD_ATTR_SERVICE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_DEST, int16], array[ip_vs_dest_policy]]"}, FldName: "IPVS_CMD_ATTR_DEST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_DAEMON, int16], array[ip_vs_daemon_policy]]"}, FldName: "IPVS_CMD_ATTR_DAEMON"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP, int16], int32]"}, FldName: "IPVS_CMD_ATTR_TIMEOUT_TCP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP_FIN, int16], int32]"}, FldName: "IPVS_CMD_ATTR_TIMEOUT_TCP_FIN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_UDP, int16], int32]"}, FldName: "IPVS_CMD_ATTR_TIMEOUT_UDP"},
	}}},
	{Key: StructKey{Name: "ip_vs_daemon_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_daemon_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_STATE, int16], flags[ipvs_daemon_states, int32]]"}, FldName: "IPVS_DAEMON_ATTR_STATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_IFN, int16], devname]"}, FldName: "IPVS_DAEMON_ATTR_MCAST_IFN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_ID, int16], int32[0:4]]"}, FldName: "IPVS_DAEMON_ATTR_SYNC_ID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_MAXLEN, int16], int16]"}, FldName: "IPVS_DAEMON_ATTR_SYNC_MAXLEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP, int16], ipv4_addr]"}, FldName: "IPVS_DAEMON_ATTR_MCAST_GROUP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP6, int16], ipv6_addr]"}, FldName: "IPVS_DAEMON_ATTR_MCAST_GROUP6"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_PORT, int16], sock_port]"}, FldName: "IPVS_DAEMON_ATTR_MCAST_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_TTL, int16], int8]"}, FldName: "IPVS_DAEMON_ATTR_MCAST_TTL"},
	}}},
	{Key: StructKey{Name: "ip_vs_daemon_user"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_daemon_user", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipvs_daemon_states", FldName: "state", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "mcast_ifn", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "syncid", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "ip_vs_dest_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_dest_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ADDR, int16], nf_inet_addr]"}, FldName: "IPVS_DEST_ATTR_ADDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_PORT, int16], sock_port]"}, FldName: "IPVS_DEST_ATTR_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_FWD_METHOD, int16], flags[ipvs_fwd_methods, int16]]"}, FldName: "IPVS_DEST_ATTR_FWD_METHOD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_WEIGHT, int16], int32]"}, FldName: "IPVS_DEST_ATTR_WEIGHT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_U_THRESH, int16], int32]"}, FldName: "IPVS_DEST_ATTR_U_THRESH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_L_THRESH, int16], int32]"}, FldName: "IPVS_DEST_ATTR_L_THRESH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ACTIVE_CONNS, int16], int32]"}, FldName: "IPVS_DEST_ATTR_ACTIVE_CONNS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_INACT_CONNS, int16], int32]"}, FldName: "IPVS_DEST_ATTR_INACT_CONNS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_PERSIST_CONNS, int16], int32]"}, FldName: "IPVS_DEST_ATTR_PERSIST_CONNS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ADDR_FAMILY, int16], flags[ip_vs_af, int16]]"}, FldName: "IPVS_DEST_ATTR_ADDR_FAMILY"},
	}}},
	{Key: StructKey{Name: "ip_vs_dest_user"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_dest_user", TypeSize: 24}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipvs_conn_flags", FldName: "conn_flags", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 8192, 65536}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "weight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "u_threshold", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "l_threshold", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ip_vs_flags"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_flags", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_vs_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_vs_flags", FldName: "mask", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
	}}},
	{Key: StructKey{Name: "ip_vs_service_user"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_service_user", TypeSize: 44}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "protocol", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fwmark", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "sched_name", TypeSize: 16}, Kind: 2, SubKind: "ipvs_sched_names", Values: []string{"none\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "fo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lblc\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lblcr\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lc\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nq\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ovf\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rr\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sed\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "wlc\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "wrr\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_vs_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "netmask", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "ip_vs_svc_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_svc_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_AF, int16], flags[ip_vs_af, int16]]"}, FldName: "IPVS_SVC_ATTR_AF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PROTOCOL, int16], flags[ipv6_types, int16]]"}, FldName: "IPVS_SVC_ATTR_PROTOCOL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_ADDR, int16], nf_inet_addr]"}, FldName: "IPVS_SVC_ATTR_ADDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PORT, int16], sock_port]"}, FldName: "IPVS_SVC_ATTR_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_FWMARK, int16], int32[0:4]]"}, FldName: "IPVS_SVC_ATTR_FWMARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_SCHED_NAME, int16], string[ipvs_sched_names]]"}, FldName: "IPVS_SVC_ATTR_SCHED_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PE_NAME, int16], string[ipvs_pe_names]]"}, FldName: "IPVS_SVC_ATTR_PE_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_FLAGS, int16], ip_vs_flags]"}, FldName: "IPVS_SVC_ATTR_FLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_TIMEOUT, int16], int32]"}, FldName: "IPVS_SVC_ATTR_TIMEOUT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_NETMASK, int16], int32[0:128]]"}, FldName: "IPVS_SVC_ATTR_NETMASK"},
	}}},
	{Key: StructKey{Name: "ip_vs_svcdest_user"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_svcdest_user", TypeSize: 68}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ip_vs_service_user"}, FldName: "s"},
		&StructType{Key: StructKey{Name: "ip_vs_dest_user"}, FldName: "d"},
	}}},
	{Key: StructKey{Name: "ip_vs_timeout_user"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ip_vs_timeout_user", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tcp_timeout", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tcp_fin_timeout", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "udp_timeout", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ipc_perm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipc_perm", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "cuid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "cgid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 4}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "seq", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad0", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "ipgre_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipgre_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv4_addr]"}, FldName: "IFLA_GRE_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv4_addr]"}, FldName: "IFLA_GRE_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gre_common_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "gre_common_policy"}}},
	}}},
	{Key: StructKey{Name: "ipip6_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipip6_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPIP, int8]]"}, FldName: "IFLA_IPTUN_PROTO"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tunl6_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tunl6_policy"}}},
	}}},
	{Key: StructKey{Name: "ipip_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipip_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPIP, int8]]"}, FldName: "IFLA_IPTUN_PROTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv4_addr]"}, FldName: "IFLA_IPTUN_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv4_addr]"}, FldName: "IFLA_IPTUN_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tunl_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tunl_policy"}}},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PMTUDISC, int16], int8[0:1]]"}, FldName: "IFLA_IPTUN_PMTUDISC"},
	}}},
	{Key: StructKey{Name: "ipt6_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt6_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xt_unspec_matches"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_matches"}, FldName: "inet"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"icmp6\", ip6t_icmp, 0]"}, FldName: "icmp6"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"rt\", ip6t_rt, 0]"}, FldName: "rt"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"mh\", ip6t_mh, 0]"}, FldName: "mh"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"hbh\", ip6t_opts, 0]"}, FldName: "hbh"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"dst\", ip6t_opts, 0]"}, FldName: "dst"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"frag\", ip6t_frag, 0]"}, FldName: "frag"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"eui64\", const[0, int32], 0]"}, FldName: "eui64"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ah\", ip6t_ah, 0]"}, FldName: "ah"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ipv6header\", ip6t_ipv6header_info, 0]"}, FldName: "ipv6header"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"hl\", ipt_ttl_info, 0]"}, FldName: "hl"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"srh\", ip6t_srh, 0]"}, FldName: "srh"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"srh\", ip6t_srh1, 1]"}, FldName: "srh1"},
	}}},
	{Key: StructKey{Name: "ipt_ECN_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_ECN_info", TypeSize: 3}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_ECN_op", FldName: "operation", TypeSize: 1}}, Vals: []uint64{1, 16, 32}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ip_ect", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tcp", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "ipt_TTL_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_TTL_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ttl", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "ipt_ah"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_ah", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spi_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spi_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invflags", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ipt_clusterip_tgt_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_clusterip_tgt_info", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "clustermac"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "num_total_nodes", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "num_local_nodes", TypeSize: 2}}, Kind: 2, RangeEnd: 16},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "local_nodes", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}, Kind: 2, RangeEnd: 64}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_clusterip_hash_mode", FldName: "hash_mode", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hash_initval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "config", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "ipt_counters_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_counters_info", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ipt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "security\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "num_counters", TypeSize: 4}}, Buf: "counters"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "counters", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xt_counters"}}, Kind: 1, RangeBegin: 2, RangeEnd: 5},
	}}},
	{Key: StructKey{Name: "ipt_entry[ipt_filter_matches, ipt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry[ipt_filter_matches, ipt_filter_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_matches[ipt_filter_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ipt_filter_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry[ipt_mangle_matches, ipt_mangle_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry[ipt_mangle_matches, ipt_mangle_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_matches[ipt_mangle_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ipt_mangle_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry[ipt_nat_matches, ipt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry[ipt_nat_matches, ipt_nat_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_matches[ipt_nat_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ipt_nat_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry[ipt_raw_matches, ipt_raw_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry[ipt_raw_matches, ipt_raw_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_matches[ipt_raw_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ipt_raw_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry[ipt_security_matches, ipt_security_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry[ipt_security_matches, ipt_security_targets]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_matches[ipt_security_matches]"}, FldName: "matches"},
		&UnionType{Key: StructKey{Name: "ipt_security_targets"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_matches[ipt_filter_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_matches[ipt_filter_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_ip_or_uncond"}, FldName: "ip"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipt_filter_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_matches[ipt_mangle_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_matches[ipt_mangle_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_ip_or_uncond"}, FldName: "ip"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipt_mangle_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_matches[ipt_nat_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_matches[ipt_nat_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_ip_or_uncond"}, FldName: "ip"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipt_nat_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_matches[ipt_raw_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_matches[ipt_raw_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_ip_or_uncond"}, FldName: "ip"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipt_raw_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_matches[ipt_security_matches]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_matches[ipt_security_matches]", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_ip_or_uncond"}, FldName: "ip"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "matches", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipt_security_matches"}}, Kind: 1, RangeEnd: 2},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_underflow"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_underflow", TypeSize: 152}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_entry_underflow_matches"}, FldName: "matches"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"\", const[NF_ACCEPT_VERDICT, int32], 0]"}, FldName: "target"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_entry_underflow_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_entry_underflow_matches", TypeSize: 112}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ip", TypeSize: 84}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 84, RangeEnd: 84},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nfcache", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_offset", TypeSize: 2}}, Buf: "parent"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "next_offset", TypeSize: 2}}, Buf: "ipt_entry_underflow"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comefrom", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "xt_counters"}, FldName: "counters"},
	}}},
	{Key: StructKey{Name: "ipt_filter_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_filter_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ipt_filter_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_filter_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_targets"}, FldName: "common"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"REJECT\", ipt_reject_info, 0]"}, FldName: "REJECT"},
	}}},
	{Key: StructKey{Name: "ipt_get_entries"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_get_entries", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ipt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "security\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entrytable"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entrytable", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ipt_getinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_getinfo", TypeSize: 84}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "ipt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "security\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "hook_entry", TypeSize: 20}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "underflow", TypeSize: 20}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "size", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ipt_icmp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_icmp", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "icmp_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 3, 4, 5, 8, 11, 12, 13, 14, 15, 16, 17, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_min", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "code_max", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invflags", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "ipt_ip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_ip", TypeSize: 120}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "src"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "dst"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "smsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "dmsk", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "iniface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "outiface", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 12}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "iniface_mask"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 14}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "outiface_mask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_types", FldName: "proto", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 115}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_ip_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_ip_invflags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 10}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "ipt_ip_or_uncond"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_ip_or_uncond", TypeSize: 120}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_ip"}, FldName: "ip"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "uncond", TypeSize: 84}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 84, RangeEnd: 84},
	}}},
	{Key: StructKey{Name: "ipt_mangle_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_mangle_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_matches"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_inet_mangle_matches"}, FldName: "inet"},
	}}},
	{Key: StructKey{Name: "ipt_mangle_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_mangle_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_mangle_targets"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_mangle_targets"}, FldName: "inet"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"ECN\", ipt_ECN_info, 0]"}, FldName: "ECN"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TPROXY\", xt_tproxy_target_info, 0]"}, FldName: "TPROXY"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TTL\", ipt_TTL_info, 0]"}, FldName: "TTL"},
	}}},
	{Key: StructKey{Name: "ipt_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xt_unspec_matches"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_matches"}, FldName: "inet"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"icmp\", ipt_icmp, 0]"}, FldName: "icmp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ah\", ipt_ah, 0]"}, FldName: "ah"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"socket\", void, 0]"}, FldName: "socket0"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v0, 0]"}, FldName: "set"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"addrtype\", xt_addrtype_info, 0]"}, FldName: "addrtype"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"osf\", xt_osf_info, 0]"}, FldName: "osf"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ttl\", ipt_ttl_info, 0]"}, FldName: "ttl"},
	}}},
	{Key: StructKey{Name: "ipt_nat_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_nat_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ipt_nat_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_nat_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_nat_targets"}, FldName: "unspec"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NETMAP\", nf_nat_ipv4_multi_range_compat, 0]"}, FldName: "NETMAP"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SNAT\", nf_nat_ipv4_multi_range_compat, 0]"}, FldName: "SNAT0"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"DNAT\", nf_nat_ipv4_multi_range_compat, 0]"}, FldName: "DNAT0"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"REDIRECT\", nf_nat_ipv4_multi_range_compat, 0]"}, FldName: "REDIRECT"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"MASQUERADE\", nf_nat_ipv4_multi_range_compat, 0]"}, FldName: "MASQUERADE"},
	}}},
	{Key: StructKey{Name: "ipt_raw_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_raw_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_matches"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_inet_raw_matches"}, FldName: "inet"},
	}}},
	{Key: StructKey{Name: "ipt_raw_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_raw_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_targets"}, FldName: "common"},
		&UnionType{Key: StructKey{Name: "xt_unspec_raw_targets"}, FldName: "unspec"},
	}}},
	{Key: StructKey{Name: "ipt_reject_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_reject_info", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_reject_with", FldName: "with", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 5, 6, 7, 8}},
	}}},
	{Key: StructKey{Name: "ipt_replace"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipt_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ipt_filter_matches, ipt_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, FldName: "filter"},
		&StructType{Key: StructKey{Name: "ipt_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ipt_nat_matches, ipt_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]"}, FldName: "nat"},
		&StructType{Key: StructKey{Name: "ipt_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ipt_mangle_matches, ipt_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]"}, FldName: "mangle"},
		&StructType{Key: StructKey{Name: "ipt_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ipt_raw_matches, ipt_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]"}, FldName: "raw"},
		&StructType{Key: StructKey{Name: "ipt_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ipt_security_matches, ipt_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, FldName: "security"},
	}}},
	{Key: StructKey{Name: "ipt_replace_entries[2, ipt_raw_matches, ipt_raw_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_entries[2, ipt_raw_matches, ipt_raw_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipt_entry[ipt_raw_matches, ipt_raw_targets]"}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "ipt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_replace_entries[3, ipt_filter_matches, ipt_filter_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_entries[3, ipt_filter_matches, ipt_filter_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipt_entry[ipt_filter_matches, ipt_filter_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "ipt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_replace_entries[3, ipt_security_matches, ipt_security_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_entries[3, ipt_security_matches, ipt_security_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipt_entry[ipt_security_matches, ipt_security_targets]"}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&StructType{Key: StructKey{Name: "ipt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_replace_entries[4, ipt_nat_matches, ipt_nat_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_entries[4, ipt_nat_matches, ipt_nat_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipt_entry[ipt_nat_matches, ipt_nat_targets]"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "ipt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_replace_entries[5, ipt_mangle_matches, ipt_mangle_targets]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_entries[5, ipt_mangle_matches, ipt_mangle_targets]", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipt_entry[ipt_mangle_matches, ipt_mangle_targets]"}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&StructType{Key: StructKey{Name: "ipt_entry_underflow"}, FldName: "underflow"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipt_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ipt_filter_matches, ipt_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_t[\"filter\", 3, 4, IPT_FILTER_VALID_HOOKS, ipt_filter_matches, ipt_filter_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 4, RangeEnd: 4}},
		&StructType{Key: StructKey{Name: "ipt_replace_entries[3, ipt_filter_matches, ipt_filter_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ipt_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ipt_mangle_matches, ipt_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_t[\"mangle\", 5, 6, IPT_MANGLE_VALID_HOOKS, ipt_mangle_matches, ipt_mangle_targets, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_hook]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 96, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 6, RangeEnd: 6}},
		&StructType{Key: StructKey{Name: "ipt_replace_entries[5, ipt_mangle_matches, ipt_mangle_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ipt_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ipt_nat_matches, ipt_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_t[\"nat\", 4, 5, IPT_NAT_VALID_HOOKS, ipt_nat_matches, ipt_nat_targets, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_hook, ipt_hook]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 27},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 5},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 80, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 5, RangeEnd: 5}},
		&StructType{Key: StructKey{Name: "ipt_replace_entries[4, ipt_nat_matches, ipt_nat_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ipt_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ipt_raw_matches, ipt_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_t[\"raw\", 2, 3, IPT_RAW_VALID_HOOKS, ipt_raw_matches, ipt_raw_targets, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 9},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 3},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 48, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 3, RangeEnd: 3}},
		&StructType{Key: StructKey{Name: "ipt_replace_entries[2, ipt_raw_matches, ipt_raw_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ipt_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ipt_security_matches, ipt_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_replace_t[\"security\", 3, 4, IPT_SECURITY_VALID_HOOKS, ipt_security_matches, ipt_security_targets, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused, ipt_unused, ipt_hook, ipt_hook, ipt_hook, ipt_unused]", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, Values: []string{"security\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "valid_hooks", TypeSize: 4}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_entries", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hook_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_pre_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_in", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_forward", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_local_out", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "underflow_post_routing", TypeSize: 4}}, Val: 18446744073709551615},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "num_counters", TypeSize: 4}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "counters", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "xt_counters", Dir: 1}}, Kind: 1, RangeBegin: 4, RangeEnd: 4}},
		&StructType{Key: StructKey{Name: "ipt_replace_entries[3, ipt_security_matches, ipt_security_targets]"}, FldName: "entries"},
	}}},
	{Key: StructKey{Name: "ipt_security_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_security_matches", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_matches"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ipt_security_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_security_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipt_targets"}, FldName: "common"},
	}}},
	{Key: StructKey{Name: "ipt_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_targets", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xt_unspec_targets"}, FldName: "unspec"},
		&UnionType{Key: StructKey{Name: "xt_inet_targets"}, FldName: "inet"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v0, 0]"}, FldName: "SET"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CLUSTERIP\", ipt_clusterip_tgt_info, 0]"}, FldName: "CLUSTERIP"},
	}}},
	{Key: StructKey{Name: "ipt_ttl_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipt_ttl_info", TypeSize: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipt_ttl_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ttl", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "ipv4_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "empty", TypeSize: 4}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]"}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]"}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]"}, FldName: "dev"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "loopback", TypeSize: 4}, ArgFormat: 1}, Val: 2130706433},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast1", TypeSize: 4}, ArgFormat: 1}, Val: 3758096385},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast2", TypeSize: 4}, ArgFormat: 1}, Val: 3758096386},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "broadcast", TypeSize: 4}, ArgFormat: 1}, Val: 4294967295},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "rand_addr", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv4_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "empty", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]", Dir: 1}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]", Dir: 1}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]", Dir: 1}, FldName: "dev"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "loopback", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}, Val: 2130706433},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast1", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}, Val: 3758096385},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast2", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}, Val: 3758096386},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "broadcast", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}, Val: 4294967295},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "rand_addr", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv4_addr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "empty", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]", Dir: 2}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]", Dir: 2}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]", Dir: 2}, FldName: "dev"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "loopback", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}, Val: 2130706433},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast1", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}, Val: 3758096385},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "multicast2", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}, Val: 3758096386},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "broadcast", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}, Val: 4294967295},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "rand_addr", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[170, int8]]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[170, int8]]", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[170, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[170, int8]]", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[187, int8]]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[187, int8]]", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[const[187, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[const[187, int8]]", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[netdev_addr_id]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[netdev_addr_id]", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 1}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv4_addr_t[netdev_addr_id]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_addr_t[netdev_addr_id]", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 172},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv4_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_header", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "ihl", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, BitSize: 32, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ecn", TypeSize: 1}, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dscp", TypeSize: 1}, BitfieldOff: 2, BitfieldLen: 6}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "total_len", TypeSize: 2}, ArgFormat: 1}, Buf: "ipv4_packet"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 100, RangeEnd: 104},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "frag_off", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ttl", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_types", FldName: "protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 115}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "src_ip"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "dst_ip"},
		&StructType{Key: StructKey{Name: "ipv4_options"}, FldName: "options"},
	}}},
	{Key: StructKey{Name: "ipv4_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv4_option_generic"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "ipv4_option_end"}, FldName: "end"},
		&StructType{Key: StructKey{Name: "ipv4_option_noop"}, FldName: "noop"},
		&StructType{Key: StructKey{Name: "ipv4_option_lsrr"}, FldName: "lsrr"},
		&StructType{Key: StructKey{Name: "ipv4_option_ssrr"}, FldName: "ssrr"},
		&StructType{Key: StructKey{Name: "ipv4_option_rr"}, FldName: "rr"},
		&StructType{Key: StructKey{Name: "ipv4_option_timestamp"}, FldName: "timestamp"},
		&StructType{Key: StructKey{Name: "ipv4_option_cipso"}, FldName: "cipso"},
		&StructType{Key: StructKey{Name: "ipv4_option_ra"}, FldName: "ra"},
	}}},
	{Key: StructKey{Name: "ipv4_option_cipso"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_cipso", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 134},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "doi", TypeSize: 4}, ArgFormat: 1}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tags", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipv4_option_cipso_tag"}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_cipso_tag"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_cipso_tag", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_option_cipso_tag_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 5, 6, 7}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "ipv4_option_end"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_end", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_generic"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_generic", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_option_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 130, 131, 68, 134, 7, 136, 137, 148}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "ipv4_option_lsrr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_lsrr", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 131},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pointer", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_noop"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_noop", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv4_option_ra"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_ra", TypeSize: 6}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 148},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "value", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv4_option_rr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_rr", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 7},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pointer", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_ssrr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_ssrr", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 137},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pointer", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_timestamp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_timestamp", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 68},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pointer", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_option_timestamp_flags", FldName: "flg", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "oflw", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "timestamps", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ipv4_option_timestamp_timestamp"}}},
	}}},
	{Key: StructKey{Name: "ipv4_option_timestamp_timestamp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_option_timestamp_timestamp", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "addr", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}, Kind: 1, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "timestamp", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv4_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_options", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "options", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_option"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "ipv4_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv4_header"}, FldName: "header"},
		&UnionType{Key: StructKey{Name: "ipv4_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "ipv4_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv4_payload", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcp_packet"}, FldName: "tcp"},
		&StructType{Key: StructKey{Name: "udp_packet"}, FldName: "udp"},
		&UnionType{Key: StructKey{Name: "icmp_packet"}, FldName: "icmp"},
		&StructType{Key: StructKey{Name: "dccp_packet"}, FldName: "dccp"},
		&StructType{Key: StructKey{Name: "igmp_packet"}, FldName: "igmp"},
		&StructType{Key: StructKey{Name: "gre_packet"}, FldName: "gre"},
	}}},
	{Key: StructKey{Name: "ipv6_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv6_addr_empty"}, FldName: "empty"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]"}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]"}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]"}, FldName: "dev"},
		&StructType{Key: StructKey{Name: "ipv6_addr_loopback"}, FldName: "loopback"},
		&StructType{Key: StructKey{Name: "ipv6_addr_ipv4"}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast1"}, FldName: "mcast1"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast2"}, FldName: "mcast2"},
	}}},
	{Key: StructKey{Name: "ipv6_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv6_addr_empty", Dir: 1}, FldName: "empty"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]", Dir: 1}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]", Dir: 1}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]", Dir: 1}, FldName: "dev"},
		&StructType{Key: StructKey{Name: "ipv6_addr_loopback", Dir: 1}, FldName: "loopback"},
		&StructType{Key: StructKey{Name: "ipv6_addr_ipv4", Dir: 1}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast1", Dir: 1}, FldName: "mcast1"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast2", Dir: 1}, FldName: "mcast2"},
	}}},
	{Key: StructKey{Name: "ipv6_addr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv6_addr_empty", Dir: 2}, FldName: "empty"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]", Dir: 2}, FldName: "local"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]", Dir: 2}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]", Dir: 2}, FldName: "dev"},
		&StructType{Key: StructKey{Name: "ipv6_addr_loopback", Dir: 2}, FldName: "loopback"},
		&StructType{Key: StructKey{Name: "ipv6_addr_ipv4", Dir: 2}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast1", Dir: 2}, FldName: "mcast1"},
		&StructType{Key: StructKey{Name: "ipv6_addr_multicast2", Dir: 2}, FldName: "mcast2"},
	}}},
	{Key: StructKey{Name: "ipv6_addr_empty"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_empty", TypeSize: 16}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "ipv6_addr_empty", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_empty", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 16, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "ipv6_addr_empty", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_empty", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "ipv6_addr_ipv4"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_ipv4", TypeSize: 16}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 10}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a1", TypeSize: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 255}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "a3"},
	}}},
	{Key: StructKey{Name: "ipv6_addr_ipv4", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_ipv4", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 10, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a1", TypeSize: 2, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}, Val: 255}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "a3"},
	}}},
	{Key: StructKey{Name: "ipv6_addr_ipv4", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_ipv4", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 10, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a1", TypeSize: 2, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}, Val: 255}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "a3"},
	}}},
	{Key: StructKey{Name: "ipv6_addr_loopback"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_loopback", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 8}, ArgFormat: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 8}, ArgFormat: 1}, Val: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "ipv6_addr_loopback", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_loopback", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 8, ArgDir: 1}, ArgFormat: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 8, ArgDir: 1}, ArgFormat: 1}, Val: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "ipv6_addr_loopback", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_loopback", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 8, ArgDir: 2}, ArgFormat: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 8, ArgDir: 2}, ArgFormat: 1}, Val: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "ipv6_addr_multicast1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast1", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_multicast1", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast1", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_multicast1", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast1", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_multicast2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast2", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_multicast2", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast2", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_multicast2", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_multicast2", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 255},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 1},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xaa, int8]]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xaa, int8]]", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xaa, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xaa, int8]]", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 170},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xbb, int8]]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xbb, int8]]", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[const[0xbb, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[const[0xbb, int8]]", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Val: 187},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[netdev_addr_id]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[netdev_addr_id]", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1, ArgDir: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv6_addr_t[netdev_addr_id]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_addr_t[netdev_addr_id]", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 254},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a2", TypeSize: 13, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 13, RangeEnd: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a3", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "ipv6_dstopts_ext_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_dstopts_ext_header", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "length", TypeSize: 1}}, BitSize: 64, Buf: "options"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "options", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_tlv_option"}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipv6_ext_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_ext_header", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv6_hopots_ext_header"}, FldName: "hopopts"},
		&StructType{Key: StructKey{Name: "ipv6_rt_hdr"}, FldName: "routing"},
		&StructType{Key: StructKey{Name: "ipv6_sr_hdr"}, FldName: "srh"},
		&StructType{Key: StructKey{Name: "ipv6_fragment_ext_header"}, FldName: "fragment"},
		&StructType{Key: StructKey{Name: "ipv6_dstopts_ext_header"}, FldName: "dstopts"},
	}}},
	{Key: StructKey{Name: "ipv6_fragment_ext_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_fragment_ext_header", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fragment_off_hi", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "m_flag", TypeSize: 1}, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved2", TypeSize: 1}, BitfieldOff: 1, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fragment_off_lo", TypeSize: 1}, BitfieldOff: 3, BitfieldLen: 5}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "identification", TypeSize: 4}}, Kind: 2, RangeBegin: 100, RangeEnd: 104},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipv6_hopots_ext_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_hopots_ext_header", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "length", TypeSize: 1}}, BitSize: 64, Buf: "options"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "options", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_tlv_option"}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipv6_mreq"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_mreq", TypeSize: 20}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "multi"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ipv6_mreq", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_mreq", TypeSize: 20, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 1}, FldName: "multi"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "ipv6_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_packet", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "priority", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Val: 6},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "flow_label", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 2}, ArgFormat: 1}, Buf: "payload"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hop_limit", TypeSize: 1}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "src_ip"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "dst_ip"},
		&StructType{Key: StructKey{Name: "ipv6_packet_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "ipv6_packet_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_packet_payload", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ext_headers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_ext_header"}}},
		&UnionType{Key: StructKey{Name: "ipv6_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "ipv6_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_payload", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcp_packet"}, FldName: "tcp"},
		&StructType{Key: StructKey{Name: "udp_packet"}, FldName: "udp"},
		&UnionType{Key: StructKey{Name: "icmpv6_packet"}, FldName: "icmpv6"},
		&StructType{Key: StructKey{Name: "dccp_packet"}, FldName: "dccp"},
		&StructType{Key: StructKey{Name: "gre_packet"}, FldName: "gre"},
	}}},
	{Key: StructKey{Name: "ipv6_rt_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_rt_hdr", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "next_header", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "length", TypeSize: 1}}, BitSize: 64, Buf: "data"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_routing_types", FldName: "routing_type", TypeSize: 1}}, Vals: []uint64{1, 0, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "segments_left", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_addr"}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipv6_sr_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_sr_hdr", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "nexthdr", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "hdrlen", TypeSize: 1}}, BitSize: 64, Buf: "segments"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "segments_left", TypeSize: 1}}, Buf: "segments"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "first_segment", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_sr_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{64, 32, 16, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "segments", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv6_addr"}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "ipv6_tlv_calipso"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_calipso", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 7},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 1}}, BitSize: 8, Buf: "payload"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_calipso_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_calipso_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_calipso_payload", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "domain", TypeSize: 4}, ArgFormat: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "compartment_length", TypeSize: 1}}, BitSize: 32, Buf: "compartment_bitmap"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sensitivity_level", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "checksum", TypeSize: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "compartment_bitmap", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_enc_lim"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_enc_lim", TypeSize: 3}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 1}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "encap_limit", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_generic"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_generic", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_hao"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_hao", TypeSize: 18}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 201},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 1}}, BitSize: 8, Buf: "addr"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_jumbo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_jumbo", TypeSize: 6}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 194},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 1}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "pkt_len", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_option", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipv6_tlv_generic"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_pad1"}, FldName: "pad1"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_padn"}, FldName: "padn"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_ra"}, FldName: "ra"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_jumbo"}, FldName: "jumbo"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_calipso"}, FldName: "calipso"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_hao"}, FldName: "hao"},
		&StructType{Key: StructKey{Name: "ipv6_tlv_enc_lim"}, FldName: "enc_lim"},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_pad1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_pad1", TypeSize: 3}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_padn"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_padn", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 1}}, Buf: "pad"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", IsVarlen: true}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}},
	}}},
	{Key: StructKey{Name: "ipv6_tlv_ra"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipv6_tlv_ra", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 1}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "ra", TypeSize: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipx_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_addr", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipx_network"}, FldName: "network"},
		&UnionType{Key: StructKey{Name: "ipx_node"}, FldName: "node"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "socket", TypeSize: 2}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "ipx_config_data", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_config_data", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ipxcfg_auto_select_primary", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ipxcfg_auto_create_interfaces", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "ipx_network"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_network", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "random", TypeSize: 4}, ArgFormat: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "current", TypeSize: 4}, ArgFormat: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "broadcast", TypeSize: 4}, ArgFormat: 1}, Val: 4294967295},
	}}},
	{Key: StructKey{Name: "ipx_node"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_node", TypeSize: 6}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "random", TypeSize: 6}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "current", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "broadcast", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 255}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "ipx_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_packet", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Val: 65535},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "control", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipx_packet_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 4, 5, 17, 20}},
		&StructType{Key: StructKey{Name: "ipx_addr"}, FldName: "dst_addr"},
		&StructType{Key: StructKey{Name: "ipx_addr"}, FldName: "src_addr"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "ipx_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ipx_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "iso9660_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "iso9660_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norock", TypeSize: 6}, Kind: 2, Values: []string{"norock"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nojoliet", TypeSize: 8}, Kind: 2, Values: []string{"nojoliet"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "unhide", TypeSize: 6}, Kind: 2, Values: []string{"unhide"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hide", TypeSize: 4}, Kind: 2, Values: []string{"hide"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "cruft", TypeSize: 5}, Kind: 2, Values: []string{"cruft"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "utf8", TypeSize: 4}, Kind: 2, Values: []string{"utf8"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "map_acorn", TypeSize: 9}, Kind: 2, Values: []string{"map=acorn"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "map_normal", TypeSize: 10}, Kind: 2, Values: []string{"map=normal"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "map_off", TypeSize: 7}, Kind: 2, Values: []string{"map=off"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_relaxed", TypeSize: 13}, Kind: 2, Values: []string{"check=relaxed"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "check_strict", TypeSize: 12}, Kind: 2, Values: []string{"check=strict"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "overriderock", TypeSize: 16}, Kind: 2, Values: []string{"overriderockperm"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nocompress", TypeSize: 10}, Kind: 2, Values: []string{"nocompress"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"session\", fmt[hex, int32[0:98]]]"}, FldName: "session"},
		&StructType{Key: StructKey{Name: "fs_opt[\"sbsector\", fmt[hex, int32]]"}, FldName: "sbsector"},
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"mode\", fmt[hex, int32]]"}, FldName: "mode"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dmode\", fmt[hex, int32]]"}, FldName: "dmode"},
		&StructType{Key: StructKey{Name: "fs_opt[\"block\", fmt[hex, flags[iso9660_blocks]]]"}, FldName: "block"},
		&StructType{Key: StructKey{Name: "fs_opt[\"iocharset\", stringnoz[codepages_names]]"}, FldName: "iocharset"},
	}}},
	{Key: StructKey{Name: "itimerspec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "itimerspec", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timespec"}, FldName: "interv"},
		&StructType{Key: StructKey{Name: "timespec"}, FldName: "value"},
	}}},
	{Key: StructKey{Name: "itimerspec", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "itimerspec", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timespec", Dir: 1}, FldName: "interv"},
		&StructType{Key: StructKey{Name: "timespec", Dir: 1}, FldName: "value"},
	}}},
	{Key: StructKey{Name: "itimerval"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "itimerval", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timeval"}, FldName: "interv"},
		&StructType{Key: StructKey{Name: "timeval"}, FldName: "value"},
	}}},
	{Key: StructKey{Name: "itimerval", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "itimerval", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timeval", Dir: 1}, FldName: "interv"},
		&StructType{Key: StructKey{Name: "timeval", Dir: 1}, FldName: "value"},
	}}},
	{Key: StructKey{Name: "jfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "jfs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "integrity", TypeSize: 9}, Kind: 2, Values: []string{"integrity"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nointegrity", TypeSize: 11}, Kind: 2, Values: []string{"nointegrity"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "resize", TypeSize: 6}, Kind: 2, Values: []string{"resize"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota", TypeSize: 5}, Kind: 2, Values: []string{"quota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrquota", TypeSize: 8}, Kind: 2, Values: []string{"usrquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpquota", TypeSize: 8}, Kind: 2, Values: []string{"grpquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"iocharset\", stringnoz[codepages_names]]"}, FldName: "iocharset"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_continue", TypeSize: 15}, Kind: 2, Values: []string{"errors=continue"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_remount", TypeSize: 17}, Kind: 2, Values: []string{"errors=remount-ro"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"resize\", fmt[hex, int32]]"}, FldName: "resize_size"},
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"umask\", fmt[hex, int32]]"}, FldName: "umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"discard\", fmt[hex, int32]]"}, FldName: "discard_size"},
	}}},
	{Key: StructKey{Name: "kbentry"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kbentry", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "table", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "index", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "value", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "kbkeycode"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kbkeycode", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "scan", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kcm_attach"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kcm_attach", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "bpf_fd", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "kcm_clone", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kcm_clone", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "kcm_unattach"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kcm_unattach", TypeSize: 4}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "kcmp_epoll_slot"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kcmp_epoll_slot", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "efd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "tfd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "toff", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kexec_segment"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kexec_segment", TypeSize: 32}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sz", TypeSize: 8}}, Buf: "buf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "mem", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "memsz", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "key_desc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "key_desc", TypeSize: 5}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "name0", TypeSize: 1}}, Val: 115},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "name1", TypeSize: 1}}, Val: 121},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "name2", TypeSize: 1}}, Val: 122},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "name3", TypeSize: 1}}, ValuesStart: 32, ValuesPerProc: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "name4", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "keyctl_dh_params"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "keyctl_dh_params", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "user_key", FldName: "private", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "user_key", FldName: "prime", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "user_key", FldName: "base", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "keyctl_kdf_params"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "keyctl_kdf_params", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hashname", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "alg_hash_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "otherinfo", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "otherinfolen", TypeSize: 4}}, Buf: "otherinfo"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "__spare", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_arm_device_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_arm_device_addr", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "addr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
	}}},
	{Key: StructKey{Name: "kvm_assigned_irq"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_assigned_irq", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hirq", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "girq", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_assigned_irq_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 256, 512, 1024}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_assigned_msix_entry"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_assigned_msix_entry", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gsi", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "entry", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_assigned_msix_nr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_assigned_msix_nr", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "entnr", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_assigned_pci_dev"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_assigned_pci_dev", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "busnr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devfn", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_dev_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "segnr", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_clock_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_clock_data", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "clock", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 36}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "kvm_clock_data", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_clock_data", TypeSize: 48, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "clock", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 36, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "kvm_coalesced_mmio_zone"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_coalesced_mmio_zone", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "addr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addr_size", FldName: "size", TypeSize: 4}}, Vals: []uint64{4096, 8192, 16384, 32768, 65536, 1048576}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_create_device", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_create_device", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_device_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 6}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmdev", FldName: "fd", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_device_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_device_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_device_attr", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "group", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "attr", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}}},
	{Key: StructKey{Name: "kvm_dirty_log"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_dirty_log", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_mem_slots", FldName: "slot", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 509, 510, 511, 10000, 65536, 65537, 65538, 65539, 65540, 66047, 66048, 66049}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "bitmap", TypeSize: 8}},
	}}},
	{Key: StructKey{Name: "kvm_dirty_tlb"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_dirty_tlb", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bitmap", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_dtable"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_dtable", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "limit", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "kvm_dtable", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_dtable", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "limit", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 6, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 2, ArgDir: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "kvm_enable_cap_cpu"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_enable_cap_cpu", TypeSize: 104}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_cpu_caps", FldName: "cap", TypeSize: 4}}, Vals: []uint64{123}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "args", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "kvm_enable_cap_vm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_enable_cap_vm", TypeSize: 104}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_vm_caps", FldName: "cap", TypeSize: 4}}, Vals: []uint64{116, 121, 129}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "args", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "kvm_fpu"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_fpu", TypeSize: 416}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fpr", TypeSize: 128}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "fcw", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fsw", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ftws", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "opcode", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "lastip", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "lastdp", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "xmm", TypeSize: 256}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mxcsr", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_fpu", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_fpu", TypeSize: 416, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "fpr", TypeSize: 128, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "fcw", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fsw", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ftws", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "opcode", TypeSize: 2, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "lastip", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "lastdp", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "xmm", TypeSize: 256, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mxcsr", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_guest_debug"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_guest_debug", TypeSize: 72}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_debug_flags", FldName: "ctrl", TypeSize: 4}}, Vals: []uint64{1, 2, 65536}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reg", TypeSize: 64}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "kvm_hyperv_eventfd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_hyperv_eventfd", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "conn_id", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "padding", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "kvm_ioapic_redir"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_ioapic_redir", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vector", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "f0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "f1", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserv", TypeSize: 4}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "destid", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_ioapic_redir", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_ioapic_redir", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vector", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "f0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "f1", TypeSize: 1, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserv", TypeSize: 4, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "destid", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_ioapic_state"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_ioapic_state", TypeSize: 216}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ioregs", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irr", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "redir", TypeSize: 192}, Type: &StructType{Key: StructKey{Name: "kvm_ioapic_redir"}}, Kind: 1, RangeBegin: 24, RangeEnd: 24},
	}}},
	{Key: StructKey{Name: "kvm_ioapic_state", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_ioapic_state", TypeSize: 216, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ioregs", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irr", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "redir", TypeSize: 192, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "kvm_ioapic_redir", Dir: 1}}, Kind: 1, RangeBegin: 24, RangeEnd: 24},
	}}},
	{Key: StructKey{Name: "kvm_ioeventfd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_ioeventfd", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "datam", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_ioeventfd_len", FldName: "len", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 8}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_ioeventfd_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_irq_chip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_chip", TypeSize: 216}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_pic_state"}, FldName: "pic"},
		&StructType{Key: StructKey{Name: "kvm_ioapic_state"}, FldName: "ioapic"},
	}}},
	{Key: StructKey{Name: "kvm_irq_chip", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_chip", TypeSize: 216, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_pic_state", Dir: 1}, FldName: "pic"},
		&StructType{Key: StructKey{Name: "kvm_ioapic_state", Dir: 1}, FldName: "ioapic"},
	}}},
	{Key: StructKey{Name: "kvm_irq_level"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_level", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irq", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr", TypeSize: 4}}, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "kvm_irq_routing_entry"}}},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_entry"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_entry", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gsi", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_entry_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "kvm_irq_routing_entry_u"}, FldName: "u"},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_entry_u"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_entry_u", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_irq_routing_irqchip"}, FldName: "irqchip"},
		&StructType{Key: StructKey{Name: "kvm_irq_routing_msi"}, FldName: "msi"},
		&StructType{Key: StructKey{Name: "kvm_irq_routing_s390_adapter"}, FldName: "adapter"},
		&StructType{Key: StructKey{Name: "kvm_irq_routing_hv_sint"}, FldName: "sint"},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_hv_sint"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_hv_sint", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vcpu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sint", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_irqchip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_irqchip", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "irqchip", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pin", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_msi"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_msi", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "addrlo", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "addrhi", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "data", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_irq_routing_s390_adapter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irq_routing_s390_adapter", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "indaddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "saddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "indoff", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "soff", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aid", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "kvm_irqchip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irqchip", TypeSize: 224}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_chip_id", FldName: "chipid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "kvm_irq_chip"}, FldName: "chip"},
	}}},
	{Key: StructKey{Name: "kvm_irqchip", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irqchip", TypeSize: 224, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_chip_id", FldName: "chipid", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4, ArgDir: 1}}},
		&UnionType{Key: StructKey{Name: "kvm_irq_chip", Dir: 1}, FldName: "chip"},
	}}},
	{Key: StructKey{Name: "kvm_irqfd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_irqfd", TypeSize: 32}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gsi", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "rfd", TypeSize: 4}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "kvm_mce_cap"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_mce_cap", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "banks", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_mce_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "count", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_msi"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_msi", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "addrlo", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "addrhi", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "data", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devid", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 12, RangeEnd: 12},
	}}},
	{Key: StructKey{Name: "kvm_one_reg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_one_reg", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "id", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "addr", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "kvm_pic_state"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_pic_state", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lastirr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "irr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "imr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "isr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "padd", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "irqbase", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "readreg", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "poll", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "special", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "initst", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "autoeoi", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rotate", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nestedm", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "init4", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "elcr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "elcrmas", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_pic_state", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_pic_state", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lastirr", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "irr", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "imr", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "isr", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "padd", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "irqbase", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "readreg", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "poll", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "special", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "initst", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "autoeoi", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rotate", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nestedm", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "init4", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "elcr", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "elcrmas", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_pit_config"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_pit_config", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 60}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 15, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "kvm_reg_list"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_reg_list", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "n", TypeSize: 8}}, Buf: "reg"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reg", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}}},
	{Key: StructKey{Name: "kvm_regs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_regs", TypeSize: 144}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gp", TypeSize: 128}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "rip", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_rflags", FldName: "rflags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 16, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_regs", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_regs", TypeSize: 144, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gp", TypeSize: 128, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "rip", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_rflags", FldName: "rflags", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 16, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_reinject_control"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_reinject_control", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "reinjec", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserv", TypeSize: 31}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 31, RangeEnd: 31},
	}}},
	{Key: StructKey{Name: "kvm_s390_interrupt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_s390_interrupt", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "parm", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "parm64", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "kvm_s390_ucas_mapping"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_s390_ucas_mapping", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uaddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "vaddr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "len", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "kvm_segment"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_segment", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "limit", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_selector", FldName: "select", TypeSize: 2}}, Vals: []uint64{0, 3, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "present", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dpl", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "db", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "s", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "l", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "g", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "avl", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "unusabl", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_segment", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_segment", TypeSize: 24, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "base", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "limit", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_selector", FldName: "select", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{0, 3, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "present", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dpl", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "db", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "s", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "l", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "g", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "avl", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "unusabl", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_arm64"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_arm64", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_setup_opt_feature"}, FldName: "featur1"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_feature"}, FldName: "featur2"},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_cr0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_cr0", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr0", FldName: "val", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 65536, 262144, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_cr4"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_cr4", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr4", FldName: "val", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 8192, 16384, 65536, 131072, 262144, 1048576, 2097152, 4194304}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_cstype0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_cstype0", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_cstype3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_cstype3", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_dstype0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_dstype0", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_dstype3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_dstype3", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_efer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_efer", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_efer", FldName: "val", TypeSize: 8}}, Vals: []uint64{1, 256, 1024, 2048, 4096, 8192, 16384, 32768}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_feature"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_feature", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_vcpu_features_arm64", FldName: "val", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3}},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_flags"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_flags", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_rflags", FldName: "val", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 16, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152}, BitMask: true},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_vmwrite"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_vmwrite", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sz", TypeSize: 8}, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "fld", TypeSize: 8}, BitfieldOff: 1, BitfieldLen: 5, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad0", TypeSize: 8}, BitfieldOff: 6, BitfieldLen: 4, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ftyp", TypeSize: 8}, BitfieldOff: 10, BitfieldLen: 2, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}, BitfieldOff: 12, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "fsz", TypeSize: 8}, BitfieldOff: 13, BitfieldLen: 2, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad2", TypeSize: 8}, BitfieldOff: 15, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}, BitfieldOff: 16, BitfieldLen: 48}},
	}}},
	{Key: StructKey{Name: "kvm_setup_opt_x86"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_setup_opt_x86", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_setup_opt_cr0"}, FldName: "cr0"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_cr4"}, FldName: "cr4"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_efer"}, FldName: "efer"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_flags"}, FldName: "flags"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_cstype0"}, FldName: "cstype0"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_cstype3"}, FldName: "cstype3"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_dstype0"}, FldName: "dstype0"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_dstype3"}, FldName: "dstype3"},
		&StructType{Key: StructKey{Name: "kvm_setup_opt_vmwrite"}, FldName: "vmwrite"},
	}}},
	{Key: StructKey{Name: "kvm_signal_mask"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_signal_mask", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "sigset"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sigset", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "kvm_sregs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_sregs", TypeSize: 312}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "cs"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "ds"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "es"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "fs"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "gs"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "ss"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "tr"},
		&StructType{Key: StructKey{Name: "kvm_segment"}, FldName: "ldt"},
		&StructType{Key: StructKey{Name: "kvm_dtable"}, FldName: "gdt"},
		&StructType{Key: StructKey{Name: "kvm_dtable"}, FldName: "idt"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr0", FldName: "cr0", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 65536, 262144, 536870912, 1073741824, 2147483648}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cr2", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "cr3", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr4", FldName: "cr4", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 8192, 16384, 65536, 131072, 262144, 1048576, 2097152, 4194304}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cr8", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_efer", FldName: "efer", TypeSize: 8}}, Vals: []uint64{1, 256, 1024, 2048, 4096, 8192, 16384, 32768}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "apic", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "intr", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "kvm_sregs", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_sregs", TypeSize: 312, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "cs"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "ds"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "es"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "fs"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "gs"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "ss"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "tr"},
		&StructType{Key: StructKey{Name: "kvm_segment", Dir: 1}, FldName: "ldt"},
		&StructType{Key: StructKey{Name: "kvm_dtable", Dir: 1}, FldName: "gdt"},
		&StructType{Key: StructKey{Name: "kvm_dtable", Dir: 1}, FldName: "idt"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr0", FldName: "cr0", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 65536, 262144, 536870912, 1073741824, 2147483648}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cr2", TypeSize: 8, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "cr3", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_cr4", FldName: "cr4", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 8192, 16384, 65536, 131072, 262144, 1048576, 2097152, 4194304}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cr8", TypeSize: 8, ArgDir: 1}}, Kind: 2, RangeEnd: 15},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_efer", FldName: "efer", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{1, 256, 1024, 2048, 4096, 8192, 16384, 32768}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "apic", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "intr", TypeSize: 32, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "kvm_text_arm64"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_arm64", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "text", IsVarlen: true}, Kind: 4, Text: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "text"},
	}}},
	{Key: StructKey{Name: "kvm_text_x86"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_x86", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "kvm_text_x86_real"}, FldName: "textreal"},
		&StructType{Key: StructKey{Name: "kvm_text_x86_16"}, FldName: "text16"},
		&StructType{Key: StructKey{Name: "kvm_text_x86_32"}, FldName: "text32"},
		&StructType{Key: StructKey{Name: "kvm_text_x86_64"}, FldName: "text64"},
	}}},
	{Key: StructKey{Name: "kvm_text_x86_16"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_x86_16", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "text", IsVarlen: true}, Kind: 4, Text: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "text"},
	}}},
	{Key: StructKey{Name: "kvm_text_x86_32"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_x86_32", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "text", IsVarlen: true}, Kind: 4, Text: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "text"},
	}}},
	{Key: StructKey{Name: "kvm_text_x86_64"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_x86_64", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 64},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "text", IsVarlen: true}, Kind: 4, Text: 3}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "text"},
	}}},
	{Key: StructKey{Name: "kvm_text_x86_real"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_text_x86_real", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "typ", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "text", IsVarlen: true}, Kind: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "text"},
	}}},
	{Key: StructKey{Name: "kvm_tpr_access_ctl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_tpr_access_ctl", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "enabled", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserv", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "kvm_translation"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_translation", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "laddr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "paddr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "valid", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "write", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "umode", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "kvm_userspace_memory_region"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_userspace_memory_region", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_mem_slots", FldName: "slot", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 509, 510, 511, 10000, 65536, 65537, 65538, 65539, 65540, 66047, 66048, 66049}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_mem_region_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "paddr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}, RangeBegin: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "kvm_vcpu_init"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "kvm_vcpu_init", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_vcpu_target", FldName: "target", TypeSize: 4}}, Vals: []uint64{4, 0, 1, 2, 3, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_vcpu_features_arm64", FldName: "feature", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 24}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "l2cap_conninfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "l2cap_conninfo", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "handle", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "l2cap_conninfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "l2cap_conninfo", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "handle", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls1", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "devcls2", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "l2cap_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "l2cap_options", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "omtu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "imtu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flushto", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fcs", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "maxtx", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "txwin", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "l2cap_options", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "l2cap_options", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "omtu", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "imtu", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flushto", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fcs", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "maxtx", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "txwin", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "linger"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "linger", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "onoff", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "linger", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "linger", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "linger", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "onoff", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "linger", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "llc_generic_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "llc_generic_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sap_values", FldName: "dsap", TypeSize: 1}}, Vals: []uint64{1, 0, 2, 4, 14, 6, 66, 78, 126, 128, 142, 170, 188, 224, 240, 244, 248, 252, 254, 220, 212, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sap_values", FldName: "ssap", TypeSize: 1}}, Vals: []uint64{1, 0, 2, 4, 14, 6, 66, 78, 126, 128, 142, 170, 188, 224, 240, 244, 248, 252, 254, 220, 212, 255}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ctrl", IsVarlen: true}, Kind: 1, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "llc_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "llc_packet", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "llc_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "llc_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "llc_payload", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "llc_generic_packet"}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "llc_snap_packet"}, FldName: "snap"},
	}}},
	{Key: StructKey{Name: "llc_snap_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "llc_snap_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sap_snap_values", FldName: "dsap", TypeSize: 1}}, Vals: []uint64{1, 170}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sap_snap_values", FldName: "ssap", TypeSize: 1}}, Vals: []uint64{1, 170}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "control", IsVarlen: true}, Kind: 1, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "oui", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "protocol_id", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "loadlut"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "loadlut", TypeSize: 40}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "submode", TypeSize: 1}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "tab0", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "tab1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "tab2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "tab3", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "loop_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "loop_info", TypeSize: 152}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_number", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_device", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_inode", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_rdevice", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_offset", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_encrypt_type", FldName: "lo_enc_type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 9, 10, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_enc_key_size", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_flags", FldName: "lo_flags", TypeSize: 4}}, Vals: []uint64{1, 4, 8, 16}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_name", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_enc_key", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_init", TypeSize: 16}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "loop_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "loop_info", TypeSize: 152, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_number", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_device", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_inode", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_rdevice", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_offset", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_encrypt_type", FldName: "lo_enc_type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 9, 10, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_enc_key_size", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_flags", FldName: "lo_flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 4, 8, 16}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_name", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_enc_key", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_init", TypeSize: 16, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "loop_info64"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "loop_info64", TypeSize: 232}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_device", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_inode", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_rdevice", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lo_offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lo_sizelimit", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_number", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_encrypt_type", FldName: "lo_enc_type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 9, 10, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_enc_key_size", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_flags", FldName: "lo_flags", TypeSize: 4}}, Vals: []uint64{1, 4, 8, 16}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_file_name", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_crypt_name", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_enc_key", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_init", TypeSize: 16}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "loop_info64", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "loop_info64", TypeSize: 232, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_device", TypeSize: 8, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_inode", TypeSize: 8, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_rdevice", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lo_offset", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lo_sizelimit", TypeSize: 8, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "lo_number", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_encrypt_type", FldName: "lo_enc_type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 9, 10, 18}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lo_enc_key_size", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lo_flags", FldName: "lo_flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 4, 8, 16}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_file_name", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_crypt_name", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_enc_key", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "lo_init", TypeSize: 16, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "m_bpf_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_bpf_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_PARMS, int16], tc_act_bpf]"}, FldName: "TCA_ACT_BPF_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_OPS_LEN, int16], int16[0:10]]"}, FldName: "TCA_ACT_BPF_OPS_LEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_OPS, int16], array[sock_filter]]"}, FldName: "TCA_ACT_BPF_OPS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_FD, int16], fd]"}, FldName: "TCA_ACT_BPF_FD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_NAME, int16], string[filename]]"}, FldName: "TCA_ACT_BPF_NAME"},
	}}},
	{Key: StructKey{Name: "m_connmark_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_connmark_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CONNMARK_PARMS, int16], tc_connmark]"}, FldName: "TCA_CONNMARK_PARMS"},
	}}},
	{Key: StructKey{Name: "m_csum_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_csum_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CSUM_PARMS, int16], tc_csum]"}, FldName: "TCA_CSUM_PARMS"},
	}}},
	{Key: StructKey{Name: "m_gact_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_gact_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GACT_PARMS, int16], tc_gen]"}, FldName: "TCA_GACT_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GACT_PROB, int16], tc_gact_p]"}, FldName: "TCA_GACT_PROB"},
	}}},
	{Key: StructKey{Name: "m_ife_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_ife_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_PARMS, int16], tc_ife]"}, FldName: "TCA_IFE_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_DMAC, int16], mac_addr]"}, FldName: "TCA_IFE_DMAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_SMAC, int16], mac_addr]"}, FldName: "TCA_IFE_SMAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_TYPE, int16], int16]"}, FldName: "TCA_IFE_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_METALST, int16], array[tca_ife_meta_policy]]"}, FldName: "TCA_IFE_METALST"},
	}}},
	{Key: StructKey{Name: "m_ipt_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_ipt_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_TABLE, int16], string[ipt_tables, IFNAMSIZ]]"}, FldName: "TCA_IPT_TABLE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]"}, FldName: "TCA_IPT_HOOK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_INDEX, int16], int32]"}, FldName: "TCA_IPT_INDEX"},
	}}},
	{Key: StructKey{Name: "m_mirred_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_mirred_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MIRRED_PARMS, int16], tc_mirred]"}, FldName: "TCA_MIRRED_PARMS"},
	}}},
	{Key: StructKey{Name: "m_nat_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_nat_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NAT_PARMS, int16], tc_nat]"}, FldName: "TCA_NAT_PARMS"},
	}}},
	{Key: StructKey{Name: "m_pedit_key_ex"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_pedit_key_ex", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pedit_header_type", FldName: "htype", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pedit_cmd", FldName: "cmd", TypeSize: 2}}, Vals: []uint64{0, 1}, BitMask: true},
	}}},
	{Key: StructKey{Name: "m_pedit_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_pedit_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_PARMS, int16], m_pedit_sel]"}, FldName: "TCA_PEDIT_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_PARMS_EX, int16], m_pedit_sel]"}, FldName: "TCA_PEDIT_PARMS_EX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEYS_EX, int16], array[tca_pedit_keys_ex_policy]]"}, FldName: "TCA_PEDIT_KEYS_EX"},
	}}},
	{Key: StructKey{Name: "m_pedit_sel"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_pedit_sel", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_pedit_sel"}, FldName: "sel"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "keys", TypeSize: 3072}, Type: &StructType{Key: StructKey{Name: "tc_pedit_key"}}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "keys_ex", TypeSize: 512}, Type: &StructType{Key: StructKey{Name: "m_pedit_key_ex"}}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "extended", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "m_police_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_police_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_TBF, int16], tc_police]"}, FldName: "TCA_POLICE_TBF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RATE, int16], array[int32, 256]]"}, FldName: "TCA_POLICE_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_PEAKRATE, int16], array[int32, 256]]"}, FldName: "TCA_POLICE_PEAKRATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_AVRATE, int16], int32]"}, FldName: "TCA_POLICE_AVRATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RESULT, int16], int32]"}, FldName: "TCA_POLICE_RESULT"},
	}}},
	{Key: StructKey{Name: "m_sample_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_sample_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_PARMS, int16], tc_gen]"}, FldName: "TCA_SAMPLE_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_RATE, int16], int32]"}, FldName: "TCA_SAMPLE_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_TRUNC_SIZE, int16], int32]"}, FldName: "TCA_SAMPLE_TRUNC_SIZE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_PSAMPLE_GROUP, int16], int32]"}, FldName: "TCA_SAMPLE_PSAMPLE_GROUP"},
	}}},
	{Key: StructKey{Name: "m_simple_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_simple_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DEF_PARMS, int16], tc_gen]"}, FldName: "TCA_DEF_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DEF_DATA, int16], string]"}, FldName: "TCA_DEF_DATA"},
	}}},
	{Key: StructKey{Name: "m_skbedit_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_skbedit_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PARMS, int16], tc_gen]"}, FldName: "TCA_SKBEDIT_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_QUEUE_MAPPING, int16], int16]"}, FldName: "TCA_SKBEDIT_QUEUE_MAPPING"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PRIORITY, int16], tcm_handle]"}, FldName: "TCA_SKBEDIT_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_MARK, int16], int32]"}, FldName: "TCA_SKBEDIT_MARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PTYPE, int16], flags[packet_types, int16]]"}, FldName: "TCA_SKBEDIT_PTYPE"},
	}}},
	{Key: StructKey{Name: "m_skbmod_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_skbmod_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_PARMS, int16], tc_skbmod]"}, FldName: "TCA_SKBMOD_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_DMAC, int16], mac_addr]"}, FldName: "TCA_SKBMOD_DMAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_SMAC, int16], mac_addr]"}, FldName: "TCA_SKBMOD_SMAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_ETYPE, int16], int16]"}, FldName: "TCA_SKBMOD_ETYPE"},
	}}},
	{Key: StructKey{Name: "m_tunnel_key_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_tunnel_key_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_PARMS, int16], tc_tunnel_key]"}, FldName: "TCA_TUNNEL_KEY_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_SRC, int16], ipv4_addr]"}, FldName: "TCA_TUNNEL_KEY_ENC_IPV4_SRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_DST, int16], ipv4_addr]"}, FldName: "TCA_TUNNEL_KEY_ENC_IPV4_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_SRC, int16], ipv6_addr]"}, FldName: "TCA_TUNNEL_KEY_ENC_IPV6_SRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_DST, int16], ipv6_addr]"}, FldName: "TCA_TUNNEL_KEY_ENC_IPV6_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_KEY_ID, int16], int32]"}, FldName: "TCA_TUNNEL_KEY_ENC_KEY_ID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_DST_PORT, int16], sock_port]"}, FldName: "TCA_TUNNEL_KEY_ENC_DST_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_NO_CSUM, int16], int8[0:1]]"}, FldName: "TCA_TUNNEL_KEY_NO_CSUM"},
	}}},
	{Key: StructKey{Name: "m_vlan_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "m_vlan_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PARMS, int16], tc_vlan]"}, FldName: "TCA_VLAN_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_ID, int16], int16[0:0xfff]]"}, FldName: "TCA_VLAN_PUSH_VLAN_ID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PROTOCOL, int16], flags[vlan_proto, int16be]]"}, FldName: "TCA_VLAN_PUSH_VLAN_PROTOCOL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PRIORITY, int16], int8[0:7]]"}, FldName: "TCA_VLAN_PUSH_VLAN_PRIORITY"},
	}}},
	{Key: StructKey{Name: "mac_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr", TypeSize: 6}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "empty", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]"}, FldName: "local"},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]"}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]"}, FldName: "dev"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "broadcast", TypeSize: 6}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 255}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_link_local"}, FldName: "link_local"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "random", TypeSize: 6}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "mac_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "empty", TypeSize: 6, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]", Dir: 1}, FldName: "local"},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]", Dir: 1}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]", Dir: 1}, FldName: "dev"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "broadcast", TypeSize: 6, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}, Val: 255}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_link_local", Dir: 1}, FldName: "link_local"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "random", TypeSize: 6, ArgDir: 1}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "mac_addr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "empty", TypeSize: 6, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]", Dir: 2}, FldName: "local"},
		&StructType{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]", Dir: 2}, FldName: "remote"},
		&StructType{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]", Dir: 2}, FldName: "dev"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "broadcast", TypeSize: 6, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}, Val: 255}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&StructType{Key: StructKey{Name: "mac_addr_link_local", Dir: 2}, FldName: "link_local"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "random", TypeSize: 6, ArgDir: 2}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "mac_addr_link_local"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local", TypeSize: 6}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 128},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1}}, Val: 194},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a4", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local_values", FldName: "a5", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 14}},
	}}},
	{Key: StructKey{Name: "mac_addr_link_local", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 128},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 1}}, Val: 194},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a4", TypeSize: 1, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local_values", FldName: "a5", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 14}},
	}}},
	{Key: StructKey{Name: "mac_addr_link_local", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a0", TypeSize: 1, ArgDir: 2}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 128},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a2", TypeSize: 1, ArgDir: 2}}, Val: 194},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a3", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a4", TypeSize: 1, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mac_addr_link_local_values", FldName: "a5", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 14}},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xaa, int8]]", TypeSize: 6}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xaa, int8]]", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 170},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xaa, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xaa, int8]]", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 170},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xbb, int8]]", TypeSize: 6}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xbb, int8]]", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Val: 187},
	}}},
	{Key: StructKey{Name: "mac_addr_t[const[0xbb, int8]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[const[0xbb, int8]]", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Val: 187},
	}}},
	{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[netdev_addr_id]", TypeSize: 6}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a1", TypeSize: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[netdev_addr_id]", TypeSize: 6, ArgDir: 1}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a1", TypeSize: 1, ArgDir: 1}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "mac_addr_t[netdev_addr_id]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mac_addr_t[netdev_addr_id]", TypeSize: 6, ArgDir: 2}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "a0", TypeSize: 5, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}, Val: 170}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "a1", TypeSize: 1, ArgDir: 2}}, Kind: 2, RangeBegin: 10, RangeEnd: 33},
	}}},
	{Key: StructKey{Name: "mf6cctl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mf6cctl", TypeSize: 92}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "mf6cc_origin"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "mf6cc_mcastgrp"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mf6cc_parent", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mf6cc_ifset", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "mif6ctl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mif6ctl", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mif6c_mifi", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mif6c_flags", FldName: "mif6c_flags", TypeSize: 1}}, Vals: []uint64{1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "vifc_threshold", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mif6c_pifi", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vifc_rate_limit", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "mpls_label"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mpls_label", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "ttl", TypeSize: 4}, ArgFormat: 1, BitfieldLen: 8, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "s", TypeSize: 4}, ArgFormat: 1, BitfieldOff: 8, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "tc", TypeSize: 4}, ArgFormat: 1, BitfieldOff: 9, BitfieldLen: 3, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "label", TypeSize: 4}, ArgFormat: 1, BitfieldOff: 12, BitfieldLen: 20}},
	}}},
	{Key: StructKey{Name: "mpls_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mpls_packet", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "labels", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "mpls_label"}}},
		&UnionType{Key: StructKey{Name: "mpls_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "mpls_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mpls_payload", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "generic", IsVarlen: true}},
		&StructType{Key: StructKey{Name: "ipv4_packet"}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "ipv6_packet"}, FldName: "ipv6"},
		&StructType{Key: StructKey{Name: "llc_packet"}, FldName: "llc"},
	}}},
	{Key: StructKey{Name: "mq_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mq_attr", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "flags", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxmsg", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "msgsize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "curmsg", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res0", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res3", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "mq_attr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "mq_attr", TypeSize: 64, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "flags", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxmsg", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "msgsize", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "curmsg", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res0", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res1", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res2", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res3", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "msdos_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msdos_options", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "fat_options"}, FldName: "fat"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodots", TypeSize: 6}, Kind: 2, Values: []string{"nodots"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dots", TypeSize: 4}, Kind: 2, Values: []string{"dots"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "msgbuf"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msgbuf", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgbuf_type", FldName: "typ", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "msgbuf", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msgbuf", ArgDir: 1, IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgbuf_type", FldName: "typ", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 1, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "msghdr_alg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_alg", TypeSize: 56}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "addr", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "addrlen", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "cmsghdr_alg"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_can[can_bcm_msg]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_can[can_bcm_msg]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_can"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, can_bcm_msg]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_can[can_raw_msg]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_can[can_raw_msg]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_can"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, can_raw_msg]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_crypto]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_crypto]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_crypto]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_route]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_route]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_route]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_route_sched]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_route_sched]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_route_sched]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink[netlink_msg_xfrm]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink[netlink_msg_xfrm]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_xfrm]"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netlink_full[netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netlink_full[netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_nl_send"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "cmsghdr_un"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_netrom"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_netrom", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "cmsghdr"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_nl_netfilter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_nl_netfilter", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec_nl_netfilter"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "vlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrl", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ctrllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_rds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_rds", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "cmsghdr_rds"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_sctp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_sctp", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "cmsghdr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_un"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_un", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "cmsghdr_un"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msghdr_xdp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msghdr_xdp", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_name", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_xdp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_namelen", TypeSize: 4}}, Buf: "msg_name"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_iov", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_iovlen", TypeSize: 8}}, Buf: "msg_iov"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_control", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_controllen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "msg_flags", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "msqid_ds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "msqid_ds", TypeSize: 120}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipc_perm"}, FldName: "perm"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "rtime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ctime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cbytes", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "qnum", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "qbytes", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "lspid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "lrpid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad0", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "nd_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nd_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], ipv4_addr]"}, FldName: "NDA_DST_IPV4"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], ipv6_addr]"}, FldName: "NDA_DST_IPV6"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], mac_addr]"}, FldName: "NDA_DST_MAC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_LLADDR, int16], mac_addr]"}, FldName: "NDA_LLADDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_CACHEINFO, int16], nda_cacheinfo]"}, FldName: "NDA_CACHEINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_PROBES, int16], int32]"}, FldName: "NDA_PROBES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_VLAN, int16], int16[0:4]]"}, FldName: "NDA_VLAN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_PORT, int16], sock_port]"}, FldName: "NDA_PORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_VNI, int16], int32]"}, FldName: "NDA_VNI"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_IFINDEX, int16], ifindex]"}, FldName: "NDA_IFINDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_MASTER, int16], int32]"}, FldName: "NDA_MASTER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_LINK_NETNSID, int16], int32]"}, FldName: "NDA_LINK_NETNSID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDA_SRC_VNI, int16], int32]"}, FldName: "NDA_SRC_VNI"},
	}}},
	{Key: StructKey{Name: "nda_cacheinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nda_cacheinfo", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ndm_confirmed", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ndm_used", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ndm_updated", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ndm_refcnt", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "ndmsg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ndmsg", TypeSize: 12}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtnl_af", FldName: "ndm_family", TypeSize: 1}}, Vals: []uint64{2, 10, 7, 28}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ndm_pad1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ndm_pad2", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ndm_ifindex", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ndm_state", FldName: "ndm_state", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 0}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ndm_flags", FldName: "ndm_flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_type", FldName: "ndm_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
	}}},
	{Key: StructKey{Name: "ndtmsg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ndtmsg", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtnl_af", FldName: "ndm_family", TypeSize: 1}}, Vals: []uint64{2, 10, 7, 28}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ndm_pad1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ndm_pad2", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "netconfmsg[AF_INET6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netconfmsg[AF_INET6]", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ncm_family", TypeSize: 1}}, Val: 10},
	}}},
	{Key: StructKey{Name: "netconfmsg[AF_INET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netconfmsg[AF_INET]", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ncm_family", TypeSize: 1}}, Val: 2},
	}}},
	{Key: StructKey{Name: "netconfmsg[AF_MPLS]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netconfmsg[AF_MPLS]", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ncm_family", TypeSize: 1}}, Val: 28},
	}}},
	{Key: StructKey{Name: "netem_loss_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netem_loss_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETEM_LOSS_GI, int16], tc_netem_gimodel]"}, FldName: "NETEM_LOSS_GI"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NETEM_LOSS_GE, int16], tc_netem_gemodel]"}, FldName: "NETEM_LOSS_GE"},
	}}},
	{Key: StructKey{Name: "netlink_msg_crypto"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_crypto", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_NEWALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, FldName: "alg"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_DELALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, FldName: "del"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_UPDATEALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, FldName: "upd"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_GETALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, FldName: "get"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_DELRNG, int16], void, void]"}, FldName: "delrng"},
	}}},
	{Key: StructKey{Name: "netlink_msg_netfilter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_netfilter", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}, Kind: 2, RangeEnd: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfnl_subsys", FldName: "subsys", TypeSize: 1}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "nfgenmsg"}, FldName: "hdr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_route"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_route", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, FldName: "newlink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, FldName: "getlink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, FldName: "setlink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, FldName: "dellink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getaddr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getnetconf"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETSTATS, int16], if_stats_msg[AF_UNSPEC], void]"}, FldName: "getstats"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWNEIGH, int16], ndmsg, nd_policy]"}, FldName: "newneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELNEIGH, int16], ndmsg, nd_policy]"}, FldName: "delneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGH, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGHTBL, int16], rtgenmsg[AF_UNSPEC], void]"}, FldName: "getneightbl"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETNEIGHTBL, int16], ndtmsg, nl_neightbl_policy]"}, FldName: "setneightbl"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, FldName: "ipv4_newaddr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, FldName: "ipv4_deladdr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, FldName: "ipv4_getaddr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]"}, FldName: "ipv4_newroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]"}, FldName: "ipv4_delroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET], void]"}, FldName: "ipv4_getroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET], devconf_ip_policy]"}, FldName: "ipv4_getnetconf"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]"}, FldName: "ipv4_newrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]"}, FldName: "ipv4_delrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET], void]"}, FldName: "ipv4_getrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, FldName: "ipv6_newaddr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, FldName: "ipv6_deladdr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, FldName: "ipv6_getaddr"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, FldName: "ipv6_newroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, FldName: "ipv6_delroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, FldName: "ipv6_getroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETMULTICAST, int16], rtgenmsg[AF_INET6], void]"}, FldName: "ipv6_getmulticast"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETANYCAST, int16], rtgenmsg[AF_INET6], void]"}, FldName: "ipv6_getanyicast"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET6], devconf_ip_policy]"}, FldName: "ipv6_getnetconf"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]"}, FldName: "ipv6_newrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]"}, FldName: "ipv6_delrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET6], void]"}, FldName: "ipv6_getrule"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]"}, FldName: "ipmr_newroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]"}, FldName: "ipmr_delroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], void]"}, FldName: "ipmr_getroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, FldName: "mpls_newroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, FldName: "mpls_delroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, FldName: "mpls_getroute"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_MPLS], devconf_mpls_policy]"}, FldName: "mpls_getnetconf"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWNEIGH, int16], ndmsg, nd_policy]"}, FldName: "bridge_newneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELNEIGH, int16], ndmsg, nd_policy]"}, FldName: "bridge_delneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGH, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, FldName: "bridge_getneigh"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, FldName: "bridge_getlink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, FldName: "bridge_setlink"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, FldName: "bridge_dellink"},
	}}},
	{Key: StructKey{Name: "netlink_msg_route_sched"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_route_sched", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]"}, FldName: "newqdisc"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]"}, FldName: "delqdisc"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETQDISC, int16], tcmsg[AF_UNSPEC], nlattr[TCA_DUMP_INVISIBLE, void]]"}, FldName: "getqdisc"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]"}, FldName: "newtclass"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]"}, FldName: "deltclass"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETTCLASS, int16], tcmsg[AF_UNSPEC], void]"}, FldName: "gettclass"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]"}, FldName: "newtfilter"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]"}, FldName: "deltfilter"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETTFILTER, int16], tcmsg[AF_UNSPEC], nlattr[TCA_CHAIN, int32]]"}, FldName: "gettfilter"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWACTION, int16], tcamsg[AF_UNSPEC], nlattr[TCA_ACT_TAB, tca_actions]]"}, FldName: "newtaction"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELACTION, int16], tcamsg[AF_UNSPEC], action_gd_policy]"}, FldName: "deltaction"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETACTION, int16], tcamsg[AF_UNSPEC], action_dump_policy]"}, FldName: "gettaction"},
	}}},
	{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_DELALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[CRYPTO_MSG_DELALG, int16], crypto_user_alg, netlink_crypto_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "crypto_user_alg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_DELRNG, int16], void, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[CRYPTO_MSG_DELRNG, int16], void, void]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_GETALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[CRYPTO_MSG_GETALG, int16], crypto_user_alg, netlink_crypto_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 19},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "crypto_user_alg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_NEWALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[CRYPTO_MSG_NEWALG, int16], crypto_user_alg, netlink_crypto_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "crypto_user_alg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[CRYPTO_MSG_UPDATEALG, int16], crypto_user_alg, netlink_crypto_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[CRYPTO_MSG_UPDATEALG, int16], crypto_user_alg, netlink_crypto_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 18},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "crypto_user_alg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELACTION, int16], tcamsg[AF_UNSPEC], action_gd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELACTION, int16], tcamsg[AF_UNSPEC], action_gd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 49},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcamsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "action_gd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 21},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 21},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_BRIDGE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELNEIGH, int16], ndmsg, nd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELNEIGH, int16], ndmsg, nd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 29},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ndmsg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 37},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "qdisc_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_MPLS]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_mpls_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[RTNL_FAMILY_IPMR]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fib6_rule_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fib4_rule_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tclass_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_DELTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_DELTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 45},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "filter_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETACTION, int16], tcamsg[AF_UNSPEC], action_dump_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETACTION, int16], tcamsg[AF_UNSPEC], action_dump_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 50},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcamsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "action_dump_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETADDR, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETADDR, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETANYCAST, int16], rtgenmsg[AF_INET6], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETANYCAST, int16], rtgenmsg[AF_INET6], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 62},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 18},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_BRIDGE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 18},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETMULTICAST, int16], rtgenmsg[AF_INET6], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETMULTICAST, int16], rtgenmsg[AF_INET6], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 58},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGH, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNEIGH, int16], ifinfomsg[AF_BRIDGE], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 30},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_BRIDGE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGH, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNEIGH, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 30},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNEIGHTBL, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNEIGHTBL, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 66},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET6], devconf_ip_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET6], devconf_ip_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 82},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "netconfmsg[AF_INET6]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "devconf_ip_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET], devconf_ip_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_INET], devconf_ip_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 82},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "netconfmsg[AF_INET]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "devconf_ip_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_MPLS], devconf_mpls_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNETCONF, int16], netconfmsg[AF_MPLS], devconf_mpls_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 82},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "netconfmsg[AF_MPLS]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "devconf_mpls_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETNETCONF, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETNETCONF, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 82},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETQDISC, int16], tcmsg[AF_UNSPEC], nlattr[TCA_DUMP_INVISIBLE, void]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETQDISC, int16], tcmsg[AF_UNSPEC], nlattr[TCA_DUMP_INVISIBLE, void]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 38},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DUMP_INVISIBLE, int16], void]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETROUTE, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_INET], void]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_MPLS]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_mpls_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], void]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[RTNL_FAMILY_IPMR]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET6], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET6], void]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 34},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETRULE, int16], fib_rule_hdr[AF_INET], void]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 34},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETRULE, int16], rtgenmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETRULE, int16], rtgenmsg[AF_UNSPEC], void]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 34},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETSTATS, int16], if_stats_msg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETSTATS, int16], if_stats_msg[AF_UNSPEC], void]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 94},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "if_stats_msg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETTCLASS, int16], tcmsg[AF_UNSPEC], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETTCLASS, int16], tcmsg[AF_UNSPEC], void]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 42},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs"}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "void"}, Kind: 1}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_GETTFILTER, int16], tcmsg[AF_UNSPEC], nlattr[TCA_CHAIN, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_GETTFILTER, int16], tcmsg[AF_UNSPEC], nlattr[TCA_CHAIN, int32]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 46},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CHAIN, int16], int32]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWACTION, int16], tcamsg[AF_UNSPEC], nlattr[TCA_ACT_TAB, tca_actions]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWACTION, int16], tcamsg[AF_UNSPEC], nlattr[TCA_ACT_TAB, tca_actions]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 48},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcamsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_TAB, int16], tca_actions]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET6], ifa_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWADDR, int16], ifaddrmsg[AF_INET], ifa_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifaddrmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifa_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWNEIGH, int16], ndmsg, nd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWNEIGH, int16], ndmsg, nd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 28},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ndmsg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWQDISC, int16], tcmsg[AF_UNSPEC], qdisc_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 36},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "qdisc_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET6], rtm_ipv6_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_INET], rtm_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[AF_MPLS], rtm_mpls_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[AF_MPLS]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_mpls_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWROUTE, int16], rtmsg[RTNL_FAMILY_IPMR], rtm_ipv4_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "rtmsg[RTNL_FAMILY_IPMR]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "rtm_ipv4_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET6], fib6_rule_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET6]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fib6_rule_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWRULE, int16], fib_rule_hdr[AF_INET], fib4_rule_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "fib_rule_hdr[AF_INET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fib4_rule_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWTCLASS, int16], tcmsg[AF_UNSPEC], tclass_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 40},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tclass_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_NEWTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_NEWTFILTER, int16], tcmsg[AF_UNSPEC], filter_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 44},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "filter_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_BRIDGE], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 19},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_BRIDGE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_SETLINK, int16], ifinfomsg[AF_UNSPEC], ifla_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 19},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ifla_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[RTM_SETNEIGHTBL, int16], ndtmsg, nl_neightbl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[RTM_SETNEIGHTBL, int16], ndtmsg, nl_neightbl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 67},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "ndtmsg"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_neightbl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_ACQUIRE, int16], xfrm_user_acquire, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_ACQUIRE, int16], xfrm_user_acquire, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 23},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_user_acquire"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_ALLOCSPI, int16], xfrm_userspi_info, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_ALLOCSPI, int16], xfrm_userspi_info, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userspi_info"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_DELPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_DELPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_DELSA, int16], xfrm_usersa_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_DELSA, int16], xfrm_usersa_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_usersa_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_EXPIRE, int16], xfrm_user_expire, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_EXPIRE, int16], xfrm_user_expire, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 24},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_user_expire"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_FLUSHPOLICY, int16], void, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_FLUSHPOLICY, int16], void, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 29},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_FLUSHSA, int16], xfrm_usersa_flush, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_FLUSHSA, int16], xfrm_usersa_flush, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 28},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_usersa_flush"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETAE, int16], xfrm_aevent_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_GETAE, int16], xfrm_aevent_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 31},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_aevent_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_GETPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 21},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSA, int16], xfrm_usersa_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_GETSA, int16], xfrm_usersa_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 18},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_usersa_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSADINFO, int16], const[0, int32], xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_GETSADINFO, int16], const[0, int32], xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 35},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSPDINFO, int16], int32, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_GETSPDINFO, int16], int32, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 37},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_MIGRATE, int16], xfrm_userpolicy_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_MIGRATE, int16], xfrm_userpolicy_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWAE, int16], xfrm_aevent_id, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_NEWAE, int16], xfrm_aevent_id, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 30},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_aevent_id"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_NEWPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 19},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWSA, int16], xfrm_usersa_info, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_NEWSA, int16], xfrm_usersa_info, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 16},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_usersa_info"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWSPDINFO, int16], int32, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_NEWSPDINFO, int16], int32, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 36},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_POLEXPIRE, int16], xfrm_user_polexpire, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_POLEXPIRE, int16], xfrm_user_polexpire, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 27},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_user_polexpire"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_REPORT, int16], xfrm_user_report, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_REPORT, int16], xfrm_user_report, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_user_report"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_UPDPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_UPDPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_UPDSA, int16], xfrm_usersa_info, xfrm_attrs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[const[XFRM_MSG_UPDSA, int16], xfrm_usersa_info, xfrm_attrs]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "xfrm_usersa_info"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "xfrm_attrs"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_fou_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_ADD]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fou_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_fou_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_DEL]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fou_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_fou_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[FOU_CMD_GET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "fou_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_DAEMON]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_DEST]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_DEL_SERVICE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_FLUSH]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_CONFIG]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_DAEMON]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_DEST]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_INFO]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_GET_SERVICE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_DAEMON]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_DEST]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_NEW_SERVICE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_CONFIG]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_DEST]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_INFO]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_SET_SERVICE]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[IPVS_CMD_ZERO]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_cmd_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_team_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_NOOP]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "team_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_team_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_OPTIONS_GET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "team_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_team_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_OPTIONS_SET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "team_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "genl_team_family_id", FldName: "type", TypeSize: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr_t[TEAM_CMD_PORT_LIST_GET]"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "team_nl_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "type", TypeSize: 2}}, Kind: 2, RangeBegin: 16, RangeEnd: 66},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&StructType{Key: StructKey{Name: "genlmsghdr"}, FldName: "payload"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "type", TypeSize: 2}}, Kind: 2, RangeBegin: 16, RangeEnd: 66},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_msg_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 256, 512, 1024, 768, 256, 512, 1024, 2048}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "netlink_msg_xfrm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "netlink_msg_xfrm", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWSA, int16], xfrm_usersa_info, xfrm_attrs]"}, FldName: "newsa"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_UPDSA, int16], xfrm_usersa_info, xfrm_attrs]"}, FldName: "updsa"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_DELSA, int16], xfrm_usersa_id, xfrm_attrs]"}, FldName: "delsa"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSA, int16], xfrm_usersa_id, xfrm_attrs]"}, FldName: "getsa"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]"}, FldName: "newpolicy"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_UPDPOLICY, int16], xfrm_userpolicy_info, xfrm_attrs]"}, FldName: "updpolicy"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_DELPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]"}, FldName: "delpolicy"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETPOLICY, int16], xfrm_userpolicy_id, xfrm_attrs]"}, FldName: "getpolicy"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_MIGRATE, int16], xfrm_userpolicy_id, xfrm_attrs]"}, FldName: "migrate"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_ALLOCSPI, int16], xfrm_userspi_info, xfrm_attrs]"}, FldName: "allocspi"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_ACQUIRE, int16], xfrm_user_acquire, xfrm_attrs]"}, FldName: "acquire"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_EXPIRE, int16], xfrm_user_expire, xfrm_attrs]"}, FldName: "expire"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_POLEXPIRE, int16], xfrm_user_polexpire, xfrm_attrs]"}, FldName: "polexpire"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_FLUSHSA, int16], xfrm_usersa_flush, xfrm_attrs]"}, FldName: "flushsa"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_REPORT, int16], xfrm_user_report, xfrm_attrs]"}, FldName: "report"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_FLUSHPOLICY, int16], void, xfrm_attrs]"}, FldName: "flushpolicy"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWAE, int16], xfrm_aevent_id, xfrm_attrs]"}, FldName: "newae"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETAE, int16], xfrm_aevent_id, xfrm_attrs]"}, FldName: "getae"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSADINFO, int16], const[0, int32], xfrm_attrs]"}, FldName: "getsadinfo"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_NEWSPDINFO, int16], int32, xfrm_attrs]"}, FldName: "newspdinfo"},
		&StructType{Key: StructKey{Name: "netlink_msg_t[const[XFRM_MSG_GETSPDINFO, int16], int32, xfrm_attrs]"}, FldName: "getspdinfo"},
	}}},
	{Key: StructKey{Name: "nf_conntrack_man_proto"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nf_conntrack_man_proto", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "icmp_id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 100, RangeEnd: 104},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "gre_key", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "nf_inet_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nf_inet_addr", TypeSize: 16}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ipv4"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "ipv6"},
	}}},
	{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nf_nat_ipv4_multi_range_compat", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rangesize", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_range"}, FldName: "range"},
	}}},
	{Key: StructKey{Name: "nf_nat_ipv4_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nf_nat_ipv4_range", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_nat_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "min_ip"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "max_ip"},
		&UnionType{Key: StructKey{Name: "nf_conntrack_man_proto"}, FldName: "min"},
		&UnionType{Key: StructKey{Name: "nf_conntrack_man_proto"}, FldName: "max"},
	}}},
	{Key: StructKey{Name: "nf_nat_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nf_nat_range", TypeSize: 40}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_nat_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "min_addr"},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "max_addr"},
		&UnionType{Key: StructKey{Name: "nf_conntrack_man_proto"}, FldName: "min_proto"},
		&UnionType{Key: StructKey{Name: "nf_conntrack_man_proto"}, FldName: "max_proto"},
	}}},
	{Key: StructKey{Name: "nfc_llcp_send_msghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nfc_llcp_send_msghdr", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc_llcp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 4}}, Buf: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctrl", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "cmsghdr"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "ctrllen", TypeSize: 8}}, BitSize: 8, Buf: "ctrl"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "nfgenmsg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nfgenmsg", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfproto", FldName: "nfgen_family", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 5, 7, 10, 12}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "res_id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeEnd: 10},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nl_generic_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_generic_attr", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "generic", IsVarlen: true}},
		&StructType{Key: StructKey{Name: "nlattr_t[int16[0:150], nl_generic_attr_data]"}, FldName: "typed"},
		&StructType{Key: StructKey{Name: "nlattr_t[int16[0:150], array[nl_generic_attr_nonested]]"}, FldName: "nested"},
	}}},
	{Key: StructKey{Name: "nl_generic_attr_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_generic_attr_data", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "void"}, Kind: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "u32", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "u64", TypeSize: 8}}},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "ipv4"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "ipv6"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "str", IsVarlen: true}, Kind: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "binary", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "nl_generic_attr_nonested"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_generic_attr_nonested", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "generic", IsVarlen: true}},
		&StructType{Key: StructKey{Name: "nlattr_t[int16[0:150], nl_generic_attr_data]"}, FldName: "typed"},
	}}},
	{Key: StructKey{Name: "nl_mmap_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_mmap_req", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bnumber", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fnumber", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "nl_neightbl_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_neightbl_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_NAME, int16], string]"}, FldName: "NDTA_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH1, int16], int32]"}, FldName: "NDTA_THRESH1"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH2, int16], int32]"}, FldName: "NDTA_THRESH2"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH3, int16], int32]"}, FldName: "NDTA_THRESH3"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_GC_INTERVAL, int16], int64]"}, FldName: "NDTA_GC_INTERVAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTA_PARMS, int16], array[nl_ntbl_parm_policy]]"}, FldName: "NDTA_PARMS"},
	}}},
	{Key: StructKey{Name: "nl_ntbl_parm_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nl_ntbl_parm_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_IFINDEX, int16], ifindex]"}, FldName: "NDTPA_IFINDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_QUEUE_LEN, int16], int32]"}, FldName: "NDTPA_QUEUE_LEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_PROXY_QLEN, int16], int32]"}, FldName: "NDTPA_PROXY_QLEN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_APP_PROBES, int16], int32]"}, FldName: "NDTPA_APP_PROBES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_UCAST_PROBES, int16], int32]"}, FldName: "NDTPA_UCAST_PROBES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_MCAST_PROBES, int16], int32]"}, FldName: "NDTPA_MCAST_PROBES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_MCAST_REPROBES, int16], int32]"}, FldName: "NDTPA_MCAST_REPROBES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_BASE_REACHABLE_TIME, int16], int64]"}, FldName: "NDTPA_BASE_REACHABLE_TIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_GC_STALETIME, int16], int64]"}, FldName: "NDTPA_GC_STALETIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_DELAY_PROBE_TIME, int16], int64]"}, FldName: "NDTPA_DELAY_PROBE_TIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_RETRANS_TIME, int16], int64]"}, FldName: "NDTPA_RETRANS_TIME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_ANYCAST_DELAY, int16], int64]"}, FldName: "NDTPA_ANYCAST_DELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_PROXY_DELAY, int16], int64]"}, FldName: "NDTPA_PROXY_DELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[NDTPA_LOCKTIME, int16], int64]"}, FldName: "NDTPA_LOCKTIME"},
	}}},
	{Key: StructKey{Name: "nla_bitfield32"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nla_bitfield32", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "selector", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[CRYPTOCFGA_PRIORITY_VAL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_AF, int16], flags[fou_families, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FOU_ATTR_AF, int16], flags[fou_families, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fou_families", FldName: "payload", TypeSize: 1}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_IPPROTO, int16], flags[ipv6_types, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FOU_ATTR_IPPROTO, int16], flags[ipv6_types, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "payload", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FOU_ATTR_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_REMCSUM_NOPARTIAL, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FOU_ATTR_REMCSUM_NOPARTIAL, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FOU_ATTR_TYPE, int16], flags[fou_types, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FOU_ATTR_TYPE, int16], flags[fou_types, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fou_types", FldName: "payload", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_DPORT_RANGE, int16], fib_rule_port_range]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_DPORT_RANGE, int16], fib_rule_port_range]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&StructType{Key: StructKey{Name: "fib_rule_port_range"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_FLOW, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_FLOW, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_FWMARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_FWMARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_FWMASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_FWMASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_GOTO, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_GOTO, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_IIFNAME, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_IIFNAME, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_IP_PROTO, int16], flags[ipv6_types, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_IP_PROTO, int16], flags[ipv6_types, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "payload", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_L3MDEV, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_L3MDEV, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_OIFNAME, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_OIFNAME, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_PRIORITY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_PRIORITY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_PROTOCOL, int16], flags[rtm_protocol, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_PROTOCOL, int16], flags[rtm_protocol, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 21},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_protocol", FldName: "payload", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_SPORT_RANGE, int16], fib_rule_port_range]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_SPORT_RANGE, int16], fib_rule_port_range]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 23},
		&StructType{Key: StructKey{Name: "fib_rule_port_range"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_SUPPRESS_IFGROUP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_SUPPRESS_IFGROUP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_SUPPRESS_PREFIXLEN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_SUPPRESS_PREFIXLEN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_TABLE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_TABLE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[FRA_UID_RANGE, int16], fib_rule_uid_range]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[FRA_UID_RANGE, int16], fib_rule_uid_range]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&StructType{Key: StructKey{Name: "fib_rule_uid_range"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_ADDRESS, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_ADDRESS, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_ADDRESS, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_ADDRESS, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_BROADCAST, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_BROADCAST, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_CACHEINFO, int16], ifa_cacheinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_CACHEINFO, int16], ifa_cacheinfo]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&StructType{Key: StructKey{Name: "ifa_cacheinfo"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_FLAGS, int16], flags[ifa_flags, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_FLAGS, int16], flags[ifa_flags, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifa_flags", FldName: "payload", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024}, BitMask: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_LABEL, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_LABEL, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_LOCAL, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_LOCAL, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFA_LOCAL, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFA_LOCAL, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFE_META_PRIO, int16], optional[int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFE_META_PRIO, int16], optional[int32]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "optional[int32]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFE_META_SKBMARK, int16], optional[int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFE_META_SKBMARK, int16], optional[int32]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "optional[int32]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFE_META_TCINDEX, int16], optional[int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFE_META_TCINDEX, int16], optional[int16]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "optional[int16]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_ADDRESS, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_ADDRESS, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_AF_SPEC, int16], array[nlattr_t[flags[rtnl_af, int16], void]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_AF_SPEC, int16], array[nlattr_t[flags[rtnl_af, int16], void]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 26},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[flags[rtnl_af, int16], void]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ACTIVE_SLAVE, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ACTIVE_SLAVE, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYSTEM, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYSTEM, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 26},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYS_PRIO, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_AD_ACTOR_SYS_PRIO, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_LACP_RATE, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_AD_LACP_RATE, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 21},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_SELECT, int16], int8[0:2]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_AD_SELECT, int16], int8[0:2]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_AD_USER_PORT_KEY, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_AD_USER_PORT_KEY, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ALL_SLAVES_ACTIVE, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ALL_SLAVES_ACTIVE, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_ALL_TARGETS, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ARP_ALL_TARGETS, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_INTERVAL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ARP_INTERVAL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_IP_TARGET, int16], array[ipv4_addr]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ARP_IP_TARGET, int16], array[ipv4_addr]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipv4_addr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_ARP_VALIDATE, int16], int32[0:3]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_ARP_VALIDATE, int16], int32[0:3]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 3},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_DOWNDELAY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_DOWNDELAY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_FAIL_OVER_MAC, int16], int8[0:2]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_FAIL_OVER_MAC, int16], int8[0:2]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_LP_INTERVAL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_LP_INTERVAL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MIIMON, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_MIIMON, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MIN_LINKS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_MIN_LINKS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 18},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_MODE, int16], int8[0:6]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_MODE, int16], int8[0:6]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_NUM_PEER_NOTIF, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_NUM_PEER_NOTIF, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PACKETS_PER_SLAVE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_PACKETS_PER_SLAVE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PRIMARY, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_PRIMARY, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_PRIMARY_RESELECT, int16], int8[0:2]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_PRIMARY_RESELECT, int16], int8[0:2]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_RESEND_IGMP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_RESEND_IGMP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_SLAVE_QUEUE_ID, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_SLAVE_QUEUE_ID, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_TLB_DYNAMIC_LB, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_TLB_DYNAMIC_LB, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_UPDELAY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_UPDELAY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_USE_CARRIER, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_USE_CARRIER, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BOND_XMIT_HASH_POLICY, int16], int8[0:4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BOND_XMIT_HASH_POLICY, int16], int8[0:4]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BROADCAST, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BROADCAST, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_BCAST_FLOOD, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_BCAST_FLOOD, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 30},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_COST, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_COST, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_FAST_LEAVE, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_FAST_LEAVE, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_FLUSH, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_FLUSH, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_GROUP_FWD_MASK, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_GROUP_FWD_MASK, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_GUARD, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_GUARD, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_ISOLATED, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_ISOLATED, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 33},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_LEARNING, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_LEARNING, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MCAST_FLOOD, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_MCAST_FLOOD, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MCAST_TO_UCAST, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_MCAST_TO_UCAST, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 28},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MODE, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_MODE, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_MULTICAST_ROUTER, int16], int8[0:3]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_MULTICAST_ROUTER, int16], int8[0:3]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_NEIGH_SUPPRESS, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_NEIGH_SUPPRESS, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PRIORITY, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_PRIORITY, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROTECT, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_PROTECT, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROXYARP, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_PROXYARP, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_PROXYARP_WIFI, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_PROXYARP_WIFI, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_STATE, int16], int8[0:4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_STATE, int16], int8[0:4]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_UNICAST_FLOOD, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_UNICAST_FLOOD, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BRPORT_VLAN_TUNNEL, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BRPORT_VLAN_TUNNEL, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 29},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_AGEING_TIME, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_AGEING_TIME, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_FORWARD_DELAY, int16], int32[2:30]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_FORWARD_DELAY, int16], int32[2:30]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeBegin: 2, RangeEnd: 30},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_GROUP_ADDR, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_GROUP_ADDR, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_GROUP_FWD_MASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_GROUP_FWD_MASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_HELLO_TIME, int16], int32[1:10]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_HELLO_TIME, int16], int32[1:10]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 10},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MAX_AGE, int16], int32[6:40]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MAX_AGE, int16], int32[6:40]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeBegin: 6, RangeEnd: 40},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_HASH_ELASTICITY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_HASH_ELASTICITY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 26},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_HASH_MAX, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_HASH_MAX, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_IGMP_VERSION, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_IGMP_VERSION, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 43},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_CNT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_CNT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 28},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_LAST_MEMBER_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 30},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_MEMBERSHIP_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_MEMBERSHIP_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_MLD_VERSION, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_MLD_VERSION, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 44},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERIER, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_QUERIER, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERIER_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_QUERIER_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_QUERY_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 33},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_RESPONSE_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_QUERY_RESPONSE_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 34},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_QUERY_USE_IFADDR, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_QUERY_USE_IFADDR, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_ROUTER, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_ROUTER, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_SNOOPING, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_SNOOPING, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 23},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_CNT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_CNT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 29},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_INTVL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_STARTUP_QUERY_INTVL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 35},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_MCAST_STATS_ENABLED, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_MCAST_STATS_ENABLED, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 42},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_ARPTABLES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_NF_CALL_ARPTABLES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 38},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_IP6TABLES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_NF_CALL_IP6TABLES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 37},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_NF_CALL_IPTABLES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_NF_CALL_IPTABLES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 36},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_PRIORITY, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_PRIORITY, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_STP_STATE, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_STP_STATE, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_DEFAULT_PVID, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_VLAN_DEFAULT_PVID, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 39},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_FILTERING, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_VLAN_FILTERING, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_PROTOCOL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_VLAN_PROTOCOL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_BR_VLAN_STATS_ENABLED, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_BR_VLAN_STATS_ENABLED, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 41},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_CARRIER, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_CARRIER, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 33},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_CARRIER_CHANGES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_CARRIER_CHANGES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 35},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_EVENT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_EVENT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 44},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_EXT_MASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_EXT_MASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 29},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_COLLECT_METADATA, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_COLLECT_METADATA, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 18},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_DPORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ENCAP_DPORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_FLAGS, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ENCAP_FLAGS, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_SPORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ENCAP_SPORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tunnel_encap_types", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_DIR, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ERSPAN_DIR, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 23},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_HWID, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ERSPAN_HWID, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_INDEX, int16], int32[1:0xfffff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ERSPAN_INDEX, int16], int32[1:0xfffff]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 21},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 1048575},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_ERSPAN_VER, int16], int8[1:2]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_ERSPAN_VER, int16], int8[1:2]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_FWMARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_FWMARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IFLAGS, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_IFLAGS, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IGNORE_DF, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_IGNORE_DF, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_IKEY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_IKEY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LINK, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_LINK, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_LOCAL, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_OFLAGS, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_OFLAGS, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_OKEY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_OKEY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_PMTUDISC, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_PMTUDISC, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_REMOTE, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_TOS, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_TOS, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GRE_TTL, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GRE_TTL, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_GROUP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_GROUP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IFALIAS, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IFALIAS, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IFALIAS, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IFALIAS, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IFNAME, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IFNAME, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IF_NETNSID, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IF_NETNSID, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 46},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[bond_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[bond_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "bond_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[br_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[br_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "br_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6gre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6gre_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6gre_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6ip6_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6ip6_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6ip6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6vti_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ip6vti_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip6vti_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipgre_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipgre_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipgre_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip6_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip6_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipip6_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[ipip_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ipip_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[sit_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[sit_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sit_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], array[vti_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], array[vti_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "vti_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], veth_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_DATA, int16], veth_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "veth_policy"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"bond\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond_slave\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bond_slave\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 11}, Kind: 2, Values: []string{"bond_slave\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"bridge\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge_slave\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"bridge_slave\"]]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 13}, Kind: 2, Values: []string{"bridge_slave\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"erspan\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"erspan\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"erspan\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gre\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gre\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"gre\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gretap\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"gretap\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"gretap\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6erspan\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6erspan\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 10}, Kind: 2, Values: []string{"ip6erspan\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gre\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gre\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"ip6gre\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gretap\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6gretap\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 10}, Kind: 2, Values: []string{"ip6gretap\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6tnl\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6tnl\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"ip6tnl\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6vti\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ip6vti\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"ip6vti\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ipip\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"ipip\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"ipip\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"sit\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"sit\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"sit\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"veth\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"veth\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"veth\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"vti\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_KIND, int16], string[\"vti\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"vti\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], array[br_port_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], array[br_port_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "br_port_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], bond_slave_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_INFO_SLAVE_DATA, int16], bond_slave_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "bond_slave_policy"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_COLLECT_METADATA, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_COLLECT_METADATA, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_DPORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_ENCAP_DPORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 18},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_FLAGS, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_ENCAP_FLAGS, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_LIMIT, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_ENCAP_LIMIT, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_SPORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_ENCAP_SPORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tunnel_encap_types", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FLAGS, int16], int32[0:0x40]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_FLAGS, int16], int32[0:0x40]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 64},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FLOWINFO, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_FLOWINFO, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FWMARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_FWMARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PMTUDISC, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_PMTUDISC, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPIP, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPIP, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPV6, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPV6, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_TOS, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_TOS, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_TTL, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_IPTUN_TTL, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_LINK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_LINK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_LINKINFO, int16], ifla_info_policy]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_LINKINFO, int16], ifla_info_policy]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 18},
		&UnionType{Key: StructKey{Name: "ifla_info_policy"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_LINKMODE, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_LINKMODE, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_LINK_NETNSID, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_LINK_NETNSID, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 37},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_MAP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_MAP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_MAP, int16], rtnl_link_ifmap]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_MAP, int16], rtnl_link_ifmap]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&StructType{Key: StructKey{Name: "rtnl_link_ifmap"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_MASTER, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_MASTER, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_NET_NS_FD, int16], fd]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_NET_NS_FD, int16], fd]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 28},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_NET_NS_PID, int16], pid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_NET_NS_PID, int16], pid]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_NUM_RX_QUEUES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_NUM_RX_QUEUES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_NUM_TX_QUEUES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_NUM_TX_QUEUES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_OPERSTATE, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_OPERSTATE, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_PHYS_PORT_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_PHYS_PORT_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 34},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Kind: 1, RangeEnd: 32},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_PHYS_SWITCH_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_PHYS_SWITCH_ID, int16], array[int8, 0:MAX_PHYS_ITEM_ID_LEN]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 36},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Kind: 1, RangeEnd: 32},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_PORT_SELF, int16], array[ifla_port_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_PORT_SELF, int16], array[ifla_port_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_PROMISCUITY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_PROMISCUITY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 30},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_PROTO_DOWN, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_PROTO_DOWN, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 39},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_TXQLEN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_TXQLEN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VFINFO_LIST, int16], array[nlattr[IFLA_VF_INFO, array[ifla_vf_policy]]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VFINFO_LIST, int16], array[nlattr[IFLA_VF_INFO, array[ifla_vf_policy]]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_INFO, int16], array[ifla_vf_policy]]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_INFO, int16], array[ifla_vf_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VF_INFO, int16], array[ifla_vf_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_PORT, int16], array[ifla_port_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VF_PORT, int16], array[ifla_port_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_PORTS, int16], array[nlattr[IFLA_VF_PORT, array[ifla_port_policy]]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VF_PORTS, int16], array[nlattr[IFLA_VF_PORT, array[ifla_port_policy]]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VF_PORT, int16], array[ifla_port_policy]]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_FWMARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_FWMARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_IKEY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_IKEY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LINK, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_LINK, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_OKEY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_OKEY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_WEIGHT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_WEIGHT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IFLA_XDP, int16], array[ifla_xdp_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IFLA_XDP, int16], array[ifla_xdp_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 43},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_DAEMON, int16], array[ip_vs_daemon_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_DAEMON, int16], array[ip_vs_daemon_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_daemon_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_DEST, int16], array[ip_vs_dest_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_DEST, int16], array[ip_vs_dest_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_dest_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_SERVICE, int16], array[ip_vs_svc_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_SERVICE, int16], array[ip_vs_svc_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "ip_vs_svc_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP_FIN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_TCP_FIN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_UDP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_CMD_ATTR_TIMEOUT_UDP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP6, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_GROUP6, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_IFN, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_IFN, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_TTL, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_MCAST_TTL, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_STATE, int16], flags[ipvs_daemon_states, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_STATE, int16], flags[ipvs_daemon_states, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipvs_daemon_states", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_ID, int16], int32[0:4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_ID, int16], int32[0:4]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_MAXLEN, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DAEMON_ATTR_SYNC_MAXLEN, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ACTIVE_CONNS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_ACTIVE_CONNS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ADDR, int16], nf_inet_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_ADDR, int16], nf_inet_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_ADDR_FAMILY, int16], flags[ip_vs_af, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_ADDR_FAMILY, int16], flags[ip_vs_af, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_vs_af", FldName: "payload", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_FWD_METHOD, int16], flags[ipvs_fwd_methods, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_FWD_METHOD, int16], flags[ipvs_fwd_methods, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipvs_fwd_methods", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_INACT_CONNS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_INACT_CONNS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_L_THRESH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_L_THRESH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_PERSIST_CONNS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_PERSIST_CONNS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_U_THRESH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_U_THRESH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_DEST_ATTR_WEIGHT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_DEST_ATTR_WEIGHT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_ADDR, int16], nf_inet_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_ADDR, int16], nf_inet_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_AF, int16], flags[ip_vs_af, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_AF, int16], flags[ip_vs_af, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_vs_af", FldName: "payload", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_FLAGS, int16], ip_vs_flags]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_FLAGS, int16], ip_vs_flags]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&StructType{Key: StructKey{Name: "ip_vs_flags"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_FWMARK, int16], int32[0:4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_FWMARK, int16], int32[0:4]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_NETMASK, int16], int32[0:128]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_NETMASK, int16], int32[0:128]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 128},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PE_NAME, int16], string[ipvs_pe_names]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_PE_NAME, int16], string[ipvs_pe_names]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, SubKind: "ipvs_pe_names", Values: []string{"sip\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_PROTOCOL, int16], flags[ipv6_types, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_PROTOCOL, int16], flags[ipv6_types, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_SCHED_NAME, int16], string[ipvs_sched_names]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_SCHED_NAME, int16], string[ipvs_sched_names]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2, SubKind: "ipvs_sched_names", Values: []string{"none\x00", "dh\x00", "fo\x00", "lblc\x00", "lblcr\x00", "lc\x00", "nq\x00", "ovf\x00", "rr\x00", "sed\x00", "sh\x00", "wlc\x00", "wrr\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[IPVS_SVC_ATTR_TIMEOUT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[IPVS_SVC_ATTR_TIMEOUT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_CACHEINFO, int16], nda_cacheinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_CACHEINFO, int16], nda_cacheinfo]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "nda_cacheinfo"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_DST, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_DST, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_DST, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_DST, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_IFINDEX, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_IFINDEX, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_LINK_NETNSID, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_LINK_NETNSID, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_LLADDR, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_LLADDR, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_MASTER, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_MASTER, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_PROBES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_PROBES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_SRC_VNI, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_SRC_VNI, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_VLAN, int16], int16[0:4]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_VLAN, int16], int16[0:4]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDA_VNI, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDA_VNI, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_GC_INTERVAL, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_GC_INTERVAL, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_NAME, int16], string]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_NAME, int16], string]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_PARMS, int16], array[nl_ntbl_parm_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_PARMS, int16], array[nl_ntbl_parm_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_ntbl_parm_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH1, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_THRESH1, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH2, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_THRESH2, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTA_THRESH3, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTA_THRESH3, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_ANYCAST_DELAY, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_ANYCAST_DELAY, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_APP_PROBES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_APP_PROBES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_BASE_REACHABLE_TIME, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_BASE_REACHABLE_TIME, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_DELAY_PROBE_TIME, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_DELAY_PROBE_TIME, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_GC_STALETIME, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_GC_STALETIME, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_IFINDEX, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_IFINDEX, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_LOCKTIME, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_LOCKTIME, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_MCAST_PROBES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_MCAST_PROBES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_MCAST_REPROBES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_MCAST_REPROBES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_PROXY_DELAY, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_PROXY_DELAY, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_PROXY_QLEN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_PROXY_QLEN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_QUEUE_LEN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_QUEUE_LEN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_RETRANS_TIME, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_RETRANS_TIME, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NDTPA_UCAST_PROBES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NDTPA_UCAST_PROBES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETCONFA_FORWARDING, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETCONFA_FORWARDING, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IFINDEX, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETCONFA_IFINDEX, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETCONFA_IGNORE_ROUTES_WITH_LINKDOWN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETCONFA_IGNORE_ROUTES_WITH_LINKDOWN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETCONFA_PROXY_NEIGH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETCONFA_PROXY_NEIGH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETCONFA_RP_FILTER, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETCONFA_RP_FILTER, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETEM_LOSS_GE, int16], tc_netem_gemodel]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETEM_LOSS_GE, int16], tc_netem_gemodel]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_netem_gemodel"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[NETEM_LOSS_GI, int16], tc_netem_gimodel]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[NETEM_LOSS_GI, int16], tc_netem_gimodel]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_netem_gimodel"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], array[mpls_label]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_DST, int16], array[mpls_label]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "mpls_label"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_DST, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_DST, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_DST, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP, int16], nl_generic_attr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_ENCAP, int16], nl_generic_attr]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&UnionType{Key: StructKey{Name: "nl_generic_attr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP_TYPE, int16], flags[lwtunnel_encap_types, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_ENCAP_TYPE, int16], flags[lwtunnel_encap_types, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 21},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "lwtunnel_encap_types", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_FLOW, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_FLOW, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_GATEWAY, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_GATEWAY, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_GATEWAY, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_GATEWAY, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_MARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_MARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_METRICS, int16], array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_METRICS, int16], array[int8]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_MULTIPATH, int16], rtnexthop]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_MULTIPATH, int16], rtnexthop]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&StructType{Key: StructKey{Name: "rtnexthop"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_OIF, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_OIF, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_PREF, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_PREF, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_PREFSRC, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_PREFSRC, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_PRIORITY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_PRIORITY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_SRC, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_SRC, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_SRC, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_SRC, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_TTL_PROPAGATE, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_TTL_PROPAGATE, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 26},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[RTA_UID, int16], uid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[RTA_UID, int16], uid]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_FD, int16], fd]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_BPF_FD, int16], fd]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_NAME, int16], string[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_BPF_NAME, int16], string[filename]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "payload", IsVarlen: true}, Kind: 3},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_OPS, int16], array[sock_filter]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_BPF_OPS, int16], array[sock_filter]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_OPS_LEN, int16], int16[0:10]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_BPF_OPS_LEN, int16], int16[0:10]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}, Kind: 2, RangeEnd: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_BPF_PARMS, int16], tc_act_bpf]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_BPF_PARMS, int16], tc_act_bpf]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_INDEX, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_INDEX, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"bpf\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"bpf\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"bpf\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"connmark\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"connmark\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 9}, Kind: 2, Values: []string{"connmark\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"csum\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"csum\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"csum\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"gact\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"gact\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"gact\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ife\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ife\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"ife\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ipt\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ipt\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"ipt\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"mirred\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"mirred\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"mirred\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"nat\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"nat\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"nat\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"pedit\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"pedit\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"pedit\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"police\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"police\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"police\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"sample\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"sample\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"sample\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"simple\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"simple\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"simple\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbedit\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbedit\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 8}, Kind: 2, Values: []string{"skbedit\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbmod\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbmod\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"skbmod\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"tunnel_key\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"tunnel_key\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 11}, Kind: 2, Values: []string{"tunnel_key\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"vlan\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"vlan\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"vlan\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[tca_actions_kinds]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_KIND, int16], string[tca_actions_kinds]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2, SubKind: "tca_actions_kinds", Values: []string{"bpf\x00", "connmark\x00", "csum\x00", "gact\x00", "ife\x00", "ipt\x00", "mirred\x00", "nat\x00", "pedit\x00", "police\x00", "sample\x00", "skbedit\x00", "skbmod\x00", "tunnel_key\x00", "vlan\x00", "xt\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_bpf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_bpf_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_bpf_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_gact_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_gact_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_gact_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ife_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ife_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_ife_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ipt_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ipt_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_ipt_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_pedit_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_pedit_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_pedit_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_police_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_police_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_police_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_sample_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_sample_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_sample_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_simple_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_simple_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_simple_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbedit_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbedit_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_skbedit_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbmod_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbmod_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_skbmod_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_tunnel_key_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_tunnel_key_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_tunnel_key_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_vlan_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_vlan_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "m_vlan_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_connmark_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_connmark_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "m_connmark_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_csum_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_csum_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "m_csum_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_mirred_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_mirred_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "m_mirred_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_nat_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_nat_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "m_nat_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_TAB, int16], array[nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_TAB, int16], array[nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_TAB, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ACT_TAB, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_EXCESS, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ATM_EXCESS, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_FD, int16], sock]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ATM_FD, int16], sock]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ATM_HDR, int16], array[int8, 0:64]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ATM_HDR, int16], array[int8, 0:64]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Kind: 1, RangeEnd: 64},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BASIC_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BASIC_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_EMATCHES, int16], array[tca_ematches]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BASIC_EMATCHES, int16], array[tca_ematches]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_ematches"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BASIC_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BASIC_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FD, int16], fd]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_FD, int16], fd]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FLAGS, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_FLAGS, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_FLAGS_GEN, int16], int32[0:8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_FLAGS_GEN, int16], int32[0:8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 8},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_NAME, int16], string[filename]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_NAME, int16], string[filename]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "payload", IsVarlen: true}, Kind: 3},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_OPS, int16], array[sock_filter]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_OPS, int16], array[sock_filter]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_OPS_LEN, int16], int16[0:10]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_OPS_LEN, int16], int16[0:10]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}, Kind: 2, RangeEnd: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_BPF_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_BPF_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_FOPT, int16], tc_cbq_fopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBQ_FOPT, int16], tc_cbq_fopt]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tc_cbq_fopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_LSSOPT, int16], tc_cbq_lssopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBQ_LSSOPT, int16], tc_cbq_lssopt]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_cbq_lssopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_RATE, int16], tc_ratespec]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBQ_RATE, int16], tc_ratespec]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_RTAB, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBQ_RTAB, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_WRROPT, int16], tc_cbq_wrropt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBQ_WRROPT, int16], tc_cbq_wrropt]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_cbq_wrropt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CBS_PARMS, int16], tc_cbs_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CBS_PARMS, int16], tc_cbs_qopt]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_cbs_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CGROUP_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_EMATCHES, int16], array[tca_ematches]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CGROUP_EMATCHES, int16], array[tca_ematches]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_ematches"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CGROUP_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CGROUP_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CHAIN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CHAIN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_MAX_P, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CHOKE_MAX_P, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_PARMS, int16], tc_red_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CHOKE_PARMS, int16], tc_red_qopt]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_red_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_STAB, int16], array[int8, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CHOKE_STAB, int16], array[int8, 256]]", TypeSize: 260}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_CE_THRESHOLD, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CODEL_CE_THRESHOLD, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_ECN, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CODEL_ECN, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_INTERVAL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CODEL_INTERVAL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CODEL_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_TARGET, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CODEL_TARGET, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CONNMARK_PARMS, int16], tc_connmark]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CONNMARK_PARMS, int16], tc_connmark]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_connmark"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_CSUM_PARMS, int16], tc_csum]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_CSUM_PARMS, int16], tc_csum]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_csum"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DEF_DATA, int16], string]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DEF_DATA, int16], string]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DEF_PARMS, int16], tc_gen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DEF_PARMS, int16], tc_gen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DRR_QUANTUM, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DRR_QUANTUM, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_DEFAULT_INDEX, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DSMARK_DEFAULT_INDEX, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_INDICES, int16], flags[tca_dsmark_ind, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DSMARK_INDICES, int16], flags[tca_dsmark_ind, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tca_dsmark_ind", FldName: "payload", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_MASK, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DSMARK_MASK, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_SET_TC_INDEX, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DSMARK_SET_TC_INDEX, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_VALUE, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DSMARK_VALUE, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_DUMP_INVISIBLE, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_DUMP_INVISIBLE, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EGRESS_BLOCK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EGRESS_BLOCK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EMATCH_TREE_HDR, int16], tcf_ematch_tree_hdr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EMATCH_TREE_HDR, int16], tcf_ematch_tree_hdr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcf_ematch_tree_hdr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EMATCH_TREE_LIST, int16], tca_ematch_tree_list]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EMATCH_TREE_LIST, int16], tca_ematch_tree_list]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "tca_ematch_tree_list"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_inet_hooks", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_DATA, int16], array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_IPT_MATCH_DATA, int16], array[int8]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_NAME, int16], string[\"policy\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_IPT_MATCH_NAME, int16], string[\"policy\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"policy\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_REVISION, int16], int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_IPT_MATCH_REVISION, int16], int8]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_NFPROTO, int16], flags[nfproto, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_IPT_NFPROTO, int16], flags[nfproto, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfproto", FldName: "payload", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 5, 7, 10, 12}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_HDR, int16], tcf_meta_hdr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_META_HDR, int16], tcf_meta_hdr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcf_meta_hdr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_LVALUE, int16], array[tcf_em_meta_int_var]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_META_LVALUE, int16], array[tcf_em_meta_int_var]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tcf_em_meta_int_var"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_RVALUE, int16], array[tcf_em_meta_int_var]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_EM_META_RVALUE, int16], array[tcf_em_meta_int_var]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tcf_em_meta_int_var"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_ADDEND, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_ADDEND, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_BASECLASS, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_BASECLASS, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_DIVISOR, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_DIVISOR, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_EMATCHES, int16], array[tca_ematches]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_EMATCHES, int16], array[tca_ematches]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_ematches"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_KEYS, int16], int32[0:0x1ffff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_KEYS, int16], int32[0:0x1ffff]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 131071},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_MASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_MASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_MODE, int16], flags[tc_flow_modes, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_MODE, int16], flags[tc_flow_modes, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_flow_modes", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_PERTURB, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_PERTURB, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_RSHIFT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_RSHIFT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FLOW_XOR, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FLOW_XOR, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_BUCKETS_LOG, int16], int32[0:32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_BUCKETS_LOG, int16], int32[0:32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_CE_THRESHOLD, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_CE_THRESHOLD, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_DROP_BATCH_SIZE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_DROP_BATCH_SIZE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_ECN, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_ECN, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_FLOWS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_FLOWS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_INTERVAL, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_INTERVAL, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_MEMORY_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_MEMORY_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_QUANTUM, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_QUANTUM, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_TARGET, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_CODEL_TARGET, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_DEFAULT_RATE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_FLOW_DEFAULT_RATE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_MAX_RATE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_FLOW_MAX_RATE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_PLIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_FLOW_PLIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_REFILL_DELAY, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_FLOW_REFILL_DELAY, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_INITIAL_QUANTUM, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_INITIAL_QUANTUM, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_LOW_RATE_THRESHOLD, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_LOW_RATE_THRESHOLD, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_ORPHAN_MASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_ORPHAN_MASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_PLIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_PLIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_QUANTUM, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_QUANTUM, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_RATE_ENABLE, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FQ_RATE_ENABLE, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FW_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FW_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FW_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FW_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FW_INDEV, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FW_INDEV, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FW_MASK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FW_MASK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_FW_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_FW_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GACT_PARMS, int16], tc_gen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GACT_PARMS, int16], tc_gen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GACT_PROB, int16], tc_gact_p]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GACT_PROB, int16], tc_gact_p]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tc_gact_p"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_DPS, int16], tc_gred_sopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GRED_DPS, int16], tc_gred_sopt]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tc_gred_sopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GRED_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_MAX_P, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GRED_MAX_P, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_PARMS, int16], tc_gred_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GRED_PARMS, int16], tc_gred_qopt]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_gred_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_STAB, int16], array[int8, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_GRED_STAB, int16], array[int8, 256]]", TypeSize: 260}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_FSC, int16], tc_service_curve]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HFSC_FSC, int16], tc_service_curve]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_service_curve"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_RSC, int16], tc_service_curve]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HFSC_RSC, int16], tc_service_curve]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_service_curve"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HFSC_USC, int16], tc_service_curve]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HFSC_USC, int16], tc_service_curve]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tc_service_curve"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_ADMIT_BYTES, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_ADMIT_BYTES, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_BACKLOG_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_BACKLOG_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_EVICT_TIMEOUT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_EVICT_TIMEOUT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_HH_FLOWS_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_HH_FLOWS_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_NON_HH_WEIGHT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_NON_HH_WEIGHT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_QUANTUM, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_QUANTUM, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_RESET_TIMEOUT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HHF_RESET_TIMEOUT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_CEIL64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_CEIL64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_CTAB, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_CTAB, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_DIRECT_QLEN, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_DIRECT_QLEN, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_INIT, int16], tc_htb_glob]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_INIT, int16], tc_htb_glob]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_htb_glob"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_PARMS, int16], tc_htb_opt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_PARMS, int16], tc_htb_opt]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_htb_opt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_RATE64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_RATE64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_RTAB, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_HTB_RTAB, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_DMAC, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IFE_DMAC, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_METALST, int16], array[tca_ife_meta_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IFE_METALST, int16], array[tca_ife_meta_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_ife_meta_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_PARMS, int16], tc_ife]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IFE_PARMS, int16], tc_ife]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_ife"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_SMAC, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IFE_SMAC, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IFE_TYPE, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IFE_TYPE, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_INGRESS_BLOCK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_INGRESS_BLOCK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_inet_hooks", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_INDEX, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IPT_INDEX, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_IPT_TABLE, int16], string[ipt_tables, IFNAMSIZ]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_IPT_TABLE, int16], string[ipt_tables, IFNAMSIZ]]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "ipt_tables", Values: []string{"filter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nat\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "raw\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "security\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"atm\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"atm\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"atm\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"basic\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"basic\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"basic\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"bfifo\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"bfifo\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"bfifo\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"bpf\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"bpf\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"bpf\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cbq\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"cbq\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"cbq\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cbs\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"cbs\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"cbs\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cgroup\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"cgroup\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"cgroup\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"choke\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"choke\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"choke\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"codel\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"codel\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"codel\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"drr\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"drr\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"drr\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"dsmark\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"dsmark\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"dsmark\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"flow\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"flow\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"flow\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fq\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"fq\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 3}, Kind: 2, Values: []string{"fq\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fq_codel\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"fq_codel\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 9}, Kind: 2, Values: []string{"fq_codel\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fw\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"fw\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 3}, Kind: 2, Values: []string{"fw\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"gred\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"gred\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"gred\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"hfsc\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"hfsc\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"hfsc\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"hhf\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"hhf\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"hhf\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"htb\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"htb\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"htb\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"matchall\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"matchall\"]]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 9}, Kind: 2, Values: []string{"matchall\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"mqprio\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"mqprio\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"mqprio\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"multiq\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"multiq\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 7}, Kind: 2, Values: []string{"multiq\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"netem\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"netem\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"netem\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"pfifo\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo_head_drop\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo_head_drop\"]]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, Values: []string{"pfifo_head_drop\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pie\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"pie\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"pie\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"prio\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"prio\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"prio\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"qfq\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"qfq\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"qfq\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"red\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"red\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"red\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"route\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"route\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"route\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 5}, Kind: 2, Values: []string{"rsvp\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp6\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp6\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 6}, Kind: 2, Values: []string{"rsvp6\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"sfb\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"sfb\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"sfb\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"sfq\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"sfq\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"sfq\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"tbf\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"tbf\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"tbf\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"tcindex\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"tcindex\"]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 8}, Kind: 2, Values: []string{"tcindex\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"u32\"]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_KIND, int16], string[\"u32\"]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 4}, Kind: 2, Values: []string{"u32\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MATCHALL_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MATCHALL_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MATCHALL_FLAGS, int16], int32[0:8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MATCHALL_FLAGS, int16], int32[0:8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 8},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MIRRED_PARMS, int16], tc_mirred]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MIRRED_PARMS, int16], tc_mirred]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_mirred"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], array[nlattr[TCA_MQPRIO_MAX_RATE64, int64], 0:16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], array[nlattr[TCA_MQPRIO_MAX_RATE64, int64], 0:16]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], int64]"}}, Kind: 1, RangeEnd: 16},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], array[nlattr[TCA_MQPRIO_MIN_RATE64, int64], 0:16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], array[nlattr[TCA_MQPRIO_MIN_RATE64, int64], 0:16]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], int64]"}}, Kind: 1, RangeEnd: 16},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MODE, int16], flags[tc_mqprio_modes, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_MODE, int16], flags[tc_mqprio_modes, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_mqprio_modes", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_SHAPER, int16], flags[tc_mqprio_shapers, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_MQPRIO_SHAPER, int16], flags[tc_mqprio_shapers, int32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_mqprio_shapers", FldName: "payload", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NAT_PARMS, int16], tc_nat]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NAT_PARMS, int16], tc_nat]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_nat"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_CORR, int16], tc_netem_corr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_CORR, int16], tc_netem_corr]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_netem_corr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_CORRUPT, int16], tc_netem_corrupt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_CORRUPT, int16], tc_netem_corrupt]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "tc_netem_corrupt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_DELAY_DIST, int16], array[int8, 0:100]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_DELAY_DIST, int16], array[int8, 0:100]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Kind: 1, RangeEnd: 100},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_ECN, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_ECN, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_JITTER64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_JITTER64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_LATENCY64, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_LATENCY64, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_LOSS, int16], array[netem_loss_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_LOSS, int16], array[netem_loss_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "netem_loss_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_RATE, int16], tc_netem_rate]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_RATE, int16], tc_netem_rate]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&StructType{Key: StructKey{Name: "tc_netem_rate"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}, Kind: 2, RangeBegin: 4294967296, RangeEnd: 18446744073709551615},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_REORDER, int16], tc_netem_reorder]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_REORDER, int16], tc_netem_reorder]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tc_netem_reorder"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_SLOT, int16], tc_netem_slot]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_NETEM_SLOT, int16], tc_netem_slot]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&StructType{Key: StructKey{Name: "tc_netem_slot"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_atm_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[c_atm_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "c_atm_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_cbq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[c_cbq_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_cbq_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_hfsc_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[c_hfsc_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "c_hfsc_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_htb_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[c_htb_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "c_htb_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_qfq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[c_qfq_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "c_qfq_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_basic_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_basic_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_basic_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_bpf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_bpf_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_bpf_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_cgroup_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_cgroup_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_cgroup_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_flow_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_flow_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_flow_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_fw_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_fw_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_fw_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_matchall_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_matchall_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_matchall_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp6_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp6_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_rfvp6_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_rfvp_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_route_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_route_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_route_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_tcindex_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_tcindex_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_tcindex_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_u32_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[f_u32_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "f_u32_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_cbq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_cbq_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_cbq_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_choke_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_choke_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_choke_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_codel_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_codel_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_codel_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_dsmark_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_dsmark_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_dsmark_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_codel_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_codel_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_fq_codel_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_fq_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_gred_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_gred_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_gred_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_hhf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_hhf_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_hhf_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_htb_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_htb_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_htb_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_pie_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_pie_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_pie_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_red_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_red_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_red_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_tbf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], array[q_tbf_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_tbf_options"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], c_drr_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], c_drr_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "c_drr_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], c_dsmark_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], c_dsmark_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "c_dsmark_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], q_cbs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], q_cbs_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "q_cbs_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], q_sfb_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], q_sfb_options]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "q_sfb_options"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_mqprio_message]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], tc_mqprio_message]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_mqprio_message"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_multiq_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], tc_multiq_qopt]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_multiq_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_netem_message]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], tc_netem_message]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_netem_message"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_prio_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], tc_prio_qopt]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_prio_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_sfq_qopt_v1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_OPTIONS, int16], tc_sfq_qopt_v1]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_sfq_qopt_v1"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEYS_EX, int16], array[tca_pedit_keys_ex_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_KEYS_EX, int16], array[tca_pedit_keys_ex_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_pedit_keys_ex_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX, int16], array[tca_pedit_key_ex_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_KEY_EX, int16], array[tca_pedit_key_ex_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tca_pedit_key_ex_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX_CMD, int16], flags[pedit_cmd, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_KEY_EX_CMD, int16], flags[pedit_cmd, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pedit_cmd", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX_HTYPE, int16], flags[pedit_header_type, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_KEY_EX_HTYPE, int16], flags[pedit_header_type, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pedit_header_type", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_PARMS, int16], m_pedit_sel]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_PARMS, int16], m_pedit_sel]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "m_pedit_sel"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_PARMS_EX, int16], m_pedit_sel]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PEDIT_PARMS_EX, int16], m_pedit_sel]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "m_pedit_sel"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_ALPHA, int16], int32[0:32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_ALPHA, int16], int32[0:32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_BETA, int16], int32[0:32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_BETA, int16], int32[0:32]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_BYTEMODE, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_BYTEMODE, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_ECN, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_ECN, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_LIMIT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_LIMIT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_TARGET, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_TARGET, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_TUPDATE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_PIE_TUPDATE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_AVRATE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_POLICE_AVRATE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_PEAKRATE, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_POLICE_PEAKRATE, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RATE, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_POLICE_RATE, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RESULT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_POLICE_RESULT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_TBF, int16], tc_police]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_POLICE_TBF, int16], tc_police]", TypeSize: 60}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_police"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_QFQ_LMAX, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_QFQ_LMAX, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_QFQ_WEIGHT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_QFQ_WEIGHT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RATE, int16], tc_estimator]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RATE, int16], tc_estimator]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&StructType{Key: StructKey{Name: "tc_estimator"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RED_MAX_P, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RED_MAX_P, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RED_PARMS, int16], tc_red_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RED_PARMS, int16], tc_red_qopt]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_red_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RED_STAB, int16], array[int8, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RED_STAB, int16], array[int8, 256]]", TypeSize: 260}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROOT_FLAGS, int16], nla_bitfield32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROOT_FLAGS, int16], nla_bitfield32]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "nla_bitfield32"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROOT_TIME_DELTA, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROOT_TIME_DELTA, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_FROM, int16], int32[0:256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_FROM, int16], int32[0:256]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_IIF, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_IIF, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_ROUTE4_TO, int16], int32[0:256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_ROUTE4_TO, int16], int32[0:256]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_DST, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_DST, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_DST, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_DST, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_PINFO, int16], tc_rsvp_pinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_PINFO, int16], tc_rsvp_pinfo]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "tc_rsvp_pinfo"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_RSVP_SRC, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_PARMS, int16], tc_gen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SAMPLE_PARMS, int16], tc_gen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_PSAMPLE_GROUP, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SAMPLE_PSAMPLE_GROUP, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_RATE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SAMPLE_RATE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SAMPLE_TRUNC_SIZE, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SAMPLE_TRUNC_SIZE, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SFB_PARMS, int16], tc_sfb_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SFB_PARMS, int16], tc_sfb_qopt]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_sfb_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_MARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBEDIT_MARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PARMS, int16], tc_gen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBEDIT_PARMS, int16], tc_gen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PRIORITY, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBEDIT_PRIORITY, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_PTYPE, int16], flags[packet_types, int16]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBEDIT_PTYPE, int16], flags[packet_types, int16]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_types", FldName: "payload", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBEDIT_QUEUE_MAPPING, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBEDIT_QUEUE_MAPPING, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_DMAC, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBMOD_DMAC, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_ETYPE, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBMOD_ETYPE, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_PARMS, int16], tc_skbmod]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBMOD_PARMS, int16], tc_skbmod]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_skbmod"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_SKBMOD_SMAC, int16], mac_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_SKBMOD_SMAC, int16], mac_addr]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_STAB, int16], array[stab_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_STAB, int16], array[stab_policy]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "stab_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_STAB_BASE, int16], tc_sizespec]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_STAB_BASE, int16], tc_sizespec]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tc_sizespec"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_STAB_DATA, int16], array[int16, 0:10]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_STAB_DATA, int16], array[int16, 0:10]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: 1, RangeEnd: 10},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_BURST, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_BURST, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PARMS, int16], tc_tbf_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_PARMS, int16], tc_tbf_qopt]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "tc_tbf_qopt"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PBURST, int16], int32[0:9000]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_PBURST, int16], int32[0:9000]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 9000},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PRATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_PRATE64, int16], int64[0x100000000:0xffffffffffffffff]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}, Kind: 2, RangeBegin: 4294967296, RangeEnd: 18446744073709551615},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PTAB, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_PTAB, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}, Kind: 2, RangeBegin: 4294967296, RangeEnd: 18446744073709551615},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_RTAB, int16], array[int32, 256]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TBF_RTAB, int16], array[int32, 256]]", TypeSize: 1028}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_FALL_THROUGH, int16], int32[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_FALL_THROUGH, int16], int32[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_HASH, int16], int32[0:0x10000]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_HASH, int16], int32[0:0x10000]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 65536},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_MASK, int16], int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_MASK, int16], int16]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TCINDEX_SHIFT, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TCINDEX_SHIFT, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_DST_PORT, int16], sock_port]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_DST_PORT, int16], sock_port]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_DST, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_DST, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_SRC, int16], ipv4_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV4_SRC, int16], ipv4_addr]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_DST, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_DST, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_SRC, int16], ipv6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_IPV6_SRC, int16], ipv6_addr]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_KEY_ID, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_ENC_KEY_ID, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_NO_CSUM, int16], int8[0:1]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_NO_CSUM, int16], int8[0:1]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_TUNNEL_KEY_PARMS, int16], tc_tunnel_key]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_TUNNEL_KEY_PARMS, int16], tc_tunnel_key]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_tunnel_key"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_ACT, int16], tca_actions]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_ACT, int16], tca_actions]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&UnionType{Key: StructKey{Name: "tca_actions"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_CLASSID, int16], tcm_handle]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_CLASSID, int16], tcm_handle]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_DIVISOR, int16], int32[0:0x100]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_DIVISOR, int16], int32[0:0x100]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 256},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_FLAGS, int16], int32[0:8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_FLAGS, int16], int32[0:8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2, RangeEnd: 8},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_HASH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_HASH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_INDEV, int16], devname]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_INDEV, int16], devname]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_LINK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_LINK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_MARK, int16], tc_u32_mark]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_MARK, int16], tc_u32_mark]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&StructType{Key: StructKey{Name: "tc_u32_mark"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_POLICE, int16], tca_polices]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_POLICE, int16], tca_polices]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&UnionType{Key: StructKey{Name: "tca_polices"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_U32_SEL, int16], tc_u32_sel]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_U32_SEL, int16], tc_u32_sel]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&StructType{Key: StructKey{Name: "tc_u32_sel"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PARMS, int16], tc_vlan]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_VLAN_PARMS, int16], tc_vlan]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "tc_vlan"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_ID, int16], int16[0:0xfff]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_ID, int16], int16[0:0xfff]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "payload", TypeSize: 2}}, Kind: 2, RangeEnd: 4095},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PRIORITY, int16], int8[0:7]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PRIORITY, int16], int8[0:7]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "payload", TypeSize: 1}}, Kind: 2, RangeEnd: 7},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PROTOCOL, int16], flags[vlan_proto, int16be]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TCA_VLAN_PUSH_VLAN_PROTOCOL, int16], flags[vlan_proto, int16be]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vlan_proto", FldName: "payload", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{33024, 34984}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_ITEM_OPTION, int16], team_attr_option]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_ITEM_OPTION, int16], team_attr_option]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&UnionType{Key: StructKey{Name: "team_attr_option"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_LIST_OPTION, int16], array[nlattr[TEAM_ATTR_ITEM_OPTION, team_attr_option]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_LIST_OPTION, int16], array[nlattr[TEAM_ATTR_ITEM_OPTION, team_attr_option]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_ITEM_OPTION, int16], team_attr_option]"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_ARRAY_INDEX, int16], int32[0:0]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_ARRAY_INDEX, int16], int32[0:0]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}, Kind: 2},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], array[sock_filter]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], array[sock_filter]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_lb_tx_method]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_lb_tx_method]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2, SubKind: "team_attr_option_lb_tx_method", Values: []string{"hash\x00", "hash_to_port_mapping\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_mode]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_mode]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", IsVarlen: true}, Kind: 2, SubKind: "team_attr_option_mode", Values: []string{"activebackup\x00", "broadcast\x00", "loadbalance\x00", "random\x00", "roundrobin\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"activeport\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"activeport\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"activeport\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"bpf_hash_func\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"bpf_hash_func\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"bpf_hash_func\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"enabled\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"enabled\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"enabled\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_hash_stats\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_hash_stats\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"lb_hash_stats\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_port_stats\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_port_stats\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"lb_port_stats\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_stats_refresh_interval\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_stats_refresh_interval\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"lb_stats_refresh_interval\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_hash_to_port_mapping\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_hash_to_port_mapping\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"lb_tx_hash_to_port_mapping\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_method\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_method\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"lb_tx_method\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_count\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_count\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"mcast_rejoin_count\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_interval\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_interval\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"mcast_rejoin_interval\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mode\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mode\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"mode\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_count\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_count\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"notify_peers_count\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_interval\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_interval\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"notify_peers_interval\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"priority\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"priority\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"priority\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"queue_id\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"queue_id\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"queue_id\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"user_linkup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup_enabled\", TEAM_STRING_MAX_LEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup_enabled\", TEAM_STRING_MAX_LEN]]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "payload", TypeSize: 32}, Kind: 2, Values: []string{"user_linkup_enabled\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_BINARY, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_BINARY, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 11},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_FLAG, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_FLAG, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_S32, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_S32, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 14},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_STRING, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_STRING, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 1}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_TEAM_IFINDEX, int16], ifindex_team]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[TEAM_ATTR_TEAM_IFINDEX, int16], ifindex_team]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_team", FldName: "payload", TypeSize: 4}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[VETH_INFO_PEER, int16], ifinfomsg[AF_UNSPEC]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[VETH_INFO_PEER, int16], ifinfomsg[AF_UNSPEC]]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "ifinfomsg[AF_UNSPEC]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ADDRESS_FILTER, int16], xfrm_address_filter]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ADDRESS_FILTER, int16], xfrm_address_filter]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 26},
		&StructType{Key: StructKey{Name: "xfrm_address_filter"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AEAD, int16], xfrm_algo_aead]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ALG_AEAD, int16], xfrm_algo_aead]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 18},
		&StructType{Key: StructKey{Name: "xfrm_algo_aead"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AUTH, int16], xfrm_algo_hash]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ALG_AUTH, int16], xfrm_algo_hash]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 1},
		&StructType{Key: StructKey{Name: "xfrm_algo_hash"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AUTH_TRUNC, int16], xfrm_algo_auth]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ALG_AUTH_TRUNC, int16], xfrm_algo_auth]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 20},
		&StructType{Key: StructKey{Name: "xfrm_algo_auth"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_COMP, int16], xfrm_algo_compress]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ALG_COMP, int16], xfrm_algo_compress]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "xfrm_algo_compress"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_CRYPT, int16], xfrm_algo_blkcipher]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ALG_CRYPT, int16], xfrm_algo_blkcipher]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 2},
		&StructType{Key: StructKey{Name: "xfrm_algo_blkcipher"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_COADDR, int16], xfrm_address]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_COADDR, int16], xfrm_address]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 14},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ENCAP, int16], xfrm_encap_tmpl]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ENCAP, int16], xfrm_encap_tmpl]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "xfrm_encap_tmpl"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_ETIMER_THRESH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_ETIMER_THRESH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 12},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_KMADDRESS, int16], xfrm_user_kmaddress]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_KMADDRESS, int16], xfrm_user_kmaddress]", TypeSize: 44}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 19},
		&StructType{Key: StructKey{Name: "xfrm_user_kmaddress"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_LASTUSED, int16], int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_LASTUSED, int16], int64]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_LTIME_VAL, int16], xfrm_lifetime_cur]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_LTIME_VAL, int16], xfrm_lifetime_cur]", TypeSize: 36}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 9},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cur"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_MARK, int16], xfrm_mark]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_MARK, int16], xfrm_mark]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 21},
		&StructType{Key: StructKey{Name: "xfrm_mark"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_MIGRATE, int16], array[xfrm_user_migrate]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_MIGRATE, int16], array[xfrm_user_migrate]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 17},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xfrm_user_migrate"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_OFFLOAD_DEV, int16], xfrm_user_offload]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_OFFLOAD_DEV, int16], xfrm_user_offload]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 28},
		&StructType{Key: StructKey{Name: "xfrm_user_offload"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_OUTPUT_MARK, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_OUTPUT_MARK, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 29},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_POLICY, int16], xfrm_userpolicy_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_POLICY, int16], xfrm_userpolicy_info]", TypeSize: 172}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 7},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_POLICY_TYPE, int16], xfrm_userpolicy_type]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_POLICY_TYPE, int16], xfrm_userpolicy_type]", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 16},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_type"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_PROTO, int16], flags[xfrm_proto, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_PROTO, int16], flags[xfrm_proto, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 25},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "payload", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_ESN_VAL, int16], xfrm_replay_state_esn]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_REPLAY_ESN_VAL, int16], xfrm_replay_state_esn]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 23},
		&StructType{Key: StructKey{Name: "xfrm_replay_state_esn"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_THRESH, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_REPLAY_THRESH, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_VAL, int16], xfrm_replay_state]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_REPLAY_VAL, int16], xfrm_replay_state]", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 10},
		&StructType{Key: StructKey{Name: "xfrm_replay_state"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SA, int16], xfrm_usersa_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SA, int16], xfrm_usersa_info]", TypeSize: 228}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 6},
		&StructType{Key: StructKey{Name: "xfrm_usersa_info"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SA_EXTRA_FLAGS, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SA_EXTRA_FLAGS, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SEC_CTX, int16], xfrm_user_sec_ctx]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SEC_CTX, int16], xfrm_user_sec_ctx]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 8},
		&StructType{Key: StructKey{Name: "xfrm_user_sec_ctx"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SPD_IPV4_HTHRESH, int16], xfrmu_spdhthresh4]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SPD_IPV4_HTHRESH, int16], xfrmu_spdhthresh4]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "xfrmu_spdhthresh4"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SPD_IPV6_HTHRESH, int16], xfrmu_spdhthresh6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SPD_IPV6_HTHRESH, int16], xfrmu_spdhthresh6]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 4},
		&StructType{Key: StructKey{Name: "xfrmu_spdhthresh6"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_SRCADDR, int16], xfrm_address]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_SRCADDR, int16], xfrm_address]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 13},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_TFCPAD, int16], int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_TFCPAD, int16], int32]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 22},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[const[XFRMA_TMPL, int16], array[xfrm_user_tmpl]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[const[XFRMA_TMPL, int16], array[xfrm_user_tmpl]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nla_type", TypeSize: 2}}, Val: 5},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "xfrm_user_tmpl"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[flags[rtnl_af, int16], void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[flags[rtnl_af, int16], void]", TypeSize: 4}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtnl_af", FldName: "nla_type", TypeSize: 2}}, Vals: []uint64{2, 10, 7, 28}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int16[0:150], array[nl_generic_attr_nonested]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int16[0:150], array[nl_generic_attr_nonested]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nla_type", TypeSize: 2}}, Kind: 2, RangeEnd: 150},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "nl_generic_attr_nonested"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int16[0:150], nl_generic_attr_data]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int16[0:150], nl_generic_attr_data]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nla_type", TypeSize: 2}}, Kind: 2, RangeEnd: 150},
		&UnionType{Key: StructKey{Name: "nl_generic_attr_data"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CANID, can_filter]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CANID, can_filter]]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CANID, can_filter]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]]", TypeSize: 28}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]"}, FldName: "payload"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_kind_index]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&UnionType{Key: StructKey{Name: "tca_actions_kind_index"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"bpf\", array[m_bpf_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"bpf\", array[m_bpf_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"bpf\", array[m_bpf_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"connmark\", m_connmark_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"connmark\", m_connmark_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"connmark\", m_connmark_options]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"csum\", m_csum_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"csum\", m_csum_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"csum\", m_csum_options]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"gact\", array[m_gact_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"gact\", array[m_gact_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"gact\", array[m_gact_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ife\", array[m_ife_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ife\", array[m_ife_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"ife\", array[m_ife_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ipt\", array[m_ipt_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ipt\", array[m_ipt_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"ipt\", array[m_ipt_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"mirred\", m_mirred_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"mirred\", m_mirred_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"mirred\", m_mirred_options]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"nat\", m_nat_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"nat\", m_nat_options]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"nat\", m_nat_options]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"pedit\", array[m_pedit_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"pedit\", array[m_pedit_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"pedit\", array[m_pedit_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"police\", array[m_police_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"police\", array[m_police_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"police\", array[m_police_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"sample\", array[m_sample_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"sample\", array[m_sample_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"sample\", array[m_sample_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"simple\", array[m_simple_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"simple\", array[m_simple_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"simple\", array[m_simple_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbedit\", array[m_skbedit_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbedit\", array[m_skbedit_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"skbedit\", array[m_skbedit_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbmod\", array[m_skbmod_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbmod\", array[m_skbmod_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"skbmod\", array[m_skbmod_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"vlan\", array[m_vlan_options]]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"vlan\", array[m_vlan_options]]]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nla_len", TypeSize: 2}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nla_type", TypeSize: 4}}, Kind: 2, RangeEnd: 32},
		&StructType{Key: StructKey{Name: "tca_actions_t[\"vlan\", array[m_vlan_options]]"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "ntfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ntfs_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fs_opt[\"uid\", fmt[hex, uid]]"}, FldName: "uid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"gid\", fmt[hex, gid]]"}, FldName: "gid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"umask\", fmt[oct, int32]]"}, FldName: "umask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"fmask\", fmt[oct, int32]]"}, FldName: "fmask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dmask\", fmt[oct, int32]]"}, FldName: "dmask"},
		&StructType{Key: StructKey{Name: "fs_opt[\"mft_zone_multiplier\", fmt[hex, int32[-1:4]]]"}, FldName: "mft_zone_multiplier"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "show_sys_files_no", TypeSize: 17}, Kind: 2, Values: []string{"show_sys_files=no"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "show_sys_files_yes", TypeSize: 18}, Kind: 2, Values: []string{"show_sys_files=yes"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "case_sensitive_no", TypeSize: 17}, Kind: 2, Values: []string{"case_sensitive=no"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "case_sensitive_yes", TypeSize: 18}, Kind: 2, Values: []string{"case_sensitive=yes"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "disable_sparse_no", TypeSize: 17}, Kind: 2, Values: []string{"disable_sparse=no"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "disable_sparse_yes", TypeSize: 18}, Kind: 2, Values: []string{"disable_sparse=yes"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_remount", TypeSize: 17}, Kind: 2, Values: []string{"errors=remount-ro"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_continue", TypeSize: 15}, Kind: 2, Values: []string{"errors=continue"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_recover", TypeSize: 14}, Kind: 2, Values: []string{"errors=recover"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"nls\", stringnoz[codepages_names]]"}, FldName: "nls"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "utf8", TypeSize: 4}, Kind: 2, Values: []string{"utf8"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "optional[int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "optional[int16]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "val", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "void"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "optional[int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "optional[int32]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "void"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "optional[tun_pi]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "optional[tun_pi]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tun_pi"}, FldName: "val"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "void"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "optional[virtio_net_hdr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "optional[virtio_net_hdr]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "virtio_net_hdr"}, FldName: "val"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "void"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_dir"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_dir", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "qid"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "offset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "name_len", TypeSize: 2}}, Buf: "name"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "name", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RATTACH, p9_qid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RATTACH, p9_qid]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 105},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RAUTH, p9_qid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RAUTH, p9_qid]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 103},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RCLUNK, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RCLUNK, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 121},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RCREATE, p9_ropen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RCREATE, p9_ropen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 115},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_ropen"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RFLUSH, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RFLUSH, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 109},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RFSYNC, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RFSYNC, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 51},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RGETATTR, p9_rgetattr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RGETATTR, p9_rgetattr]", TypeSize: 160}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 25},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rgetattr"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RGETLOCK, p9_rgetlock]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RGETLOCK, p9_rgetlock]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 55},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rgetlock"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLCREATE, p9_ropen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLCREATE, p9_ropen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_ropen"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLERROR, p9_rerror]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLERROR, p9_rerror]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rerror"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLERROR, p9_rerroru]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLERROR, p9_rerroru]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rerroru"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLINK, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLINK, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 71},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLOCK, flags[p9_lock_status, int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLOCK, flags[p9_lock_status, int8]]", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 53},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "p9_lock_status", FldName: "payload", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RLOPEN, p9_ropen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RLOPEN, p9_ropen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 13},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_ropen"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RMKDIR, p9_qid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RMKDIR, p9_qid]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 73},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RMKNOD, p9_qid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RMKNOD, p9_qid]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 19},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_ROPEN, p9_ropen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_ROPEN, p9_ropen]", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 113},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_ropen"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RREAD, p9_rread]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RREAD, p9_rread]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 117},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rread"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RREADDIR, p9_rreaddir]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RREADDIR, p9_rreaddir]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 41},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rreaddir"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RREADLINK, p9_rreadlink]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RREADLINK, p9_rreadlink]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 23},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rreadlink"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RREMOVE, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RREMOVE, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 123},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RRENAME, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RRENAME, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 21},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RRENAMEAT, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RRENAMEAT, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 75},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RSETATTR, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RSETATTR, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RSTAT, p9_rstat]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RSTAT, p9_rstat]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 125},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rstat"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RSTAT, p9_rstatu]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RSTAT, p9_rstatu]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 125},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rstatu"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RSTATFS, p9_rstatfs]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RSTATFS, p9_rstatfs]", TypeSize: 67}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rstatfs"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RSYMLINK, p9_qid]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RSYMLINK, p9_qid]", TypeSize: 20}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 17},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RUNLINKAT, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RUNLINKAT, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 77},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RWALK, p9_rwalk]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RWALK, p9_rwalk]", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 111},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "p9_rwalk"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RWRITE, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RWRITE, int32]", TypeSize: 11}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 119},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "payload", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RWSTAT, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RWSTAT, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 127},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RXATTRCREATE, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RXATTRCREATE, void]", TypeSize: 7}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 33},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "payload"}, Kind: 1},
	}}},
	{Key: StructKey{Name: "p9_msg[P9_RXATTRWALK, int64]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_msg[P9_RXATTRWALK, int64]", TypeSize: 15}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tag", TypeSize: 2}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "payload", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "p9_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "fs_opt[\"uname\", stringnoz]"}, FldName: "uname"},
		&StructType{Key: StructKey{Name: "fs_opt[\"aname\", stringnoz]"}, FldName: "aname"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "cache_none", TypeSize: 10}, Kind: 2, Values: []string{"cache=none"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "cache_loose", TypeSize: 11}, Kind: 2, Values: []string{"cache=loose"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "cache_fscache", TypeSize: 13}, Kind: 2, Values: []string{"cache=fscache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "cache_mmap", TypeSize: 10}, Kind: 2, Values: []string{"cache=mmap"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"debug\", fmt[hex, int64]]"}, FldName: "debug"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noextend", TypeSize: 8}, Kind: 2, Values: []string{"noextend"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodevmap", TypeSize: 8}, Kind: 2, Values: []string{"nodevmap"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "version_9p2000", TypeSize: 14}, Kind: 2, Values: []string{"version=9p2000"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "version_u", TypeSize: 16}, Kind: 2, Values: []string{"version=9p2000.u"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "version_L", TypeSize: 16}, Kind: 2, Values: []string{"version=9p2000.L"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"cachetag\", stringnoz]"}, FldName: "cachetag"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "loose", TypeSize: 5}, Kind: 2, Values: []string{"loose"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "fscache", TypeSize: 7}, Kind: 2, Values: []string{"fscache"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "mmap", TypeSize: 4}, Kind: 2, Values: []string{"mmap"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "posixacl", TypeSize: 8}, Kind: 2, Values: []string{"posixacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "privport", TypeSize: 8}, Kind: 2, Values: []string{"privport"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"msize\", fmt[hex, int32]]"}, FldName: "msize"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dfltuid\", fmt[hex, uid]]"}, FldName: "dfltuid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"dfltgid\", fmt[hex, gid]]"}, FldName: "dfltgid"},
		&StructType{Key: StructKey{Name: "fs_opt[\"afid\", fmt[hex, int32]]"}, FldName: "afid"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "access_user", TypeSize: 11}, Kind: 2, Values: []string{"access=user"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "access_any", TypeSize: 10}, Kind: 2, Values: []string{"access=any"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "access_client", TypeSize: 13}, Kind: 2, Values: []string{"access=client"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"access\", fmt[dec, uid]]"}, FldName: "access_uid"},
	}}},
	{Key: StructKey{Name: "p9_options_fd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_fd", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "trans", TypeSize: 9}, Kind: 2, Values: []string{"trans=fd,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"rfdno\", fmt[hex, rfd9p]]"}, FldName: "rfdno"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma0", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_opt[\"wfdno\", fmt[hex, fd]]"}, FldName: "wfdno"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma1", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_options[p9_options]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_options_rdma"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_rdma", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "trans", TypeSize: 11}, Kind: 2, Values: []string{"trans=rdma,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"port\", fmt[hex, sock_port]]"}, FldName: "port"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma0", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_options[p9_options_rdma_opt]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_options_rdma_opt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_rdma_opt", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "p9_options"}, FldName: "common"},
		&StructType{Key: StructKey{Name: "fs_opt[\"timeout\", fmt[hex, intptr]]"}, FldName: "timeout"},
		&StructType{Key: StructKey{Name: "fs_opt[\"sq\", fmt[hex, intptr]]"}, FldName: "sq"},
		&StructType{Key: StructKey{Name: "fs_opt[\"rq\", fmt[hex, intptr]]"}, FldName: "rq"},
	}}},
	{Key: StructKey{Name: "p9_options_tcp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_tcp", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "trans", TypeSize: 10}, Kind: 2, Values: []string{"trans=tcp,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"port\", fmt[hex, sock_port]]"}, FldName: "port"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "comma0", TypeSize: 1}}, Val: 44},
		&StructType{Key: StructKey{Name: "fs_options[p9_options]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_options_unix"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_unix", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", TypeSize: 11}, Kind: 2, Values: []string{"trans=unix,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_options[p9_options]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_options_virtio"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_virtio", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "trans", TypeSize: 13}, Kind: 2, Values: []string{"trans=virtio,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_options[p9_options]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_options_xen"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_options_xen", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "trans", TypeSize: 10}, Kind: 2, Values: []string{"trans=xen,"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_options[p9_options]"}, FldName: "opts"},
	}}},
	{Key: StructKey{Name: "p9_qid"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_qid", TypeSize: 13}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "p9_qid_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{128, 64, 32, 16, 8, 4, 2, 1, 0}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "path", TypeSize: 8}}, Kind: 2, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "p9_rerror"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rerror", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ename_len", TypeSize: 2}}, Buf: "ename"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ename", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_rerroru"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rerroru", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "p9_rerror"}, FldName: "error"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "errno", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "p9_rgetattr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rgetattr", TypeSize: 153}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "p8_stats_valid", FldName: "valid", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "qid"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 4}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nlink", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rdev", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "size", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blksize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blocks", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "atime_sec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "atime_nsec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mtime_sec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mtime_nsec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ctime_sec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ctime_nsec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "btime_sec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "btime_nsec", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "gen", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data_version", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "p9_rgetlock"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rgetlock", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "p9_lock_type", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "length", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "proc_id", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "client_id_len", TypeSize: 2}}, Buf: "client_id"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "client_id", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_ropen"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_ropen", TypeSize: 17}, Fields: []Type{
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "qid"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iounit", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "p9_rread"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rread", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 4}}, BitSize: 8, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "p9_rreaddir"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rreaddir", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entries", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "p9_dir"}}},
	}}},
	{Key: StructKey{Name: "p9_rreadlink"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rreadlink", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_len", TypeSize: 2}}, Buf: "target"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "target", IsVarlen: true}, Kind: 3, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_rstat"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rstat", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ignored", TypeSize: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 2}}, BitSize: 8, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "type", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "p9_qid"}, FldName: "qid"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "p9_perm_t", FldName: "mode", TypeSize: 4}}, Vals: []uint64{2147483648, 1073741824, 536870912, 268435456, 134217728, 67108864, 33554432, 16777216, 8388608, 2097152, 1048576, 524288, 262144, 65536}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "atime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "length", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "name_len", TypeSize: 2}}, Buf: "name"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "name", IsVarlen: true}, Kind: 2, NoZ: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "uid_len", TypeSize: 2}}, Buf: "uid"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "uid", IsVarlen: true}, Kind: 2, NoZ: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "gid_len", TypeSize: 2}}, Buf: "gid"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "gid", IsVarlen: true}, Kind: 2, NoZ: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "muid_len", TypeSize: 2}}, Buf: "muid"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "muid", IsVarlen: true}, Kind: 2, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_rstatfs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rstatfs", TypeSize: 60}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bsize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blocks", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bfree", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bavail", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "files", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ffree", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "fsid", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "namelen", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "p9_rstatu"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rstatu", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "p9_rstat"}, FldName: "rstat"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "extension_len", TypeSize: 2}}, Buf: "extension"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "extension", IsVarlen: true}, Kind: 2, NoZ: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "n_uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "n_gid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "n_muid", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "p9_rversion"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rversion", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 101},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tag", TypeSize: 2}}, Val: 65535},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msize", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "version_len", TypeSize: 2}}, Buf: "version"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "version", IsVarlen: true}, Kind: 2, SubKind: "p9_versions", Values: []string{"9P2000", "9P2000.u", "9P2000.L"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "p9_rwalk"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "p9_rwalk", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nwqid", TypeSize: 2}}, Buf: "wqid"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "wqid", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "p9_qid"}}},
	}}},
	{Key: StructKey{Name: "packet_fanout_val"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "packet_fanout_val", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "id", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_fanout_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_fanout_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{4096, 32768, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "packet_mreq"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "packet_mreq", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "mr_ifindex", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mr_type", TypeSize: 2}}, Val: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "mr_alen", TypeSize: 2}}, Buf: "mr_address"},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "mr_address"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "packet_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "packet_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "perf_bp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "perf_bp", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "bp_addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_bp_lens", FldName: "bp_len", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}}},
	{Key: StructKey{Name: "perf_bp_config"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "perf_bp_config", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "perf_bp"}, FldName: "perf_bp"},
		&StructType{Key: StructKey{Name: "perf_config_ext"}, FldName: "perf_config_ext"},
	}}},
	{Key: StructKey{Name: "perf_config_ext"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "perf_config_ext", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "config1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "config2", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "perf_event_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "perf_event_attr", TypeSize: 112}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_event_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "config0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "config1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "config2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "config3", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "config4", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sample_freq", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_sample_type", FldName: "sample_type", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_read_format", FldName: "read_format", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "disabled", TypeSize: 8}, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "inherit", TypeSize: 8}, BitfieldOff: 1, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "pinned", TypeSize: 8}, BitfieldOff: 2, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclusive", TypeSize: 8}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_user", TypeSize: 8}, BitfieldOff: 4, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_kernel", TypeSize: 8}, BitfieldOff: 5, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_hv", TypeSize: 8}, BitfieldOff: 6, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_idle", TypeSize: 8}, BitfieldOff: 7, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mmap", TypeSize: 8}, BitfieldOff: 8, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "comm", TypeSize: 8}, BitfieldOff: 9, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "freq", TypeSize: 8}, BitfieldOff: 10, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "inherit_stat", TypeSize: 8}, BitfieldOff: 11, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "enable_on_exec", TypeSize: 8}, BitfieldOff: 12, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "task", TypeSize: 8}, BitfieldOff: 13, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "watermark", TypeSize: 8}, BitfieldOff: 14, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "precise_ip", TypeSize: 8}, BitfieldOff: 15, BitfieldLen: 2, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mmap_data", TypeSize: 8}, BitfieldOff: 17, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sample_id_all", TypeSize: 8}, BitfieldOff: 18, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_host", TypeSize: 8}, BitfieldOff: 19, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_guest", TypeSize: 8}, BitfieldOff: 20, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_callchain_kernel", TypeSize: 8}, BitfieldOff: 21, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "exclude_callchain_user", TypeSize: 8}, BitfieldOff: 22, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mmap2", TypeSize: 8}, BitfieldOff: 23, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "comm_exec", TypeSize: 8}, BitfieldOff: 24, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "use_clockid", TypeSize: 8}, BitfieldOff: 25, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "context_switch", TypeSize: 8}, BitfieldOff: 26, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "write_backward", TypeSize: 8}, BitfieldOff: 27, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "namespaces", TypeSize: 8}, BitfieldOff: 28, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__reserved_1", TypeSize: 8}, BitfieldOff: 29, BitfieldLen: 35}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wakeup_events", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_bp_type", FldName: "bp_type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4}, BitMask: true},
		&UnionType{Key: StructKey{Name: "perf_bp_config"}, FldName: "bp_config"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_branch_sample_type", FldName: "branch_sample_type", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sample_regs_user", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sample_stack_user", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_type", FldName: "clockid", TypeSize: 4}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sample_regs_intr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aux_watermark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sample_max_stack", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "__reserved_2", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "perf_event_query_bpf"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "perf_event_query_bpf", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ids_len", TypeSize: 4}}, Buf: "ids"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "prog_cnt", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ids", IsVarlen: true}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}},
	}}},
	{Key: StructKey{Name: "pipe_9p", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pipe_9p", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rfd9p", FldName: "rfd", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "wfd", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "pipefd", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pipefd", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "rfd", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "wfd", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "pollfd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pollfd", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pollfd_events", FldName: "events", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 4096, 8192, 16384, 32768}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revents", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "pppoe_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppoe_addr", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sid", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "remote"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "dev", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "pppoe_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppoe_addr", TypeSize: 24, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sid", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 1}, FldName: "remote"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "dev", TypeSize: 16, ArgDir: 1}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "pppol2tp_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tp_addr", TypeSize: 32}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_tunnel", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_session", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_tunnel", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_session", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "pppol2tp_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tp_addr", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4, ArgDir: 1}},
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_tunnel", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_session", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_tunnel", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_session", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "pppol2tpin6_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpin6_addr", TypeSize: 44}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_tunnel", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_session", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_tunnel", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_session", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "pppol2tpin6_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpin6_addr", TypeSize: 44, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_tunnel", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "s_session", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_tunnel", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "d_session", TypeSize: 2, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "pppol2tpv3_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpv3_addr", TypeSize: 40}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_tunnel", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_session", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_tunnel", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_session", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "pppol2tpv3_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpv3_addr", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4, ArgDir: 1}},
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_tunnel", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_session", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_tunnel", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_session", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "pppol2tpv3in6_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpv3in6_addr", TypeSize: 52}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_tunnel", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_session", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_tunnel", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_session", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "pppol2tpv3in6_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pppol2tpv3in6_addr", TypeSize: 52, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pid", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_tunnel", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "s_session", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_tunnel", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d_session", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "pptp_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pptp_addr", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "call_id", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "sin_addr"},
	}}},
	{Key: StructKey{Name: "pptp_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pptp_addr", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "call_id", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeEnd: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "sin_addr"},
	}}},
	{Key: StructKey{Name: "pr_clear"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pr_clear", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "key", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "pr_preempt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pr_preempt", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "old_key", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "new_key", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "pr_registration"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pr_registration", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "old_key", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "new_key", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "pr_reservation"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "pr_reservation", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "key", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "q_cbq_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_cbq_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_LSSOPT, int16], tc_cbq_lssopt]"}, FldName: "TCA_CBQ_LSSOPT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_WRROPT, int16], tc_cbq_wrropt]"}, FldName: "TCA_CBQ_WRROPT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_FOPT, int16], tc_cbq_fopt]"}, FldName: "TCA_CBQ_FOPT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_RATE, int16], tc_ratespec]"}, FldName: "TCA_CBQ_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBQ_RTAB, int16], array[int32, 256]]"}, FldName: "TCA_CBQ_RTAB"},
	}}},
	{Key: StructKey{Name: "q_cbs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_cbs_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CBS_PARMS, int16], tc_cbs_qopt]"}, FldName: "TCA_CBS_PARMS"},
	}}},
	{Key: StructKey{Name: "q_choke_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_choke_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_PARMS, int16], tc_red_qopt]"}, FldName: "TCA_CHOKE_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_STAB, int16], array[int8, 256]]"}, FldName: "TCA_CHOKE_STAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CHOKE_MAX_P, int16], int32]"}, FldName: "TCA_CHOKE_MAX_P"},
	}}},
	{Key: StructKey{Name: "q_codel_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_codel_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_TARGET, int16], int32]"}, FldName: "TCA_CODEL_TARGET"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_LIMIT, int16], int32]"}, FldName: "TCA_CODEL_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_INTERVAL, int16], int32]"}, FldName: "TCA_CODEL_INTERVAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_ECN, int16], int32[0:1]]"}, FldName: "TCA_CODEL_ECN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_CODEL_CE_THRESHOLD, int16], int32]"}, FldName: "TCA_CODEL_CE_THRESHOLD"},
	}}},
	{Key: StructKey{Name: "q_dsmark_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_dsmark_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_INDICES, int16], flags[tca_dsmark_ind, int16]]"}, FldName: "TCA_DSMARK_INDICES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_DEFAULT_INDEX, int16], int16]"}, FldName: "TCA_DSMARK_DEFAULT_INDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_DSMARK_SET_TC_INDEX, int16], void]"}, FldName: "TCA_DSMARK_SET_TC_INDEX"},
	}}},
	{Key: StructKey{Name: "q_fq_codel_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_fq_codel_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_TARGET, int16], int32]"}, FldName: "TCA_FQ_CODEL_TARGET"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_LIMIT, int16], int32]"}, FldName: "TCA_FQ_CODEL_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_INTERVAL, int16], int32]"}, FldName: "TCA_FQ_CODEL_INTERVAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_ECN, int16], int32[0:1]]"}, FldName: "TCA_FQ_CODEL_ECN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_FLOWS, int16], int32]"}, FldName: "TCA_FQ_CODEL_FLOWS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_QUANTUM, int16], int32]"}, FldName: "TCA_FQ_CODEL_QUANTUM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_CE_THRESHOLD, int16], int32]"}, FldName: "TCA_FQ_CODEL_CE_THRESHOLD"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_DROP_BATCH_SIZE, int16], int32]"}, FldName: "TCA_FQ_CODEL_DROP_BATCH_SIZE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_CODEL_MEMORY_LIMIT, int16], int32]"}, FldName: "TCA_FQ_CODEL_MEMORY_LIMIT"},
	}}},
	{Key: StructKey{Name: "q_fq_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_fq_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_PLIMIT, int16], int32]"}, FldName: "TCA_FQ_PLIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_PLIMIT, int16], int32]"}, FldName: "TCA_FQ_FLOW_PLIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_QUANTUM, int16], int32]"}, FldName: "TCA_FQ_QUANTUM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_INITIAL_QUANTUM, int16], int32]"}, FldName: "TCA_FQ_INITIAL_QUANTUM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_RATE_ENABLE, int16], int32[0:1]]"}, FldName: "TCA_FQ_RATE_ENABLE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_DEFAULT_RATE, int16], int32]"}, FldName: "TCA_FQ_FLOW_DEFAULT_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_MAX_RATE, int16], int32]"}, FldName: "TCA_FQ_FLOW_MAX_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_BUCKETS_LOG, int16], int32[0:32]]"}, FldName: "TCA_FQ_BUCKETS_LOG"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_FLOW_REFILL_DELAY, int16], int32]"}, FldName: "TCA_FQ_FLOW_REFILL_DELAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_ORPHAN_MASK, int16], int32]"}, FldName: "TCA_FQ_ORPHAN_MASK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_FQ_LOW_RATE_THRESHOLD, int16], int32]"}, FldName: "TCA_FQ_LOW_RATE_THRESHOLD"},
	}}},
	{Key: StructKey{Name: "q_gred_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_gred_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_PARMS, int16], tc_gred_qopt]"}, FldName: "TCA_GRED_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_STAB, int16], array[int8, 256]]"}, FldName: "TCA_GRED_STAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_DPS, int16], tc_gred_sopt]"}, FldName: "TCA_GRED_DPS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_MAX_P, int16], int32]"}, FldName: "TCA_GRED_MAX_P"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_GRED_LIMIT, int16], int32]"}, FldName: "TCA_GRED_LIMIT"},
	}}},
	{Key: StructKey{Name: "q_hhf_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_hhf_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_BACKLOG_LIMIT, int16], int32]"}, FldName: "TCA_HHF_BACKLOG_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_QUANTUM, int16], int32]"}, FldName: "TCA_HHF_QUANTUM"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_HH_FLOWS_LIMIT, int16], int32]"}, FldName: "TCA_HHF_HH_FLOWS_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_RESET_TIMEOUT, int16], int32]"}, FldName: "TCA_HHF_RESET_TIMEOUT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_ADMIT_BYTES, int16], int32]"}, FldName: "TCA_HHF_ADMIT_BYTES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_EVICT_TIMEOUT, int16], int32]"}, FldName: "TCA_HHF_EVICT_TIMEOUT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HHF_NON_HH_WEIGHT, int16], int32]"}, FldName: "TCA_HHF_NON_HH_WEIGHT"},
	}}},
	{Key: StructKey{Name: "q_htb_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_htb_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_INIT, int16], tc_htb_glob]"}, FldName: "TCA_HTB_INIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_HTB_DIRECT_QLEN, int16], int32]"}, FldName: "TCA_HTB_DIRECT_QLEN"},
	}}},
	{Key: StructKey{Name: "q_mqprio_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_mqprio_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MODE, int16], flags[tc_mqprio_modes, int32]]"}, FldName: "TCA_MQPRIO_MODE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_SHAPER, int16], flags[tc_mqprio_shapers, int32]]"}, FldName: "TCA_MQPRIO_SHAPER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MIN_RATE64, int16], array[nlattr[TCA_MQPRIO_MIN_RATE64, int64], 0:16]]"}, FldName: "TCA_MQPRIO_MIN_RATE64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_MQPRIO_MAX_RATE64, int16], array[nlattr[TCA_MQPRIO_MAX_RATE64, int64], 0:16]]"}, FldName: "TCA_MQPRIO_MAX_RATE64"},
	}}},
	{Key: StructKey{Name: "q_netem_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_netem_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_CORR, int16], tc_netem_corr]"}, FldName: "TCA_NETEM_CORR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_DELAY_DIST, int16], array[int8, 0:100]]"}, FldName: "TCA_NETEM_DELAY_DIST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_REORDER, int16], tc_netem_reorder]"}, FldName: "TCA_NETEM_REORDER"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_CORRUPT, int16], tc_netem_corrupt]"}, FldName: "TCA_NETEM_CORRUPT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_LOSS, int16], array[netem_loss_policy]]"}, FldName: "TCA_NETEM_LOSS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_RATE, int16], tc_netem_rate]"}, FldName: "TCA_NETEM_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_ECN, int16], int32[0:1]]"}, FldName: "TCA_NETEM_ECN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, FldName: "TCA_NETEM_RATE64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_LATENCY64, int16], int64]"}, FldName: "TCA_NETEM_LATENCY64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_JITTER64, int16], int64]"}, FldName: "TCA_NETEM_JITTER64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_NETEM_SLOT, int16], tc_netem_slot]"}, FldName: "TCA_NETEM_SLOT"},
	}}},
	{Key: StructKey{Name: "q_pie_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_pie_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_TARGET, int16], int32]"}, FldName: "TCA_PIE_TARGET"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_LIMIT, int16], int32]"}, FldName: "TCA_PIE_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_TUPDATE, int16], int32]"}, FldName: "TCA_PIE_TUPDATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_ALPHA, int16], int32[0:32]]"}, FldName: "TCA_PIE_ALPHA"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_BETA, int16], int32[0:32]]"}, FldName: "TCA_PIE_BETA"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_ECN, int16], int32[0:1]]"}, FldName: "TCA_PIE_ECN"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PIE_BYTEMODE, int16], int32[0:1]]"}, FldName: "TCA_PIE_BYTEMODE"},
	}}},
	{Key: StructKey{Name: "q_red_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_red_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RED_PARMS, int16], tc_red_qopt]"}, FldName: "TCA_RED_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RED_STAB, int16], array[int8, 256]]"}, FldName: "TCA_RED_STAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RED_MAX_P, int16], int32]"}, FldName: "TCA_RED_MAX_P"},
	}}},
	{Key: StructKey{Name: "q_sfb_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_sfb_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_SFB_PARMS, int16], tc_sfb_qopt]"}, FldName: "TCA_SFB_PARMS"},
	}}},
	{Key: StructKey{Name: "q_tbf_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "q_tbf_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PARMS, int16], tc_tbf_qopt]"}, FldName: "TCA_TBF_PARMS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_RTAB, int16], array[int32, 256]]"}, FldName: "TCA_TBF_RTAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PTAB, int16], array[int32, 256]]"}, FldName: "TCA_TBF_PTAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_RATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, FldName: "TCA_TBF_RATE64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PRATE64, int16], int64[0x100000000:0xffffffffffffffff]]"}, FldName: "TCA_TBF_PRATE64"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_BURST, int16], int32]"}, FldName: "TCA_TBF_BURST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_TBF_PBURST, int16], int32[0:9000]]"}, FldName: "TCA_TBF_PBURST"},
	}}},
	{Key: StructKey{Name: "qdisc_kind_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "qdisc_kind_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"cbq\", array[q_cbq_options]]"}, FldName: "q_cbq"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"cbs\", q_cbs_options]"}, FldName: "q_cbs"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"choke\", array[q_choke_options]]"}, FldName: "q_choke"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"codel\", array[q_codel_options]]"}, FldName: "q_codel"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"dsmark\", array[q_dsmark_options]]"}, FldName: "q_dsmark"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"bfifo\", int32]"}, FldName: "q_bfifo"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"pfifo\", int32]"}, FldName: "q_pfifo"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"pfifo_head_drop\", int32]"}, FldName: "q_pfifo_head_drop"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"fq\", array[q_fq_options]]"}, FldName: "q_fq"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"fq_codel\", array[q_fq_codel_options]]"}, FldName: "q_fq_codel"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"gred\", array[q_gred_options]]"}, FldName: "q_gred"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"hfsc\", int16]"}, FldName: "q_hfsc"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"hhf\", array[q_hhf_options]]"}, FldName: "q_hhf"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"htb\", array[q_htb_options]]"}, FldName: "q_htb"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"mqprio\", tc_mqprio_message]"}, FldName: "q_mqprio"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"multiq\", tc_multiq_qopt]"}, FldName: "q_multiq"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"netem\", tc_netem_message]"}, FldName: "q_netem"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"pie\", array[q_pie_options]]"}, FldName: "q_pie"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"prio\", tc_prio_qopt]"}, FldName: "q_prio"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"red\", array[q_red_options]]"}, FldName: "q_red"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"sfb\", q_sfb_options]"}, FldName: "q_sfb"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"sfq\", tc_sfq_qopt_v1]"}, FldName: "q_sfq"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"tbf\", array[q_tbf_options]]"}, FldName: "q_tbf"},
	}}},
	{Key: StructKey{Name: "qdisc_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "qdisc_policy", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "qdisc_kind_options"}, FldName: "qdisc_kind_options"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RATE, int16], tc_estimator]"}, FldName: "TCA_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_STAB, int16], array[stab_policy]]"}, FldName: "TCA_STAB"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_INGRESS_BLOCK, int16], int32]"}, FldName: "TCA_INGRESS_BLOCK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EGRESS_BLOCK, int16], int32]"}, FldName: "TCA_EGRESS_BLOCK"},
	}}},
	{Key: StructKey{Name: "raw_hdlc_proto"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "raw_hdlc_proto", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "encode", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "parity", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_accept"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_accept", TypeSize: 288}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uid", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "rdma_ucm_conn_param"}, FldName: "conn_param"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_bind"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_bind", TypeSize: 136}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockaddr_rdma_cm_lens", FldName: "addr_size", TypeSize: 2}}, Vals: []uint64{16, 28, 48}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "sockaddr_rdma_cm"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_bind_ip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_bind_ip", TypeSize: 40}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "response", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "addr"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_ACCEPT, rdma_ucm_accept]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_ACCEPT, rdma_ucm_accept]", TypeSize: 296}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 8},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_accept"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND, rdma_ucm_bind]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND, rdma_ucm_bind]", TypeSize: 144}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 20},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_bind"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND_IP, rdma_ucm_bind_ip]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND_IP, rdma_ucm_bind_ip]", TypeSize: 48}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 2},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_bind_ip"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CONNECT, rdma_ucm_connect]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CONNECT, rdma_ucm_connect]", TypeSize: 288}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 6},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_connect"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CREATE_ID, rdma_ucm_create_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CREATE_ID, rdma_ucm_create_id]", TypeSize: 32}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_create_id"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DESTROY_ID, rdma_ucm_destroy_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DESTROY_ID, rdma_ucm_destroy_id]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_destroy_id"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DISCONNECT, rdma_ucm_disconnect]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DISCONNECT, rdma_ucm_disconnect]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 10},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_disconnect"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_GET_EVENT, rdma_ucm_get_event]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_GET_EVENT, rdma_ucm_get_event]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 12},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_get_event"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_INIT_QP_ATTR, rdma_ucm_init_qp_attr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_INIT_QP_ATTR, rdma_ucm_init_qp_attr]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 11},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_init_qp_attr"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_IP_MCAST, rdma_ucm_join_ip_mcast]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_IP_MCAST, rdma_ucm_join_ip_mcast]", TypeSize: 56}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 16},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_join_ip_mcast"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_MCAST, rdma_ucm_join_mcast]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_MCAST, rdma_ucm_join_mcast]", TypeSize: 160}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 22},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_join_mcast"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LEAVE_MCAST, rdma_ucm_leave_mcast]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LEAVE_MCAST, rdma_ucm_leave_mcast]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 17},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_leave_mcast"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LISTEN, rdma_ucm_listen]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LISTEN, rdma_ucm_listen]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 7},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_listen"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_MIGRATE_ID, rdma_ucm_migrate_id]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_MIGRATE_ID, rdma_ucm_migrate_id]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 18},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_migrate_id"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_NOTIFY, rdma_ucm_notify]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_NOTIFY, rdma_ucm_notify]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 15},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_notify"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY, rdma_ucm_query]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY, rdma_ucm_query]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 19},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_query"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY_ROUTE, rdma_ucm_query]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY_ROUTE, rdma_ucm_query]", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 5},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_query"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_REJECT, rdma_ucm_reject]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_REJECT, rdma_ucm_reject]", TypeSize: 272}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 9},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_reject"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ADDR, rdma_ucm_resolve_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ADDR, rdma_ucm_resolve_addr]", TypeSize: 280}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 21},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_resolve_addr"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_IP, rdma_ucm_resolve_ip]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_IP, rdma_ucm_resolve_ip]", TypeSize: 72}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 3},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_resolve_ip"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ROUTE, rdma_ucm_resolve_route]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ROUTE, rdma_ucm_resolve_route]", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&StructType{Key: StructKey{Name: "rdma_ucm_resolve_route"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_SET_OPTION, rdma_ucm_set_option]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_SET_OPTION, rdma_ucm_set_option]", TypeSize: 32}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 4}}, Val: 14},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "in", TypeSize: 2}}, BitSize: 8, Buf: "msg"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "out", TypeSize: 2}}, Val: 64000},
		&UnionType{Key: StructKey{Name: "rdma_ucm_set_option"}, FldName: "msg"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_conn_param"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_conn_param", TypeSize: 272}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qp_num", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qkey", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "private_data", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "private_data_len", TypeSize: 1}}, Kind: 2, RangeEnd: 256},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "srq", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "responder_resources", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "initiator_depth", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flow_control", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "retry_count", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rnr_retry_count", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "valid", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "rdma_ucm_connect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_connect", TypeSize: 280}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rdma_ucm_conn_param"}, FldName: "conn_param"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_create_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_create_id", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uid", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_create_id_resp", Dir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rdma_port_space", FldName: "ps", TypeSize: 2}}, Vals: []uint64{2, 319, 262, 273}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ib_qp_type", FldName: "qp_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 4096, 4105}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 5}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
	}}},
	{Key: StructKey{Name: "rdma_ucm_create_id_resp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_create_id_resp", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_create_mcast_id_resp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_create_mcast_id_resp", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_mcast_id", FldName: "id", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_destroy_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_destroy_id", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_destroy_id_resp", Dir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_destroy_id_resp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_destroy_id_resp", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "events_reported", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_disconnect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_disconnect", TypeSize: 4}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_event_resp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_event_resp", TypeSize: 328, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uid", TypeSize: 8, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "id", TypeSize: 8, ArgDir: 1}}, Kind: 2, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 312}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "rdma_ucm_get_event"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_get_event", TypeSize: 8}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_event_resp", Dir: 1}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_init_qp_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_init_qp_attr", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 144, ArgDir: 1}, Kind: 1, RangeBegin: 144, RangeEnd: 144}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qp_state", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_join_ip_mcast"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_join_ip_mcast", TypeSize: 48}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_create_mcast_id_resp", Dir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uid", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "addr"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_join_mcast"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_join_mcast", TypeSize: 152}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_create_mcast_id_resp", Dir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uid", TypeSize: 8}}, Kind: 2, RangeEnd: 4},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockaddr_rdma_cm_lens", FldName: "addr_size", TypeSize: 2}}, Vals: []uint64{16, 28, 48}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rdma_ucm_join_mcast_flags", FldName: "join_flags", TypeSize: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&UnionType{Key: StructKey{Name: "sockaddr_rdma_cm"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_leave_mcast"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_leave_mcast", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_destroy_id_resp", Dir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_mcast_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_listen"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_listen", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "backlog", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_migrate_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_migrate_id", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_migrate_resp", Dir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_migrate_resp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_migrate_resp", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "events_reported", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_notify"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_notify", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ib_event_type", FldName: "event", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_query"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_query", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "response", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 512, ArgDir: 1}, Kind: 1, RangeBegin: 512, RangeEnd: 512}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rdma_ucm_query_options", FldName: "option", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rdma_ucm_reject"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_reject", TypeSize: 264}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "private_data_len", TypeSize: 1}}, Kind: 2, RangeEnd: 256},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "private_data", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}}},
	{Key: StructKey{Name: "rdma_ucm_resolve_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_resolve_addr", TypeSize: 272}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout_ms", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src_size", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "dst_size", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "sockaddr_rdma_cm"}, FldName: "src_addr"},
		&UnionType{Key: StructKey{Name: "sockaddr_rdma_cm"}, FldName: "dst_addr"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_resolve_ip"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_resolve_ip", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "src_addr"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "dst_addr"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout_ms", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_resolve_route"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_resolve_route", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout_ms", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "rdma_ucm_set_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_set_option", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_TOS, int8]"}, FldName: "id_tos"},
		&StructType{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_REUSEADDR, bool32]"}, FldName: "id_resuseaddr"},
		&StructType{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_AFONLY, bool32]"}, FldName: "id_afonly"},
		&StructType{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_IB, RDMA_OPTION_IB_PATH, array[ib_path_rec_data]]"}, FldName: "ib_path"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_IB, RDMA_OPTION_IB_PATH, array[ib_path_rec_data]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_set_option_t[RDMA_OPTION_IB, RDMA_OPTION_IB_PATH, array[ib_path_rec_data]]", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "optval", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "ib_path_rec_data"}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 4}}, Val: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 4}}, BitSize: 8, Buf: "optval"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_AFONLY, bool32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_AFONLY, bool32]", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 4}}, Val: 2},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 4}}, BitSize: 8, Buf: "optval"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_REUSEADDR, bool32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_REUSEADDR, bool32]", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 4}}, Val: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 4}}, BitSize: 8, Buf: "optval"},
	}}},
	{Key: StructKey{Name: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_TOS, int8]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rdma_ucm_set_option_t[RDMA_OPTION_ID, RDMA_OPTION_ID_TOS, int8]", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "rdma_cm_id", FldName: "id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 4}}, BitSize: 8, Buf: "optval"},
	}}},
	{Key: StructKey{Name: "rds_atomic_args"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_atomic_args", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rds_rdma_cookie_t"}, FldName: "cookie"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "local_addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "remote_addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "arg1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "arg2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask2", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_rdma_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "user_token", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "rds_free_mr_args"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_free_mr_args", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rds_rdma_cookie_t"}, FldName: "cookie"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_rdma_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rds_get_mr_args"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_get_mr_args", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rds_iovec"}, FldName: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cookie_addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_rdma_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rds_get_mr_for_dest_args"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_get_mr_for_dest_args", TypeSize: 160}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "sockaddr_storage"}, FldName: "dest_addr"},
		&StructType{Key: StructKey{Name: "rds_iovec"}, FldName: "vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cookie_addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_rdma_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rds_iovec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_iovec", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "bytes", TypeSize: 8}}, Buf: "addr"},
	}}},
	{Key: StructKey{Name: "rds_rdma_args"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_rdma_args", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "rds_rdma_cookie_t"}, FldName: "cookie"},
		&StructType{Key: StructKey{Name: "rds_iovec"}, FldName: "remote_vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "local_vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "rds_iovec"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr_local", TypeSize: 8}}, Buf: "local_vec"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_rdma_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "user_token", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "rds_rdma_cookie_t"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_rdma_cookie_t", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "off", TypeSize: 4}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "rds_rx_trace_so"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rds_rx_trace_so", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rx_traces", TypeSize: 1}}, Buf: "rx_trace_pos"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rx_trace_pos", IsVarlen: true}, Kind: 1, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "recv_mmsghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "recv_mmsghdr", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "recv_msghdr"}, FldName: "msg_hdr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg_len", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "recv_msghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "recv_msghdr", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_name", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_namelen", TypeSize: 4}}, Buf: "msg_name"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_iov", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_iovlen", TypeSize: 8}}, Buf: "msg_iov"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_control", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "msg_controllen", TypeSize: 8}}, BitSize: 8, Buf: "msg_control"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg_flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "reiserfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "reiserfs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tails_on", TypeSize: 8}, Kind: 2, Values: []string{"tails=on"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tails_off", TypeSize: 9}, Kind: 2, Values: []string{"tails=off"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tails_small", TypeSize: 11}, Kind: 2, Values: []string{"tails=small"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "notail", TypeSize: 6}, Kind: 2, Values: []string{"notail"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "conv", TypeSize: 4}, Kind: 2, Values: []string{"conv"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noattrs", TypeSize: 7}, Kind: 2, Values: []string{"noattrs"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "expose_privroot", TypeSize: 15}, Kind: 2, Values: []string{"expose_privroot"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "user_xattr", TypeSize: 10}, Kind: 2, Values: []string{"user_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nouser_xattr", TypeSize: 12}, Kind: 2, Values: []string{"nouser_xattr"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "acl", TypeSize: 3}, Kind: 2, Values: []string{"acl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noacl", TypeSize: 5}, Kind: 2, Values: []string{"noacl"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "replayonly", TypeSize: 10}, Kind: 2, Values: []string{"replayonly"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nolargeio", TypeSize: 9}, Kind: 2, Values: []string{"nolargeio"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrquota", TypeSize: 8}, Kind: 2, Values: []string{"usrquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpquota", TypeSize: 8}, Kind: 2, Values: []string{"grpquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrjquota", TypeSize: 9}, Kind: 2, Values: []string{"usrjquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrjquota_file", TypeSize: 13}, Kind: 2, Values: []string{"usrjquota=syz"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpjquota", TypeSize: 9}, Kind: 2, Values: []string{"grpjquota"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"commit\", fmt[hex, int32]]"}, FldName: "commit"},
		&StructType{Key: StructKey{Name: "fs_opt[\"resize\", fmt[hex, int32]]"}, FldName: "resize"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "resize_auto", TypeSize: 11}, Kind: 2, Values: []string{"resize=auto"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"jdev\", stringnoz[filename]]"}, FldName: "jdev"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsold", TypeSize: 12}, Kind: 2, Values: []string{"jqfmt=vfsold"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "jqfmt_vfsv0", TypeSize: 11}, Kind: 2, Values: []string{"jqfmt=vfsv0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hash_tea", TypeSize: 8}, Kind: 2, Values: []string{"hash=tea"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hash_rupasov", TypeSize: 12}, Kind: 2, Values: []string{"hash=rupasov"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "hash_r5", TypeSize: 7}, Kind: 2, Values: []string{"hash=r5"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_noborder", TypeSize: 24}, Kind: 2, Values: []string{"block-allocator=noborder"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_border", TypeSize: 22}, Kind: 2, Values: []string{"block-allocator=border"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_no_unhash_reloc", TypeSize: 38}, Kind: 2, Values: []string{"block-allocator=no_unhashed_relocation"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_hashed_reloc", TypeSize: 33}, Kind: 2, Values: []string{"block-allocator=hashed_relocation"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_test4", TypeSize: 21}, Kind: 2, Values: []string{"block-allocator=test4"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "balloc_notest4", TypeSize: 23}, Kind: 2, Values: []string{"block-allocator=notest4"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier_none", TypeSize: 12}, Kind: 2, Values: []string{"barrier=none"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier_flush", TypeSize: 13}, Kind: 2, Values: []string{"barrier=flush"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_ordered", TypeSize: 12}, Kind: 2, Values: []string{"data=ordered"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_journal", TypeSize: 12}, Kind: 2, Values: []string{"data=journal"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "data_writeback", TypeSize: 14}, Kind: 2, Values: []string{"data=writeback"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_continue", TypeSize: 15}, Kind: 2, Values: []string{"errors=continue"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "errors_ro_remount", TypeSize: 17}, Kind: 2, Values: []string{"errors=ro-remount"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "request_sense", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "request_sense", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "valid_err_code", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "segment_number", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ili_sense_key", TypeSize: 1, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "information", TypeSize: 4, ArgDir: 2}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "add_sense_len", TypeSize: 1, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "command_info", TypeSize: 4, ArgDir: 2}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "asc", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ascq", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fruc", TypeSize: 1, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sks", TypeSize: 3, ArgDir: 2}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "asb", TypeSize: 46, ArgDir: 2}, Kind: 1, RangeBegin: 46, RangeEnd: 46},
	}}},
	{Key: StructKey{Name: "rlimit"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rlimit", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "soft", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "hard", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "rlimit", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rlimit", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "soft", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "hard", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "rnd_entpropy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rnd_entpropy", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "entcnt", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 4}}, Buf: "pool"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pool", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "robust_list"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "robust_list", TypeSize: 8}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "next", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "robust_list"}}},
	}}},
	{Key: StructKey{Name: "robust_list_head"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "robust_list_head", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "robust_list"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "futex_offset", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list_op_pending", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "robust_list"}}},
	}}},
	{Key: StructKey{Name: "robust_list_head", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "robust_list_head", TypeSize: 24, ArgDir: 1}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "robust_list"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "futex_offset", TypeSize: 8, ArgDir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list_op_pending", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "robust_list"}}},
	}}},
	{Key: StructKey{Name: "rtc_pll_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_pll_info", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_ctrl", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_value", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_posmult", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_negmult", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pll_clock", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "rtc_pll_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_pll_info", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_ctrl", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_value", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_max", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_min", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_posmult", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pll_negmult", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pll_clock", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "rtc_time"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_time", TypeSize: 36}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_sec", TypeSize: 4}}, Kind: 2, RangeEnd: 60},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_min", TypeSize: 4}}, Kind: 2, RangeEnd: 59},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_hour", TypeSize: 4}}, Kind: 2, RangeEnd: 23},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_mday", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_mon", TypeSize: 4}}, Kind: 2, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_year", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_wday", TypeSize: 4}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_yday", TypeSize: 4}}, Kind: 2, RangeEnd: 365},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtc_isdst", FldName: "tm_isdst", TypeSize: 4}}, Vals: []uint64{0, 1, 18446744073709551615}},
	}}},
	{Key: StructKey{Name: "rtc_time", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_time", TypeSize: 36, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_sec", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 60},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_min", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 59},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_hour", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 23},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_mday", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeBegin: 1, RangeEnd: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_mon", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_year", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_wday", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tm_yday", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 365},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtc_isdst", FldName: "tm_isdst", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 18446744073709551615}},
	}}},
	{Key: StructKey{Name: "rtc_wkalrm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_wkalrm", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "enabled", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pending", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&StructType{Key: StructKey{Name: "rtc_time"}, FldName: "time"},
	}}},
	{Key: StructKey{Name: "rtc_wkalrm", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtc_wkalrm", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "enabled", TypeSize: 1, ArgDir: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pending", TypeSize: 1, ArgDir: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&StructType{Key: StructKey{Name: "rtc_time", Dir: 1}, FldName: "time"},
	}}},
	{Key: StructKey{Name: "rtentry_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtentry_in", TypeSize: 120}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rt_pad1", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "rt_dst"},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "rt_gateway"},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "rt_genmask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_flags", FldName: "rt_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rt_pad2", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rt_pad3", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "rt_pad4", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rt_metric", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rt_dev", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rt_mtu", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "rt_window", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rt_irtt", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "rtgenmsg[AF_INET6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtgenmsg[AF_INET6]", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtgen_family", TypeSize: 1}}, Val: 10},
	}}},
	{Key: StructKey{Name: "rtgenmsg[AF_UNSPEC]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtgenmsg[AF_UNSPEC]", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtgen_family", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "rtm_ipv4_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtm_ipv4_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ipv4_addr]"}, FldName: "RTA_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_SRC, int16], ipv4_addr]"}, FldName: "RTA_SRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ifindex]"}, FldName: "RTA_IIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_OIF, int16], ifindex]"}, FldName: "RTA_OIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_GATEWAY, int16], ipv4_addr]"}, FldName: "RTA_GATEWAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_PRIORITY, int16], int32]"}, FldName: "RTA_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_PREFSRC, int16], ipv4_addr]"}, FldName: "RTA_PREFSRC"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_METRICS, int16], array[int8]]"}, FldName: "RTA_METRICS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_MULTIPATH, int16], rtnexthop]"}, FldName: "RTA_MULTIPATH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_FLOW, int16], int32]"}, FldName: "RTA_FLOW"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP_TYPE, int16], flags[lwtunnel_encap_types, int16]]"}, FldName: "RTA_ENCAP_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP, int16], nl_generic_attr]"}, FldName: "RTA_ENCAP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_UID, int16], uid]"}, FldName: "RTA_UID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_MARK, int16], int32]"}, FldName: "RTA_MARK"},
	}}},
	{Key: StructKey{Name: "rtm_ipv6_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtm_ipv6_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_GATEWAY, int16], ipv6_addr]"}, FldName: "RTA_GATEWAY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], ifindex]"}, FldName: "RTA_IIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_OIF, int16], ifindex]"}, FldName: "RTA_OIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_PRIORITY, int16], int32]"}, FldName: "RTA_PRIORITY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_METRICS, int16], array[int8]]"}, FldName: "RTA_METRICS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_MULTIPATH, int16], rtnexthop]"}, FldName: "RTA_MULTIPATH"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_PREF, int16], int8]"}, FldName: "RTA_PREF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP_TYPE, int16], flags[lwtunnel_encap_types, int16]]"}, FldName: "RTA_ENCAP_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_ENCAP, int16], nl_generic_attr]"}, FldName: "RTA_ENCAP"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_MARK, int16], int32]"}, FldName: "RTA_EXPIRES"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_UID, int16], uid]"}, FldName: "RTA_UID"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_MARK, int16], int32]"}, FldName: "RTA_MARK"},
	}}},
	{Key: StructKey{Name: "rtm_mpls_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtm_mpls_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_DST, int16], array[mpls_label]]"}, FldName: "RTA_DST"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_OIF, int16], ifindex]"}, FldName: "RTA_OIF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[RTA_TTL_PROPAGATE, int16], int8]"}, FldName: "RTA_TTL_PROPAGATE"},
	}}},
	{Key: StructKey{Name: "rtmsg[AF_INET6]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtmsg[AF_INET6]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtm_family", TypeSize: 1}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtm_dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtmsrcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtm_tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_table_types", FldName: "rtm_table", TypeSize: 1}}, Vals: []uint64{0, 252, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_protocol", FldName: "rtm_protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "rtm_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_type", FldName: "rtm_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_flags", FldName: "rtm_flags", TypeSize: 4}}, Vals: []uint64{256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rtmsg[AF_INET]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtmsg[AF_INET]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtm_family", TypeSize: 1}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtm_dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtmsrcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtm_tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_table_types", FldName: "rtm_table", TypeSize: 1}}, Vals: []uint64{0, 252, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_protocol", FldName: "rtm_protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "rtm_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_type", FldName: "rtm_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_flags", FldName: "rtm_flags", TypeSize: 4}}, Vals: []uint64{256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rtmsg[AF_MPLS]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtmsg[AF_MPLS]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtm_family", TypeSize: 1}}, Val: 28},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtm_dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtmsrcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtm_tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_table_types", FldName: "rtm_table", TypeSize: 1}}, Vals: []uint64{0, 252, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_protocol", FldName: "rtm_protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "rtm_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_type", FldName: "rtm_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_flags", FldName: "rtm_flags", TypeSize: 4}}, Vals: []uint64{256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rtmsg[RTNL_FAMILY_IPMR]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtmsg[RTNL_FAMILY_IPMR]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rtm_family", TypeSize: 1}}, Val: 128},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtm_dst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_addr_len", FldName: "rtmsrcdst_len", TypeSize: 1}}, Vals: []uint64{0, 16, 20, 32, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtm_tos", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_table_types", FldName: "rtm_table", TypeSize: 1}}, Vals: []uint64{0, 252, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_protocol", FldName: "rtm_protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rt_scope_t", FldName: "rtm_scope", TypeSize: 1}}, Vals: []uint64{0, 200, 253, 254, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_type", FldName: "rtm_type", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rtm_flags", FldName: "rtm_flags", TypeSize: 4}}, Vals: []uint64{256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "rtnexthop"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtnexthop", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rtnh_len", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtnh_flags", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtnh_hops", TypeSize: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "rtnh_ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "rtnl_link_ifmap"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rtnl_link_ifmap", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mem_start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mem_end", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "base_addr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "irq", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dma", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "rusage", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "rusage", TypeSize: 144, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "timeval", Dir: 1}, FldName: "utime"},
		&StructType{Key: StructKey{Name: "timeval", Dir: 1}, FldName: "stime"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxrss", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ixrss", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "idrss", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "isrss", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "minflt", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "majflt", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nswap", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "inblock", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "oublock", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "msgsnd", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "msgrcv", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "signals", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nvcsw", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nivcsw", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sadb_address"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_address", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_address_type", FldName: "sadb_exttype", TypeSize: 2}}, Vals: []uint64{5, 6, 7, 23}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "sadb_address_proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_prefixlens", FldName: "sadb_address_prefixlen", TypeSize: 1}}, Vals: []uint64{32, 128}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_address_reserved", TypeSize: 2}}},
		&UnionType{Key: StructKey{Name: "sadb_address_addr"}, FldName: "addr"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_address_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_address_addr", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sadb_ext_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_ext_hdr", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sadb_sa"}, FldName: "sadb_sa"},
		&StructType{Key: StructKey{Name: "sadb_lifetime"}, FldName: "sadb_lifetime"},
		&StructType{Key: StructKey{Name: "sadb_address"}, FldName: "sadb_address"},
		&StructType{Key: StructKey{Name: "sadb_key"}, FldName: "sadb_key"},
		&StructType{Key: StructKey{Name: "sadb_ident"}, FldName: "sadb_ident"},
		&StructType{Key: StructKey{Name: "sadb_spirange"}, FldName: "sadb_spirange"},
		&StructType{Key: StructKey{Name: "sadb_x_policy"}, FldName: "sadb_x_policy"},
		&StructType{Key: StructKey{Name: "sadb_x_sa2"}, FldName: "sadb_x_sa2"},
		&StructType{Key: StructKey{Name: "sadb_x_nat_t_type"}, FldName: "sadb_x_nat_t_type"},
		&StructType{Key: StructKey{Name: "sadb_x_nat_t_port"}, FldName: "sadb_x_nat_t_port"},
		&StructType{Key: StructKey{Name: "sadb_x_sec_ctx"}, FldName: "sadb_x_sec_ctx"},
		&StructType{Key: StructKey{Name: "sadb_x_kmaddress"}, FldName: "sadb_x_kmaddress"},
		&StructType{Key: StructKey{Name: "sadb_x_filter"}, FldName: "sadb_x_filter"},
	}}},
	{Key: StructKey{Name: "sadb_filter_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_filter_addr", TypeSize: 16}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "in"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sadb_ident"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_ident", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_ident_type", FldName: "sadb_exttype", TypeSize: 2}}, Vals: []uint64{10, 11}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sadb_ident_type", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_ident_reserved", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sadb_ident_id", TypeSize: 8}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_key"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_key", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_key_type", FldName: "sadb_exttype", TypeSize: 2}}, Vals: []uint64{8, 9}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "sadb_key_bits", TypeSize: 2}}, BitSize: 1, Buf: "key"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_key_reserved", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "key", IsVarlen: true}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_lifetime"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_lifetime", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_lifetime_type", FldName: "sadb_exttype", TypeSize: 2}}, Vals: []uint64{2, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_lifetime_allocations", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sadb_lifetime_bytes", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sadb_lifetime_addtime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sadb_lifetime_usetime", TypeSize: 8}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_msg", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_msg_version", TypeSize: 1}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_msg_type", TypeSize: 1}}, Kind: 2, RangeEnd: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_msg_errno", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_satype", FldName: "sadb_msg_satype", TypeSize: 1}}, Vals: []uint64{0, 2, 3, 5, 6, 7, 8, 9, 9}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_msg_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_msg_reserved", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_msg_seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_msg_pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ext_headers", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sadb_ext_hdr"}}},
	}}},
	{Key: StructKey{Name: "sadb_sa"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_sa", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sadb_sa_spi", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_sa_replay", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_sa_state", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_sa_auth", TypeSize: 1}}, Kind: 2, RangeEnd: 251},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_sa_encrypt", TypeSize: 1}}, Kind: 2, RangeEnd: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_sa_flags", FldName: "sadb_sa_flags", TypeSize: 4}}, Vals: []uint64{1, 536870912, 1073741824, 2147483648}, BitMask: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_spirange"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_spirange", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sadb_spirange_min", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sadb_spirange_max", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_spirange_reserved", TypeSize: 4}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_filter", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 26},
		&UnionType{Key: StructKey{Name: "sadb_filter_addr"}, FldName: "sadb_x_filter_saddr"},
		&UnionType{Key: StructKey{Name: "sadb_filter_addr"}, FldName: "sadb_x_filter_daddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "sadb_x_filter_family", TypeSize: 2}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_filter_addr_len", FldName: "sadb_x_filter_splen", TypeSize: 1}}, Vals: []uint64{4, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_filter_addr_len", FldName: "sadb_x_filter_dplen", TypeSize: 1}}, Vals: []uint64{4, 16}, BitMask: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_ipsecrequest"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_ipsecrequest", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_x_ipsecrequest_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "sadb_x_ipsecrequest_proto", TypeSize: 2}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_ipsecrequest_mode", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_ipsecrequest_level", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_ipsecrequest_reserved1", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_x_ipsecrequest_reqid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_ipsecrequest_reserved2", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "sadb_filter_addr"}, FldName: "saddr"},
		&UnionType{Key: StructKey{Name: "sadb_filter_addr"}, FldName: "daddr"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_kmaddress"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_kmaddress", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 25},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_kmaddress_reserved", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "sadb_address_addr"}, FldName: "src"},
		&UnionType{Key: StructKey{Name: "sadb_address_addr"}, FldName: "dst"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_nat_t_port"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_nat_t_port", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sadb_nat_port_type", FldName: "sadb_exttype", TypeSize: 2}}, Vals: []uint64{21, 22}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sadb_x_nat_t_port_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_nat_t_port_reserved", TypeSize: 2}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_nat_t_type"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_nat_t_type", TypeSize: 8}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 20},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_nat_t_type_type", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sadb_x_nat_t_type_reserved", TypeSize: 3}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_policy", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 18},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sadb_x_policy_type", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipsec_policy_dir", FldName: "sadb_x_policy_dir", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_policy_reserved", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_x_policy_id", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 7236528, RangeEnd: 7236544},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_x_policy_priority", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "sadb_x_ipsecrequest"}, FldName: "policy"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_sa2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_sa2", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 19},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_sa2_mode", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_sa2_reserved1", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_x_sa2_reserved2", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_x_sa2_sequence", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sadb_x_sa2_reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sadb_x_sec_ctx"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sadb_x_sec_ctx", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize8", FldName: "sadb_len", TypeSize: 2}}, BitSize: 64, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sadb_exttype", TypeSize: 2}}, Val: 24},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_ctx_alg", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sadb_x_ctx_doi", TypeSize: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "sadb_x_ctx_len", TypeSize: 2}}, BitSize: 8, Buf: "ctx"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ctx", IsVarlen: true}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sched_attr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sched_attr", TypeSize: 48}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_size", FldName: "size", TypeSize: 4}}, Vals: []uint64{48}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_policy", FldName: "policy", TypeSize: 4}}, Vals: []uint64{0, 3, 5, 1, 2, 6}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_flags2", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nice", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prio", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "runtime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "deadlin", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "period", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "sched_attr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sched_attr", TypeSize: 48, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_size", FldName: "size", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{48}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_policy", FldName: "policy", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 3, 5, 1, 2, 6}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_flags2", FldName: "flags", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nice", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prio", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "runtime", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "deadlin", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "period", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "scsi_idlun", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "scsi_idlun", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_id", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "host_unique_id", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "scsi_ioctl_command"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "scsi_ioctl_command", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "inlen", TypeSize: 4}}, Buf: "data"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "outlen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "opcode", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "scsi_ioctl_probe_host_out_buffer", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "scsi_ioctl_probe_host_out_buffer", ArgDir: 1, IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 4, ArgDir: 1}}, BitSize: 8, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", ArgDir: 1, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "sctp6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "sctp_add_streams"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_add_streams", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sas_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sas_instrms", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sas_outstrms", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_assoc_ids", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assoc_ids", ArgDir: 1, IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "gaids_number_of_ids", TypeSize: 4, ArgDir: 1}}, Buf: "gaids_assoc_id"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gaids_assoc_id", ArgDir: 1, IsVarlen: true}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_assoc_stats", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assoc_stats", TypeSize: 256, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sas_assoc_id", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, FldName: "sas_obs_rto_ipaddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "status", TypeSize: 120, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}, Kind: 1, RangeBegin: 15, RangeEnd: 15},
	}}},
	{Key: StructKey{Name: "sctp_assoc_value"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assoc_value", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "assoc_value", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_assoc_value", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assoc_value", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "assoc_value", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assoc_value", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "assoc_value", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_assocparams"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assocparams", TypeSize: 20}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sasoc_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sasoc_asocmaxrxt", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sasoc_number_peer_dest", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_peer_rwnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_local_rwnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_cookie_life", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_assocparams", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_assocparams", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sasoc_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sasoc_asocmaxrxt", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sasoc_number_peer_dest", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_peer_rwnd", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_local_rwnd", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sasoc_cookie_life", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_authchunk"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authchunk", TypeSize: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sauth_chunk", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_authchunks", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authchunks", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "gauth_assoc_id", TypeSize: 4, ArgDir: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "gauth_number_of_chunks", TypeSize: 4, ArgDir: 2}}, Buf: "gauth_chunks"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "gauth_chunks", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "sctp_authinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authinfo", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "auth_keynumber", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_authkey"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authkey", IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sca_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sca_keynumber", TypeSize: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sca_keylength", TypeSize: 2}}, Buf: "sca_key"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sca_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "sctp_authkeyid"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authkeyid", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "scact_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "scact_keynumber", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_authkeyid", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_authkeyid", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "scact_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "scact_keynumber", TypeSize: 2, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_default_prinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_default_prinfo", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "pr_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pr_value", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_pr_policies", FldName: "pr_policy", TypeSize: 2}}, Vals: []uint64{0, 16, 32, 48}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_default_prinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_default_prinfo", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "pr_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pr_value", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_pr_policies", FldName: "pr_policy", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{0, 16, 32, 48}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_delayed_sack"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_delayed_sack", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sctp_sack_info"}, FldName: "sack_info"},
		&StructType{Key: StructKey{Name: "sctp_assoc_value"}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_delayed_sack", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_delayed_sack", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sctp_sack_info", Dir: 2}, FldName: "sack_info"},
		&StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_event_subscribe"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_event_subscribe", TypeSize: 11}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_data_io_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_association_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_address_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_send_failure_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_peer_error_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_shutdown_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_partial_delivery_e", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_adaptation_layer_e", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_authentication_e", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_sender_dry_event", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_stream_reset_event", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_event_subscribe", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_event_subscribe", TypeSize: 11, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_data_io_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_association_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_address_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_send_failure_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_peer_error_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_shutdown_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_partial_delivery_e", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_adaptation_layer_e", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_authentication_e", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_sender_dry_event", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sctp_stream_reset_event", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_getaddrs", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_getaddrs", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addr_num", TypeSize: 4, ArgDir: 2}}, Buf: "addrs"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "addrs", ArgDir: 2, IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "sctp_getaddrs_old", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_getaddrs_old", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "addr_num", TypeSize: 4, ArgDir: 2}}, BitSize: 8, Buf: "addrs"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrs", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
	}}},
	{Key: StructKey{Name: "sctp_hmacalgo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_hmacalgo", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "shmac_num_idents", TypeSize: 4}}, Buf: "shmac_idents"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "shmac_idents", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
	}}},
	{Key: StructKey{Name: "sctp_hmacalgo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_hmacalgo", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "shmac_num_idents", TypeSize: 4, ArgDir: 2}}, Buf: "shmac_idents"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "shmac_idents", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "sctp_initmsg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_initmsg", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_num_ostreams", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_instreams", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_attempts", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_init_timeo", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_initmsg", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_initmsg", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_num_ostreams", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_instreams", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_attempts", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinit_max_init_timeo", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_max_burst"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_max_burst", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "int", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "sctp_assoc_value"}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_max_burst", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_max_burst", ArgDir: 1, IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "int", TypeSize: 4, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 1}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_maxseg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_maxseg", IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4}},
		&StructType{Key: StructKey{Name: "sctp_assoc_value"}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_maxseg", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_maxseg", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 2}},
		&StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}, FldName: "assoc_value"},
	}}},
	{Key: StructKey{Name: "sctp_paddrinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_paddrinfo", TypeSize: 152, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "spinfo_assoc_id", TypeSize: 4, ArgDir: 2}},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, FldName: "spinfo_address"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spinfo_state", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spinfo_cwnd", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spinfo_srtt", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spinfo_rto", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spinfo_mtu", TypeSize: 4, ArgDir: 2}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "sctp_paddrparams"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_paddrparams", TypeSize: 152}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "spp_assoc_id", TypeSize: 4}},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp"}, FldName: "spp_address"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_hbinterval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spp_pathmaxrxt", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_pathmtu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_sackdelay", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_spp_flags", FldName: "spp_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 128, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "sctp_paddrparams", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_paddrparams", TypeSize: 152, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "spp_assoc_id", TypeSize: 4, ArgDir: 2}},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, FldName: "spp_address"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_hbinterval", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spp_pathmaxrxt", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_pathmtu", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spp_sackdelay", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_spp_flags", FldName: "spp_flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 128, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "sctp_paddrthlds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_paddrthlds", TypeSize: 144}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "spt_assoc_id", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp"}, FldName: "spt_address"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spt_pathmaxrxt", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spt_pathpfthld", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_paddrthlds", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_paddrthlds", TypeSize: 144, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "spt_assoc_id", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, FldName: "spt_address"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spt_pathmaxrxt", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "spt_pathpfthld", TypeSize: 2, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sctp_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "sctp_peeloff_arg_t", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_peeloff_arg_t", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sd", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_prim"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_prim", TypeSize: 132}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "ssp_assoc_id", TypeSize: 4}},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp"}, FldName: "ssp_addr"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "sctp_prim", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_prim", TypeSize: 132, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "ssp_assoc_id", TypeSize: 4, ArgDir: 2}},
		&UnionType{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, FldName: "ssp_addr"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "sctp_prinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_prinfo", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_pr_policies", FldName: "pr_policy", TypeSize: 2}}, Vals: []uint64{0, 16, 32, 48}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pr_value", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_prstatus", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_prstatus", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sprstat_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sprstat_sid", TypeSize: 2, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_pr_policies", FldName: "sprstat_policy", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{0, 16, 32, 48}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sprstat_abandoned_uns", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sprstat_abandoned_sent", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_reset_streams"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_reset_streams", IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srs_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "srs_flags", TypeSize: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "srs_number_streams", TypeSize: 2}}, Buf: "srs_stream_list"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "srs_stream_list", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
	}}},
	{Key: StructKey{Name: "sctp_reset_streams", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_reset_streams", ArgDir: 2, IsVarlen: true}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srs_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "srs_flags", TypeSize: 2, ArgDir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "srs_number_streams", TypeSize: 2, ArgDir: 2}}, Buf: "srs_stream_list"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "srs_stream_list", ArgDir: 2, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "sctp_rtoinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_rtoinfo", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srto_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_initial", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_min", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_rtoinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_rtoinfo", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srto_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_initial", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_max", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "srto_min", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_sack_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sack_info", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sack_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sack_delay", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sack_freq", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_sack_info", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sack_info", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sack_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sack_delay", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sack_freq", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_setadaptation"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_setadaptation", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ssb_adaptation_ind", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sctp_setadaptation", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_setadaptation", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ssb_adaptation_ind", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sctp_sndinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sndinfo", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "snd_sid", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_sndrcv_flags", FldName: "snd_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 32768, 512}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_ppid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_context", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "snd_assoc_id", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "sctp_sndinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sndinfo", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "snd_sid", TypeSize: 2, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_sndrcv_flags", FldName: "snd_flags", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 32768, 512}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_ppid", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_context", TypeSize: 4, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "snd_assoc_id", TypeSize: 4, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "sctp_sndrcvinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sndrcvinfo", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinfo_stream", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinfo_ssn", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_sndrcv_flags", FldName: "sinfo_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 32768, 512}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_ppid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_context", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_timetolive", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_tsn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_cumtsn", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sinfo_assoc_id", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "sctp_sndrcvinfo", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_sndrcvinfo", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinfo_stream", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sinfo_ssn", TypeSize: 2, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_sndrcv_flags", FldName: "sinfo_flags", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 32768, 512}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_ppid", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_context", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_timetolive", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_tsn", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sinfo_cumtsn", TypeSize: 4, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sinfo_assoc_id", TypeSize: 4, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "sctp_status", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_status", TypeSize: 176, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "sstat_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sstat_state", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sstat_rwnd", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sstat_unackdata", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sstat_penddata", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sstat_instrms", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "sstat_outstrms", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sstat_fragmentation_p", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "sctp_paddrinfo", Dir: 2}, FldName: "sstat_primary"},
	}}},
	{Key: StructKey{Name: "sctp_stream_value"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_stream_value", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srs_assoc_id", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "stream_id", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "stream_value", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "sctp_stream_value", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sctp_stream_value", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", FldName: "srs_assoc_id", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "stream_id", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "stream_value", TypeSize: 2, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "seccomp_metadata"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "seccomp_metadata", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "filter_off", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "selinux_access_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_access_req", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "scon", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0", "system_u:object_r:admin_passwd_exec_t:s0", "system_u:object_r:agp_device_t:s0", "system_u:object_r:anacron_exec_t:s0", "system_u:object_r:apm_bios_t:s0", "system_u:object_r:apt_exec_t:s0", "system_u:object_r:apt_lock_t:s0", "system_u:object_r:apt_var_cache_t:s0", "system_u:object_r:apt_var_lib_t:s0", "system_u:object_r:apt_var_log_t:s0", "system_u:object_r:audisp_exec_t:s0", "system_u:object_r:audisp_remote_exec_t:s0", "system_u:object_r:audisp_var_run_t:s0", "system_u:object_r:auditctl_exec_t:s0", "system_u:object_r:auditd_etc_t:s0", "system_u:object_r:auditd_exec_t:s0", "system_u:object_r:auditd_initrc_exec_t:s0", "system_u:object_r:auditd_log_t:s0", "system_u:object_r:auditd_unit_file_t:s0", "system_u:object_r:auditd_var_run_t:s0", "system_u:object_r:audit_spool_t:s0", "system_u:object_r:auth_cache_t:s0", "system_u:object_r:autofs_device_t:s0", "system_u:object_r:bin_t:s0", "system_u:object_r:boot_t:s0", "system_u:object_r:bsdpty_device_t:s0", "system_u:object_r:cert_t:s0", "system_u:object_r:cgroup_t:s0", "system_u:object_r:checkpolicy_exec_t:s0", "system_u:object_r:chfn_exec_t:s0", "system_u:object_r:chkpwd_exec_t:s0", "system_u:object_r:clock_device_t:s0", "system_u:object_r:console_device_t:s0", "system_u:object_r:cpu_device_t:s0", "system_u:object_r:cpu_online_t:s0", "system_u:object_r:crack_db_t:s0", "system_u:object_r:crack_exec_t:s0", "system_u:object_r:crash_device_t:s0", "system_u:object_r:crond_exec_t:s0", "system_u:object_r:crond_initrc_exec_t:s0", "system_u:object_r:crond_unit_file_t:s0", "system_u:object_r:crond_var_run_t:s0", "system_u:object_r:cron_log_t:s0", "system_u:object_r:cron_spool_t:s0", "system_u:object_r:crontab_exec_t:s0", "system_u:object_r:crypt_device_t:s0", "system_u:object_r:dbusd_etc_t:s0", "system_u:object_r:dbusd_exec_t:s0", "system_u:object_r:default_context_t:s0", "system_u:object_r:default_t:s0", "system_u:object_r:depmod_exec_t:s0", "system_u:object_r:devicekit_disk_exec_t:s0", "system_u:object_r:devicekit_exec_t:s0", "system_u:object_r:devicekit_power_exec_t:s0", "system_u:object_r:devicekit_var_lib_t:s0", "system_u:object_r:devicekit_var_run_t:s0", "system_u:object_r:device_t:s0", "system_u:object_r:devlog_t:s0", "system_u:object_r:devpts_t:s0", "system_u:object_r:devtty_t:s0", "system_u:object_r:dhcpc_exec_t:s0", "system_u:object_r:dhcpc_state_t:s0", "system_u:object_r:dhcpc_var_run_t:s0", "system_u:object_r:dhcpd_exec_t:s0", "system_u:object_r:dhcpd_initrc_exec_t:s0", "system_u:object_r:dhcpd_state_t:s0", "system_u:object_r:dhcpd_unit_file_t:s0", "system_u:object_r:dhcpd_var_run_t:s0", "system_u:object_r:dhcp_etc_t:s0", "system_u:object_r:dhcp_state_t:s0", "system_u:object_r:dlm_control_device_t:s0", "system_u:object_r:dmesg_exec_t:s0", "system_u:object_r:dmidecode_exec_t:s0", "system_u:object_r:dpkg_exec_t:s0", "system_u:object_r:dpkg_lock_t:s0", "system_u:object_r:dpkg_var_lib_t:s0", "system_u:object_r:dri_device_t:s0", "system_u:object_r:etc_aliases_t:s0", "system_u:object_r:etc_mail_t:s0", "system_u:object_r:etc_runtime_t:s0", "system_u:object_r:etc_t:s0", "system_u:object_r:event_device_t:s0", "system_u:object_r:faillog_t:s0", "system_u:object_r:file_context_t:s0", "system_u:object_r:fixed_disk_device_t:s0", "system_u:object_r:fonts_cache_t:s0", "system_u:object_r:fonts_t:s0", "system_u:object_r:framebuf_device_t:s0", "system_u:object_r:fsadm_exec_t:s0", "system_u:object_r:fsadm_log_t:s0", "system_u:object_r:fuse_device_t:s0", "system_u:object_r:getty_etc_t:s0", "system_u:object_r:getty_exec_t:s0", "system_u:object_r:getty_log_t:s0", "system_u:object_r:getty_var_run_t:s0", "system_u:object_r:gpg_agent_exec_t:s0", "system_u:object_r:gpg_exec_t:s0", "system_u:object_r:gpg_helper_exec_t:s0", "system_u:object_r:groupadd_exec_t:s0", "system_u:object_r:hald_acl_exec_t:s0", "system_u:object_r:hald_cache_t:s0", "system_u:object_r:hald_dccm_exec_t:s0", "system_u:object_r:hald_exec_t:s0", "system_u:object_r:hald_keymap_exec_t:s0", "system_u:object_r:hald_log_t:s0", "system_u:object_r:hald_mac_exec_t:s0", "system_u:object_r:hald_sonypic_exec_t:s0", "system_u:object_r:hald_var_lib_t:s0", "system_u:object_r:hald_var_run_t:s0", "system_u:object_r:hostname_exec_t:s0", "system_u:object_r:hugetlbfs_t:s0", "system_u:object_r:hwclock_exec_t:s0", "system_u:object_r:hwdata_t:s0", "system_u:object_r:ifconfig_exec_t:s0", "system_u:object_r:inetd_child_exec_t:s0", "system_u:object_r:inetd_exec_t:s0", "system_u:object_r:inetd_log_t:s0", "system_u:object_r:inetd_var_run_t:s0", "system_u:object_r:initctl_t:s0", "system_u:object_r:init_exec_t:s0", "system_u:object_r:initrc_exec_t:s0", "system_u:object_r:initrc_var_run_t:s0", "system_u:object_r:init_var_run_t:s0", "system_u:object_r:insmod_exec_t:s0", "system_u:object_r:ipmi_device_t:s0", "system_u:object_r:iptables_conf_t:s0", "system_u:object_r:iptables_exec_t:s0", "system_u:object_r:iptables_initrc_exec_t:s0", "system_u:object_r:iptables_unit_file_t:s0", "system_u:object_r:klogd_exec_t:s0", "system_u:object_r:klogd_var_run_t:s0", "system_u:object_r:kmsg_device_t:s0", "system_u:object_r:ksm_device_t:s0", "system_u:object_r:kvm_device_t:s0", "system_u:object_r:lastlog_t:s0", "system_u:object_r:ldconfig_cache_t:s0", "system_u:object_r:ldconfig_exec_t:s0", "system_u:object_r:ld_so_cache_t:s0", "system_u:object_r:ld_so_t:s0", "system_u:object_r:lib_t:s0", "system_u:object_r:lirc_device_t:s0", "system_u:object_r:load_policy_exec_t:s0", "system_u:object_r:locale_t:s0", "system_u:object_r:login_exec_t:s0", "system_u:object_r:logrotate_exec_t:s0", "system_u:object_r:logrotate_var_lib_t:s0", "system_u:object_r:lost_found_t:s0", "system_u:object_r:lvm_control_t:s0", "system_u:object_r:mail_spool_t:s0", "system_u:object_r:man_t:s0", "system_u:object_r:memory_device_t:s0", "system_u:object_r:mnt_t:s0", "system_u:object_r:modem_device_t:s0", "system_u:object_r:modules_conf_t:s0", "system_u:object_r:modules_dep_t:s0", "system_u:object_r:modules_object_t:s0", "system_u:object_r:mount_exec_t:s0", "system_u:object_r:mount_tmp_t:s0", "system_u:object_r:mouse_device_t:s0", "system_u:object_r:mqueue_spool_t:s0", "system_u:object_r:mtrr_device_t:s0", "system_u:object_r:net_conf_t:s0", "system_u:object_r:netcontrol_device_t:s0", "system_u:object_r:netlabel_mgmt_exec_t:s0", "system_u:object_r:netutils_exec_t:s0", "system_u:object_r:newrole_exec_t:s0", "system_u:object_r:null_device_t:s0", "system_u:object_r:nvram_device_t:s0", "system_u:object_r:pam_console_exec_t:s0", "system_u:object_r:pam_exec_t:s0", "system_u:object_r:pam_var_run_t:s0", "system_u:object_r:passwd_exec_t:s0", "system_u:object_r:pinentry_exec_t:s0", "system_u:object_r:ping_exec_t:s0", "system_u:object_r:policy_config_t:s0", "system_u:object_r:policy_src_t:s0", "system_u:object_r:power_device_t:s0", "system_u:object_r:ppp_device_t:s0", "system_u:object_r:printer_device_t:s0", "system_u:object_r:ptchown_exec_t:s0", "system_u:object_r:ptmx_t:s0", "system_u:object_r:public_content_rw_t:s0", "system_u:object_r:public_content_t:s0", "system_u:object_r:qemu_device_t:s0", "system_u:object_r:random_device_t:s0", "system_u:object_r:removable_device_t:s0", "system_u:object_r:restorecond_exec_t:s0", "system_u:object_r:restorecond_var_run_t:s0", "system_u:object_r:root_t:s0", "system_u:object_r:run_init_exec_t:s0", "system_u:object_r:scanner_device_t:s0", "system_u:object_r:scsi_generic_device_t:s0", "system_u:object_r:selinux_config_t:s0", "system_u:object_r:semanage_exec_t:s0", "system_u:object_r:semanage_read_lock_t:s0", "system_u:object_r:semanage_store_t:s0", "system_u:object_r:semanage_trans_lock_t:s0", "system_u:object_r:sendmail_exec_t:s0", "system_u:object_r:setfiles_exec_t:s0", "system_u:object_r:setrans_exec_t:s0", "system_u:object_r:setrans_initrc_exec_t:s0", "system_u:object_r:setrans_var_run_t:s0", "system_u:object_r:shadow_t:s0", "system_u:object_r:shell_exec_t:s0", "system_u:object_r:smartcard_device_t:s0", "system_u:object_r:sound_device_t:s0", "system_u:object_r:src_t:s0", "system_u:object_r:ssh_agent_exec_t:s0", "system_u:object_r:sshd_exec_t:s0", "system_u:object_r:sshd_key_t:s0", "system_u:object_r:sshd_var_run_t:s0", "system_u:object_r:ssh_exec_t:s0", "system_u:object_r:ssh_keygen_exec_t:s0", "system_u:object_r:ssh_keysign_exec_t:s0", "system_u:object_r:sudo_exec_t:s0", "system_u:object_r:su_exec_t:s0", "system_u:object_r:sulogin_exec_t:s0", "system_u:object_r:sysfs_t:s0", "system_u:object_r:syslog_conf_t:s0", "system_u:object_r:syslogd_exec_t:s0", "system_u:object_r:syslogd_initrc_exec_t:s0", "system_u:object_r:syslogd_var_lib_t:s0", "system_u:object_r:syslogd_var_run_t:s0", "system_u:object_r:system_cron_spool_t:s0", "system_u:object_r:system_dbusd_var_lib_t:s0", "system_u:object_r:system_dbusd_var_run_t:s0", "system_u:object_r:systemd_logger_exec_t:s0", "system_u:object_r:systemd_logind_exec_t:s0", "system_u:object_r:systemd_logind_sessions_t:s0", "system_u:object_r:systemd_logind_var_run_t:s0", "system_u:object_r:systemd_notify_exec_t:s0", "system_u:object_r:systemd_passwd_agent_exec_t:s0", "system_u:object_r:systemd_passwd_var_run_t:s0", "system_u:object_r:systemd_systemctl_exec_t:s0", "system_u:object_r:systemd_tmpfiles_exec_t:s0", "system_u:object_r:systemd_unit_file_t:s0", "system_u:object_r:system_map_t:s0", "system_u:object_r:tape_device_t:s0", "system_u:object_r:tetex_data_t:s0", "system_u:object_r:textrel_shlib_t:s0", "system_u:object_r:tmpfs_t:s0", "system_u:object_r:tmpreaper_exec_t:s0", "system_u:object_r:tmp_t:s0", "system_u:object_r:tpm_device_t:s0", "system_u:object_r:traceroute_exec_t:s0", "system_u:object_r:tty_device_t:s0", "system_u:object_r:tun_tap_device_t:s0", "system_u:object_r:tzdata_exec_t:s0", "system_u:object_r:udev_exec_t:s0", "system_u:object_r:udev_helper_exec_t:s0", "system_u:object_r:udev_rules_t:s0", "system_u:object_r:udev_tbl_t:s0", "system_u:object_r:udev_var_run_t:s0", "system_u:object_r:unconfined_execmem_exec_t:s0", "system_u:object_r:unconfined_exec_t:s0", "system_u:object_r:update_modules_exec_t:s0", "system_u:object_r:updpwd_exec_t:s0", "system_u:object_r:urandom_device_t:s0", "system_u:object_r:usb_device_t:s0", "system_u:object_r:usbmon_device_t:s0", "system_u:object_r:usbtty_device_t:s0", "system_u:object_r:useradd_exec_t:s0", "system_u:object_r:user_cron_spool_t:s0", "system_u:object_r:userio_device_t:s0", "system_u:object_r:usr_t:s0", "system_u:object_r:utempter_exec_t:s0", "system_u:object_r:v4l_device_t:s0", "system_u:object_r:var_auth_t:s0", "system_u:object_r:var_lib_t:s0", "system_u:object_r:var_lock_t:s0", "system_u:object_r:var_log_t:s0", "system_u:object_r:var_run_t:s0", "system_u:object_r:var_spool_t:s0", "system_u:object_r:var_t:s0", "system_u:object_r:vhost_device_t:s0", "system_u:object_r:vmware_device_t:s0", "system_u:object_r:watchdog_device_t:s0", "system_u:object_r:wireless_device_t:s0", "system_u:object_r:wtmp_t:s0", "system_u:object_r:xconsole_device_t:s0", "system_u:object_r:xen_device_t:s0", "system_u:object_r:xserver_misc_device_t:s0", "system_u:object_r:zero_device_t:s0"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp0", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tcon", IsVarlen: true}, Kind: 2, SubKind: "selinux_task_context", Values: []string{"system_u:system_r:kernel_t:s0", "unconfined_u:system_r:insmod_t:s0-s0:c0.c1023", "/sbin/dhclient", "unconfined", "/usr/lib/telepathy/mission-control-5", "/usr/sbin/cups-browsed", "/usr/sbin/cupsd", "/usr/sbin/ntpd"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp1", TypeSize: 1}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 20}, ArgFormat: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "z", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "selinux_create_objname"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_create_objname", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "scon", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0", "system_u:object_r:admin_passwd_exec_t:s0", "system_u:object_r:agp_device_t:s0", "system_u:object_r:anacron_exec_t:s0", "system_u:object_r:apm_bios_t:s0", "system_u:object_r:apt_exec_t:s0", "system_u:object_r:apt_lock_t:s0", "system_u:object_r:apt_var_cache_t:s0", "system_u:object_r:apt_var_lib_t:s0", "system_u:object_r:apt_var_log_t:s0", "system_u:object_r:audisp_exec_t:s0", "system_u:object_r:audisp_remote_exec_t:s0", "system_u:object_r:audisp_var_run_t:s0", "system_u:object_r:auditctl_exec_t:s0", "system_u:object_r:auditd_etc_t:s0", "system_u:object_r:auditd_exec_t:s0", "system_u:object_r:auditd_initrc_exec_t:s0", "system_u:object_r:auditd_log_t:s0", "system_u:object_r:auditd_unit_file_t:s0", "system_u:object_r:auditd_var_run_t:s0", "system_u:object_r:audit_spool_t:s0", "system_u:object_r:auth_cache_t:s0", "system_u:object_r:autofs_device_t:s0", "system_u:object_r:bin_t:s0", "system_u:object_r:boot_t:s0", "system_u:object_r:bsdpty_device_t:s0", "system_u:object_r:cert_t:s0", "system_u:object_r:cgroup_t:s0", "system_u:object_r:checkpolicy_exec_t:s0", "system_u:object_r:chfn_exec_t:s0", "system_u:object_r:chkpwd_exec_t:s0", "system_u:object_r:clock_device_t:s0", "system_u:object_r:console_device_t:s0", "system_u:object_r:cpu_device_t:s0", "system_u:object_r:cpu_online_t:s0", "system_u:object_r:crack_db_t:s0", "system_u:object_r:crack_exec_t:s0", "system_u:object_r:crash_device_t:s0", "system_u:object_r:crond_exec_t:s0", "system_u:object_r:crond_initrc_exec_t:s0", "system_u:object_r:crond_unit_file_t:s0", "system_u:object_r:crond_var_run_t:s0", "system_u:object_r:cron_log_t:s0", "system_u:object_r:cron_spool_t:s0", "system_u:object_r:crontab_exec_t:s0", "system_u:object_r:crypt_device_t:s0", "system_u:object_r:dbusd_etc_t:s0", "system_u:object_r:dbusd_exec_t:s0", "system_u:object_r:default_context_t:s0", "system_u:object_r:default_t:s0", "system_u:object_r:depmod_exec_t:s0", "system_u:object_r:devicekit_disk_exec_t:s0", "system_u:object_r:devicekit_exec_t:s0", "system_u:object_r:devicekit_power_exec_t:s0", "system_u:object_r:devicekit_var_lib_t:s0", "system_u:object_r:devicekit_var_run_t:s0", "system_u:object_r:device_t:s0", "system_u:object_r:devlog_t:s0", "system_u:object_r:devpts_t:s0", "system_u:object_r:devtty_t:s0", "system_u:object_r:dhcpc_exec_t:s0", "system_u:object_r:dhcpc_state_t:s0", "system_u:object_r:dhcpc_var_run_t:s0", "system_u:object_r:dhcpd_exec_t:s0", "system_u:object_r:dhcpd_initrc_exec_t:s0", "system_u:object_r:dhcpd_state_t:s0", "system_u:object_r:dhcpd_unit_file_t:s0", "system_u:object_r:dhcpd_var_run_t:s0", "system_u:object_r:dhcp_etc_t:s0", "system_u:object_r:dhcp_state_t:s0", "system_u:object_r:dlm_control_device_t:s0", "system_u:object_r:dmesg_exec_t:s0", "system_u:object_r:dmidecode_exec_t:s0", "system_u:object_r:dpkg_exec_t:s0", "system_u:object_r:dpkg_lock_t:s0", "system_u:object_r:dpkg_var_lib_t:s0", "system_u:object_r:dri_device_t:s0", "system_u:object_r:etc_aliases_t:s0", "system_u:object_r:etc_mail_t:s0", "system_u:object_r:etc_runtime_t:s0", "system_u:object_r:etc_t:s0", "system_u:object_r:event_device_t:s0", "system_u:object_r:faillog_t:s0", "system_u:object_r:file_context_t:s0", "system_u:object_r:fixed_disk_device_t:s0", "system_u:object_r:fonts_cache_t:s0", "system_u:object_r:fonts_t:s0", "system_u:object_r:framebuf_device_t:s0", "system_u:object_r:fsadm_exec_t:s0", "system_u:object_r:fsadm_log_t:s0", "system_u:object_r:fuse_device_t:s0", "system_u:object_r:getty_etc_t:s0", "system_u:object_r:getty_exec_t:s0", "system_u:object_r:getty_log_t:s0", "system_u:object_r:getty_var_run_t:s0", "system_u:object_r:gpg_agent_exec_t:s0", "system_u:object_r:gpg_exec_t:s0", "system_u:object_r:gpg_helper_exec_t:s0", "system_u:object_r:groupadd_exec_t:s0", "system_u:object_r:hald_acl_exec_t:s0", "system_u:object_r:hald_cache_t:s0", "system_u:object_r:hald_dccm_exec_t:s0", "system_u:object_r:hald_exec_t:s0", "system_u:object_r:hald_keymap_exec_t:s0", "system_u:object_r:hald_log_t:s0", "system_u:object_r:hald_mac_exec_t:s0", "system_u:object_r:hald_sonypic_exec_t:s0", "system_u:object_r:hald_var_lib_t:s0", "system_u:object_r:hald_var_run_t:s0", "system_u:object_r:hostname_exec_t:s0", "system_u:object_r:hugetlbfs_t:s0", "system_u:object_r:hwclock_exec_t:s0", "system_u:object_r:hwdata_t:s0", "system_u:object_r:ifconfig_exec_t:s0", "system_u:object_r:inetd_child_exec_t:s0", "system_u:object_r:inetd_exec_t:s0", "system_u:object_r:inetd_log_t:s0", "system_u:object_r:inetd_var_run_t:s0", "system_u:object_r:initctl_t:s0", "system_u:object_r:init_exec_t:s0", "system_u:object_r:initrc_exec_t:s0", "system_u:object_r:initrc_var_run_t:s0", "system_u:object_r:init_var_run_t:s0", "system_u:object_r:insmod_exec_t:s0", "system_u:object_r:ipmi_device_t:s0", "system_u:object_r:iptables_conf_t:s0", "system_u:object_r:iptables_exec_t:s0", "system_u:object_r:iptables_initrc_exec_t:s0", "system_u:object_r:iptables_unit_file_t:s0", "system_u:object_r:klogd_exec_t:s0", "system_u:object_r:klogd_var_run_t:s0", "system_u:object_r:kmsg_device_t:s0", "system_u:object_r:ksm_device_t:s0", "system_u:object_r:kvm_device_t:s0", "system_u:object_r:lastlog_t:s0", "system_u:object_r:ldconfig_cache_t:s0", "system_u:object_r:ldconfig_exec_t:s0", "system_u:object_r:ld_so_cache_t:s0", "system_u:object_r:ld_so_t:s0", "system_u:object_r:lib_t:s0", "system_u:object_r:lirc_device_t:s0", "system_u:object_r:load_policy_exec_t:s0", "system_u:object_r:locale_t:s0", "system_u:object_r:login_exec_t:s0", "system_u:object_r:logrotate_exec_t:s0", "system_u:object_r:logrotate_var_lib_t:s0", "system_u:object_r:lost_found_t:s0", "system_u:object_r:lvm_control_t:s0", "system_u:object_r:mail_spool_t:s0", "system_u:object_r:man_t:s0", "system_u:object_r:memory_device_t:s0", "system_u:object_r:mnt_t:s0", "system_u:object_r:modem_device_t:s0", "system_u:object_r:modules_conf_t:s0", "system_u:object_r:modules_dep_t:s0", "system_u:object_r:modules_object_t:s0", "system_u:object_r:mount_exec_t:s0", "system_u:object_r:mount_tmp_t:s0", "system_u:object_r:mouse_device_t:s0", "system_u:object_r:mqueue_spool_t:s0", "system_u:object_r:mtrr_device_t:s0", "system_u:object_r:net_conf_t:s0", "system_u:object_r:netcontrol_device_t:s0", "system_u:object_r:netlabel_mgmt_exec_t:s0", "system_u:object_r:netutils_exec_t:s0", "system_u:object_r:newrole_exec_t:s0", "system_u:object_r:null_device_t:s0", "system_u:object_r:nvram_device_t:s0", "system_u:object_r:pam_console_exec_t:s0", "system_u:object_r:pam_exec_t:s0", "system_u:object_r:pam_var_run_t:s0", "system_u:object_r:passwd_exec_t:s0", "system_u:object_r:pinentry_exec_t:s0", "system_u:object_r:ping_exec_t:s0", "system_u:object_r:policy_config_t:s0", "system_u:object_r:policy_src_t:s0", "system_u:object_r:power_device_t:s0", "system_u:object_r:ppp_device_t:s0", "system_u:object_r:printer_device_t:s0", "system_u:object_r:ptchown_exec_t:s0", "system_u:object_r:ptmx_t:s0", "system_u:object_r:public_content_rw_t:s0", "system_u:object_r:public_content_t:s0", "system_u:object_r:qemu_device_t:s0", "system_u:object_r:random_device_t:s0", "system_u:object_r:removable_device_t:s0", "system_u:object_r:restorecond_exec_t:s0", "system_u:object_r:restorecond_var_run_t:s0", "system_u:object_r:root_t:s0", "system_u:object_r:run_init_exec_t:s0", "system_u:object_r:scanner_device_t:s0", "system_u:object_r:scsi_generic_device_t:s0", "system_u:object_r:selinux_config_t:s0", "system_u:object_r:semanage_exec_t:s0", "system_u:object_r:semanage_read_lock_t:s0", "system_u:object_r:semanage_store_t:s0", "system_u:object_r:semanage_trans_lock_t:s0", "system_u:object_r:sendmail_exec_t:s0", "system_u:object_r:setfiles_exec_t:s0", "system_u:object_r:setrans_exec_t:s0", "system_u:object_r:setrans_initrc_exec_t:s0", "system_u:object_r:setrans_var_run_t:s0", "system_u:object_r:shadow_t:s0", "system_u:object_r:shell_exec_t:s0", "system_u:object_r:smartcard_device_t:s0", "system_u:object_r:sound_device_t:s0", "system_u:object_r:src_t:s0", "system_u:object_r:ssh_agent_exec_t:s0", "system_u:object_r:sshd_exec_t:s0", "system_u:object_r:sshd_key_t:s0", "system_u:object_r:sshd_var_run_t:s0", "system_u:object_r:ssh_exec_t:s0", "system_u:object_r:ssh_keygen_exec_t:s0", "system_u:object_r:ssh_keysign_exec_t:s0", "system_u:object_r:sudo_exec_t:s0", "system_u:object_r:su_exec_t:s0", "system_u:object_r:sulogin_exec_t:s0", "system_u:object_r:sysfs_t:s0", "system_u:object_r:syslog_conf_t:s0", "system_u:object_r:syslogd_exec_t:s0", "system_u:object_r:syslogd_initrc_exec_t:s0", "system_u:object_r:syslogd_var_lib_t:s0", "system_u:object_r:syslogd_var_run_t:s0", "system_u:object_r:system_cron_spool_t:s0", "system_u:object_r:system_dbusd_var_lib_t:s0", "system_u:object_r:system_dbusd_var_run_t:s0", "system_u:object_r:systemd_logger_exec_t:s0", "system_u:object_r:systemd_logind_exec_t:s0", "system_u:object_r:systemd_logind_sessions_t:s0", "system_u:object_r:systemd_logind_var_run_t:s0", "system_u:object_r:systemd_notify_exec_t:s0", "system_u:object_r:systemd_passwd_agent_exec_t:s0", "system_u:object_r:systemd_passwd_var_run_t:s0", "system_u:object_r:systemd_systemctl_exec_t:s0", "system_u:object_r:systemd_tmpfiles_exec_t:s0", "system_u:object_r:systemd_unit_file_t:s0", "system_u:object_r:system_map_t:s0", "system_u:object_r:tape_device_t:s0", "system_u:object_r:tetex_data_t:s0", "system_u:object_r:textrel_shlib_t:s0", "system_u:object_r:tmpfs_t:s0", "system_u:object_r:tmpreaper_exec_t:s0", "system_u:object_r:tmp_t:s0", "system_u:object_r:tpm_device_t:s0", "system_u:object_r:traceroute_exec_t:s0", "system_u:object_r:tty_device_t:s0", "system_u:object_r:tun_tap_device_t:s0", "system_u:object_r:tzdata_exec_t:s0", "system_u:object_r:udev_exec_t:s0", "system_u:object_r:udev_helper_exec_t:s0", "system_u:object_r:udev_rules_t:s0", "system_u:object_r:udev_tbl_t:s0", "system_u:object_r:udev_var_run_t:s0", "system_u:object_r:unconfined_execmem_exec_t:s0", "system_u:object_r:unconfined_exec_t:s0", "system_u:object_r:update_modules_exec_t:s0", "system_u:object_r:updpwd_exec_t:s0", "system_u:object_r:urandom_device_t:s0", "system_u:object_r:usb_device_t:s0", "system_u:object_r:usbmon_device_t:s0", "system_u:object_r:usbtty_device_t:s0", "system_u:object_r:useradd_exec_t:s0", "system_u:object_r:user_cron_spool_t:s0", "system_u:object_r:userio_device_t:s0", "system_u:object_r:usr_t:s0", "system_u:object_r:utempter_exec_t:s0", "system_u:object_r:v4l_device_t:s0", "system_u:object_r:var_auth_t:s0", "system_u:object_r:var_lib_t:s0", "system_u:object_r:var_lock_t:s0", "system_u:object_r:var_log_t:s0", "system_u:object_r:var_run_t:s0", "system_u:object_r:var_spool_t:s0", "system_u:object_r:var_t:s0", "system_u:object_r:vhost_device_t:s0", "system_u:object_r:vmware_device_t:s0", "system_u:object_r:watchdog_device_t:s0", "system_u:object_r:wireless_device_t:s0", "system_u:object_r:wtmp_t:s0", "system_u:object_r:xconsole_device_t:s0", "system_u:object_r:xen_device_t:s0", "system_u:object_r:xserver_misc_device_t:s0", "system_u:object_r:zero_device_t:s0"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp0", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "tcon", IsVarlen: true}, Kind: 2, SubKind: "selinux_task_context", Values: []string{"system_u:system_r:kernel_t:s0", "unconfined_u:system_r:insmod_t:s0-s0:c0.c1023", "/sbin/dhclient", "unconfined", "/usr/lib/telepathy/mission-control-5", "/usr/sbin/cups-browsed", "/usr/sbin/cupsd", "/usr/sbin/ntpd"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp1", TypeSize: 1}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 20}, ArgFormat: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp2", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "objname", IsVarlen: true}, Kind: 3},
	}}},
	{Key: StructKey{Name: "selinux_create_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_create_req", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "selinux_access_req"}, FldName: "access"},
		&StructType{Key: StructKey{Name: "selinux_create_objname"}, FldName: "objname"},
	}}},
	{Key: StructKey{Name: "selinux_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_policy", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "magic", TypeSize: 4}}, Val: 4185718668},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "str"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "str", TypeSize: 8}, Kind: 2, Values: []string{"SE Linux"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "selinux_user_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_user_req", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "scon", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0", "system_u:object_r:admin_passwd_exec_t:s0", "system_u:object_r:agp_device_t:s0", "system_u:object_r:anacron_exec_t:s0", "system_u:object_r:apm_bios_t:s0", "system_u:object_r:apt_exec_t:s0", "system_u:object_r:apt_lock_t:s0", "system_u:object_r:apt_var_cache_t:s0", "system_u:object_r:apt_var_lib_t:s0", "system_u:object_r:apt_var_log_t:s0", "system_u:object_r:audisp_exec_t:s0", "system_u:object_r:audisp_remote_exec_t:s0", "system_u:object_r:audisp_var_run_t:s0", "system_u:object_r:auditctl_exec_t:s0", "system_u:object_r:auditd_etc_t:s0", "system_u:object_r:auditd_exec_t:s0", "system_u:object_r:auditd_initrc_exec_t:s0", "system_u:object_r:auditd_log_t:s0", "system_u:object_r:auditd_unit_file_t:s0", "system_u:object_r:auditd_var_run_t:s0", "system_u:object_r:audit_spool_t:s0", "system_u:object_r:auth_cache_t:s0", "system_u:object_r:autofs_device_t:s0", "system_u:object_r:bin_t:s0", "system_u:object_r:boot_t:s0", "system_u:object_r:bsdpty_device_t:s0", "system_u:object_r:cert_t:s0", "system_u:object_r:cgroup_t:s0", "system_u:object_r:checkpolicy_exec_t:s0", "system_u:object_r:chfn_exec_t:s0", "system_u:object_r:chkpwd_exec_t:s0", "system_u:object_r:clock_device_t:s0", "system_u:object_r:console_device_t:s0", "system_u:object_r:cpu_device_t:s0", "system_u:object_r:cpu_online_t:s0", "system_u:object_r:crack_db_t:s0", "system_u:object_r:crack_exec_t:s0", "system_u:object_r:crash_device_t:s0", "system_u:object_r:crond_exec_t:s0", "system_u:object_r:crond_initrc_exec_t:s0", "system_u:object_r:crond_unit_file_t:s0", "system_u:object_r:crond_var_run_t:s0", "system_u:object_r:cron_log_t:s0", "system_u:object_r:cron_spool_t:s0", "system_u:object_r:crontab_exec_t:s0", "system_u:object_r:crypt_device_t:s0", "system_u:object_r:dbusd_etc_t:s0", "system_u:object_r:dbusd_exec_t:s0", "system_u:object_r:default_context_t:s0", "system_u:object_r:default_t:s0", "system_u:object_r:depmod_exec_t:s0", "system_u:object_r:devicekit_disk_exec_t:s0", "system_u:object_r:devicekit_exec_t:s0", "system_u:object_r:devicekit_power_exec_t:s0", "system_u:object_r:devicekit_var_lib_t:s0", "system_u:object_r:devicekit_var_run_t:s0", "system_u:object_r:device_t:s0", "system_u:object_r:devlog_t:s0", "system_u:object_r:devpts_t:s0", "system_u:object_r:devtty_t:s0", "system_u:object_r:dhcpc_exec_t:s0", "system_u:object_r:dhcpc_state_t:s0", "system_u:object_r:dhcpc_var_run_t:s0", "system_u:object_r:dhcpd_exec_t:s0", "system_u:object_r:dhcpd_initrc_exec_t:s0", "system_u:object_r:dhcpd_state_t:s0", "system_u:object_r:dhcpd_unit_file_t:s0", "system_u:object_r:dhcpd_var_run_t:s0", "system_u:object_r:dhcp_etc_t:s0", "system_u:object_r:dhcp_state_t:s0", "system_u:object_r:dlm_control_device_t:s0", "system_u:object_r:dmesg_exec_t:s0", "system_u:object_r:dmidecode_exec_t:s0", "system_u:object_r:dpkg_exec_t:s0", "system_u:object_r:dpkg_lock_t:s0", "system_u:object_r:dpkg_var_lib_t:s0", "system_u:object_r:dri_device_t:s0", "system_u:object_r:etc_aliases_t:s0", "system_u:object_r:etc_mail_t:s0", "system_u:object_r:etc_runtime_t:s0", "system_u:object_r:etc_t:s0", "system_u:object_r:event_device_t:s0", "system_u:object_r:faillog_t:s0", "system_u:object_r:file_context_t:s0", "system_u:object_r:fixed_disk_device_t:s0", "system_u:object_r:fonts_cache_t:s0", "system_u:object_r:fonts_t:s0", "system_u:object_r:framebuf_device_t:s0", "system_u:object_r:fsadm_exec_t:s0", "system_u:object_r:fsadm_log_t:s0", "system_u:object_r:fuse_device_t:s0", "system_u:object_r:getty_etc_t:s0", "system_u:object_r:getty_exec_t:s0", "system_u:object_r:getty_log_t:s0", "system_u:object_r:getty_var_run_t:s0", "system_u:object_r:gpg_agent_exec_t:s0", "system_u:object_r:gpg_exec_t:s0", "system_u:object_r:gpg_helper_exec_t:s0", "system_u:object_r:groupadd_exec_t:s0", "system_u:object_r:hald_acl_exec_t:s0", "system_u:object_r:hald_cache_t:s0", "system_u:object_r:hald_dccm_exec_t:s0", "system_u:object_r:hald_exec_t:s0", "system_u:object_r:hald_keymap_exec_t:s0", "system_u:object_r:hald_log_t:s0", "system_u:object_r:hald_mac_exec_t:s0", "system_u:object_r:hald_sonypic_exec_t:s0", "system_u:object_r:hald_var_lib_t:s0", "system_u:object_r:hald_var_run_t:s0", "system_u:object_r:hostname_exec_t:s0", "system_u:object_r:hugetlbfs_t:s0", "system_u:object_r:hwclock_exec_t:s0", "system_u:object_r:hwdata_t:s0", "system_u:object_r:ifconfig_exec_t:s0", "system_u:object_r:inetd_child_exec_t:s0", "system_u:object_r:inetd_exec_t:s0", "system_u:object_r:inetd_log_t:s0", "system_u:object_r:inetd_var_run_t:s0", "system_u:object_r:initctl_t:s0", "system_u:object_r:init_exec_t:s0", "system_u:object_r:initrc_exec_t:s0", "system_u:object_r:initrc_var_run_t:s0", "system_u:object_r:init_var_run_t:s0", "system_u:object_r:insmod_exec_t:s0", "system_u:object_r:ipmi_device_t:s0", "system_u:object_r:iptables_conf_t:s0", "system_u:object_r:iptables_exec_t:s0", "system_u:object_r:iptables_initrc_exec_t:s0", "system_u:object_r:iptables_unit_file_t:s0", "system_u:object_r:klogd_exec_t:s0", "system_u:object_r:klogd_var_run_t:s0", "system_u:object_r:kmsg_device_t:s0", "system_u:object_r:ksm_device_t:s0", "system_u:object_r:kvm_device_t:s0", "system_u:object_r:lastlog_t:s0", "system_u:object_r:ldconfig_cache_t:s0", "system_u:object_r:ldconfig_exec_t:s0", "system_u:object_r:ld_so_cache_t:s0", "system_u:object_r:ld_so_t:s0", "system_u:object_r:lib_t:s0", "system_u:object_r:lirc_device_t:s0", "system_u:object_r:load_policy_exec_t:s0", "system_u:object_r:locale_t:s0", "system_u:object_r:login_exec_t:s0", "system_u:object_r:logrotate_exec_t:s0", "system_u:object_r:logrotate_var_lib_t:s0", "system_u:object_r:lost_found_t:s0", "system_u:object_r:lvm_control_t:s0", "system_u:object_r:mail_spool_t:s0", "system_u:object_r:man_t:s0", "system_u:object_r:memory_device_t:s0", "system_u:object_r:mnt_t:s0", "system_u:object_r:modem_device_t:s0", "system_u:object_r:modules_conf_t:s0", "system_u:object_r:modules_dep_t:s0", "system_u:object_r:modules_object_t:s0", "system_u:object_r:mount_exec_t:s0", "system_u:object_r:mount_tmp_t:s0", "system_u:object_r:mouse_device_t:s0", "system_u:object_r:mqueue_spool_t:s0", "system_u:object_r:mtrr_device_t:s0", "system_u:object_r:net_conf_t:s0", "system_u:object_r:netcontrol_device_t:s0", "system_u:object_r:netlabel_mgmt_exec_t:s0", "system_u:object_r:netutils_exec_t:s0", "system_u:object_r:newrole_exec_t:s0", "system_u:object_r:null_device_t:s0", "system_u:object_r:nvram_device_t:s0", "system_u:object_r:pam_console_exec_t:s0", "system_u:object_r:pam_exec_t:s0", "system_u:object_r:pam_var_run_t:s0", "system_u:object_r:passwd_exec_t:s0", "system_u:object_r:pinentry_exec_t:s0", "system_u:object_r:ping_exec_t:s0", "system_u:object_r:policy_config_t:s0", "system_u:object_r:policy_src_t:s0", "system_u:object_r:power_device_t:s0", "system_u:object_r:ppp_device_t:s0", "system_u:object_r:printer_device_t:s0", "system_u:object_r:ptchown_exec_t:s0", "system_u:object_r:ptmx_t:s0", "system_u:object_r:public_content_rw_t:s0", "system_u:object_r:public_content_t:s0", "system_u:object_r:qemu_device_t:s0", "system_u:object_r:random_device_t:s0", "system_u:object_r:removable_device_t:s0", "system_u:object_r:restorecond_exec_t:s0", "system_u:object_r:restorecond_var_run_t:s0", "system_u:object_r:root_t:s0", "system_u:object_r:run_init_exec_t:s0", "system_u:object_r:scanner_device_t:s0", "system_u:object_r:scsi_generic_device_t:s0", "system_u:object_r:selinux_config_t:s0", "system_u:object_r:semanage_exec_t:s0", "system_u:object_r:semanage_read_lock_t:s0", "system_u:object_r:semanage_store_t:s0", "system_u:object_r:semanage_trans_lock_t:s0", "system_u:object_r:sendmail_exec_t:s0", "system_u:object_r:setfiles_exec_t:s0", "system_u:object_r:setrans_exec_t:s0", "system_u:object_r:setrans_initrc_exec_t:s0", "system_u:object_r:setrans_var_run_t:s0", "system_u:object_r:shadow_t:s0", "system_u:object_r:shell_exec_t:s0", "system_u:object_r:smartcard_device_t:s0", "system_u:object_r:sound_device_t:s0", "system_u:object_r:src_t:s0", "system_u:object_r:ssh_agent_exec_t:s0", "system_u:object_r:sshd_exec_t:s0", "system_u:object_r:sshd_key_t:s0", "system_u:object_r:sshd_var_run_t:s0", "system_u:object_r:ssh_exec_t:s0", "system_u:object_r:ssh_keygen_exec_t:s0", "system_u:object_r:ssh_keysign_exec_t:s0", "system_u:object_r:sudo_exec_t:s0", "system_u:object_r:su_exec_t:s0", "system_u:object_r:sulogin_exec_t:s0", "system_u:object_r:sysfs_t:s0", "system_u:object_r:syslog_conf_t:s0", "system_u:object_r:syslogd_exec_t:s0", "system_u:object_r:syslogd_initrc_exec_t:s0", "system_u:object_r:syslogd_var_lib_t:s0", "system_u:object_r:syslogd_var_run_t:s0", "system_u:object_r:system_cron_spool_t:s0", "system_u:object_r:system_dbusd_var_lib_t:s0", "system_u:object_r:system_dbusd_var_run_t:s0", "system_u:object_r:systemd_logger_exec_t:s0", "system_u:object_r:systemd_logind_exec_t:s0", "system_u:object_r:systemd_logind_sessions_t:s0", "system_u:object_r:systemd_logind_var_run_t:s0", "system_u:object_r:systemd_notify_exec_t:s0", "system_u:object_r:systemd_passwd_agent_exec_t:s0", "system_u:object_r:systemd_passwd_var_run_t:s0", "system_u:object_r:systemd_systemctl_exec_t:s0", "system_u:object_r:systemd_tmpfiles_exec_t:s0", "system_u:object_r:systemd_unit_file_t:s0", "system_u:object_r:system_map_t:s0", "system_u:object_r:tape_device_t:s0", "system_u:object_r:tetex_data_t:s0", "system_u:object_r:textrel_shlib_t:s0", "system_u:object_r:tmpfs_t:s0", "system_u:object_r:tmpreaper_exec_t:s0", "system_u:object_r:tmp_t:s0", "system_u:object_r:tpm_device_t:s0", "system_u:object_r:traceroute_exec_t:s0", "system_u:object_r:tty_device_t:s0", "system_u:object_r:tun_tap_device_t:s0", "system_u:object_r:tzdata_exec_t:s0", "system_u:object_r:udev_exec_t:s0", "system_u:object_r:udev_helper_exec_t:s0", "system_u:object_r:udev_rules_t:s0", "system_u:object_r:udev_tbl_t:s0", "system_u:object_r:udev_var_run_t:s0", "system_u:object_r:unconfined_execmem_exec_t:s0", "system_u:object_r:unconfined_exec_t:s0", "system_u:object_r:update_modules_exec_t:s0", "system_u:object_r:updpwd_exec_t:s0", "system_u:object_r:urandom_device_t:s0", "system_u:object_r:usb_device_t:s0", "system_u:object_r:usbmon_device_t:s0", "system_u:object_r:usbtty_device_t:s0", "system_u:object_r:useradd_exec_t:s0", "system_u:object_r:user_cron_spool_t:s0", "system_u:object_r:userio_device_t:s0", "system_u:object_r:usr_t:s0", "system_u:object_r:utempter_exec_t:s0", "system_u:object_r:v4l_device_t:s0", "system_u:object_r:var_auth_t:s0", "system_u:object_r:var_lib_t:s0", "system_u:object_r:var_lock_t:s0", "system_u:object_r:var_log_t:s0", "system_u:object_r:var_run_t:s0", "system_u:object_r:var_spool_t:s0", "system_u:object_r:var_t:s0", "system_u:object_r:vhost_device_t:s0", "system_u:object_r:vmware_device_t:s0", "system_u:object_r:watchdog_device_t:s0", "system_u:object_r:wireless_device_t:s0", "system_u:object_r:wtmp_t:s0", "system_u:object_r:xconsole_device_t:s0", "system_u:object_r:xen_device_t:s0", "system_u:object_r:xserver_misc_device_t:s0", "system_u:object_r:zero_device_t:s0"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp0", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "user", IsVarlen: true}, Kind: 2, SubKind: "selinux_user_context", Values: []string{"root\x00", "staff_u\x00", "sysadm_u\x00", "system_u\x00", "unconfined_u\x00", "user_u\x00"}},
	}}},
	{Key: StructKey{Name: "selinux_validatetrans_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "selinux_validatetrans_req", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "scon0", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0", "system_u:object_r:admin_passwd_exec_t:s0", "system_u:object_r:agp_device_t:s0", "system_u:object_r:anacron_exec_t:s0", "system_u:object_r:apm_bios_t:s0", "system_u:object_r:apt_exec_t:s0", "system_u:object_r:apt_lock_t:s0", "system_u:object_r:apt_var_cache_t:s0", "system_u:object_r:apt_var_lib_t:s0", "system_u:object_r:apt_var_log_t:s0", "system_u:object_r:audisp_exec_t:s0", "system_u:object_r:audisp_remote_exec_t:s0", "system_u:object_r:audisp_var_run_t:s0", "system_u:object_r:auditctl_exec_t:s0", "system_u:object_r:auditd_etc_t:s0", "system_u:object_r:auditd_exec_t:s0", "system_u:object_r:auditd_initrc_exec_t:s0", "system_u:object_r:auditd_log_t:s0", "system_u:object_r:auditd_unit_file_t:s0", "system_u:object_r:auditd_var_run_t:s0", "system_u:object_r:audit_spool_t:s0", "system_u:object_r:auth_cache_t:s0", "system_u:object_r:autofs_device_t:s0", "system_u:object_r:bin_t:s0", "system_u:object_r:boot_t:s0", "system_u:object_r:bsdpty_device_t:s0", "system_u:object_r:cert_t:s0", "system_u:object_r:cgroup_t:s0", "system_u:object_r:checkpolicy_exec_t:s0", "system_u:object_r:chfn_exec_t:s0", "system_u:object_r:chkpwd_exec_t:s0", "system_u:object_r:clock_device_t:s0", "system_u:object_r:console_device_t:s0", "system_u:object_r:cpu_device_t:s0", "system_u:object_r:cpu_online_t:s0", "system_u:object_r:crack_db_t:s0", "system_u:object_r:crack_exec_t:s0", "system_u:object_r:crash_device_t:s0", "system_u:object_r:crond_exec_t:s0", "system_u:object_r:crond_initrc_exec_t:s0", "system_u:object_r:crond_unit_file_t:s0", "system_u:object_r:crond_var_run_t:s0", "system_u:object_r:cron_log_t:s0", "system_u:object_r:cron_spool_t:s0", "system_u:object_r:crontab_exec_t:s0", "system_u:object_r:crypt_device_t:s0", "system_u:object_r:dbusd_etc_t:s0", "system_u:object_r:dbusd_exec_t:s0", "system_u:object_r:default_context_t:s0", "system_u:object_r:default_t:s0", "system_u:object_r:depmod_exec_t:s0", "system_u:object_r:devicekit_disk_exec_t:s0", "system_u:object_r:devicekit_exec_t:s0", "system_u:object_r:devicekit_power_exec_t:s0", "system_u:object_r:devicekit_var_lib_t:s0", "system_u:object_r:devicekit_var_run_t:s0", "system_u:object_r:device_t:s0", "system_u:object_r:devlog_t:s0", "system_u:object_r:devpts_t:s0", "system_u:object_r:devtty_t:s0", "system_u:object_r:dhcpc_exec_t:s0", "system_u:object_r:dhcpc_state_t:s0", "system_u:object_r:dhcpc_var_run_t:s0", "system_u:object_r:dhcpd_exec_t:s0", "system_u:object_r:dhcpd_initrc_exec_t:s0", "system_u:object_r:dhcpd_state_t:s0", "system_u:object_r:dhcpd_unit_file_t:s0", "system_u:object_r:dhcpd_var_run_t:s0", "system_u:object_r:dhcp_etc_t:s0", "system_u:object_r:dhcp_state_t:s0", "system_u:object_r:dlm_control_device_t:s0", "system_u:object_r:dmesg_exec_t:s0", "system_u:object_r:dmidecode_exec_t:s0", "system_u:object_r:dpkg_exec_t:s0", "system_u:object_r:dpkg_lock_t:s0", "system_u:object_r:dpkg_var_lib_t:s0", "system_u:object_r:dri_device_t:s0", "system_u:object_r:etc_aliases_t:s0", "system_u:object_r:etc_mail_t:s0", "system_u:object_r:etc_runtime_t:s0", "system_u:object_r:etc_t:s0", "system_u:object_r:event_device_t:s0", "system_u:object_r:faillog_t:s0", "system_u:object_r:file_context_t:s0", "system_u:object_r:fixed_disk_device_t:s0", "system_u:object_r:fonts_cache_t:s0", "system_u:object_r:fonts_t:s0", "system_u:object_r:framebuf_device_t:s0", "system_u:object_r:fsadm_exec_t:s0", "system_u:object_r:fsadm_log_t:s0", "system_u:object_r:fuse_device_t:s0", "system_u:object_r:getty_etc_t:s0", "system_u:object_r:getty_exec_t:s0", "system_u:object_r:getty_log_t:s0", "system_u:object_r:getty_var_run_t:s0", "system_u:object_r:gpg_agent_exec_t:s0", "system_u:object_r:gpg_exec_t:s0", "system_u:object_r:gpg_helper_exec_t:s0", "system_u:object_r:groupadd_exec_t:s0", "system_u:object_r:hald_acl_exec_t:s0", "system_u:object_r:hald_cache_t:s0", "system_u:object_r:hald_dccm_exec_t:s0", "system_u:object_r:hald_exec_t:s0", "system_u:object_r:hald_keymap_exec_t:s0", "system_u:object_r:hald_log_t:s0", "system_u:object_r:hald_mac_exec_t:s0", "system_u:object_r:hald_sonypic_exec_t:s0", "system_u:object_r:hald_var_lib_t:s0", "system_u:object_r:hald_var_run_t:s0", "system_u:object_r:hostname_exec_t:s0", "system_u:object_r:hugetlbfs_t:s0", "system_u:object_r:hwclock_exec_t:s0", "system_u:object_r:hwdata_t:s0", "system_u:object_r:ifconfig_exec_t:s0", "system_u:object_r:inetd_child_exec_t:s0", "system_u:object_r:inetd_exec_t:s0", "system_u:object_r:inetd_log_t:s0", "system_u:object_r:inetd_var_run_t:s0", "system_u:object_r:initctl_t:s0", "system_u:object_r:init_exec_t:s0", "system_u:object_r:initrc_exec_t:s0", "system_u:object_r:initrc_var_run_t:s0", "system_u:object_r:init_var_run_t:s0", "system_u:object_r:insmod_exec_t:s0", "system_u:object_r:ipmi_device_t:s0", "system_u:object_r:iptables_conf_t:s0", "system_u:object_r:iptables_exec_t:s0", "system_u:object_r:iptables_initrc_exec_t:s0", "system_u:object_r:iptables_unit_file_t:s0", "system_u:object_r:klogd_exec_t:s0", "system_u:object_r:klogd_var_run_t:s0", "system_u:object_r:kmsg_device_t:s0", "system_u:object_r:ksm_device_t:s0", "system_u:object_r:kvm_device_t:s0", "system_u:object_r:lastlog_t:s0", "system_u:object_r:ldconfig_cache_t:s0", "system_u:object_r:ldconfig_exec_t:s0", "system_u:object_r:ld_so_cache_t:s0", "system_u:object_r:ld_so_t:s0", "system_u:object_r:lib_t:s0", "system_u:object_r:lirc_device_t:s0", "system_u:object_r:load_policy_exec_t:s0", "system_u:object_r:locale_t:s0", "system_u:object_r:login_exec_t:s0", "system_u:object_r:logrotate_exec_t:s0", "system_u:object_r:logrotate_var_lib_t:s0", "system_u:object_r:lost_found_t:s0", "system_u:object_r:lvm_control_t:s0", "system_u:object_r:mail_spool_t:s0", "system_u:object_r:man_t:s0", "system_u:object_r:memory_device_t:s0", "system_u:object_r:mnt_t:s0", "system_u:object_r:modem_device_t:s0", "system_u:object_r:modules_conf_t:s0", "system_u:object_r:modules_dep_t:s0", "system_u:object_r:modules_object_t:s0", "system_u:object_r:mount_exec_t:s0", "system_u:object_r:mount_tmp_t:s0", "system_u:object_r:mouse_device_t:s0", "system_u:object_r:mqueue_spool_t:s0", "system_u:object_r:mtrr_device_t:s0", "system_u:object_r:net_conf_t:s0", "system_u:object_r:netcontrol_device_t:s0", "system_u:object_r:netlabel_mgmt_exec_t:s0", "system_u:object_r:netutils_exec_t:s0", "system_u:object_r:newrole_exec_t:s0", "system_u:object_r:null_device_t:s0", "system_u:object_r:nvram_device_t:s0", "system_u:object_r:pam_console_exec_t:s0", "system_u:object_r:pam_exec_t:s0", "system_u:object_r:pam_var_run_t:s0", "system_u:object_r:passwd_exec_t:s0", "system_u:object_r:pinentry_exec_t:s0", "system_u:object_r:ping_exec_t:s0", "system_u:object_r:policy_config_t:s0", "system_u:object_r:policy_src_t:s0", "system_u:object_r:power_device_t:s0", "system_u:object_r:ppp_device_t:s0", "system_u:object_r:printer_device_t:s0", "system_u:object_r:ptchown_exec_t:s0", "system_u:object_r:ptmx_t:s0", "system_u:object_r:public_content_rw_t:s0", "system_u:object_r:public_content_t:s0", "system_u:object_r:qemu_device_t:s0", "system_u:object_r:random_device_t:s0", "system_u:object_r:removable_device_t:s0", "system_u:object_r:restorecond_exec_t:s0", "system_u:object_r:restorecond_var_run_t:s0", "system_u:object_r:root_t:s0", "system_u:object_r:run_init_exec_t:s0", "system_u:object_r:scanner_device_t:s0", "system_u:object_r:scsi_generic_device_t:s0", "system_u:object_r:selinux_config_t:s0", "system_u:object_r:semanage_exec_t:s0", "system_u:object_r:semanage_read_lock_t:s0", "system_u:object_r:semanage_store_t:s0", "system_u:object_r:semanage_trans_lock_t:s0", "system_u:object_r:sendmail_exec_t:s0", "system_u:object_r:setfiles_exec_t:s0", "system_u:object_r:setrans_exec_t:s0", "system_u:object_r:setrans_initrc_exec_t:s0", "system_u:object_r:setrans_var_run_t:s0", "system_u:object_r:shadow_t:s0", "system_u:object_r:shell_exec_t:s0", "system_u:object_r:smartcard_device_t:s0", "system_u:object_r:sound_device_t:s0", "system_u:object_r:src_t:s0", "system_u:object_r:ssh_agent_exec_t:s0", "system_u:object_r:sshd_exec_t:s0", "system_u:object_r:sshd_key_t:s0", "system_u:object_r:sshd_var_run_t:s0", "system_u:object_r:ssh_exec_t:s0", "system_u:object_r:ssh_keygen_exec_t:s0", "system_u:object_r:ssh_keysign_exec_t:s0", "system_u:object_r:sudo_exec_t:s0", "system_u:object_r:su_exec_t:s0", "system_u:object_r:sulogin_exec_t:s0", "system_u:object_r:sysfs_t:s0", "system_u:object_r:syslog_conf_t:s0", "system_u:object_r:syslogd_exec_t:s0", "system_u:object_r:syslogd_initrc_exec_t:s0", "system_u:object_r:syslogd_var_lib_t:s0", "system_u:object_r:syslogd_var_run_t:s0", "system_u:object_r:system_cron_spool_t:s0", "system_u:object_r:system_dbusd_var_lib_t:s0", "system_u:object_r:system_dbusd_var_run_t:s0", "system_u:object_r:systemd_logger_exec_t:s0", "system_u:object_r:systemd_logind_exec_t:s0", "system_u:object_r:systemd_logind_sessions_t:s0", "system_u:object_r:systemd_logind_var_run_t:s0", "system_u:object_r:systemd_notify_exec_t:s0", "system_u:object_r:systemd_passwd_agent_exec_t:s0", "system_u:object_r:systemd_passwd_var_run_t:s0", "system_u:object_r:systemd_systemctl_exec_t:s0", "system_u:object_r:systemd_tmpfiles_exec_t:s0", "system_u:object_r:systemd_unit_file_t:s0", "system_u:object_r:system_map_t:s0", "system_u:object_r:tape_device_t:s0", "system_u:object_r:tetex_data_t:s0", "system_u:object_r:textrel_shlib_t:s0", "system_u:object_r:tmpfs_t:s0", "system_u:object_r:tmpreaper_exec_t:s0", "system_u:object_r:tmp_t:s0", "system_u:object_r:tpm_device_t:s0", "system_u:object_r:traceroute_exec_t:s0", "system_u:object_r:tty_device_t:s0", "system_u:object_r:tun_tap_device_t:s0", "system_u:object_r:tzdata_exec_t:s0", "system_u:object_r:udev_exec_t:s0", "system_u:object_r:udev_helper_exec_t:s0", "system_u:object_r:udev_rules_t:s0", "system_u:object_r:udev_tbl_t:s0", "system_u:object_r:udev_var_run_t:s0", "system_u:object_r:unconfined_execmem_exec_t:s0", "system_u:object_r:unconfined_exec_t:s0", "system_u:object_r:update_modules_exec_t:s0", "system_u:object_r:updpwd_exec_t:s0", "system_u:object_r:urandom_device_t:s0", "system_u:object_r:usb_device_t:s0", "system_u:object_r:usbmon_device_t:s0", "system_u:object_r:usbtty_device_t:s0", "system_u:object_r:useradd_exec_t:s0", "system_u:object_r:user_cron_spool_t:s0", "system_u:object_r:userio_device_t:s0", "system_u:object_r:usr_t:s0", "system_u:object_r:utempter_exec_t:s0", "system_u:object_r:v4l_device_t:s0", "system_u:object_r:var_auth_t:s0", "system_u:object_r:var_lib_t:s0", "system_u:object_r:var_lock_t:s0", "system_u:object_r:var_log_t:s0", "system_u:object_r:var_run_t:s0", "system_u:object_r:var_spool_t:s0", "system_u:object_r:var_t:s0", "system_u:object_r:vhost_device_t:s0", "system_u:object_r:vmware_device_t:s0", "system_u:object_r:watchdog_device_t:s0", "system_u:object_r:wireless_device_t:s0", "system_u:object_r:wtmp_t:s0", "system_u:object_r:xconsole_device_t:s0", "system_u:object_r:xen_device_t:s0", "system_u:object_r:xserver_misc_device_t:s0", "system_u:object_r:zero_device_t:s0"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp0", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "scon1", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0", "system_u:object_r:admin_passwd_exec_t:s0", "system_u:object_r:agp_device_t:s0", "system_u:object_r:anacron_exec_t:s0", "system_u:object_r:apm_bios_t:s0", "system_u:object_r:apt_exec_t:s0", "system_u:object_r:apt_lock_t:s0", "system_u:object_r:apt_var_cache_t:s0", "system_u:object_r:apt_var_lib_t:s0", "system_u:object_r:apt_var_log_t:s0", "system_u:object_r:audisp_exec_t:s0", "system_u:object_r:audisp_remote_exec_t:s0", "system_u:object_r:audisp_var_run_t:s0", "system_u:object_r:auditctl_exec_t:s0", "system_u:object_r:auditd_etc_t:s0", "system_u:object_r:auditd_exec_t:s0", "system_u:object_r:auditd_initrc_exec_t:s0", "system_u:object_r:auditd_log_t:s0", "system_u:object_r:auditd_unit_file_t:s0", "system_u:object_r:auditd_var_run_t:s0", "system_u:object_r:audit_spool_t:s0", "system_u:object_r:auth_cache_t:s0", "system_u:object_r:autofs_device_t:s0", "system_u:object_r:bin_t:s0", "system_u:object_r:boot_t:s0", "system_u:object_r:bsdpty_device_t:s0", "system_u:object_r:cert_t:s0", "system_u:object_r:cgroup_t:s0", "system_u:object_r:checkpolicy_exec_t:s0", "system_u:object_r:chfn_exec_t:s0", "system_u:object_r:chkpwd_exec_t:s0", "system_u:object_r:clock_device_t:s0", "system_u:object_r:console_device_t:s0", "system_u:object_r:cpu_device_t:s0", "system_u:object_r:cpu_online_t:s0", "system_u:object_r:crack_db_t:s0", "system_u:object_r:crack_exec_t:s0", "system_u:object_r:crash_device_t:s0", "system_u:object_r:crond_exec_t:s0", "system_u:object_r:crond_initrc_exec_t:s0", "system_u:object_r:crond_unit_file_t:s0", "system_u:object_r:crond_var_run_t:s0", "system_u:object_r:cron_log_t:s0", "system_u:object_r:cron_spool_t:s0", "system_u:object_r:crontab_exec_t:s0", "system_u:object_r:crypt_device_t:s0", "system_u:object_r:dbusd_etc_t:s0", "system_u:object_r:dbusd_exec_t:s0", "system_u:object_r:default_context_t:s0", "system_u:object_r:default_t:s0", "system_u:object_r:depmod_exec_t:s0", "system_u:object_r:devicekit_disk_exec_t:s0", "system_u:object_r:devicekit_exec_t:s0", "system_u:object_r:devicekit_power_exec_t:s0", "system_u:object_r:devicekit_var_lib_t:s0", "system_u:object_r:devicekit_var_run_t:s0", "system_u:object_r:device_t:s0", "system_u:object_r:devlog_t:s0", "system_u:object_r:devpts_t:s0", "system_u:object_r:devtty_t:s0", "system_u:object_r:dhcpc_exec_t:s0", "system_u:object_r:dhcpc_state_t:s0", "system_u:object_r:dhcpc_var_run_t:s0", "system_u:object_r:dhcpd_exec_t:s0", "system_u:object_r:dhcpd_initrc_exec_t:s0", "system_u:object_r:dhcpd_state_t:s0", "system_u:object_r:dhcpd_unit_file_t:s0", "system_u:object_r:dhcpd_var_run_t:s0", "system_u:object_r:dhcp_etc_t:s0", "system_u:object_r:dhcp_state_t:s0", "system_u:object_r:dlm_control_device_t:s0", "system_u:object_r:dmesg_exec_t:s0", "system_u:object_r:dmidecode_exec_t:s0", "system_u:object_r:dpkg_exec_t:s0", "system_u:object_r:dpkg_lock_t:s0", "system_u:object_r:dpkg_var_lib_t:s0", "system_u:object_r:dri_device_t:s0", "system_u:object_r:etc_aliases_t:s0", "system_u:object_r:etc_mail_t:s0", "system_u:object_r:etc_runtime_t:s0", "system_u:object_r:etc_t:s0", "system_u:object_r:event_device_t:s0", "system_u:object_r:faillog_t:s0", "system_u:object_r:file_context_t:s0", "system_u:object_r:fixed_disk_device_t:s0", "system_u:object_r:fonts_cache_t:s0", "system_u:object_r:fonts_t:s0", "system_u:object_r:framebuf_device_t:s0", "system_u:object_r:fsadm_exec_t:s0", "system_u:object_r:fsadm_log_t:s0", "system_u:object_r:fuse_device_t:s0", "system_u:object_r:getty_etc_t:s0", "system_u:object_r:getty_exec_t:s0", "system_u:object_r:getty_log_t:s0", "system_u:object_r:getty_var_run_t:s0", "system_u:object_r:gpg_agent_exec_t:s0", "system_u:object_r:gpg_exec_t:s0", "system_u:object_r:gpg_helper_exec_t:s0", "system_u:object_r:groupadd_exec_t:s0", "system_u:object_r:hald_acl_exec_t:s0", "system_u:object_r:hald_cache_t:s0", "system_u:object_r:hald_dccm_exec_t:s0", "system_u:object_r:hald_exec_t:s0", "system_u:object_r:hald_keymap_exec_t:s0", "system_u:object_r:hald_log_t:s0", "system_u:object_r:hald_mac_exec_t:s0", "system_u:object_r:hald_sonypic_exec_t:s0", "system_u:object_r:hald_var_lib_t:s0", "system_u:object_r:hald_var_run_t:s0", "system_u:object_r:hostname_exec_t:s0", "system_u:object_r:hugetlbfs_t:s0", "system_u:object_r:hwclock_exec_t:s0", "system_u:object_r:hwdata_t:s0", "system_u:object_r:ifconfig_exec_t:s0", "system_u:object_r:inetd_child_exec_t:s0", "system_u:object_r:inetd_exec_t:s0", "system_u:object_r:inetd_log_t:s0", "system_u:object_r:inetd_var_run_t:s0", "system_u:object_r:initctl_t:s0", "system_u:object_r:init_exec_t:s0", "system_u:object_r:initrc_exec_t:s0", "system_u:object_r:initrc_var_run_t:s0", "system_u:object_r:init_var_run_t:s0", "system_u:object_r:insmod_exec_t:s0", "system_u:object_r:ipmi_device_t:s0", "system_u:object_r:iptables_conf_t:s0", "system_u:object_r:iptables_exec_t:s0", "system_u:object_r:iptables_initrc_exec_t:s0", "system_u:object_r:iptables_unit_file_t:s0", "system_u:object_r:klogd_exec_t:s0", "system_u:object_r:klogd_var_run_t:s0", "system_u:object_r:kmsg_device_t:s0", "system_u:object_r:ksm_device_t:s0", "system_u:object_r:kvm_device_t:s0", "system_u:object_r:lastlog_t:s0", "system_u:object_r:ldconfig_cache_t:s0", "system_u:object_r:ldconfig_exec_t:s0", "system_u:object_r:ld_so_cache_t:s0", "system_u:object_r:ld_so_t:s0", "system_u:object_r:lib_t:s0", "system_u:object_r:lirc_device_t:s0", "system_u:object_r:load_policy_exec_t:s0", "system_u:object_r:locale_t:s0", "system_u:object_r:login_exec_t:s0", "system_u:object_r:logrotate_exec_t:s0", "system_u:object_r:logrotate_var_lib_t:s0", "system_u:object_r:lost_found_t:s0", "system_u:object_r:lvm_control_t:s0", "system_u:object_r:mail_spool_t:s0", "system_u:object_r:man_t:s0", "system_u:object_r:memory_device_t:s0", "system_u:object_r:mnt_t:s0", "system_u:object_r:modem_device_t:s0", "system_u:object_r:modules_conf_t:s0", "system_u:object_r:modules_dep_t:s0", "system_u:object_r:modules_object_t:s0", "system_u:object_r:mount_exec_t:s0", "system_u:object_r:mount_tmp_t:s0", "system_u:object_r:mouse_device_t:s0", "system_u:object_r:mqueue_spool_t:s0", "system_u:object_r:mtrr_device_t:s0", "system_u:object_r:net_conf_t:s0", "system_u:object_r:netcontrol_device_t:s0", "system_u:object_r:netlabel_mgmt_exec_t:s0", "system_u:object_r:netutils_exec_t:s0", "system_u:object_r:newrole_exec_t:s0", "system_u:object_r:null_device_t:s0", "system_u:object_r:nvram_device_t:s0", "system_u:object_r:pam_console_exec_t:s0", "system_u:object_r:pam_exec_t:s0", "system_u:object_r:pam_var_run_t:s0", "system_u:object_r:passwd_exec_t:s0", "system_u:object_r:pinentry_exec_t:s0", "system_u:object_r:ping_exec_t:s0", "system_u:object_r:policy_config_t:s0", "system_u:object_r:policy_src_t:s0", "system_u:object_r:power_device_t:s0", "system_u:object_r:ppp_device_t:s0", "system_u:object_r:printer_device_t:s0", "system_u:object_r:ptchown_exec_t:s0", "system_u:object_r:ptmx_t:s0", "system_u:object_r:public_content_rw_t:s0", "system_u:object_r:public_content_t:s0", "system_u:object_r:qemu_device_t:s0", "system_u:object_r:random_device_t:s0", "system_u:object_r:removable_device_t:s0", "system_u:object_r:restorecond_exec_t:s0", "system_u:object_r:restorecond_var_run_t:s0", "system_u:object_r:root_t:s0", "system_u:object_r:run_init_exec_t:s0", "system_u:object_r:scanner_device_t:s0", "system_u:object_r:scsi_generic_device_t:s0", "system_u:object_r:selinux_config_t:s0", "system_u:object_r:semanage_exec_t:s0", "system_u:object_r:semanage_read_lock_t:s0", "system_u:object_r:semanage_store_t:s0", "system_u:object_r:semanage_trans_lock_t:s0", "system_u:object_r:sendmail_exec_t:s0", "system_u:object_r:setfiles_exec_t:s0", "system_u:object_r:setrans_exec_t:s0", "system_u:object_r:setrans_initrc_exec_t:s0", "system_u:object_r:setrans_var_run_t:s0", "system_u:object_r:shadow_t:s0", "system_u:object_r:shell_exec_t:s0", "system_u:object_r:smartcard_device_t:s0", "system_u:object_r:sound_device_t:s0", "system_u:object_r:src_t:s0", "system_u:object_r:ssh_agent_exec_t:s0", "system_u:object_r:sshd_exec_t:s0", "system_u:object_r:sshd_key_t:s0", "system_u:object_r:sshd_var_run_t:s0", "system_u:object_r:ssh_exec_t:s0", "system_u:object_r:ssh_keygen_exec_t:s0", "system_u:object_r:ssh_keysign_exec_t:s0", "system_u:object_r:sudo_exec_t:s0", "system_u:object_r:su_exec_t:s0", "system_u:object_r:sulogin_exec_t:s0", "system_u:object_r:sysfs_t:s0", "system_u:object_r:syslog_conf_t:s0", "system_u:object_r:syslogd_exec_t:s0", "system_u:object_r:syslogd_initrc_exec_t:s0", "system_u:object_r:syslogd_var_lib_t:s0", "system_u:object_r:syslogd_var_run_t:s0", "system_u:object_r:system_cron_spool_t:s0", "system_u:object_r:system_dbusd_var_lib_t:s0", "system_u:object_r:system_dbusd_var_run_t:s0", "system_u:object_r:systemd_logger_exec_t:s0", "system_u:object_r:systemd_logind_exec_t:s0", "system_u:object_r:systemd_logind_sessions_t:s0", "system_u:object_r:systemd_logind_var_run_t:s0", "system_u:object_r:systemd_notify_exec_t:s0", "system_u:object_r:systemd_passwd_agent_exec_t:s0", "system_u:object_r:systemd_passwd_var_run_t:s0", "system_u:object_r:systemd_systemctl_exec_t:s0", "system_u:object_r:systemd_tmpfiles_exec_t:s0", "system_u:object_r:systemd_unit_file_t:s0", "system_u:object_r:system_map_t:s0", "system_u:object_r:tape_device_t:s0", "system_u:object_r:tetex_data_t:s0", "system_u:object_r:textrel_shlib_t:s0", "system_u:object_r:tmpfs_t:s0", "system_u:object_r:tmpreaper_exec_t:s0", "system_u:object_r:tmp_t:s0", "system_u:object_r:tpm_device_t:s0", "system_u:object_r:traceroute_exec_t:s0", "system_u:object_r:tty_device_t:s0", "system_u:object_r:tun_tap_device_t:s0", "system_u:object_r:tzdata_exec_t:s0", "system_u:object_r:udev_exec_t:s0", "system_u:object_r:udev_helper_exec_t:s0", "system_u:object_r:udev_rules_t:s0", "system_u:object_r:udev_tbl_t:s0", "system_u:object_r:udev_var_run_t:s0", "system_u:object_r:unconfined_execmem_exec_t:s0", "system_u:object_r:unconfined_exec_t:s0", "system_u:object_r:update_modules_exec_t:s0", "system_u:object_r:updpwd_exec_t:s0", "system_u:object_r:urandom_device_t:s0", "system_u:object_r:usb_device_t:s0", "system_u:object_r:usbmon_device_t:s0", "system_u:object_r:usbtty_device_t:s0", "system_u:object_r:useradd_exec_t:s0", "system_u:object_r:user_cron_spool_t:s0", "system_u:object_r:userio_device_t:s0", "system_u:object_r:usr_t:s0", "system_u:object_r:utempter_exec_t:s0", "system_u:object_r:v4l_device_t:s0", "system_u:object_r:var_auth_t:s0", "system_u:object_r:var_lib_t:s0", "system_u:object_r:var_lock_t:s0", "system_u:object_r:var_log_t:s0", "system_u:object_r:var_run_t:s0", "system_u:object_r:var_spool_t:s0", "system_u:object_r:var_t:s0", "system_u:object_r:vhost_device_t:s0", "system_u:object_r:vmware_device_t:s0", "system_u:object_r:watchdog_device_t:s0", "system_u:object_r:wireless_device_t:s0", "system_u:object_r:wtmp_t:s0", "system_u:object_r:xconsole_device_t:s0", "system_u:object_r:xen_device_t:s0", "system_u:object_r:xserver_misc_device_t:s0", "system_u:object_r:zero_device_t:s0"}, NoZ: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp1", TypeSize: 1}}, Val: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 20}, ArgFormat: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sp2", TypeSize: 1}}, Val: 32},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "tcon", IsVarlen: true}, Kind: 2, SubKind: "selinux_task_context", Values: []string{"system_u:system_r:kernel_t:s0\x00", "unconfined_u:system_r:insmod_t:s0-s0:c0.c1023\x00", "/sbin/dhclient\x00", "unconfined\x00", "/usr/lib/telepathy/mission-control-5\x00", "/usr/sbin/cups-browsed\x00", "/usr/sbin/cupsd\x00", "/usr/sbin/ntpd\x00"}},
	}}},
	{Key: StructKey{Name: "sembuf"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sembuf", TypeSize: 6}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "num", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "op", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "semop_flags", FldName: "flg", TypeSize: 2}}, Vals: []uint64{2048, 4096}, BitMask: true},
	}}},
	{Key: StructKey{Name: "semid_ds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "semid_ds", TypeSize: 88}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipc_perm"}, FldName: "perm"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "otime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ctime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nsems", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad0", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "send_mmsghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "send_mmsghdr", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "send_msghdr"}, FldName: "msg_hdr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg_len", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "send_msghdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "send_msghdr", TypeSize: 56}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_name", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_namelen", TypeSize: 4}}, Buf: "msg_name"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_iov", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msg_iovlen", TypeSize: 8}}, Buf: "msg_iov"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_control", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "cmsghdr"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "msg_controllen", TypeSize: 8}}, BitSize: 8, Buf: "msg_control"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "msg_flags", TypeSize: 4}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "send_msghdr_key"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "send_msghdr_key", TypeSize: 56}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_name", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_namelen", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg_iov", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec_sadb_msg"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_iovlen", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_control", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_controllen", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sg_io_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sg_io_hdr", TypeSize: 88}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sg_interface_id", FldName: "interface_id", TypeSize: 4}}, Vals: []uint64{0, 83}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sg_dxfer_direction", FldName: "dxfer_direction", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 18446744073709551614, 18446744073709551613, 18446744073709551612, 18446744073709551611}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cmd_len", TypeSize: 1}}, Buf: "cmdp"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mx_sb_len", TypeSize: 1}}},
		&UnionType{Key: StructKey{Name: "sg_io_hdr_data"}, FldName: "data"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cmdp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sbp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sg_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 65536, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sg_pack_id", FldName: "pack_id", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "usr_ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "status", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "masked_status", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "msg_status", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sb_len_wr", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "host_status", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "driver_status", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "resid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "duration", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "info", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sg_io_hdr_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sg_io_hdr_data", TypeSize: 14}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sg_io_hdr_data_buffer"}, FldName: "buffer"},
		&StructType{Key: StructKey{Name: "sg_io_hdr_data_scatter"}, FldName: "scatter"},
	}}},
	{Key: StructKey{Name: "sg_io_hdr_data_buffer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sg_io_hdr_data_buffer", TypeSize: 14}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "iovec_count", TypeSize: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "dxfer_len", TypeSize: 4}}, BitSize: 8, Buf: "dxferp"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dxferp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "sg_io_hdr_data_scatter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sg_io_hdr_data_scatter", TypeSize: 14}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "iovec_count", TypeSize: 2}}, Buf: "dxferp"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "dxfer_len", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dxferp", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
	}}},
	{Key: StructKey{Name: "shmid_ds"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "shmid_ds", TypeSize: 112}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ipc_perm"}, FldName: "perm"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "segsz", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "atime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dtime", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ctime", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "cpid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "lpid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nattch", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused0", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused1", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "unused2", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "sigaction"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigaction", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "handler", TypeSize: 8}}},
		&StructType{Key: StructKey{Name: "sigset"}, FldName: "mask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sigaction_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 1073741824, 134217728, 2147483648, 268435456, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "restor", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "sigaction", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigaction", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "handler", TypeSize: 8, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "sigset", Dir: 1}, FldName: "mask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sigaction_flags", FldName: "flags", TypeSize: 8, ArgDir: 1}}, Vals: []uint64{1, 2, 1073741824, 134217728, 2147483648, 268435456, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "restor", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sigevent"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigevent", TypeSize: 64}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "val", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signo", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sigev_notify", FldName: "notify", TypeSize: 4}}, Vals: []uint64{1, 0, 2, 4}, BitMask: true},
		&UnionType{Key: StructKey{Name: "sigevent_u"}, FldName: "u"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 32}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sigevent_thread"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigevent_thread", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "func", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "attr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "sigevent_u"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigevent_u", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "tid", TypeSize: 4}},
		&StructType{Key: StructKey{Name: "sigevent_thread"}, FldName: "thr"},
	}}},
	{Key: StructKey{Name: "siginfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "siginfo", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signo", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "errno", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "code", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad3", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "siginfo", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "siginfo", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signo", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 65},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "errno", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "code", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad3", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sigset"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigset", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "sigset", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigset", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sigset", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigset", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "mask", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sigset_size"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sigset_size", TypeSize: 16}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ss", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset", Dir: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "ss"},
	}}},
	{Key: StructKey{Name: "sit_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sit_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_PROTO, int16], const[IPPROTO_IPV6, int8]]"}, FldName: "IFLA_IPTUN_PROTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv6_addr]"}, FldName: "IFLA_IPTUN_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv6_addr]"}, FldName: "IFLA_IPTUN_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tunl_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tunl_policy"}}},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FLAGS, int16], int32[0:0x40]]"}, FldName: "IFLA_IPTUN_FLAGS"},
	}}},
	{Key: StructKey{Name: "snd_ctl_elem_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_elem_id", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numid", TypeSize: 4}}, Kind: 2, RangeEnd: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_ctl_iface", FldName: "iface", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdev", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 44}, Kind: 2, SubKind: "snd_ctl_names", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_ctl_elem_id", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_elem_id", TypeSize: 64, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numid", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_ctl_iface", FldName: "iface", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdev", TypeSize: 4, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 44, ArgDir: 1}, Kind: 2, SubKind: "snd_ctl_names", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "snd_ctl_elem_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_elem_info", TypeSize: 272}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_ctl_elem_id"}, FldName: "id"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}, Kind: 2, RangeEnd: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_ctl_access", FldName: "access", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 8, 16, 32, 48, 64, 256, 512, 1024, 268435456, 536870912}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "owner", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "items", TypeSize: 4}}, Buf: "names_ptr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "item", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, SubKind: "snd_ctl_elem_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "names_ptr", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "names_length", TypeSize: 4}}, BitSize: 8, Buf: "names_ptr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad1", TypeSize: 44}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 44, RangeEnd: 44},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "d", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 56}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_ctl_elem_list"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_elem_list", TypeSize: 80}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "off", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "space", TypeSize: 4}}, Buf: "pids"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "used", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pids", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_id", Dir: 1}}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 50}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 50, RangeEnd: 50},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_ctl_elem_value"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_elem_value", TypeSize: 1224}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_ctl_elem_id"}, FldName: "id"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "indir", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 1024}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
		&StructType{Key: StructKey{Name: "timespec"}, FldName: "tstamp"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 112}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_ctl_tlv"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_ctl_tlv", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numid", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 4}}, BitSize: 8, Buf: "tlv"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tlv", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}}},
	{Key: StructKey{Name: "snd_pcm_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_pcm_info", TypeSize: 288}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stream", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "card", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "id", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 80}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 80, RangeEnd: 80},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "subname", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devcl", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devscl", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avail", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sync", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_rawmidi_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_rawmidi_info", TypeSize: 268}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdev", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stream", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "card", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "id", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 80}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 80, RangeEnd: 80},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "subname", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avail", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_rawmidi_info_raw", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_rawmidi_info_raw", TypeSize: 268, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "device", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdevice", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sndrv_rawmidi_stream", FldName: "stream", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "card", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_rawmidi_info_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "id", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 80, ArgDir: 1}, Kind: 1, RangeBegin: 80, RangeEnd: 80},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "subname", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdevices_count", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdevices_avail", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 64, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_rawmidi_params", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_rawmidi_params", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sndrv_rawmidi_stream", FldName: "stream", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buffer_size", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avail_min", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "no_active_sensing", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "snd_rawmidi_status", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_rawmidi_status", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sndrv_rawmidi_stream", FldName: "stream", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "timespec", Dir: 2}, FldName: "tstamp"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avail", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xruns", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "snd_seq_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_addr", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "client", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "snd_seq_addr", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_addr", TypeSize: 2, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "client", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "port", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "snd_seq_client_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_client_info", TypeSize: 188}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "client", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_client_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, SubKind: "snd_seq_client_name", Values: []string{"client0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "client1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_filter", FldName: "filter", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 18446744071562067968}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mfilt", TypeSize: 8}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "evfilt", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nports", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lost", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_client_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_client_info", TypeSize: 188, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "client", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_client_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64, ArgDir: 1}, Kind: 2, SubKind: "snd_seq_client_name", Values: []string{"client0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "client1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_filter", FldName: "filter", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 18446744071562067968}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mfilt", TypeSize: 8, ArgDir: 1}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "evfilt", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nports", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lost", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_client_pool"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_client_pool", TypeSize: 88}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "client", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "opool", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ipool", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oroom", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ofree", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ifree", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_connect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_connect", TypeSize: 4}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "sender"},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "dest"},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_ctrl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_ctrl", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "param", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_ext"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_ext", TypeSize: 12}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 4}}, Buf: "ptr"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_note"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_note", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "note", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "veloc", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "oveloc", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dur", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_queue_control"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_queue_control", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "queue", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&StructType{Key: StructKey{Name: "snd_seq_queue_skew"}, FldName: "param"},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_quote"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_quote", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "origin"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "val", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "event", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "snd_seq_event"}}},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_raw32"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_raw32", TypeSize: 12}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 12}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "snd_seq_ev_raw8"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_ev_raw8", TypeSize: 12}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 12}, Kind: 1, RangeBegin: 12, RangeEnd: 12},
	}}},
	{Key: StructKey{Name: "snd_seq_event"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_event", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "type", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tag", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "queue", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "snd_seq_timestamp"}, FldName: "time"},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "src"},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "dst"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "snd_seq_event_data"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "snd_seq_event_data"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_event_data", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_ev_note"}, FldName: "note"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_ctrl"}, FldName: "control"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_raw8"}, FldName: "raw8"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_raw32"}, FldName: "raw32"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_ext"}, FldName: "ext"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_queue_control"}, FldName: "queue"},
		&UnionType{Key: StructKey{Name: "snd_seq_timestamp"}, FldName: "time"},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "addr"},
		&StructType{Key: StructKey{Name: "snd_seq_connect"}, FldName: "connect"},
		&StructType{Key: StructKey{Name: "snd_seq_result"}, FldName: "result"},
		&StructType{Key: StructKey{Name: "snd_seq_ev_quote"}, FldName: "quote"},
	}}},
	{Key: StructKey{Name: "snd_seq_port_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_port_info", TypeSize: 176}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "addr"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, SubKind: "snd_seq_port_name", Values: []string{"port0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "port1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_cap", FldName: "cap", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 1024, 2048, 4096, 65536, 131072, 262144, 524288, 1048576}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chans", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "voices", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "svoices", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "readuse", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wruse", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kernel", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeq", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 59}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 59, RangeEnd: 59},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_seq_port_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_port_info", TypeSize: 176, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr", Dir: 1}, FldName: "addr"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64, ArgDir: 1}, Kind: 2, SubKind: "snd_seq_port_name", Values: []string{"port0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "port1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_cap", FldName: "cap", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 1024, 2048, 4096, 65536, 131072, 262144, 524288, 1048576}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chans", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "voices", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "svoices", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "readuse", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wruse", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kernel", TypeSize: 8, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_port_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeq", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 59, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 59, RangeEnd: 59},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_seq_port_subscribe"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_port_subscribe", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "sender"},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "dest"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "voices", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_sub_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "queue", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad1", TypeSize: 3}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad2", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_query_subs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_query_subs", TypeSize: 88}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "root"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_subs_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nsubs", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "queue", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_client"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_client", TypeSize: 76}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "client", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "used", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_info", TypeSize: 140}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "owner", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "locked", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, SubKind: "snd_seq_queue_name", Values: []string{"queue0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "queue1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 60}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_skew"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_skew", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "base", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_status"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_status", TypeSize: 104}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "events", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tick", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "timespec"}, FldName: "time"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "runnint", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_status", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_status", TypeSize: 104, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queue", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "events", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tick", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "timespec", Dir: 1}, FldName: "time"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "runnint", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_queue_timer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_queue_timer", TypeSize: 92}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queue", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_timer_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&StructType{Key: StructKey{Name: "snd_timer_id"}, FldName: "id"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "snd_seq_remove_events"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_remove_events", TypeSize: 80}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_remove_mode", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "snd_seq_timestamp"}, FldName: "time"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "queue", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "snd_seq_addr"}, FldName: "dest"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_seq_client_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tag", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 40}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 10, RangeEnd: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_seq_result"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_result", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "event", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "result", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_seq_running_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_running_info", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "client", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bigend", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cpumode", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad2", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 12, RangeEnd: 12},
	}}},
	{Key: StructKey{Name: "snd_seq_system_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_system_info", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "queues", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "clients", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ports", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "channel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nclient", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nqueue", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 24}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 24, RangeEnd: 24},
	}}},
	{Key: StructKey{Name: "snd_seq_timestamp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_seq_timestamp", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tick", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "timespec"}, FldName: "time"},
	}}},
	{Key: StructKey{Name: "snd_timer_ginfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_ginfo", TypeSize: 248}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_timer_id"}, FldName: "tid"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "card", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "id", TypeSize: 64}, Kind: 2, SubKind: "snd_timer_id_str", Values: []string{"id0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "id1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 80}, Kind: 2, SubKind: "snd_timer_name", Values: []string{"timer0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "timer1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "resmin", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "resmax", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "clients", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad2", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "snd_timer_gparams"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_gparams", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_timer_id"}, FldName: "tid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "periodn", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "periodd", TypeSize: 8}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "snd_timer_gstatus"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_gstatus", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_timer_id"}, FldName: "tid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "res", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "resnum", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "resden", TypeSize: 8}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "snd_timer_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_id", TypeSize: 20}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_timer_class", FldName: "class", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_timer_sclass", FldName: "sclass", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "card", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_timer_dev", FldName: "dev", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "subdev", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "snd_timer_params"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_params", TypeSize: 80}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_timer_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ticks", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qsize", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad1", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "snd_timer_filter", FldName: "filter", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 12, 13, 14, 15, 17, 18}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad2", TypeSize: 60}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
	}}},
	{Key: StructKey{Name: "snd_timer_select"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "snd_timer_select", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "snd_timer_id"}, FldName: "tid"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "sock_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sock_filter", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "code", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "jt", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "jf", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "k", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sock_fprog"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sock_fprog", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 2}}, Buf: "filter"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "filter", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}}},
	}}},
	{Key: StructKey{Name: "sock_in6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sock_in6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "sock_in_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sock_in_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "sockaddr", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 2}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 2}, FldName: "ax25"},
		&StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 2}, FldName: "ipx"},
		&UnionType{Key: StructKey{Name: "sockaddr_nl", Dir: 2}, FldName: "nl"},
		&StructType{Key: StructKey{Name: "sockaddr_llc", Dir: 2}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "sockaddr_can", Dir: 2}, FldName: "can"},
		&StructType{Key: StructKey{Name: "sockaddr_sco", Dir: 2}, FldName: "sco"},
		&StructType{Key: StructKey{Name: "sockaddr_l2", Dir: 2}, FldName: "l2"},
		&StructType{Key: StructKey{Name: "sockaddr_hci", Dir: 2}, FldName: "hci"},
		&StructType{Key: StructKey{Name: "sockaddr_rc", Dir: 2}, FldName: "rc"},
		&StructType{Key: StructKey{Name: "sockaddr_nfc", Dir: 2}, FldName: "nfc"},
		&StructType{Key: StructKey{Name: "sockaddr_vm", Dir: 2}, FldName: "vsock"},
		&StructType{Key: StructKey{Name: "sockaddr_xdp", Dir: 2}, FldName: "xdp"},
		&StructType{Key: StructKey{Name: "sockaddr_ethernet", Dir: 2}, FldName: "ethernet"},
		&StructType{Key: StructKey{Name: "sockaddr_generic", Dir: 2}, FldName: "generic"},
	}}},
	{Key: StructKey{Name: "sockaddr_alg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_alg", TypeSize: 88}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2}}, Val: 38},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "type", TypeSize: 14}, Kind: 2, Values: []string{"filled later\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "af_alg_type", FldName: "feat", TypeSize: 4}}, Vals: []uint64{15, 1, 2, 3, 4, 5, 6, 14, 14, 14, 15, 12, 13, 15, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "af_alg_type", FldName: "mask", TypeSize: 4}}, Vals: []uint64{15, 1, 2, 3, 4, 5, 6, 14, 14, 14, 15, 12, 13, 15, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "sockaddr_alg", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_alg", TypeSize: 88, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 1}}, Val: 38},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "type", TypeSize: 14, ArgDir: 1}, Kind: 2, Values: []string{"filled later\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "af_alg_type", FldName: "feat", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{15, 1, 2, 3, 4, 5, 6, 14, 14, 14, 15, 12, 13, 15, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "af_alg_type", FldName: "mask", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{15, 1, 2, 3, 4, 5, 6, 14, 14, 14, 15, 12, 13, 15, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 64, ArgDir: 1}, Kind: 2, Values: []string{"filled later\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "sockaddr_ax25"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ax25", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sax25_family", TypeSize: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "ax25_address"}, FldName: "sax25_call"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sax25_ndigis", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ax25", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sax25_family", TypeSize: 2, ArgDir: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "ax25_address", Dir: 1}, FldName: "sax25_call"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sax25_ndigis", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ax25", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ax25", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sax25_family", TypeSize: 2, ArgDir: 2}}, Val: 3},
		&StructType{Key: StructKey{Name: "ax25_address", Dir: 2}, FldName: "sax25_call"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sax25_ndigis", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_can"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_can", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "can_family", TypeSize: 2}}, Val: 29},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_vcan", FldName: "can_ifindex", TypeSize: 4, IsOptional: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rx_id", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tx_id", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_can", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_can", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "can_family", TypeSize: 2, ArgDir: 1}}, Val: 29},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_vcan", FldName: "can_ifindex", TypeSize: 4, ArgDir: 1, IsOptional: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rx_id", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tx_id", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_can", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_can", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "can_family", TypeSize: 2, ArgDir: 2}}, Val: 29},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex_vcan", FldName: "can_ifindex", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "rx_id", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tx_id", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ethernet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet", TypeSize: 16}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet_family", FldName: "sa_family", TypeSize: 2}}, Vals: []uint64{1, 774, 6}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sa_data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_ethernet", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet_family", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{1, 774, 6}},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 1}, FldName: "sa_data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_ethernet", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockaddr_ethernet_family", FldName: "sa_family", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 774, 6}},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "sa_data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 8}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_generic", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_generic", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "sa_family", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sa_data", TypeSize: 14, ArgDir: 2}, Kind: 1, RangeBegin: 14, RangeEnd: 14},
	}}},
	{Key: StructKey{Name: "sockaddr_hci"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_hci", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "dev", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_chi_chan", FldName: "chan", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_hci", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_hci", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 1}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "dev", TypeSize: 4, ArgDir: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_chi_chan", FldName: "chan", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_hci", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_hci", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 2}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "dev", TypeSize: 4, ArgDir: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_chi_chan", FldName: "chan", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_ib"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ib", TypeSize: 48}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sib_family", TypeSize: 2}}, Val: 27},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sib_pkey", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sib_flowinfo", TypeSize: 4}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "ib_addr"}, FldName: "sib_addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64be", FldName: "sib_sid", TypeSize: 8}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64be", FldName: "sib_sid_mask", TypeSize: 8}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sib_scope_id", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "sockaddr_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "sockaddr_in", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 1}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 8, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "sockaddr_in", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 2}, FldName: "addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "sockaddr_in6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in6", TypeSize: 28}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flow", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "scope", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_in6", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in6", TypeSize: 28, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 1}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flow", TypeSize: 4, ArgDir: 1}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 1}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "scope", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_in6", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_in6", TypeSize: 28, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 2}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "port", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flow", TypeSize: 4, ArgDir: 2}}},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 2}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "scope", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ipx"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ipx", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sipx_family", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sipx_port", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sipx_network", TypeSize: 4}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sipx_node", TypeSize: 6}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sipx_type", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ipx", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sipx_family", TypeSize: 2, ArgDir: 1}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sipx_port", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sipx_network", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sipx_node", TypeSize: 6, ArgDir: 1}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sipx_type", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 1, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_ipx", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ipx", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sipx_family", TypeSize: 2, ArgDir: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sipx_port", TypeSize: 2, ArgDir: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "sipx_network", TypeSize: 4, ArgDir: 2}, ArgFormat: 1}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sipx_node", TypeSize: 6, ArgDir: 2}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sipx_type", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 1, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_l2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2", TypeSize: 14}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "psm", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cid", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "typ", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_l2", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2", TypeSize: 14, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 1}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "psm", TypeSize: 2, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 1}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cid", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "typ", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_l2", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2", TypeSize: 14, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 2}}, Val: 31},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "psm", TypeSize: 2, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 2}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cid", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "typ", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tp_addr]"}, FldName: "pppol2tp"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpin6_addr]"}, FldName: "pppol2tpin6"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3_addr]"}, FldName: "pppol2tpv3"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3in6_addr]"}, FldName: "pppol2tpv3in6"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tp_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tp_addr]", TypeSize: 38}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tp_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tp_addr]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tp_addr]", TypeSize: 38, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tp_addr", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpin6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpin6_addr]", TypeSize: 50}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpin6_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpin6_addr]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpin6_addr]", TypeSize: 50, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpin6_addr", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpv3_addr]", TypeSize: 46}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpv3_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3_addr]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpv3_addr]", TypeSize: 46, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpv3_addr", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3in6_addr]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpv3in6_addr]", TypeSize: 58}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpv3in6_addr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3in6_addr]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_l2tp_t[pppol2tpv3in6_addr]", TypeSize: 58, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "pppol2tpv3in6_addr", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_ll"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ll", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_family", TypeSize: 2}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_protocols", FldName: "sll_protocol", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sll_ifindex", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_hatype", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sll_pkttype", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_halen", TypeSize: 1}}, Val: 6},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sll_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "sockaddr_ll", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_ll", TypeSize: 20, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_family", TypeSize: 2, ArgDir: 1}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_protocols", FldName: "sll_protocol", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sll_ifindex", TypeSize: 4, ArgDir: 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_hatype", TypeSize: 2, ArgDir: 1}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sll_pkttype", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sll_halen", TypeSize: 1, ArgDir: 1}}, Val: 6},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 1}, FldName: "sll_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pad", TypeSize: 2, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "sockaddr_llc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_llc", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sllc_family", TypeSize: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dev_type_arphdr", FldName: "sllc_arphrd", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 519, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 826, 65535, 65534}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_test", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_xid", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_ua", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_sap", TypeSize: 1}}},
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "sll_addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_llc", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_llc", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sllc_family", TypeSize: 2, ArgDir: 1}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dev_type_arphdr", FldName: "sllc_arphrd", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 519, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 826, 65535, 65534}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_test", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_xid", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_ua", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_sap", TypeSize: 1, ArgDir: 1}}},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 1}, FldName: "sll_addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_llc", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_llc", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sllc_family", TypeSize: 2, ArgDir: 2}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dev_type_arphdr", FldName: "sllc_arphrd", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 519, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 826, 65535, 65534}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_test", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_xid", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_ua", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "sllc_sap", TypeSize: 1, ArgDir: 2}}},
		&UnionType{Key: StructKey{Name: "mac_addr", Dir: 2}, FldName: "sll_addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_netrom"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_netrom", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_ax25"}, FldName: "ax25"},
		&StructType{Key: StructKey{Name: "full_sockaddr_ax25"}, FldName: "full"},
	}}},
	{Key: StructKey{Name: "sockaddr_netrom", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_netrom", ArgDir: 1, IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}, FldName: "ax25"},
		&StructType{Key: StructKey{Name: "full_sockaddr_ax25", Dir: 1}, FldName: "full"},
	}}},
	{Key: StructKey{Name: "sockaddr_nfc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nfc", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 39},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_idx", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "target_idx", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_proto", FldName: "nfc_protocol", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
	}}},
	{Key: StructKey{Name: "sockaddr_nfc", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nfc", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 39},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_idx", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "target_idx", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_proto", FldName: "nfc_protocol", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
	}}},
	{Key: StructKey{Name: "sockaddr_nfc", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nfc", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 2}}, Val: 39},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_idx", TypeSize: 4, ArgDir: 2}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "target_idx", TypeSize: 4, ArgDir: 2}}, Kind: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_proto", FldName: "nfc_protocol", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
	}}},
	{Key: StructKey{Name: "sockaddr_nfc_llcp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nfc_llcp", TypeSize: 96}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2}}, Val: 39},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devidx", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "target", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_proto", FldName: "proto", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dsap", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ssap", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "service_name", TypeSize: 63}, Kind: 1, RangeBegin: 63, RangeEnd: 63},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "servlen", TypeSize: 8}}, Kind: 2, RangeEnd: 63},
	}}},
	{Key: StructKey{Name: "sockaddr_nfc_llcp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nfc_llcp", TypeSize: 96, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 2, ArgDir: 1}}, Val: 39},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "devidx", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "target", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_proto", FldName: "proto", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dsap", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ssap", TypeSize: 1, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "service_name", TypeSize: 63, ArgDir: 1}, Kind: 1, RangeBegin: 63, RangeEnd: 63},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "servlen", TypeSize: 8, ArgDir: 1}}, Kind: 2, RangeEnd: 63},
	}}},
	{Key: StructKey{Name: "sockaddr_nl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}, FldName: "kern"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]"}, FldName: "proc"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]"}, FldName: "unspec"},
	}}},
	{Key: StructKey{Name: "sockaddr_nl", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", Dir: 1}, FldName: "kern"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", Dir: 1}, FldName: "proc"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 1}, FldName: "unspec"},
	}}},
	{Key: StructKey{Name: "sockaddr_nl", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", Dir: 2}, FldName: "kern"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", Dir: 2}, FldName: "proc"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 2}, FldName: "unspec"},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_send"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_send", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}, FldName: "kern"},
		&StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]"}, FldName: "proc"},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 1}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, const[0, int32], flags[netlink_group_bitmap, int32]]", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 2}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nl_pid", TypeSize: 4}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 1}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nl_pid", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 2}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nl_pid", TypeSize: 4, ArgDir: 2}}, Kind: 2, RangeBegin: 635427835, RangeEnd: 635427839},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_group_bitmap", FldName: "nl_groups", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_groups", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_groups", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", TypeSize: 12, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_family", TypeSize: 2, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pad", TypeSize: 2, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_pid", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "nl_groups", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_pppoe"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_pppoe", TypeSize: 30}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "pppoe_addr"}, FldName: "pppoe"},
	}}},
	{Key: StructKey{Name: "sockaddr_pppoe", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_pppoe", TypeSize: 30, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "pppoe_addr", Dir: 1}, FldName: "pppoe"},
	}}},
	{Key: StructKey{Name: "sockaddr_pptp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_pptp", TypeSize: 30}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4}}, Val: 2},
		&StructType{Key: StructKey{Name: "pptp_addr"}, FldName: "pptp"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 16}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_pptp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_pptp", TypeSize: 30, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sa_protocol", TypeSize: 4, ArgDir: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "pptp_addr", Dir: 1}, FldName: "pptp"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 16}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_rc"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_rc", TypeSize: 10}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_rc", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_rc", TypeSize: 10, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 1}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 1}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_rc", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_rc", TypeSize: 10, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 2}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 2}, FldName: "addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chan", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "sockaddr_rdma_cm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_rdma_cm", TypeSize: 128}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "in6"},
		&StructType{Key: StructKey{Name: "sockaddr_ib"}, FldName: "ib"},
	}}},
	{Key: StructKey{Name: "sockaddr_sco"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_sco", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr"}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_sco", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_sco", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 1}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 1}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_sco", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_sco", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 2, ArgDir: 2}}, Val: 31},
		&StructType{Key: StructKey{Name: "bdaddr", Dir: 2}, FldName: "addr"},
	}}},
	{Key: StructKey{Name: "sockaddr_sctp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_sctp", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sockaddr_storage"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage", TypeSize: 128}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "sockaddr_un"}, FldName: "un"},
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_ax25"}, FldName: "ax25"},
		&StructType{Key: StructKey{Name: "sockaddr_ipx"}, FldName: "ipx"},
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "in6"},
		&UnionType{Key: StructKey{Name: "sockaddr_nl"}, FldName: "nl"},
		&StructType{Key: StructKey{Name: "sockaddr_ll"}, FldName: "ll"},
		&StructType{Key: StructKey{Name: "sockaddr_pppoe"}, FldName: "pppoe"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tp_addr]"}, FldName: "pppol2tp"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpin6_addr]"}, FldName: "pppol2tpin6"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3_addr]"}, FldName: "pppol2tpv3"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3in6_addr]"}, FldName: "pppol2tpv3in6"},
		&StructType{Key: StructKey{Name: "sockaddr_pptp"}, FldName: "pptp"},
		&StructType{Key: StructKey{Name: "sockaddr_llc"}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "sockaddr_can"}, FldName: "can"},
		&StructType{Key: StructKey{Name: "sockaddr_sco"}, FldName: "sco"},
		&StructType{Key: StructKey{Name: "sockaddr_l2"}, FldName: "l2"},
		&StructType{Key: StructKey{Name: "sockaddr_hci"}, FldName: "hci"},
		&StructType{Key: StructKey{Name: "sockaddr_rc"}, FldName: "rc"},
		&StructType{Key: StructKey{Name: "sockaddr_alg"}, FldName: "alg"},
		&StructType{Key: StructKey{Name: "sockaddr_nfc"}, FldName: "nfc"},
		&StructType{Key: StructKey{Name: "sockaddr_nfc_llcp"}, FldName: "nfc_llcp"},
		&StructType{Key: StructKey{Name: "sockaddr_vm"}, FldName: "vsock"},
		&StructType{Key: StructKey{Name: "sockaddr_xdp"}, FldName: "xdp"},
		&StructType{Key: StructKey{Name: "sockaddr_ethernet"}, FldName: "ethernet"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_generic"}, FldName: "generic"},
	}}},
	{Key: StructKey{Name: "sockaddr_storage", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage", TypeSize: 128, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "sockaddr_un", Dir: 1}, FldName: "un"},
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}, FldName: "ax25"},
		&StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}, FldName: "ipx"},
		&StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}, FldName: "in6"},
		&UnionType{Key: StructKey{Name: "sockaddr_nl", Dir: 1}, FldName: "nl"},
		&StructType{Key: StructKey{Name: "sockaddr_ll", Dir: 1}, FldName: "ll"},
		&StructType{Key: StructKey{Name: "sockaddr_pppoe", Dir: 1}, FldName: "pppoe"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tp_addr]", Dir: 1}, FldName: "pppol2tp"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpin6_addr]", Dir: 1}, FldName: "pppol2tpin6"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3_addr]", Dir: 1}, FldName: "pppol2tpv3"},
		&StructType{Key: StructKey{Name: "sockaddr_l2tp_t[pppol2tpv3in6_addr]", Dir: 1}, FldName: "pppol2tpv3in6"},
		&StructType{Key: StructKey{Name: "sockaddr_pptp", Dir: 1}, FldName: "pptp"},
		&StructType{Key: StructKey{Name: "sockaddr_llc", Dir: 1}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "sockaddr_can", Dir: 1}, FldName: "can"},
		&StructType{Key: StructKey{Name: "sockaddr_sco", Dir: 1}, FldName: "sco"},
		&StructType{Key: StructKey{Name: "sockaddr_l2", Dir: 1}, FldName: "l2"},
		&StructType{Key: StructKey{Name: "sockaddr_hci", Dir: 1}, FldName: "hci"},
		&StructType{Key: StructKey{Name: "sockaddr_rc", Dir: 1}, FldName: "rc"},
		&StructType{Key: StructKey{Name: "sockaddr_alg", Dir: 1}, FldName: "alg"},
		&StructType{Key: StructKey{Name: "sockaddr_nfc", Dir: 1}, FldName: "nfc"},
		&StructType{Key: StructKey{Name: "sockaddr_nfc_llcp", Dir: 1}, FldName: "nfc_llcp"},
		&StructType{Key: StructKey{Name: "sockaddr_vm", Dir: 1}, FldName: "vsock"},
		&StructType{Key: StructKey{Name: "sockaddr_xdp", Dir: 1}, FldName: "xdp"},
		&StructType{Key: StructKey{Name: "sockaddr_ethernet", Dir: 1}, FldName: "ethernet"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_generic", Dir: 1}, FldName: "generic"},
	}}},
	{Key: StructKey{Name: "sockaddr_storage_generic"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_generic", TypeSize: 128}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "sa_family", TypeSize: 2}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sa_data", TypeSize: 126}, Kind: 1, RangeBegin: 126, RangeEnd: 126},
	}}},
	{Key: StructKey{Name: "sockaddr_storage_generic", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_generic", TypeSize: 128, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "sa_family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "sa_data", TypeSize: 126, ArgDir: 1}, Kind: 1, RangeBegin: 126, RangeEnd: 126},
	}}},
	{Key: StructKey{Name: "sockaddr_storage_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_in", TypeSize: 128}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 112}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sockaddr_storage_in", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_in", TypeSize: 128, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in", Dir: 2}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 112}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sockaddr_storage_in6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_in6", TypeSize: 128}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in6"}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 96}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sockaddr_storage_in6", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_in6", TypeSize: 128, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 2}, FldName: "addr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 96}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "sockaddr_storage_sctp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_sctp", TypeSize: 128}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sockaddr_storage_sctp", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_sctp", TypeSize: 128, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_storage_in", Dir: 2}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6", Dir: 2}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sockaddr_storage_tcp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_storage_tcp", TypeSize: 128}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_storage_in"}, FldName: "in"},
		&StructType{Key: StructKey{Name: "sockaddr_storage_in6"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "sockaddr_un"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un", TypeSize: 110}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_un_file"}, FldName: "file"},
		&StructType{Key: StructKey{Name: "sockaddr_un_abstract"}, FldName: "abs"},
	}}},
	{Key: StructKey{Name: "sockaddr_un", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un", TypeSize: 110, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "sockaddr_un_file", Dir: 1}, FldName: "file"},
		&StructType{Key: StructKey{Name: "sockaddr_un_abstract", Dir: 1}, FldName: "abs"},
	}}},
	{Key: StructKey{Name: "sockaddr_un_abstract"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un_abstract", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{1, 0}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ind", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "sockaddr_un_abstract", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un_abstract", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_family", FldName: "family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{1, 0}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ind", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "sockaddr_un_file"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un_file", TypeSize: 110}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{1, 0}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "path", TypeSize: 108}, Kind: 3},
	}}},
	{Key: StructKey{Name: "sockaddr_un_file", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_un_file", TypeSize: 110, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_family", FldName: "family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{1, 0}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "path", TypeSize: 108, ArgDir: 1}, Kind: 3},
	}}},
	{Key: StructKey{Name: "sockaddr_vm"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_vm", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_family", TypeSize: 2}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_reserved1", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vmaddr_port", FldName: "svm_port", TypeSize: 4}}, Vals: []uint64{4294967295, 0, 10000, 10001}},
		&UnionType{Key: StructKey{Name: "vmaddr_cid"}, FldName: "svm_cid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_zero", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_vm", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_vm", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_family", TypeSize: 2, ArgDir: 1}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_reserved1", TypeSize: 2, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vmaddr_port", FldName: "svm_port", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{4294967295, 0, 10000, 10001}},
		&UnionType{Key: StructKey{Name: "vmaddr_cid", Dir: 1}, FldName: "svm_cid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_zero", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_vm", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_vm", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_family", TypeSize: 2, ArgDir: 2}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_reserved1", TypeSize: 2, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vmaddr_port", FldName: "svm_port", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{4294967295, 0, 10000, 10001}},
		&UnionType{Key: StructKey{Name: "vmaddr_cid", Dir: 2}, FldName: "svm_cid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "svm_zero", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_xdp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_xdp", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_family", TypeSize: 2}}, Val: 44},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sxdp_flags", FldName: "sxdp_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sxdp_ifindex", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sxdp_queue_id", TypeSize: 4}}, Kind: 2, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_shared_umem_fd", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "sockaddr_xdp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_xdp", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_family", TypeSize: 2, ArgDir: 1}}, Val: 44},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sxdp_flags", FldName: "sxdp_flags", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sxdp_ifindex", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sxdp_queue_id", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_shared_umem_fd", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sockaddr_xdp", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_xdp", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_family", TypeSize: 2, ArgDir: 2}}, Val: 44},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sxdp_flags", FldName: "sxdp_flags", TypeSize: 2, ArgDir: 2}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sxdp_ifindex", TypeSize: 4, ArgDir: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sxdp_queue_id", TypeSize: 4, ArgDir: 2}}, Kind: 2, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_shared_umem_fd", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "sockaddr_xdp_bind"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sockaddr_xdp_bind", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "sxdp_family", TypeSize: 2}}, Val: 44},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sxdp_flags", FldName: "sxdp_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "sxdp_ifindex", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sxdp_queue_id", TypeSize: 4}}, Kind: 2, RangeEnd: 64},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "sxdp_shared_umem_fd", TypeSize: 4, IsOptional: true}},
	}}},
	{Key: StructKey{Name: "space_resv"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "space_resv", TypeSize: 48}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "l_type", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seek_whence", FldName: "l_whence", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "l_start", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "l_len", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "l_sysid", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "l_pid", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "l_pad", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "stab_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "stab_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_STAB_BASE, int16], tc_sizespec]"}, FldName: "TCA_STAB_BASE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_STAB_DATA, int16], array[int16, 0:10]]"}, FldName: "TCA_STAB_DATA"},
	}}},
	{Key: StructKey{Name: "stat", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "stat", TypeSize: 68, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dev", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ino", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mode", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nlink", TypeSize: 2, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rdev", TypeSize: 2, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "blksize", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "blocks", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "atime", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ansec", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtime", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mnsec", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ctime", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cnsec", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad1", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad2", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "statx", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "statx", TypeSize: 256, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "blksize", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "attributes", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nlink", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uid", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gid", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mode", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "__spare0", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ino", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "size", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "blocks", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "__spare1", TypeSize: 8, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "statx_timestamp", Dir: 1}, FldName: "atime"},
		&StructType{Key: StructKey{Name: "statx_timestamp", Dir: 1}, FldName: "btime"},
		&StructType{Key: StructKey{Name: "statx_timestamp", Dir: 1}, FldName: "ctime"},
		&StructType{Key: StructKey{Name: "statx_timestamp", Dir: 1}, FldName: "mtime"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rdev_major", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rdev_minor", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_major", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev_minor", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "__spare2", TypeSize: 112, ArgDir: 1}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}, Kind: 1, RangeBegin: 14, RangeEnd: 14},
	}}},
	{Key: StructKey{Name: "statx_timestamp", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "statx_timestamp", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sec", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nsec", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "__reserved", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "sync_serial_settings"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "sync_serial_settings", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "loop", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "tc_cbq_fopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_cbq_fopt", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "split"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "defmap", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "defchange", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_cbq_lssopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_cbq_lssopt", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "change", TypeSize: 1}}, Kind: 2, RangeEnd: 64},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}, Kind: 2, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ewma_log", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "level", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maxidle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "minidle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offtime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avpkt", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_cbq_wrropt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_cbq_wrropt", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "priority", TypeSize: 1}}, Kind: 2, RangeEnd: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cpriority", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "__reserved", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "allot", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "weight", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_cbs_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_cbs_qopt", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "offload", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "_pad", TypeSize: 3}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hicredit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "locredit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idleslope", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sendslope", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_connmark"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_connmark", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "zone", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "tc_csum"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_csum", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "update_flags", TypeSize: 4}}, Kind: 2, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "tc_estimator"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_estimator", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "interval", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ewma_log", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tc_gact_p"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_gact_p", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_pgact_flags", FldName: "ptype", TypeSize: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pval", TypeSize: 2}}, Kind: 2, RangeEnd: 10000},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_actions", FldName: "paction", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3, 4, 5, 6, 7, 8, 268435456, 536870912}},
	}}},
	{Key: StructKey{Name: "tc_gen"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_gen", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "capab", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_actions", FldName: "action", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3, 4, 5, 6, 7, 8, 268435456, 536870912}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "refcnt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bindcnt", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_gred_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_gred_qopt", TypeSize: 52}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DP", TypeSize: 4}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "backlog", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qave", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "forced", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "early", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "other", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pdrop", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Wlog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Plog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Scell_log", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "prio", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "packets", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesin", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_gred_sopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_gred_sopt", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DPs", TypeSize: 4}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "def_DP", TypeSize: 4}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "grio", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}, Kind: 2, RangeEnd: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad1", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tc_htb_glob"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_htb_glob", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 4}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate2quantum", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "defcls", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "debug", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "direct_pkts", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_htb_opt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_htb_opt", TypeSize: 44}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "rate"},
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "ceil"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buffer", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbuffer", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "quantum", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prio", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_ife"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_ife", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "tc_mirred"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_mirred", TypeSize: 28}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_mirred_eactions", FldName: "eaction", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "tc_mqprio_message"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_mqprio_message", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_mqprio_qopt"}, FldName: "qopt"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_mqprio_options"}}},
	}}},
	{Key: StructKey{Name: "tc_mqprio_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_mqprio_qopt", TypeSize: 82}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "num_tc", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prio_tc_map", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hw", TypeSize: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "count", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "offset", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tc_multiq_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_multiq_qopt", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bands", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "max_bands", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tc_nat"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_nat", TypeSize: 36}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "old_addr"},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "new_addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", FldName: "mask", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "tc_netem_corr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_corr", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "delay_corr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "loss_corr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dup_corr", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_corrupt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_corrupt", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "probability", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "correlation", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_gemodel"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_gemodel", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "r", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "k1", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_gimodel"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_gimodel", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p13", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p31", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p32", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p14", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "p23", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_message"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_message", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_netem_qopt"}, FldName: "qopt"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "attrs", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "q_netem_options"}}},
	}}},
	{Key: StructKey{Name: "tc_netem_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_qopt", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "latency", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "loss", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gap", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "duplicate", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "jitter", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_rate"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_rate", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "packet_overhead", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cell_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cell_overhead", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_reorder"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_reorder", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "probability", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "correlation", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_netem_slot"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_netem_slot", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "min_delay", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "max_delay", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_packets", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_bytes", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_pedit_key"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_pedit_key", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "off", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "at", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offmask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "shift", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_pedit_sel"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_pedit_sel", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nkeys", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "keys", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "tc_pedit_key"}}},
	}}},
	{Key: StructKey{Name: "tc_police"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_police", TypeSize: 56}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tc_actions", FldName: "action", TypeSize: 4}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3, 4, 5, 6, 7, 8, 268435456, 536870912}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "burst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtu", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "rate"},
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "peakrate"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "refcnt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bindcnt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "capab", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_prio_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_prio_qopt", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bands", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "priomap", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tc_ratespec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_ratespec", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cell_log", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "linklayer", FldName: "linklayer", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "overhead", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cell_align", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mpu", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_red_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_red_qopt", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Wlog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Plog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Scell_log", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flag", TypeSize: 1}}, Kind: 2, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "tc_rsvp_gpi"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_rsvp_gpi", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "key", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_rsvp_pinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_rsvp_pinfo", TypeSize: 28}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_rsvp_gpi"}, FldName: "dpi"},
		&StructType{Key: StructKey{Name: "tc_rsvp_gpi"}, FldName: "spi"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_types", FldName: "protocol", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tunnelid", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tunnelhdr", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "pad", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tc_service_curve"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_service_curve", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "m1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "d", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "m2", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_sfb_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_sfb_qopt", TypeSize: 36}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rehash_interval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "warmup_time", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bin_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "increment", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "decrement", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "penalty_rate", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "penalty_burst", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_sfq_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_sfq_qopt", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "quantum", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "perturb_period", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "divisor", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flows", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_sfq_qopt_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_sfq_qopt_v1", TypeSize: 68}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_sfq_qopt"}, FldName: "v0"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "depth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "headdrop", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "qth_max", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Wlog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Plog", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Scell_log", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flag", TypeSize: 1}}, Kind: 2, RangeEnd: 8},
		&StructType{Key: StructKey{Name: "tc_sfqred_stats"}, FldName: "stats"},
	}}},
	{Key: StructKey{Name: "tc_sfqred_stats"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_sfqred_stats", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prob_drop", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "forced_drop", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prob_mark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "forced_mark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "prob_mark_head", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "forced_mark_head", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_sizespec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_sizespec", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cell_log", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "size_log", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cell_align", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "overhead", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "linklayer", FldName: "linklayer", TypeSize: 4}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mpu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tsize", TypeSize: 4}}, Kind: 2, RangeEnd: 10},
	}}},
	{Key: StructKey{Name: "tc_skbmod"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_skbmod", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "flags", TypeSize: 8}}, Kind: 2, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tc_tbf_qopt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_tbf_qopt", TypeSize: 12}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "rate"},
		&StructType{Key: StructKey{Name: "tc_ratespec"}, FldName: "peakrate"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buffer", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mtu", TypeSize: 4}}, Kind: 2, RangeEnd: 9000},
	}}},
	{Key: StructKey{Name: "tc_tunnel_key"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_tunnel_key", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "t_action", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "tc_u32_key"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_u32_key", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "mask", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "val", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "off", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offmask", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_u32_mark"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_u32_mark", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "success", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tc_u32_sel"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_u32_sel", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "offshift", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nkeys", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "offmast", TypeSize: 2}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "off", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "offoff", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hoff", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "hmast", TypeSize: 4}, ArgFormat: 1}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "keys", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "tc_u32_key"}}, Kind: 1, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "tc_vlan"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tc_vlan", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tc_gen"}, FldName: "tc_gen"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "v_action", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "tca_actions"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"bpf\", array[m_bpf_options]]]"}, FldName: "m_bpf"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"connmark\", m_connmark_options]]"}, FldName: "m_connmark"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"csum\", m_csum_options]]"}, FldName: "m_csum"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"gact\", array[m_gact_options]]]"}, FldName: "m_gact"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ife\", array[m_ife_options]]]"}, FldName: "m_ife"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"ipt\", array[m_ipt_options]]]"}, FldName: "m_ipt"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"mirred\", m_mirred_options]]"}, FldName: "m_mirred"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"nat\", m_nat_options]]"}, FldName: "m_nat"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"pedit\", array[m_pedit_options]]]"}, FldName: "m_pedit"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"police\", array[m_police_options]]]"}, FldName: "m_police"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"sample\", array[m_sample_options]]]"}, FldName: "m_sample"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"simple\", array[m_simple_options]]]"}, FldName: "m_simple"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbedit\", array[m_skbedit_options]]]"}, FldName: "m_skbedit"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"skbmod\", array[m_skbmod_options]]]"}, FldName: "m_skbmod"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]]"}, FldName: "m_tunnel_key"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32[0:TCA_ACT_MAX_PRIO], tca_actions_t[\"vlan\", array[m_vlan_options]]]"}, FldName: "m_vlan"},
	}}},
	{Key: StructKey{Name: "tca_actions_kind_index"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_kind_index", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[tca_actions_kinds]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_INDEX, int16], int32]"}, FldName: "TCA_ACT_INDEX"},
	}}},
	{Key: StructKey{Name: "tca_actions_t[\"bpf\", array[m_bpf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"bpf\", array[m_bpf_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"bpf\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_bpf_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"connmark\", m_connmark_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"connmark\", m_connmark_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"connmark\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_connmark_options]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"csum\", m_csum_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"csum\", m_csum_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"csum\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_csum_options]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"gact\", array[m_gact_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"gact\", array[m_gact_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"gact\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_gact_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"ife\", array[m_ife_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"ife\", array[m_ife_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ife\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ife_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"ipt\", array[m_ipt_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"ipt\", array[m_ipt_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"ipt\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_ipt_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"mirred\", m_mirred_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"mirred\", m_mirred_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"mirred\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_mirred_options]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"nat\", m_nat_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"nat\", m_nat_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"nat\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], m_nat_options]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"pedit\", array[m_pedit_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"pedit\", array[m_pedit_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"pedit\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_pedit_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"police\", array[m_police_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"police\", array[m_police_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"police\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_police_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"sample\", array[m_sample_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"sample\", array[m_sample_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"sample\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_sample_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"simple\", array[m_simple_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"simple\", array[m_simple_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"simple\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_simple_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"skbedit\", array[m_skbedit_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"skbedit\", array[m_skbedit_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbedit\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbedit_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"skbmod\", array[m_skbmod_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"skbmod\", array[m_skbmod_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"skbmod\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_skbmod_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"tunnel_key\", array[m_tunnel_key_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"tunnel_key\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_tunnel_key_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_actions_t[\"vlan\", array[m_vlan_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_actions_t[\"vlan\", array[m_vlan_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_KIND, int16], string[\"vlan\"]]"}, FldName: "TCA_ACT_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_OPTIONS, int16], array[m_vlan_options]]"}, FldName: "TCA_ACT_OPTIONS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_ACT_COOKIE, int16], array[int8]]"}, FldName: "TCA_ACT_COOKIE"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tca_ematch_tree_list"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_ematch_tree_list", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]]"}, FldName: "TCF_EM_CONTAINER"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]]"}, FldName: "TCF_EM_CMP"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]]"}, FldName: "TCF_EM_NBYTE"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]]"}, FldName: "TCF_EM_U32"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]]"}, FldName: "TCF_EM_META"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_CANID, can_filter]]"}, FldName: "TCF_EM_CANID"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]]"}, FldName: "TCF_EM_IPSET"},
		&StructType{Key: StructKey{Name: "nlattr_t[int32, tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]]"}, FldName: "TCF_EM_IPT"},
	}}},
	{Key: StructKey{Name: "tca_ematches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_ematches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EMATCH_TREE_HDR, int16], tcf_ematch_tree_hdr]"}, FldName: "TCA_EMATCH_TREE_HDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EMATCH_TREE_LIST, int16], tca_ematch_tree_list]"}, FldName: "TCA_EMATCH_TREE_LIST"},
	}}},
	{Key: StructKey{Name: "tca_ife_meta_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_ife_meta_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFE_META_SKBMARK, int16], optional[int32]]"}, FldName: "IFE_META_SKBMARK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFE_META_PRIO, int16], optional[int32]]"}, FldName: "IFE_META_PRIO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFE_META_TCINDEX, int16], optional[int16]]"}, FldName: "IFE_META_TCINDEX"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"atm\", array[c_atm_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"atm\", array[c_atm_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"atm\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_atm_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"basic\", array[f_basic_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"basic\", array[f_basic_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"basic\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_basic_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"bfifo\", int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"bfifo\", int32]", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"bfifo\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int32]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"bpf\", array[f_bpf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"bpf\", array[f_bpf_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"bpf\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_bpf_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"cbq\", array[c_cbq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"cbq\", array[c_cbq_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cbq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_cbq_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"cbq\", array[q_cbq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"cbq\", array[q_cbq_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cbq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_cbq_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"cbs\", q_cbs_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"cbs\", q_cbs_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cbs\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], q_cbs_options]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"cgroup\", array[f_cgroup_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"cgroup\", array[f_cgroup_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"cgroup\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_cgroup_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"choke\", array[q_choke_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"choke\", array[q_choke_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"choke\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_choke_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"codel\", array[q_codel_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"codel\", array[q_codel_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"codel\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_codel_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"drr\", c_drr_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"drr\", c_drr_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"drr\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], c_drr_options]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"dsmark\", array[q_dsmark_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"dsmark\", array[q_dsmark_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"dsmark\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_dsmark_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"dsmark\", c_dsmark_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"dsmark\", c_dsmark_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"dsmark\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], c_dsmark_options]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"flow\", array[f_flow_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"flow\", array[f_flow_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"flow\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_flow_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"fq\", array[q_fq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"fq\", array[q_fq_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"fq_codel\", array[q_fq_codel_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"fq_codel\", array[q_fq_codel_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fq_codel\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_fq_codel_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"fw\", array[f_fw_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"fw\", array[f_fw_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"fw\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_fw_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"gred\", array[q_gred_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"gred\", array[q_gred_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"gred\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_gred_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"hfsc\", array[c_hfsc_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"hfsc\", array[c_hfsc_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"hfsc\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_hfsc_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"hfsc\", int16]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"hfsc\", int16]", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"hfsc\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int16]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"hhf\", array[q_hhf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"hhf\", array[q_hhf_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"hhf\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_hhf_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"htb\", array[c_htb_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"htb\", array[c_htb_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"htb\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_htb_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"htb\", array[q_htb_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"htb\", array[q_htb_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"htb\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_htb_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"matchall\", array[f_matchall_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"matchall\", array[f_matchall_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"matchall\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_matchall_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"mqprio\", tc_mqprio_message]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"mqprio\", tc_mqprio_message]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"mqprio\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_mqprio_message]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"multiq\", tc_multiq_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"multiq\", tc_multiq_qopt]", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"multiq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_multiq_qopt]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"netem\", tc_netem_message]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"netem\", tc_netem_message]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"netem\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_netem_message]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"pfifo\", int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"pfifo\", int32]", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int32]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"pfifo_head_drop\", int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"pfifo_head_drop\", int32]", TypeSize: 28}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pfifo_head_drop\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], int32]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"pie\", array[q_pie_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"pie\", array[q_pie_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"pie\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_pie_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"prio\", tc_prio_qopt]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"prio\", tc_prio_qopt]", TypeSize: 36}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"prio\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_prio_qopt]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"qfq\", array[c_qfq_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"qfq\", array[c_qfq_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"qfq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[c_qfq_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"red\", array[q_red_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"red\", array[q_red_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"red\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_red_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"route\", array[f_route_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"route\", array[f_route_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"route\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_route_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"rsvp\", array[f_rfvp_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"rsvp\", array[f_rfvp_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"rsvp6\", array[f_rfvp6_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"rsvp6\", array[f_rfvp6_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"rsvp6\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_rfvp6_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"sfb\", q_sfb_options]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"sfb\", q_sfb_options]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"sfb\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], q_sfb_options]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"sfq\", tc_sfq_qopt_v1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"sfq\", tc_sfq_qopt_v1]", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"sfq\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], tc_sfq_qopt_v1]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"tbf\", array[q_tbf_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"tbf\", array[q_tbf_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"tbf\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[q_tbf_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"tcindex\", array[f_tcindex_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"tcindex\", array[f_tcindex_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"tcindex\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_tcindex_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_kind_options_t[\"u32\", array[f_u32_options]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_kind_options_t[\"u32\", array[f_u32_options]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_KIND, int16], string[\"u32\"]]"}, FldName: "TCA_KIND"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_OPTIONS, int16], array[f_u32_options]]"}, FldName: "TCA_OPTIONS"},
	}}},
	{Key: StructKey{Name: "tca_pedit_key_ex_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_pedit_key_ex_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX_HTYPE, int16], flags[pedit_header_type, int16]]"}, FldName: "TCA_PEDIT_KEY_EX_HTYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX_CMD, int16], flags[pedit_cmd, int16]]"}, FldName: "TCA_PEDIT_KEY_EX_CMD"},
	}}},
	{Key: StructKey{Name: "tca_pedit_keys_ex_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_pedit_keys_ex_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_PEDIT_KEY_EX, int16], array[tca_pedit_key_ex_policy]]"}, FldName: "TCA_PEDIT_KEY_EX"},
	}}},
	{Key: StructKey{Name: "tca_polices"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tca_polices", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_TBF, int16], tc_police]"}, FldName: "TCA_POLICE_TBF"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RATE, int16], array[int32, 256]]"}, FldName: "TCA_POLICE_RATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_PEAKRATE, int16], array[int32, 256]]"}, FldName: "TCA_POLICE_PEAKRATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_AVRATE, int16], int32]"}, FldName: "TCA_POLICE_AVRATE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_POLICE_RESULT, int16], int32]"}, FldName: "TCA_POLICE_RESULT"},
	}}},
	{Key: StructKey{Name: "tcamsg[AF_UNSPEC]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcamsg[AF_UNSPEC]", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tca__pad1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tca__pad2", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tcf_em_cmp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_em_cmp", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "off", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcf_em_aligns", FldName: "align", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcf_layers", FldName: "layer", TypeSize: 1}, BitfieldLen: 4, BitfieldMdl: true}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcf_em_opnds", FldName: "opnd", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "tcf_em_ipt_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_em_ipt_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_HOOK, int16], flags[nf_inet_hooks, int32]]"}, FldName: "TCA_EM_IPT_HOOK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_NAME, int16], string[\"policy\"]]"}, FldName: "TCA_EM_IPT_MATCH_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_REVISION, int16], int8]"}, FldName: "TCA_EM_IPT_MATCH_REVISION"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_NFPROTO, int16], flags[nfproto, int8]]"}, FldName: "TCA_EM_IPT_NFPROTO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_IPT_MATCH_DATA, int16], array[int8]]"}, FldName: "TCA_EM_IPT_MATCH_DATA"},
	}}},
	{Key: StructKey{Name: "tcf_em_meta_int_var"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_em_meta_int_var", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TCF_META_TYPE_INT", TypeSize: 4}}, Kind: 2, RangeEnd: 10},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "TCF_META_TYPE_VAR", IsVarlen: true}, Kind: 1, RangeEnd: 10},
	}}},
	{Key: StructKey{Name: "tcf_em_meta_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_em_meta_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_HDR, int16], tcf_meta_hdr]"}, FldName: "TCA_EM_META_HDR"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_LVALUE, int16], array[tcf_em_meta_int_var]]"}, FldName: "TCA_EM_META_LVALUE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_EM_META_RVALUE, int16], array[tcf_em_meta_int_var]]"}, FldName: "TCA_EM_META_RVALUE"},
	}}},
	{Key: StructKey{Name: "tcf_em_nbyte"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_em_nbyte", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "off", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "len", TypeSize: 2}, BitfieldLen: 12}, Kind: 2, RangeEnd: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcf_layers", FldName: "layer", TypeSize: 1}, BitfieldLen: 4}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Kind: 1, RangeEnd: 10},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CANID, can_filter]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_CANID, can_filter]", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "can_filter"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_CMP, tcf_em_cmp]", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "tcf_em_cmp"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_CONTAINER, array[int8]]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_IPSET, xt_set_info]", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_IPT, array[tcf_em_ipt_policy]]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 9},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tcf_em_ipt_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_META, array[tcf_em_meta_policy]]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tcf_em_meta_policy"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_NBYTE, tcf_em_nbyte]", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "tcf_em_nbyte"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_hdr[TCF_EM_U32, tc_u32_key]", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "matchid", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "kind", TypeSize: 2}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
		&StructType{Key: StructKey{Name: "tc_u32_key"}, FldName: "payload"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcf_ematch_tree_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_ematch_tree_hdr", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nmatches", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "progid", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tcf_meta_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_meta_hdr", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcf_meta_val"}, FldName: "left"},
		&StructType{Key: StructKey{Name: "tcf_meta_val"}, FldName: "right"},
	}}},
	{Key: StructKey{Name: "tcf_meta_val"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcf_meta_val", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "kind", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "shift", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcf_em_opnds", FldName: "op", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "tclass_kind_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tclass_kind_options", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"atm\", array[c_atm_options]]"}, FldName: "c_atm"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"cbq\", array[c_cbq_options]]"}, FldName: "c_cbq"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"drr\", c_drr_options]"}, FldName: "c_drr"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"dsmark\", c_dsmark_options]"}, FldName: "c_dsmark"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"hfsc\", array[c_hfsc_options]]"}, FldName: "c_hfsc"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"htb\", array[c_htb_options]]"}, FldName: "c_htb"},
		&StructType{Key: StructKey{Name: "tca_kind_options_t[\"qfq\", array[c_qfq_options]]"}, FldName: "c_qfq"},
	}}},
	{Key: StructKey{Name: "tclass_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tclass_policy", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "tclass_kind_options"}, FldName: "tclass_kind_options"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TCA_RATE, int16], tc_estimator]"}, FldName: "TCA_RATE"},
	}}},
	{Key: StructKey{Name: "tcm_handle"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcm_handle", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcm_handle_offsets", FldName: "minor", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 65504, 65521, 65522, 65523, 65535}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcm_handle_offsets", FldName: "major", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 65504, 65521, 65522, 65523, 65535}},
	}}},
	{Key: StructKey{Name: "tcmsg[AF_UNSPEC]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcmsg[AF_UNSPEC]", TypeSize: 20}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "family", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4}},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "tcm_handle"},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "tcm_parent"},
		&StructType{Key: StructKey{Name: "tcm_handle"}, FldName: "tcm_info"},
	}}},
	{Key: StructKey{Name: "tcp6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "tcp_eol_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_eol_option", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tcp_exp_fastopen_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_exp_fastopen_option", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 254},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "subtype", TypeSize: 2}, ArgFormat: 1}, Val: 63881},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tcp_exp_smc_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_exp_smc_option", TypeSize: 6}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 254},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "subtype", TypeSize: 4}, ArgFormat: 1}, Val: 3805594585},
	}}},
	{Key: StructKey{Name: "tcp_fastopen_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_fastopen_option", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 34},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tcp_generic_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_generic_option", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{1, 0, 2, 3, 4, 5, 8, 19, 34, 254}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Kind: 1, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tcp_header"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_header", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "src_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dst_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "tcp_seq_num", FldName: "seq_num", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "tcp_seq_num", FldName: "ack_num", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ns", TypeSize: 1}, BitfieldLen: 1, BitfieldMdl: true}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 1}, BitfieldOff: 1, BitfieldLen: 3, BitfieldMdl: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize4", FldName: "data_off", TypeSize: 1}, BitfieldOff: 4, BitfieldLen: 4}, BitSize: 32, Buf: "parent"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 194}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "window_size", TypeSize: 2}, ArgFormat: 1}},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "tcp_packet", Protocol: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "urg_ptr", TypeSize: 2}, ArgFormat: 1}},
		&StructType{Key: StructKey{Name: "tcp_options"}, FldName: "options"},
	}}},
	{Key: StructKey{Name: "tcp_md5sig"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_md5sig", TypeSize: 216}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "sockaddr_storage_tcp"}, FldName: "tcpm_addr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "__tcpm_pad1", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "tcpm_keylen", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "__tcpm_pad2", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tcpm_key", TypeSize: 80}, Kind: 1, RangeBegin: 80, RangeEnd: 80},
	}}},
	{Key: StructKey{Name: "tcp_md5sig_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_md5sig_option", TypeSize: 18}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 19},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "md5", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "tcp_mss_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_mss_option", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 2},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "seg_size", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tcp_nop_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_nop_option", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "tcp_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_option", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcp_generic_option"}, FldName: "generic"},
		&StructType{Key: StructKey{Name: "tcp_nop_option"}, FldName: "nop"},
		&StructType{Key: StructKey{Name: "tcp_eol_option"}, FldName: "eol"},
		&StructType{Key: StructKey{Name: "tcp_mss_option"}, FldName: "mss"},
		&StructType{Key: StructKey{Name: "tcp_window_option"}, FldName: "window"},
		&StructType{Key: StructKey{Name: "tcp_sack_perm_option"}, FldName: "sack_perm"},
		&StructType{Key: StructKey{Name: "tcp_sack_option"}, FldName: "sack"},
		&StructType{Key: StructKey{Name: "tcp_timestamp_option"}, FldName: "timestamp"},
		&StructType{Key: StructKey{Name: "tcp_md5sig_option"}, FldName: "md5sig"},
		&StructType{Key: StructKey{Name: "tcp_fastopen_option"}, FldName: "fastopen"},
		&StructType{Key: StructKey{Name: "tcp_exp_fastopen_option"}, FldName: "exp_fastopen"},
		&StructType{Key: StructKey{Name: "tcp_exp_smc_option"}, FldName: "exp_smc"},
	}}},
	{Key: StructKey{Name: "tcp_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_options", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "options", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tcp_option"}}},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "tcp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_packet", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tcp_header"}, FldName: "header"},
		&StructType{Key: StructKey{Name: "tcp_payload"}, FldName: "payload"},
	}}},
	{Key: StructKey{Name: "tcp_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "tcp_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_payload", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "tcp_repair_opt"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_repair_opt", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_repair_opt_codes", FldName: "opt_code", TypeSize: 4}}, Vals: []uint64{2, 3, 4, 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "opt_val", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tcp_repair_window"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_repair_window", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_wl1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_wnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_window", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rcv_wnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rcv_wup", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tcp_repair_window", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_repair_window", TypeSize: 20, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_wl1", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "snd_wnd", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_window", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rcv_wnd", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rcv_wup", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "tcp_resources", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_resources", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "tcp_seq_num", FldName: "seq", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "tcp_seq_num", FldName: "ack", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "tcp_sack_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_sack_option", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 5},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", TypeSize: 4}, ArgFormat: 1}}},
	}}},
	{Key: StructKey{Name: "tcp_sack_perm_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_sack_perm_option", TypeSize: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
	}}},
	{Key: StructKey{Name: "tcp_timestamp_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_timestamp_option", TypeSize: 10}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 8},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "tsval", TypeSize: 4}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "tsecr", TypeSize: 4}, ArgFormat: 1}},
	}}},
	{Key: StructKey{Name: "tcp_window_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_window_option", TypeSize: 3}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 1}}, Val: 3},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 1}}, Buf: "parent"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "shift", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tcp_zerocopy_receive"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tcp_zerocopy_receive", TypeSize: 16}, Fields: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "address", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 4}}, Buf: "address"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "recv_skip_hint", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "te1_settings"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te1_settings", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rate", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "loop", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "slot", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "te_answer", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_answer", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "result", TypeSize: 4, ArgDir: 1}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "te_session_id", FldName: "session_id", TypeSize: 4, ArgDir: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "result_origin", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "te_closesession", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_closesession", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "te_session_id", FldName: "session_id", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "answer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_answer", Dir: 1}}},
	}}},
	{Key: StructKey{Name: "te_int_mem_union"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_int_mem_union", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "int", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "te_mem"}, FldName: "Mem"},
	}}},
	{Key: StructKey{Name: "te_launchop", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_launchop", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "te_session_id", FldName: "session_id", TypeSize: 4, ArgDir: 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "te_operation", Dir: 2}, FldName: "operation"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "answer", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "te_mem"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_mem", TypeSize: 16}, Fields: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "base", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "te_opensession", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_opensession", TypeSize: 56, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "te_service_id", Dir: 2}, FldName: "dest_uuid"},
		&StructType{Key: StructKey{Name: "te_operation", Dir: 2}, FldName: "operation"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "answer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_answer", Dir: 1}}},
	}}},
	{Key: StructKey{Name: "te_oper_param"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_oper_param", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "te_oper_param_type_flags", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 256, 257, 2147483648}},
		&UnionType{Key: StructKey{Name: "te_int_mem_union"}, FldName: "u"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "next_ptr_user", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "te_oper_param"}}},
	}}},
	{Key: StructKey{Name: "te_operation", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_operation", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "unused_command", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "status", TypeSize: 4, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list_head", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_oper_param"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "unused_list_tail", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_oper_param"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "list_count", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "unused_interface_side", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "te_service_id", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "te_service_id", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "unused_time_low", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "unused_time_mid", TypeSize: 2, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "unused_time_hi_and_version", TypeSize: 2, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "unused_clock_seq_and_node", TypeSize: 8, ArgDir: 2}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "team_attr_option"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_attr_option", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"mode\", NLA_STRING, string[team_attr_option_mode]]"}, FldName: "name"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"notify_peers_count\", NLA_U32, int32]"}, FldName: "notify_peers_count"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"notify_peers_interval\", NLA_U32, int32]"}, FldName: "notify_peers_interval"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"mcast_rejoin_count\", NLA_U32, int32]"}, FldName: "mcast_rejoin_count"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"mcast_rejoin_interval\", NLA_U32, int32]"}, FldName: "mcast_rejoin_interval"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"enabled\", NLA_FLAG, void]"}, FldName: "enabled"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"user_linkup\", NLA_FLAG, void]"}, FldName: "user_linkup"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"user_linkup_enabled\", NLA_FLAG, void]"}, FldName: "user_linkup_enabled"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"priority\", NLA_S32, int32]"}, FldName: "priority"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"queue_id\", NLA_U32, int32]"}, FldName: "queue_id"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"activeport\", NLA_U32, ifindex]"}, FldName: "activeport"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"bpf_hash_func\", NLA_BINARY, array[sock_filter]]"}, FldName: "bpf_hash_func"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"lb_tx_method\", NLA_STRING, string[team_attr_option_lb_tx_method]]"}, FldName: "lb_tx_method"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_array[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex, 256]"}, FldName: "lb_tx_hash_to_port_mapping"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_array[\"lb_hash_stats\", NLA_BINARY, int32, 256]"}, FldName: "lb_hash_stats"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy_per_port[\"lb_port_stats\", NLA_BINARY, int32]"}, FldName: "lb_port_stats"},
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"lb_stats_refresh_interval\", NLA_U32, int32]"}, FldName: "lb_stats_refresh_interval"},
	}}},
	{Key: StructKey{Name: "team_nl_option_policy[\"activeport\", NLA_U32, ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"activeport\", NLA_U32, ifindex]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"activeport\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"bpf_hash_func\", NLA_BINARY, array[sock_filter]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"bpf_hash_func\", NLA_BINARY, array[sock_filter]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"bpf_hash_func\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_BINARY, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], array[sock_filter]]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"enabled\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"enabled\", NLA_FLAG, void]", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"enabled\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_FLAG, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], void]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"lb_hash_stats\", NLA_BINARY, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"lb_hash_stats\", NLA_BINARY, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_hash_stats\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_BINARY, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"lb_port_stats\", NLA_BINARY, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"lb_port_stats\", NLA_BINARY, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_port_stats\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_BINARY, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"lb_stats_refresh_interval\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"lb_stats_refresh_interval\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_stats_refresh_interval\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_hash_to_port_mapping\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"lb_tx_method\", NLA_STRING, string[team_attr_option_lb_tx_method]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"lb_tx_method\", NLA_STRING, string[team_attr_option_lb_tx_method]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"lb_tx_method\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_STRING, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_lb_tx_method]]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"mcast_rejoin_count\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"mcast_rejoin_count\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_count\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"mcast_rejoin_interval\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"mcast_rejoin_interval\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mcast_rejoin_interval\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"mode\", NLA_STRING, string[team_attr_option_mode]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"mode\", NLA_STRING, string[team_attr_option_mode]]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"mode\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_STRING, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], string[team_attr_option_mode]]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"notify_peers_count\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"notify_peers_count\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_count\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"notify_peers_interval\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"notify_peers_interval\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"notify_peers_interval\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"priority\", NLA_S32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"priority\", NLA_S32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"priority\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_S32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"queue_id\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"queue_id\", NLA_U32, int32]", TypeSize: 52}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"queue_id\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_U32, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], int32]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"user_linkup\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"user_linkup\", NLA_FLAG, void]", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_FLAG, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], void]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy[\"user_linkup_enabled\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy[\"user_linkup_enabled\", NLA_FLAG, void]", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_NAME, int16], string[\"user_linkup_enabled\", TEAM_STRING_MAX_LEN]]"}, FldName: "TEAM_ATTR_OPTION_NAME"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_TYPE, int16], const[NLA_FLAG, int8]]"}, FldName: "TEAM_ATTR_OPTION_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_DATA, int16], void]"}, FldName: "TEAM_ATTR_OPTION_DATA"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_array[\"lb_hash_stats\", NLA_BINARY, int32, 256]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_array[\"lb_hash_stats\", NLA_BINARY, int32, 256]", TypeSize: 60}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"lb_hash_stats\", NLA_BINARY, int32]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_ARRAY_INDEX, int16], int32[0:0]]"}, FldName: "TEAM_ATTR_OPTION_ARRAY_INDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_array[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex, 256]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_array[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex, 256]", TypeSize: 60}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"lb_tx_hash_to_port_mapping\", NLA_U32, ifindex]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_ARRAY_INDEX, int16], int32[0:0]]"}, FldName: "TEAM_ATTR_OPTION_ARRAY_INDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"enabled\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"enabled\", NLA_FLAG, void]", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"enabled\", NLA_FLAG, void]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"lb_port_stats\", NLA_BINARY, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"lb_port_stats\", NLA_BINARY, int32]", TypeSize: 60}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"lb_port_stats\", NLA_BINARY, int32]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"priority\", NLA_S32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"priority\", NLA_S32, int32]", TypeSize: 60}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"priority\", NLA_S32, int32]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"queue_id\", NLA_U32, int32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"queue_id\", NLA_U32, int32]", TypeSize: 60}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"queue_id\", NLA_U32, int32]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"user_linkup\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"user_linkup\", NLA_FLAG, void]", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"user_linkup\", NLA_FLAG, void]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_option_policy_per_port[\"user_linkup_enabled\", NLA_FLAG, void]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_option_policy_per_port[\"user_linkup_enabled\", NLA_FLAG, void]", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "team_nl_option_policy[\"user_linkup_enabled\", NLA_FLAG, void]"}, FldName: "opt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_OPTION_PORT_IFINDEX, int16], ifindex]"}, FldName: "TEAM_ATTR_OPTION_PORT_IFINDEX"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "team_nl_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "team_nl_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_TEAM_IFINDEX, int16], ifindex_team]"}, FldName: "TEAM_ATTR_TEAM_IFINDEX"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[TEAM_ATTR_LIST_OPTION, int16], array[nlattr[TEAM_ATTR_ITEM_OPTION, team_attr_option]]]"}, FldName: "TEAM_ATTR_LIST_OPTION"},
	}, AlignAttr: 4}},
	{Key: StructKey{Name: "termio"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "termio", TypeSize: 20}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "iflag", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "oflag", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cflag", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "lflag", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "line", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc3_6", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc7", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "termio", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "termio", TypeSize: 20, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "iflag", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "oflag", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cflag", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "lflag", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "line", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc1", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc2", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc3_6", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc7", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "termios"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "termios", TypeSize: 36}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iflag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oflag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cflag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lflag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "line", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc0", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc1", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc3_6", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc7_10", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc11_14", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc15_18", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "termios", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "termios", TypeSize: 36, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iflag", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oflag", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cflag", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lflag", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "line", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc0", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc1", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cc2", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc3_6", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc7_10", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc11_14", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cc15_18", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "timespec"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timespec", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_nsec", FldName: "nsec", TypeSize: 8}},
	}}},
	{Key: StructKey{Name: "timespec", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timespec", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_nsec", FldName: "nsec", TypeSize: 8, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "timespec", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timespec", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8, ArgDir: 2}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_nsec", FldName: "nsec", TypeSize: 8, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "timeval"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timeval", TypeSize: 16}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_usec", FldName: "usec", TypeSize: 8}},
	}}},
	{Key: StructKey{Name: "timeval", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timeval", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_usec", FldName: "usec", TypeSize: 8, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "timeval", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timeval", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_sec", FldName: "sec", TypeSize: 8, ArgDir: 2}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "time_usec", FldName: "usec", TypeSize: 8, ArgDir: 2}},
	}}},
	{Key: StructKey{Name: "timex"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "timex", TypeSize: 208}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff0", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff3", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff4", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff5", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff6", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff7", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff8", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff9", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff10", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff11", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff12", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff13", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff14", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff15", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff16", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff17", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff18", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff19", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff20", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff21", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff22", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff23", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff24", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stuff25", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "tiocl_report_mouse"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tiocl_report_mouse", TypeSize: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "subcode", TypeSize: 1}}, Val: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "shift", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tiocl_selection"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tiocl_selection", TypeSize: 12}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "subcode", TypeSize: 1}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "xs", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ys", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "xe", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ye", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mode", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "tiocl_shift_state"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tiocl_shift_state", TypeSize: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "subcode", TypeSize: 1}}, Val: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "shift", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "tls_crypto_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tls_crypto_info", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "version", TypeSize: 2}}, Val: 771},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cipher_type", TypeSize: 2}}, Val: 51},
	}}},
	{Key: StructKey{Name: "tms", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tms", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "utime", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "stime", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cutime", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cstime", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "tpacket_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tpacket_req", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_block_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_block_nr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_frame_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_frame_nr", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tpacket_req3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tpacket_req3", TypeSize: 28}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_block_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_block_nr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_frame_size", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_frame_nr", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_retire_blk_tov", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_sizeof_priv", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tp_feature_req_word", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "tpacket_req_u"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tpacket_req_u", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "tpacket_req"}, FldName: "req"},
		&StructType{Key: StructKey{Name: "tpacket_req3"}, FldName: "req3"},
	}}},
	{Key: StructKey{Name: "tun_buffer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tun_buffer", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "optional[tun_pi]"}, FldName: "pi"},
		&UnionType{Key: StructKey{Name: "optional[virtio_net_hdr]"}, FldName: "hdr"},
		&UnionType{Key: StructKey{Name: "tun_payload"}, FldName: "data"},
	}}},
	{Key: StructKey{Name: "tun_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tun_filter", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tun_filter_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1}, BitMask: true},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 2}}, Buf: "addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "addr", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "mac_addr"}}},
	}}},
	{Key: StructKey{Name: "tun_payload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tun_payload", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "eth_packet"}, FldName: "eth"},
		&StructType{Key: StructKey{Name: "ipv4_packet"}, FldName: "ipv4"},
		&StructType{Key: StructKey{Name: "ipv6_packet"}, FldName: "ipv6"},
		&UnionType{Key: StructKey{Name: "arp_packet"}, FldName: "arp"},
		&StructType{Key: StructKey{Name: "llc_packet"}, FldName: "llc"},
		&StructType{Key: StructKey{Name: "ipx_packet"}, FldName: "ipx"},
		&StructType{Key: StructKey{Name: "x25_packet"}, FldName: "x25"},
		&StructType{Key: StructKey{Name: "mpls_packet"}, FldName: "mpls"},
	}}},
	{Key: StructKey{Name: "tun_pi"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tun_pi", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ether_types", FldName: "proto", TypeSize: 2}, ArgFormat: 1}, Vals: []uint64{96, 512, 513, 8944, 2048, 2053, 2054, 2560, 2561, 17157, 24576, 24577, 24578, 24579, 24580, 24581, 24582, 24583, 25944, 32821, 32923, 33011, 33024, 35006, 8939, 33079, 34525, 34824, 34825, 34878, 34887, 34888, 34892, 34915, 34916, 34924, 34948, 34958, 34978, 34984, 34997, 35018, 35045, 35047, 35061, 35063, 35064, 35067, 35078, 35085, 35092, 35095, 35119, 36864, 37120, 37376, 37632, 56026, 64507, 1536, 1, 2, 3, 4, 5, 6, 7, 8, 9, 12, 13, 16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 245, 246, 247, 248, 249}},
	}}},
	{Key: StructKey{Name: "tunl6_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tunl6_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_LOCAL, int16], ipv6_addr]"}, FldName: "IFLA_IPTUN_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_REMOTE, int16], ipv6_addr]"}, FldName: "IFLA_IPTUN_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tunl_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "tunl_policy"}}},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_LIMIT, int16], int8]"}, FldName: "IFLA_IPTUN_ENCAP_LIMIT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FLOWINFO, int16], int32]"}, FldName: "IFLA_IPTUN_FLOWINFO"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FLAGS, int16], int32[0:0x40]]"}, FldName: "IFLA_IPTUN_FLAGS"},
	}}},
	{Key: StructKey{Name: "tunl_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "tunl_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_INFO_DATA, int16], ifindex]"}, FldName: "IFLA_IPTUN_LINK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_TTL, int16], int8]"}, FldName: "IFLA_IPTUN_TTL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_TOS, int16], int8]"}, FldName: "IFLA_IPTUN_TOS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_TYPE, int16], flags[tunnel_encap_types, int16]]"}, FldName: "IFLA_IPTUN_ENCAP_TYPE"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_FLAGS, int16], int16]"}, FldName: "IFLA_IPTUN_ENCAP_FLAGS"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_SPORT, int16], sock_port]"}, FldName: "IFLA_IPTUN_ENCAP_SPORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_ENCAP_DPORT, int16], sock_port]"}, FldName: "IFLA_IPTUN_ENCAP_DPORT"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_COLLECT_METADATA, int16], void]"}, FldName: "IFLA_IPTUN_COLLECT_METADATA"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_IPTUN_FWMARK, int16], int32]"}, FldName: "IFLA_IPTUN_FWMARK"},
	}}},
	{Key: StructKey{Name: "ucred"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ucred", TypeSize: 12}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "ucred", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "ucred", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "udp6_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "udp6_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "udp_extensions"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "udp_extensions", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "guehdr"}, FldName: "guehdr"},
	}}},
	{Key: StructKey{Name: "udp_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "udp_packet", IsVarlen: true}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "src_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dst_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 2}, ArgFormat: 1}, Buf: "parent"},
		&CsumType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "csum", FldName: "csum", TypeSize: 2}, ArgFormat: 1}, Kind: 1, Buf: "parent", Protocol: 17},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "extensions", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "udp_extensions"}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "udp_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "udp_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "f0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "f1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "uffdio_api"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uffdio_api", TypeSize: 24}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "api", TypeSize: 8}}, Val: 170},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uffdio_features", FldName: "featur", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ioctls", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "uffdio_copy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uffdio_copy", TypeSize: 40}, Fields: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "dst", TypeSize: 8}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "src", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "dst"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uffdio_copy_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "copy", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "uffdio_range"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uffdio_range", TypeSize: 16}, Fields: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "start", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "start"},
	}}},
	{Key: StructKey{Name: "uffdio_register"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uffdio_register", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "uffdio_range"}, FldName: "range"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uffdio_register_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ioctls", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "uffdio_zeropage"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uffdio_zeropage", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "uffdio_range"}, FldName: "range"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uffdio_zero_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "zeropg", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "uhid_create2_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_create2_req", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 11},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 128}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "phys", TypeSize: 64}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "uniq", TypeSize: 64}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rd_size", TypeSize: 2}}, Buf: "rd_data"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bus", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vendor", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "product", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "country", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "rd_data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "uhid_create_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_create_req", TypeSize: 288}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 128}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "phys", TypeSize: 64}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "uniq", TypeSize: 64}, Kind: 2, SubKind: "uhid_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rd_data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rd_size", TypeSize: 2}}, Buf: "rd_data"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bus", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vendor", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "product", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "country", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "uhid_destroy_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_destroy_req", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1},
	}}},
	{Key: StructKey{Name: "uhid_get_report_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_get_report_req", TypeSize: 10}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}, Kind: 2, RangeEnd: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rnum", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtype", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "uhid_input2_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_input2_req", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 12},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "uhid_input_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_input_req", TypeSize: 4102}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 8},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 4096}, Kind: 1, RangeBegin: 4096, RangeEnd: 4096},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 2}}, Buf: "data"},
	}}},
	{Key: StructKey{Name: "uhid_set_report_req"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uhid_set_report_req", IsVarlen: true}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 14},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}, Kind: 2, RangeEnd: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rnum", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rtype", TypeSize: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 2}}, Buf: "data"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "uinput_abs_setup"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uinput_abs_setup", TypeSize: 28}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "code", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&StructType{Key: StructKey{Name: "input_absinfo"}, FldName: "absinfo"},
	}}},
	{Key: StructKey{Name: "uinput_ff_erase"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uinput_ff_erase", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "request_id", TypeSize: 4}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "retval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "effect_id", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "uinput_ff_upload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uinput_ff_upload", TypeSize: 104}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "request_id", TypeSize: 4}}, Kind: 2, RangeEnd: 16},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "retval", TypeSize: 4}}},
		&StructType{Key: StructKey{Name: "ff_effect"}, FldName: "effect"},
		&StructType{Key: StructKey{Name: "ff_effect"}, FldName: "old"},
	}}},
	{Key: StructKey{Name: "uinput_setup"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uinput_setup", TypeSize: 92}, Fields: []Type{
		&StructType{Key: StructKey{Name: "input_id"}, FldName: "id"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 80}, Kind: 2, SubKind: "uinput_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ff_effects_max", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 87},
	}}},
	{Key: StructKey{Name: "uinput_user_dev"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "uinput_user_dev", TypeSize: 1116}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 80}, Kind: 2, SubKind: "uinput_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&StructType{Key: StructKey{Name: "input_id"}, FldName: "id"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ff_effects_max", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 87},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "absmax", TypeSize: 256}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "absmin", TypeSize: 256}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "absfuzz", TypeSize: 256}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "absflat", TypeSize: 256}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "unimapdesc_in"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unimapdesc_in", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnt", TypeSize: 2}}, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "unipair"}}}},
	}}},
	{Key: StructKey{Name: "unimapdesc_out"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unimapdesc_out", TypeSize: 16}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cnt", TypeSize: 2}}, Buf: "entries"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entries", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "unipair", Dir: 1}}}},
	}}},
	{Key: StructKey{Name: "unimapinit"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unimapinit", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "size", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "step", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "level", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "unipair"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unipair", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "unicode", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "fontpos", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "unipair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unipair", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "unicode", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "fontpos", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "unix_pair", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "unix_pair", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd0", TypeSize: 4, ArgDir: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd1", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "v4l2_audio"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audio", TypeSize: 52}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_audio", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audio", TypeSize: 52, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_audio", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audio", TypeSize: 52, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_audioout"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audioout", TypeSize: 52}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_audioout", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audioout", TypeSize: 52, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_audioout", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_audioout", TypeSize: 52, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_audio_mode", FldName: "mode", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_bt_timings", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings", TypeSize: 124, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_interlaced", FldName: "interlaced", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_polarities", FldName: "polarities", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "pixelclock", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfrontporch", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hsync", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hbackporch", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vfrontporch", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vsync", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vbackporch", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vfrontporch", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vsync", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vbackporch", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_standards", FldName: "standards", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 56, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 14, RangeEnd: 14},
	}}},
	{Key: StructKey{Name: "v4l2_bt_timings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings", TypeSize: 124, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_interlaced", FldName: "interlaced", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_polarities", FldName: "polarities", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "pixelclock", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfrontporch", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hsync", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hbackporch", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vfrontporch", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vsync", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vbackporch", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vfrontporch", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vsync", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "il_vbackporch", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_standards", FldName: "standards", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 56, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 14, RangeEnd: 14},
	}}},
	{Key: StructKey{Name: "v4l2_bt_timings_cap", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_cap", TypeSize: 104, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_height", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_height", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "min_pixelclock", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "max_pixelclock", TypeSize: 8, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_standards", FldName: "standards", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_bt_timings_cap_capabilities", FldName: "capabilities", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 64, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "v4l2_buffer", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_buffer", TypeSize: 80, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "bytesused", TypeSize: 4, ArgDir: 2}}, Buf: "type"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buffer_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 256, 1024, 2048, 4096, 57344, 0, 8192, 16384, 458752, 0, 65536, 1048576, 131072, 262144, 524288, 2097152, 4194304, 16777216, 33554432, 67108864, 536870912, 1073741824, 2147483648}},
		&StructType{Key: StructKey{Name: "timeval", Dir: 2}, FldName: "timestamp"},
		&StructType{Key: StructKey{Name: "v4l2_timecode", Dir: 2}, FldName: "timecode"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sequence", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_memory", FldName: "memory", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4}},
		&UnionType{Key: StructKey{Name: "v4l2_buffer_union", Dir: 2}, FldName: "m"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "length", TypeSize: 4, ArgDir: 2}}, Buf: "type"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved2", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "v4l2_buffer_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_buffer_union", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "userptr", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "planes", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_plane", Dir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_v4l2_buffer", FldName: "fd", TypeSize: 4, ArgDir: 2, IsOptional: true}},
	}}},
	{Key: StructKey{Name: "v4l2_capability", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_capability", TypeSize: 88, ArgDir: 1}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "driver", TypeSize: 16, ArgDir: 1}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "card", TypeSize: 16, ArgDir: 1}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "bus_version", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "version", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_capability_capabilities", FldName: "capabilities", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 16777216, 33554432, 67108864, 268435456, 2147483648}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "device_caps", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_captureparm", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_captureparm", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_captureparm_cap", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{4096}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_captureparm_mode", FldName: "capturemode", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "timeperframe"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "extendedmode", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "readbuffers", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_clip", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_clip", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "c"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "next", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "v4l2_clip", Dir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_control", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_control", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_create_buffers", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_create_buffers", TypeSize: 256, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_memory", FldName: "memory", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "v4l2_format", Dir: 2}, FldName: "format"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_crop"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_crop", TypeSize: 20}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&StructType{Key: StructKey{Name: "v4l2_rect"}, FldName: "c"},
	}}},
	{Key: StructKey{Name: "v4l2_crop", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_crop", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "c"},
	}}},
	{Key: StructKey{Name: "v4l2_cropcap", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_cropcap", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "bounds"},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "defrect"},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "pixelaspect"},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_chip_info", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_chip_info", TypeSize: 200, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_dbg_match", Dir: 2}, FldName: "match"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_chip_info_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 128, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_match"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match", TypeSize: 36}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 4, 1, 2, 3}},
		&UnionType{Key: StructKey{Name: "v4l2_dbg_match_union"}, FldName: "union"},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_match", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match", TypeSize: 36, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 4, 1, 2, 3}},
		&UnionType{Key: StructKey{Name: "v4l2_dbg_match_union", Dir: 2}, FldName: "union"},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_match_union"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match_union", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "addr", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_match_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_match_union", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "addr", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_register"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_register", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_dbg_match"}, FldName: "match"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4}}, BitSize: 8, Buf: "reg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "reg", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "v4l2_dbg_register", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dbg_register", TypeSize: 56, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_dbg_match", Dir: 2}, FldName: "match"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 4, ArgDir: 2}}, BitSize: 8, Buf: "reg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "reg", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "val", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_decoder_cmd", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd", TypeSize: 72, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd_cmd", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 1, 1, 2, 1, 2}},
		&UnionType{Key: StructKey{Name: "v4l2_decoder_cmd_u", Dir: 2}, FldName: "u"},
	}}},
	{Key: StructKey{Name: "v4l2_decoder_cmd_start", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd_start", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "speed", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd_format", FldName: "format", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
	}}},
	{Key: StructKey{Name: "v4l2_decoder_cmd_u", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_decoder_cmd_u", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "stop_pts", TypeSize: 8, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "v4l2_decoder_cmd_start", Dir: 2}, FldName: "start"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "raw_data", TypeSize: 64, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 16, RangeEnd: 16},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings", TypeSize: 132, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0}, BitMask: true},
		&UnionType{Key: StructKey{Name: "v4l2_dv_timings_union", Dir: 1}, FldName: "union"},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings", TypeSize: 132, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0}, BitMask: true},
		&UnionType{Key: StructKey{Name: "v4l2_dv_timings_union", Dir: 2}, FldName: "union"},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings_cap", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_cap", TypeSize: 144, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&UnionType{Key: StructKey{Name: "v4l2_dv_timings_cap_u", Dir: 2}, FldName: "u"},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings_cap_u", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_cap_u", TypeSize: 128, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_bt_timings_cap", Dir: 2}, FldName: "bt"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "raw_data", TypeSize: 128, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings_union", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_union", TypeSize: 128, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_bt_timings", Dir: 1}, FldName: "bt"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 128, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_dv_timings_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_dv_timings_union", TypeSize: 128, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_bt_timings", Dir: 2}, FldName: "bt"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 128, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_edid", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_edid", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "start_block", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "blocks", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 20, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "edid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}}},
	{Key: StructKey{Name: "v4l2_enc_idx", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_enc_idx", TypeSize: 2072, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "entries", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "entries_cap", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "entry", TypeSize: 2048, ArgDir: 1}, Type: &StructType{Key: StructKey{Name: "v4l2_enc_idx_entry", Dir: 1}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "v4l2_enc_idx_entry", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_enc_idx_entry", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "offset", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "pts", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "length", TypeSize: 4, ArgDir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_enc_idx_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 15}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_encoder_cmd", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_encoder_cmd", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_encoder_cmd_cmd", FldName: "cmd", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_encoder_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 32, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_enum_dv_timings", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_enum_dv_timings", TypeSize: 148, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}, FldName: "timings"},
	}}},
	{Key: StructKey{Name: "v4l2_event", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event", TypeSize: 136, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 134217728, 134221824, 134221825, 134221826, 134221827, 134221828, 134221829, 134221830, 134221831, 134221832, 134221833, 134221834}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "v4l2_event_union", Dir: 1}, FldName: "u"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pending", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sequence", TypeSize: 4, ArgDir: 1}}},
		&StructType{Key: StructKey{Name: "timespec", Dir: 1}, FldName: "timestamp"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 1}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 1}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "v4l2_event_ctrl", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_ctrl", TypeSize: 40, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_ctrl_changes", FldName: "changes", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ctrl_type", FldName: "type", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 256, 256, 257, 258}},
		&UnionType{Key: StructKey{Name: "v4l2_event_ctrl_union", Dir: 1}, FldName: "u"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "minimum", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maximum", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "step", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "default_value", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "v4l2_event_ctrl_union", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_ctrl_union", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "value64", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "v4l2_event_frame_sync", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_frame_sync", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "frame_sequence", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "v4l2_event_motion_det", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_motion_det", TypeSize: 12, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_motion_det_flags", FldName: "flags", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "frame_sequence", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "region_mask", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "v4l2_event_src_change", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_src_change", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_src_changes", FldName: "changes", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{1}, BitMask: true},
	}}},
	{Key: StructKey{Name: "v4l2_event_subscription"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_subscription", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 134217728, 134221824, 134221825, 134221826, 134221827, 134221828, 134221829, 134221830, 134221831, 134221832, 134221833, 134221834}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_event_subscription_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 20}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
	}}},
	{Key: StructKey{Name: "v4l2_event_union", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_union", TypeSize: 64, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_event_vsync", Dir: 1}, FldName: "vsync"},
		&StructType{Key: StructKey{Name: "v4l2_event_ctrl", Dir: 1}, FldName: "ctrl"},
		&StructType{Key: StructKey{Name: "v4l2_event_frame_sync", Dir: 1}, FldName: "frame_sync"},
		&StructType{Key: StructKey{Name: "v4l2_event_src_change", Dir: 1}, FldName: "src_change"},
		&StructType{Key: StructKey{Name: "v4l2_event_motion_det", Dir: 1}, FldName: "motion_det"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "v4l2_event_vsync", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_event_vsync", TypeSize: 1, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field_1", FldName: "field", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
	}}},
	{Key: StructKey{Name: "v4l2_exportbuffer", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_exportbuffer", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "plane", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pipe_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2048, 524288, 65536}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dmabuf", FldName: "fd", TypeSize: 4, ArgDir: 2, IsOptional: true}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 44, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 11, RangeEnd: 11},
	}}},
	{Key: StructKey{Name: "v4l2_ext_control", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_ext_control", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ext_controls", FldName: "id", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{9961473, 9963776, 9963777, 9963778, 9963779, 9963781, 9963782, 9963783, 9963784, 9963785, 9963786, 9963787, 9963788, 9963789, 9963790, 9963791, 9963792, 9963793, 9963794, 9963795, 9963796, 9963797, 9963800, 9963801, 9963802, 9963803, 9963804, 9963805, 9963806, 9963807, 9963808, 9963809, 9963810, 9963811, 9963812, 9963813, 9963814, 9963815, 9963816, 9963817, 9963818, 10027009, 10029312, 10029313, 10029314, 10029315, 10029316, 10029317, 10029318, 10029319, 10029412, 10029413, 10029414, 10029415, 10029416, 10029417, 10029418, 10029419, 10029420, 10029421, 10029422, 10029423, 10029424, 10029425, 10029512, 10029513, 10029514, 10029515, 10029516, 10029517, 10029518, 10029519, 10029520, 10029521, 10029522, 10029523, 10029524, 10029525, 10029526, 10029527, 10029530, 10029528, 10029529, 10029612, 10029613, 10029614, 10029615, 10029616, 10029662, 10029663, 10029664, 10029666, 10029665, 10029667, 10029668, 10029669, 10029670, 10029671, 10029672, 10029673, 10029674, 10029675, 10029676, 10029677, 10029678, 10029679, 10029680, 10029681, 10029682, 10029683, 10029684, 10029685, 10029686, 10029687, 10029688, 10029689, 10029690, 10029691, 10029692, 10029693, 10029694, 10029712, 10029713, 10029714, 10029715, 10029716, 10029717, 10029718, 10029719, 10029531, 10029532, 10029533, 10029534, 10029535, 10029536, 10029537, 10029539, 10029540, 10029538, 10029541, 10029812, 10029813, 10029814, 10029815, 10029816, 10029817, 10029818, 10029819, 10029820, 10029821, 10029822, 10029823, 10092545, 10094849, 10094850, 10094851, 10094852, 10094853, 10094854, 10094855, 10094856, 10094857, 10094858, 10094859, 10094860, 10094861, 10094862, 10094863, 10094864, 10094865, 10094866, 10094867, 10094868, 10094869, 10094870, 10094871, 10094872, 10094873, 10094874, 10094875, 10094876, 10094877, 10094878, 10094879, 10094880, 10094881, 10158081, 10160385, 10160386, 10160387, 10160389, 10160390, 10160391, 10160392, 10160393, 10160394, 10160395, 10160396, 10160397, 10160398, 10160399, 10160448, 10160449, 10160450, 10160464, 10160465, 10160466, 10160467, 10160468, 10160480, 10160481, 10160482, 10160496, 10160497, 10160498, 10223617, 10225921, 10225922, 10225923, 10225924, 10225925, 10225926, 10225927, 10225928, 10225929, 10225930, 10225931, 10225932, 10289153, 10291457, 10291458, 10291459, 10291460, 10354689, 10356993, 10356994, 10356995, 10356996, 10356997, 10356998, 10356999, 10420225, 10422529, 10422530, 10422531, 10485761, 10488065, 10488066, 10488067, 10488068, 10488069, 10488070, 10488164, 10488165, 10488166, 10551297, 10553601, 10553602, 10616833, 10619168, 10619177, 10619178, 10619187, 10619188, 10619197, 10619198, 10619147, 10619148, 10619227, 10553603, 10553604, 10553605, 10553606, 10553607, 10553608, 10682369, 10684673, 10684674, 10684675, 10684676}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved2", TypeSize: 4, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 1, RangeEnd: 1},
		&UnionType{Key: StructKey{Name: "v4l2_ext_u", Dir: 2}, FldName: "union"},
	}}},
	{Key: StructKey{Name: "v4l2_ext_controls", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_ext_controls", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ext_ctrl_class", FldName: "ctrl_class", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{9961472, 10027008, 10092544, 10158080, 10223616, 10289152, 10354688, 10420224, 10485760, 10551296, 10616832, 10682368, 268435455, 4, 0, 251658240}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "error_idx", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "controls", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_ext_control", Dir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_ext_u", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_ext_u", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "value64", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "string", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "p_u8", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "p_u16", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "p_u32", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ptr", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_fmtdesc", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_fmtdesc", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_fmtdesc_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "description", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_format", TypeSize: 208, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "v4l2_format_fmt", Dir: 2}, FldName: "fmt"},
	}}},
	{Key: StructKey{Name: "v4l2_format_fmt", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_format_fmt", TypeSize: 200, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_pix_format", Dir: 2}, FldName: "pix"},
		&StructType{Key: StructKey{Name: "v4l2_pix_format_mplane", Dir: 2}, FldName: "pix_mp"},
		&StructType{Key: StructKey{Name: "v4l2_window", Dir: 2}, FldName: "win"},
		&StructType{Key: StructKey{Name: "v4l2_vbi_format", Dir: 2}, FldName: "vbi"},
		&StructType{Key: StructKey{Name: "v4l2_sliced_vbi_format", Dir: 2}, FldName: "sliced"},
		&StructType{Key: StructKey{Name: "v4l2_sdr_format", Dir: 2}, FldName: "sdr"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "raw_data", TypeSize: 200, ArgDir: 2}, Kind: 1, RangeBegin: 200, RangeEnd: 200},
	}}},
	{Key: StructKey{Name: "v4l2_fract", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_fract", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numerator", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "denominator", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_framebuffer"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer", TypeSize: 48}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_capability", FldName: "capability", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "base", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 2, IsVarlen: true}}},
		&StructType{Key: StructKey{Name: "v4l2_framebuffer_union"}, FldName: "fmt"},
	}}},
	{Key: StructKey{Name: "v4l2_framebuffer", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "base", TypeSize: 8, ArgDir: 2}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 2, IsVarlen: true}}},
		&StructType{Key: StructKey{Name: "v4l2_framebuffer_union", Dir: 2}, FldName: "fmt"},
	}}},
	{Key: StructKey{Name: "v4l2_framebuffer_union"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_union", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesperline", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sizeimage", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_colorspace", FldName: "colorspace", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priv", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "v4l2_framebuffer_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_framebuffer_union", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesperline", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sizeimage", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_colorspace", FldName: "colorspace", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priv", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_frequency"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frequency", TypeSize: 44}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tuner", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "frequency", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_frequency", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frequency", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tuner", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "frequency", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_frequency_band", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frequency_band", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tuner", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 32, 64, 128, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_frequency_band_modulation", FldName: "modulation", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2, 4, 8}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 36, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "v4l2_frmival_stepwise", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmival_stepwise", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "min"},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "max"},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "step"},
	}}},
	{Key: StructKey{Name: "v4l2_frmivalenum", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmivalenum", TypeSize: 52, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixel_format", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_frmivaltypes", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3}},
		&UnionType{Key: StructKey{Name: "v4l2_frmivalenum_union", Dir: 2}, FldName: "union"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_frmivalenum_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmivalenum_union", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "discrete"},
		&StructType{Key: StructKey{Name: "v4l2_frmival_stepwise", Dir: 2}, FldName: "stepwise"},
	}}},
	{Key: StructKey{Name: "v4l2_frmsize_discrete", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmsize_discrete", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_frmsize_stepwise", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmsize_stepwise", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "step_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_height", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_height", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "step_height", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_frmsizeenum", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmsizeenum", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixel_format", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_frmsizetypes", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3}},
		&UnionType{Key: StructKey{Name: "v4l2_frmsizeenum_union", Dir: 2}, FldName: "union"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_frmsizeenum_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_frmsizeenum_union", TypeSize: 24, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_frmsize_discrete", Dir: 2}, FldName: "discrete"},
		&StructType{Key: StructKey{Name: "v4l2_frmsize_stepwise", Dir: 2}, FldName: "stepwise"},
	}}},
	{Key: StructKey{Name: "v4l2_hw_freq_seek"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_hw_freq_seek", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tuner", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seek_upward", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wrap_around", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "spacing", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 20}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 5, RangeEnd: 5},
	}}},
	{Key: StructKey{Name: "v4l2_input", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_input", TypeSize: 72, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_input_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "audioset", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "tuner", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_standard_std", FldName: "std", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 45056, 3276800, 16711680, 7, 224, 255, 65539, 262148, 524296, 12582912, 786444, 3277024, 327687, 46848, 5888, 63744, 16713471, 50331648, 0, 16777215}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_input_status", FldName: "status", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 16, 32, 256, 512, 1024, 2048, 65536, 131072, 262144, 16777216, 33554432, 67108864}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_input_capabilities", FldName: "capabilities", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2, 2, 4, 8}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_jpegcompression"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_jpegcompression", TypeSize: 140}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "quality", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "APPn", TypeSize: 4}}, Kind: 2, RangeEnd: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "APP_len", TypeSize: 4}}, Kind: 2, RangeEnd: 60},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "APP_data", TypeSize: 60}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "COM_len", TypeSize: 4}}, Kind: 2, RangeEnd: 60},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "COM_data", TypeSize: 60}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_jpeg_markers", FldName: "jpeg_markers", TypeSize: 4}}, Vals: []uint64{8, 16, 32, 64, 128}, BitMask: true},
	}}},
	{Key: StructKey{Name: "v4l2_jpegcompression", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_jpegcompression", TypeSize: 140, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "quality", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "APPn", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "APP_len", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 60},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "APP_data", TypeSize: 60, ArgDir: 1}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "COM_len", TypeSize: 4, ArgDir: 1}}, Kind: 2, RangeEnd: 60},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "COM_data", TypeSize: 60, ArgDir: 1}, Kind: 1, RangeBegin: 60, RangeEnd: 60},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_jpeg_markers", FldName: "jpeg_markers", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{8, 16, 32, 64, 128}, BitMask: true},
	}}},
	{Key: StructKey{Name: "v4l2_mbus_framefmt", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_mbus_framefmt", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "media_bus_fmt", FldName: "code", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 4118, 4097, 4098, 4099, 4100, 4119, 4101, 4102, 4103, 4104, 4105, 4110, 4117, 4112, 4115, 4116, 4106, 4107, 4108, 4113, 4114, 4109, 4111, 8193, 8213, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8216, 8217, 8203, 8204, 8211, 8220, 8221, 8222, 8223, 8207, 8208, 8209, 8210, 8212, 8218, 8219, 8205, 8206, 8228, 8229, 8224, 8225, 8226, 8227, 8214, 8215, 12289, 12307, 12290, 12308, 12309, 12310, 12311, 12312, 12299, 12300, 12297, 12301, 12291, 12292, 12293, 12294, 12295, 12302, 12298, 12303, 12296, 12304, 12305, 12306, 16385, 20481, 24577}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_colorspace", FldName: "colorspace", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ycbcr_encoding", FldName: "ycbcr_enc", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 6, 7, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_quantization", FldName: "quantization", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_xfer_func", FldName: "xfer_func", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
	}}},
	{Key: StructKey{Name: "v4l2_modulator"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_modulator", TypeSize: 68}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_capability", FldName: "capability", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 32, 64, 128, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_rxsubchans", FldName: "txsubchans", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 4, 8, 16}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_modulator", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_modulator", TypeSize: 68, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 32, 64, 128, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_rxsubchans", FldName: "txsubchans", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 4, 8, 16}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_output", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_output", TypeSize: 68, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_output_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "audioset", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "modulator", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_standard_std", FldName: "std", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 45056, 3276800, 16711680, 7, 224, 255, 65539, 262148, 524296, 12582912, 786444, 3277024, 327687, 46848, 5888, 63744, 16713471, 50331648, 0, 16777215}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_output_capabilities", FldName: "capabilities", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2, 2, 4, 8}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_outputparm", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_outputparm", TypeSize: 40, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_captureparm_cap", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{4096}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_captureparm_mode", FldName: "outputmode", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "timeperframe"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "extendedmode", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "writebuffers", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_pix_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesperline", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sizeimage", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_colorspace", FldName: "colorspace", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priv", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ycbcr_encoding", FldName: "ycbcr_enc", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 6, 7, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_quantization", FldName: "quantization", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_xfer_func", FldName: "xfer_func", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
	}}},
	{Key: StructKey{Name: "v4l2_pix_format_mplane", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_mplane", TypeSize: 192, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_colorspace", FldName: "colorspace", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "plane_fmt", TypeSize: 160, ArgDir: 2}, Type: &StructType{Key: StructKey{Name: "v4l2_plane_pix_format", Dir: 2}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "num_planes", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ycbcr_encoding", FldName: "ycbcr_enc", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 6, 7, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_quantization", FldName: "quantization", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_xfer_func", FldName: "xfer_func", TypeSize: 1, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 7, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 7, RangeEnd: 7},
	}}},
	{Key: StructKey{Name: "v4l2_plane", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_plane", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesused", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "length", TypeSize: 4, ArgDir: 2}}},
		&UnionType{Key: StructKey{Name: "v4l2_plane_union", Dir: 2}, FldName: "m"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "data_offset", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 44, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 11, RangeEnd: 11},
	}}},
	{Key: StructKey{Name: "v4l2_plane_pix_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_plane_pix_format", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sizeimage", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bytesperline", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 2, ArgDir: 2}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
	}}},
	{Key: StructKey{Name: "v4l2_plane_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_plane_union", TypeSize: 8, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mem_offset", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "userptr", TypeSize: 8, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_v4l2_buffer", FldName: "fd", TypeSize: 4, ArgDir: 2, IsOptional: true}},
	}}},
	{Key: StructKey{Name: "v4l2_query_ext_ctrl", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_query_ext_ctrl", TypeSize: 232, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_query_ext_ctrl", FldName: "id", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{2147483648, 1073741824}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ctrl_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 256, 256, 257, 258}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "minimum", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "maximum", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "step", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "default_value", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "elem_size", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "elems", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nr_of_dims", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dims", TypeSize: 16, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 128, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "v4l2_queryctrl", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_queryctrl", TypeSize: 68, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_ctrl_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 256, 256, 257, 258}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "minimum", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maximum", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "step", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "default_value", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_control_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_querymenu", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_querymenu", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&UnionType{Key: StructKey{Name: "v4l2_querymenu_union", Dir: 2}, FldName: "union"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_querymenu_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_querymenu_union", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "value", TypeSize: 8, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_rect"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_rect", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "v4l2_rect", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_rect", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
	}}},
	{Key: StructKey{Name: "v4l2_requestbuffers", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_requestbuffers", TypeSize: 20, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_memory", FldName: "memory", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_sdr_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_sdr_format", TypeSize: 32, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "pixelformat", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buffersize", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 24, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 2}}}, Kind: 1, RangeBegin: 24, RangeEnd: 24},
	}}},
	{Key: StructKey{Name: "v4l2_selection", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_selection", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type_1", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 11, 12}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_selection_target", FldName: "target", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 256, 257, 258, 259, 0, 256, 0, 256, 2, 258}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_selection_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 1, 2, 4}},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "r"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 36, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "v4l2_sliced_vbi_cap", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_sliced_vbi_cap", TypeSize: 116, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "service_set", TypeSize: 2, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "service_lines", TypeSize: 96, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}, Kind: 1, RangeBegin: 48, RangeEnd: 48},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 12, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 3, RangeEnd: 3},
	}}},
	{Key: StructKey{Name: "v4l2_sliced_vbi_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_sliced_vbi_format", TypeSize: 112, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "service_set", TypeSize: 2, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "service_lines", TypeSize: 96, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}, Kind: 1, RangeBegin: 48, RangeEnd: 48},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "io_size", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_standard", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_standard", TypeSize: 60, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_standard_std", FldName: "id", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 45056, 3276800, 16711680, 7, 224, 255, 65539, 262148, 524296, 12582912, 786444, 3277024, 327687, 46848, 5888, 63744, 16713471, 50331648, 0, 16777215}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 24, ArgDir: 2}, Kind: 1, RangeBegin: 24, RangeEnd: 24},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "frameperiod"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "framelines", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_streamparm", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_streamparm", TypeSize: 204, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_buf_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12}},
		&UnionType{Key: StructKey{Name: "v4l2_streamparm_union", Dir: 2}, FldName: "parm"},
	}}},
	{Key: StructKey{Name: "v4l2_streamparm_union", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_streamparm_union", TypeSize: 200, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_captureparm", Dir: 2}, FldName: "capture"},
		&StructType{Key: StructKey{Name: "v4l2_outputparm", Dir: 2}, FldName: "output"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "raw_data", TypeSize: 200, ArgDir: 2}, Kind: 1, RangeBegin: 200, RangeEnd: 200},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_crop", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_crop", TypeSize: 56, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "rect"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format", TypeSize: 72, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "v4l2_mbus_framefmt", Dir: 2}, FldName: "format"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_frame_interval", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_frame_interval", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "interval"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 36, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 9, RangeEnd: 9},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_frame_interval_enum", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_frame_interval_enum", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "media_bus_fmt", FldName: "code", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 4118, 4097, 4098, 4099, 4100, 4119, 4101, 4102, 4103, 4104, 4105, 4110, 4117, 4112, 4115, 4116, 4106, 4107, 4108, 4113, 4114, 4109, 4111, 8193, 8213, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8216, 8217, 8203, 8204, 8211, 8220, 8221, 8222, 8223, 8207, 8208, 8209, 8210, 8212, 8218, 8219, 8205, 8206, 8228, 8229, 8224, 8225, 8226, 8227, 8214, 8215, 12289, 12307, 12290, 12308, 12309, 12310, 12311, 12312, 12299, 12300, 12297, 12301, 12291, 12292, 12293, 12294, 12295, 12302, 12298, 12303, 12296, 12304, 12305, 12306, 16385, 20481, 24577}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4, ArgDir: 2}}},
		&StructType{Key: StructKey{Name: "v4l2_fract", Dir: 2}, FldName: "interval"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_frame_size_enum", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_frame_size_enum", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "media_bus_fmt", FldName: "code", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 4118, 4097, 4098, 4099, 4100, 4119, 4101, 4102, 4103, 4104, 4105, 4110, 4117, 4112, 4115, 4116, 4106, 4107, 4108, 4113, 4114, 4109, 4111, 8193, 8213, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8216, 8217, 8203, 8204, 8211, 8220, 8221, 8222, 8223, 8207, 8208, 8209, 8210, 8212, 8218, 8219, 8205, 8206, 8228, 8229, 8224, 8225, 8226, 8227, 8214, 8215, 12289, 12307, 12290, 12308, 12309, 12310, 12311, 12312, 12299, 12300, 12297, 12301, 12291, 12292, 12293, 12294, 12295, 12302, 12298, 12303, 12296, 12304, 12305, 12306, 16385, 20481, 24577}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_width", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min_height", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max_height", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_mbus_code_enum", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_mbus_code_enum", TypeSize: 48, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "media_bus_fmt", FldName: "code", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 4118, 4097, 4098, 4099, 4100, 4119, 4101, 4102, 4103, 4104, 4105, 4110, 4117, 4112, 4115, 4116, 4106, 4107, 4108, 4113, 4114, 4109, 4111, 8193, 8213, 8194, 8195, 8196, 8197, 8198, 8199, 8200, 8201, 8202, 8216, 8217, 8203, 8204, 8211, 8220, 8221, 8222, 8223, 8207, 8208, 8209, 8210, 8212, 8218, 8219, 8205, 8206, 8228, 8229, 8224, 8225, 8226, 8227, 8214, 8215, 12289, 12307, 12290, 12308, 12309, 12310, 12311, 12312, 12299, 12300, 12297, 12301, 12291, 12292, 12293, 12294, 12295, 12302, 12298, 12303, 12296, 12304, 12305, 12306, 16385, 20481, 24577}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_subdev_selection", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_selection", TypeSize: 64, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_subdev_format_whence", FldName: "which", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pad", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_selection_target", FldName: "target", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 256, 257, 258, 259, 0, 256, 0, 256, 2, 258}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_selection_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 1, 2, 4}},
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "r"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 32, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "v4l2_timecode", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_timecode", TypeSize: 16, ArgDir: 2}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_timecode_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_timecode_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 12, 0, 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "frames", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "seconds", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "minutes", TypeSize: 1, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hours", TypeSize: 1, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "userbits", TypeSize: 4, ArgDir: 2}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_tuner"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_tuner", TypeSize: 84}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_capability", FldName: "capability", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 32, 64, 128, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_rxsubchans", FldName: "rxsubchans", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 4, 8, 16}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_audmode", FldName: "audmode", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 2, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signal", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "afc", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_tuner", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_tuner", TypeSize: 84, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "name", TypeSize: 32, ArgDir: 2}, Kind: 1, RangeBegin: 32, RangeEnd: 32},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_type", FldName: "type", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 3, 4, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_capability", FldName: "capability", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 32, 64, 128, 256, 512, 1024, 2048, 4096}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangelow", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rangehigh", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_rxsubchans", FldName: "rxsubchans", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 4, 4, 8, 16}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_tuner_audmode", FldName: "audmode", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 2, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "signal", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "afc", TypeSize: 4, ArgDir: 2}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 16, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "v4l2_vbi_format", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_vbi_format", TypeSize: 44, ArgDir: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sampling_rate", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samples_per_line", TypeSize: 4, ArgDir: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_pix_format_pixelformat", FldName: "sample_format", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{826427218, 875836498, 842093121, 842093144, 1329743698, 892424769, 892424792, 1346520914, 1363298130, 3039908417, 3039908440, 1380075346, 1213351746, 861030210, 859981650, 877807426, 875713089, 875713112, 876758866, 875708738, 875714626, 1111970385, 1497715271, 540291161, 540422233, 540029273, 540160345, 540422489, 2687906137, 1110454617, 944521552, 540563029, 1448695129, 1448434009, 1431918169, 1498831189, 1498765654, 1345401945, 875836505, 1331058009, 1347835225, 878073177, 875710792, 842091848, 808596557, 842094158, 825382478, 909203022, 825644622, 875714126, 842290766, 942813521, 1093808465, 1110585681, 842091854, 825380174, 909200718, 825642318, 842091860, 842091862, 961959257, 961893977, 1345401140, 842093913, 842094169, 1345466932, 842091865, 825380185, 909200729, 825642329, 875711833, 842288473, 825770306, 1196573255, 1195528775, 1111967570, 808535874, 808534599, 808534338, 808535890, 1094795888, 1094797168, 1094805360, 1094799984, 943800929, 943802209, 943810401, 943805025, 943800930, 943802210, 808535106, 943805026, 842090306, 842089031, 842088770, 842090322, 844257602, 1196444237, 1195724874, 1685288548, 1195724877, 875967048, 826496577, 875967053, 859189832, 826757197, 843534413, 877088845, 1145656920, 1194410838, 1278296918, 808996950, 809062486, 1129727304, 809848148, 1095323715, 1096175191, 808532307, 808597843, 826496848, 843274064, 892483141, 825242963, 892351827, 942683475, 825636179, 925905488, 808530765, 808602698, 1481527123, 1127559225, 1196444240, 825308495, 942749007, 808990291, 808865108, 1448364355, 1229868875, 1279742026, 825242707, 1229141331, 541669465, 1228026201, 540422490}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "start", TypeSize: 8, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "count", TypeSize: 8, ArgDir: 2}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_vbi_format_flags", FldName: "flags", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{1, 2, 1, 264, 1, 314}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "reserved", TypeSize: 8, ArgDir: 2}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4, ArgDir: 2}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "v4l2_window", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "v4l2_window", TypeSize: 56, ArgDir: 2}, Fields: []Type{
		&StructType{Key: StructKey{Name: "v4l2_rect", Dir: 2}, FldName: "w"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_field", FldName: "field", TypeSize: 4, ArgDir: 2}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chromakey", TypeSize: 4, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "clips", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_clip", Dir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "clipcount", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "bitmap", TypeSize: 8, ArgDir: 2}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "global_alpha", TypeSize: 1, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "veth_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "veth_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[VETH_INFO_PEER, int16], ifinfomsg[AF_UNSPEC]]"}, FldName: "VETH_INFO_PEER"},
	}}},
	{Key: StructKey{Name: "vfat_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vfat_options", IsVarlen: true}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "fat_options"}, FldName: "fat"},
		&StructType{Key: StructKey{Name: "fs_opt[\"iocharset\", stringnoz[codepages_names]]"}, FldName: "iocharset"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "rodir", TypeSize: 5}, Kind: 2, Values: []string{"rodir"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "utf8no", TypeSize: 6}, Kind: 2, Values: []string{"utf8=0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "utf8", TypeSize: 6}, Kind: 2, Values: []string{"utf8=1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "uni_xlateno", TypeSize: 11}, Kind: 2, Values: []string{"uni_xlate=0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "uni_xlate", TypeSize: 11}, Kind: 2, Values: []string{"uni_xlate=1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "numtail", TypeSize: 11}, Kind: 2, Values: []string{"nonumtail=0"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nonumtail", TypeSize: 12}, Kind: 2, Values: []string{"nnonumtail=1"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "shortname_lower", TypeSize: 15}, Kind: 2, Values: []string{"shortname=lower"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "shortname_win95", TypeSize: 15}, Kind: 2, Values: []string{"shortname=win95"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "shortname_winnt", TypeSize: 15}, Kind: 2, Values: []string{"shortname=winnt"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "shortname_mixed", TypeSize: 15}, Kind: 2, Values: []string{"shortname=mixed"}, NoZ: true},
	}}},
	{Key: StructKey{Name: "vhost_iotlb_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_iotlb_msg", TypeSize: 32}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "iova", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "iova"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "uaddr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_iotlb_perm", FldName: "perm", TypeSize: 1}}, Vals: []uint64{1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_iotlb_type", FldName: "type", TypeSize: 1}}, Vals: []uint64{1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "vhost_memory"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_memory", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nregions", TypeSize: 4}}, Buf: "regions"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "padding", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "regions", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "vhost_memory_region"}}},
	}}},
	{Key: StructKey{Name: "vhost_memory_region"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_memory_region", TypeSize: 32}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "guest_phys_addr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "memory_size", TypeSize: 8}}, BitSize: 8, Buf: "userspace_addr"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "userspace_addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags_padding", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "vhost_msg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_msg", TypeSize: 104}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "vhost_iotlb_msg"}, FldName: "iotlb"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "padding", TypeSize: 64}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 8}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "vhost_vring_addr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_vring_addr", TypeSize: 40}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_vring_index", FldName: "index", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "desc_user_addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "used_user_addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "avail_user_addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", FldName: "log_guest_addr", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}},
	}}},
	{Key: StructKey{Name: "vhost_vring_file"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_vring_file", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_vring_index", FldName: "index", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4, IsOptional: true}},
	}}},
	{Key: StructKey{Name: "vhost_vring_state"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_vring_state", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_vring_index", FldName: "index", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "vhost_vring_state", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vhost_vring_state", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_vring_index", FldName: "index", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "virtio_net_hdr"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "virtio_net_hdr", TypeSize: 10}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "virtio_net_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "virtio_net_types", FldName: "gsotype", TypeSize: 1}}, Vals: []uint64{0, 1, 3, 4, 128}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hdrlen", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "gsosize", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "start", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "offset", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "vit_common_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vit_common_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LINK, int16], ifindex]"}, FldName: "IFLA_VTI_LINK"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_IKEY, int16], int32]"}, FldName: "IFLA_VTI_IKEY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_OKEY, int16], int32]"}, FldName: "IFLA_VTI_OKEY"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_FWMARK, int16], int32]"}, FldName: "IFLA_VTI_FWMARK"},
	}}},
	{Key: StructKey{Name: "vlan_tag"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vlan_tag", IsVarlen: true}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tag_ad", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "vlan_tag_ad"}}, Kind: 1, RangeEnd: 1},
		&StructType{Key: StructKey{Name: "vlan_tag_q"}, FldName: "tag_q"},
	}}},
	{Key: StructKey{Name: "vlan_tag_ad"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vlan_tag_ad", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tpid", TypeSize: 2}, ArgFormat: 1}, Val: 37120},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pcp", TypeSize: 2}, BitfieldLen: 3, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dei", TypeSize: 2}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vid", TypeSize: 2}, BitfieldOff: 4, BitfieldLen: 12}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "vlan_tag_q"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vlan_tag_q", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "tpid", TypeSize: 2}, ArgFormat: 1}, Val: 33024},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pcp", TypeSize: 2}, BitfieldLen: 3, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "dei", TypeSize: 2}, BitfieldOff: 3, BitfieldLen: 1, BitfieldMdl: true}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vid", TypeSize: 2}, BitfieldOff: 4, BitfieldLen: 12}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "vmaddr_cid"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vmaddr_cid", TypeSize: 4}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "any", TypeSize: 4}}, Val: 4294967295},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hyper", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "host", TypeSize: 4}}, Val: 2},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "my", TypeSize: 4}}, ValuesStart: 1234, ValuesPerProc: 2},
	}}},
	{Key: StructKey{Name: "vmaddr_cid", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vmaddr_cid", TypeSize: 4, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "any", TypeSize: 4, ArgDir: 1}}, Val: 4294967295},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hyper", TypeSize: 4, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4, ArgDir: 1}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "host", TypeSize: 4, ArgDir: 1}}, Val: 2},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "my", TypeSize: 4, ArgDir: 1}}, ValuesStart: 1234, ValuesPerProc: 2},
	}}},
	{Key: StructKey{Name: "vmaddr_cid", Dir: 2}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vmaddr_cid", TypeSize: 4, ArgDir: 2}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "any", TypeSize: 4, ArgDir: 2}}, Val: 4294967295},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hyper", TypeSize: 4, ArgDir: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4, ArgDir: 2}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "host", TypeSize: 4, ArgDir: 2}}, Val: 2},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "my", TypeSize: 4, ArgDir: 2}}, ValuesStart: 1234, ValuesPerProc: 2},
	}}},
	{Key: StructKey{Name: "vmaddr_cid64"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vmaddr_cid64", TypeSize: 8}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "vmaddr_cid"}, FldName: "cid"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "vnet_fragmentation"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vnet_fragmentation", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "full", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}, Kind: 2, RangeBegin: 1, RangeEnd: 4},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "frags", TypeSize: 16}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 4096}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "vt_consize"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vt_consize", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rows", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cols", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vlin", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "clin", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "vcol", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ccol", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "vt_mode"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vt_mode", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "waitv", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "relsig", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "acqsig", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "frsig", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "vt_mode", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vt_mode", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "waitv", TypeSize: 1, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "relsig", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "acqsig", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "frsig", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "vt_sizes"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vt_sizes", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "rows", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cols", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "scroll", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "vt_stat"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vt_stat", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "active", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "signal", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "state", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "vti_policy"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "vti_policy", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_LOCAL, int16], ipv4_addr]"}, FldName: "IFLA_VTI_LOCAL"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[IFLA_VTI_REMOTE, int16], ipv4_addr]"}, FldName: "IFLA_VTI_REMOTE"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "vit_common_policy", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "vit_common_policy"}}},
	}}},
	{Key: StructKey{Name: "winsize"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "winsize", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "row", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "col", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "xpix", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "upix", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "winsize", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "winsize", TypeSize: 8, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "row", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "col", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "xpix", TypeSize: 2, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "upix", TypeSize: 2, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "x25_packet"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "x25_packet", IsVarlen: true}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "x25_iface_types", FldName: "iface", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "wtf", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "x25_frame_types", FldName: "frame", TypeSize: 1}}, Vals: []uint64{11, 15, 19, 23, 0, 35, 39, 1, 5, 9, 27, 31, 243, 247, 251, 255, 241, 253}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xattr_name"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xattr_name", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "known", IsVarlen: true}, Kind: 2, SubKind: "xattr_names", Values: []string{"system.posix_acl_access\x00", "system.posix_acl_default\x00", "system.advise\x00", "system.sockprotoname\x00", "com.apple.FinderInfo\x00", "com.apple.system.Security\x00", "user.syz\x00", "trusted.syz\x00", "security.evm\x00", "security.ima\x00", "security.selinux\x00", "security.capability\x00"}},
		&StructType{Key: StructKey{Name: "xattr_name_random"}, FldName: "random"},
	}}},
	{Key: StructKey{Name: "xattr_name_random"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xattr_name_random", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "prefix", IsVarlen: true}, Kind: 2, SubKind: "xattr_prefix", Values: []string{"system.", "trusted.", "security.", "user.", "btrfs.", "osx.", "os2."}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", IsVarlen: true}, Kind: 2},
	}}},
	{Key: StructKey{Name: "xdp_umem_reg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xdp_umem_reg", TypeSize: 24}, Fields: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_umem_sizes", FldName: "len", TypeSize: 8}}, Vals: []uint64{4096, 8192, 16384, 32768, 65536, 131072, 1048576, 2097152, 16777216}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_umem_chunk_sizes", FldName: "chunk_size", TypeSize: 4}}, Vals: []uint64{2048, 4096}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "headroom", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrm_address"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_address", TypeSize: 16}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "in"},
		&UnionType{Key: StructKey{Name: "ipv6_addr"}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "xfrm_address", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_address", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "ipv4_addr", Dir: 1}, FldName: "in"},
		&UnionType{Key: StructKey{Name: "ipv6_addr", Dir: 1}, FldName: "in6"},
	}}},
	{Key: StructKey{Name: "xfrm_address_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_address_filter", TypeSize: 36}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "daddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "splen", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dplen", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xfrm_aevent_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_aevent_id", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_usersa_id"}, FldName: "sa_id"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
	}}},
	{Key: StructKey{Name: "xfrm_algo_aead"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_algo_aead", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_aead_name"}, FldName: "alg_name"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "alg_key_len", TypeSize: 4}}, BitSize: 1, Buf: "alg_key"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_algo_truncbits", FldName: "alg_icv_len", TypeSize: 4}}, Vals: []uint64{0, 64, 96, 128, 160, 192, 256, 384, 512}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "alg_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_algo_auth"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_algo_auth", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_hash_name"}, FldName: "alg_name"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "alg_key_len", TypeSize: 4}}, BitSize: 1, Buf: "alg_key"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_algo_truncbits", FldName: "alg_icv_len", TypeSize: 4}}, Vals: []uint64{0, 64, 96, 128, 160, 192, 256, 384, 512}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "alg_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_algo_blkcipher"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_algo_blkcipher", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_blkcipher_name"}, FldName: "alg_name"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "alg_key_len", TypeSize: 4}}, BitSize: 1, Buf: "alg_key"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "alg_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_algo_compress"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_algo_compress", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_compress_name"}, FldName: "alg_name"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "alg_key_len", TypeSize: 4}}, BitSize: 1, Buf: "alg_key"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "alg_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_algo_hash"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_algo_hash", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "alg_hash_name"}, FldName: "alg_name"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bitsize", FldName: "alg_key_len", TypeSize: 4}}, BitSize: 1, Buf: "alg_key"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "alg_key", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_attrs"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_attrs", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SA, int16], xfrm_usersa_info]"}, FldName: "sa"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_POLICY, int16], xfrm_userpolicy_info]"}, FldName: "policy"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_LASTUSED, int16], int64]"}, FldName: "lastused"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AUTH_TRUNC, int16], xfrm_algo_auth]"}, FldName: "algo_auth_trunc"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AEAD, int16], xfrm_algo_aead]"}, FldName: "algo_aead"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_AUTH, int16], xfrm_algo_hash]"}, FldName: "algo_auth"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_CRYPT, int16], xfrm_algo_blkcipher]"}, FldName: "algo_crypt"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ALG_COMP, int16], xfrm_algo_compress]"}, FldName: "algo_comp"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SRCADDR, int16], xfrm_address]"}, FldName: "srcaddr"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_COADDR, int16], xfrm_address]"}, FldName: "coaddr"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SA_EXTRA_FLAGS, int16], int32]"}, FldName: "extra_flags"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_TFCPAD, int16], int32]"}, FldName: "tfcpad"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_THRESH, int16], int32]"}, FldName: "replay_thresh"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ETIMER_THRESH, int16], int32]"}, FldName: "etimer_thresh"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_OUTPUT_MARK, int16], int32]"}, FldName: "output_mark"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ENCAP, int16], xfrm_encap_tmpl]"}, FldName: "encap"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_OFFLOAD_DEV, int16], xfrm_user_offload]"}, FldName: "offload"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SEC_CTX, int16], xfrm_user_sec_ctx]"}, FldName: "sec_ctx"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_LTIME_VAL, int16], xfrm_lifetime_cur]"}, FldName: "lifetime_val"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_TMPL, int16], array[xfrm_user_tmpl]]"}, FldName: "tmpl"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_VAL, int16], xfrm_replay_state]"}, FldName: "replay_val"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_REPLAY_ESN_VAL, int16], xfrm_replay_state_esn]"}, FldName: "replay_esn_val"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_POLICY_TYPE, int16], xfrm_userpolicy_type]"}, FldName: "policy_type"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_MIGRATE, int16], array[xfrm_user_migrate]]"}, FldName: "migrate"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_KMADDRESS, int16], xfrm_user_kmaddress]"}, FldName: "user_kmaddress"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_MARK, int16], xfrm_mark]"}, FldName: "mark"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_PROTO, int16], flags[xfrm_proto, int8]]"}, FldName: "proto"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_ADDRESS_FILTER, int16], xfrm_address_filter]"}, FldName: "address_filter"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SPD_IPV4_HTHRESH, int16], xfrmu_spdhthresh4]"}, FldName: "ipv4_hthresh"},
		&StructType{Key: StructKey{Name: "nlattr_t[const[XFRMA_SPD_IPV6_HTHRESH, int16], xfrmu_spdhthresh6]"}, FldName: "ipv6_hthresh"},
	}}},
	{Key: StructKey{Name: "xfrm_encap_tmpl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_encap_tmpl", TypeSize: 24}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_encap_type", FldName: "encap_type", TypeSize: 2}}, Vals: []uint64{18446744073709551613, 18446744073709551614, 18446744073709551615, 0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "encap_sport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "encap_dport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "encap_oa"},
	}}},
	{Key: StructKey{Name: "xfrm_filter"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_filter", TypeSize: 232}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "info"},
		&StructType{Key: StructKey{Name: "xfrm_user_tmpl"}, FldName: "tmpl"},
	}}},
	{Key: StructKey{Name: "xfrm_filter", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_filter", TypeSize: 232, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info", Dir: 1}, FldName: "info"},
		&StructType{Key: StructKey{Name: "xfrm_user_tmpl", Dir: 1}, FldName: "tmpl"},
	}}},
	{Key: StructKey{Name: "xfrm_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_id", TypeSize: 24}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "daddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_id", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_id", TypeSize: 24, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address", Dir: 1}, FldName: "daddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_lifetime_cfg"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_lifetime_cfg", TypeSize: 64}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_byte_limit", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_byte_limit", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_packet_limit", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_packet_limit", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_add_expires_seconds", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_add_expires_seconds", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_use_expires_seconds", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_use_expires_seconds", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xfrm_lifetime_cfg", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_lifetime_cfg", TypeSize: 64, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_byte_limit", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_byte_limit", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_packet_limit", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_packet_limit", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_add_expires_seconds", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_add_expires_seconds", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "soft_use_expires_seconds", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hard_use_expires_seconds", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "xfrm_lifetime_cur"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_lifetime_cur", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bytes", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "packets", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "add_time", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "use_time", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xfrm_lifetime_cur", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_lifetime_cur", TypeSize: 32, ArgDir: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "bytes", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "packets", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "add_time", TypeSize: 8, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "use_time", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "xfrm_mark"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_mark", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "v", TypeSize: 4}}, Kind: 2, RangeBegin: 3475289, RangeEnd: 3475293},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "m", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrm_replay_state"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_replay_state", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oseq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bitmap", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrm_replay_state_esn"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_replay_state_esn", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "bmp_len", TypeSize: 4}}, Buf: "bmp"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oseq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "oseq_hi", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq_hi", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "replay_window", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "bmp", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}}},
	{Key: StructKey{Name: "xfrm_selector"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_selector", TypeSize: 56}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "daddr"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_mask", TypeSize: 2, IsOptional: true}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_mask", TypeSize: 2, IsOptional: true}, ArgFormat: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_prefixlens", FldName: "prefixlen_d", TypeSize: 1}}, Vals: []uint64{32, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_prefixlens", FldName: "prefixlen_s", TypeSize: 1}}, Vals: []uint64{32, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "proto", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4, IsOptional: true}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "user", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "xfrm_selector", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_selector", TypeSize: 56, ArgDir: 1}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address", Dir: 1}, FldName: "daddr"},
		&UnionType{Key: StructKey{Name: "xfrm_address", Dir: 1}, FldName: "saddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dport_mask", TypeSize: 2, ArgDir: 1, IsOptional: true}, ArgFormat: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport", TypeSize: 2, ArgDir: 1}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "sport_mask", TypeSize: 2, ArgDir: 1, IsOptional: true}, ArgFormat: 1}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{2, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_prefixlens", FldName: "prefixlen_d", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{32, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_prefixlens", FldName: "prefixlen_s", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{32, 128}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "proto", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4, ArgDir: 1, IsOptional: true}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "user", TypeSize: 4, ArgDir: 1}},
	}}},
	{Key: StructKey{Name: "xfrm_stats"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_stats", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "replay_window", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "replay", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "integrity_failed", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrm_user_acquire"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_acquire", TypeSize: 280}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_id"}, FldName: "id"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&StructType{Key: StructKey{Name: "xfrm_selector"}, FldName: "sel"},
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "policy"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aalgos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ealgos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "calgo", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
	}}},
	{Key: StructKey{Name: "xfrm_user_expire"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_expire", TypeSize: 232}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_usersa_info"}, FldName: "state"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hard", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_user_kmaddress"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_kmaddress", TypeSize: 40}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "local"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "remote"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_user_migrate"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_migrate", TypeSize: 44}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "old_daddr"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "new_saddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "old_family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "new_family", TypeSize: 2}}, Vals: []uint64{2, 10}},
	}}},
	{Key: StructKey{Name: "xfrm_user_offload"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_offload", TypeSize: 8}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", FldName: "ifindex", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_offload_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_user_polexpire"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_polexpire", TypeSize: 176}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_userpolicy_info"}, FldName: "pol"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "hard", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_user_report"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_report", TypeSize: 60}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xfrm_selector"}, FldName: "sel"},
	}}},
	{Key: StructKey{Name: "xfrm_user_sec_ctx"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_sec_ctx", IsVarlen: true}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 2}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "exttype", TypeSize: 2}}, Val: 8},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_sec_ctx_alg", FldName: "ctx_alg", TypeSize: 1}}, Vals: []uint64{1}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ctx_doi", TypeSize: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ctx_len", TypeSize: 2}}, Buf: "payload"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "payload", IsVarlen: true}},
	}}},
	{Key: StructKey{Name: "xfrm_user_tmpl"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_tmpl", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_id"}, FldName: "id"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_shares", FldName: "share", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "optional", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aalgos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ealgos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "calgos", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrm_user_tmpl", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_user_tmpl", TypeSize: 64, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_id", Dir: 1}, FldName: "id"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2, ArgDir: 1}}, Vals: []uint64{2, 10}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&UnionType{Key: StructKey{Name: "xfrm_address", Dir: 1}, FldName: "saddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, ArgDir: 1, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_mode", FldName: "mode", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_shares", FldName: "share", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "optional", TypeSize: 1, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aalgos", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ealgos", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "calgos", TypeSize: 4, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "xfrm_userpolicy_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_userpolicy_id", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_selector"}, FldName: "sel"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 7236528, RangeEnd: 7236544},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_dir", FldName: "dir", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_userpolicy_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_userpolicy_info", TypeSize: 168}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_selector"}, FldName: "sel"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cfg"}, FldName: "lft"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cur"}, FldName: "curlft"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priority", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 7236528, RangeEnd: 7236544},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_dir", FldName: "dir", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_actions", FldName: "action", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_shares", FldName: "share", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_userpolicy_info", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_userpolicy_info", TypeSize: 168, ArgDir: 1}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_selector", Dir: 1}, FldName: "sel"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cfg", Dir: 1}, FldName: "lft"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cur", Dir: 1}, FldName: "curlft"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priority", TypeSize: 4, ArgDir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4, ArgDir: 1, IsOptional: true}}, Kind: 2, RangeBegin: 7236528, RangeEnd: 7236544},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_dir", FldName: "dir", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_actions", FldName: "action", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_flags", FldName: "flags", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_shares", FldName: "share", TypeSize: 1, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_userpolicy_type"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_userpolicy_type", TypeSize: 6}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_policy_types", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved1", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "reserved2", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_usersa_flush"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_usersa_flush", TypeSize: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
	}}},
	{Key: StructKey{Name: "xfrm_usersa_id"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_usersa_id", TypeSize: 24}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "daddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_proto", FldName: "proto", TypeSize: 1}}, Vals: []uint64{51, 50, 108, 60, 43, 255}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_usersa_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_usersa_info", TypeSize: 224}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_selector"}, FldName: "sel"},
		&StructType{Key: StructKey{Name: "xfrm_id"}, FldName: "id"},
		&UnionType{Key: StructKey{Name: "xfrm_address"}, FldName: "saddr"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cfg"}, FldName: "lft"},
		&StructType{Key: StructKey{Name: "xfrm_lifetime_cur"}, FldName: "curlft"},
		&StructType{Key: StructKey{Name: "xfrm_stats"}, FldName: "stats"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq", TypeSize: 4}}, Kind: 2, RangeBegin: 7388453, RangeEnd: 7388461},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_family", FldName: "family", TypeSize: 2}}, Vals: []uint64{2, 10}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "replay_window", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xfrm_state", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xfrm_userspi_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrm_userspi_info", TypeSize: 232}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xfrm_usersa_info"}, FldName: "info"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xfrmu_spdhthresh4"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrmu_spdhthresh4", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lbits", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rbits", TypeSize: 1}}, Kind: 2, RangeEnd: 32},
	}}},
	{Key: StructKey{Name: "xfrmu_spdhthresh6"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfrmu_spdhthresh6", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "lbits", TypeSize: 1}}, Kind: 2, RangeEnd: 128},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "rbits", TypeSize: 1}}, Kind: 2, RangeEnd: 128},
	}}},
	{Key: StructKey{Name: "xfs_options"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xfs_options", IsVarlen: true}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "wsync", TypeSize: 5}, Kind: 2, Values: []string{"wsync"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noalign", TypeSize: 7}, Kind: 2, Values: []string{"noalign"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "swalloc", TypeSize: 7}, Kind: 2, Values: []string{"swalloc"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nouuid", TypeSize: 6}, Kind: 2, Values: []string{"nouuid"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "mtpt", TypeSize: 4}, Kind: 2, Values: []string{"mtpt"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpid", TypeSize: 5}, Kind: 2, Values: []string{"grpid"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nogrpid", TypeSize: 7}, Kind: 2, Values: []string{"nogrpid"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "bsdgroups", TypeSize: 9}, Kind: 2, Values: []string{"bsdgroups"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "sysvgroups", TypeSize: 10}, Kind: 2, Values: []string{"sysvgroups"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "norecovery", TypeSize: 10}, Kind: 2, Values: []string{"norecovery"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inode64", TypeSize: 7}, Kind: 2, Values: []string{"inode64"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "inode32", TypeSize: 7}, Kind: 2, Values: []string{"inode32"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "ikeep", TypeSize: 5}, Kind: 2, Values: []string{"ikeep"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noikeep", TypeSize: 7}, Kind: 2, Values: []string{"noikeep"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "largeio", TypeSize: 7}, Kind: 2, Values: []string{"largeio"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nolargeio", TypeSize: 9}, Kind: 2, Values: []string{"nolargeio"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "attr2", TypeSize: 5}, Kind: 2, Values: []string{"attr2"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noattr2", TypeSize: 7}, Kind: 2, Values: []string{"noattr2"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "filestreams", TypeSize: 11}, Kind: 2, Values: []string{"filestreams"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "quota", TypeSize: 5}, Kind: 2, Values: []string{"quota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "noquota", TypeSize: 7}, Kind: 2, Values: []string{"noquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "lazytime", TypeSize: 8}, Kind: 2, Values: []string{"lazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nolazytime", TypeSize: 10}, Kind: 2, Values: []string{"nolazytime"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "usrquota", TypeSize: 8}, Kind: 2, Values: []string{"usrquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "grpquota", TypeSize: 8}, Kind: 2, Values: []string{"grpquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "prjquota", TypeSize: 8}, Kind: 2, Values: []string{"prjquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "uquota", TypeSize: 6}, Kind: 2, Values: []string{"uquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "gquota", TypeSize: 6}, Kind: 2, Values: []string{"gquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "pquota", TypeSize: 6}, Kind: 2, Values: []string{"pquota"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "uqnoenforce", TypeSize: 11}, Kind: 2, Values: []string{"uqnoenforce"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "gqnoenforce", TypeSize: 11}, Kind: 2, Values: []string{"gqnoenforce"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "pqnoenforce", TypeSize: 11}, Kind: 2, Values: []string{"pqnoenforce"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "qnoenforce", TypeSize: 10}, Kind: 2, Values: []string{"qnoenforce"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "discard", TypeSize: 7}, Kind: 2, Values: []string{"discard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nodiscard", TypeSize: 9}, Kind: 2, Values: []string{"nodiscard"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "dax", TypeSize: 3}, Kind: 2, Values: []string{"dax"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "barrier", TypeSize: 7}, Kind: 2, Values: []string{"barrier"}, NoZ: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "stringnoz", FldName: "nobarrier", TypeSize: 9}, Kind: 2, Values: []string{"nobarrier"}, NoZ: true},
		&StructType{Key: StructKey{Name: "fs_opt[\"logbufs\", fmt[dec, int32[-1:8]]]"}, FldName: "logbufs"},
		&StructType{Key: StructKey{Name: "fs_opt[\"biosize\", fmt[dec, int32]]"}, FldName: "biosize"},
		&StructType{Key: StructKey{Name: "fs_opt[\"sunit\", fmt[hex, int32]]"}, FldName: "sunit"},
		&StructType{Key: StructKey{Name: "fs_opt[\"swidth\", fmt[hex, int32]]"}, FldName: "swidth"},
		&StructType{Key: StructKey{Name: "fs_opt[\"logbsize\", array[flags[fs_opt_digits_suffix, int8]]]"}, FldName: "logbsize"},
		&StructType{Key: StructKey{Name: "fs_opt[\"allocsize\", array[flags[fs_opt_digits_suffix, int8]]]"}, FldName: "allocsize"},
		&StructType{Key: StructKey{Name: "fs_opt[\"logdev\", stringnoz[filename]]"}, FldName: "logdev"},
		&StructType{Key: StructKey{Name: "fs_opt[\"rtdev\", stringnoz[filename]]"}, FldName: "rtdev"},
	}}},
	{Key: StructKey{Name: "xt_CHECKSUM_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_CHECKSUM_info", TypeSize: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "operation", TypeSize: 1}}, Val: 1},
	}}},
	{Key: StructKey{Name: "xt_DSCP_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_DSCP_info", TypeSize: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dscp", TypeSize: 1}}, Kind: 2, RangeEnd: 63},
	}}},
	{Key: StructKey{Name: "xt_NFQ_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_NFQ_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "queuenum", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "xt_NFQ_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_NFQ_info_v1", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "queuenum", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "queues_total", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "xt_NFQ_info_v3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_NFQ_info_v3", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "queuenum", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "queues_total", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_NFQ_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_addrtype_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_addrtype_info", TypeSize: 12}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_addrtype_type", FldName: "source", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_addrtype_type", FldName: "dest", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert_source", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert_dest", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_addrtype_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_addrtype_info_v1", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_addrtype_type", FldName: "source", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_addrtype_type", FldName: "dest", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_addrtype_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_audit_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_audit_info", TypeSize: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_audit_flags", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_bpf_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_bpf_info", TypeSize: 528}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bpf_program_num_elem", TypeSize: 2}}, Kind: 2, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "bpf_program", TypeSize: 512}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "filter", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_bpf_info_bytecode"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_bpf_info_bytecode", TypeSize: 528}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bpf_program_num_elem", TypeSize: 2}}, Kind: 2, RangeEnd: 64},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 4}}},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "bpf_program", TypeSize: 512}, Type: &StructType{Key: StructKey{Name: "sock_filter"}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "filter", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_bpf_info_fd"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_bpf_info_fd", TypeSize: 8}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 2}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "bpf_program_num_elem", TypeSize: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "fd", TypeSize: 4}},
	}}},
	{Key: StructKey{Name: "xt_bpf_info_pinned"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_bpf_info_pinned", TypeSize: 528}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 2}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "bpf_program_num_elem", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "filename", FldName: "path", TypeSize: 512}, Kind: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "filter", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_bpf_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_bpf_info_v1", TypeSize: 528}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_bpf_info_bytecode"}, FldName: "bytecode"},
		&StructType{Key: StructKey{Name: "xt_bpf_info_pinned"}, FldName: "pinned"},
		&StructType{Key: StructKey{Name: "xt_bpf_info_fd"}, FldName: "fd"},
	}}},
	{Key: StructKey{Name: "xt_cgroup_info_v0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_cgroup_info_v0", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_cgroup_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_cgroup_info_v1", TypeSize: 4112}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "has_path", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "has_classid", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert_path", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert_classid", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "path", TypeSize: 4096}, Kind: 2, SubKind: "cgroup_paths", Values: []string{"./cgroup/syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "./cgroup.cpu/syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "./cgroup.net/syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "./cgroup/syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "./cgroup.cpu/syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "./cgroup.net/syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "classid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "priv", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_classify_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_classify_target_info", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "priority", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_cluster_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_cluster_match_info", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "total_nodes", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "node_mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hash_seed", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_comment_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_comment_info", TypeSize: 256}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "comment", TypeSize: 256}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256},
	}}},
	{Key: StructKey{Name: "xt_connbytes_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connbytes_info", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "count_from", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "count_to", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_connbytes_what", FldName: "what", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_connbytes_direction", FldName: "direction", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_connlabel_mtinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connlabel_mtinfo", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "bit", TypeSize: 2}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_connlabel_mtopts", FldName: "options", TypeSize: 2}}, Vals: []uint64{1, 2}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_connlimit_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connlimit_info", TypeSize: 32}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "limit", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_connlimit_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "data", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_connmark_mtinfo1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connmark_mtinfo1", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_connmark_tginfo1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connmark_tginfo1", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ctmark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ctmask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nfmask", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_connmark_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_connsecmark_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_connsecmark_target_info", TypeSize: 1}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1}}, Kind: 2, RangeBegin: 1, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "xt_conntrack_mtinfo1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_conntrack_mtinfo1", TypeSize: 156}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo_common"}, FldName: "common"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_state", FldName: "state_mask", TypeSize: 1}}, Vals: []uint64{1, 64, 128, 256}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_status", FldName: "status_mask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_conntrack_mtinfo2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_conntrack_mtinfo2", TypeSize: 156}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo_common"}, FldName: "common"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_state", FldName: "state_mask", TypeSize: 2}}, Vals: []uint64{1, 64, 128, 256}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_status", FldName: "status_mask", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_conntrack_mtinfo3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_conntrack_mtinfo3", TypeSize: 164}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo_common"}, FldName: "common"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_state", FldName: "state_mask", TypeSize: 2}}, Vals: []uint64{1, 64, 128, 256}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_status", FldName: "status_mask", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "origsrc_port_high", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "origdst_port_high", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "replsrc_port_high", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "repldst_port_high", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
	}}},
	{Key: StructKey{Name: "xt_conntrack_mtinfo_common"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_conntrack_mtinfo_common", TypeSize: 152}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "origsrc_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "origsrc_mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "origdst_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "origdst_mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "replsrc_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "replsrc_mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "repldst_addr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "repldst_mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "expires_min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "expires_max", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "l4proto", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "origsrc_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "origdst_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "replsrc_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "repldst_port", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_flags", FldName: "match_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_conntrack_flags", FldName: "invert_flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_counters"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_counters", TypeSize: 16}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pcnt", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "bcnt", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_counters", Dir: 1}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_counters", TypeSize: 16, ArgDir: 1}, Fields: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pcnt", TypeSize: 8, ArgDir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "bcnt", TypeSize: 8, ArgDir: 1}}},
	}}},
	{Key: StructKey{Name: "xt_cpu_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_cpu_info", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_ct_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_ct_target_info", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "zone", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ct_events", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "exp_events", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "helper", TypeSize: 16}, Kind: 2, SubKind: "xt_ct_helpers", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "snmp_trap\x00\x00\x00\x00\x00\x00\x00", "netbios-ns\x00\x00\x00\x00\x00\x00", "pptp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "snmp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ct", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_ct_target_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_ct_target_info_v1", TypeSize: 72}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ct_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "zone", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ct_events", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "exp_events", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "helper", TypeSize: 16}, Kind: 2, SubKind: "xt_ct_helpers", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "snmp_trap\x00\x00\x00\x00\x00\x00\x00", "netbios-ns\x00\x00\x00\x00\x00\x00", "pptp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "snmp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "timeout", TypeSize: 32}, Kind: 2, SubKind: "xt_ct_timeouts", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ct", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_dccp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_dccp_info", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_dccp_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_dccp_flags", FldName: "invflags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "typemask", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "option", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_devgroup_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_devgroup_info", TypeSize: 20}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_devgroup_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "src_group", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "src_mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dst_group", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dst_mask", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_dscp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_dscp_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dscp", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_ecn_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_ecn_info", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ecn_operation", FldName: "operation", TypeSize: 1}}, Vals: []uint64{1, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ecn_operation", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 16, 32}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ip_ect", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ect", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xt_entry_match[\"addrtype\", xt_addrtype_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"addrtype\", xt_addrtype_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"addrtype\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_addrtype_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"addrtype\", xt_addrtype_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"addrtype\", xt_addrtype_info_v1, 1]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"addrtype\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_addrtype_info_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ah\", ip6t_ah, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ah\", ip6t_ah, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ah\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_ah"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ah\", ipt_ah, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ah\", ipt_ah, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ah\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_ah"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"bpf\", xt_bpf_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"bpf\", xt_bpf_info, 0]", TypeSize: 560}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"bpf\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_bpf_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"bpf\", xt_bpf_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"bpf\", xt_bpf_info_v1, 1]", TypeSize: 560}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"bpf\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&UnionType{Key: StructKey{Name: "xt_bpf_info_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"cgroup\", xt_cgroup_info_v0, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"cgroup\", xt_cgroup_info_v0, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"cgroup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_cgroup_info_v0"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"cgroup\", xt_cgroup_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"cgroup\", xt_cgroup_info_v1, 1]", TypeSize: 4144}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"cgroup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_cgroup_info_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"cluster\", xt_cluster_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"cluster\", xt_cluster_match_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"cluster\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_cluster_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"comment\", xt_comment_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"comment\", xt_comment_info, 0]", TypeSize: 288}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"comment\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_comment_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"connbytes\", xt_connbytes_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"connbytes\", xt_connbytes_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"connbytes\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_connbytes_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"connlabel\", xt_connlabel_mtinfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"connlabel\", xt_connlabel_mtinfo, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"connlabel\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_connlabel_mtinfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"connlimit\", xt_connlimit_info, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"connlimit\", xt_connlimit_info, 1]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"connlimit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_connlimit_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"connmark\", xt_connmark_mtinfo1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"connmark\", xt_connmark_mtinfo1, 1]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"connmark\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_connmark_mtinfo1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo1, 1]", TypeSize: 192}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"conntrack\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo2, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo2, 2]", TypeSize: 192}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"conntrack\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo2"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo3, 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo3, 3]", TypeSize: 200}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"conntrack\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "xt_conntrack_mtinfo3"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"cpu\", xt_cpu_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"cpu\", xt_cpu_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"cpu\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_cpu_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"dccp\", xt_dccp_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"dccp\", xt_dccp_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"dccp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_dccp_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"devgroup\", xt_devgroup_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"devgroup\", xt_devgroup_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"devgroup\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_devgroup_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"dscp\", xt_dscp_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"dscp\", xt_dscp_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"dscp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_dscp_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"dst\", ip6t_opts, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"dst\", ip6t_opts, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"dst\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_opts"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ecn\", xt_ecn_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ecn\", xt_ecn_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ecn\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_ecn_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"esp\", xt_esp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"esp\", xt_esp, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"esp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_esp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"eui64\", const[0, int32], 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"eui64\", const[0, int32], 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"eui64\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "data", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"frag\", ip6t_frag, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"frag\", ip6t_frag, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"frag\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_frag"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo1, 1]", TypeSize: 88}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"hashlimit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_hashlimit_mtinfo1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo2, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo2, 2]", TypeSize: 336}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"hashlimit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_hashlimit_mtinfo2"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo3, 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo3, 3]", TypeSize: 344}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"hashlimit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "xt_hashlimit_mtinfo3"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"hbh\", ip6t_opts, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"hbh\", ip6t_opts, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"hbh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_opts"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"helper\", xt_helper_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"helper\", xt_helper_info, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"helper\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_helper_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"hl\", ipt_ttl_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"hl\", ipt_ttl_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"hl\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_ttl_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"icmp\", ipt_icmp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"icmp\", ipt_icmp, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"icmp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_icmp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"icmp6\", ip6t_icmp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"icmp6\", ip6t_icmp, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"icmp6\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_icmp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ipcomp\", xt_ipcomp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ipcomp\", xt_ipcomp, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ipcomp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_ipcomp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"iprange\", xt_iprange_mtinfo, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"iprange\", xt_iprange_mtinfo, 1]", TypeSize: 104}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"iprange\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_iprange_mtinfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ipv6header\", ip6t_ipv6header_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ipv6header\", ip6t_ipv6header_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ipv6header\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_ipv6header_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ipvs\", xt_ipvs_mtinfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ipvs\", xt_ipvs_mtinfo, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ipvs\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_ipvs_mtinfo"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"l2tp\", xt_l2tp_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"l2tp\", xt_l2tp_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"l2tp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_l2tp_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"length\", xt_length_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"length\", xt_length_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"length\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_length_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"limit\", xt_rateinfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"limit\", xt_rateinfo, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"limit\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_rateinfo"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"mac\", xt_mac_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"mac\", xt_mac_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"mac\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_mac_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"mark\", xt_mark_mtinfo1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"mark\", xt_mark_mtinfo1, 1]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"mark\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_mark_mtinfo1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"mh\", ip6t_mh, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"mh\", ip6t_mh, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"mh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_mh"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"multiport\", xt_multiport_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"multiport\", xt_multiport_v1, 1]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"multiport\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_multiport_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"nfacct\", xt_nfacct_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"nfacct\", xt_nfacct_match_info, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"nfacct\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_nfacct_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"osf\", xt_osf_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"osf\", xt_osf_info, 0]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"osf\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_osf_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"owner\", xt_owner_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"owner\", xt_owner_match_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"owner\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_owner_match_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"physdev\", xt_physdev_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"physdev\", xt_physdev_info, 0]", TypeSize: 152}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"physdev\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 13}}, IsPad: true},
		&StructType{Key: StructKey{Name: "xt_physdev_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"pkttype\", xt_pkttype_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"pkttype\", xt_pkttype_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"pkttype\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_pkttype_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"policy\", xt_policy_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"policy\", xt_policy_info, 0]", TypeSize: 344}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"policy\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_policy_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"quota\", xt_quota_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"quota\", xt_quota_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"quota\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_quota_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"rateest\", xt_rateest_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"rateest\", xt_rateest_match_info, 0]", TypeSize: 104}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"rateest\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_rateest_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"realm\", xt_realm_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"realm\", xt_realm_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"realm\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_realm_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"recent\", xt_recent_mtinfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"recent\", xt_recent_mtinfo, 0]", TypeSize: 248}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"recent\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_recent_mtinfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"recent\", xt_recent_mtinfo_v1, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"recent\", xt_recent_mtinfo_v1, 0]", TypeSize: 264}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"recent\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_recent_mtinfo_v1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"rpfilter\", xt_rpfilter_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"rpfilter\", xt_rpfilter_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"rpfilter\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_rpfilter_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"rt\", ip6t_rt, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"rt\", ip6t_rt, 0]", TypeSize: 312}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"rt\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_rt"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"sctp\", xt_sctp_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"sctp\", xt_sctp_info, 0]", TypeSize: 328}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"sctp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_sctp_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v0, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"set\", xt_set_info_match_v0, 0]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"set\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_set_info_match_v0"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"set\", xt_set_info_match_v1, 1]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"set\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_set_info_match_v1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v1, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"set\", xt_set_info_match_v1, 2]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"set\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_set_info_match_v1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v3, 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"set\", xt_set_info_match_v3, 3]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"set\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "xt_set_info_match_v3"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v4, 4]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"set\", xt_set_info_match_v4, 4]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"set\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 4},
		&StructType{Key: StructKey{Name: "xt_set_info_match_v4"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v1, int8], 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"socket\", flags[xt_socket_flags_v1, int8], 1]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"socket\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_socket_flags_v1", FldName: "data", TypeSize: 1}}, Vals: []uint64{1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v2, int8], 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"socket\", flags[xt_socket_flags_v2, int8], 2]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"socket\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_socket_flags_v2", FldName: "data", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v3, int8], 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"socket\", flags[xt_socket_flags_v3, int8], 3]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"socket\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_socket_flags_v3", FldName: "data", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"socket\", void, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"socket\", void, 0]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"socket\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "data"}, Kind: 1},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"srh\", ip6t_srh, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"srh\", ip6t_srh, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"srh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_srh"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"srh\", ip6t_srh1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"srh\", ip6t_srh1, 1]", TypeSize: 144}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"srh\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "ip6t_srh1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"state\", xt_state_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"state\", xt_state_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"state\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_state_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"statistic\", xt_statistic_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"statistic\", xt_statistic_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"statistic\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_statistic_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"string\", xt_string_info, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"string\", xt_string_info, 1]", TypeSize: 192}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"string\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_string_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"tcp\", xt_tcp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"tcp\", xt_tcp, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"tcp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tcp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"tcpmss\", xt_tcpmss_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"tcpmss\", xt_tcpmss_match_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"tcpmss\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tcpmss_match_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"time\", xt_time_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"time\", xt_time_info, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"time\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_time_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"tos\", xt_tos_match_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"tos\", xt_tos_match_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"tos\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tos_match_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"ttl\", ipt_ttl_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"ttl\", ipt_ttl_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ttl\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_ttl_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"u32\", xt_u32, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"u32\", xt_u32, 0]", TypeSize: 2016}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"u32\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_u32"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"udp\", xt_udp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"udp\", xt_udp, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"udp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_udp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_entry_match[\"udplite\", xt_udp, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_entry_match[\"udplite\", xt_udp, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "match_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"udplite\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_udp"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_esp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_esp", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_min", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_max", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_esp_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_get_revision"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_get_revision", TypeSize: 30}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, SubKind: "xt_get_revision_strings", Values: []string{"icmp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ah\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "NETMAP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "TPROXY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipvs\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "IDLETIMER\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "icmp6\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "HL\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xt_hashlimit_mtinfo1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mtinfo1", TypeSize: 56}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&StructType{Key: StructKey{Name: "hashlimit_cfg1"}, FldName: "cfg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "hinfo", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_hashlimit_mtinfo2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mtinfo2", TypeSize: 304}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 255}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_bridge\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bond\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_bond\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_team\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_team\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&StructType{Key: StructKey{Name: "hashlimit_cfg2"}, FldName: "cfg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "hinfo", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_hashlimit_mtinfo3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_hashlimit_mtinfo3", TypeSize: 312}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 255}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_bridge\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bond\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_bond\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_team\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1_to_team\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&StructType{Key: StructKey{Name: "hashlimit_cfg3"}, FldName: "cfg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "hinfo", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_helper_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_helper_info", TypeSize: 36}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 30}, Kind: 2, SubKind: "xt_helper_names", Values: []string{"ftp-20000\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tftp-20000\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sip-20000\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irc-20000\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "sane-20000\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "amanda\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "RAS\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "Q.931\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "H.245\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_hmark_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_hmark_info", TypeSize: 60}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "src_mask"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dst_mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "src_port_mask", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dst_port_mask", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "src_port_set", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dst_port_set", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "proto_mask", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hashrnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hmodulus", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hoffset", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_inet_mangle_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_inet_mangle_matches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_entry_match[\"rpfilter\", xt_rpfilter_info, 0]"}, FldName: "rpfilter"},
	}}},
	{Key: StructKey{Name: "xt_inet_mangle_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_inet_mangle_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"DSCP\", xt_DSCP_info, 0]"}, FldName: "DSCP"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TOS\", xt_tos_target_info, 0]"}, FldName: "TOS"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TPROXY\", xt_tproxy_target_info_v1, 1]"}, FldName: "TPROXY1"},
	}}},
	{Key: StructKey{Name: "xt_inet_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_inet_matches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_entry_match[\"l2tp\", xt_l2tp_info, 0]"}, FldName: "l2tp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v1, int8], 1]"}, FldName: "socket1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v2, int8], 2]"}, FldName: "socket2"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"socket\", flags[xt_socket_flags_v3, int8], 3]"}, FldName: "socket3"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"tcp\", xt_tcp, 0]"}, FldName: "tcp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"udp\", xt_udp, 0]"}, FldName: "udp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"udplite\", xt_udp, 0]"}, FldName: "udplite"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v1, 1]"}, FldName: "set1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v1, 2]"}, FldName: "set2"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v3, 3]"}, FldName: "set3"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"set\", xt_set_info_match_v4, 4]"}, FldName: "set4"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"sctp\", xt_sctp_info, 0]"}, FldName: "sctp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"dccp\", xt_dccp_info, 0]"}, FldName: "dccp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo1, 1]"}, FldName: "hashlimit1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo2, 2]"}, FldName: "hashlimit2"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"hashlimit\", xt_hashlimit_mtinfo3, 3]"}, FldName: "hashlimit3"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"length\", xt_length_info, 0]"}, FldName: "length"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ipcomp\", xt_ipcomp, 0]"}, FldName: "ipcomp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"recent\", xt_recent_mtinfo, 0]"}, FldName: "recent0"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"recent\", xt_recent_mtinfo_v1, 0]"}, FldName: "recent1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"dscp\", xt_dscp_info, 0]"}, FldName: "dscp"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"tos\", xt_tos_match_info, 0]"}, FldName: "tos"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"policy\", xt_policy_info, 0]"}, FldName: "policy"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"tcpmss\", xt_tcpmss_match_info, 0]"}, FldName: "tcpmss"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"multiport\", xt_multiport_v1, 1]"}, FldName: "multiport"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ecn\", xt_ecn_info, 0]"}, FldName: "ecn"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"iprange\", xt_iprange_mtinfo, 1]"}, FldName: "iprange"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"esp\", xt_esp, 0]"}, FldName: "esp"},
	}}},
	{Key: StructKey{Name: "xt_inet_raw_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_inet_raw_matches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_entry_match[\"rpfilter\", xt_rpfilter_info, 0]"}, FldName: "rpfilter"},
	}}},
	{Key: StructKey{Name: "xt_inet_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_inet_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"TEE\", xt_tee_tginfo, 1]"}, FldName: "TEE"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TCPMSS\", xt_tcpmss_info, 0]"}, FldName: "TCPMSS"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"TCPOPTSTRIP\", xt_tcpoptstrip_target_info, 0]"}, FldName: "TCPOPTSTRIP"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"HMARK\", xt_hmark_info, 0]"}, FldName: "HMARK"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v1, 1]"}, FldName: "SET1"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v2, 2]"}, FldName: "SET2"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v3, 3]"}, FldName: "SET3"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"LOG\", xt_log_info, 0]"}, FldName: "LOG"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SYNPROXY\", xt_synproxy_info, 0]"}, FldName: "SYNPROXY"},
	}}},
	{Key: StructKey{Name: "xt_ipcomp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_ipcomp", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_min", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spis_max", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ipcomp_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 1}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "hdrres", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_iprange_mtinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_iprange_mtinfo", TypeSize: 68}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "src_min"},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "src_max"},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "dst_min"},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "dst_max"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_iprange_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 16, 32}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_ipvs_mtinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_ipvs_mtinfo", TypeSize: 40}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "vaddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "vmask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "vport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "l4proto", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fwd_method", TypeSize: 1}}, Kind: 2, RangeEnd: 7},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "vportctl", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ipvs_flags", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_ipvs_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 8}},
	}}},
	{Key: StructKey{Name: "xt_l2tp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_l2tp_info", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tid", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sid", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "version", TypeSize: 1}}, Kind: 2, RangeBegin: 2, RangeEnd: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_l2tp_type", FldName: "type", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_l2tp_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_led_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_led_info", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "id", TypeSize: 27}, Kind: 2, SubKind: "xt_led_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "always_blink", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "delay", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "internal_data", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_length_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_length_info", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "min", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "max", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_log_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_log_info", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "level", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_log_flags", FldName: "logflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prefix", TypeSize: 30}, Kind: 1, RangeBegin: 30, RangeEnd: 30},
	}}},
	{Key: StructKey{Name: "xt_mac_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_mac_info", TypeSize: 12}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "mac_addr"}, FldName: "srcaddr"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_mark_mtinfo1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_mark_mtinfo1", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_mark_tginfo2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_mark_tginfo2", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_multiport_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_multiport_v1", TypeSize: 48}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}, Kind: 2, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "count", TypeSize: 1}}, Kind: 2, RangeEnd: 15},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "ports", TypeSize: 30}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004}, Kind: 1, RangeBegin: 15, RangeEnd: 15},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pflags", TypeSize: 15}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1}}, Kind: 2, RangeEnd: 1}, Kind: 1, RangeBegin: 15, RangeEnd: 15},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_nfacct_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_nfacct_match_info", TypeSize: 40}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 32}, Kind: 2, SubKind: "xt_nfacct_match_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nfacct", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_nflog_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_nflog_info", TypeSize: 76}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "group", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "threshold", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "prefix", TypeSize: 64}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
	}}},
	{Key: StructKey{Name: "xt_osf_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_osf_info", TypeSize: 48}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "genre", TypeSize: 32}, Kind: 2, SubKind: "xt_osf_genre", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_osf_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "loglevel", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ttl", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
	}}},
	{Key: StructKey{Name: "xt_owner_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_owner_match_info", TypeSize: 20}, Fields: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid_min", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid_max", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid_min", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid_max", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_owner_match_flags", FldName: "match", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_owner_match_flags", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_padded[array[int8, XT_FUNCTION_MAXNAMELEN]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[array[int8, XT_FUNCTION_MAXNAMELEN]]", TypeSize: 32}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 30}, Kind: 1, RangeBegin: 30, RangeEnd: 30},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_802_3_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_802_3_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_802_3_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_among_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_among_info]", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_among_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_arp_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_arp_info]", TypeSize: 56}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_arp_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_arpreply_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_arpreply_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_arpreply_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_ip6_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_ip6_info]", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_ip6_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_ip_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_ip_info]", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_ip_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_limit_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_limit_info]", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_limit_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_log_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_log_info]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_log_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_mark_m_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_mark_m_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_mark_m_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_mark_t_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_mark_t_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_mark_t_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_nat_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_nat_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_nat_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_nflog_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_nflog_info]", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_nflog_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_pkttype_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_pkttype_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_pkttype_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_redirect_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_redirect_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_redirect_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_stp_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_stp_info]", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_stp_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[ebt_vlan_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[ebt_vlan_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "ebt_vlan_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[flags[nf_verdicts, int32]]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[flags[nf_verdicts, int32]]", TypeSize: 8}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_verdicts", FldName: "data", TypeSize: 4}}, Vals: []uint64{0, 18446744073709551615, 18446744073709551614, 18446744073709551613, 18446744073709551612, 18446744073709551611}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[idletimer_tg_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[idletimer_tg_info]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "idletimer_tg_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_NFQ_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_NFQ_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_NFQ_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_audit_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_audit_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_audit_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_bpf_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_bpf_info]", TypeSize: 528}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_bpf_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_cgroup_info_v0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_cgroup_info_v0]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_cgroup_info_v0"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_classify_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_classify_target_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_classify_target_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_cluster_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_cluster_match_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_cluster_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_comment_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_comment_info]", TypeSize: 256}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_comment_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_connbytes_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_connbytes_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_connbytes_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_connlabel_mtinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_connlabel_mtinfo]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_connlabel_mtinfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_connsecmark_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_connsecmark_target_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_connsecmark_target_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_cpu_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_cpu_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_cpu_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_devgroup_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_devgroup_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_devgroup_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_helper_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_helper_info]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_helper_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_ipvs_mtinfo]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_ipvs_mtinfo]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_ipvs_mtinfo"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_led_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_led_info]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_led_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_mac_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_mac_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_mac_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_nfacct_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_nfacct_match_info]", TypeSize: 40}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_nfacct_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_nflog_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_nflog_info]", TypeSize: 80}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_nflog_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_owner_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_owner_match_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_owner_match_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_physdev_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_physdev_info]", TypeSize: 112}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_physdev_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_quota_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_quota_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_quota_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_rateest_match_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_rateest_match_info]", TypeSize: 72}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_rateest_match_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_rateest_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_rateest_target_info]", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_rateest_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_realm_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_realm_info]", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_realm_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_secmark_target_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_secmark_target_info]", TypeSize: 264}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_secmark_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_state_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_state_info]", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_state_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_statistic_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_statistic_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_statistic_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_time_info]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_time_info]", TypeSize: 24}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_time_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_padded[xt_u32]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_padded[xt_u32]", TypeSize: 1984}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_u32"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_physdev_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_physdev_info", TypeSize: 105}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "physindev", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 14}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "in_mask"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "physoutdev", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 13}}, IsPad: true},
		&StructType{Key: StructKey{Name: "devname_mask"}, FldName: "out_mask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_physdev_flags", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_physdev_flags", FldName: "bitmask", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 12}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_pkttype_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_pkttype_info", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pkttype", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "invert", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_policy_elem"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_policy_elem", TypeSize: 76}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "saddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "smask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "daddr"},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "dmask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32be", FldName: "spi", TypeSize: 4}, ArgFormat: 1}, Kind: 2, RangeBegin: 1234, RangeEnd: 1238},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reqid", TypeSize: 4, IsOptional: true}}, Kind: 2, RangeBegin: 13567, RangeEnd: 13575},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv6_types", FldName: "proto", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 6, 8, 12, 17, 22, 29, 33, 41, 46, 47, 50, 51, 92, 94, 98, 103, 108, 132, 136, 137, 255, 0, 43, 44, 58, 59, 60, 135, 0, 43, 44, 47, 50, 51, 58, 59, 60, 135, 115}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_policy_mode", FldName: "mode", TypeSize: 1}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_policy_spec", FldName: "match", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_policy_spec", FldName: "invert", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_policy_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_policy_info", TypeSize: 308}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pol", TypeSize: 304}, Type: &StructType{Key: StructKey{Name: "xt_policy_elem"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_policy_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "len", TypeSize: 2}}, Kind: 2, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "xt_quota_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_quota_info", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "pad", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "quota", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "master", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_rateest_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_rateest_match_info", TypeSize: 72}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name1", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name2", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_rateest_match_flags", FldName: "flags", TypeSize: 2}}, Vals: []uint64{1, 2, 4, 8, 16, 32}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_rateest_match_mode", FldName: "mode", TypeSize: 2}}, Vals: []uint64{0, 1, 2, 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bps1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pps1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bps2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pps2", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "est1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "est2", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_rateest_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_rateest_target_info", TypeSize: 32}, Fields: []Type{
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 16}, Kind: 2, SubKind: "xt_rateest_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "interval", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ewma_log", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "est", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_rateinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_rateinfo", TypeSize: 40}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "avg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "burst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prev", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "credit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "credit_cap", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cost", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "master", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_realm_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_realm_info", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_recent_mtinfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_recent_mtinfo", TypeSize: 212}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hit_count", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_recent_check_set", FldName: "check_set", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 0, 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 200}, Kind: 2, SubKind: "xt_recent_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "side", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_recent_mtinfo_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_recent_mtinfo_v1", TypeSize: 228}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hit_count", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_recent_check_set", FldName: "check_set", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 0, 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 200}, Kind: 2, SubKind: "xt_recent_names", Values: []string{"syz0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "side", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "mask", TypeSize: 16}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ipv4_addr_mask_vals", TypeSize: 4}, ArgFormat: 1}, Vals: []uint64{0, 4278190080, 4294967040, 4294967295, 255}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
	}}},
	{Key: StructKey{Name: "xt_rpfilter_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_rpfilter_info", TypeSize: 1}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_rpfilter_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_sctp_flag_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_sctp_flag_info", TypeSize: 3}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "chunktype", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flag", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flag_mask", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xt_sctp_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_sctp_info", TypeSize: 292}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "chunkmap", TypeSize: 256}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 64, RangeEnd: 64},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_sctp_match_type", FldName: "chunk_match_type", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "flag_info", TypeSize: 12}, Type: &StructType{Key: StructKey{Name: "xt_sctp_flag_info"}}, Kind: 1, RangeBegin: 4, RangeEnd: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flag_count", TypeSize: 4}}, Kind: 2, RangeEnd: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_sctp_flags", FldName: "flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_sctp_flags", FldName: "invflags", TypeSize: 4}}, Vals: []uint64{1, 2, 4}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_secmark_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_secmark_target_info", TypeSize: 264}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "mode", TypeSize: 1}}, Kind: 2, RangeBegin: 1, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "secid", TypeSize: 4}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "secctx", TypeSize: 256}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:admin_passwd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:agp_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:anacron_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apm_bios_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apt_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apt_lock_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apt_var_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apt_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:apt_var_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:audisp_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:audisp_remote_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:audisp_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditctl_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_etc_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_unit_file_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auditd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:audit_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:auth_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:autofs_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:bin_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:boot_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:bsdpty_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cert_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cgroup_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:checkpolicy_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:chfn_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:chkpwd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:clock_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:console_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cpu_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cpu_online_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crack_db_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crack_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crash_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crond_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crond_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crond_unit_file_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crond_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cron_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:cron_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crontab_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:crypt_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dbusd_etc_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dbusd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:default_context_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:default_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:depmod_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devicekit_disk_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devicekit_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devicekit_power_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devicekit_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devicekit_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devlog_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devpts_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:devtty_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpc_state_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpc_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpd_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpd_state_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpd_unit_file_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcpd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcp_etc_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dhcp_state_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dlm_control_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dmesg_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dmidecode_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dpkg_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dpkg_lock_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dpkg_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:dri_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:etc_aliases_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:etc_mail_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:etc_runtime_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:etc_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:event_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:faillog_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:file_context_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fixed_disk_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fonts_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fonts_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:framebuf_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fsadm_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fsadm_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:fuse_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:getty_etc_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:getty_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:getty_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:getty_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:gpg_agent_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:gpg_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:gpg_helper_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:groupadd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_acl_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_dccm_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_keymap_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_mac_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_sonypic_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hald_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hostname_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hugetlbfs_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hwclock_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:hwdata_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ifconfig_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:inetd_child_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:inetd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:inetd_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:inetd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:initctl_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:init_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:initrc_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:init_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:insmod_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ipmi_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:iptables_conf_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:iptables_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:iptables_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:iptables_unit_file_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:klogd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:klogd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:kmsg_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ksm_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:kvm_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:lastlog_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ldconfig_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ldconfig_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ld_so_cache_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ld_so_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:lirc_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:load_policy_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:locale_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:login_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:logrotate_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:logrotate_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:lost_found_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:lvm_control_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mail_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:man_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:memory_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mnt_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:modem_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:modules_conf_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:modules_dep_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:modules_object_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mount_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mount_tmp_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mouse_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mqueue_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:mtrr_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:net_conf_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:netcontrol_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:netlabel_mgmt_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:netutils_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:newrole_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:null_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:nvram_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:pam_console_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:pam_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:pam_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:passwd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:pinentry_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ping_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:policy_config_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:policy_src_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:power_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ppp_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:printer_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ptchown_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ptmx_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:public_content_rw_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:public_content_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:qemu_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:random_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:removable_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:restorecond_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:restorecond_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:root_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:run_init_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:scanner_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:scsi_generic_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:selinux_config_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:semanage_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:semanage_read_lock_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:semanage_store_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:semanage_trans_lock_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sendmail_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:setfiles_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:setrans_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:setrans_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:setrans_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:shadow_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:shell_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:smartcard_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sound_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:src_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ssh_agent_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sshd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sshd_key_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sshd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ssh_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ssh_keygen_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:ssh_keysign_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sudo_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:su_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sulogin_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:sysfs_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:syslog_conf_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:syslogd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:syslogd_initrc_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:syslogd_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:syslogd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:system_cron_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:system_dbusd_var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:system_dbusd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_logger_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_logind_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_logind_sessions_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_logind_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_notify_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_passwd_agent_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_passwd_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_systemctl_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_tmpfiles_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:systemd_unit_file_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:system_map_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tape_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tetex_data_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:textrel_shlib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tmpfs_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tmpreaper_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tmp_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tpm_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:traceroute_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tty_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tun_tap_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:tzdata_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:udev_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:udev_helper_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:udev_rules_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:udev_tbl_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:udev_var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:unconfined_execmem_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:unconfined_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:update_modules_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:updpwd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:urandom_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:usb_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:usbmon_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:usbtty_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:useradd_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:user_cron_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:userio_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:usr_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:utempter_exec_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:v4l_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_auth_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_lib_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_lock_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_log_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_run_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_spool_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:var_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:vhost_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:vmware_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:watchdog_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:wireless_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:wtmp_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:xconsole_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:xen_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:xserver_misc_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "system_u:object_r:zero_device_t:s0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
	}}},
	{Key: StructKey{Name: "xt_set_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "index", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dim", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xt_set_info_match_v0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_match_v0", TypeSize: 32}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info_v0"}, FldName: "match_set"},
	}}},
	{Key: StructKey{Name: "xt_set_info_match_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_match_v1", TypeSize: 4}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "match_set"},
	}}},
	{Key: StructKey{Name: "xt_set_info_match_v3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_match_v3", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "match_set"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "ip_set_counter_match0"}, FldName: "packets"},
		&StructType{Key: StructKey{Name: "ip_set_counter_match0"}, FldName: "bytes"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_set_info_match_v4"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_match_v4", TypeSize: 48}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "match_set"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&StructType{Key: StructKey{Name: "ip_set_counter_match"}, FldName: "packets"},
		&StructType{Key: StructKey{Name: "ip_set_counter_match"}, FldName: "bytes"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_set_info_target_v0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_target_v0", TypeSize: 64}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info_v0"}, FldName: "add_set"},
		&StructType{Key: StructKey{Name: "xt_set_info_v0"}, FldName: "del_set"},
	}}},
	{Key: StructKey{Name: "xt_set_info_target_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_target_v1", TypeSize: 8}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "add_set"},
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "del_set"},
	}}},
	{Key: StructKey{Name: "xt_set_info_target_v2"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_target_v2", TypeSize: 16}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "add_set"},
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "del_set"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_set_info_target_v3"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_target_v3", TypeSize: 20}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "add_set"},
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "del_set"},
		&StructType{Key: StructKey{Name: "xt_set_info"}, FldName: "map_set"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_set_info_v0"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_set_info_v0", TypeSize: 32}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "index", TypeSize: 2}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "flags", TypeSize: 24}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 6, RangeEnd: 6},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "dim", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "flags2", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "pad", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "xt_state_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_state_info", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "statemask", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_statistic_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_statistic_info", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mode", TypeSize: 2}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "flags", TypeSize: 2}}, Kind: 2, RangeEnd: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "every", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "packet", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "master", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_string_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_string_info", TypeSize: 160}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "from_offset", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "to_offset", TypeSize: 2}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "algo", TypeSize: 16}, Kind: 2, SubKind: "textsearch_algos", Values: []string{"bm\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "fsm\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "kmp\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "pattern", TypeSize: 128}, Kind: 1, RangeBegin: 128, RangeEnd: 128},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "patlen", TypeSize: 1}}, Kind: 2, RangeEnd: 128},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_string_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "config", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_synproxy_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_synproxy_info", TypeSize: 4}, Fields: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_synproxy_options", FldName: "options", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "wscale", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mss", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "xt_target_t[\"\", const[NF_ACCEPT_VERDICT, int32], 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"\", const[NF_ACCEPT_VERDICT, int32], 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "data", TypeSize: 4}}, Val: 18446744073709551614},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"\", flags[nf_verdicts, int32], 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"\", flags[nf_verdicts, int32], 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nf_verdicts", FldName: "data", TypeSize: 4}}, Vals: []uint64{0, 18446744073709551615, 18446744073709551614, 18446744073709551613, 18446744073709551612, 18446744073709551611}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"AUDIT\", xt_audit_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"AUDIT\", xt_audit_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"AUDIT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_audit_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CHECKSUM\", xt_CHECKSUM_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CHECKSUM\", xt_CHECKSUM_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CHECKSUM\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_CHECKSUM_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CLASSIFY\", xt_classify_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CLASSIFY\", xt_classify_target_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CLASSIFY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_classify_target_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CLUSTERIP\", ipt_clusterip_tgt_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CLUSTERIP\", ipt_clusterip_tgt_info, 0]", TypeSize: 96}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CLUSTERIP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_clusterip_tgt_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CONNMARK\", xt_connmark_tginfo1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CONNMARK\", xt_connmark_tginfo1, 1]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CONNMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_connmark_tginfo1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CONNSECMARK\", xt_connsecmark_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CONNSECMARK\", xt_connsecmark_target_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CONNSECMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_connsecmark_target_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CT\", xt_ct_target_info, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_ct_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CT\", xt_ct_target_info_v1, 1]", TypeSize: 104}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_ct_target_info_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info_v1, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"CT\", xt_ct_target_info_v1, 2]", TypeSize: 104}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"CT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_ct_target_info_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"DNAT\", nf_nat_ipv4_multi_range_compat, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"DNAT\", nf_nat_ipv4_multi_range_compat, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"DNAT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"DNAT\", nf_nat_range, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"DNAT\", nf_nat_range, 1]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"DNAT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "nf_nat_range"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"DNPT\", ip6t_npt_tginfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"DNPT\", ip6t_npt_tginfo, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"DNPT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_npt_tginfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"DSCP\", xt_DSCP_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"DSCP\", xt_DSCP_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"DSCP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_DSCP_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 7}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"ECN\", ipt_ECN_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"ECN\", ipt_ECN_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ECN\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_ECN_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 5}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN], 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN], 0]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"ERROR\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "array", FldName: "data", TypeSize: 30}, Kind: 1, RangeBegin: 30, RangeEnd: 30},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"HL\", ipt_TTL_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"HL\", ipt_TTL_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"HL\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_TTL_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"HMARK\", xt_hmark_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"HMARK\", xt_hmark_info, 0]", TypeSize: 96}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"HMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_hmark_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"IDLETIMER\", idletimer_tg_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"IDLETIMER\", idletimer_tg_info, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"IDLETIMER\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "idletimer_tg_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"LED\", xt_led_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"LED\", xt_led_info, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"LED\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_led_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"LOG\", xt_log_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"LOG\", xt_log_info, 0]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"LOG\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_log_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"MARK\", xt_mark_tginfo2, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"MARK\", xt_mark_tginfo2, 2]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"MARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_mark_tginfo2"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"MASQUERADE\", nf_nat_ipv4_multi_range_compat, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"MASQUERADE\", nf_nat_ipv4_multi_range_compat, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"MASQUERADE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"MASQUERADE\", nf_nat_range, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"MASQUERADE\", nf_nat_range, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"MASQUERADE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_range"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NETMAP\", nf_nat_ipv4_multi_range_compat, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NETMAP\", nf_nat_ipv4_multi_range_compat, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NETMAP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NETMAP\", nf_nat_range, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NETMAP\", nf_nat_range, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NETMAP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_range"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NFLOG\", xt_nflog_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NFLOG\", xt_nflog_info, 0]", TypeSize: 112}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NFLOG\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_nflog_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NFQUEUE\", xt_NFQ_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NFQUEUE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_NFQ_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v1, 1]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NFQUEUE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_NFQ_info_v1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 2]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NFQUEUE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_NFQ_info_v3"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 3]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NFQUEUE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "xt_NFQ_info_v3"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"NOTRACK\", void, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"NOTRACK\", void, 0]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"NOTRACK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "data"}, Kind: 1},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"RATEEST\", xt_rateest_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"RATEEST\", xt_rateest_target_info, 0]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"RATEEST\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_rateest_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"REDIRECT\", nf_nat_ipv4_multi_range_compat, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"REDIRECT\", nf_nat_ipv4_multi_range_compat, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"REDIRECT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"REDIRECT\", nf_nat_range, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"REDIRECT\", nf_nat_range, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"REDIRECT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_range"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"REJECT\", ip6t_reject_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"REJECT\", ip6t_reject_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"REJECT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_reject_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"REJECT\", ipt_reject_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"REJECT\", ipt_reject_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"REJECT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_reject_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SECMARK\", xt_secmark_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SECMARK\", xt_secmark_target_info, 0]", TypeSize: 296}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SECMARK\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_secmark_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v0, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SET\", xt_set_info_target_v0, 0]", TypeSize: 96}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SET\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_set_info_target_v0"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SET\", xt_set_info_target_v1, 1]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SET\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_set_info_target_v1"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v2, 2]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SET\", xt_set_info_target_v2, 2]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SET\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 2},
		&StructType{Key: StructKey{Name: "xt_set_info_target_v2"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SET\", xt_set_info_target_v3, 3]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SET\", xt_set_info_target_v3, 3]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SET\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 3},
		&StructType{Key: StructKey{Name: "xt_set_info_target_v3"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SNAT\", nf_nat_ipv4_multi_range_compat, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SNAT\", nf_nat_ipv4_multi_range_compat, 0]", TypeSize: 56}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SNAT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "nf_nat_ipv4_multi_range_compat"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SNAT\", nf_nat_range, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SNAT\", nf_nat_range, 1]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SNAT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "nf_nat_range"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SNPT\", ip6t_npt_tginfo, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SNPT\", ip6t_npt_tginfo, 0]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SNPT\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ip6t_npt_tginfo"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"SYNPROXY\", xt_synproxy_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"SYNPROXY\", xt_synproxy_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"SYNPROXY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_synproxy_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TCPMSS\", xt_tcpmss_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TCPMSS\", xt_tcpmss_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TCPMSS\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tcpmss_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TCPOPTSTRIP\", xt_tcpoptstrip_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TCPOPTSTRIP\", xt_tcpoptstrip_target_info, 0]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TCPOPTSTRIP\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tcpoptstrip_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TEE\", xt_tee_tginfo, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TEE\", xt_tee_tginfo, 1]", TypeSize: 72}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TEE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_tee_tginfo"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TOS\", xt_tos_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TOS\", xt_tos_target_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TOS\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tos_target_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TPROXY\", xt_tproxy_target_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TPROXY\", xt_tproxy_target_info, 0]", TypeSize: 48}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TPROXY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "xt_tproxy_target_info"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TPROXY\", xt_tproxy_target_info_v1, 1]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TPROXY\", xt_tproxy_target_info_v1, 1]", TypeSize: 64}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TPROXY\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}, Val: 1},
		&StructType{Key: StructKey{Name: "xt_tproxy_target_info_v1"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TRACE\", void, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TRACE\", void, 0]", TypeSize: 32}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TRACE\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&BufferType{TypeCommon: TypeCommon{TypeName: "void", FldName: "data"}, Kind: 1},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"TTL\", ipt_TTL_info, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"TTL\", ipt_TTL_info, 0]", TypeSize: 40}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"TTL\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "ipt_TTL_info"}, FldName: "data"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 6}}, IsPad: true},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_target_t[\"mangle\", arpt_mangle, 0]"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_target_t[\"mangle\", arpt_mangle, 0]", TypeSize: 80}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "target_size", TypeSize: 2}}, Buf: "parent"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "name", TypeSize: 29}, Kind: 2, Values: []string{"mangle\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "revision", TypeSize: 1}}},
		&StructType{Key: StructKey{Name: "arpt_mangle"}, FldName: "data"},
	}, AlignAttr: 8}},
	{Key: StructKey{Name: "xt_tcp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tcp", TypeSize: 12}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types", FldName: "option", TypeSize: 1}}, Vals: []uint64{1, 0, 2, 3, 4, 5, 8, 19, 34, 254}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_flags", FldName: "flg_mask", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 194}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_flags", FldName: "flg_cmp", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 4, 8, 16, 32, 64, 128, 194}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_tcp_inv_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}}},
	{Key: StructKey{Name: "xt_tcpmss_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tcpmss_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mss", TypeSize: 2}}},
	}}},
	{Key: StructKey{Name: "xt_tcpmss_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tcpmss_match_info", TypeSize: 6}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mss_min", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "mss_max", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_tcpoptstrip_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tcpoptstrip_target_info", TypeSize: 32}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "strip_bmap", TypeSize: 32}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 8, RangeEnd: 8},
	}}},
	{Key: StructKey{Name: "xt_tee_tginfo"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tee_tginfo", TypeSize: 40}, Fields: []Type{
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "gw"},
		&BufferType{TypeCommon: TypeCommon{TypeName: "string", FldName: "oif", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "priv", TypeSize: 8}}},
	}}},
	{Key: StructKey{Name: "xt_time_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_time_info", TypeSize: 24}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "date_start", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "date_stop", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "daytime_start", TypeSize: 4}}, Kind: 2, RangeEnd: 86399},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "daytime_stop", TypeSize: 4}}, Kind: 2, RangeEnd: 86399},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "monthdays_match", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "weekdays_match", TypeSize: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_time_flags", FldName: "flags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_tos_match_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tos_match_info", TypeSize: 3}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos_mask", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos_value", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
	}}},
	{Key: StructKey{Name: "xt_tos_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tos_target_info", TypeSize: 2}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos_value", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "tos_mask", TypeSize: 1}}},
	}}},
	{Key: StructKey{Name: "xt_tproxy_target_info"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tproxy_target_info", TypeSize: 16}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark_mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark_value", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "ipv4_addr"}, FldName: "laddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "lport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_tproxy_target_info_v1"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_tproxy_target_info_v1", TypeSize: 28}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark_mask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mark_value", TypeSize: 4}}},
		&UnionType{Key: StructKey{Name: "nf_inet_addr"}, FldName: "laddr"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "lport", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_u32"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_u32", TypeSize: 1984}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "tests", TypeSize: 1980}, Type: &StructType{Key: StructKey{Name: "xt_u32_test"}}, Kind: 1, RangeBegin: 11, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ntests", TypeSize: 1}}, Kind: 2, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "invert", TypeSize: 1}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_u32_location_element"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_u32_location_element", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "number", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_u32_ops", FldName: "nextop", TypeSize: 1}}, Vals: []uint64{0, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 3}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_u32_test"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_u32_test", TypeSize: 180}, Fields: []Type{
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "location", TypeSize: 88}, Type: &StructType{Key: StructKey{Name: "xt_u32_location_element"}}, Kind: 1, RangeBegin: 11, RangeEnd: 11},
		&ArrayType{TypeCommon: TypeCommon{TypeName: "array", FldName: "value", TypeSize: 88}, Type: &StructType{Key: StructKey{Name: "xt_u32_value_element"}}, Kind: 1, RangeBegin: 11, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nnums", TypeSize: 1}}, Kind: 2, RangeEnd: 11},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nvalues", TypeSize: 1}}, Kind: 2, RangeEnd: 11},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 2}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_u32_value_element"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_u32_value_element", TypeSize: 8}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "min", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "max", TypeSize: 4}}},
	}}},
	{Key: StructKey{Name: "xt_udp"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_udp", TypeSize: 10}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "spts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_min", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16be", FldName: "dpts_max", TypeSize: 2}, ArgFormat: 1}, Kind: 2, RangeBegin: 20000, RangeEnd: 20004},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xt_udp_inv_flags", FldName: "invflags", TypeSize: 1}}, Vals: []uint64{1, 2}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 1}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "xt_unspec_mangle_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_unspec_mangle_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"CHECKSUM\", xt_CHECKSUM_info, 0]"}, FldName: "CHECKSUM"},
	}}},
	{Key: StructKey{Name: "xt_unspec_matches"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_unspec_matches", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_entry_match[\"cgroup\", xt_cgroup_info_v0, 0]"}, FldName: "cgroup0"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"cgroup\", xt_cgroup_info_v1, 1]"}, FldName: "cgroup1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"helper\", xt_helper_info, 0]"}, FldName: "helper"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"rateest\", xt_rateest_match_info, 0]"}, FldName: "rateest"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"time\", xt_time_info, 0]"}, FldName: "time"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"bpf\", xt_bpf_info, 0]"}, FldName: "bpf0"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"bpf\", xt_bpf_info_v1, 1]"}, FldName: "bpf1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"connlimit\", xt_connlimit_info, 1]"}, FldName: "connlimit"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo1, 1]"}, FldName: "conntrack1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo2, 2]"}, FldName: "conntrack2"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"conntrack\", xt_conntrack_mtinfo3, 3]"}, FldName: "conntrack3"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"mark\", xt_mark_mtinfo1, 1]"}, FldName: "mark"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"connmark\", xt_connmark_mtinfo1, 1]"}, FldName: "connmark"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"realm\", xt_realm_info, 0]"}, FldName: "realm"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"connbytes\", xt_connbytes_info, 0]"}, FldName: "connbytes"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"quota\", xt_quota_info, 0]"}, FldName: "quota"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"limit\", xt_rateinfo, 0]"}, FldName: "limit"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"addrtype\", xt_addrtype_info_v1, 1]"}, FldName: "addrtype1"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"ipvs\", xt_ipvs_mtinfo, 0]"}, FldName: "ipvs"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"nfacct\", xt_nfacct_match_info, 0]"}, FldName: "nfacct"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"mac\", xt_mac_info, 0]"}, FldName: "mac"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"comment\", xt_comment_info, 0]"}, FldName: "comment"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"statistic\", xt_statistic_info, 0]"}, FldName: "statistic"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"string\", xt_string_info, 1]"}, FldName: "string"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"physdev\", xt_physdev_info, 0]"}, FldName: "physdev"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"connlabel\", xt_connlabel_mtinfo, 0]"}, FldName: "connlabel"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"devgroup\", xt_devgroup_info, 0]"}, FldName: "devgroup"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"cluster\", xt_cluster_match_info, 0]"}, FldName: "cluster"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"owner\", xt_owner_match_info, 0]"}, FldName: "owner"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"pkttype\", xt_pkttype_info, 0]"}, FldName: "pkttype"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"u32\", xt_u32, 0]"}, FldName: "u32"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"cpu\", xt_cpu_info, 0]"}, FldName: "cpu"},
		&StructType{Key: StructKey{Name: "xt_entry_match[\"state\", xt_state_info, 0]"}, FldName: "state"},
	}}},
	{Key: StructKey{Name: "xt_unspec_nat_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_unspec_nat_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"SNAT\", nf_nat_range, 1]"}, FldName: "SNAT1"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"DNAT\", nf_nat_range, 1]"}, FldName: "DNAT1"},
	}}},
	{Key: StructKey{Name: "xt_unspec_raw_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_unspec_raw_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"TRACE\", void, 0]"}, FldName: "TRACE"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info, 0]"}, FldName: "CT0"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info_v1, 1]"}, FldName: "CT1"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CT\", xt_ct_target_info_v1, 2]"}, FldName: "CT2"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NOTRACK\", void, 0]"}, FldName: "NOTRACK"},
	}}},
	{Key: StructKey{Name: "xt_unspec_targets"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "xt_unspec_targets", IsVarlen: true}, Fields: []Type{
		&StructType{Key: StructKey{Name: "xt_target_t[\"\", flags[nf_verdicts, int32], 0]"}, FldName: "STANDARD"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"ERROR\", array[int8, XT_FUNCTION_MAXNAMELEN], 0]"}, FldName: "ERROR"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"LED\", xt_led_info, 0]"}, FldName: "LED"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"RATEEST\", xt_rateest_target_info, 0]"}, FldName: "RATEEST"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info, 0]"}, FldName: "NFQUEUE0"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v1, 1]"}, FldName: "NFQUEUE1"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 2]"}, FldName: "NFQUEUE2"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NFQUEUE\", xt_NFQ_info_v3, 3]"}, FldName: "NFQUEUE3"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CLASSIFY\", xt_classify_target_info, 0]"}, FldName: "CLASSIFY"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"IDLETIMER\", idletimer_tg_info, 0]"}, FldName: "IDLETIMER"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"AUDIT\", xt_audit_info, 0]"}, FldName: "AUDIT"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"MARK\", xt_mark_tginfo2, 2]"}, FldName: "MARK"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CONNSECMARK\", xt_connsecmark_target_info, 0]"}, FldName: "CONNSECMARK"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"SECMARK\", xt_secmark_target_info, 0]"}, FldName: "SECMARK"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"NFLOG\", xt_nflog_info, 0]"}, FldName: "NFLOG"},
		&StructType{Key: StructKey{Name: "xt_target_t[\"CONNMARK\", xt_connmark_tginfo1, 1]"}, FldName: "CONNMARK"},
	}}},
}

var syscalls_arm64 = []*Syscall{
	{NR: 202, Name: "accept", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$alg", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "peer", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "peerlen", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_algconn", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$ax25", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$inet", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$inet6", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$ipx", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$netrom", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$nfc_llcp", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc_llcp", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$packet", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 202, Name: "accept$unix", CallName: "accept", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$alg", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "peer", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "peerlen", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_algconn", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$ax25", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$bt_l2cap", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_l2", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$inet", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$inet6", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$ipx", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$llc", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$netrom", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$nfc_llcp", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc_llcp", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$packet", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$unix", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 242, Name: "accept4$vsock_stream", CallName: "accept4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_vm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "accept_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 89, Name: "acct", CallName: "acct", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "filename", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 217, Name: "add_key", CallName: "add_key", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "key_type", Values: []string{"asymmetric\x00", "big_key\x00", "blacklist\x00", "ceph\x00", "cifs.idmap\x00", "cifs.spnego\x00", ".dead\x00", "dns_resolver\x00", "encrypted\x00", "id_legacy\x00", "id_resolver\x00", "keyring\x00", "logon\x00", "pkcs7_test\x00", ".request_key_auth\x00", "rxrpc\x00", "rxrpc_s\x00", "syzkaller\x00", "trusted\x00", "user\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "desc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "payload", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "paylen", TypeSize: 8}}, Buf: "payload"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4, IsOptional: true}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 217, Name: "add_key$keyring", CallName: "add_key", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 8}, Kind: 2, Values: []string{"keyring\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "desc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "payload", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "paylen", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4, IsOptional: true}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 217, Name: "add_key$user", CallName: "add_key", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"user\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "desc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "payload", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "paylen", TypeSize: 8}}, Buf: "payload"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4, IsOptional: true}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "user_key", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 200, Name: "bind", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$alg", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_alg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$ax25", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$bt_hci", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_hci"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$bt_l2cap", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_l2"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$bt_rfcomm", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_rc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$bt_sco", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_sco", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_sco"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$can_raw", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_raw", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_can"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$inet", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$inet6", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$ipx", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$llc", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$netlink", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_NETLINK, netlink_port_id, flags[netlink_group_bitmap, int32]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$netrom", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$nfc_llcp", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc_llcp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$packet", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$pptp", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pptp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_pptp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$rds", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$unix", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$vsock_dgram", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_dgram", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_vm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$vsock_stream", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_vm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 200, Name: "bind$xdp", CallName: "bind", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_xdp_bind"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "addr"},
	}},
	{NR: 280, Name: "bpf$BPF_GET_MAP_INFO", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_get_map_info_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_GET_PROG_INFO", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_get_prog_info_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_MAP_GET_FD_BY_ID", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_get_fd_by_id_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$BPF_MAP_GET_NEXT_ID", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_PROG_ATTACH", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_attach_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_PROG_DETACH", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_detach_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_PROG_GET_FD_BY_ID", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "bpf_prog_id", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$BPF_PROG_GET_NEXT_ID", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_PROG_QUERY", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_prog_query"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_PROG_TEST_RUN", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_test_prog_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$BPF_RAW_TRACEPOINT_OPEN", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_raw_tracepoint"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$MAP_CREATE", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_create_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$MAP_DELETE_ELEM", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_delete_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$MAP_GET_NEXT_KEY", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_get_next_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$MAP_LOOKUP_ELEM", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_lookup_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$MAP_UPDATE_ELEM", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_map_update_arg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$OBJ_GET_MAP", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_obj_get"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_map", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$OBJ_GET_PROG", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_obj_get"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 280, Name: "bpf$OBJ_PIN_MAP", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_obj_pin_map"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$OBJ_PIN_PROG", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_obj_pin_prog"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 280, Name: "bpf$PROG_LOAD", CallName: "bpf", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bpf_prog"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "arg"},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 90, Name: "capget", CallName: "capget", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cap_header"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cap_data"}}},
	}},
	{NR: 91, Name: "capset", CallName: "capset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cap_header"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cap_data"}}},
	}},
	{NR: 49, Name: "chdir", CallName: "chdir", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 51, Name: "chroot", CallName: "chroot", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 266, Name: "clock_adjtime", CallName: "clock_adjtime", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tx", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timex"}}},
	}},
	{NR: 114, Name: "clock_getres", CallName: "clock_getres", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 1}}},
	}},
	{NR: 113, Name: "clock_gettime", CallName: "clock_gettime", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 1}}},
	}},
	{NR: 115, Name: "clock_nanosleep", CallName: "clock_nanosleep", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "timer_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rqtp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rmtp", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 1}}},
	}},
	{NR: 112, Name: "clock_settime", CallName: "clock_settime", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 220, Name: "clone", CallName: "clone", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clone_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{256, 512, 1024, 2048, 8192, 16384, 32768, 65536, 131072, 262144, 524288, 1048576, 2097152, 8388608, 16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 1073741824, 2147483648}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "sp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "parentid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "childtid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "tls", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 57, Name: "close", CallName: "close", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 203, Name: "connect", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$ax25", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$bt_l2cap", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_l2"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$bt_rfcomm", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_rc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$bt_sco", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_sco", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_sco"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$can_bcm", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_bcm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_can"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$inet", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$inet6", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$ipx", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$l2tp", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_l2tp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$llc", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$netlink", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_nl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$netrom", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$nfc_llcp", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc_llcp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$nfc_raw", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_raw", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nfc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$packet", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$pppoe", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppoe", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_pppoe"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$pptp", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pptp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_pptp"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$rds", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$unix", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$vsock_dgram", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_dgram", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_vm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 203, Name: "connect$vsock_stream", CallName: "connect", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_vm"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 106, Name: "delete_module", CallName: "delete_module", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "delete_module_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 512}, BitMask: true},
	}},
	{NR: 23, Name: "dup", CallName: "dup", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "oldfd", TypeSize: 4}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 24, Name: "dup3", CallName: "dup3", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "oldfd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "newfd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dup_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 20, Name: "epoll_create1", CallName: "epoll_create1", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "epoll_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 21, Name: "epoll_ctl$EPOLL_CTL_ADD", CallName: "epoll_ctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "epfd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "op", TypeSize: 8}}, Val: 1},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ev", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "epoll_event"}}},
	}},
	{NR: 21, Name: "epoll_ctl$EPOLL_CTL_DEL", CallName: "epoll_ctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "epfd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "op", TypeSize: 8}}, Val: 2},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 21, Name: "epoll_ctl$EPOLL_CTL_MOD", CallName: "epoll_ctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "epfd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "op", TypeSize: 8}}, Val: 3},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ev", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "epoll_event"}}},
	}},
	{NR: 22, Name: "epoll_pwait", CallName: "epoll_pwait", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_epoll", FldName: "epfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "events", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "epoll_event", Dir: 1}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "maxevents", TypeSize: 8}}, Buf: "events"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sigmask", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "sigmask"},
	}},
	{NR: 19, Name: "eventfd2", CallName: "eventfd2", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "initval", TypeSize: 4}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "eventfd_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{524288, 2048, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 221, Name: "execve", CallName: "execve", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "argv", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "envp", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}}}},
	}},
	{NR: 281, Name: "execveat", CallName: "execveat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "argv", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "envp", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "at_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 256, 1024, 2048, 4096}},
	}},
	{NR: 93, Name: "exit", CallName: "exit", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "code", TypeSize: 8}}},
	}},
	{NR: 94, Name: "exit_group", CallName: "exit_group", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "code", TypeSize: 8}}},
	}},
	{NR: 48, Name: "faccessat", CallName: "faccessat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pathname", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "faccessat_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{256, 512, 1024, 2048, 4096}, BitMask: true},
	}},
	{NR: 223, Name: "fadvise64", CallName: "fadvise64", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "offset", TypeSize: 8}}, Kind: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fadvise_flags", FldName: "advice", TypeSize: 8}}, Vals: []uint64{0, 2, 1, 5, 3, 4}},
	}},
	{NR: 47, Name: "fallocate", CallName: "fallocate", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fallocate_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 8, 16, 32, 64}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "off", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
	}},
	{NR: 262, Name: "fanotify_init", CallName: "fanotify_init", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fanotify_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{8, 4, 0, 1, 2, 16, 32, 64}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fanotify_events", FldName: "events", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 131072, 524288, 1024, 4096, 262144, 2048, 1052672}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fanotify", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 263, Name: "fanotify_mark", CallName: "fanotify_mark", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fanotify", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fanotify_mark", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 128, 4, 8, 16, 32, 64}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fanotify_mask", FldName: "mask", TypeSize: 8}}, Vals: []uint64{1, 2, 8, 16, 32, 65536, 131072, 1073741824, 134217728}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fddir", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 50, Name: "fchdir", CallName: "fchdir", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 52, Name: "fchmod", CallName: "fchmod", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}},
	{NR: 53, Name: "fchmodat", CallName: "fchmodat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}},
	{NR: 55, Name: "fchown", CallName: "fchown", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
	}},
	{NR: 54, Name: "fchownat", CallName: "fchownat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "at_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 256, 1024, 2048, 4096}},
	}},
	{NR: 25, Name: "fcntl$F_GET_FILE_RW_HINT", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1037},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 25, Name: "fcntl$F_GET_RW_HINT", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1035},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 25, Name: "fcntl$F_SET_FILE_RW_HINT", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1038},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hint", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_rw_hint", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
	}},
	{NR: 25, Name: "fcntl$F_SET_RW_HINT", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1036},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hint", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_rw_hint", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
	}},
	{NR: 25, Name: "fcntl$addseals", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1033},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seal_types", FldName: "seals", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}},
	{NR: 25, Name: "fcntl$dupfd", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_dupfd", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{0, 1030}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "arg", TypeSize: 4}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 25, Name: "fcntl$getflags", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_getflags", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{1, 3, 11, 1025, 1032, 1034}},
	}},
	{NR: 25, Name: "fcntl$getown", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 25, Name: "fcntl$getownex", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "f_owner_ex", Dir: 1}}},
	}},
	{NR: 25, Name: "fcntl$lock", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_lock", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{6, 7, 5}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lock", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "flock"}}},
	}},
	{NR: 25, Name: "fcntl$notify", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1026},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_notify", FldName: "typ", TypeSize: 8}}, Vals: []uint64{2147483648, 1, 2, 4, 8, 16, 32}, BitMask: true},
	}},
	{NR: 25, Name: "fcntl$setflags", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1}, BitMask: true},
	}},
	{NR: 25, Name: "fcntl$setlease", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1024},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flock_type", FldName: "typ", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}},
	{NR: 25, Name: "fcntl$setown", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}},
	{NR: 25, Name: "fcntl$setownex", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "f_owner_ex"}}},
	}},
	{NR: 25, Name: "fcntl$setpipe", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1031},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "sz", TypeSize: 8}}},
	}},
	{NR: 25, Name: "fcntl$setsig", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 10},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
	}},
	{NR: 25, Name: "fcntl$setstatus", CallName: "fcntl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fcntl_status", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1024, 8192, 65536, 262144, 2048}, BitMask: true},
	}},
	{NR: 83, Name: "fdatasync", CallName: "fdatasync", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 10, Name: "fgetxattr", CallName: "fgetxattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 273, Name: "finit_module", CallName: "finit_module", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "args", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "finit_module_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 13, Name: "flistxattr", CallName: "flistxattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "list", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "list"},
	}},
	{NR: 32, Name: "flock", CallName: "flock", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "flock_op", FldName: "op", TypeSize: 8}}, Vals: []uint64{1, 2, 8, 4}, BitMask: true},
	}},
	{NR: 16, Name: "fremovexattr", CallName: "fremovexattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
	}},
	{NR: 7, Name: "fsetxattr", CallName: "fsetxattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "setxattr_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 80, Name: "fstat", CallName: "fstat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "statbuf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "stat", Dir: 1}}},
	}},
	{NR: 44, Name: "fstatfs", CallName: "fstatfs", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 82, Name: "fsync", CallName: "fsync", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 46, Name: "ftruncate", CallName: "ftruncate", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
	}},
	{NR: 98, Name: "futex", CallName: "futex", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "futex_op", FldName: "op", TypeSize: 8}}, Vals: []uint64{0, 9, 1, 3, 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 2}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val3", TypeSize: 4}}, Kind: 2, RangeEnd: 2},
	}},
	{NR: 236, Name: "get_mempolicy", CallName: "get_mempolicy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nodemask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxnode", TypeSize: 8}}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mempolicy_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 4, 2, 1}, BitMask: true},
	}},
	{NR: 100, Name: "get_robust_list", CallName: "get_robust_list", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "head", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "robust_list_head", Dir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8, ArgDir: 2}}, Buf: "head"}},
	}},
	{NR: 17, Name: "getcwd", CallName: "getcwd", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 61, Name: "getdents64", CallName: "getdents64", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "ent", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "ent"},
	}},
	{NR: 177, Name: "getegid", CallName: "getegid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 175, Name: "geteuid", CallName: "geteuid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 176, Name: "getgid", CallName: "getgid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 158, Name: "getgroups", CallName: "getgroups", Args: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "list"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 4, ArgDir: 2}}}},
	}},
	{NR: 102, Name: "getitimer", CallName: "getitimer", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "getitimer_which", FldName: "which", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cur", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerval", Dir: 1}}},
	}},
	{NR: 205, Name: "getpeername", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$ax25", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$inet", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$inet6", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$ipx", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$llc", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$netlink", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$netrom", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$packet", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 205, Name: "getpeername$unix", CallName: "getpeername", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peer", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peerlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "peer"}},
	}},
	{NR: 155, Name: "getpgid", CallName: "getpgid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 172, Name: "getpid", CallName: "getpid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 141, Name: "getpriority", CallName: "getpriority", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "priority_which", FldName: "which", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "who", TypeSize: 4}},
	}},
	{NR: 278, Name: "getrandom", CallName: "getrandom", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "getrandom_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 150, Name: "getresgid", CallName: "getresgid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 4, ArgDir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "egid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 4, ArgDir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sgid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 148, Name: "getresuid", CallName: "getresuid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ruid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 4, ArgDir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "euid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 4, ArgDir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "suid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "uid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 163, Name: "getrlimit", CallName: "getrlimit", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rlimit_type", FldName: "res", TypeSize: 8}}, Vals: []uint64{9, 4, 0, 2, 1, 10, 8, 12, 13, 7, 6, 5, 14, 15, 11, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rlim", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rlimit", Dir: 1}}},
	}},
	{NR: 165, Name: "getrusage", CallName: "getrusage", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rusage_who", FldName: "who", TypeSize: 8}}, Vals: []uint64{0, 18446744073709551615, 1}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "usage", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rusage", Dir: 1}}},
	}},
	{NR: 204, Name: "getsockname", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$ax25", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$inet", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$inet6", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$ipx", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$llc", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$netlink", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_nl_t[AF_UNSPEC, const[0, int32], const[0, int32]]", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$netrom", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_netrom", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$packet", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 204, Name: "getsockname$unix", CallName: "getsockname", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "addr"}},
	}},
	{NR: 209, Name: "getsockopt", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optname", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$ARPT_SO_GET_ENTRIES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 97},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpt_get_entries"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$ARPT_SO_GET_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 96},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpt_getinfo"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$ARPT_SO_GET_REVISION_TARGET", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 99},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xt_get_revision"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$EBT_SO_GET_ENTRIES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 129},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ebt_get_entries"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$EBT_SO_GET_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 128},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ebt_getinfo"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$EBT_SO_GET_INIT_ENTRIES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 131},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ebt_get_entries"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$EBT_SO_GET_INIT_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 130},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ebt_getinfo"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP6T_SO_GET_ENTRIES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_get_entries"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP6T_SO_GET_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 64},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_getinfo"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP6T_SO_GET_REVISION_MATCH", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 68},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xt_get_revision"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP6T_SO_GET_REVISION_TARGET", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 69},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xt_get_revision"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IPT_SO_GET_ENTRIES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_get_entries"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IPT_SO_GET_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 64},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_getinfo"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IPT_SO_GET_REVISION_MATCH", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 66},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xt_get_revision"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IPT_SO_GET_REVISION_TARGET", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 67},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xt_get_revision"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_DAEMON", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1159},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 48, ArgDir: 1}, Kind: 1, RangeBegin: 48, RangeEnd: 48}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_DESTS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1156},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1153},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 12, ArgDir: 1}, Kind: 1, RangeBegin: 12, RangeEnd: 12}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_SERVICE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1155},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 104, ArgDir: 1}, Kind: 1, RangeBegin: 104, RangeEnd: 104}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_SERVICES", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1154},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_TIMEOUT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1158},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 12, ArgDir: 1}, Kind: 1, RangeBegin: 12, RangeEnd: 12}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$IP_VS_SO_GET_VERSION", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1152},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$SO_BINDTODEVICE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 25},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16, ArgDir: 1}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 209, Name: "getsockopt$SO_COOKIE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 57},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$SO_TIMESTAMPING", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 37},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$XDP_MMAP_OFFSETS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 96, ArgDir: 1}, Kind: 1, RangeBegin: 96, RangeEnd: 96}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", TypeSize: 4}}, BitSize: 8, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$XDP_STATISTICS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 24, ArgDir: 1}, Kind: 1, RangeBegin: 24, RangeEnd: 24}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", TypeSize: 4}}, BitSize: 8, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$ax25_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 257},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{25}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$ax25_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 257},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 5, 3, 4, 9, 6, 7, 8, 12, 10}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_CHANNEL_POLICY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_DEFER_SETUP", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_FLUSHABLE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_POWER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_RCVMTU", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_SECURITY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bt_security", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_SNDMTU", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_BT_VOICE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 8}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_hci", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_hci_sockopt", FldName: "opt", TypeSize: 8}}, Vals: []uint64{1, 3, 2}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_l2cap_L2CAP_CONNINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "l2cap_conninfo", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_l2cap_L2CAP_LM", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_l2cap_L2CAP_OPTIONS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "l2cap_options", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_rfcomm_RFCOMM_CONNINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 18},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_rfcomm_RFCOMM_LM", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 18},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_sco_SCO_CONNINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_sco", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$bt_sco_SCO_OPTIONS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_sco", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_IPV6_FLOWLABEL_MGR", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_flowlabel_req", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_IPV6_IPSEC_POLICY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_IPV6_XFRM_POLICY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet6_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{6, 20, 21, 27, 28, 32, 34, 35, 42, 43, 44, 45, 46, 47, 48, 50, 61, 68, 69, 202, 204, 205, 210, 211}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_dccp_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{2, 12, 13, 14, 15, 128, 192}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_dccp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 3, 4, 5, 6, 10, 11, 16, 17}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet6_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 16, 17, 18, 19, 22, 23, 24, 25, 26, 33, 36, 49, 51, 52, 53, 56, 58, 60, 62, 66, 67, 80, 70, 72, 73, 74, 75, 76, 200, 201, 203, 206, 207, 208, 209, 78}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_mreq", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ipv6_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{20, 21, 27, 28}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipv6_mreq", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_mtu", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 23},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_mtu_discover", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_opts", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ipv6_opts", FldName: "optname", TypeSize: 8}}, Vals: []uint64{54, 55, 57, 59}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_tcp_TCP_REPAIR_WINDOW", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_repair_window", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_tcp_TCP_ZEROCOPY_RECEIVE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_zerocopy_receive"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_tcp_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{11, 13, 31, 14, 22, 26, 28, 29, 33}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_tcp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 16, 17, 18, 19, 20, 21, 23, 30, 34, 24, 25, 27, 36}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet6_udp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 101, 102, 103, 10, 11}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_IP_IPSEC_POLICY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_IP_XFRM_POLICY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{4, 9, 16, 17, 32, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_dccp_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{2, 12, 13, 14, 15, 128, 192}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_dccp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 3, 4, 5, 6, 10, 11, 16, 17}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 5, 6, 7, 8, 10, 11, 12, 13, 14, 15, 18, 19, 20, 21, 22, 23, 24, 33, 34, 49, 50}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_mreq", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{35, 36, 32}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreq", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_mreqn", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{35, 36, 32}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreqn", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_mreqsrc", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreqsrc", FldName: "optname", TypeSize: 8}}, Vals: []uint64{39, 38, 40, 37}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreq_source", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_mtu", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_mtu_discover", TypeSize: 4, ArgDir: 1}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_opts", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_opts", FldName: "optname", TypeSize: 8}}, Vals: []uint64{4, 9}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_pktinfo", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in_pktinfo", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_ADAPTATION_LAYER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_setadaptation", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_ASSOCINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assocparams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_AUTH_ACTIVE_KEY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_AUTOCLOSE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_AUTO_ASCONF", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 30},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_CONTEXT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_DEFAULT_PRINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 114},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_default_prinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_DEFAULT_SEND_PARAM", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndrcvinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_DEFAULT_SNDINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_DELAYED_SACK", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_delayed_sack", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_DISABLE_FRAGMENTS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_ENABLE_STREAM_RESET", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 118},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_EVENTS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_event_subscribe", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_FRAGMENT_INTERLEAVE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_ASSOC_ID_LIST", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_ids", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_ASSOC_NUMBER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 28},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_ASSOC_STATS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 112},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_stats", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_LOCAL_ADDRS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 109},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_PEER_ADDRS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 108},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_GET_PEER_ADDR_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_HMAC_IDENT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_hmacalgo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_INITMSG", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_initmsg", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_I_WANT_MAPPED_V4_ADDR", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_LOCAL_AUTH_CHUNKS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 27},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunks", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_MAXSEG", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_maxseg", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_MAX_BURST", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 20},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_max_burst", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_NODELAY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PARTIAL_DELIVERY_POINT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 19},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PEER_ADDR_PARAMS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrparams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PEER_ADDR_THLDS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrthlds", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PEER_AUTH_CHUNKS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 26},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunks", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PRIMARY_ADDR", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PR_ASSOC_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 115},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prstatus", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PR_STREAM_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 116},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_PR_SUPPORTED", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 113},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_RECONFIG_SUPPORTED", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 117},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_RECVNXTINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_RECVRCVINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_RESET_STREAMS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 119},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_reset_streams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_RTOINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_rtoinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_SOCKOPT_CONNECTX3", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 111},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs_old", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_SOCKOPT_PEELOFF", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 102},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_peeloff_arg_t", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_status", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_STREAM_SCHEDULER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp6_SCTP_STREAM_SCHEDULER_VALUE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 124},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_stream_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_ADAPTATION_LAYER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_setadaptation", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_ASSOCINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assocparams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_AUTH_ACTIVE_KEY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_AUTOCLOSE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_AUTO_ASCONF", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 30},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_CONTEXT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_DEFAULT_PRINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 114},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_default_prinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_DEFAULT_SEND_PARAM", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndrcvinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_DEFAULT_SNDINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_DELAYED_SACK", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_delayed_sack", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_DISABLE_FRAGMENTS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_ENABLE_STREAM_RESET", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 118},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_EVENTS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_event_subscribe", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_FRAGMENT_INTERLEAVE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_ASSOC_ID_LIST", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_ids", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_ASSOC_NUMBER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 28},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_ASSOC_STATS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 112},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_stats", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_LOCAL_ADDRS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 109},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_PEER_ADDRS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 108},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_GET_PEER_ADDR_INFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_HMAC_IDENT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_hmacalgo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_INITMSG", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_initmsg", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_I_WANT_MAPPED_V4_ADDR", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_LOCAL_AUTH_CHUNKS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 27},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunks", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_MAXSEG", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_maxseg", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_MAX_BURST", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 20},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_max_burst", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_NODELAY", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PARTIAL_DELIVERY_POINT", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 19},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PEER_ADDR_PARAMS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrparams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PEER_ADDR_THLDS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrthlds", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PEER_AUTH_CHUNKS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 26},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunks", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PRIMARY_ADDR", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PR_ASSOC_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 115},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prstatus", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PR_STREAM_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 116},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_PR_SUPPORTED", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 113},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_RECONFIG_SUPPORTED", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 117},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_RECVNXTINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_RECVRCVINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_RESET_STREAMS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 119},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_reset_streams", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_RTOINFO", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_rtoinfo", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_SOCKOPT_CONNECTX3", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 111},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_getaddrs_old", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_SOCKOPT_PEELOFF", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 102},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_peeloff_arg_t", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_STATUS", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_status", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_STREAM_SCHEDULER", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_sctp_SCTP_STREAM_SCHEDULER_VALUE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 124},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_stream_value", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "len", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "val"}},
	}},
	{NR: 209, Name: "getsockopt$inet_tcp_TCP_REPAIR_WINDOW", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_repair_window", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_tcp_TCP_ZEROCOPY_RECEIVE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_zerocopy_receive"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_tcp_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{11, 13, 31, 14, 22, 26, 28, 29, 33}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_tcp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 16, 17, 18, 19, 20, 21, 23, 30, 34, 24, 25, 27, 36}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$inet_udp_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 101, 102, 103, 10, 11}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$ipx_IPX_TYPE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 256},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$kcm_KCM_RECV_DISABLE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 281},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 209, Name: "getsockopt$llc_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 268},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "llc_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$netlink", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_sockopts", FldName: "opt", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$netrom_NETROM_IDLE", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$netrom_NETROM_N2", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$netrom_NETROM_T1", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$netrom_NETROM_T2", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$netrom_NETROM_T4", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "arg"}},
	}},
	{NR: 209, Name: "getsockopt$nfc_llcp", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 280},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_llcp_opts", FldName: "opt", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 209, Name: "getsockopt$packet_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 5, 6, 13, 22}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$packet_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{3, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$sock_buf", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{28, 31, 26, 55, 59}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$sock_cred", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ucred", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$sock_int", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{30, 6, 1, 39, 4, 5, 9, 42, 12, 38, 8, 33, 18, 19, 2, 7, 32, 29, 3, 15, 10, 11, 16, 35, 44, 34, 40, 41, 43, 45, 46, 47, 60}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$sock_linger", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "linger", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 209, Name: "getsockopt$sock_timeval", CallName: "getsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_timeval", FldName: "optname", TypeSize: 8}}, Vals: []uint64{20, 21}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timeval", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", TypeSize: 4, ArgDir: 2}}, Buf: "optval"}},
	}},
	{NR: 178, Name: "gettid", CallName: "gettid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 174, Name: "getuid", CallName: "getuid", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 8, Name: "getxattr", CallName: "getxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 105, Name: "init_module", CallName: "init_module", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mod", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "mod"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "args", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 27, Name: "inotify_add_watch", CallName: "inotify_add_watch", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_inotify", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inotify_mask", FldName: "mask", TypeSize: 8}}, Vals: []uint64{1, 4, 8, 16, 256, 512, 1024, 2, 2048, 64, 128, 32, 33554432, 67108864, 536870912, 2147483648, 16777216}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "inotifydesc", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 26, Name: "inotify_init1", CallName: "inotify_init1", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inotify_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_inotify", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 28, Name: "inotify_rm_watch", CallName: "inotify_rm_watch", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_inotify", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "inotifydesc", FldName: "wd", TypeSize: 4}},
	}},
	{NR: 3, Name: "io_cancel", CallName: "io_cancel", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", FldName: "ctx", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "iocb", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iocb"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "res", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "io_event", Dir: 1}}},
	}},
	{NR: 1, Name: "io_destroy", CallName: "io_destroy", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", FldName: "ctx", TypeSize: 8}},
	}},
	{NR: 4, Name: "io_getevents", CallName: "io_getevents", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", FldName: "ctx", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "min_nr", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr", TypeSize: 8}}, Buf: "events"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "events", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "io_event", Dir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 292, Name: "io_pgetevents", CallName: "io_pgetevents", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", FldName: "ctx", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "min_nr", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr", TypeSize: 8}}, Buf: "events"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "events", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "io_event", Dir: 1}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "usig", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sigset_size"}}},
	}},
	{Name: "io_setup", CallName: "io_setup", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ctx", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", TypeSize: 8, ArgDir: 1}}},
	}},
	{NR: 2, Name: "io_submit", CallName: "io_submit", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "io_ctx", FldName: "ctx", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr", TypeSize: 8}}, Buf: "iocbpp"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "iocbpp", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iocb"}}}}},
	}},
	{NR: 29, Name: "ioctl", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cmd", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_GET_NAME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2164291330},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_GET_PIN_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 30473},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_GET_PROT_MASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 30470},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ashmem_pin", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_GET_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 30468},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_PURGE_ALL_CACHES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 30474},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_SET_NAME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1090549505},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_SET_PROT_MASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074296581},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ashmem_pin"}}},
	}},
	{NR: 29, Name: "ioctl$ASHMEM_SET_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074296579},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BINDER_GET_NODE_DEBUG_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222823435},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binder_node_debug_info", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$BINDER_SET_CONTEXT_MGR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074029063},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BINDER_SET_MAX_THREADS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074029061},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nthreads", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$BINDER_THREAD_EXIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074029064},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BINDER_WRITE_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224396289},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binder_write_read"}}},
	}},
	{NR: 29, Name: "ioctl$BLKALIGNOFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4730},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKBSZGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148012656},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKBSZSET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074270833},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKDISCARD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4727},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKFLSBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4705},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKFRASET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4708},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKGETSIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4704},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKGETSIZE64", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148012658},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKIOMIN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4728},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKIOOPT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4729},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKPBSZGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4731},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKPG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4713},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "blkpg_ioctl_arg"}}},
	}},
	{NR: 29, Name: "ioctl$BLKRAGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4707},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKREPORTZONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222278786},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "blk_zone_report"}}},
	}},
	{NR: 29, Name: "ioctl$BLKRESETZONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074795139},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "blk_zone_range"}}},
	}},
	{NR: 29, Name: "ioctl$BLKROGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4702},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKROSET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4701},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKROTATIONAL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4734},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKRRPART", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4703},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BLKSECDISCARD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4733},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$BLKSECTGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4711},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$BLKTRACESETUP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block_trace", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225948787},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "blk_user_trace_setup"}}},
	}},
	{NR: 29, Name: "ioctl$BLKTRACESTART", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block_trace", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4724},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BLKTRACESTOP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block_trace", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4725},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BLKTRACETEARDOWN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block_trace", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4726},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$BLKZEROOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4735},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "blk_zone_range"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMAUDIOBUFSIZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21378},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "val", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$CDROMCLOSETRAY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21273},
	}},
	{NR: 29, Name: "ioctl$CDROMEJECT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21257},
	}},
	{NR: 29, Name: "ioctl$CDROMEJECT_SW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21263},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$CDROMGETSPINDOWN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21277},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "arg", TypeSize: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROMMULTISESSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21264},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_multisession", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$CDROMPAUSE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21249},
	}},
	{NR: 29, Name: "ioctl$CDROMPLAYBLK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21271},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_blk"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMPLAYMSF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21251},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_msf"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMPLAYTRKIND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21252},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_ti"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADALL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21272},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_output_buffer", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADAUDIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21262},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_read_audio"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADCOOKED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21269},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_output_buffer", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADMODE1", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21261},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_msf_out_stub"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADMODE2", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21260},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_msf_out_stub"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADRAW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21268},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_msf_out_stub"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADTOCENTRY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21254},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_tocentry", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$CDROMREADTOCHDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21253},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_tochdr", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$CDROMRESET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21266},
	}},
	{NR: 29, Name: "ioctl$CDROMRESUME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21250},
	}},
	{NR: 29, Name: "ioctl$CDROMSEEK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21270},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_msf"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMSETSPINDOWN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21278},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "arg", TypeSize: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROMSTART", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21256},
	}},
	{NR: 29, Name: "ioctl$CDROMSTOP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21255},
	}},
	{NR: 29, Name: "ioctl$CDROMSUBCHNL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21259},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_subchnl", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$CDROMVOLCTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21258},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_volctrl"}}},
	}},
	{NR: 29, Name: "ioctl$CDROMVOLREAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21267},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_volctrl", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_CHANGER_NSLOTS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21288},
	}},
	{NR: 29, Name: "ioctl$CDROM_CLEAR_OPTIONS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21281},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_options", FldName: "arg", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
	}},
	{NR: 29, Name: "ioctl$CDROM_DEBUG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21296},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "debug", TypeSize: 8}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$CDROM_DISC_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21287},
	}},
	{NR: 29, Name: "ioctl$CDROM_GET_CAPABILITY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21297},
	}},
	{NR: 29, Name: "ioctl$CDROM_GET_MCN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21265},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_mcn", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_LAST_WRITTEN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21397},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_LOCKDOOR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21289},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "lock", TypeSize: 8}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$CDROM_MEDIA_CHANGED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21285},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "slot", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_NEXT_WRITABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21396},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_SELECT_DISK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21282},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "disk", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_SELECT_SPEED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21282},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "speed", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_SEND_PACKET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21395},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cdrom_generic_command", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$CDROM_SET_OPTIONS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21280},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "cdrom_options", FldName: "arg", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
	}},
	{NR: 29, Name: "ioctl$DMA_BUF_IOCTL_SYNC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dma_buf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291200},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dma_buf_sync_flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4}, BitMask: true}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_ADD_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223348246},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_buf_desc"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_ADD_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221775392},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_ADD_MAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223872533},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_ACQUIRE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 25648},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_ALLOC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223348276},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_agp_buffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_BIND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816054},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_agp_binding"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_ENABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291762},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_FREE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075864629},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_agp_buffer"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151179315},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_RELEASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 25649},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AGP_UNBIND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816055},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_agp_binding"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_AUTH_MAGIC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074029585},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_CONTROL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291732},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_control"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_DMA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225445417},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_dma"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_DROP_MASTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 25631},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_FREE_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816026},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_buf_free"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GEM_CLOSE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291721},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_gem_close"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GEM_FLINK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221775370},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_gem_flink", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GEM_OPEN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299659},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_gem_open", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299660},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_get_cap"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_CLIENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223872517},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_client"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221775395},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_MAGIC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147771394},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_MAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223872516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_SAREA_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299677},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx_priv_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_STATS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2163762182},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_GET_UNIQUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299649},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_unique_out"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_INFO_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299672},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_buf_desc"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_IRQ_BUSID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299651},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_irq_busid"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_LOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291754},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_lock"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MAP_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222823961},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_buf_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MARK_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075864599},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_buf_desc"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MODESET_CTL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291720},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_modeset_ctl"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MODE_GETCRTC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3228066977},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_mode_crtc"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MODE_GETPLANERESOURCES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299829},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_mode_get_plane_res"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MODE_GETRESOURCES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225445536},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_mode_card_res"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_MODE_SETCRTC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3228066978},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_mode_crtc"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_NEW_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291749},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_PRIME_FD_TO_HANDLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222037550},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_prime_handle", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_PRIME_HANDLE_TO_FD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222037549},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_prime_handle", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_RES_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299686},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx_res"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_RM_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221775393},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_RM_MAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076388891},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SET_CLIENT_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816013},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_get_cap"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SET_MASTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 25630},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SET_SAREA_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816028},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx_priv_map"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SET_UNIQUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816016},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_unique_in"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SET_VERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299655},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_set_version"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SG_ALLOC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222299704},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_scatter_gather"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SG_FREE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074816057},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_scatter_gather"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_SWITCH_CTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291748},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_ctx"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_UNLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074291755},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_lock"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_VERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225445376},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_version"}}},
	}},
	{NR: 29, Name: "ioctl$DRM_IOCTL_WAIT_VBLANK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222823994},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "drm_wait_vblank"}}},
	}},
	{NR: 29, Name: "ioctl$DVD_AUTH", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21392},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "dvd_authinfo", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DVD_READ_STRUCT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21392},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "dvd_struct", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$DVD_WRITE_STRUCT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21392},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "dvd_struct"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGABS0", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149074240},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGABS20", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149074272},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGABS2F", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149074287},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGABS3F", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149074303},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGBITKEY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695649},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGBITSND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695666},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGBITSW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695653},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGEFFECTS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147763588},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148025602},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGKEY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695640},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGKEYCODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148025604},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGKEYCODE_V2", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150122756},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGLED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695641},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGMASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148550034},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_mask"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGMTSLOTS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695626},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGNAME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695622},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGPHYS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695623},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGPROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695625},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGRAB", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021776},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGREP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148025603},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGSND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695642},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGSW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695643},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGUNIQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151695624},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCGVERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147763457},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCREVOKE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021777},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCRMFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021761},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSABS0", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075332544},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_absinfo"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSABS20", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075332576},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_absinfo"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSABS2F", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075332591},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_absinfo"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSABS3F", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075332607},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_absinfo"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSCLOCKID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021792},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076905344},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ff_effect"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSKEYCODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074283780},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSKEYCODE_V2", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076380932},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_keymap_entry"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSMASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074808211},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_mask"}}},
	}},
	{NR: 29, Name: "ioctl$EVIOCSREP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074283779},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}, Kind: 1, RangeBegin: 2, RangeEnd: 2}},
	}},
	{NR: 29, Name: "ioctl$FIBMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$FICLONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074041865},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "arg", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$FICLONERANGE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075876877},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "file_clone_range"}}},
	}},
	{NR: 29, Name: "ioctl$FIDEDUPERANGE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222836278},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "file_dedupe_range"}}},
	}},
	{NR: 29, Name: "ioctl$FIONREAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$FS_IOC_FSGETXATTR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149341215},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fsxattr"}}},
	}},
	{NR: 29, Name: "ioctl$FS_IOC_FSSETXATTR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075599392},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fsxattr"}}},
	}},
	{NR: 29, Name: "ioctl$FS_IOC_GETFSLABEL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2164298801},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 256, ArgDir: 1}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1, ArgDir: 1}}}, Kind: 1, RangeBegin: 256, RangeEnd: 256}},
	}},
	{NR: 29, Name: "ioctl$FS_IOC_RESVSP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076910120},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "space_resv"}}},
	}},
	{NR: 29, Name: "ioctl$FS_IOC_SETFSLABEL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1090556978},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 256}, Kind: 1, RangeBegin: 256, RangeEnd: 256}},
	}},
	{NR: 29, Name: "ioctl$FUSE_DEV_IOC_CLONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147804416},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$GIO_CMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19312},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "io_cmap", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$GIO_FONT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19296},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$GIO_FONTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19307},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$GIO_SCRNMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19264},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$GIO_UNIMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19302},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "unimapdesc_out"}}},
	}},
	{NR: 29, Name: "ioctl$GIO_UNISCRNMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19305},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$HCIINQUIRY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147764464},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hci_inquiry_req"}}},
	}},
	{NR: 29, Name: "ioctl$HDIO_GETGEO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 769},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hd_geometry", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$I2C_FUNCS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1797},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$I2C_PEC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1800},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$I2C_RDWR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1799},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "i2c_rdwr_ioctl_data"}}},
	}},
	{NR: 29, Name: "ioctl$I2C_RETRIES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1793},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$I2C_SLAVE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1795},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 1023},
	}},
	{NR: 29, Name: "ioctl$I2C_SLAVE_FORCE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1798},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 1023},
	}},
	{NR: 29, Name: "ioctl$I2C_SMBUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1824},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "i2c_smbus_ioctl_data"}}},
	}},
	{NR: 29, Name: "ioctl$I2C_TENBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1796},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$I2C_TIMEOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1794},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$INOTIFY_IOC_SETNEXTWD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_inotify", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074022656},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_CLEAR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074819277},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_clear"}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_PREEMPT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075343563},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_preempt"}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_PREEMPT_ABORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075343564},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_preempt"}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_REGISTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075343560},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_registration"}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_RELEASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074819274},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_reservation"}}},
	}},
	{NR: 29, Name: "ioctl$IOC_PR_RESERVE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074819273},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pr_reservation"}}},
	}},
	{NR: 29, Name: "ioctl$ION_IOC_ALLOC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ion", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222817024},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ion_allocation_data", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$ION_IOC_HEAP_QUERY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ion", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222817032},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ion_heap_query", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$KDADDIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19252},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDDELIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19253},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDDISABIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19255},
	}},
	{NR: 29, Name: "ioctl$KDENABIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19254},
	}},
	{NR: 29, Name: "ioctl$KDGETKEYCODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19276},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kbkeycode"}}},
	}},
	{NR: 29, Name: "ioctl$KDGETLED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19249},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDGETMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19259},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBDIACR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19274},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19270},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kbentry"}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBLED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19300},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBMETA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19298},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19268},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBSENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19272},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kbentry"}}},
	}},
	{NR: 29, Name: "ioctl$KDGKBTYPE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19251},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KDMKTONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19248},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDSETKEYCODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19277},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kbkeycode"}}},
	}},
	{NR: 29, Name: "ioctl$KDSETLED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19250},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDSETMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19258},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDSIGACCEPT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19278},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
	}},
	{NR: 29, Name: "ioctl$KDSKBLED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19301},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KDSKBMETA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19299},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$KDSKBMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19269},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$KDSKBSENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19273},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$KIOCSOUND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19247},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ARM_SET_DEVICE_ADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835115},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_arm_device_addr"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ARM_VCPU_INIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075883694},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_vcpu_init"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ASSIGN_DEV_IRQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980784},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_irq"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ASSIGN_PCI_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151722601},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_pci_dev"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ASSIGN_SET_INTX_MASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980836},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_pci_dev"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ASSIGN_SET_MSIX_ENTRY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835060},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_msix_entry"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ASSIGN_SET_MSIX_NR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310771},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_msix_nr"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_CHECK_EXTENSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44547},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_CHECK_EXTENSION_VM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44547},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_CREATE_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222056672},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_create_device", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$KVM_CREATE_IRQCHIP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44640},
	}},
	{NR: 29, Name: "ioctl$KVM_CREATE_PIT2", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980791},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_pit_config"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_CREATE_VCPU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44609},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}, Kind: 2, RangeEnd: 2},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 29, Name: "ioctl$KVM_CREATE_VM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44545},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 29, Name: "ioctl$KVM_DEASSIGN_DEV_IRQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980789},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_irq"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_DEASSIGN_PCI_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980786},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_assigned_pci_dev"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_DIRTY_TLB", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835114},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_dirty_tlb"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ENABLE_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1080602275},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_enable_cap_vm"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_ENABLE_CAP_CPU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1080602275},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_enable_cap_cpu"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_CLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150674044},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_clock_data", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_DEVICE_ATTR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359458},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_device_attr"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_DIRTY_LOG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835010},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_dirty_log"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_FPU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147528332},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_fpu", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_IRQCHIP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3255348834},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irqchip", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_MP_STATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147790488},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_NR_MMU_PAGES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44613},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_ONE_REG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835115},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_one_reg"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_REGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2204151425},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_regs", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_REG_LIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221794480},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_reg_list"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_SREGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147528323},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_sregs", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_TSC_KHZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44707},
	}},
	{NR: 29, Name: "ioctl$KVM_GET_VCPU_MMAP_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44548},
	}},
	{NR: 29, Name: "ioctl$KVM_HAS_DEVICE_ATTR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359459},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_device_attr"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_HYPERV_EVENTFD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359421},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_hyperv_eventfd"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_INTERRUPT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074048646},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$KVM_IOEVENTFD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077980793},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_ioeventfd"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_IRQFD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075883638},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irqfd"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_IRQ_LINE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310753},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irq_level"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_IRQ_LINE_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221794407},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irq_level"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_KVMCLOCK_CTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44717},
	}},
	{NR: 29, Name: "ioctl$KVM_NMI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44698},
	}},
	{NR: 29, Name: "ioctl$KVM_PPC_ALLOCATE_HTAB", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221532327},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$KVM_PPC_GET_PVINFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1082175137},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$KVM_PPC_GET_SMMU_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2186325670},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$KVM_REGISTER_COALESCED_MMIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835047},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_coalesced_mmio_zone"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_REINJECT_CONTROL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44657},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_reinject_control"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_RUN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44672},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_S390_INTERRUPT_CPU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835092},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_s390_interrupt"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_S390_UCAS_MAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359312},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_s390_ucas_mapping"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_S390_UCAS_UNMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359313},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_s390_ucas_mapping"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_S390_VCPU_FAULT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310738},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_BOOT_CPU_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44664},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}, Kind: 2, RangeEnd: 2}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_CLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076932219},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_clock_data"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_DEVICE_ATTR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmdev", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075359457},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_device_attr"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_FPU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1073786509},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_fpu"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_GSI_ROUTING", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310762},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irq_routing"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_GUEST_DEBUG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1107865243},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_guest_debug"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_IDENTITY_MAP_ADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310728},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_IRQCHIP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2181607011},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_irqchip"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_MP_STATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074048665},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_mp_state", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_NR_MMU_PAGES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44612},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_ONE_REG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835116},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_one_reg"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_REGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1130409602},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_regs"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_SIGNAL_MASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074048651},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_signal_mask"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_SREGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1073786500},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_sregs"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_TSC_KHZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44706},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_TSS_ADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44615},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_x86_tss_addr", FldName: "arg", TypeSize: 8}}, Vals: []uint64{53248}, BitMask: true},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_USER_MEMORY_REGION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075883590},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_userspace_memory_region"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SET_VAPIC_ADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310803},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_guest_addrs", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 4, 4096, 8192, 12288, 16384, 20480, 24576, 53248, 61440, 1048576, 65536}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SIGNAL_MSI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075883685},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_msi"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_SMI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44727},
	}},
	{NR: 29, Name: "ioctl$KVM_TPR_ACCESS_REPORTING", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223891602},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_tpr_access_ctl"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_TRANSLATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222843013},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_translation"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_UNREGISTER_COALESCED_MMIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074835048},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_coalesced_mmio_zone"}}},
	}},
	{NR: 29, Name: "ioctl$KVM_X86_GET_MCE_CAP_SUPPORTED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148052637},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$KVM_X86_SETUP_MCE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310812},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kvm_mce_cap"}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_CHANGE_FD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19462},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "arg", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$LOOP_CLR_FD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19457},
	}},
	{NR: 29, Name: "ioctl$LOOP_CTL_ADD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_ctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19584},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_num", FldName: "num", TypeSize: 8}},
	}},
	{NR: 29, Name: "ioctl$LOOP_CTL_GET_FREE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_ctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19586},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_num", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{NR: 29, Name: "ioctl$LOOP_CTL_REMOVE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_ctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19585},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_num", FldName: "num", TypeSize: 8}},
	}},
	{NR: 29, Name: "ioctl$LOOP_GET_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19459},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "loop_info", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_GET_STATUS64", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19461},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "loop_info64", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_BLOCK_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19465},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_CAPACITY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19463},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_DIRECT_IO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19464},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_FD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19456},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "arg", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19458},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "loop_info"}}},
	}},
	{NR: 29, Name: "ioctl$LOOP_SET_STATUS64", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19460},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "loop_info64"}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_DISABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9217},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_ENABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9216},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148017159},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "id", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_MODIFY_ATTRIBUTES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074275339},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "perf_event_attr"}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_PAUSE_OUTPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074013193},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_PERIOD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074275332},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "period", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_QUERY_BPF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221758986},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "perf_event_query_bpf"}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_REFRESH", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9218},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "refresh", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_RESET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9219},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_SET_BPF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074013192},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", FldName: "prog", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_SET_FILTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074275334},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "filter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 29, Name: "ioctl$PERF_EVENT_IOC_SET_OUTPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 9221},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "other", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$PIO_CMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19313},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "io_cmap"}}},
	}},
	{NR: 29, Name: "ioctl$PIO_FONT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19297},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$PIO_FONTRESET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19309},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PIO_FONTX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19308},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$PIO_SCRNMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19265},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$PIO_UNIMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19303},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "unimapdesc_in"}}},
	}},
	{NR: 29, Name: "ioctl$PIO_UNIMAPCLR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19304},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "unimapinit"}}},
	}},
	{NR: 29, Name: "ioctl$PIO_UNISCRNMAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19306},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCGCHAN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppox", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147775543},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCGFLAGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppox", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147775578},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCGL2TPSTATS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2152231990},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCGMRU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppox", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147775571},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCSFLAGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppox", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074033753},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ppp_flags", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 65536, 131072, 262144, 524288, 1048576, 2097152, 4194304}, BitMask: true}},
	}},
	{NR: 29, Name: "ioctl$PPPIOCSMRU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppox", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074033746},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$PPPOEIOCDFWD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppoe", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 45313},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$PPPOEIOCSFWD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppoe", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074311424},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_pppoe"}}},
	}},
	{NR: 29, Name: "ioctl$RNDADDENTROPY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074287107},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rnd_entpropy"}}},
	}},
	{NR: 29, Name: "ioctl$RNDADDTOENTCNT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074024961},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$RNDCLEARPOOL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 20998},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$RNDGETENTCNT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147766784},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$RNDZAPENTCNT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 20996},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$RTC_AIE_OFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28674},
	}},
	{NR: 29, Name: "ioctl$RTC_AIE_ON", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28673},
	}},
	{NR: 29, Name: "ioctl$RTC_ALM_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149871624},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_time", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$RTC_ALM_SET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076129799},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_time"}}},
	}},
	{NR: 29, Name: "ioctl$RTC_EPOCH_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148036621},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$RTC_EPOCH_SET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074294798},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$RTC_IRQP_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148036619},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$RTC_IRQP_SET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074294796},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeBegin: 1, RangeEnd: 8192},
	}},
	{NR: 29, Name: "ioctl$RTC_PIE_OFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28678},
	}},
	{NR: 29, Name: "ioctl$RTC_PIE_ON", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28677},
	}},
	{NR: 29, Name: "ioctl$RTC_PLL_GET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149609489},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_pll_info", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$RTC_PLL_SET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075867666},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_pll_info"}}},
	}},
	{NR: 29, Name: "ioctl$RTC_RD_TIME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2149871625},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_time", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$RTC_SET_TIME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076129802},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_time"}}},
	}},
	{NR: 29, Name: "ioctl$RTC_UIE_OFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28676},
	}},
	{NR: 29, Name: "ioctl$RTC_UIE_ON", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28675},
	}},
	{NR: 29, Name: "ioctl$RTC_VL_CLR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28692},
	}},
	{NR: 29, Name: "ioctl$RTC_VL_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147774483},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$RTC_WIE_OFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28688},
	}},
	{NR: 29, Name: "ioctl$RTC_WIE_ON", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 28687},
	}},
	{NR: 29, Name: "ioctl$RTC_WKALM_RD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150133776},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_wkalrm", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$RTC_WKALM_SET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076391951},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtc_wkalrm"}}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_BENCHMARK_COMMAND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_DOORLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21376},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_DOORUNLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21377},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_GET_BUS_NUMBER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21382},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_GET_IDLUN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21378},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "scsi_idlun", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_GET_PCI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21383},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 20, ArgDir: 1}, Kind: 1, RangeBegin: 20, RangeEnd: 20}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_PROBE_HOST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21381},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "scsi_ioctl_probe_host_out_buffer", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_SEND_COMMAND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "scsi_ioctl_command"}}},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_START_UNIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 5},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_STOP_UNIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 6},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_SYNC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 4},
	}},
	{NR: 29, Name: "ioctl$SCSI_IOCTL_TEST_UNIT_READY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
	}},
	{NR: 29, Name: "ioctl$SG_EMULATED_HOST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8707},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_ACCESS_COUNT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8841},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_COMMAND_Q", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8816},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_KEEP_ORPHAN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8840},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_LOW_DMA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8826},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_NUM_WAITING", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8829},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_PACK_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8828},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_REQUEST_TABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8838},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 384, ArgDir: 1}, Kind: 1, RangeBegin: 384, RangeEnd: 384}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_RESERVED_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8818},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_SCSI_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8822},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 32, ArgDir: 1}, Kind: 1, RangeBegin: 32, RangeEnd: 32}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_SG_TABLESIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8831},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_TIMEOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8706},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$SG_GET_VERSION_NUM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8834},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SG_IO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8837},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sg_io_hdr"}}},
	}},
	{NR: 29, Name: "ioctl$SG_NEXT_CMD_LEN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8835},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 252}},
	}},
	{NR: 29, Name: "ioctl$SG_SCSI_RESET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8836},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_COMMAND_Q", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8817},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_DEBUG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8830},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_FORCE_PACK_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8827},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_KEEP_ORPHAN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8839},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_RESERVED_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8821},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SG_SET_TIMEOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 8705},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SIOCGIFHWADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35111},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, void]", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SIOCGIFMTU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35105},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SIOCSIFHWADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35108},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, mac_addr]"}}},
	}},
	{NR: 29, Name: "ioctl$SIOCSIFMTU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35106},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_CARD_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2172146945},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_ADD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3239073047},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3239073041},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_LIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226490128},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_list"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_LOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077957908},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_id"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3301463314},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_value"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_REMOVE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441561},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_id"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_REPLACE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3239073048},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_UNLOCK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077957909},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_id"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_ELEM_WRITE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3301463315},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_elem_value"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_HWDEP_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2161923361},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_HWDEP_NEXT_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221509408},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_PCM_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3240121649},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_pcm_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_PCM_NEXT_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767600},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_PCM_PREFER_SUBDEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025778},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_POWER_STATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767761},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_PVERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767552},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_RAWMIDI_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3238810945},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_rawmidi_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_RAWMIDI_NEXT_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221509440},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_RAWMIDI_PREFER_SUBDEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025794},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_SUBSCRIBE_EVENTS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221509398},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_TLV_COMMAND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221771548},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_tlv"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_TLV_READ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221771546},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_tlv"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_CTL_IOCTL_TLV_WRITE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221771547},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_ctl_tlv"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_DRAIN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074026289},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_DROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074026288},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2165069569},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_rawmidi_info_raw", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_PARAMS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224393488},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_rawmidi_params", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_PVERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147768064},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_RAWMIDI_IOCTL_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224917792},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_rawmidi_status", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_CLIENT_ID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767041},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_CREATE_PORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3232256800},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_CREATE_QUEUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230421810},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_DELETE_PORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1084773153},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_DELETE_QUEUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1082938163},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_CLIENT_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3233567504},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_client_info", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_CLIENT_POOL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227013963},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_client_pool"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_NAMED_QUEUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230421814},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_PORT_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3232256802},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_info", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_QUEUE_CLIENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226227529},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_client"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_QUEUE_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230421812},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_QUEUE_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227276096},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_status"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_QUEUE_TEMPO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224130369},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_status", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_QUEUE_TIMER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227538245},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_timer"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_GET_SUBSCRIPTION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226489680},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_subscribe"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_PVERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767040},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_QUERY_NEXT_CLIENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3233567569},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_client_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_QUERY_NEXT_PORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3232256850},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_QUERY_SUBS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227013967},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_query_subs"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_REMOVE_EVENTS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077957454},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_remove_events"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_RUNNING_MODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222295299},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_running_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_CLIENT_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1086083857},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_client_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_CLIENT_POOL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079530316},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_client_pool"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_PORT_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1084773155},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_QUEUE_CLIENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1078743882},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_client"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_QUEUE_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230421813},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_QUEUE_TEMPO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076646722},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_status"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SET_QUEUE_TIMER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1080054598},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_queue_timer"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SUBSCRIBE_PORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079006000},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_subscribe"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_SYSTEM_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224392450},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_system_info"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_SEQ_IOCTL_UNSUBSCRIBE_PORT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079006001},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_seq_port_subscribe"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_CONTINUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21666},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_GINFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3237499907},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_ginfo"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_GPARAMS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1078481924},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_gparams"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_GSTATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226489861},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_gstatus"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2162709521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_NEXT_DEVICE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222557697},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_id"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_PARAMS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079006226},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_params"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_PAUSE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21667},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_PVERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767296},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_SELECT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077171216},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "snd_timer_select"}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_START", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21664},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2153796628},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_STOP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21665},
	}},
	{NR: 29, Name: "ioctl$SNDRV_TIMER_IOCTL_TREAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025474},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$TCFLSH", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21515},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TCGETA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21509},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termio", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TCGETS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21505},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TCSBRK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21513},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TCSBRKP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21541},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TCSETA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21510},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termio"}}},
	}},
	{NR: 29, Name: "ioctl$TCSETAF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21512},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termio"}}},
	}},
	{NR: 29, Name: "ioctl$TCSETAW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21511},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termio"}}},
	}},
	{NR: 29, Name: "ioctl$TCSETS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21506},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios"}}},
	}},
	{NR: 29, Name: "ioctl$TCSETSF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21508},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios"}}},
	}},
	{NR: 29, Name: "ioctl$TCSETSW", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21507},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios"}}},
	}},
	{NR: 29, Name: "ioctl$TCXONC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21514},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TE_IOCTL_CLOSE_CLIENT_SESSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tlk", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224925201},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_closesession", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$TE_IOCTL_LAUNCH_OPERATION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tlk", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224925204},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_launchop", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$TE_IOCTL_OPEN_CLIENT_SESSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tlk", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224925200},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "te_opensession", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$TE_IOCTL_SS_CMD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tlk", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147775536},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "te_ss_cmd_flags", FldName: "arg", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 29, Name: "ioctl$TIOCCBRK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21544},
	}},
	{NR: 29, Name: "ioctl$TIOCCONS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21533},
	}},
	{NR: 29, Name: "ioctl$TIOCEXCL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21516},
	}},
	{NR: 29, Name: "ioctl$TIOCGETD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21540},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGLCKTRMIOS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21590},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios"}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGPGRP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21519},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGPTPEER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21569},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGSID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21545},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGSOFTCAR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21529},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCGWINSZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21523},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "winsize", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX2", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tiocl_selection"}}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX3", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 3}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX4", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 1}}, Val: 4}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX5", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "loadlut"}}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX6", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tiocl_shift_state"}}},
	}},
	{NR: 29, Name: "ioctl$TIOCLINUX7", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21532},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tiocl_report_mouse"}}},
	}},
	{NR: 29, Name: "ioctl$TIOCMBIC", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21527},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCMBIS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21526},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCMGET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21525},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCMSET", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21528},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCNOTTY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21538},
	}},
	{NR: 29, Name: "ioctl$TIOCNXCL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21517},
	}},
	{NR: 29, Name: "ioctl$TIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCPKT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21536},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSBRK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21543},
	}},
	{NR: 29, Name: "ioctl$TIOCSCTTY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21518},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSETD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21539},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSLCKTRMIOS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21591},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "termios", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSPGRP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21520},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSSOFTCAR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21530},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSTI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21522},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TIOCSWINSZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21524},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "winsize"}}},
	}},
	{NR: 29, Name: "ioctl$TUNATTACHFILTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074812117},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_fprog"}}},
	}},
	{NR: 29, Name: "ioctl$TUNDETACHFILTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074812118},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$TUNGETFEATURES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767503},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TUNGETFILTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148553947},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$TUNGETIFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767506},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, void]", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$TUNGETSNDBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767507},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TUNGETVNETHDRSZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767511},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETFILTEREBPF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETGROUP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025678},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "arg", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$TUNSETIFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025674},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[tun_setiff_flags, int16]]"}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETIFINDEX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025690},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "ifindex", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETLINK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025677},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dev_type_arphdr", FldName: "arg", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 15, 19, 23, 24, 27, 32, 256, 257, 258, 259, 260, 264, 270, 271, 272, 280, 512, 513, 513, 516, 517, 518, 519, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779, 780, 781, 782, 783, 784, 785, 786, 787, 800, 801, 802, 803, 804, 805, 820, 821, 822, 823, 824, 825, 826, 65535, 65534}},
	}},
	{NR: 29, Name: "ioctl$TUNSETNOCSUM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025672},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$TUNSETOFFLOAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025680},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tun_offload_flags", FldName: "arg", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16}, BitMask: true},
	}},
	{NR: 29, Name: "ioctl$TUNSETOWNER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025676},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "arg", TypeSize: 4}},
	}},
	{NR: 29, Name: "ioctl$TUNSETPERSIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025675},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
	}},
	{NR: 29, Name: "ioctl$TUNSETQUEUE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025689},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[tun_queue_flags, int16]]"}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETSNDBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025684},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETSTEERINGEBPF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767520},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETTXFILTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025681},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tun_filter"}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETVNETBE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025694},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$TUNSETVNETHDRSZ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025688},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$TUNSETVNETLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025692},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_API", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222841919},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_api"}}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_COPY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223890435},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_copy"}}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_REGISTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223366144},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_register"}}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_UNREGISTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148575745},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_range"}}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_WAKE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148575746},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_range"}}},
	}},
	{NR: 29, Name: "ioctl$UFFDIO_ZEROPAGE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223366148},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uffdio_zeropage"}}},
	}},
	{NR: 29, Name: "ioctl$UI_ABS_SETUP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075598596},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_abs_setup"}}},
	}},
	{NR: 29, Name: "ioctl$UI_BEGIN_FF_ERASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222033866},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_ff_erase"}}},
	}},
	{NR: 29, Name: "ioctl$UI_BEGIN_FF_UPLOAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3228063176},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_ff_upload"}}},
	}},
	{NR: 29, Name: "ioctl$UI_DEV_CREATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21761},
	}},
	{NR: 29, Name: "ioctl$UI_DEV_DESTROY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21762},
	}},
	{NR: 29, Name: "ioctl$UI_DEV_SETUP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079792899},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_setup"}}},
	}},
	{NR: 29, Name: "ioctl$UI_END_FF_ERASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074550219},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_ff_erase"}}},
	}},
	{NR: 29, Name: "ioctl$UI_END_FF_UPLOAD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1080579529},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_ff_upload"}}},
	}},
	{NR: 29, Name: "ioctl$UI_GET_SYSNAME", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2151699756},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 64, ArgDir: 1}, Kind: 1, RangeBegin: 64, RangeEnd: 64}},
	}},
	{NR: 29, Name: "ioctl$UI_GET_VERSION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767597},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$UI_SET_ABSBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025831},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 7},
	}},
	{NR: 29, Name: "ioctl$UI_SET_EVBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025828},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 31},
	}},
	{NR: 29, Name: "ioctl$UI_SET_FFBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025835},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 127},
	}},
	{NR: 29, Name: "ioctl$UI_SET_KEYBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025829},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 767},
	}},
	{NR: 29, Name: "ioctl$UI_SET_LEDBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025833},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}},
	{NR: 29, Name: "ioctl$UI_SET_MSCBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025832},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 63},
	}},
	{NR: 29, Name: "ioctl$UI_SET_PHYS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074287980},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, SubKind: "uinput_names", Values: []string{"syz0\x00", "syz1\x00"}}},
	}},
	{NR: 29, Name: "ioctl$UI_SET_PROPBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025838},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 31},
	}},
	{NR: 29, Name: "ioctl$UI_SET_RELBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025830},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}},
	{NR: 29, Name: "ioctl$UI_SET_SNDBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025834},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 7},
	}},
	{NR: 29, Name: "ioctl$UI_SET_SWBIT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025837},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}, Kind: 2, RangeEnd: 15},
	}},
	{NR: 29, Name: "ioctl$VHOST_GET_FEATURES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148052736},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_GET_VRING_BASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221794578},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_GET_VRING_ENDIAN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310932},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_NET_SET_BACKEND", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_net", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310960},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_file"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_RESET_OWNER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44802},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_FEATURES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310912},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "vhost_features", TypeSize: 8}}, Vals: []uint64{67108864, 16777216, 28, 29, 134217728, 4294967296, 134217728, 32768, 8589934592}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_LOG_BASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310916},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr64", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 1}}}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_LOG_FD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074048775},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", TypeSize: 4, IsOptional: true}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_MEM_TABLE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310915},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_memory"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_OWNER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 44801},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_ADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076408081},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_addr"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_BASE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310930},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_BUSYLOOP_TIMEOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310947},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_CALL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310945},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_file"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_ENDIAN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310931},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_ERR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310946},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_file"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_KICK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310944},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_file"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_SET_VRING_NUM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_vhost", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074310928},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_vring_state"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_VSOCK_SET_GUEST_CID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_vsock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074311008},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vmaddr_cid64"}}},
	}},
	{NR: 29, Name: "ioctl$VHOST_VSOCK_SET_RUNNING", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_vsock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074048865},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_CREATE_BUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3238024796},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_create_buffers", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_CROPCAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224131130},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_cropcap", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DBG_G_CHIP_INFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234354790},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dbg_chip_info", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DBG_G_REGISTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224917584},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dbg_register", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DBG_S_REGISTER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077433935},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dbg_register"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DECODER_CMD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225966176},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_decoder_cmd", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DQBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014673},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_buffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DQEVENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2156418649},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_event", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_DV_TIMINGS_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230684772},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings_cap", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENCODER_CMD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223869005},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_encoder_cmd", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUMAUDIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224655425},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audio", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUMAUDOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224655426},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audioout", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUMINPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226490394},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_input", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUMOUTPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225966128},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_output", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUMSTD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225966105},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_standard", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUM_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230946914},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_enum_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUM_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441794},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_fmtdesc", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUM_FRAMEINTERVALS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224655435},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_frmivalenum", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUM_FRAMESIZES", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224131146},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_frmsizeenum", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_ENUM_FREQ_BANDS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441893},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_frequency_band", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_EXPBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441808},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_exportbuffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_AUDIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150913569},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audio", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_AUDOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150913585},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audioout", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_CROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222558267},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_crop", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_CTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221771803},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_control", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3229898328},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_EDID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223868968},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_edid", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_ENC_INDEX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2283296332},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_enc_idx", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_EXT_CTRLS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223344711},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_ext_controls", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_FBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2150651402},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_framebuffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234878980},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_format", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_FREQUENCY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224131128},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_frequency", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_INPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767846},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_JPEGCOMP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2156680765},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_jpegcompression", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_MODULATOR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225703990},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_modulator", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_OUTPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767854},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_PARM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234616853},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_streamparm", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_PRIORITY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147767875},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_priority", FldName: "arg", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 2}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_SELECTION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441886},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_selection", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_SLICED_VBI_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3228849733},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_sliced_vbi_cap", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_STD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148029975},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "v4l2_std_id", TypeSize: 8, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_G_TUNER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3226752541},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_tuner", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_LOG_STATUS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22086},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_OVERLAY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074025998},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_PREPARE_BUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014749},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_buffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014671},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_buffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERYBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014665},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_buffer", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERYCAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2154321408},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_capability", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERYCTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225703972},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_queryctrl", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERYMENU", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224131109},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_querymenu", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERYSTD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2148030015},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "v4l2_std_id", TypeSize: 8, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERY_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2156156515},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_QUERY_EXT_CTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3236451943},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_query_ext_ctrl", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_REQBUFS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3222558216},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_requestbuffers", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_RESERVED", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22017},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_STREAMOFF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074026003},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_STREAMON", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074026002},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_DV_TIMINGS_CAP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230684772},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings_cap", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_ENUM_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3230946914},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_enum_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_ENUM_FRAME_INTERVAL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441867},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_frame_interval_enum", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_ENUM_FRAME_SIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441866},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_frame_size_enum", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_ENUM_MBUS_CODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224393218},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_mbus_code_enum", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_CROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224917563},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_crop", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3229898328},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_EDID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223868968},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_edid", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014660},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_format", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_FRAME_INTERVAL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224393237},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_frame_interval", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_G_SELECTION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441853},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_selection", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_QUERY_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2156156515},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_CROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224917564},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_crop", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3229898327},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_EDID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223868969},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_edid", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3227014661},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_format", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_FRAME_INTERVAL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3224393238},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_frame_interval", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBDEV_S_SELECTION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441854},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_subdev_selection", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_SUBSCRIBE_EVENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075861082},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_event_subscription"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_AUDIO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077171746},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audio"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_AUDOUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1077171762},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_audioout"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_CROP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075074620},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_crop"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_CTRL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221771804},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_control", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_DV_TIMINGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3229898327},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_dv_timings", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_EDID", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223868969},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_edid", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_EXT_CTRLS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223344712},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_ext_controls", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_FBUF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076909579},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_framebuffer"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234878981},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_format", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_FREQUENCY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076647481},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_frequency"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_HW_FREQ_SEEK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1076909650},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_hw_freq_seek"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_INPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221509671},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_JPEGCOMP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1082938942},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_jpegcompression"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_MODULATOR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1078220343},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_modulator"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_OUTPUT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3221509679},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_PARM", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234616854},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_streamparm", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_PRIORITY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074026052},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "v4l2_priority", FldName: "arg", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 2}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_SELECTION", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225441887},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_selection", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_STD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074288152},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "v4l2_std_id", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_S_TUNER", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1079268894},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_tuner"}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_TRY_DECODER_CMD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3225966177},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_decoder_cmd", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_TRY_ENCODER_CMD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223869006},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_encoder_cmd", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_TRY_EXT_CTRLS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223344713},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_ext_controls", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_TRY_FMT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3234879040},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_format", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$VIDIOC_UNSUBSCRIBE_EVENT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1075861083},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "v4l2_event_subscription"}}},
	}},
	{NR: 29, Name: "ioctl$VT_ACTIVATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22022},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 29, Name: "ioctl$VT_DISALLOCATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22024},
	}},
	{NR: 29, Name: "ioctl$VT_GETMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22017},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vt_mode", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$VT_GETSTATE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22019},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vt_stat"}}},
	}},
	{NR: 29, Name: "ioctl$VT_OPENQRY", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22016},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$VT_RELDISP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22021},
	}},
	{NR: 29, Name: "ioctl$VT_RESIZE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22025},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vt_sizes"}}},
	}},
	{NR: 29, Name: "ioctl$VT_RESIZEX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22026},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vt_consize"}}},
	}},
	{NR: 29, Name: "ioctl$VT_SETMODE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22018},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vt_mode"}}},
	}},
	{NR: 29, Name: "ioctl$VT_WAITACTIVE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 22023},
	}},
	{NR: 29, Name: "ioctl$fiemap", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3223348747},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "v", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fiemap"}}},
	}},
	{NR: 29, Name: "ioctl$ifreq_SIOCGIFINDEX_team", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[\"team0\", ifindex_team[opt]]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$ifreq_SIOCGIFINDEX_vcan", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[\"vcan0\", ifindex_vcan]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$int_in", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioctl_int_in", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{21537, 21586}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "v", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}},
	{NR: 29, Name: "ioctl$int_out", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioctl_int_out", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{21600, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "v", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_FIOGETOWN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35075},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$sock_FIOSETOWN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35073},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCADDDLCI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35200},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "dlci_add", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCBRADDBR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35232},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCBRDELBR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35233},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCDELDLCI", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35201},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "dlci_add"}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCETHTOOL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35142},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, ptr[inout, ethtool_cmd_u]]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCGIFBR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35136},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "brctl_arg", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCGIFCONF", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35088},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ifconf", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCGIFINDEX", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, ifindex]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCGPGRP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35076},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCGSKNS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35148},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCOUTQNSD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35147},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCSIFBR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35137},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "brctl_arg", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_SIOCSPGRP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35074},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 4}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_ioctl", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{21521, 21531, 35078, 35079}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 2, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_bnep_BNEPCONNADD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021064},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bnep_connadd_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_bnep_BNEPCONNDEL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021065},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bnep_conndel_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_bnep_BNEPGETCONNINFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147762899},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bnep_conninfo"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_bnep_BNEPGETCONNLIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147762898},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bnep_connlist_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_bnep_BNEPGETSUPPFEAT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147762900},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_cmtp_CMTPCONNADD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_cmtp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021320},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cmtp_connadd_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_cmtp_CMTPCONNDEL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_cmtp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074021321},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cmtp_conndel_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_cmtp_CMTPGETCONNINFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_cmtp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147763155},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cmtp_conninfo"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_cmtp_CMTPGETCONNLIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_cmtp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147763154},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cmtp_connlist_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_hci", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_hci_ioctl", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{1074022601, 1074022602, 1074022603, 1074022604, 2147764434, 2147764435, 2147764436, 2147764437, 2147764439, 1074022620, 1074022621, 1074022622, 1074022623, 1074022624, 1074022625, 1074022626, 1074022627, 1074022628, 1074022630, 1074022631, 2147764464}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 2, IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_hidp_HIDPCONNADD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hidp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074022600},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hidp_connadd_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_hidp_HIDPCONNDEL", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hidp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1074022601},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hidp_conndel_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_hidp_HIDPGETCONNINFO", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hidp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147764435},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hidp_conninfo"}}},
	}},
	{NR: 29, Name: "ioctl$sock_bt_hidp_HIDPGETCONNLIST", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hidp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2147764434},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hidp_connlist_req"}}},
	}},
	{NR: 29, Name: "ioctl$sock_ifreq", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ifreq_ioctls", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{35088, 35089, 35091, 35092, 35093, 35094, 35095, 35096, 35097, 35098, 35099, 35100, 35101, 35102, 35103, 35104, 35105, 35106, 35107, 35108, 35109, 35110, 35111, 35113, 35120, 35121, 35122, 35123, 35124, 35125, 35126, 35127, 35128, 35138, 35139, 35142, 35143, 35144, 35145, 35146, 35184, 35185, 35216, 35217, 35218, 35219, 35220, 35221, 35234, 35235, 35248, 35249}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, ifr_ifru]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_SIOCADDRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35083},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_rtmsg"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_SIOCDELRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35084},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_rtmsg"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_SIOCDIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35126},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_ifreq"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_SIOCSIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35094},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_ifreq"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_SIOCSIFDSTADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35096},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_ifreq"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_tcp_SIOCATMARK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35077},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_tcp_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_tcp_SIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_tcp_SIOCOUTQNSD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35147},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_udp_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet6_udp_SIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCADDRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35083},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtentry_in"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCDARP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35155},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpreq_in"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCDELRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35084},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtentry_in"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGARP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35156},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpreq_in", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35093},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGIFBRDADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35097},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGIFDSTADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35095},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGIFNETMASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35099},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCGIFPFLAGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35125},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCRTMSG", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35085},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rtentry_in"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSARP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35157},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpreq_in"}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35094},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFBRDADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35098},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFDSTADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35096},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFFLAGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35092},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, flags[ifru_flags, int16]]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFNETMASK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35100},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_in]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_SIOCSIFPFLAGS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35124},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, int32]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_sctp_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_tcp_SIOCATMARK", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35077},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_tcp_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_tcp_SIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_tcp_SIOCOUTQNSD", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35147},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_udp_SIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_inet_udp_SIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCAIPXITFCRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35296},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCAIPXPRISLT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35297},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCGIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35093},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_ipx]", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCIPXCFGDATA", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35298},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipx_config_data", Dir: 1}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCIPXNCPCONN", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35299},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
	}},
	{NR: 29, Name: "ioctl$sock_ipx_SIOCSIFADDR", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35094},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ifreq_dev_t[devnames, sockaddr_ipx]"}}},
	}},
	{NR: 29, Name: "ioctl$sock_kcm_SIOCKCMATTACH", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35296},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kcm_attach"}}},
	}},
	{NR: 29, Name: "ioctl$sock_kcm_SIOCKCMCLONE", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35298},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kcm_clone", Dir: 2}}},
	}},
	{NR: 29, Name: "ioctl$sock_kcm_SIOCKCMUNATTACH", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35297},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kcm_unattach"}}},
	}},
	{NR: 29, Name: "ioctl$sock_netdev_private", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cmd", TypeSize: 2}}, Kind: 2, RangeBegin: 35312, RangeEnd: 35327},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$sock_netrom_SIOCADDRT", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35083},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_netrom_SIOCGSTAMP", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35078},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_netrom_SIOCGSTAMPNS", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 35079},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_netrom_TIOCINQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21531},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_netrom_TIOCOUTQ", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 21521},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 29, Name: "ioctl$sock_proto_private", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cmd", TypeSize: 2}}, Kind: 2, RangeBegin: 35296, RangeEnd: 35311},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}},
	{NR: 29, Name: "ioctl$void", CallName: "ioctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioctl_void", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{21585, 21584, 3221510263, 3221510264}},
	}},
	{NR: 31, Name: "ioprio_get$pid", CallName: "ioprio_get", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioprio_which_pid", FldName: "which", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "who", TypeSize: 4}},
	}},
	{NR: 31, Name: "ioprio_get$uid", CallName: "ioprio_get", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioprio_which_uid", FldName: "which", TypeSize: 8}}, Vals: []uint64{3}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "who", TypeSize: 4}},
	}},
	{NR: 30, Name: "ioprio_set$pid", CallName: "ioprio_set", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioprio_which_pid", FldName: "which", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "who", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prio", TypeSize: 8}}},
	}},
	{NR: 30, Name: "ioprio_set$uid", CallName: "ioprio_set", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ioprio_which_uid", FldName: "which", TypeSize: 8}}, Vals: []uint64{3}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "who", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prio", TypeSize: 8}}},
	}},
	{NR: 272, Name: "kcmp", CallName: "kcmp", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid1", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid2", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kcmp_flags", FldName: "type", TypeSize: 8}}, Vals: []uint64{0, 2, 3, 5, 4, 6, 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd1", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd2", TypeSize: 4}},
	}},
	{NR: 272, Name: "kcmp$KCMP_EPOLL_TFD", CallName: "kcmp", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid1", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid2", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 7},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd1", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "idx2", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "kcmp_epoll_slot"}}},
	}},
	{NR: 104, Name: "kexec_load", CallName: "kexec_load", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "entry", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr_segments", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "kexec_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kexec_load_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 196608, 4063232, 1310720, 1376256, 3276800, 2621440, 1441792, 2752512, 524288, 655360}},
	}},
	{NR: 219, Name: "keyctl$assume_authority", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 16},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$chown", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 4},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$clear", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 7},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$describe", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 6},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "desc", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "desc"},
	}},
	{NR: 219, Name: "keyctl$dh_compute", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 23},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "params", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "keyctl_dh_params"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "buflen", TypeSize: 8}}, Buf: "buffer"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "kdf", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "keyctl_kdf_params"}}},
	}},
	{NR: 219, Name: "keyctl$get_keyring_id", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "create", TypeSize: 8}}},
	}},
	{NR: 219, Name: "keyctl$get_persistent", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 22},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$get_security", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 17},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "label", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "label"},
	}},
	{NR: 219, Name: "keyctl$instantiate", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 12},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "payload", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "paylen", TypeSize: 8}}, Buf: "payload"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4, IsOptional: true}},
	}},
	{NR: 219, Name: "keyctl$instantiate_iov", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 20},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "payload", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "payload"},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "ring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$invalidate", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 21},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$join", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "session", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
	}},
	{NR: 219, Name: "keyctl$link", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 8},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$negate", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 13},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "timeout", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$read", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 11},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "payload", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "payload"},
	}},
	{NR: 219, Name: "keyctl$reject", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 19},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "timeout", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "error", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$restrict_keyring", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 29},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "key_type", Values: []string{"asymmetric\x00", "big_key\x00", "blacklist\x00", "ceph\x00", "cifs.idmap\x00", "cifs.spnego\x00", ".dead\x00", "dns_resolver\x00", "encrypted\x00", "id_legacy\x00", "id_resolver\x00", "keyring\x00", "logon\x00", "pkcs7_test\x00", ".request_key_auth\x00", "rxrpc\x00", "rxrpc_s\x00", "syzkaller\x00", "trusted\x00", "user\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "restriction", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 219, Name: "keyctl$revoke", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 3},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$search", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 10},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "key_type", Values: []string{"asymmetric\x00", "big_key\x00", "blacklist\x00", "ceph\x00", "cifs.idmap\x00", "cifs.spnego\x00", ".dead\x00", "dns_resolver\x00", "encrypted\x00", "id_legacy\x00", "id_resolver\x00", "keyring\x00", "logon\x00", "pkcs7_test\x00", ".request_key_auth\x00", "rxrpc\x00", "rxrpc_s\x00", "syzkaller\x00", "trusted\x00", "user\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "desc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "destination", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$session_to_parent", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 18},
	}},
	{NR: 219, Name: "keyctl$set_reqkey_keyring", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 14},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "reqkey_keyring", FldName: "reqkey", TypeSize: 8}}, Vals: []uint64{18446744073709551615, 0, 1, 2, 3, 4, 5, 6, 7}},
	}},
	{NR: 219, Name: "keyctl$set_timeout", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 15},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "timeout", TypeSize: 4}}},
	}},
	{NR: 219, Name: "keyctl$setperm", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 5},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "key_perm", FldName: "perm", TypeSize: 8}}, Vals: []uint64{16777216, 33554432, 67108864, 134217728, 268435456, 536870912, 65536, 131072, 262144, 524288, 1048576, 2097152, 256, 512, 1024, 2048, 4096, 8192, 1, 2, 4, 8, 16, 32, 4294967295}},
	}},
	{NR: 219, Name: "keyctl$unlink", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 9},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4}},
	}},
	{NR: 219, Name: "keyctl$update", CallName: "keyctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "code", TypeSize: 8}}, Val: 2},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "key", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "payload", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "paylen", TypeSize: 8}}, Buf: "payload"},
	}},
	{NR: 9, Name: "lgetxattr", CallName: "lgetxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 37, Name: "linkat", CallName: "linkat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "oldfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "newfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "linkat_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 1024}, BitMask: true},
	}},
	{NR: 201, Name: "listen", CallName: "listen", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "backlog", TypeSize: 4}}},
	}},
	{NR: 201, Name: "listen$netrom", CallName: "listen", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "backlog", TypeSize: 4}}},
	}},
	{NR: 11, Name: "listxattr", CallName: "listxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "list", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "list"},
	}},
	{NR: 12, Name: "llistxattr", CallName: "llistxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "list", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "list"},
	}},
	{NR: 18, Name: "lookup_dcookie", CallName: "lookup_dcookie", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cookie", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 15, Name: "lremovexattr", CallName: "lremovexattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
	}},
	{NR: 62, Name: "lseek", CallName: "lseek", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "offset", TypeSize: 8}}, Kind: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seek_whence", FldName: "whence", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
	}},
	{NR: 6, Name: "lsetxattr", CallName: "lsetxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "setxattr_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 233, Name: "madvise", CallName: "madvise", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "madvise_flags", FldName: "advice", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 9, 10, 11, 100, 101, 12, 13, 14, 15, 16, 17, 18, 19}},
	}},
	{NR: 235, Name: "mbind", CallName: "mbind", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mbind_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{0, 2, 3, 1, 32768, 16384}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nodemask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxnode", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mbind_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4}, BitMask: true},
	}},
	{NR: 283, Name: "membarrier", CallName: "membarrier", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "membarrier_cmd", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{1, 2, 8, 16, 32, 64}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 279, Name: "memfd_create", CallName: "memfd_create", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "memfd_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 238, Name: "migrate_pages", CallName: "migrate_pages", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxnode", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}},
	{NR: 232, Name: "mincore", CallName: "mincore", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "vec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 34, Name: "mkdirat", CallName: "mkdirat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}},
	{NR: 34, Name: "mkdirat$cgroup", CallName: "mkdirat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, SubKind: "cgroup_names", Values: []string{"syz0\x00", "syz1\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}, Val: 511},
	}},
	{NR: 34, Name: "mkdirat$cgroup_root", CallName: "mkdirat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "cgroup_dirs", Values: []string{"./cgroup/syz0\x00", "./cgroup/syz1\x00", "./cgroup.cpu/syz0\x00", "./cgroup.cpu/syz1\x00", "./cgroup.net/syz0\x00", "./cgroup.net/syz1\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}, Val: 511},
	}},
	{NR: 33, Name: "mknodat", CallName: "mknodat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mknod_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{32768, 8192, 24576, 4096, 49152, 256, 128, 64, 32, 16, 8, 4, 2, 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dev", TypeSize: 4}}},
	}},
	{NR: 228, Name: "mlock", CallName: "mlock", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 284, Name: "mlock2", CallName: "mlock2", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mlock_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1}, BitMask: true},
	}},
	{NR: 230, Name: "mlockall", CallName: "mlockall", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mlockall_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 222, Name: "mmap", CallName: "mmap", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 0, 32, 2048, 4096, 0, 16, 256, 262144, 8192, 65536, 16384, 32768, 131072, 0, 3, 524288, 1048576}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "offset", TypeSize: 8}}, Kind: 1},
	}},
	{NR: 222, Name: "mmap$binder", CallName: "mmap", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 0, 32, 2048, 4096, 0, 16, 256, 262144, 8192, 65536, 16384, 32768, 131072, 0, 3, 524288, 1048576}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "offset", TypeSize: 8}}, Kind: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "binder_ptr", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{NR: 222, Name: "mmap$xdp", CallName: "mmap", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 0, 32, 2048, 4096, 0, 16, 256, 262144, 8192, 65536, 16384, 32768, 131072, 0, 3, 524288, 1048576}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_mmap_offsets", FldName: "offset", TypeSize: 8}}, Vals: []uint64{0, 2147483648, 4294967296, 6442450944}},
	}},
	{NR: 40, Name: "mount", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "filesystem", Values: []string{"sysfs\x00", "rootfs\x00", "ramfs\x00", "tmpfs\x00", "devtmpfs\x00", "debugfs\x00", "securityfs\x00", "sockfs\x00", "pipefs\x00", "anon_inodefs\x00", "devpts\x00", "ext3\x00", "ext2\x00", "ext4\x00", "hugetlbfs\x00", "vfat\x00", "ecryptfs\x00", "fuseblk\x00", "fuse\x00", "rpc_pipefs\x00", "nfs\x00", "nfs4\x00", "nfsd\x00", "binfmt_misc\x00", "autofs\x00", "xfs\x00", "jfs\x00", "msdos\x00", "ntfs\x00", "minix\x00", "hfs\x00", "hfsplus\x00", "qnx4\x00", "ufs\x00", "btrfs\x00", "configfs\x00", "ncpfs\x00", "qnx6\x00", "exofs\x00", "befs\x00", "vxfs\x00", "gfs2\x00", "gfs2meta\x00", "fusectl\x00", "bfs\x00", "nsfs\x00", "efs\x00", "cifs\x00", "efivarfs\x00", "affs\x00", "tracefs\x00", "bdev\x00", "ocfs2\x00", "ocfs2_dlmfs\x00", "hpfs\x00", "proc\x00", "afs\x00", "reiserfs\x00", "jffs2\x00", "romfs\x00", "aio\x00", "sysv\x00", "v7\x00", "udf\x00", "ceph\x00", "pstore\x00", "adfs\x00", "9p\x00", "hostfs\x00", "squashfs\x00", "cramfs\x00", "iso9660\x00", "coda\x00", "nilfs2\x00", "logfs\x00", "overlay\x00", "f2fs\x00", "omfs\x00", "ubifs\x00", "openpromfs\x00", "bpf\x00", "cgroup\x00", "cgroup2\x00", "cpuset\x00", "mqueue\x00", "aufs\x00", "selinuxfs\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "data", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 40, Name: "mount$9p_fd", CallName: "mount", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_fd"}}},
	}},
	{NR: 40, Name: "mount$9p_rdma", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"127.0.0.1\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_rdma"}}},
	}},
	{NR: 40, Name: "mount$9p_tcp", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"127.0.0.1\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_tcp"}}},
	}},
	{NR: 40, Name: "mount$9p_unix", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_unix"}}},
	}},
	{NR: 40, Name: "mount$9p_virtio", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_virtio"}}},
	}},
	{NR: 40, Name: "mount$9p_xen", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 3}, Kind: 2, Values: []string{"9p\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_options_xen"}}},
	}},
	{NR: 40, Name: "mount$bpf", CallName: "mount", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"bpf\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[bpf_options]"}}},
	}},
	{NR: 40, Name: "mount$fuse", CallName: "mount", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "src", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"fuse\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_options"}}},
	}},
	{NR: 40, Name: "mount$fuseblk", CallName: "mount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "src", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/loop0\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dst", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 8}, Kind: 2, Values: []string{"fuseblk\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_options"}}},
	}},
	{NR: 239, Name: "move_pages", CallName: "move_pages", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nr", TypeSize: 8}}, Buf: "pages"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pages", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &VmaType{TypeCommon: TypeCommon{TypeName: "vma", TypeSize: 8}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nodes", TypeSize: 8, IsOptional: true}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "status", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "move_pages_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2, 4}, BitMask: true},
	}},
	{NR: 226, Name: "mprotect", CallName: "mprotect", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
	}},
	{NR: 185, Name: "mq_getsetattr", CallName: "mq_getsetattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_mq", FldName: "mqd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mq_attr"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oldattr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "mq_attr", Dir: 1}}},
	}},
	{NR: 184, Name: "mq_notify", CallName: "mq_notify", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_mq", FldName: "mqd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "notif", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigevent"}}},
	}},
	{NR: 180, Name: "mq_open", CallName: "mq_open", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mq_open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 2048, 64, 128, 64}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mq_attr"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_mq", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 183, Name: "mq_timedreceive", CallName: "mq_timedreceive", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_mq", FldName: "mqd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "msg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msglen", TypeSize: 8}}, Buf: "msg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prio", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 182, Name: "mq_timedsend", CallName: "mq_timedsend", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_mq", FldName: "mqd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "msg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "msglen", TypeSize: 8}}, Buf: "msg"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prio", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 181, Name: "mq_unlink", CallName: "mq_unlink", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 216, Name: "mremap", CallName: "mremap", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "newlen", TypeSize: 8}}, Buf: "newaddr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mremap_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "newaddr", TypeSize: 8}},
	}},
	{NR: 187, Name: "msgctl$IPC_INFO", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 187, Name: "msgctl$IPC_RMID", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}},
	}},
	{NR: 187, Name: "msgctl$IPC_SET", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msqid_ds"}}},
	}},
	{NR: 187, Name: "msgctl$IPC_STAT", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 187, Name: "msgctl$MSG_INFO", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 187, Name: "msgctl$MSG_STAT", CallName: "msgctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 186, Name: "msgget", CallName: "msgget", Args: []Type{
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "key", TypeSize: 8}}, ValuesStart: 2039379027, ValuesPerProc: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 186, Name: "msgget$private", CallName: "msgget", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "key", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 188, Name: "msgrcv", CallName: "msgrcv", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msgp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msgbuf", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sz", TypeSize: 8}}, Buf: "msgp"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgbuf_type", FldName: "typ", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgrcv_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 8192, 4096}, BitMask: true},
	}},
	{NR: 189, Name: "msgsnd", CallName: "msgsnd", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_msq", FldName: "msqid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msgp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msgbuf"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sz", TypeSize: 8}}, Buf: "msgp"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msgsnd_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048}, BitMask: true},
	}},
	{NR: 227, Name: "msync", CallName: "msync", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "msync_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1, 4, 2}, BitMask: true},
	}},
	{NR: 229, Name: "munlock", CallName: "munlock", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 231, Name: "munlockall", CallName: "munlockall"},
	{NR: 215, Name: "munmap", CallName: "munmap", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 264, Name: "name_to_handle_at", CallName: "name_to_handle_at", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "handle", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "file_handle"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mnt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "name_to_handle_at_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 1024}, BitMask: true},
	}},
	{NR: 101, Name: "nanosleep", CallName: "nanosleep", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "req", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rem", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 1}}},
	}},
	{NR: 265, Name: "open_by_handle_at", CallName: "open_by_handle_at", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "mountdirfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "handle", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "file_handle"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}},
	{NR: 56, Name: "openat", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4, IsOptional: true}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$ashmem", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/ashmem\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ashmem", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$audio", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/audio\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$autofs", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/autofs\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$capi20", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/capi20\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, SubKind: "cgroup_names", Values: []string{"syz0\x00", "syz1\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2097154},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_int", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "cgroup_ctrl_int", Values: []string{"cgroup.max.depth\x00", "cgroup.max.descendants\x00", "cpu.weight\x00", "cpu.weight.nice\x00", "io.bfq.weight\x00", "io.max\x00", "io.weight\x00", "memory.high\x00", "memory.low\x00", "memory.max\x00", "memory.swap.max\x00", "pids.max\x00", "rdma.max\x00", "cgroup.clone_children\x00", "cpuacct.usage\x00", "cpuset.cpu_exclusive\x00", "cpuset.cpus\x00", "cpuset.mem_exclusive\x00", "cpuset.mem_hardwall\x00", "cpuset.memory_migrate\x00", "cpuset.memory_spread_page\x00", "cpuset.memory_spread_slab\x00", "cpuset.mems\x00", "cpuset.sched_load_balance\x00", "cpuset.sched_relax_domain_level\x00", "hugetlb.2MB.failcnt\x00", "hugetlb.2MB.limit_in_bytes\x00", "hugetlb.2MB.max_usage_in_bytes\x00", "notify_on_release\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_int", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_procs", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "cgroup_proc_files", Values: []string{"cgroup.procs\x00", "cgroup.threads\x00", "tasks\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_pid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_ro", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "cgroup_ctrl_read", Values: []string{"cgroup.controllers\x00", "cgroup.events\x00", "cgroup.stat\x00", "cpu.stat\x00", "cpu.stat\x00", "io.stat\x00", "memory.current\x00", "memory.events\x00", "memory.stat\x00", "memory.swap.current\x00", "pids.current\x00", "pids.events\x00", "rdma.current\x00", "cpuacct.stat\x00", "cpuacct.usage_all\x00", "cpuacct.usage_percpu\x00", "cpuacct.usage_percpu_sys\x00", "cpuacct.usage_percpu_user\x00", "cpuacct.usage_sys\x00", "cpuacct.usage_user\x00", "cpuset.effective_cpus\x00", "cpuset.effective_mems\x00", "cpuset.memory_pressure\x00", "hugetlb.2MB.usage_in_bytes\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_root", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "cgroup_dirs", Values: []string{"./cgroup/syz0\x00", "./cgroup/syz1\x00", "./cgroup.cpu/syz0\x00", "./cgroup.cpu/syz1\x00", "./cgroup.net/syz0\x00", "./cgroup.net/syz1\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2097154},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_subtree", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 23}, Kind: 2, Values: []string{"cgroup.subtree_control\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_subtree", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cgroup_type", CallName: "openat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"cgroup.type\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_type", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$cuse", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/cuse\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$dir", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$dsp", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/dsp\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$fb0", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/fb0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$full", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/full\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$fuse", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/fuse\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$hidraw0", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/hidraw0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$hpet", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/hpet\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$hwrng", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/hwrng\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$ion", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/ion\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ion", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$ipvs", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "ipvs_proc_files", Values: []string{"/proc/sys/net/ipv4/vs/sync_qlen_max\x00", "/proc/sys/net/ipv4/vs/sync_refresh_period\x00", "/proc/sys/net/ipv4/vs/sync_retries\x00", "/proc/sys/net/ipv4/vs/sync_sock_size\x00", "/proc/sys/net/ipv4/vs/sync_threshold\x00", "/proc/sys/net/ipv4/vs/sync_version\x00", "/proc/sys/net/ipv4/vs/am_droprate\x00", "/proc/sys/net/ipv4/vs/amemthresh\x00", "/proc/sys/net/ipv4/vs/backup_only\x00", "/proc/sys/net/ipv4/vs/cache_bypass\x00", "/proc/sys/net/ipv4/vs/conn_reuse_mode\x00", "/proc/sys/net/ipv4/vs/conntrack\x00", "/proc/sys/net/ipv4/vs/drop_entry\x00", "/proc/sys/net/ipv4/vs/drop_packet\x00", "/proc/sys/net/ipv4/vs/expire_nodest_conn\x00", "/proc/sys/net/ipv4/vs/expire_quiescent_template\x00", "/proc/sys/net/ipv4/vs/ignore_tunneled\x00", "/proc/sys/net/ipv4/vs/lblc_expiration\x00", "/proc/sys/net/ipv4/vs/lblcr_expiration\x00", "/proc/sys/net/ipv4/vs/nat_icmp_send\x00", "/proc/sys/net/ipv4/vs/pmtu_disc\x00", "/proc/sys/net/ipv4/vs/schedule_icmp\x00", "/proc/sys/net/ipv4/vs/secure_tcp\x00", "/proc/sys/net/ipv4/vs/sloppy_sctp\x00", "/proc/sys/net/ipv4/vs/sloppy_tcp\x00", "/proc/sys/net/ipv4/vs/snat_reroute\x00", "/proc/sys/net/ipv4/vs/sync_persist_mode\x00", "/proc/sys/net/ipv4/vs/sync_ports\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$irnet", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/irnet\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$keychord", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 14}, Kind: 2, Values: []string{"/dev/keychord\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$kvm", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/kvm\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$lightnvm", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 22}, Kind: 2, Values: []string{"/dev/lightnvm/control\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$loop_ctrl", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/loop-control\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop_ctrl", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$md", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/md0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$mixer", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/mixer\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$null", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/null\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$nullb", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/nullb0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_block", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$pfkey", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 21}, Kind: 2, Values: []string{"/proc/self/net/pfkey\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$pktcdvd", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 21}, Kind: 2, Values: []string{"/dev/pktcdvd/control\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$ppp", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/ppp\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$ptmx", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/ptmx\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$qat_adf_ctl", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/dev/qat_adf_ctl\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$random", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/urandom\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$rdma_cm", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 24}, Kind: 2, Values: []string{"/dev/infiniband/rdma_cm\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$rfkill", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/rfkill\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$rtc", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/rtc0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_access", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/selinux/access\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_access", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_avc_cache_stats", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 25}, Kind: 2, Values: []string{"/selinux/avc/cache_stats\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_avc_cache_threshold", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 29}, Kind: 2, Values: []string{"/selinux/avc/cache_threshold\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_avc_hash_stats", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 24}, Kind: 2, Values: []string{"/selinux/avc/hash_stats\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_checkreqprot", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 22}, Kind: 2, Values: []string{"/selinux/checkreqprot\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_commit_pending_bools", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 30}, Kind: 2, Values: []string{"/selinux/commit_pending_bools\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_context", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/selinux/context\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_context", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_create", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/selinux/create\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_create", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_enforce", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/selinux/enforce\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_load", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 14}, Kind: 2, Values: []string{"/selinux/load\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_load", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_member", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/selinux/member\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_access", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_mls", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/selinux/mls\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_policy", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/selinux/policy\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_relabel", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/selinux/relabel\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_access", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_status", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/selinux/status\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_user", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 14}, Kind: 2, Values: []string{"/selinux/user\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_user", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$selinux_validatetrans", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 23}, Kind: 2, Values: []string{"/selinux/validatetrans\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_validatetrans", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$sequencer", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 15}, Kind: 2, Values: []string{"/dev/sequencer\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$sequencer2", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/dev/sequencer2\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$snapshot", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 14}, Kind: 2, Values: []string{"/dev/snapshot\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$sr", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/sr0\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sr", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$sw_sync", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/sw_sync\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$tun", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/net/tun\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$uhid", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/uhid\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uhid_open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2, 2050}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$uinput", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/uinput\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "uinput_open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2, 2050}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$urandom", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/urandom\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_random", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$userio", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/userio\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vcs", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/vcs\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vga_arbiter", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/dev/vga_arbiter\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vhci", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/vhci\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vhost_vsock", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/dev/vhost-vsock\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_vsock", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vnet", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 15}, Kind: 2, Values: []string{"/dev/vhost-net\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_net", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$vsock", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/vsock\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$xenevtchn", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/dev/xen/evtchn\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$zero", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/zero\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 56, Name: "openat$zygote", CallName: "openat", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fd", TypeSize: 8}}, Val: 18446744073709551516},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 19}, Kind: 2, Values: []string{"/dev/socket/zygote\x00"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "mode", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 241, Name: "perf_event_open", CallName: "perf_event_open", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "perf_event_attr"}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cpu", TypeSize: 8}}, Kind: 2, RangeEnd: 16},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "group", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 8}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 241, Name: "perf_event_open$cgroup", CallName: "perf_event_open", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "perf_event_attr"}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cpu", TypeSize: 8}}, Kind: 2, RangeEnd: 16},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "group", TypeSize: 4, IsOptional: true}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "perf_flags_cgroup", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_perf", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 92, Name: "personality", CallName: "personality", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "personality_flags", FldName: "persona", TypeSize: 8}}, Vals: []uint64{0, 68157441, 83886082, 100663299, 83886084, 67108869, 6, 83886087, 8, 67108873, 67108874, 67108875, 12, 67108877, 68157454, 15, 16, 262144, 1048576, 2097152, 4194304, 8388608, 16777216, 33554432, 67108864, 134217728}},
	}},
	{NR: 59, Name: "pipe2", CallName: "pipe2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pipefd", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pipefd", Dir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pipe_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288, 65536}, BitMask: true},
	}},
	{NR: 59, Name: "pipe2$9p", CallName: "pipe2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pipefd", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pipe_9p", Dir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pipe_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288, 65536}, BitMask: true},
	}},
	{NR: 41, Name: "pivot_root", CallName: "pivot_root", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new_root", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "put_old", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 289, Name: "pkey_alloc", CallName: "pkey_alloc", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pkey_flags", FldName: "val", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "pkey", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 290, Name: "pkey_free", CallName: "pkey_free", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pkey", FldName: "key", TypeSize: 4}},
	}},
	{NR: 288, Name: "pkey_mprotect", CallName: "pkey_mprotect", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pkey", FldName: "key", TypeSize: 4}},
	}},
	{NR: 73, Name: "ppoll", CallName: "ppoll", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "pollfd"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nfds", TypeSize: 8}}, Buf: "fds"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tsp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sigmask", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "sigmask"},
	}},
	{NR: 167, Name: "prctl$getname", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 167, Name: "prctl$getreaper", CallName: "prctl", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_code_getreaper", FldName: "option", TypeSize: 8}}, Vals: []uint64{37, 19, 9, 11, 2, 40, 25, 5}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 167, Name: "prctl$intptr", CallName: "prctl", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_code_intptr", FldName: "option", TypeSize: 8}}, Vals: []uint64{23, 24, 36, 4, 10, 8, 38, 1, 28, 29, 14, 26, 6, 33}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg", TypeSize: 8}}},
	}},
	{NR: 167, Name: "prctl$seccomp", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 22},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_seccomp_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prog", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_fprog"}}},
	}},
	{NR: 167, Name: "prctl$setendian", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 20},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_endian", FldName: "arg", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
	}},
	{NR: 167, Name: "prctl$setfpexc", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 12},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_fpexc", FldName: "arg", TypeSize: 8}}, Vals: []uint64{128, 65536, 131072, 262144, 524288, 1048576, 0, 1, 2, 3}},
	}},
	{NR: 167, Name: "prctl$setmm", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option1", TypeSize: 8}}, Val: 35},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_mm_option", FldName: "option2", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "val", TypeSize: 8}},
	}},
	{NR: 167, Name: "prctl$setname", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{NR: 167, Name: "prctl$setptracer", CallName: "prctl", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "option", TypeSize: 8}}, Val: 1499557217},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}},
	{NR: 167, Name: "prctl$void", CallName: "prctl", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "prctl_code_void", FldName: "option", TypeSize: 8}}, Vals: []uint64{3, 7, 39, 21, 27, 30, 13, 31, 32, 34}},
	}},
	{NR: 67, Name: "pread64", CallName: "pread64", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "buf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "pos", TypeSize: 8}}, Kind: 1},
	}},
	{NR: 69, Name: "preadv", CallName: "preadv", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "off", TypeSize: 8}}, Kind: 1},
	}},
	{NR: 261, Name: "prlimit64", CallName: "prlimit64", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rlimit_type", FldName: "res", TypeSize: 8}}, Vals: []uint64{9, 4, 0, 2, 1, 10, 8, 12, 13, 7, 6, 5, 14, 15, 11, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "rlimit"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "rlimit", Dir: 1}}},
	}},
	{NR: 270, Name: "process_vm_readv", CallName: "process_vm_readv", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "loc_vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "loc_vlen", TypeSize: 8}}, Buf: "loc_vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rem_vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rem_vlen", TypeSize: 8}}, Buf: "rem_vec"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 271, Name: "process_vm_writev", CallName: "process_vm_writev", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "loc_vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "loc_vlen", TypeSize: 8}}, Buf: "loc_vec"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rem_vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "rem_vlen", TypeSize: 8}}, Buf: "rem_vec"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
	}},
	{NR: 72, Name: "pselect6", CallName: "pselect6", Args: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "n", TypeSize: 8}}, Buf: "inp"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "inp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fd_set", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "outp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fd_set", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "exp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fd_set", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tvp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sig", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset_size"}}},
	}},
	{NR: 117, Name: "ptrace", CallName: "ptrace", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req", FldName: "req", TypeSize: 8}}, Vals: []uint64{0, 16904, 8, 16903, 16, 17}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}},
	{NR: 117, Name: "ptrace$PTRACE_SECCOMP_GET_FILTER", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16908},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "addr", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 117, Name: "ptrace$PTRACE_SECCOMP_GET_METADATA", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16909},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addr", TypeSize: 8}}, Buf: "data"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "seccomp_metadata"}}},
	}},
	{NR: 117, Name: "ptrace$cont", CallName: "ptrace", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_cont", FldName: "req", TypeSize: 8}}, Vals: []uint64{7, 24, 9}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "data", TypeSize: 8}}},
	}},
	{NR: 117, Name: "ptrace$getenv", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16897},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 117, Name: "ptrace$getregs", CallName: "ptrace", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_getregs", FldName: "req", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 117, Name: "ptrace$getregset", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16900},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pthread_regset", FldName: "what", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 6, 512, 513, 514}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}},
	}},
	{NR: 117, Name: "ptrace$getsig", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16898},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "siginfo", Dir: 1}}},
	}},
	{NR: 117, Name: "ptrace$peek", CallName: "ptrace", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_peek", FldName: "req", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 117, Name: "ptrace$peekuser", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 3},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "addr", TypeSize: 8}}},
	}},
	{NR: 117, Name: "ptrace$poke", CallName: "ptrace", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_poke", FldName: "req", TypeSize: 8}}, Vals: []uint64{4, 5}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "data", TypeSize: 8}}},
	}},
	{NR: 117, Name: "ptrace$pokeuser", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 6},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "addr", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "data", TypeSize: 8}}},
	}},
	{NR: 117, Name: "ptrace$setopts", CallName: "ptrace", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_setopts", FldName: "req", TypeSize: 8}}, Vals: []uint64{16896, 16902}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_options", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1048576, 8, 16, 64, 2, 1, 4, 32}, BitMask: true},
	}},
	{NR: 117, Name: "ptrace$setregs", CallName: "ptrace", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ptrace_req_setregs", FldName: "req", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
	}},
	{NR: 117, Name: "ptrace$setregset", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16901},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pthread_regset", FldName: "what", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 6, 512, 513, 514}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}},
	}},
	{NR: 117, Name: "ptrace$setsig", CallName: "ptrace", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "req", TypeSize: 8}}, Val: 16899},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ignored", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "siginfo"}}},
	}},
	{NR: 68, Name: "pwrite64", CallName: "pwrite64", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "buf"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "pos", TypeSize: 8}}, Kind: 1},
	}},
	{NR: 70, Name: "pwritev", CallName: "pwritev", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", FldName: "off", TypeSize: 8}}, Kind: 1},
	}},
	{NR: 60, Name: "quotactl", CallName: "quotactl", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "cmd", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "special", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "id", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
	}},
	{NR: 63, Name: "read", CallName: "read", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 63, Name: "read$FUSE", CallName: "read", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 4096, ArgDir: 1}, Kind: 1, RangeBegin: 4096, RangeEnd: 4096}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 63, Name: "read$eventfd", CallName: "read", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 213, Name: "readahead", CallName: "readahead", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "off", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "count", TypeSize: 8}}},
	}},
	{NR: 78, Name: "readlinkat", CallName: "readlinkat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "siz", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 65, Name: "readv", CallName: "readv", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[out, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
	}},
	{NR: 207, Name: "recvfrom", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$ax25", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$inet", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$inet6", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$ipx", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$llc", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$packet", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 207, Name: "recvfrom$unix", CallName: "recvfrom", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 243, Name: "recvmmsg", CallName: "recvmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "recv_mmsghdr"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 212, Name: "recvmsg", CallName: "recvmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "recv_msghdr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
	}},
	{NR: 212, Name: "recvmsg$kcm", CallName: "recvmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "recv_msghdr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
	}},
	{NR: 212, Name: "recvmsg$netrom", CallName: "recvmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netrom"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "recv_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1073741824, 64, 8192, 1, 2, 32, 256, 65536}, BitMask: true},
	}},
	{NR: 234, Name: "remap_file_pages", CallName: "remap_file_pages", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "addr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_prot", FldName: "prot", TypeSize: 8}}, Vals: []uint64{0, 4, 1, 2, 8, 16777216, 33554432}, BitMask: true},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pgoff", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mmap_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 0, 32, 2048, 4096, 0, 16, 256, 262144, 8192, 65536, 16384, 32768, 131072, 0, 3, 524288, 1048576}},
	}},
	{NR: 14, Name: "removexattr", CallName: "removexattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
	}},
	{NR: 38, Name: "renameat", CallName: "renameat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "oldfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "newfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 276, Name: "renameat2", CallName: "renameat2", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "oldfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "newfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "renameat2_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2, 1, 4}, BitMask: true},
	}},
	{NR: 218, Name: "request_key", CallName: "request_key", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "type", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "key_type", Values: []string{"asymmetric\x00", "big_key\x00", "blacklist\x00", "ceph\x00", "cifs.idmap\x00", "cifs.spnego\x00", ".dead\x00", "dns_resolver\x00", "encrypted\x00", "id_legacy\x00", "id_resolver\x00", "keyring\x00", "logon\x00", "pkcs7_test\x00", ".request_key_auth\x00", "rxrpc\x00", "rxrpc_s\x00", "syzkaller\x00", "trusted\x00", "user\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "desc", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "key_desc"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "callout", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "keyring", FldName: "keyring", TypeSize: 4, IsOptional: true}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "key", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 128, Name: "restart_syscall", CallName: "restart_syscall"},
	{NR: 134, Name: "rt_sigaction", CallName: "rt_sigaction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "act", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigaction"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oact", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sigaction", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sigsetsize", TypeSize: 8}}, Buf: "fake"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fake", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset", Dir: 1}}},
	}},
	{NR: 136, Name: "rt_sigpending", CallName: "rt_sigpending", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "set", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sigsetsize", TypeSize: 8}}, Buf: "set"},
	}},
	{NR: 135, Name: "rt_sigprocmask", CallName: "rt_sigprocmask", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sigprocmask_how", FldName: "how", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nset", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oset", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sigset", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sigsetsize", TypeSize: 8}}, Buf: "nset"},
	}},
	{NR: 138, Name: "rt_sigqueueinfo", CallName: "rt_sigqueueinfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "info", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "siginfo"}}},
	}},
	{NR: 139, Name: "rt_sigreturn", CallName: "rt_sigreturn"},
	{NR: 133, Name: "rt_sigsuspend", CallName: "rt_sigsuspend", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sigsetsize", TypeSize: 8}}, Buf: "new"},
	}},
	{NR: 137, Name: "rt_sigtimedwait", CallName: "rt_sigtimedwait", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "these", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "info", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "siginfo", Dir: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "sigsetsize", TypeSize: 8}}, Buf: "these"},
	}},
	{NR: 240, Name: "rt_tgsigqueueinfo", CallName: "rt_tgsigqueueinfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "gid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "tid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "info", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "siginfo"}}},
	}},
	{NR: 123, Name: "sched_getaffinity", CallName: "sched_getaffinity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cpusetsize", TypeSize: 8}}, Buf: "mask"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 275, Name: "sched_getattr", CallName: "sched_getattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sched_attr", Dir: 1}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "attr"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0}, BitMask: true},
	}},
	{NR: 121, Name: "sched_getparam", CallName: "sched_getparam", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 120, Name: "sched_getscheduler", CallName: "sched_getscheduler", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
	}},
	{NR: 127, Name: "sched_rr_get_interval", CallName: "sched_rr_get_interval", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tp", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec", Dir: 1}}},
	}},
	{NR: 122, Name: "sched_setaffinity", CallName: "sched_setaffinity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "cpusetsize", TypeSize: 8}}, Buf: "mask"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
	}},
	{NR: 274, Name: "sched_setattr", CallName: "sched_setattr", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "attr", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sched_attr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_attr_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0}, BitMask: true},
	}},
	{NR: 118, Name: "sched_setparam", CallName: "sched_setparam", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 119, Name: "sched_setscheduler", CallName: "sched_setscheduler", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sched_policy", FldName: "policy", TypeSize: 8}}, Vals: []uint64{0, 3, 5, 1, 2, 6}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 124, Name: "sched_yield", CallName: "sched_yield"},
	{NR: 277, Name: "seccomp", CallName: "seccomp", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seccomp_op", FldName: "op", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "seccomp_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prog", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_fprog"}}},
	}},
	{NR: 191, Name: "semctl$GETALL", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "semnum", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$GETNCNT", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$GETPID", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$GETVAL", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$GETZCNT", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 15},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$IPC_INFO", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$IPC_RMID", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "semnum", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}},
	}},
	{NR: 191, Name: "semctl$IPC_SET", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "semnum", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "semid_ds"}}},
	}},
	{NR: 191, Name: "semctl$IPC_STAT", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "semnum", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$SEM_INFO", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 19},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$SEM_STAT", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "arg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 191, Name: "semctl$SETALL", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "semnum", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}}},
	}},
	{NR: 191, Name: "semctl$SETVAL", CallName: "semctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "semnum", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
	}},
	{NR: 190, Name: "semget", CallName: "semget", Args: []Type{
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "key", TypeSize: 8}}, ValuesStart: 2039359027, ValuesPerProc: 4},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "nsems", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "semget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 190, Name: "semget$private", CallName: "semget", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "key", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sem_sem_id", FldName: "nsems", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "semget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 256, 128, 64, 32, 16, 8, 4, 2, 1}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 193, Name: "semop", CallName: "semop", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ops", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sembuf"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nops", TypeSize: 8}}, Buf: "ops"},
	}},
	{NR: 192, Name: "semtimedop", CallName: "semtimedop", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_sem", FldName: "semid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ops", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "sembuf"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nops", TypeSize: 8}}, Buf: "ops"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timespec"}}},
	}},
	{NR: 71, Name: "sendfile", CallName: "sendfile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdout", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdin", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "off", TypeSize: 8, IsOptional: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", TypeSize: 8, ArgDir: 2}}, Kind: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "count", TypeSize: 8}}},
	}},
	{NR: 269, Name: "sendmmsg", CallName: "sendmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "send_mmsghdr"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 269, Name: "sendmmsg$alg", CallName: "sendmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_algconn", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "msghdr_alg"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 269, Name: "sendmmsg$inet_sctp", CallName: "sendmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "msghdr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 269, Name: "sendmmsg$nfc_llcp", CallName: "sendmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "nfc_llcp_send_msghdr"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 269, Name: "sendmmsg$unix", CallName: "sendmmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mmsg", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "msghdr_un"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "mmsg"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "send_msghdr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$FOU_CMD_ADD", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_ADD], fou_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$FOU_CMD_DEL", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_DEL], fou_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$FOU_CMD_GET", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_fou_family_id, genlmsghdr_t[FOU_CMD_GET], fou_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_DEL_DAEMON", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DAEMON], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_DEL_DEST", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_DEST], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_DEL_SERVICE", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_DEL_SERVICE], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_FLUSH", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_FLUSH], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_GET_CONFIG", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_CONFIG], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_GET_DAEMON", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DAEMON], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_GET_DEST", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_DEST], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_GET_INFO", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_INFO], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_GET_SERVICE", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_GET_SERVICE], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_NEW_DAEMON", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DAEMON], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_NEW_DEST", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_DEST], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_NEW_SERVICE", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_NEW_SERVICE], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_SET_CONFIG", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_CONFIG], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_SET_DEST", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_DEST], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_SET_INFO", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_INFO], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_SET_SERVICE", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_SET_SERVICE], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$IPVS_CMD_ZERO", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_ipvs_family_id, genlmsghdr_t[IPVS_CMD_ZERO], ip_vs_cmd_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$TEAM_CMD_NOOP", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_NOOP], team_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$TEAM_CMD_OPTIONS_GET", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_GET], team_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$TEAM_CMD_OPTIONS_SET", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_OPTIONS_SET], team_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$TEAM_CMD_PORT_LIST_GET", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[genl_team_family_id, genlmsghdr_t[TEAM_CMD_PORT_LIST_GET], team_nl_policy]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$alg", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_algconn", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_alg"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$can_bcm", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_bcm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_can[can_bcm_msg]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$can_raw", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_raw", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_can[can_raw_msg]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$inet_sctp", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_sctp"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$kcm", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "send_msghdr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$key", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_key", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "send_msghdr_key"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$netlink", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink_full[netlink_msg_t[netlink_random_msg_type, void, nl_generic_attr]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$netrom", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netrom"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nfc_llcp", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "nfc_llcp_send_msghdr"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_crypto", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_crypto", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_crypto]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_generic", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_t[netlink_random_msg_type, genlmsghdr, nl_generic_attr]]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_netfilter", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_netfilter", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_nl_netfilter"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_route", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_route", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_route]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_route_sched", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_route", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_route_sched]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$nl_xfrm", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_xfrm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_netlink[netlink_msg_xfrm]"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$rds", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_rds"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$unix", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_un"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 211, Name: "sendmsg$xdp", CallName: "sendmsg", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "msg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "msghdr_xdp"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
	}},
	{NR: 206, Name: "sendto", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_storage"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$ax25", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ax25"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$inet", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$inet6", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$ipx", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ipx"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$llc", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_llc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$packet", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "sockaddr_ll"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 206, Name: "sendto$unix", CallName: "sendto", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "send_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{2048, 4, 64, 128, 32768, 16384, 1, 16, 262144, 536870912, 67108864}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8, IsOptional: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_un"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "addrlen", TypeSize: 8}}, Buf: "addr"},
	}},
	{NR: 237, Name: "set_mempolicy", CallName: "set_mempolicy", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mbind_mode", FldName: "mode", TypeSize: 8}}, Vals: []uint64{0, 2, 3, 1, 32768, 16384}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nodemask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "maxnode", TypeSize: 8}}},
	}},
	{NR: 99, Name: "set_robust_list", CallName: "set_robust_list", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "head", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "robust_list_head"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "head"},
	}},
	{NR: 96, Name: "set_tid_address", CallName: "set_tid_address", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "tidptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
	}},
	{NR: 152, Name: "setfsgid", CallName: "setfsgid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "fsgid", TypeSize: 4}},
	}},
	{NR: 151, Name: "setfsuid", CallName: "setfsuid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "fsuid", TypeSize: 4}},
	}},
	{NR: 144, Name: "setgid", CallName: "setgid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "gid", TypeSize: 4}},
	}},
	{NR: 159, Name: "setgroups", CallName: "setgroups", Args: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "list"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "list", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "gid", TypeSize: 4}}}},
	}},
	{NR: 103, Name: "setitimer", CallName: "setitimer", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "getitimer_which", FldName: "which", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerval"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "itimerval", Dir: 1}}},
	}},
	{NR: 268, Name: "setns", CallName: "setns", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_namespace", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ns_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{0, 134217728, 1073741824, 67108864, 33554432, 131072, 536870912, 268435456}, BitMask: true},
	}},
	{NR: 154, Name: "setpgid", CallName: "setpgid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pgid", TypeSize: 4}},
	}},
	{NR: 140, Name: "setpriority", CallName: "setpriority", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "priority_which", FldName: "which", TypeSize: 8}}, Vals: []uint64{0, 1, 2}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "who", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "prio", TypeSize: 8}}},
	}},
	{NR: 143, Name: "setregid", CallName: "setregid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "rgid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "egid", TypeSize: 4}},
	}},
	{NR: 149, Name: "setresgid", CallName: "setresgid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "rgid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "egid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "gid", FldName: "sgid", TypeSize: 4}},
	}},
	{NR: 147, Name: "setresuid", CallName: "setresuid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "ruid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "euid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "suid", TypeSize: 4}},
	}},
	{NR: 145, Name: "setreuid", CallName: "setreuid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "ruid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "euid", TypeSize: 4}},
	}},
	{NR: 164, Name: "setrlimit", CallName: "setrlimit", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rlimit_type", FldName: "res", TypeSize: 8}}, Vals: []uint64{9, 4, 0, 2, 1, 10, 8, 12, 13, 7, 6, 5, 14, 15, 11, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rlim", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rlimit"}}},
	}},
	{NR: 208, Name: "setsockopt", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optname", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$ALG_SET_AEAD_AUTHSIZE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 279},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "val", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
	}},
	{NR: 208, Name: "setsockopt$ALG_SET_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 279},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "key", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "keylen", TypeSize: 8}}, Buf: "key"},
	}},
	{NR: 208, Name: "setsockopt$ARPT_SO_SET_ADD_COUNTERS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 97},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpt_counters_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$ARPT_SO_SET_REPLACE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 96},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "arpt_replace"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$EBT_SO_SET_COUNTERS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 129},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ebt_counters_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$EBT_SO_SET_ENTRIES", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 128},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ebt_replace"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 8}}},
	}},
	{NR: 208, Name: "setsockopt$IP6T_SO_SET_ADD_COUNTERS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_counters_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP6T_SO_SET_REPLACE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 64},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ip6t_replace"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IPT_SO_SET_ADD_COUNTERS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 65},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipt_counters_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IPT_SO_SET_REPLACE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 64},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ipt_replace"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_ADD", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1154},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_service_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_ADDDEST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1159},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_svcdest_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_DEL", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1156},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_service_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_DELDEST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1160},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_svcdest_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_EDIT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1155},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_service_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_EDITDEST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1161},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_svcdest_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_FLUSH", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1157},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "val", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "len", TypeSize: 8}}},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_STARTDAEMON", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1163},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_daemon_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_STOPDAEMON", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1164},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_daemon_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_TIMEOUT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1162},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_timeout_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$IP_VS_SO_SET_ZERO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1167},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_vs_service_user"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_CANCEL_SENT_TO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sockaddr_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_CONG_MONITOR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_FREE_MR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rds_free_mr_args"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_GET_MR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rds_get_mr_args"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_GET_MR_FOR_DEST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rds_get_mr_for_dest_args"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$RDS_RECVERR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_ATTACH_FILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 26},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_fprog"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$SO_BINDTODEVICE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 25},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, SubKind: "devnames", Values: []string{"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "lo\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "tunl0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "gretap0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip_vti0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6_vti0\x00\x00\x00\x00\x00\x00\x00\x00", "sit0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6tnl0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gre0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ip6gretap0\x00\x00\x00\x00\x00\x00", "bond0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "dummy0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "eql\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ifb0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "ipddp0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "yam0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsf0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bcsh0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "teql0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "nr0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "rose0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "irlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "erspan0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bpq0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vlan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "bridge0\x00\x00\x00\x00\x00\x00\x00\x00\x00", "vcan0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "team0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "syz_tun\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth1\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", "veth0_to_bridge\x00", "veth1_to_bridge\x00", "veth0_to_bond\x00\x00\x00", "veth1_to_bond\x00\x00\x00", "veth0_to_team\x00\x00\x00", "veth1_to_team\x00\x00\x00", "bridge_slave_0\x00\x00", "bridge_slave_1\x00\x00", "bond_slave_0\x00\x00\x00\x00", "bond_slave_1\x00\x00\x00\x00", "team_slave_0\x00\x00\x00\x00", "team_slave_1\x00\x00\x00\x00", "syzkaller0\x00\x00\x00\x00\x00\x00", "syzkaller1\x00\x00\x00\x00\x00\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$SO_RDS_MSG_RXPATH_LATENCY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rds_rx_trace_so"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_RDS_TRANSPORT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 276},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "rds_transport", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 18446744073709551615}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_TIMESTAMPING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 37},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_so_timestamping", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$SO_VM_SOCKETS_BUFFER_MAX_SIZE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_VM_SOCKETS_BUFFER_MIN_SIZE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_VM_SOCKETS_BUFFER_SIZE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$SO_VM_SOCKETS_CONNECT_TIMEOUT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timeval"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$XDP_RX_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_ring_sizes", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 1048576, 2097152, 16777216}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$XDP_TX_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_ring_sizes", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 1048576, 2097152, 16777216}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$XDP_UMEM_COMPLETION_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_ring_sizes", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 1048576, 2097152, 16777216}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$XDP_UMEM_FILL_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "xdp_ring_sizes", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 1048576, 2097152, 16777216}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$XDP_UMEM_REG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 283},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xdp_umem_reg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$ax25_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 257},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{25}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$ax25_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 257},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 5, 3, 4, 9, 6, 7, 8, 12, 10}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_CHANNEL_POLICY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_DEFER_SETUP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_FLUSHABLE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_POWER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_RCVMTU", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_SECURITY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "bt_security"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_SNDMTU", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_BT_VOICE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 274},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_hci_HCI_DATA_DIR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_hci_HCI_FILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "hci_ufilter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_hci_HCI_TIME_STAMP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_l2cap_L2CAP_CONNINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "l2cap_conninfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_l2cap_L2CAP_LM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_l2cap_lm", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_l2cap_L2CAP_OPTIONS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "l2cap_options"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$bt_rfcomm_RFCOMM_LM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 18},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_l2cap_lm", TypeSize: 4}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$inet6_IPV6_ADDRFORM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", TypeSize: 4}}, Val: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_IPV6_FLOWLABEL_MGR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_flowlabel_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_IPV6_IPSEC_POLICY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_IPV6_PKTINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 50},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in6_pktinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_IPV6_XFRM_POLICY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MCAST_JOIN_GROUP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 42},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_req_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MCAST_LEAVE_GROUP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 45},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_req_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MCAST_MSFILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 48},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_filter_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MRT6_ADD_MFC", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 204},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mf6cctl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MRT6_ADD_MFC_PROXY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 210},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mf6cctl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MRT6_ADD_MIF", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 202},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mif6ctl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MRT6_DEL_MFC", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 205},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mf6cctl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_MRT6_DEL_MFC_PROXY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 211},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "mf6cctl"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet6_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{6, 20, 21, 27, 28, 32, 34, 35, 42, 43, 44, 45, 46, 47, 48, 50, 61, 68, 69, 202, 204, 205, 210, 211}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_dccp_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{2, 12, 13, 14, 15, 128, 192}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_dccp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 3, 4, 5, 6, 10, 11, 16, 17}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_group_source_req", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ipv6_group_source_req", FldName: "optname", TypeSize: 8}}, Vals: []uint64{46, 47, 43, 44}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_source_req_in6"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_icmp_ICMP_FILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet6_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 16, 17, 18, 19, 22, 23, 24, 25, 26, 33, 36, 49, 51, 52, 53, 56, 58, 60, 62, 66, 67, 80, 70, 72, 73, 74, 75, 76, 200, 201, 203, 206, 207, 208, 209, 78}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_mreq", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ipv6_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{20, 21, 27, 28}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipv6_mreq"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_mtu", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 23},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_mtu_discover", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_opts", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ipv6_opts", FldName: "optname", TypeSize: 8}}, Vals: []uint64{54, 55, 57, 59}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "ipv6_ext_header"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_CONGESTION", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "tcp_congestion_control_alg_names", Values: []string{"cubic\x00", "reno\x00", "bic\x00", "cdg\x00", "dctcp\x00", "westwood\x00", "highspeed\x00", "hybla\x00", "htcp\x00", "vegas\x00", "nv\x00", "veno\x00", "scalable\x00", "lp\x00", "yeah\x00", "illinois\x00", "dctcp-reno\x00", "bbr\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_FASTOPEN_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_MD5SIG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_md5sig"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_REPAIR_OPTIONS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "tcp_repair_opt"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_REPAIR_WINDOW", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_repair_window"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TCP_ULP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, SubKind: "tcp_ulp_names", Values: []string{"tls\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TLS_RX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tls_crypto_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_TLS_TX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tls_crypto_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{11, 13, 31, 14, 22, 26, 28, 29, 33}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_tcp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 16, 17, 18, 19, 20, 21, 23, 30, 34, 24, 25, 27, 36}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_udp_encap", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 100},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_encap_option_values", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet6_udp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 101, 102, 103, 10, 11}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_IP_IPSEC_POLICY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_IP_XFRM_POLICY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "xfrm_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_MCAST_JOIN_GROUP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 42},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_req_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_MCAST_LEAVE_GROUP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 45},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_req_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_MCAST_MSFILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 48},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_filter_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{4, 9, 16, 17, 32, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_dccp_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{2, 12, 13, 14, 15, 128, 192}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_dccp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 33},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "dccp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 3, 4, 5, 6, 10, 11, 16, 17}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_group_source_req", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_group_source_req", FldName: "optname", TypeSize: 8}}, Vals: []uint64{46, 47, 43, 44}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "group_source_req_in"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_icmp_ICMP_FILTER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp_filter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "inet_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 5, 6, 7, 8, 10, 11, 12, 13, 14, 15, 18, 19, 20, 21, 22, 23, 24, 33, 34, 49, 50}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_mreq", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{35, 36, 32}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreq"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_mreqn", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreq", FldName: "optname", TypeSize: 8}}, Vals: []uint64{35, 36, 32}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreqn"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_mreqsrc", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_mreqsrc", FldName: "optname", TypeSize: 8}}, Vals: []uint64{39, 38, 40, 37}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_mreq_source"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_msfilter", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 41},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ip_msfilter"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_mtu", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ip_mtu_discover", TypeSize: 4}}, Vals: []uint64{0, 1, 2, 3, 4, 5}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_opts", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_ip_opts", FldName: "optname", TypeSize: 8}}, Vals: []uint64{4, 9}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_pktinfo", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "in_pktinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_ADAPTATION_LAYER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_setadaptation"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_ADD_STREAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 121},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_add_streams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_ASSOCINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assocparams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTH_ACTIVE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTH_CHUNK", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 21},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunk"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTH_DEACTIVATE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTH_DELETE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 25},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTH_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 23},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkey"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTOCLOSE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_AUTO_ASCONF", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 30},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_CONTEXT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_DEFAULT_PRINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 114},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_default_prinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_DEFAULT_SEND_PARAM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndrcvinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_DEFAULT_SNDINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_DELAYED_SACK", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_delayed_sack"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_DISABLE_FRAGMENTS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_ENABLE_STREAM_RESET", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 118},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_EVENTS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_event_subscribe"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_FRAGMENT_INTERLEAVE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_HMAC_IDENT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_hmacalgo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_INITMSG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_initmsg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_I_WANT_MAPPED_V4_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_MAXSEG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_maxseg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_MAX_BURST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 20},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_max_burst"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_NODELAY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_PARTIAL_DELIVERY_POINT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 19},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_PEER_ADDR_PARAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrparams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_PEER_ADDR_THLDS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrthlds"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_PRIMARY_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_PR_SUPPORTED", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 113},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RECONFIG_SUPPORTED", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 117},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RECVNXTINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RECVRCVINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RESET_ASSOC", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 120},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RESET_STREAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 119},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_reset_streams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_RTOINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_rtoinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_SET_PEER_PRIMARY_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_SOCKOPT_BINDX_ADD", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 100},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_SOCKOPT_BINDX_REM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 101},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_SOCKOPT_CONNECTX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 110},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_SOCKOPT_CONNECTX_OLD", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 107},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_STREAM_SCHEDULER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp6_SCTP_STREAM_SCHEDULER_VALUE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 124},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_stream_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_ADAPTATION_LAYER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_setadaptation"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_ADD_STREAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 121},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_add_streams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_ASSOCINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assocparams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTH_ACTIVE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTH_CHUNK", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 21},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authchunk"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTH_DEACTIVATE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 35},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTH_DELETE_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 25},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkeyid"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTH_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 23},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_authkey"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTOCLOSE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_AUTO_ASCONF", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 30},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_CONTEXT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_DEFAULT_PRINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 114},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_default_prinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_DEFAULT_SEND_PARAM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndrcvinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_DEFAULT_SNDINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 34},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_sndinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_DELAYED_SACK", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 16},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_delayed_sack"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_DISABLE_FRAGMENTS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_ENABLE_STREAM_RESET", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 118},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_EVENTS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 11},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_event_subscribe"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_FRAGMENT_INTERLEAVE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_HMAC_IDENT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_hmacalgo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_INITMSG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_initmsg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_I_WANT_MAPPED_V4_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 12},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_MAXSEG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_maxseg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_MAX_BURST", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 20},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "sctp_max_burst"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_NODELAY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_PARTIAL_DELIVERY_POINT", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 19},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_PEER_ADDR_PARAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 9},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrparams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_PEER_ADDR_THLDS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_paddrthlds"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_PRIMARY_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_PR_SUPPORTED", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 113},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RECONFIG_SUPPORTED", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 117},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RECVNXTINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RECVRCVINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 32},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RESET_ASSOC", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 120},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "assoc_id", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RESET_STREAMS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 119},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_reset_streams"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_RTOINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_rtoinfo"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_SET_PEER_PRIMARY_ADDR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_prim"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_SOCKOPT_BINDX_ADD", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 100},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_SOCKOPT_BINDX_REM", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 101},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_SOCKOPT_CONNECTX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 110},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_SOCKOPT_CONNECTX_OLD", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 107},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "sockaddr_sctp"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_STREAM_SCHEDULER", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 123},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_assoc_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_sctp_SCTP_STREAM_SCHEDULER_VALUE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 132},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 124},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_stream_value"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_CONGESTION", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "tcp_congestion_control_alg_names", Values: []string{"cubic\x00", "reno\x00", "bic\x00", "cdg\x00", "dctcp\x00", "westwood\x00", "highspeed\x00", "hybla\x00", "htcp\x00", "vegas\x00", "nv\x00", "veno\x00", "scalable\x00", "lp\x00", "yeah\x00", "illinois\x00", "dctcp-reno\x00", "bbr\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_FASTOPEN_KEY", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 33},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16}, Kind: 1, RangeBegin: 16, RangeEnd: 16}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_MD5SIG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_md5sig"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_REPAIR_OPTIONS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "tcp_repair_opt"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_REPAIR_WINDOW", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 29},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_repair_window"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TCP_ULP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 31},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, SubKind: "tcp_ulp_names", Values: []string{"tls\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TLS_RX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tls_crypto_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_TLS_TX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tls_crypto_info"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{11, 13, 31, 14, 22, 26, 28, 29, 33}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_tcp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 6},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "tcp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 16, 17, 18, 19, 20, 21, 23, 30, 34, 24, 25, 27, 36}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_udp_encap", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 100},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_encap_option_values", TypeSize: 4}}, Vals: []uint64{1, 2, 3, 4, 5}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$inet_udp_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "udp_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 101, 102, 103, 10, 11}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$ipx_IPX_TYPE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 256},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$kcm_KCM_RECV_DISABLE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 281},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 208, Name: "setsockopt$l2tp_PPPOL2TP_SO_DEBUG", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 273},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optval", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 8}}, BitSize: 8, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$l2tp_PPPOL2TP_SO_LNSMODE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 273},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 4},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optval", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 8}}, BitSize: 8, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$l2tp_PPPOL2TP_SO_RECVSEQ", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 273},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 2},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optval", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 8}}, BitSize: 8, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$l2tp_PPPOL2TP_SO_REORDERTO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 273},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 5},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optval", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 8}}, BitSize: 8, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$l2tp_PPPOL2TP_SO_SENDSEQ", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 273},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 3},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optval", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "optlen", TypeSize: 8}}, BitSize: 8, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$llc_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 268},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "llc_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 7, 8, 9}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_ADD_MEMBERSHIP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 31}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_BROADCAST_ERROR", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 4},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_CAP_ACK", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 10},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_DROP_MEMBERSHIP", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}, Kind: 2, RangeEnd: 31}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_LISTEN_ALL_NSID", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 8},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_NO_ENOBUFS", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_PKTINFO", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_RX_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "nl_mmap_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netlink_NETLINK_TX_RING", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 270},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "nl_mmap_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netrom_NETROM_IDLE", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 7},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netrom_NETROM_N2", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netrom_NETROM_T1", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netrom_NETROM_T2", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$netrom_NETROM_T4", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 259},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 6},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$nfc_llcp_NFC_LLCP_MIUX", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 280},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$nfc_llcp_NFC_LLCP_RW", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 280},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opt", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "arglen", TypeSize: 8}}, Buf: "arg"},
	}},
	{NR: 208, Name: "setsockopt$packet_add_memb", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "packet_mreq"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_buf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_option_types_buf", FldName: "optname", TypeSize: 8}}, Vals: []uint64{1, 2, 5, 6, 13, 22}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "optval", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_drop_memb", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "packet_mreq"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_fanout", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 18},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "packet_fanout_val"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_fanout_data", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 22},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_fprog"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_option_types_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{3, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_rx_ring", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 5},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "tpacket_req_u"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$packet_tx_ring", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 263},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "tpacket_req_u"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_attach_bpf", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 50},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_bpf_prog", TypeSize: 4}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_cred", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 17},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ucred"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_int", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_int", FldName: "optname", TypeSize: 8}}, Vals: []uint64{30, 6, 1, 39, 4, 5, 9, 42, 12, 38, 8, 33, 18, 19, 2, 7, 32, 29, 3, 15, 10, 11, 16, 35, 44, 34, 40, 41, 43, 45, 46, 47, 60}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_linger", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optname", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "linger"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_timeval", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_timeval", FldName: "optname", TypeSize: 8}}, Vals: []uint64{20, 21}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "timeval"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "optlen", TypeSize: 8}}, Buf: "optval"},
	}},
	{NR: 208, Name: "setsockopt$sock_void", CallName: "setsockopt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "level", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sockopt_opt_sock_void", FldName: "optname", TypeSize: 8}}, Vals: []uint64{27, 36}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optval", TypeSize: 8}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "optlen", TypeSize: 8}}},
	}},
	{NR: 146, Name: "setuid", CallName: "setuid", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "uid", FldName: "uid", TypeSize: 4}},
	}},
	{NR: 5, Name: "setxattr", CallName: "setxattr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "xattr_name"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "val"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "setxattr_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2}, BitMask: true},
	}},
	{NR: 196, Name: "shmat", CallName: "shmat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "addr", TypeSize: 8}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "shmat_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{8192, 4096, 16384}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "shmaddr", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{NR: 195, Name: "shmctl$IPC_INFO", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 3},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 195, Name: "shmctl$IPC_RMID", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}},
	}},
	{NR: 195, Name: "shmctl$IPC_SET", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "shmid_ds"}}},
	}},
	{NR: 195, Name: "shmctl$IPC_STAT", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 2},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 195, Name: "shmctl$SHM_INFO", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 14},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 195, Name: "shmctl$SHM_LOCK", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 11},
	}},
	{NR: 195, Name: "shmctl$SHM_STAT", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 13},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 195, Name: "shmctl$SHM_UNLOCK", CallName: "shmctl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "shmid", TypeSize: 4}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "cmd", TypeSize: 8}}, Val: 12},
	}},
	{NR: 197, Name: "shmdt", CallName: "shmdt", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "shmaddr", FldName: "addr", TypeSize: 8}},
	}},
	{NR: 194, Name: "shmget", CallName: "shmget", Args: []Type{
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "key", TypeSize: 8}}, ValuesStart: 2039339027, ValuesPerProc: 4},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "unused"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "shmget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 2048, 1409286144, 2013265920, 4096, 256, 128, 64, 32, 16, 8, 4, 2, 1}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "unused", TypeSize: 8}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 194, Name: "shmget$private", CallName: "shmget", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "key", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "unused"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "shmget_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{512, 1024, 2048, 1409286144, 2013265920, 4096, 256, 128, 64, 32, 16, 8, 4, 2, 1}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "unused", TypeSize: 8}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "ipc_shm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 210, Name: "shutdown", CallName: "shutdown", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "shutdown_flags", FldName: "how", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
	}},
	{NR: 132, Name: "sigaltstack", CallName: "sigaltstack", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "ss", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oss", TypeSize: 8, IsOptional: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 1}}}},
	}},
	{NR: 74, Name: "signalfd4", CallName: "signalfd4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mask", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigset"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "mask"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "signalfd_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_signal", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket", CallName: "socket", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "domain", TypeSize: 8}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$alg", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 38},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_alg", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$ax25", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_socket_types", FldName: "type", TypeSize: 8}}, Vals: []uint64{2, 5, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_protocols", FldName: "proto", TypeSize: 8}}, Vals: []uint64{1, 6, 7, 8, 195, 196, 202, 203, 204, 205, 206, 207, 240}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ax25", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$bt_bnep", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 4},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_bnep", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$bt_cmtp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 5},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_cmtp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$bt_hidp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 6},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hidp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$bt_rfcomm", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_rfcomm_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 3},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_rfcomm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$can_bcm", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 29},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 2},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_bcm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$can_raw", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 29},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_can_raw", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_in6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_dccp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_icmp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 58},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_icmp_raw", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 58},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_sctp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 132},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_tcp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_udp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet6_udplite", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 136},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp6", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_dccp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_dccp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_icmp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_icmp_raw", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_icmp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_sctp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 132},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_sctp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_smc", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 43},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_tcp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_tcp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_udp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$inet_udplite", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 136},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_udp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$ipx", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_ipx", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$kcm", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 41},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kcm_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{2, 5}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_kcm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$key", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 15},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 2},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_key", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$l2tp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_l2tp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$netlink", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "netlink_proto", FldName: "proto", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 4, 22}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netlink", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$netrom", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_netrom", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$nl_crypto", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 21},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_crypto", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$nl_generic", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 16},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_generic", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$nl_netfilter", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 12},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_netfilter", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$nl_route", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_route", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$nl_xfrm", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 16},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 6},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nl_xfrm", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$packet", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{3, 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 768},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_packet", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$pppoe", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pppoe", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$pptp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 24},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 2},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_pptp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$rds", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 21},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_rds", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$unix", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_unix", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$vsock_dgram", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_dgram", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$vsock_stream", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 40},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_vsock_stream", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 198, Name: "socket$xdp", CallName: "socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 44},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_xdp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 199, Name: "socketpair", CallName: "socketpair", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_domain", FldName: "domain", TypeSize: 8}}, Vals: []uint64{1, 2, 10, 4, 16, 9, 3, 8, 5, 17}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "pipefd", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$ax25", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 3},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_socket_types", FldName: "type", TypeSize: 8}}, Vals: []uint64{2, 5, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "ax25_protocols", FldName: "proto", TypeSize: 8}}, Vals: []uint64{1, 6, 7, 8, 195, 196, 202, 203, 204, 205, 206, 207, 240}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ax25_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_in_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3, 4, 5, 6, 10, 2048, 524288}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "proto", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sock_in6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_dccp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "dccp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_icmp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 58},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_icmp_raw", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 58},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_sctp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 132},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_tcp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_udp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "udp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet6_udplite", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 10},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 136},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "udp6_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_dccp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 6},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "dccp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_icmp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_icmp_raw", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "icmp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_sctp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sctp_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 132},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sctp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_smc", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 43},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_tcp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_udp", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "udp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$inet_udplite", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 136},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "udp_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$ipx", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 4},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 2},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "ipx_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$packet", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 17},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "packet_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{3, 2}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 768},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "packet_pair", Dir: 1}}},
	}},
	{NR: 199, Name: "socketpair$unix", CallName: "socketpair", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unix_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 5}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fds", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "unix_pair", Dir: 1}}},
	}},
	{NR: 76, Name: "splice", CallName: "splice", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdin", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "offin", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", TypeSize: 8}}, Kind: 1}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdout", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "offout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "fileoff", TypeSize: 8}}, Kind: 1}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "splice_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}},
	{NR: 43, Name: "statfs", CallName: "statfs", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 291, Name: "statx", CallName: "statx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "statx_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{256, 1024, 2048, 4096, 24576, 0, 8192, 16384}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "statx_mask", FldName: "mask", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2047, 2048, 4095}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "statxbuf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "statx", Dir: 1}}},
	}},
	{NR: 36, Name: "symlinkat", CallName: "symlinkat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "newfd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
	}},
	{NR: 81, Name: "sync", CallName: "sync"},
	{NR: 84, Name: "sync_file_range", CallName: "sync_file_range", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "off", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "nbytes", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "sync_file_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4}, BitMask: true},
	}},
	{NR: 267, Name: "syncfs", CallName: "syncfs", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
	}},
	{NR: 179, Name: "sysinfo", CallName: "sysinfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "info", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 116, Name: "syslog", CallName: "syslog", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "syslog_cmd", FldName: "cmd", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 3, 4, 5, 7, 6, 9, 10}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8, IsOptional: true}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "buf"},
	}},
	{Name: "syz_emit_ethernet", CallName: "syz_emit_ethernet", Args: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "packet"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "packet", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "eth_packet"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "frags", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "vnet_fragmentation"}}},
	}},
	{Name: "syz_extract_tcp_res", CallName: "syz_extract_tcp_res", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "res", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_resources", Dir: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "seq_inc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ack_inc", TypeSize: 4}}},
	}},
	{Name: "syz_extract_tcp_res$synack", CallName: "syz_extract_tcp_res", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "res", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tcp_resources", Dir: 1}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "seq_inc", TypeSize: 8}}, Val: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "ack_inc", TypeSize: 8}}},
	}},
	{Name: "syz_genetlink_get_family_id$fou", CallName: "syz_genetlink_get_family_id", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"fou\x00"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "genl_fou_family_id", FldName: "ret", TypeSize: 2, ArgDir: 1}}},
	{Name: "syz_genetlink_get_family_id$ipvs", CallName: "syz_genetlink_get_family_id", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"IPVS\x00"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "genl_ipvs_family_id", FldName: "ret", TypeSize: 2, ArgDir: 1}}},
	{Name: "syz_genetlink_get_family_id$team", CallName: "syz_genetlink_get_family_id", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"team\x00"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "genl_team_family_id", FldName: "ret", TypeSize: 2, ArgDir: 1}}},
	{Name: "syz_init_net_socket$bt_hci", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 3},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_hci", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_init_net_socket$bt_l2cap", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bt_l2cap_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{5, 1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_l2cap", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_init_net_socket$bt_sco", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "fam", TypeSize: 8}}, Val: 31},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "type", TypeSize: 8}}, Val: 5},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 2},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_bt_sco", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_init_net_socket$llc", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 26},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "llc_socket_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{2, 1}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_llc", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_init_net_socket$nfc_llcp", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 39},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_llcp_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 2, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}, Val: 1},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_llcp", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_init_net_socket$nfc_raw", CallName: "syz_init_net_socket", Args: []Type{
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "domain", TypeSize: 8}}, Val: 39},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "nfc_raw_type", FldName: "type", TypeSize: 8}}, Vals: []uint64{1, 3}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "proto", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "sock_nfc_raw", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_kvm_setup_cpu$arm64", CallName: "syz_kvm_setup_cpu", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "cpufd", TypeSize: 4}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "usermem", TypeSize: 8}, RangeBegin: 24, RangeEnd: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 24}, Type: &StructType{Key: StructKey{Name: "kvm_text_arm64"}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ntext", TypeSize: 8}}, Buf: "text"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "flags", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 16}, Type: &UnionType{Key: StructKey{Name: "kvm_setup_opt_arm64"}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nopt", TypeSize: 8}}, Buf: "opts"},
	}},
	{Name: "syz_kvm_setup_cpu$x86", CallName: "syz_kvm_setup_cpu", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmvm", FldName: "fd", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_kvmcpu", FldName: "cpufd", TypeSize: 4}},
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "usermem", TypeSize: 8}, RangeBegin: 24, RangeEnd: 24},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "text", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", TypeSize: 24}, Type: &UnionType{Key: StructKey{Name: "kvm_text_x86"}}, Kind: 1, RangeBegin: 1, RangeEnd: 1}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "ntext", TypeSize: 8}}, Buf: "text"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "kvm_setup_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8, 16, 32, 64}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &UnionType{Key: StructKey{Name: "kvm_setup_opt_x86"}}, Kind: 1, RangeEnd: 2}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nopt", TypeSize: 8}}, Buf: "opts"},
	}},
	{Name: "syz_mount_image$bfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"bfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opts", TypeSize: 8}}},
	}},
	{Name: "syz_mount_image$btrfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 6}, Kind: 2, Values: []string{"btrfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[btrfs_options]"}}},
	}},
	{Name: "syz_mount_image$ceph", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"ceph\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{Name: "syz_mount_image$cifs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"cifs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{Name: "syz_mount_image$ext4", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, SubKind: "ext4_types", Values: []string{"ext4\x00", "ext3\x00", "ext2\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[ext4_options]"}}},
	}},
	{Name: "syz_mount_image$f2fs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"f2fs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[f2fs_options]"}}},
	}},
	{Name: "syz_mount_image$gfs2", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"gfs2\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[gfs2_options]"}}},
	}},
	{Name: "syz_mount_image$hfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"hfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[hfs_options]"}}},
	}},
	{Name: "syz_mount_image$hfsplus", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 8}, Kind: 2, Values: []string{"hfsplus\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[hfsplus_options]"}}},
	}},
	{Name: "syz_mount_image$iso9660", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 8}, Kind: 2, Values: []string{"iso9660\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[iso9660_options]"}}},
	}},
	{Name: "syz_mount_image$jfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"jfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[jfs_options]"}}},
	}},
	{Name: "syz_mount_image$minix", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 6}, Kind: 2, Values: []string{"minix\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "opts", TypeSize: 8}}},
	}},
	{Name: "syz_mount_image$msdos", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 6}, Kind: 2, Values: []string{"msdos\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[msdos_options]"}}},
	}},
	{Name: "syz_mount_image$nfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"nfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{Name: "syz_mount_image$nfs4", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"nfs4\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{Name: "syz_mount_image$ntfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"ntfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[ntfs_options]"}}},
	}},
	{Name: "syz_mount_image$ocfs2", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 6}, Kind: 2, Values: []string{"ocfs2\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2}},
	}},
	{Name: "syz_mount_image$reiserfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"reiserfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[reiserfs_options]"}}},
	}},
	{Name: "syz_mount_image$vfat", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 5}, Kind: 2, Values: []string{"vfat\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[vfat_options]"}}},
	}},
	{Name: "syz_mount_image$xfs", CallName: "syz_mount_image", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fs", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 4}, Kind: 2, Values: []string{"xfs\x00"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dir", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "mount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{4096, 128, 64, 8192, 1024, 4, 2048, 8, 2, 1, 2097152, 32, 32768, 16777216, 16, 16384, 65536, 131072, 262144, 524288, 1048576, 8388608, 33554432}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "opts", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fs_options[xfs_options]"}}},
	}},
	{Name: "syz_open_dev$CDROM_DEV_LINK", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/cdrom\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cdrom", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$I2C", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/i2c-#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_i2c", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$admmidi", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 14}, Kind: 2, Values: []string{"/dev/admmidi#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$adsp", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/adsp#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$amidi", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/amidi#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$audion", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/audio#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$binder", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/binder#\x00"}}},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "id", TypeSize: 8}}, ValuesPerProc: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "binder_open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2, 2048}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_binder", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$dmmidi", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/dmmidi#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$dri", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 15}, Kind: 2, Values: []string{"/dev/dri/card#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$dricontrol", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 19}, Kind: 2, Values: []string{"/dev/dri/controlD#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$drirender", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/dri/renderD#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dri", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$dspn", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/dsp#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$evdev", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/input/event#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$floppy", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/fd#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$ircomm", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/ircomm#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$loop", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/loop#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_loop", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$mice", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/dev/input/mice\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$midi", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/midi#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$mouse", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/input/mouse#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$ndb", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/nbd#\x00"}}},
		&ProcType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "proc", FldName: "id", TypeSize: 8}}, ValuesPerProc: 1},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_ndb", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$rtc", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/rtc#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rtc", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sg", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"/dev/sg#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sg", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndctrl", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 19}, Kind: 2, Values: []string{"/dev/snd/controlC#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndctrl", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndhw", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/dev/snd/hwC#D#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndmidi", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/snd/midiC#D#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_midi", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndpcmc", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/snd/pcmC#D#c\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndpcmp", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 18}, Kind: 2, Values: []string{"/dev/snd/pcmC#D#p\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndseq", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/snd/seq\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$sndtimer", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 15}, Kind: 2, Values: []string{"/dev/snd/timer\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndtimer", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$tlk_device", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 16}, Kind: 2, Values: []string{"/dev/tlk_device\x00"}}},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "const", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tlk", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$usb", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 21}, Kind: 2, Values: []string{"/dev/bus/usb/00#/00#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$usbmon", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 13}, Kind: 2, Values: []string{"/dev/usbmon#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$vcsa", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 11}, Kind: 2, Values: []string{"/dev/vcsa#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$vcsn", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 10}, Kind: 2, Values: []string{"/dev/vcs#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$video", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 12}, Kind: 2, Values: []string{"/dev/video#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_dev$video4linux", CallName: "syz_open_dev", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dev", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 17}, Kind: 2, Values: []string{"/dev/v4l-subdev#\x00"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "id", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_video", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_procfs", CallName: "syz_open_procfs", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "procfs_file", Values: []string{"auxv\x00", "cmdline\x00", "environ\x00", "autogroup\x00", "cgroup\x00", "clear_refs\x00", "comm\x00", "coredump_filter\x00", "cpuset\x00", "gid_map\x00", "io\x00", "limits\x00", "loginuid\x00", "maps\x00", "mountinfo\x00", "mounts\x00", "mountstats\x00", "numa_maps\x00", "oom_adj\x00", "oom_score\x00", "oom_score_adj\x00", "pagemap\x00", "personality\x00", "projid_map\x00", "sched\x00", "schedstat\x00", "sessionid\x00", "setgroups\x00", "smaps\x00", "smaps_rollup\x00", "stack\x00", "stat\x00", "statm\x00", "status\x00", "syscall\x00", "timers\x00", "uid_map\x00", "wchan\x00", "map_files\x00", "attr\x00", "attr/current\x00", "attr/exec\x00", "attr/fscreate\x00", "attr/keycreate\x00", "attr/prev\x00", "attr/sockcreate\x00", "ns\x00", "children\x00", "task\x00", "fd\x00", "fd/3\x00", "fd/4\x00", "fdinfo\x00", "fdinfo/3\x00", "fdinfo/4\x00", "net\x00", "net/anycast6\x00", "net/arp\x00", "net/bnep\x00", "net/connector\x00", "net/dev\x00", "net/dev_mcast\x00", "net/dev_snmp6\x00", "net/fib_trie\x00", "net/fib_triestat\x00", "net/hci\x00", "net/icmp\x00", "net/icmp6\x00", "net/if_inet6\x00", "net/igmp\x00", "net/igmp6\x00", "net/ip6_flowlabel\x00", "net/ip6_mr_cache\x00", "net/ip6_mr_vif\x00", "net/ip6_tables_matches\x00", "net/ip6_tables_names\x00", "net/ip6_tables_targets\x00", "net/ip_mr_cache\x00", "net/ip_mr_vif\x00", "net/ip_tables_matches\x00", "net/ip_tables_names\x00", "net/ip_tables_targets\x00", "net/ipv6_route\x00", "net/ipx\x00", "net/l2cap\x00", "net/llc\x00", "net/mcfilter\x00", "net/mcfilter6\x00", "net/netfilter\x00", "net/netlink\x00", "net/netstat\x00", "net/nfsfs\x00", "net/packet\x00", "net/protocols\x00", "net/psched\x00", "net/ptype\x00", "net/raw\x00", "net/raw6\x00", "net/rfcomm\x00", "net/route\x00", "net/rpc\x00", "net/rt6_stats\x00", "net/rt_acct\x00", "net/rt_cache\x00", "net/sco\x00", "net/sctp\x00", "net/snmp\x00", "net/snmp6\x00", "net/sockstat\x00", "net/sockstat6\x00", "net/softnet_stat\x00", "net/stat\x00", "net/tcp\x00", "net/tcp6\x00", "net/udp\x00", "net/udp6\x00", "net/udplite\x00", "net/udplite6\x00", "net/unix\x00", "net/wireless\x00", "net/xfrm_stat\x00", "net/ip_vs\x00", "net/ip_vs_stats\x00", "net/ip_vs_stats_percpu\x00"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_procfs$namespace", CallName: "syz_open_procfs", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "procfs_namespace_file", Values: []string{"ns/cgroup\x00", "ns/ipc\x00", "ns/mnt\x00", "ns/net\x00", "ns/pid\x00", "ns/user\x00", "ns/uts\x00", "ns/pid_for_children\x00"}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_namespace", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_open_pts", CallName: "syz_open_pts", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "open_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1, 2, 1024, 8192, 524288, 64, 65536, 16384, 128, 131072, 262144, 256, 32768, 2048, 2097152, 1052672, 512, 4194304}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tty", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{Name: "syz_read_part_table", CallName: "syz_read_part_table", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "size", TypeSize: 8}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nsegs", TypeSize: 8}}, Buf: "segments"},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "segments", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "fs_image_segment"}}}},
	}},
	{NR: 77, Name: "tee", CallName: "tee", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdin", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fdout", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "splice_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}},
	{NR: 131, Name: "tgkill", CallName: "tgkill", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "gid", TypeSize: 4}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "tid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
	}},
	{NR: 107, Name: "timer_create", CallName: "timer_create", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_id", FldName: "id", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ev", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "sigevent"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timerid", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "timerid", TypeSize: 4, ArgDir: 1}}},
	}},
	{NR: 111, Name: "timer_delete", CallName: "timer_delete", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "timerid", FldName: "timerid", TypeSize: 4}},
	}},
	{NR: 109, Name: "timer_getoverrun", CallName: "timer_getoverrun", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "timerid", FldName: "timerid", TypeSize: 4}},
	}},
	{NR: 108, Name: "timer_gettime", CallName: "timer_gettime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "timerid", FldName: "timerid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "setting", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerspec", Dir: 1}}},
	}},
	{NR: 110, Name: "timer_settime", CallName: "timer_settime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "timerid", FldName: "timerid", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "timer_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 1}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerspec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "itimerspec", Dir: 1}}},
	}},
	{NR: 85, Name: "timerfd_create", CallName: "timerfd_create", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "clock_type", FldName: "clockid", TypeSize: 8}}, Vals: []uint64{0, 5, 1, 6, 4, 7, 2, 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "timerfd_create_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_timer", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 87, Name: "timerfd_gettime", CallName: "timerfd_gettime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_timer", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cur", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerspec", Dir: 1}}},
	}},
	{NR: 86, Name: "timerfd_settime", CallName: "timerfd_settime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_timer", FldName: "fd", TypeSize: 4}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "timerfd_settime_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "new", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerspec"}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerspec", Dir: 1}}},
	}},
	{NR: 153, Name: "times", CallName: "times", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tms", Dir: 1}}},
	}},
	{NR: 130, Name: "tkill", CallName: "tkill", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "tid", TypeSize: 4}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "sig", TypeSize: 4}}, Kind: 2, RangeEnd: 65},
	}},
	{NR: 45, Name: "truncate", CallName: "truncate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "file", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "len", TypeSize: 8}}},
	}},
	{NR: 39, Name: "umount2", CallName: "umount2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "umount_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}},
	{NR: 160, Name: "uname", CallName: "uname", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{ArgDir: 1, IsVarlen: true}}},
	}},
	{NR: 35, Name: "unlinkat", CallName: "unlinkat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "path", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unlinkat_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 512}, BitMask: true},
	}},
	{NR: 97, Name: "unshare", CallName: "unshare", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "unshare_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{1024, 512, 33554432, 134217728, 1073741824, 131072, 536870912, 268435456, 67108864, 262144, 65536, 2048, 256}, BitMask: true},
	}},
	{NR: 282, Name: "userfaultfd", CallName: "userfaultfd", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "userfaultfd_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{2048, 524288}, BitMask: true},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uffd", FldName: "ret", TypeSize: 4, ArgDir: 1}}},
	{NR: 88, Name: "utimensat", CallName: "utimensat", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_dir", FldName: "dir", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pathname", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "times", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "itimerval"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "utimensat_flags", FldName: "flags", TypeSize: 8}}, Vals: []uint64{0, 256}, BitMask: true},
	}},
	{NR: 75, Name: "vmsplice", CallName: "vmsplice", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "splice_flags", FldName: "f", TypeSize: 8}}, Vals: []uint64{1, 2, 4, 8}, BitMask: true},
	}},
	{NR: 260, Name: "wait4", CallName: "wait4", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "status", TypeSize: 8, IsOptional: true}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 1}}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "wait_options", FldName: "options", TypeSize: 8}}, Vals: []uint64{1, 2, 8, 4, 2, 8, 1, 16777216, 2147483648, 1073741824, 536870912}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ru", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "rusage", Dir: 1}}},
	}},
	{NR: 95, Name: "waitid", CallName: "waitid", Args: []Type{
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "waitid_which", FldName: "which", TypeSize: 8}}, Vals: []uint64{1, 2, 0}, BitMask: true},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "pid", FldName: "pid", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "infop", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "siginfo", Dir: 1}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "wait_options", FldName: "options", TypeSize: 8}}, Vals: []uint64{1, 2, 8, 4, 2, 8, 1, 16777216, 2147483648, 1073741824, 536870912}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ru", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "rusage", Dir: 1}}},
	}},
	{NR: 64, Name: "write", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "buffer", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 64, Name: "write$9p", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$FUSE_ATTR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_attr_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_BMAP", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_bmap_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_CREATE_OPEN", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_create_open_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_DIRENT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[array[fuse_dirent]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_DIRENTPLUS", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[array[fuse_direntplus]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_ENTRY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_entry_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_GETXATTR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_getxattr_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_INIT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_init_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_INTERRUPT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_IOCTL", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_ioctl_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_LK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_lk_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_LSEEK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_lseek_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_DELETE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_DELETE, fuse_notify_delete_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_INVAL_ENTRY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_INVAL_ENTRY, fuse_notify_inval_entry_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_INVAL_INODE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_INVAL_INODE, fuse_notify_inval_inode_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_POLL", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_POLL, fuse_notify_poll_wakeup_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_RETRIEVE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_RETRIEVE, fuse_notify_retrieve_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_NOTIFY_STORE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_notify[FUSE_NOTIFY_STORE, fuse_notify_store_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_OPEN", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_open_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_POLL", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_poll_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_STATFS", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_statfs_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$FUSE_WRITE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_fuse", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "fuse_out[fuse_write_out]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "arg"},
	}},
	{NR: 64, Name: "write$P9_RATTACH", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RATTACH, p9_qid]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RAUTH", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RAUTH, p9_qid]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RCLUNK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RCLUNK, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RCREATE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RCREATE, p9_ropen]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RFLUSH", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RFLUSH, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RFSYNC", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RFSYNC, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RGETATTR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RGETATTR, p9_rgetattr]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RGETLOCK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RGETLOCK, p9_rgetlock]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLCREATE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLCREATE, p9_ropen]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLERROR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLERROR, p9_rerror]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLERRORu", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLERROR, p9_rerroru]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLINK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLINK, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLOCK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLOCK, flags[p9_lock_status, int8]]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RLOPEN", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RLOPEN, p9_ropen]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RMKDIR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RMKDIR, p9_qid]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RMKNOD", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RMKNOD, p9_qid]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_ROPEN", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_ROPEN, p9_ropen]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RREAD", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RREAD, p9_rread]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RREADDIR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RREADDIR, p9_rreaddir]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RREADLINK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RREADLINK, p9_rreadlink]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RREMOVE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RREMOVE, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RRENAME", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RRENAME, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RRENAMEAT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RRENAMEAT, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RSETATTR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RSETATTR, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RSTAT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RSTAT, p9_rstat]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RSTATFS", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RSTATFS, p9_rstatfs]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RSTATu", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RSTAT, p9_rstatu]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RSYMLINK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RSYMLINK, p9_qid]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RUNLINKAT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RUNLINKAT, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RVERSION", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_rversion"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RWALK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RWALK, p9_rwalk]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RWRITE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RWRITE, int32]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RWSTAT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RWSTAT, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RXATTRCREATE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RXATTRCREATE, void]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$P9_RXATTRWALK", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "wfd9p", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "p9_msg[P9_RXATTRWALK, int64]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "size", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_ACCEPT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_ACCEPT, rdma_ucm_accept]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_BIND", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND, rdma_ucm_bind]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_BIND_IP", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_BIND_IP, rdma_ucm_bind_ip]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_CONNECT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CONNECT, rdma_ucm_connect]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_CREATE_ID", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_CREATE_ID, rdma_ucm_create_id]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_DESTROY_ID", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DESTROY_ID, rdma_ucm_destroy_id]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_DISCONNECT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_DISCONNECT, rdma_ucm_disconnect]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_GET_EVENT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_GET_EVENT, rdma_ucm_get_event]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_INIT_QP_ATTR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_INIT_QP_ATTR, rdma_ucm_init_qp_attr]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_JOIN_IP_MCAST", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_IP_MCAST, rdma_ucm_join_ip_mcast]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_JOIN_MCAST", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_JOIN_MCAST, rdma_ucm_join_mcast]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_LEAVE_MCAST", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LEAVE_MCAST, rdma_ucm_leave_mcast]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_LISTEN", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_LISTEN, rdma_ucm_listen]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_MIGRATE_ID", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_MIGRATE_ID, rdma_ucm_migrate_id]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_NOTIFY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_NOTIFY, rdma_ucm_notify]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_QUERY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY, rdma_ucm_query]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_QUERY_ROUTE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_QUERY_ROUTE, rdma_ucm_query]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_REJECT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_REJECT, rdma_ucm_reject]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_RESOLVE_ADDR", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ADDR, rdma_ucm_resolve_addr]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_RESOLVE_IP", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_IP, rdma_ucm_resolve_ip]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_RESOLVE_ROUTE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_RESOLVE_ROUTE, rdma_ucm_resolve_route]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$RDMA_USER_CM_CMD_SET_OPTION", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_rdma_cm", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "rdma_ucm_cmd_t[RDMA_USER_CM_CMD_SET_OPTION, rdma_ucm_set_option]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_CREATE", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_create_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_CREATE2", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_create2_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_DESTROY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_destroy_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_GET_REPORT_REPLY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_get_report_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_INPUT", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_input_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_INPUT2", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_input2_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$UHID_SET_REPORT_REPLY", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uhid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uhid_set_report_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$binfmt_aout", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binfmt_aout"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$binfmt_elf32", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binfmt_elf[int32, elf32_phdr, ELF32_PHDR_SIZE]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$binfmt_elf64", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binfmt_elf[int64, elf64_phdr, ELF64_PHDR_SIZE]"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$binfmt_misc", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binfmt_misc"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$binfmt_script", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "binfmt_script"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$cgroup_int", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_int", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 18}, ArgFormat: 3}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$cgroup_pid", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_pid", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "pid", TypeSize: 18}, ArgFormat: 3}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$cgroup_subtree", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_subtree", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "cgroup_subtree"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$cgroup_type", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_cgroup_type", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", TypeSize: 9}, Kind: 2, Values: []string{"threaded\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$evdev", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_evdev", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "input_event"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$eventfd", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_event", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "val"},
	}},
	{NR: 64, Name: "write$input_event", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "input_event"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$selinux_access", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_access", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "selinux_access_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$selinux_context", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_context", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "string", IsVarlen: true}, Kind: 2, SubKind: "selinux_security_context", Values: []string{"system_u:object_r:adjtime_t:s0\x00", "system_u:object_r:admin_passwd_exec_t:s0\x00", "system_u:object_r:agp_device_t:s0\x00", "system_u:object_r:anacron_exec_t:s0\x00", "system_u:object_r:apm_bios_t:s0\x00", "system_u:object_r:apt_exec_t:s0\x00", "system_u:object_r:apt_lock_t:s0\x00", "system_u:object_r:apt_var_cache_t:s0\x00", "system_u:object_r:apt_var_lib_t:s0\x00", "system_u:object_r:apt_var_log_t:s0\x00", "system_u:object_r:audisp_exec_t:s0\x00", "system_u:object_r:audisp_remote_exec_t:s0\x00", "system_u:object_r:audisp_var_run_t:s0\x00", "system_u:object_r:auditctl_exec_t:s0\x00", "system_u:object_r:auditd_etc_t:s0\x00", "system_u:object_r:auditd_exec_t:s0\x00", "system_u:object_r:auditd_initrc_exec_t:s0\x00", "system_u:object_r:auditd_log_t:s0\x00", "system_u:object_r:auditd_unit_file_t:s0\x00", "system_u:object_r:auditd_var_run_t:s0\x00", "system_u:object_r:audit_spool_t:s0\x00", "system_u:object_r:auth_cache_t:s0\x00", "system_u:object_r:autofs_device_t:s0\x00", "system_u:object_r:bin_t:s0\x00", "system_u:object_r:boot_t:s0\x00", "system_u:object_r:bsdpty_device_t:s0\x00", "system_u:object_r:cert_t:s0\x00", "system_u:object_r:cgroup_t:s0\x00", "system_u:object_r:checkpolicy_exec_t:s0\x00", "system_u:object_r:chfn_exec_t:s0\x00", "system_u:object_r:chkpwd_exec_t:s0\x00", "system_u:object_r:clock_device_t:s0\x00", "system_u:object_r:console_device_t:s0\x00", "system_u:object_r:cpu_device_t:s0\x00", "system_u:object_r:cpu_online_t:s0\x00", "system_u:object_r:crack_db_t:s0\x00", "system_u:object_r:crack_exec_t:s0\x00", "system_u:object_r:crash_device_t:s0\x00", "system_u:object_r:crond_exec_t:s0\x00", "system_u:object_r:crond_initrc_exec_t:s0\x00", "system_u:object_r:crond_unit_file_t:s0\x00", "system_u:object_r:crond_var_run_t:s0\x00", "system_u:object_r:cron_log_t:s0\x00", "system_u:object_r:cron_spool_t:s0\x00", "system_u:object_r:crontab_exec_t:s0\x00", "system_u:object_r:crypt_device_t:s0\x00", "system_u:object_r:dbusd_etc_t:s0\x00", "system_u:object_r:dbusd_exec_t:s0\x00", "system_u:object_r:default_context_t:s0\x00", "system_u:object_r:default_t:s0\x00", "system_u:object_r:depmod_exec_t:s0\x00", "system_u:object_r:devicekit_disk_exec_t:s0\x00", "system_u:object_r:devicekit_exec_t:s0\x00", "system_u:object_r:devicekit_power_exec_t:s0\x00", "system_u:object_r:devicekit_var_lib_t:s0\x00", "system_u:object_r:devicekit_var_run_t:s0\x00", "system_u:object_r:device_t:s0\x00", "system_u:object_r:devlog_t:s0\x00", "system_u:object_r:devpts_t:s0\x00", "system_u:object_r:devtty_t:s0\x00", "system_u:object_r:dhcpc_exec_t:s0\x00", "system_u:object_r:dhcpc_state_t:s0\x00", "system_u:object_r:dhcpc_var_run_t:s0\x00", "system_u:object_r:dhcpd_exec_t:s0\x00", "system_u:object_r:dhcpd_initrc_exec_t:s0\x00", "system_u:object_r:dhcpd_state_t:s0\x00", "system_u:object_r:dhcpd_unit_file_t:s0\x00", "system_u:object_r:dhcpd_var_run_t:s0\x00", "system_u:object_r:dhcp_etc_t:s0\x00", "system_u:object_r:dhcp_state_t:s0\x00", "system_u:object_r:dlm_control_device_t:s0\x00", "system_u:object_r:dmesg_exec_t:s0\x00", "system_u:object_r:dmidecode_exec_t:s0\x00", "system_u:object_r:dpkg_exec_t:s0\x00", "system_u:object_r:dpkg_lock_t:s0\x00", "system_u:object_r:dpkg_var_lib_t:s0\x00", "system_u:object_r:dri_device_t:s0\x00", "system_u:object_r:etc_aliases_t:s0\x00", "system_u:object_r:etc_mail_t:s0\x00", "system_u:object_r:etc_runtime_t:s0\x00", "system_u:object_r:etc_t:s0\x00", "system_u:object_r:event_device_t:s0\x00", "system_u:object_r:faillog_t:s0\x00", "system_u:object_r:file_context_t:s0\x00", "system_u:object_r:fixed_disk_device_t:s0\x00", "system_u:object_r:fonts_cache_t:s0\x00", "system_u:object_r:fonts_t:s0\x00", "system_u:object_r:framebuf_device_t:s0\x00", "system_u:object_r:fsadm_exec_t:s0\x00", "system_u:object_r:fsadm_log_t:s0\x00", "system_u:object_r:fuse_device_t:s0\x00", "system_u:object_r:getty_etc_t:s0\x00", "system_u:object_r:getty_exec_t:s0\x00", "system_u:object_r:getty_log_t:s0\x00", "system_u:object_r:getty_var_run_t:s0\x00", "system_u:object_r:gpg_agent_exec_t:s0\x00", "system_u:object_r:gpg_exec_t:s0\x00", "system_u:object_r:gpg_helper_exec_t:s0\x00", "system_u:object_r:groupadd_exec_t:s0\x00", "system_u:object_r:hald_acl_exec_t:s0\x00", "system_u:object_r:hald_cache_t:s0\x00", "system_u:object_r:hald_dccm_exec_t:s0\x00", "system_u:object_r:hald_exec_t:s0\x00", "system_u:object_r:hald_keymap_exec_t:s0\x00", "system_u:object_r:hald_log_t:s0\x00", "system_u:object_r:hald_mac_exec_t:s0\x00", "system_u:object_r:hald_sonypic_exec_t:s0\x00", "system_u:object_r:hald_var_lib_t:s0\x00", "system_u:object_r:hald_var_run_t:s0\x00", "system_u:object_r:hostname_exec_t:s0\x00", "system_u:object_r:hugetlbfs_t:s0\x00", "system_u:object_r:hwclock_exec_t:s0\x00", "system_u:object_r:hwdata_t:s0\x00", "system_u:object_r:ifconfig_exec_t:s0\x00", "system_u:object_r:inetd_child_exec_t:s0\x00", "system_u:object_r:inetd_exec_t:s0\x00", "system_u:object_r:inetd_log_t:s0\x00", "system_u:object_r:inetd_var_run_t:s0\x00", "system_u:object_r:initctl_t:s0\x00", "system_u:object_r:init_exec_t:s0\x00", "system_u:object_r:initrc_exec_t:s0\x00", "system_u:object_r:initrc_var_run_t:s0\x00", "system_u:object_r:init_var_run_t:s0\x00", "system_u:object_r:insmod_exec_t:s0\x00", "system_u:object_r:ipmi_device_t:s0\x00", "system_u:object_r:iptables_conf_t:s0\x00", "system_u:object_r:iptables_exec_t:s0\x00", "system_u:object_r:iptables_initrc_exec_t:s0\x00", "system_u:object_r:iptables_unit_file_t:s0\x00", "system_u:object_r:klogd_exec_t:s0\x00", "system_u:object_r:klogd_var_run_t:s0\x00", "system_u:object_r:kmsg_device_t:s0\x00", "system_u:object_r:ksm_device_t:s0\x00", "system_u:object_r:kvm_device_t:s0\x00", "system_u:object_r:lastlog_t:s0\x00", "system_u:object_r:ldconfig_cache_t:s0\x00", "system_u:object_r:ldconfig_exec_t:s0\x00", "system_u:object_r:ld_so_cache_t:s0\x00", "system_u:object_r:ld_so_t:s0\x00", "system_u:object_r:lib_t:s0\x00", "system_u:object_r:lirc_device_t:s0\x00", "system_u:object_r:load_policy_exec_t:s0\x00", "system_u:object_r:locale_t:s0\x00", "system_u:object_r:login_exec_t:s0\x00", "system_u:object_r:logrotate_exec_t:s0\x00", "system_u:object_r:logrotate_var_lib_t:s0\x00", "system_u:object_r:lost_found_t:s0\x00", "system_u:object_r:lvm_control_t:s0\x00", "system_u:object_r:mail_spool_t:s0\x00", "system_u:object_r:man_t:s0\x00", "system_u:object_r:memory_device_t:s0\x00", "system_u:object_r:mnt_t:s0\x00", "system_u:object_r:modem_device_t:s0\x00", "system_u:object_r:modules_conf_t:s0\x00", "system_u:object_r:modules_dep_t:s0\x00", "system_u:object_r:modules_object_t:s0\x00", "system_u:object_r:mount_exec_t:s0\x00", "system_u:object_r:mount_tmp_t:s0\x00", "system_u:object_r:mouse_device_t:s0\x00", "system_u:object_r:mqueue_spool_t:s0\x00", "system_u:object_r:mtrr_device_t:s0\x00", "system_u:object_r:net_conf_t:s0\x00", "system_u:object_r:netcontrol_device_t:s0\x00", "system_u:object_r:netlabel_mgmt_exec_t:s0\x00", "system_u:object_r:netutils_exec_t:s0\x00", "system_u:object_r:newrole_exec_t:s0\x00", "system_u:object_r:null_device_t:s0\x00", "system_u:object_r:nvram_device_t:s0\x00", "system_u:object_r:pam_console_exec_t:s0\x00", "system_u:object_r:pam_exec_t:s0\x00", "system_u:object_r:pam_var_run_t:s0\x00", "system_u:object_r:passwd_exec_t:s0\x00", "system_u:object_r:pinentry_exec_t:s0\x00", "system_u:object_r:ping_exec_t:s0\x00", "system_u:object_r:policy_config_t:s0\x00", "system_u:object_r:policy_src_t:s0\x00", "system_u:object_r:power_device_t:s0\x00", "system_u:object_r:ppp_device_t:s0\x00", "system_u:object_r:printer_device_t:s0\x00", "system_u:object_r:ptchown_exec_t:s0\x00", "system_u:object_r:ptmx_t:s0\x00", "system_u:object_r:public_content_rw_t:s0\x00", "system_u:object_r:public_content_t:s0\x00", "system_u:object_r:qemu_device_t:s0\x00", "system_u:object_r:random_device_t:s0\x00", "system_u:object_r:removable_device_t:s0\x00", "system_u:object_r:restorecond_exec_t:s0\x00", "system_u:object_r:restorecond_var_run_t:s0\x00", "system_u:object_r:root_t:s0\x00", "system_u:object_r:run_init_exec_t:s0\x00", "system_u:object_r:scanner_device_t:s0\x00", "system_u:object_r:scsi_generic_device_t:s0\x00", "system_u:object_r:selinux_config_t:s0\x00", "system_u:object_r:semanage_exec_t:s0\x00", "system_u:object_r:semanage_read_lock_t:s0\x00", "system_u:object_r:semanage_store_t:s0\x00", "system_u:object_r:semanage_trans_lock_t:s0\x00", "system_u:object_r:sendmail_exec_t:s0\x00", "system_u:object_r:setfiles_exec_t:s0\x00", "system_u:object_r:setrans_exec_t:s0\x00", "system_u:object_r:setrans_initrc_exec_t:s0\x00", "system_u:object_r:setrans_var_run_t:s0\x00", "system_u:object_r:shadow_t:s0\x00", "system_u:object_r:shell_exec_t:s0\x00", "system_u:object_r:smartcard_device_t:s0\x00", "system_u:object_r:sound_device_t:s0\x00", "system_u:object_r:src_t:s0\x00", "system_u:object_r:ssh_agent_exec_t:s0\x00", "system_u:object_r:sshd_exec_t:s0\x00", "system_u:object_r:sshd_key_t:s0\x00", "system_u:object_r:sshd_var_run_t:s0\x00", "system_u:object_r:ssh_exec_t:s0\x00", "system_u:object_r:ssh_keygen_exec_t:s0\x00", "system_u:object_r:ssh_keysign_exec_t:s0\x00", "system_u:object_r:sudo_exec_t:s0\x00", "system_u:object_r:su_exec_t:s0\x00", "system_u:object_r:sulogin_exec_t:s0\x00", "system_u:object_r:sysfs_t:s0\x00", "system_u:object_r:syslog_conf_t:s0\x00", "system_u:object_r:syslogd_exec_t:s0\x00", "system_u:object_r:syslogd_initrc_exec_t:s0\x00", "system_u:object_r:syslogd_var_lib_t:s0\x00", "system_u:object_r:syslogd_var_run_t:s0\x00", "system_u:object_r:system_cron_spool_t:s0\x00", "system_u:object_r:system_dbusd_var_lib_t:s0\x00", "system_u:object_r:system_dbusd_var_run_t:s0\x00", "system_u:object_r:systemd_logger_exec_t:s0\x00", "system_u:object_r:systemd_logind_exec_t:s0\x00", "system_u:object_r:systemd_logind_sessions_t:s0\x00", "system_u:object_r:systemd_logind_var_run_t:s0\x00", "system_u:object_r:systemd_notify_exec_t:s0\x00", "system_u:object_r:systemd_passwd_agent_exec_t:s0\x00", "system_u:object_r:systemd_passwd_var_run_t:s0\x00", "system_u:object_r:systemd_systemctl_exec_t:s0\x00", "system_u:object_r:systemd_tmpfiles_exec_t:s0\x00", "system_u:object_r:systemd_unit_file_t:s0\x00", "system_u:object_r:system_map_t:s0\x00", "system_u:object_r:tape_device_t:s0\x00", "system_u:object_r:tetex_data_t:s0\x00", "system_u:object_r:textrel_shlib_t:s0\x00", "system_u:object_r:tmpfs_t:s0\x00", "system_u:object_r:tmpreaper_exec_t:s0\x00", "system_u:object_r:tmp_t:s0\x00", "system_u:object_r:tpm_device_t:s0\x00", "system_u:object_r:traceroute_exec_t:s0\x00", "system_u:object_r:tty_device_t:s0\x00", "system_u:object_r:tun_tap_device_t:s0\x00", "system_u:object_r:tzdata_exec_t:s0\x00", "system_u:object_r:udev_exec_t:s0\x00", "system_u:object_r:udev_helper_exec_t:s0\x00", "system_u:object_r:udev_rules_t:s0\x00", "system_u:object_r:udev_tbl_t:s0\x00", "system_u:object_r:udev_var_run_t:s0\x00", "system_u:object_r:unconfined_execmem_exec_t:s0\x00", "system_u:object_r:unconfined_exec_t:s0\x00", "system_u:object_r:update_modules_exec_t:s0\x00", "system_u:object_r:updpwd_exec_t:s0\x00", "system_u:object_r:urandom_device_t:s0\x00", "system_u:object_r:usb_device_t:s0\x00", "system_u:object_r:usbmon_device_t:s0\x00", "system_u:object_r:usbtty_device_t:s0\x00", "system_u:object_r:useradd_exec_t:s0\x00", "system_u:object_r:user_cron_spool_t:s0\x00", "system_u:object_r:userio_device_t:s0\x00", "system_u:object_r:usr_t:s0\x00", "system_u:object_r:utempter_exec_t:s0\x00", "system_u:object_r:v4l_device_t:s0\x00", "system_u:object_r:var_auth_t:s0\x00", "system_u:object_r:var_lib_t:s0\x00", "system_u:object_r:var_lock_t:s0\x00", "system_u:object_r:var_log_t:s0\x00", "system_u:object_r:var_run_t:s0\x00", "system_u:object_r:var_spool_t:s0\x00", "system_u:object_r:var_t:s0\x00", "system_u:object_r:vhost_device_t:s0\x00", "system_u:object_r:vmware_device_t:s0\x00", "system_u:object_r:watchdog_device_t:s0\x00", "system_u:object_r:wireless_device_t:s0\x00", "system_u:object_r:wtmp_t:s0\x00", "system_u:object_r:xconsole_device_t:s0\x00", "system_u:object_r:xen_device_t:s0\x00", "system_u:object_r:xserver_misc_device_t:s0\x00", "system_u:object_r:zero_device_t:s0\x00"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$selinux_create", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_create", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &UnionType{Key: StructKey{Name: "selinux_create_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$selinux_load", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_load", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "selinux_policy"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$selinux_user", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_user", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "selinux_user_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$selinux_validatetrans", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_selinux_validatetrans", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "selinux_validatetrans_req"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "count", TypeSize: 8}}, BitSize: 8, Buf: "buf"},
	}},
	{NR: 64, Name: "write$sndseq", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_sndseq", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "snd_seq_event"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "bytesize", FldName: "len", TypeSize: 8}}, BitSize: 8, Buf: "data"},
	}},
	{NR: 64, Name: "write$tun", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_tun", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "tun_buffer"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "count", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 64, Name: "write$uinput_user_dev", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd_uinput", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "data", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "uinput_user_dev"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "len", TypeSize: 8}}, Buf: "data"},
	}},
	{NR: 64, Name: "write$vnet", CallName: "write", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "vhost_net", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &StructType{Key: StructKey{Name: "vhost_msg"}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "size", TypeSize: 8}}, Buf: "buf"},
	}},
	{NR: 66, Name: "writev", CallName: "writev", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "fd", FldName: "fd", TypeSize: 4}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "vec", TypeSize: 8}, Type: &ArrayType{TypeCommon: TypeCommon{TypeName: "array", IsVarlen: true}, Type: &StructType{Key: StructKey{Name: "iovec[in, array[int8]]"}}}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "vlen", TypeSize: 8}}, Buf: "vec"},
	}},
}

var consts_arm64 = []ConstValue{
	{Name: "ABS_CNT", Value: 64},
	{Name: "ABS_MAX", Value: 63},
	{Name: "ADDR_COMPAT_LAYOUT", Value: 2097152},
	{Name: "ADDR_LIMIT_32BIT", Value: 8388608},
	{Name: "ADDR_LIMIT_3GB", Value: 134217728},
	{Name: "ADDR_NO_RANDOMIZE", Value: 262144},
	{Name: "AF_ALG", Value: 38},
	{Name: "AF_APPLETALK", Value: 5},
	{Name: "AF_ATMPVC", Value: 8},
	{Name: "AF_AX25", Value: 3},
	{Name: "AF_BLUETOOTH", Value: 31},
	{Name: "AF_BRIDGE", Value: 7},
	{Name: "AF_CAN", Value: 29},
	{Name: "AF_IB", Value: 27},
	{Name: "AF_INET", Value: 2},
	{Name: "AF_INET6", Value: 10},
	{Name: "AF_IPX", Value: 4},
	{Name: "AF_KCM", Value: 41},
	{Name: "AF_KEY", Value: 15},
	{Name: "AF_LLC", Value: 26},
	{Name: "AF_MPLS", Value: 28},
	{Name: "AF_NETLINK", Value: 16},
	{Name: "AF_NETROM", Value: 6},
	{Name: "AF_NFC", Value: 39},
	{Name: "AF_PACKET", Value: 17},
	{Name: "AF_PPPOX", Value: 24},
	{Name: "AF_RDS", Value: 21},
	{Name: "AF_SMC", Value: 43},
	{Name: "AF_UNIX", Value: 1},
	{Name: "AF_UNSPEC"},
	{Name: "AF_VSOCK", Value: 40},
	{Name: "AF_X25", Value: 9},
	{Name: "AF_XDP", Value: 44},
	{Name: "AGP_USER_CACHED_MEMORY", Value: 65537},
	{Name: "AGP_USER_MEMORY", Value: 65536},
	{Name: "AH_ESP_V4_FLOW", Value: 4},
	{Name: "AH_ESP_V6_FLOW", Value: 8},
	{Name: "AH_V4_FLOW", Value: 9},
	{Name: "AH_V6_FLOW", Value: 11},
	{Name: "ALG_OP_DECRYPT"},
	{Name: "ALG_OP_ENCRYPT", Value: 1},
	{Name: "ALG_SET_AEAD_ASSOCLEN", Value: 4},
	{Name: "ALG_SET_AEAD_AUTHSIZE", Value: 5},
	{Name: "ALG_SET_IV", Value: 2},
	{Name: "ALG_SET_KEY", Value: 1},
	{Name: "ALG_SET_OP", Value: 3},
	{Name: "ARCH_GET_FS", Value: 4099},
	{Name: "ARCH_GET_GS", Value: 4100},
	{Name: "ARCH_SET_FS", Value: 4098},
	{Name: "ARCH_SET_GS", Value: 4097},
	{Name: "ARPHRD_6LOWPAN", Value: 825},
	{Name: "ARPHRD_ADAPT", Value: 264},
	{Name: "ARPHRD_APPLETLK", Value: 8},
	{Name: "ARPHRD_ARCNET", Value: 7},
	{Name: "ARPHRD_ASH", Value: 781},
	{Name: "ARPHRD_ATM", Value: 19},
	{Name: "ARPHRD_AX25", Value: 3},
	{Name: "ARPHRD_BIF", Value: 775},
	{Name: "ARPHRD_CAIF", Value: 822},
	{Name: "ARPHRD_CAN", Value: 280},
	{Name: "ARPHRD_CHAOS", Value: 5},
	{Name: "ARPHRD_CISCO", Value: 513},
	{Name: "ARPHRD_CSLIP", Value: 257},
	{Name: "ARPHRD_CSLIP6", Value: 259},
	{Name: "ARPHRD_DDCMP", Value: 517},
	{Name: "ARPHRD_DLCI", Value: 15},
	{Name: "ARPHRD_ECONET", Value: 782},
	{Name: "ARPHRD_EETHER", Value: 2},
	{Name: "ARPHRD_ETHER", Value: 1},
	{Name: "ARPHRD_EUI64", Value: 27},
	{Name: "ARPHRD_FCAL", Value: 785},
	{Name: "ARPHRD_FCFABRIC", Value: 787},
	{Name: "ARPHRD_FCPL", Value: 786},
	{Name: "ARPHRD_FCPP", Value: 784},
	{Name: "ARPHRD_FDDI", Value: 774},
	{Name: "ARPHRD_FRAD", Value: 770},
	{Name: "ARPHRD_HDLC", Value: 513},
	{Name: "ARPHRD_HIPPI", Value: 780},
	{Name: "ARPHRD_HWX25", Value: 272},
	{Name: "ARPHRD_IEEE1394", Value: 24},
	{Name: "ARPHRD_IEEE802", Value: 6},
	{Name: "ARPHRD_IEEE80211", Value: 801},
	{Name: "ARPHRD_IEEE80211_PRISM", Value: 802},
	{Name: "ARPHRD_IEEE80211_RADIOTAP", Value: 803},
	{Name: "ARPHRD_IEEE802154", Value: 804},
	{Name: "ARPHRD_IEEE802154_MONITOR", Value: 805},
	{Name: "ARPHRD_IEEE802_TR", Value: 800},
	{Name: "ARPHRD_INFINIBAND", Value: 32},
	{Name: "ARPHRD_IP6GRE", Value: 823},
	{Name: "ARPHRD_IPDDP", Value: 777},
	{Name: "ARPHRD_IPGRE", Value: 778},
	{Name: "ARPHRD_IRDA", Value: 783},
	{Name: "ARPHRD_LAPB", Value: 516},
	{Name: "ARPHRD_LOCALTLK", Value: 773},
	{Name: "ARPHRD_LOOPBACK", Value: 772},
	{Name: "ARPHRD_METRICOM", Value: 23},
	{Name: "ARPHRD_NETLINK", Value: 824},
	{Name: "ARPHRD_NETROM"},
	{Name: "ARPHRD_NONE", Value: 65534},
	{Name: "ARPHRD_PHONET", Value: 820},
	{Name: "ARPHRD_PHONET_PIPE", Value: 821},
	{Name: "ARPHRD_PIMREG", Value: 779},
	{Name: "ARPHRD_PPP", Value: 512},
	{Name: "ARPHRD_PRONET", Value: 4},
	{Name: "ARPHRD_RAWHDLC", Value: 518},
	{Name: "ARPHRD_RAWIP", Value: 519},
	{Name: "ARPHRD_ROSE", Value: 270},
	{Name: "ARPHRD_RSRVD", Value: 260},
	{Name: "ARPHRD_SIT", Value: 776},
	{Name: "ARPHRD_SKIP", Value: 771},
	{Name: "ARPHRD_SLIP", Value: 256},
	{Name: "ARPHRD_SLIP6", Value: 258},
	{Name: "ARPHRD_TUNNEL", Value: 768},
	{Name: "ARPHRD_TUNNEL6", Value: 769},
	{Name: "ARPHRD_VOID", Value: 65535},
	{Name: "ARPHRD_VSOCKMON", Value: 826},
	{Name: "ARPHRD_X25", Value: 271},
	{Name: "ARPOP_InREPLY", Value: 9},
	{Name: "ARPOP_InREQUEST", Value: 8},
	{Name: "ARPOP_NAK", Value: 10},
	{Name: "ARPOP_REPLY", Value: 2},
	{Name: "ARPOP_REQUEST", Value: 1},
	{Name: "ARPOP_RREPLY", Value: 4},
	{Name: "ARPOP_RREQUEST", Value: 3},
	{Name: "ARPT_ARP_SIZE", Value: 164},
	{Name: "ARPT_DEV_ADDR_LEN_MAX", Value: 16},
	{Name: "ARPT_FILTER_VALID_HOOKS", Value: 7},
	{Name: "ARPT_INV_ARPHLN", Value: 512},
	{Name: "ARPT_INV_ARPHRD", Value: 128},
	{Name: "ARPT_INV_ARPOP", Value: 64},
	{Name: "ARPT_INV_ARPPRO", Value: 256},
	{Name: "ARPT_INV_SRCDEVADDR", Value: 16},
	{Name: "ARPT_INV_SRCIP", Value: 4},
	{Name: "ARPT_INV_TGTDEVADDR", Value: 32},
	{Name: "ARPT_INV_TGTIP", Value: 8},
	{Name: "ARPT_INV_VIA_IN", Value: 1},
	{Name: "ARPT_INV_VIA_OUT", Value: 2},
	{Name: "ARPT_MANGLE_MASK", Value: 15},
	{Name: "ARPT_MANGLE_SDEV", Value: 1},
	{Name: "ARPT_MANGLE_SIP", Value: 4},
	{Name: "ARPT_MANGLE_TDEV", Value: 2},
	{Name: "ARPT_MANGLE_TIP", Value: 8},
	{Name: "ARPT_SO_GET_ENTRIES", Value: 97},
	{Name: "ARPT_SO_GET_INFO", Value: 96},
	{Name: "ARPT_SO_GET_REVISION_TARGET", Value: 99},
	{Name: "ARPT_SO_SET_ADD_COUNTERS", Value: 97},
	{Name: "ARPT_SO_SET_REPLACE", Value: 96},
	{Name: "ASHMEM_GET_NAME", Value: 2164291330},
	{Name: "ASHMEM_GET_PIN_STATUS", Value: 30473},
	{Name: "ASHMEM_GET_PROT_MASK", Value: 30470},
	{Name: "ASHMEM_GET_SIZE", Value: 30468},
	{Name: "ASHMEM_PURGE_ALL_CACHES", Value: 30474},
	{Name: "ASHMEM_SET_NAME", Value: 1090549505},
	{Name: "ASHMEM_SET_PROT_MASK", Value: 1074296581},
	{Name: "ASHMEM_SET_SIZE", Value: 1074296579},
	{Name: "ATF_COM", Value: 2},
	{Name: "ATF_DONTPUB", Value: 64},
	{Name: "ATF_NETMASK", Value: 32},
	{Name: "ATF_PERM", Value: 4},
	{Name: "ATF_PUBL", Value: 8},
	{Name: "ATF_USETRAILERS", Value: 16},
	{Name: "AT_EMPTY_PATH", Value: 4096},
	{Name: "AT_FDCWD", Value: 18446744073709551516},
	{Name: "AT_NO_AUTOMOUNT", Value: 2048},
	{Name: "AT_REMOVEDIR", Value: 512},
	{Name: "AT_STATX_DONT_SYNC", Value: 16384},
	{Name: "AT_STATX_FORCE_SYNC", Value: 8192},
	{Name: "AT_STATX_SYNC_AS_STAT"},
	{Name: "AT_STATX_SYNC_TYPE", Value: 24576},
	{Name: "AT_SYMLINK_FOLLOW", Value: 1024},
	{Name: "AT_SYMLINK_NOFOLLOW", Value: 256},
	{Name: "AX25_BACKOFF", Value: 6},
	{Name: "AX25_EXTSEQ", Value: 7},
	{Name: "AX25_IAMDIGI", Value: 12},
	{Name: "AX25_IDLE", Value: 9},
	{Name: "AX25_MAX_DIGIS", Value: 8},
	{Name: "AX25_N2", Value: 3},
	{Name: "AX25_PACLEN", Value: 10},
	{Name: "AX25_PIDINCL", Value: 8},
	{Name: "AX25_P_ARP", Value: 205},
	{Name: "AX25_P_ATALK", Value: 202},
	{Name: "AX25_P_ATALK_ARP", Value: 203},
	{Name: "AX25_P_FLEXNET", Value: 206},
	{Name: "AX25_P_IP", Value: 204},
	{Name: "AX25_P_LQ", Value: 196},
	{Name: "AX25_P_NETROM", Value: 207},
	{Name: "AX25_P_ROSE", Value: 1},
	{Name: "AX25_P_SEGMENT", Value: 8},
	{Name: "AX25_P_TEXNET", Value: 195},
	{Name: "AX25_P_TEXT", Value: 240},
	{Name: "AX25_P_VJCOMP", Value: 6},
	{Name: "AX25_P_VJUNCOMP", Value: 7},
	{Name: "AX25_T1", Value: 2},
	{Name: "AX25_T2", Value: 5},
	{Name: "AX25_T3", Value: 4},
	{Name: "AX25_WINDOW", Value: 1},
	{Name: "BC_ACQUIRE", Value: 1074029317},
	{Name: "BC_ACQUIRE_DONE", Value: 1074815753},
	{Name: "BC_CLEAR_DEATH_NOTIFICATION", Value: 1074553615},
	{Name: "BC_DEAD_BINDER_DONE", Value: 1074291472},
	{Name: "BC_DECREFS", Value: 1074029319},
	{Name: "BC_ENTER_LOOPER", Value: 25356},
	{Name: "BC_EXIT_LOOPER", Value: 25357},
	{Name: "BC_FREE_BUFFER", Value: 1074291459},
	{Name: "BC_INCREFS", Value: 1074029316},
	{Name: "BC_INCREFS_DONE", Value: 1074815752},
	{Name: "BC_REGISTER_LOOPER", Value: 25355},
	{Name: "BC_RELEASE", Value: 1074029318},
	{Name: "BC_REPLY", Value: 1077961473},
	{Name: "BC_REPLY_SG", Value: 1078485778},
	{Name: "BC_REQUEST_DEATH_NOTIFICATION", Value: 1074553614},
	{Name: "BC_TRANSACTION", Value: 1077961472},
	{Name: "BC_TRANSACTION_SG", Value: 1078485777},
	{Name: "BINDER_GET_NODE_DEBUG_INFO", Value: 3222823435},
	{Name: "BINDER_SET_CONTEXT_MGR", Value: 1074029063},
	{Name: "BINDER_SET_MAX_THREADS", Value: 1074029061},
	{Name: "BINDER_THREAD_EXIT", Value: 1074029064},
	{Name: "BINDER_TYPE_BINDER", Value: 1935813253},
	{Name: "BINDER_TYPE_FD", Value: 1717840517},
	{Name: "BINDER_TYPE_FDA", Value: 1717854597},
	{Name: "BINDER_TYPE_HANDLE", Value: 1936206469},
	{Name: "BINDER_TYPE_PTR", Value: 1886661253},
	{Name: "BINDER_TYPE_WEAK_BINDER", Value: 2002922117},
	{Name: "BINDER_TYPE_WEAK_HANDLE", Value: 2003315333},
	{Name: "BINDER_WRITE_READ", Value: 3224396289},
	{Name: "BLKALIGNOFF", Value: 4730},
	{Name: "BLKBSZGET", Value: 2148012656},
	{Name: "BLKBSZSET", Value: 1074270833},
	{Name: "BLKDISCARD", Value: 4727},
	{Name: "BLKFLSBUF", Value: 4705},
	{Name: "BLKFRASET", Value: 4708},
	{Name: "BLKGETSIZE", Value: 4704},
	{Name: "BLKGETSIZE64", Value: 2148012658},
	{Name: "BLKIOMIN", Value: 4728},
	{Name: "BLKIOOPT", Value: 4729},
	{Name: "BLKPBSZGET", Value: 4731},
	{Name: "BLKPG", Value: 4713},
	{Name: "BLKRAGET", Value: 4707},
	{Name: "BLKREPORTZONE", Value: 3222278786},
	{Name: "BLKRESETZONE", Value: 1074795139},
	{Name: "BLKROGET", Value: 4702},
	{Name: "BLKROSET", Value: 4701},
	{Name: "BLKROTATIONAL", Value: 4734},
	{Name: "BLKRRPART", Value: 4703},
	{Name: "BLKSECDISCARD", Value: 4733},
	{Name: "BLKSECTGET", Value: 4711},
	{Name: "BLKTRACESETUP", Value: 3225948787},
	{Name: "BLKTRACESTART", Value: 4724},
	{Name: "BLKTRACESTOP", Value: 4725},
	{Name: "BLKTRACETEARDOWN", Value: 4726},
	{Name: "BLKTRACE_BDEV_SIZE", Value: 32},
	{Name: "BLKZEROOUT", Value: 4735},
	{Name: "BNEPCONNADD", Value: 1074021064},
	{Name: "BNEPCONNDEL", Value: 1074021065},
	{Name: "BNEPGETCONNINFO", Value: 2147762899},
	{Name: "BNEPGETCONNLIST", Value: 2147762898},
	{Name: "BNEPGETSUPPFEAT", Value: 2147762900},
	{Name: "BPF_ABS0", Value: 1},
	{Name: "BPF_ADD0"},
	{Name: "BPF_ALU", Value: 4},
	{Name: "BPF_ALU64", Value: 7},
	{Name: "BPF_AND0", Value: 5},
	{Name: "BPF_ANY"},
	{Name: "BPF_ARSH0", Value: 12},
	{Name: "BPF_B0", Value: 2},
	{Name: "BPF_CALL0", Value: 8},
	{Name: "BPF_CGROUP_DEVICE", Value: 6},
	{Name: "BPF_CGROUP_INET4_BIND", Value: 8},
	{Name: "BPF_CGROUP_INET4_CONNECT", Value: 10},
	{Name: "BPF_CGROUP_INET4_POST_BIND", Value: 12},
	{Name: "BPF_CGROUP_INET6_BIND", Value: 9},
	{Name: "BPF_CGROUP_INET6_CONNECT", Value: 11},
	{Name: "BPF_CGROUP_INET6_POST_BIND", Value: 13},
	{Name: "BPF_CGROUP_INET_EGRESS", Value: 1},
	{Name: "BPF_CGROUP_INET_INGRESS"},
	{Name: "BPF_CGROUP_INET_SOCK_CREATE", Value: 2},
	{Name: "BPF_CGROUP_SOCK_OPS", Value: 3},
	{Name: "BPF_DIV0", Value: 3},
	{Name: "BPF_DW0", Value: 3},
	{Name: "BPF_END0", Value: 13},
	{Name: "BPF_EXIST", Value: 2},
	{Name: "BPF_EXIT0", Value: 9},
	{Name: "BPF_F_ALLOW_MULTI", Value: 2},
	{Name: "BPF_F_ALLOW_OVERRIDE", Value: 1},
	{Name: "BPF_F_NO_COMMON_LRU", Value: 2},
	{Name: "BPF_F_NO_PREALLOC", Value: 1},
	{Name: "BPF_F_NUMA_NODE", Value: 4},
	{Name: "BPF_F_QUERY_EFFECTIVE", Value: 1},
	{Name: "BPF_F_RDONLY", Value: 8},
	{Name: "BPF_F_STACK_BUILD_ID", Value: 32},
	{Name: "BPF_F_STRICT_ALIGNMENT", Value: 1},
	{Name: "BPF_F_WRONLY", Value: 16},
	{Name: "BPF_H0", Value: 1},
	{Name: "BPF_IMM0"},
	{Name: "BPF_IND0", Value: 2},
	{Name: "BPF_JA0"},
	{Name: "BPF_JEQ0", Value: 1},
	{Name: "BPF_JGE0", Value: 3},
	{Name: "BPF_JGT0", Value: 2},
	{Name: "BPF_JLE0", Value: 11},
	{Name: "BPF_JLT0", Value: 10},
	{Name: "BPF_JMP", Value: 5},
	{Name: "BPF_JNE0", Value: 5},
	{Name: "BPF_JSET0", Value: 4},
	{Name: "BPF_JSGE0", Value: 7},
	{Name: "BPF_JSGT0", Value: 6},
	{Name: "BPF_JSLE0", Value: 13},
	{Name: "BPF_JSLT0", Value: 12},
	{Name: "BPF_LD"},
	{Name: "BPF_LDX", Value: 1},
	{Name: "BPF_LSH0", Value: 6},
	{Name: "BPF_MAP_CREATE"},
	{Name: "BPF_MAP_DELETE_ELEM", Value: 3},
	{Name: "BPF_MAP_GET_FD_BY_ID", Value: 14},
	{Name: "BPF_MAP_GET_NEXT_ID", Value: 12},
	{Name: "BPF_MAP_GET_NEXT_KEY", Value: 4},
	{Name: "BPF_MAP_LOOKUP_ELEM", Value: 1},
	{Name: "BPF_MAP_TYPE_ARRAY", Value: 2},
	{Name: "BPF_MAP_TYPE_ARRAY_OF_MAPS", Value: 12},
	{Name: "BPF_MAP_TYPE_CGROUP_ARRAY", Value: 8},
	{Name: "BPF_MAP_TYPE_CPUMAP", Value: 16},
	{Name: "BPF_MAP_TYPE_DEVMAP", Value: 14},
	{Name: "BPF_MAP_TYPE_HASH", Value: 1},
	{Name: "BPF_MAP_TYPE_HASH_OF_MAPS", Value: 13},
	{Name: "BPF_MAP_TYPE_LPM_TRIE", Value: 11},
	{Name: "BPF_MAP_TYPE_LRU_HASH", Value: 9},
	{Name: "BPF_MAP_TYPE_LRU_PERCPU_HASH", Value: 10},
	{Name: "BPF_MAP_TYPE_PERCPU_ARRAY", Value: 6},
	{Name: "BPF_MAP_TYPE_PERCPU_HASH", Value: 5},
	{Name: "BPF_MAP_TYPE_PERF_EVENT_ARRAY", Value: 4},
	{Name: "BPF_MAP_TYPE_PROG_ARRAY", Value: 3},
	{Name: "BPF_MAP_TYPE_SOCKMAP", Value: 15},
	{Name: "BPF_MAP_TYPE_STACK_TRACE", Value: 7},
	{Name: "BPF_MAP_UPDATE_ELEM", Value: 2},
	{Name: "BPF_MEM0", Value: 3},
	{Name: "BPF_MOD0", Value: 9},
	{Name: "BPF_MOV0", Value: 11},
	{Name: "BPF_MUL0", Value: 2},
	{Name: "BPF_NEG0", Value: 8},
	{Name: "BPF_NOEXIST", Value: 1},
	{Name: "BPF_OBJ_GET", Value: 7},
	{Name: "BPF_OBJ_GET_INFO_BY_FD", Value: 15},
	{Name: "BPF_OBJ_NAME_LEN", Value: 16},
	{Name: "BPF_OBJ_PIN", Value: 6},
	{Name: "BPF_OR0", Value: 4},
	{Name: "BPF_PROG_ATTACH", Value: 8},
	{Name: "BPF_PROG_DETACH", Value: 9},
	{Name: "BPF_PROG_GET_FD_BY_ID", Value: 13},
	{Name: "BPF_PROG_GET_NEXT_ID", Value: 11},
	{Name: "BPF_PROG_LOAD", Value: 5},
	{Name: "BPF_PROG_QUERY", Value: 16},
	{Name: "BPF_PROG_TEST_RUN", Value: 10},
	{Name: "BPF_PROG_TYPE_CGROUP_DEVICE", Value: 15},
	{Name: "BPF_PROG_TYPE_CGROUP_SKB", Value: 8},
	{Name: "BPF_PROG_TYPE_CGROUP_SOCK", Value: 9},
	{Name: "BPF_PROG_TYPE_CGROUP_SOCK_ADDR", Value: 18},
	{Name: "BPF_PROG_TYPE_KPROBE", Value: 2},
	{Name: "BPF_PROG_TYPE_LWT_IN", Value: 10},
	{Name: "BPF_PROG_TYPE_LWT_OUT", Value: 11},
	{Name: "BPF_PROG_TYPE_LWT_XMIT", Value: 12},
	{Name: "BPF_PROG_TYPE_PERF_EVENT", Value: 7},
	{Name: "BPF_PROG_TYPE_RAW_TRACEPOINT", Value: 17},
	{Name: "BPF_PROG_TYPE_SCHED_ACT", Value: 4},
	{Name: "BPF_PROG_TYPE_SCHED_CLS", Value: 3},
	{Name: "BPF_PROG_TYPE_SK_MSG", Value: 16},
	{Name: "BPF_PROG_TYPE_SK_SKB", Value: 14},
	{Name: "BPF_PROG_TYPE_SOCKET_FILTER", Value: 1},
	{Name: "BPF_PROG_TYPE_SOCK_OPS", Value: 13},
	{Name: "BPF_PROG_TYPE_TRACEPOINT", Value: 5},
	{Name: "BPF_PROG_TYPE_XDP", Value: 6},
	{Name: "BPF_PSEUDO_MAP_FD", Value: 1},
	{Name: "BPF_RAW_TRACEPOINT_OPEN", Value: 17},
	{Name: "BPF_REG_0"},
	{Name: "BPF_REG_1", Value: 1},
	{Name: "BPF_REG_10", Value: 10},
	{Name: "BPF_REG_2", Value: 2},
	{Name: "BPF_REG_3", Value: 3},
	{Name: "BPF_REG_4", Value: 4},
	{Name: "BPF_REG_5", Value: 5},
	{Name: "BPF_REG_6", Value: 6},
	{Name: "BPF_REG_7", Value: 7},
	{Name: "BPF_REG_8", Value: 8},
	{Name: "BPF_REG_9", Value: 9},
	{Name: "BPF_RSH0", Value: 7},
	{Name: "BPF_SK_MSG_VERDICT", Value: 7},
	{Name: "BPF_SK_SKB_STREAM_PARSER", Value: 4},
	{Name: "BPF_SK_SKB_STREAM_VERDICT", Value: 5},
	{Name: "BPF_ST", Value: 2},
	{Name: "BPF_STX", Value: 3},
	{Name: "BPF_SUB0", Value: 1},
	{Name: "BPF_W0"},
	{Name: "BPF_XADD0", Value: 6},
	{Name: "BPF_XOR0", Value: 10},
	{Name: "BRCTL_ADD_BRIDGE", Value: 2},
	{Name: "BRCTL_DEL_BRIDGE", Value: 3},
	{Name: "BRCTL_GET_BRIDGES", Value: 1},
	{Name: "BRCTL_GET_VERSION"},
	{Name: "BTPROTO_BNEP", Value: 4},
	{Name: "BTPROTO_CMTP", Value: 5},
	{Name: "BTPROTO_HCI", Value: 1},
	{Name: "BTPROTO_HIDP", Value: 6},
	{Name: "BTPROTO_L2CAP"},
	{Name: "BTPROTO_RFCOMM", Value: 3},
	{Name: "BTPROTO_SCO", Value: 2},
	{Name: "BT_CHANNEL_POLICY", Value: 10},
	{Name: "BT_DEFER_SETUP", Value: 7},
	{Name: "BT_FLUSHABLE", Value: 8},
	{Name: "BT_POWER", Value: 9},
	{Name: "BT_RCVMTU", Value: 13},
	{Name: "BT_SECURITY", Value: 4},
	{Name: "BT_SNDMTU", Value: 12},
	{Name: "BT_VOICE", Value: 11},
	{Name: "CANFD_BRS", Value: 1},
	{Name: "CANFD_ESI", Value: 2},
	{Name: "CANFD_MAX_DLEN", Value: 64},
	{Name: "CAN_BCM", Value: 2},
	{Name: "CAN_FD_FRAME", Value: 2048},
	{Name: "CAN_MAX_DLEN", Value: 8},
	{Name: "CAN_RAW", Value: 1},
	{Name: "CDO_AUTO_CLOSE", Value: 1},
	{Name: "CDO_AUTO_EJECT", Value: 2},
	{Name: "CDO_CHECK_TYPE", Value: 16},
	{Name: "CDO_LOCK", Value: 8},
	{Name: "CDO_USE_FFLAGS", Value: 4},
	{Name: "CDROMAUDIOBUFSIZ", Value: 21378},
	{Name: "CDROMCLOSETRAY", Value: 21273},
	{Name: "CDROMEJECT", Value: 21257},
	{Name: "CDROMEJECT_SW", Value: 21263},
	{Name: "CDROMGETSPINDOWN", Value: 21277},
	{Name: "CDROMMULTISESSION", Value: 21264},
	{Name: "CDROMPAUSE", Value: 21249},
	{Name: "CDROMPLAYBLK", Value: 21271},
	{Name: "CDROMPLAYMSF", Value: 21251},
	{Name: "CDROMPLAYTRKIND", Value: 21252},
	{Name: "CDROMREADALL", Value: 21272},
	{Name: "CDROMREADAUDIO", Value: 21262},
	{Name: "CDROMREADCOOKED", Value: 21269},
	{Name: "CDROMREADMODE1", Value: 21261},
	{Name: "CDROMREADMODE2", Value: 21260},
	{Name: "CDROMREADRAW", Value: 21268},
	{Name: "CDROMREADTOCENTRY", Value: 21254},
	{Name: "CDROMREADTOCHDR", Value: 21253},
	{Name: "CDROMRESET", Value: 21266},
	{Name: "CDROMRESUME", Value: 21250},
	{Name: "CDROMSEEK", Value: 21270},
	{Name: "CDROMSETSPINDOWN", Value: 21278},
	{Name: "CDROMSTART", Value: 21256},
	{Name: "CDROMSTOP", Value: 21255},
	{Name: "CDROMSUBCHNL", Value: 21259},
	{Name: "CDROMVOLCTRL", Value: 21258},
	{Name: "CDROMVOLREAD", Value: 21267},
	{Name: "CDROM_CHANGER_NSLOTS", Value: 21288},
	{Name: "CDROM_CLEAR_OPTIONS", Value: 21281},
	{Name: "CDROM_DEBUG", Value: 21296},
	{Name: "CDROM_DISC_STATUS", Value: 21287},
	{Name: "CDROM_GET_CAPABILITY", Value: 21297},
	{Name: "CDROM_GET_MCN", Value: 21265},
	{Name: "CDROM_LAST_WRITTEN", Value: 21397},
	{Name: "CDROM_LBA", Value: 1},
	{Name: "CDROM_LOCKDOOR", Value: 21289},
	{Name: "CDROM_MEDIA_CHANGED", Value: 21285},
	{Name: "CDROM_MSF", Value: 2},
	{Name: "CDROM_MSF_OUT_STUB_SIZE", Value: 2640},
	{Name: "CDROM_NEXT_WRITABLE", Value: 21396},
	{Name: "CDROM_PACKET_SIZE", Value: 12},
	{Name: "CDROM_SELECT_SPEED", Value: 21282},
	{Name: "CDROM_SEND_PACKET", Value: 21395},
	{Name: "CDROM_SET_OPTIONS", Value: 21280},
	{Name: "CD_FRAMES", Value: 75},
	{Name: "CD_FRAMESIZE_RAWER", Value: 2646},
	{Name: "CGC_DATA_NONE", Value: 3},
	{Name: "CGC_DATA_READ", Value: 2},
	{Name: "CGC_DATA_UNKNOWN"},
	{Name: "CGC_DATA_WRITE", Value: 1},
	{Name: "CGROUP_OPEN_FLAGS", Value: 2097154},
	{Name: "CIPSO_V4_TAG_ENUM", Value: 2},
	{Name: "CIPSO_V4_TAG_FREEFORM", Value: 7},
	{Name: "CIPSO_V4_TAG_INVALID"},
	{Name: "CIPSO_V4_TAG_PBITMAP", Value: 6},
	{Name: "CIPSO_V4_TAG_RANGE", Value: 5},
	{Name: "CIPSO_V4_TAG_RBITMAP", Value: 1},
	{Name: "CLOCK_BOOTTIME", Value: 7},
	{Name: "CLOCK_MONOTONIC", Value: 1},
	{Name: "CLOCK_MONOTONIC_COARSE", Value: 6},
	{Name: "CLOCK_MONOTONIC_RAW", Value: 4},
	{Name: "CLOCK_PROCESS_CPUTIME_ID", Value: 2},
	{Name: "CLOCK_REALTIME"},
	{Name: "CLOCK_REALTIME_COARSE", Value: 5},
	{Name: "CLOCK_THREAD_CPUTIME_ID", Value: 3},
	{Name: "CLONE_CHILD_CLEARTID", Value: 2097152},
	{Name: "CLONE_CHILD_SETTID", Value: 16777216},
	{Name: "CLONE_FILES", Value: 1024},
	{Name: "CLONE_FS", Value: 512},
	{Name: "CLONE_IO", Value: 2147483648},
	{Name: "CLONE_NEWCGROUP", Value: 33554432},
	{Name: "CLONE_NEWIPC", Value: 134217728},
	{Name: "CLONE_NEWNET", Value: 1073741824},
	{Name: "CLONE_NEWNS", Value: 131072},
	{Name: "CLONE_NEWPID", Value: 536870912},
	{Name: "CLONE_NEWUSER", Value: 268435456},
	{Name: "CLONE_NEWUTS", Value: 67108864},
	{Name: "CLONE_PARENT", Value: 32768},
	{Name: "CLONE_PARENT_SETTID", Value: 1048576},
	{Name: "CLONE_PTRACE", Value: 8192},
	{Name: "CLONE_SETTLS", Value: 524288},
	{Name: "CLONE_SIGHAND", Value: 2048},
	{Name: "CLONE_SYSVSEM", Value: 262144},
	{Name: "CLONE_THREAD", Value: 65536},
	{Name: "CLONE_UNTRACED", Value: 8388608},
	{Name: "CLONE_VFORK", Value: 16384},
	{Name: "CLONE_VM", Value: 256},
	{Name: "CLUSTERIP_HASHMODE_SIP"},
	{Name: "CLUSTERIP_HASHMODE_SIP_SPT", Value: 1},
	{Name: "CLUSTERIP_HASHMODE_SIP_SPT_DPT", Value: 2},
	{Name: "CLUSTERIP_MAX_NODES", Value: 16},
	{Name: "CMTPCONNADD", Value: 1074021320},
	{Name: "CMTPCONNDEL", Value: 1074021321},
	{Name: "CMTPGETCONNINFO", Value: 2147763155},
	{Name: "CMTPGETCONNLIST", Value: 2147763154},
	{Name: "CRYPTOCFGA_PRIORITY_VAL", Value: 1},
	{Name: "CRYPTO_ALG_ASYNC", Value: 128},
	{Name: "CRYPTO_ALG_DEAD", Value: 32},
	{Name: "CRYPTO_ALG_DYING", Value: 64},
	{Name: "CRYPTO_ALG_GENIV", Value: 512},
	{Name: "CRYPTO_ALG_INSTANCE", Value: 2048},
	{Name: "CRYPTO_ALG_INTERNAL", Value: 8192},
	{Name: "CRYPTO_ALG_KERN_DRIVER_ONLY", Value: 4096},
	{Name: "CRYPTO_ALG_LARVAL", Value: 16},
	{Name: "CRYPTO_ALG_NEED_FALLBACK", Value: 256},
	{Name: "CRYPTO_ALG_TESTED", Value: 1024},
	{Name: "CRYPTO_ALG_TYPE_ABLKCIPHER", Value: 5},
	{Name: "CRYPTO_ALG_TYPE_AEAD", Value: 3},
	{Name: "CRYPTO_ALG_TYPE_AHASH", Value: 15},
	{Name: "CRYPTO_ALG_TYPE_AKCIPHER", Value: 13},
	{Name: "CRYPTO_ALG_TYPE_BLKCIPHER", Value: 4},
	{Name: "CRYPTO_ALG_TYPE_CIPHER", Value: 1},
	{Name: "CRYPTO_ALG_TYPE_COMPRESS", Value: 2},
	{Name: "CRYPTO_ALG_TYPE_DIGEST", Value: 14},
	{Name: "CRYPTO_ALG_TYPE_GIVCIPHER", Value: 6},
	{Name: "CRYPTO_ALG_TYPE_HASH", Value: 14},
	{Name: "CRYPTO_ALG_TYPE_MASK", Value: 15},
	{Name: "CRYPTO_ALG_TYPE_PCOMPRESS", Value: 15},
	{Name: "CRYPTO_ALG_TYPE_RNG", Value: 12},
	{Name: "CRYPTO_ALG_TYPE_SHASH", Value: 14},
	{Name: "CRYPTO_MAX_NAME", Value: 64},
	{Name: "CRYPTO_MSG_DELALG", Value: 17},
	{Name: "CRYPTO_MSG_DELRNG", Value: 20},
	{Name: "CRYPTO_MSG_GETALG", Value: 19},
	{Name: "CRYPTO_MSG_NEWALG", Value: 16},
	{Name: "CRYPTO_MSG_UPDATEALG", Value: 18},
	{Name: "DCCP_PKT_ACK", Value: 3},
	{Name: "DCCP_PKT_CLOSE", Value: 6},
	{Name: "DCCP_PKT_CLOSEREQ", Value: 5},
	{Name: "DCCP_PKT_DATA", Value: 2},
	{Name: "DCCP_PKT_DATAACK", Value: 4},
	{Name: "DCCP_PKT_INVALID", Value: 10},
	{Name: "DCCP_PKT_REQUEST"},
	{Name: "DCCP_PKT_RESET", Value: 7},
	{Name: "DCCP_PKT_RESPONSE", Value: 1},
	{Name: "DCCP_PKT_SYNC", Value: 8},
	{Name: "DCCP_PKT_SYNCACK", Value: 9},
	{Name: "DCCP_SOCKOPT_AVAILABLE_CCIDS", Value: 12},
	{Name: "DCCP_SOCKOPT_CCID", Value: 13},
	{Name: "DCCP_SOCKOPT_CCID_RX_INFO", Value: 128},
	{Name: "DCCP_SOCKOPT_CCID_TX_INFO", Value: 192},
	{Name: "DCCP_SOCKOPT_CHANGE_L", Value: 3},
	{Name: "DCCP_SOCKOPT_CHANGE_R", Value: 4},
	{Name: "DCCP_SOCKOPT_GET_CUR_MPS", Value: 5},
	{Name: "DCCP_SOCKOPT_PACKET_SIZE", Value: 1},
	{Name: "DCCP_SOCKOPT_QPOLICY_ID", Value: 16},
	{Name: "DCCP_SOCKOPT_QPOLICY_TXQLEN", Value: 17},
	{Name: "DCCP_SOCKOPT_RECV_CSCOV", Value: 11},
	{Name: "DCCP_SOCKOPT_RX_CCID", Value: 15},
	{Name: "DCCP_SOCKOPT_SEND_CSCOV", Value: 10},
	{Name: "DCCP_SOCKOPT_SERVER_TIMEWAIT", Value: 6},
	{Name: "DCCP_SOCKOPT_SERVICE", Value: 2},
	{Name: "DCCP_SOCKOPT_TX_CCID", Value: 14},
	{Name: "DMA_BUF_IOCTL_SYNC", Value: 1074291200},
	{Name: "DMA_BUF_SYNC_END", Value: 4},
	{Name: "DMA_BUF_SYNC_READ", Value: 1},
	{Name: "DMA_BUF_SYNC_WRITE", Value: 2},
	{Name: "DN_ACCESS", Value: 1},
	{Name: "DN_ATTRIB", Value: 32},
	{Name: "DN_CREATE", Value: 4},
	{Name: "DN_DELETE", Value: 8},
	{Name: "DN_MODIFY", Value: 2},
	{Name: "DN_MULTISHOT", Value: 2147483648},
	{Name: "DN_RENAME", Value: 16},
	{Name: "DRM_ADD_COMMAND"},
	{Name: "DRM_DISPLAY_MODE_LEN", Value: 32},
	{Name: "DRM_INST_HANDLER", Value: 2},
	{Name: "DRM_IOCTL_ADD_BUFS", Value: 3223348246},
	{Name: "DRM_IOCTL_ADD_CTX", Value: 3221775392},
	{Name: "DRM_IOCTL_ADD_MAP", Value: 3223872533},
	{Name: "DRM_IOCTL_AGP_ACQUIRE", Value: 25648},
	{Name: "DRM_IOCTL_AGP_ALLOC", Value: 3223348276},
	{Name: "DRM_IOCTL_AGP_BIND", Value: 1074816054},
	{Name: "DRM_IOCTL_AGP_ENABLE", Value: 1074291762},
	{Name: "DRM_IOCTL_AGP_FREE", Value: 1075864629},
	{Name: "DRM_IOCTL_AGP_INFO", Value: 2151179315},
	{Name: "DRM_IOCTL_AGP_RELEASE", Value: 25649},
	{Name: "DRM_IOCTL_AGP_UNBIND", Value: 1074816055},
	{Name: "DRM_IOCTL_AUTH_MAGIC", Value: 1074029585},
	{Name: "DRM_IOCTL_CONTROL", Value: 1074291732},
	{Name: "DRM_IOCTL_DMA", Value: 3225445417},
	{Name: "DRM_IOCTL_DROP_MASTER", Value: 25631},
	{Name: "DRM_IOCTL_FREE_BUFS", Value: 1074816026},
	{Name: "DRM_IOCTL_GEM_CLOSE", Value: 1074291721},
	{Name: "DRM_IOCTL_GEM_FLINK", Value: 3221775370},
	{Name: "DRM_IOCTL_GEM_OPEN", Value: 3222299659},
	{Name: "DRM_IOCTL_GET_CAP", Value: 3222299660},
	{Name: "DRM_IOCTL_GET_CLIENT", Value: 3223872517},
	{Name: "DRM_IOCTL_GET_CTX", Value: 3221775395},
	{Name: "DRM_IOCTL_GET_MAGIC", Value: 2147771394},
	{Name: "DRM_IOCTL_GET_MAP", Value: 3223872516},
	{Name: "DRM_IOCTL_GET_SAREA_CTX", Value: 3222299677},
	{Name: "DRM_IOCTL_GET_STATS", Value: 2163762182},
	{Name: "DRM_IOCTL_GET_UNIQUE", Value: 3222299649},
	{Name: "DRM_IOCTL_INFO_BUFS", Value: 3222299672},
	{Name: "DRM_IOCTL_IRQ_BUSID", Value: 3222299651},
	{Name: "DRM_IOCTL_LOCK", Value: 1074291754},
	{Name: "DRM_IOCTL_MAP_BUFS", Value: 3222823961},
	{Name: "DRM_IOCTL_MARK_BUFS", Value: 1075864599},
	{Name: "DRM_IOCTL_MODESET_CTL", Value: 1074291720},
	{Name: "DRM_IOCTL_MODE_GETCRTC", Value: 3228066977},
	{Name: "DRM_IOCTL_MODE_GETPLANERESOURCES", Value: 3222299829},
	{Name: "DRM_IOCTL_MODE_GETRESOURCES", Value: 3225445536},
	{Name: "DRM_IOCTL_MODE_SETCRTC", Value: 3228066978},
	{Name: "DRM_IOCTL_NEW_CTX", Value: 1074291749},
	{Name: "DRM_IOCTL_PRIME_FD_TO_HANDLE", Value: 3222037550},
	{Name: "DRM_IOCTL_PRIME_HANDLE_TO_FD", Value: 3222037549},
	{Name: "DRM_IOCTL_RES_CTX", Value: 3222299686},
	{Name: "DRM_IOCTL_RM_CTX", Value: 3221775393},
	{Name: "DRM_IOCTL_RM_MAP", Value: 1076388891},
	{Name: "DRM_IOCTL_SET_CLIENT_CAP", Value: 1074816013},
	{Name: "DRM_IOCTL_SET_MASTER", Value: 25630},
	{Name: "DRM_IOCTL_SET_SAREA_CTX", Value: 1074816028},
	{Name: "DRM_IOCTL_SET_UNIQUE", Value: 1074816016},
	{Name: "DRM_IOCTL_SET_VERSION", Value: 3222299655},
	{Name: "DRM_IOCTL_SG_ALLOC", Value: 3222299704},
	{Name: "DRM_IOCTL_SG_FREE", Value: 1074816057},
	{Name: "DRM_IOCTL_SWITCH_CTX", Value: 1074291748},
	{Name: "DRM_IOCTL_UNLOCK", Value: 1074291755},
	{Name: "DRM_IOCTL_VERSION", Value: 3225445376},
	{Name: "DRM_IOCTL_WAIT_VBLANK", Value: 3222823994},
	{Name: "DRM_RM_COMMAND", Value: 1},
	{Name: "DRM_UNINST_HANDLER", Value: 3},
	{Name: "DVD_HOST_SEND_CHALLENGE", Value: 1},
	{Name: "DVD_HOST_SEND_KEY2", Value: 4},
	{Name: "DVD_HOST_SEND_RPC_STATE", Value: 11},
	{Name: "DVD_INVALIDATE_AGID", Value: 9},
	{Name: "DVD_LAYERS", Value: 4},
	{Name: "DVD_LU_SEND_AGID"},
	{Name: "DVD_LU_SEND_ASF", Value: 8},
	{Name: "DVD_LU_SEND_CHALLENGE", Value: 3},
	{Name: "DVD_LU_SEND_KEY1", Value: 2},
	{Name: "DVD_LU_SEND_RPC_STATE", Value: 10},
	{Name: "DVD_LU_SEND_TITLE_KEY", Value: 7},
	{Name: "DVD_READ_STRUCT", Value: 21392},
	{Name: "DVD_STRUCT_BCA", Value: 3},
	{Name: "DVD_STRUCT_COPYRIGHT", Value: 1},
	{Name: "DVD_STRUCT_DISCKEY", Value: 2},
	{Name: "DVD_STRUCT_MANUFACT", Value: 4},
	{Name: "DVD_STRUCT_PHYSICAL"},
	{Name: "EBT_802_3", Value: 4},
	{Name: "EBT_802_3_F", Value: 5},
	{Name: "EBT_802_3_SAP", Value: 1},
	{Name: "EBT_802_3_TYPE", Value: 2},
	{Name: "EBT_ACCEPT", Value: 18446744073709551615},
	{Name: "EBT_AMONG_DST_NEG", Value: 1},
	{Name: "EBT_AMONG_SRC_NEG", Value: 2},
	{Name: "EBT_ARP_DST_IP", Value: 16},
	{Name: "EBT_ARP_DST_MAC", Value: 64},
	{Name: "EBT_ARP_GRAT", Value: 128},
	{Name: "EBT_ARP_HTYPE", Value: 2},
	{Name: "EBT_ARP_OPCODE", Value: 1},
	{Name: "EBT_ARP_PTYPE", Value: 4},
	{Name: "EBT_ARP_SRC_IP", Value: 8},
	{Name: "EBT_ARP_SRC_MAC", Value: 32},
	{Name: "EBT_BROUTE_VALID_HOOKS", Value: 32},
	{Name: "EBT_CHAIN_MAXNAMELEN", Value: 32},
	{Name: "EBT_CONTINUE", Value: 18446744073709551613},
	{Name: "EBT_DESTMAC_F", Value: 17},
	{Name: "EBT_DROP", Value: 18446744073709551614},
	{Name: "EBT_FILTER_VALID_HOOKS", Value: 14},
	{Name: "EBT_FUNCTION_MAXNAMELEN", Value: 32},
	{Name: "EBT_IDEST", Value: 16},
	{Name: "EBT_IIN", Value: 2},
	{Name: "EBT_ILOGICALIN", Value: 32},
	{Name: "EBT_ILOGICALOUT", Value: 64},
	{Name: "EBT_IOUT", Value: 4},
	{Name: "EBT_IP6_DEST", Value: 2},
	{Name: "EBT_IP6_DPORT", Value: 32},
	{Name: "EBT_IP6_ICMP6", Value: 64},
	{Name: "EBT_IP6_PROTO", Value: 8},
	{Name: "EBT_IP6_SOURCE", Value: 1},
	{Name: "EBT_IP6_SPORT", Value: 16},
	{Name: "EBT_IP6_TCLASS", Value: 4},
	{Name: "EBT_IPROTO", Value: 1},
	{Name: "EBT_IP_DEST", Value: 2},
	{Name: "EBT_IP_DPORT", Value: 32},
	{Name: "EBT_IP_PROTO", Value: 8},
	{Name: "EBT_IP_SOURCE", Value: 1},
	{Name: "EBT_IP_SPORT", Value: 16},
	{Name: "EBT_IP_TOS", Value: 4},
	{Name: "EBT_ISOURCE", Value: 8},
	{Name: "EBT_LOG_ARP", Value: 2},
	{Name: "EBT_LOG_IP", Value: 1},
	{Name: "EBT_LOG_IP6", Value: 8},
	{Name: "EBT_LOG_NFLOG", Value: 4},
	{Name: "EBT_LOG_PREFIX_SIZE", Value: 30},
	{Name: "EBT_MARK_AND", Value: 1},
	{Name: "EBT_MARK_OR", Value: 2},
	{Name: "EBT_NAT_VALID_HOOKS", Value: 25},
	{Name: "EBT_NFLOG_PREFIX_SIZE", Value: 64},
	{Name: "EBT_NOPROTO_F", Value: 3},
	{Name: "EBT_RETURN", Value: 18446744073709551612},
	{Name: "EBT_SOURCEMAC_F", Value: 9},
	{Name: "EBT_SO_GET_ENTRIES", Value: 129},
	{Name: "EBT_SO_GET_INFO", Value: 128},
	{Name: "EBT_SO_GET_INIT_ENTRIES", Value: 131},
	{Name: "EBT_SO_GET_INIT_INFO", Value: 130},
	{Name: "EBT_SO_SET_COUNTERS", Value: 129},
	{Name: "EBT_SO_SET_ENTRIES", Value: 128},
	{Name: "EBT_STP_FLAGS", Value: 2},
	{Name: "EBT_STP_FWDD", Value: 2048},
	{Name: "EBT_STP_HELLOTIME", Value: 1024},
	{Name: "EBT_STP_MAXAGE", Value: 512},
	{Name: "EBT_STP_MSGAGE", Value: 256},
	{Name: "EBT_STP_PORT", Value: 128},
	{Name: "EBT_STP_ROOTADDR", Value: 8},
	{Name: "EBT_STP_ROOTCOST", Value: 16},
	{Name: "EBT_STP_ROOTPRIO", Value: 4},
	{Name: "EBT_STP_SENDERADDR", Value: 64},
	{Name: "EBT_STP_SENDERPRIO", Value: 32},
	{Name: "EBT_STP_TYPE", Value: 1},
	{Name: "EBT_VLAN_ENCAP", Value: 4},
	{Name: "EBT_VLAN_ID", Value: 1},
	{Name: "EBT_VLAN_PRIO", Value: 2},
	{Name: "EFD_CLOEXEC", Value: 524288},
	{Name: "EFD_NONBLOCK", Value: 2048},
	{Name: "EFD_SEMAPHORE", Value: 1},
	{Name: "ELF32_PHDR_SIZE", Value: 32},
	{Name: "ELF64_PHDR_SIZE", Value: 56},
	{Name: "EM_386", Value: 3},
	{Name: "EM_486", Value: 6},
	{Name: "EM_X86_64", Value: 62},
	{Name: "EPOLLET", Value: 2147483648},
	{Name: "EPOLLEXCLUSIVE", Value: 268435456},
	{Name: "EPOLLONESHOT", Value: 1073741824},
	{Name: "EPOLLWAKEUP", Value: 536870912},
	{Name: "EPOLL_CLOEXEC", Value: 524288},
	{Name: "EPOLL_CTL_ADD", Value: 1},
	{Name: "EPOLL_CTL_DEL", Value: 2},
	{Name: "EPOLL_CTL_MOD", Value: 3},
	{Name: "ESP_V4_FLOW", Value: 10},
	{Name: "ESP_V6_FLOW", Value: 12},
	{Name: "ETHER_FLOW", Value: 18},
	{Name: "ETHTOOL_BUSINFO_LEN", Value: 32},
	{Name: "ETHTOOL_EROMVERS_LEN", Value: 32},
	{Name: "ETHTOOL_FLASHDEV", Value: 51},
	{Name: "ETHTOOL_FLASH_MAX_FILENAME", Value: 128},
	{Name: "ETHTOOL_FWVERS_LEN", Value: 32},
	{Name: "ETHTOOL_GCHANNELS", Value: 60},
	{Name: "ETHTOOL_GCOALESCE", Value: 14},
	{Name: "ETHTOOL_GDRVINFO", Value: 3},
	{Name: "ETHTOOL_GEEE", Value: 68},
	{Name: "ETHTOOL_GEEPROM", Value: 11},
	{Name: "ETHTOOL_GET_DUMP_DATA", Value: 64},
	{Name: "ETHTOOL_GET_DUMP_FLAG", Value: 63},
	{Name: "ETHTOOL_GET_TS_INFO", Value: 65},
	{Name: "ETHTOOL_GFEATURES", Value: 58},
	{Name: "ETHTOOL_GFLAGS", Value: 37},
	{Name: "ETHTOOL_GGRO", Value: 43},
	{Name: "ETHTOOL_GGSO", Value: 35},
	{Name: "ETHTOOL_GLINK", Value: 10},
	{Name: "ETHTOOL_GLINKSETTINGS", Value: 76},
	{Name: "ETHTOOL_GMODULEEEPROM", Value: 67},
	{Name: "ETHTOOL_GMODULEINFO", Value: 66},
	{Name: "ETHTOOL_GMSGLVL", Value: 7},
	{Name: "ETHTOOL_GPAUSEPARAM", Value: 18},
	{Name: "ETHTOOL_GPERMADDR", Value: 32},
	{Name: "ETHTOOL_GPFLAGS", Value: 39},
	{Name: "ETHTOOL_GPHYSTATS", Value: 74},
	{Name: "ETHTOOL_GREGS", Value: 4},
	{Name: "ETHTOOL_GRINGPARAM", Value: 16},
	{Name: "ETHTOOL_GRSSH", Value: 70},
	{Name: "ETHTOOL_GRXCLSRLALL", Value: 48},
	{Name: "ETHTOOL_GRXCLSRLCNT", Value: 46},
	{Name: "ETHTOOL_GRXCLSRULE", Value: 47},
	{Name: "ETHTOOL_GRXCSUM", Value: 20},
	{Name: "ETHTOOL_GRXFH", Value: 41},
	{Name: "ETHTOOL_GRXFHINDIR", Value: 56},
	{Name: "ETHTOOL_GRXNTUPLE", Value: 54},
	{Name: "ETHTOOL_GRXRINGS", Value: 45},
	{Name: "ETHTOOL_GSET", Value: 1},
	{Name: "ETHTOOL_GSG", Value: 24},
	{Name: "ETHTOOL_GSSET_INFO", Value: 55},
	{Name: "ETHTOOL_GSTATS", Value: 29},
	{Name: "ETHTOOL_GSTRINGS", Value: 27},
	{Name: "ETHTOOL_GTSO", Value: 30},
	{Name: "ETHTOOL_GTUNABLE", Value: 72},
	{Name: "ETHTOOL_GTXCSUM", Value: 22},
	{Name: "ETHTOOL_GUFO", Value: 33},
	{Name: "ETHTOOL_GWOL", Value: 5},
	{Name: "ETHTOOL_NWAY_RST", Value: 9},
	{Name: "ETHTOOL_PERQUEUE", Value: 75},
	{Name: "ETHTOOL_PHYS_ID", Value: 28},
	{Name: "ETHTOOL_PHY_GTUNABLE", Value: 78},
	{Name: "ETHTOOL_PHY_STUNABLE", Value: 79},
	{Name: "ETHTOOL_RESET", Value: 52},
	{Name: "ETHTOOL_RXNTUPLE_ACTION_CLEAR", Value: 18446744073709551614},
	{Name: "ETHTOOL_RXNTUPLE_ACTION_DROP", Value: 18446744073709551615},
	{Name: "ETHTOOL_SCHANNELS", Value: 61},
	{Name: "ETHTOOL_SCOALESCE", Value: 15},
	{Name: "ETHTOOL_SEEE", Value: 69},
	{Name: "ETHTOOL_SEEPROM", Value: 12},
	{Name: "ETHTOOL_SET_DUMP", Value: 62},
	{Name: "ETHTOOL_SFEATURES", Value: 59},
	{Name: "ETHTOOL_SFLAGS", Value: 38},
	{Name: "ETHTOOL_SGRO", Value: 44},
	{Name: "ETHTOOL_SGSO", Value: 36},
	{Name: "ETHTOOL_SLINKSETTINGS", Value: 77},
	{Name: "ETHTOOL_SMSGLVL", Value: 8},
	{Name: "ETHTOOL_SPAUSEPARAM", Value: 19},
	{Name: "ETHTOOL_SPFLAGS", Value: 40},
	{Name: "ETHTOOL_SRINGPARAM", Value: 17},
	{Name: "ETHTOOL_SRSSH", Value: 71},
	{Name: "ETHTOOL_SRXCLSRLDEL", Value: 49},
	{Name: "ETHTOOL_SRXCLSRLINS", Value: 50},
	{Name: "ETHTOOL_SRXCSUM", Value: 21},
	{Name: "ETHTOOL_SRXFH", Value: 42},
	{Name: "ETHTOOL_SRXFHINDIR", Value: 57},
	{Name: "ETHTOOL_SRXNTUPLE", Value: 53},
	{Name: "ETHTOOL_SSET", Value: 2},
	{Name: "ETHTOOL_SSG", Value: 25},
	{Name: "ETHTOOL_STSO", Value: 31},
	{Name: "ETHTOOL_STUNABLE", Value: 73},
	{Name: "ETHTOOL_STXCSUM", Value: 23},
	{Name: "ETHTOOL_SUFO", Value: 34},
	{Name: "ETHTOOL_SWOL", Value: 6},
	{Name: "ETHTOOL_TEST", Value: 26},
	{Name: "ETH_P_1588", Value: 35063},
	{Name: "ETH_P_8021AD", Value: 34984},
	{Name: "ETH_P_8021AH", Value: 35047},
	{Name: "ETH_P_8021Q", Value: 33024},
	{Name: "ETH_P_80221", Value: 35095},
	{Name: "ETH_P_802_2", Value: 4},
	{Name: "ETH_P_802_3", Value: 1},
	{Name: "ETH_P_802_3_MIN", Value: 1536},
	{Name: "ETH_P_802_EX1", Value: 34997},
	{Name: "ETH_P_AARP", Value: 33011},
	{Name: "ETH_P_AF_IUCV", Value: 64507},
	{Name: "ETH_P_ALL", Value: 3},
	{Name: "ETH_P_ALL_BE", Value: 768},
	{Name: "ETH_P_AOE", Value: 34978},
	{Name: "ETH_P_ARCNET", Value: 26},
	{Name: "ETH_P_ARP", Value: 2054},
	{Name: "ETH_P_ATALK", Value: 32923},
	{Name: "ETH_P_ATMFATE", Value: 34948},
	{Name: "ETH_P_ATMMPOA", Value: 34892},
	{Name: "ETH_P_AX25", Value: 2},
	{Name: "ETH_P_BATMAN", Value: 17157},
	{Name: "ETH_P_CAIF", Value: 247},
	{Name: "ETH_P_CAN", Value: 12},
	{Name: "ETH_P_CANFD", Value: 13},
	{Name: "ETH_P_CONTROL", Value: 22},
	{Name: "ETH_P_CUST", Value: 24582},
	{Name: "ETH_P_DDCMP", Value: 6},
	{Name: "ETH_P_DEC", Value: 24576},
	{Name: "ETH_P_DIAG", Value: 24581},
	{Name: "ETH_P_DNA_DL", Value: 24577},
	{Name: "ETH_P_DNA_RC", Value: 24578},
	{Name: "ETH_P_DNA_RT", Value: 24579},
	{Name: "ETH_P_DSA", Value: 27},
	{Name: "ETH_P_ECONET", Value: 24},
	{Name: "ETH_P_EDSA", Value: 56026},
	{Name: "ETH_P_ERSPAN", Value: 35006},
	{Name: "ETH_P_ERSPAN2", Value: 8939},
	{Name: "ETH_P_FCOE", Value: 35078},
	{Name: "ETH_P_FIP", Value: 35092},
	{Name: "ETH_P_HDLC", Value: 25},
	{Name: "ETH_P_HSR", Value: 35119},
	{Name: "ETH_P_IEEE802154", Value: 246},
	{Name: "ETH_P_IEEEPUP", Value: 2560},
	{Name: "ETH_P_IEEEPUPAT", Value: 2561},
	{Name: "ETH_P_IP", Value: 2048},
	{Name: "ETH_P_IPV6", Value: 34525},
	{Name: "ETH_P_IPX", Value: 33079},
	{Name: "ETH_P_IRDA", Value: 23},
	{Name: "ETH_P_LAT", Value: 24580},
	{Name: "ETH_P_LINK_CTL", Value: 34924},
	{Name: "ETH_P_LOCALTALK", Value: 9},
	{Name: "ETH_P_LOOP", Value: 96},
	{Name: "ETH_P_LOOPBACK", Value: 36864},
	{Name: "ETH_P_MACSEC", Value: 35045},
	{Name: "ETH_P_MAP", Value: 249},
	{Name: "ETH_P_MOBITEX", Value: 21},
	{Name: "ETH_P_MPLS_MC", Value: 34888},
	{Name: "ETH_P_MPLS_UC", Value: 34887},
	{Name: "ETH_P_MVRP", Value: 35061},
	{Name: "ETH_P_NCSI", Value: 35064},
	{Name: "ETH_P_PAE", Value: 34958},
	{Name: "ETH_P_PAUSE", Value: 34824},
	{Name: "ETH_P_PHONET", Value: 245},
	{Name: "ETH_P_PPPTALK", Value: 16},
	{Name: "ETH_P_PPP_DISC", Value: 34915},
	{Name: "ETH_P_PPP_MP", Value: 8},
	{Name: "ETH_P_PPP_SES", Value: 34916},
	{Name: "ETH_P_PRP", Value: 35067},
	{Name: "ETH_P_PUP", Value: 512},
	{Name: "ETH_P_PUPAT", Value: 513},
	{Name: "ETH_P_QINQ1", Value: 37120},
	{Name: "ETH_P_QINQ2", Value: 37376},
	{Name: "ETH_P_QINQ3", Value: 37632},
	{Name: "ETH_P_RARP", Value: 32821},
	{Name: "ETH_P_SCA", Value: 24583},
	{Name: "ETH_P_SLOW", Value: 34825},
	{Name: "ETH_P_SNAP", Value: 5},
	{Name: "ETH_P_TDLS", Value: 35085},
	{Name: "ETH_P_TEB", Value: 25944},
	{Name: "ETH_P_TIPC", Value: 35018},
	{Name: "ETH_P_TRAILER", Value: 28},
	{Name: "ETH_P_TR_802_2", Value: 17},
	{Name: "ETH_P_TSN", Value: 8944},
	{Name: "ETH_P_WAN_PPP", Value: 7},
	{Name: "ETH_P_WCCP", Value: 34878},
	{Name: "ETH_P_X25", Value: 2053},
	{Name: "ETH_P_XDSA", Value: 248},
	{Name: "ETH_RX_NFC_IP4", Value: 1},
	{Name: "ET_DYN", Value: 3},
	{Name: "ET_EXEC", Value: 2},
	{Name: "EVIOCGABS0", Value: 2149074240},
	{Name: "EVIOCGABS20", Value: 2149074272},
	{Name: "EVIOCGABS2F", Value: 2149074287},
	{Name: "EVIOCGABS3F", Value: 2149074303},
	{Name: "EVIOCGBITKEY64", Value: 2151695649},
	{Name: "EVIOCGBITSND64", Value: 2151695666},
	{Name: "EVIOCGBITSW64", Value: 2151695653},
	{Name: "EVIOCGEFFECTS", Value: 2147763588},
	{Name: "EVIOCGID", Value: 2148025602},
	{Name: "EVIOCGKEY64", Value: 2151695640},
	{Name: "EVIOCGKEYCODE", Value: 2148025604},
	{Name: "EVIOCGKEYCODE_V2", Value: 2150122756},
	{Name: "EVIOCGLED64", Value: 2151695641},
	{Name: "EVIOCGMASK", Value: 2148550034},
	{Name: "EVIOCGMTSLOTS64", Value: 2151695626},
	{Name: "EVIOCGNAME64", Value: 2151695622},
	{Name: "EVIOCGPHYS64", Value: 2151695623},
	{Name: "EVIOCGPROP64", Value: 2151695625},
	{Name: "EVIOCGRAB", Value: 1074021776},
	{Name: "EVIOCGREP", Value: 2148025603},
	{Name: "EVIOCGSND64", Value: 2151695642},
	{Name: "EVIOCGSW64", Value: 2151695643},
	{Name: "EVIOCGUNIQ64", Value: 2151695624},
	{Name: "EVIOCGVERSION", Value: 2147763457},
	{Name: "EVIOCREVOKE", Value: 1074021777},
	{Name: "EVIOCRMFF", Value: 1074021761},
	{Name: "EVIOCSABS0", Value: 1075332544},
	{Name: "EVIOCSABS20", Value: 1075332576},
	{Name: "EVIOCSABS2F", Value: 1075332591},
	{Name: "EVIOCSABS3F", Value: 1075332607},
	{Name: "EVIOCSCLOCKID", Value: 1074021792},
	{Name: "EVIOCSFF", Value: 1076905344},
	{Name: "EVIOCSKEYCODE", Value: 1074283780},
	{Name: "EVIOCSKEYCODE_V2", Value: 1076380932},
	{Name: "EVIOCSMASK", Value: 1074808211},
	{Name: "EVIOCSREP", Value: 1074283779},
	{Name: "EV_ABS", Value: 3},
	{Name: "EV_FF", Value: 21},
	{Name: "EV_FF_STATUS", Value: 23},
	{Name: "EV_KEY", Value: 1},
	{Name: "EV_LED", Value: 17},
	{Name: "EV_MAX", Value: 31},
	{Name: "EV_MSC", Value: 4},
	{Name: "EV_PWR", Value: 22},
	{Name: "EV_REL", Value: 2},
	{Name: "EV_REP", Value: 20},
	{Name: "EV_SND", Value: 18},
	{Name: "EV_SW", Value: 5},
	{Name: "EV_SYN"},
	{Name: "FALLOC_FL_COLLAPSE_RANGE", Value: 8},
	{Name: "FALLOC_FL_INSERT_RANGE", Value: 32},
	{Name: "FALLOC_FL_KEEP_SIZE", Value: 1},
	{Name: "FALLOC_FL_PUNCH_HOLE", Value: 2},
	{Name: "FALLOC_FL_UNSHARE_RANGE", Value: 64},
	{Name: "FALLOC_FL_ZERO_RANGE", Value: 16},
	{Name: "FAN_ACCESS", Value: 1},
	{Name: "FAN_ACCESS_PERM", Value: 131072},
	{Name: "FAN_CLASS_CONTENT", Value: 4},
	{Name: "FAN_CLASS_NOTIF"},
	{Name: "FAN_CLASS_PRE_CONTENT", Value: 8},
	{Name: "FAN_CLOEXEC", Value: 1},
	{Name: "FAN_CLOSE_NOWRITE", Value: 16},
	{Name: "FAN_CLOSE_WRITE", Value: 8},
	{Name: "FAN_ENABLE_AUDIT", Value: 64},
	{Name: "FAN_EVENT_ON_CHILD", Value: 134217728},
	{Name: "FAN_MARK_ADD", Value: 1},
	{Name: "FAN_MARK_DONT_FOLLOW", Value: 4},
	{Name: "FAN_MARK_FLUSH", Value: 128},
	{Name: "FAN_MARK_IGNORED_MASK", Value: 32},
	{Name: "FAN_MARK_IGNORED_SURV_MODIFY", Value: 64},
	{Name: "FAN_MARK_MOUNT", Value: 16},
	{Name: "FAN_MARK_ONLYDIR", Value: 8},
	{Name: "FAN_MARK_REMOVE", Value: 2},
	{Name: "FAN_MODIFY", Value: 2},
	{Name: "FAN_NONBLOCK", Value: 2},
	{Name: "FAN_ONDIR", Value: 1073741824},
	{Name: "FAN_OPEN", Value: 32},
	{Name: "FAN_OPEN_PERM", Value: 65536},
	{Name: "FAN_UNLIMITED_MARKS", Value: 32},
	{Name: "FAN_UNLIMITED_QUEUE", Value: 16},
	{Name: "FASYNC", Value: 8192},
	{Name: "FD_CLOEXEC", Value: 1},
	{Name: "FF_CONSTANT", Value: 82},
	{Name: "FF_CUSTOM", Value: 93},
	{Name: "FF_DAMPER", Value: 85},
	{Name: "FF_EFFECT_MAX", Value: 87},
	{Name: "FF_FRICTION", Value: 84},
	{Name: "FF_INERTIA", Value: 86},
	{Name: "FF_MAX", Value: 127},
	{Name: "FF_PERIODIC", Value: 81},
	{Name: "FF_RAMP", Value: 87},
	{Name: "FF_SAW_DOWN", Value: 92},
	{Name: "FF_SAW_UP", Value: 91},
	{Name: "FF_SINE", Value: 90},
	{Name: "FF_SPRING", Value: 83},
	{Name: "FF_SQUARE", Value: 88},
	{Name: "FF_TRIANGLE", Value: 89},
	{Name: "FIBMAP", Value: 1},
	{Name: "FIB_RULE_FIND_SADDR", Value: 65536},
	{Name: "FIB_RULE_IIF_DETACHED", Value: 8},
	{Name: "FIB_RULE_INVERT", Value: 2},
	{Name: "FIB_RULE_OIF_DETACHED", Value: 16},
	{Name: "FIB_RULE_PERMANENT", Value: 1},
	{Name: "FIB_RULE_UNRESOLVED", Value: 4},
	{Name: "FICLONE", Value: 1074041865},
	{Name: "FICLONERANGE", Value: 1075876877},
	{Name: "FIDEDUPERANGE", Value: 3222836278},
	{Name: "FIEMAP_EXTENT_DATA_ENCRYPTED", Value: 128},
	{Name: "FIEMAP_EXTENT_DATA_INLINE", Value: 512},
	{Name: "FIEMAP_EXTENT_DATA_TAIL", Value: 1024},
	{Name: "FIEMAP_EXTENT_DELALLOC", Value: 4},
	{Name: "FIEMAP_EXTENT_ENCODED", Value: 8},
	{Name: "FIEMAP_EXTENT_LAST", Value: 1},
	{Name: "FIEMAP_EXTENT_MERGED", Value: 4096},
	{Name: "FIEMAP_EXTENT_NOT_ALIGNED", Value: 256},
	{Name: "FIEMAP_EXTENT_SHARED", Value: 8192},
	{Name: "FIEMAP_EXTENT_UNKNOWN", Value: 2},
	{Name: "FIEMAP_EXTENT_UNWRITTEN", Value: 2048},
	{Name: "FIEMAP_FLAG_CACHE", Value: 4},
	{Name: "FIEMAP_FLAG_SYNC", Value: 1},
	{Name: "FIEMAP_FLAG_XATTR", Value: 2},
	{Name: "FIFREEZE", Value: 3221510263},
	{Name: "FIGETBSZ", Value: 2},
	{Name: "FIOASYNC", Value: 21586},
	{Name: "FIOCLEX", Value: 21585},
	{Name: "FIOGETOWN", Value: 35075},
	{Name: "FIONBIO", Value: 21537},
	{Name: "FIONCLEX", Value: 21584},
	{Name: "FIONREAD", Value: 21531},
	{Name: "FIOQSIZE", Value: 21600},
	{Name: "FIOSETOWN", Value: 35073},
	{Name: "FITHAW", Value: 3221510264},
	{Name: "FLAT_BINDER_FLAG_ACCEPTS_FDS", Value: 256},
	{Name: "FLOW_MODE_HASH", Value: 1},
	{Name: "FLOW_MODE_MAP"},
	{Name: "FOPEN_DIRECT_IO", Value: 1},
	{Name: "FOPEN_KEEP_CACHE", Value: 2},
	{Name: "FOPEN_NONSEEKABLE", Value: 4},
	{Name: "FOU_ATTR_AF", Value: 2},
	{Name: "FOU_ATTR_IPPROTO", Value: 3},
	{Name: "FOU_ATTR_PORT", Value: 1},
	{Name: "FOU_ATTR_REMCSUM_NOPARTIAL", Value: 5},
	{Name: "FOU_ATTR_TYPE", Value: 4},
	{Name: "FOU_CMD_ADD", Value: 1},
	{Name: "FOU_CMD_DEL", Value: 2},
	{Name: "FOU_CMD_GET", Value: 3},
	{Name: "FOU_ENCAP_DIRECT", Value: 1},
	{Name: "FOU_ENCAP_GUE", Value: 2},
	{Name: "FRA_DPORT_RANGE", Value: 24},
	{Name: "FRA_FLOW", Value: 11},
	{Name: "FRA_FWMARK", Value: 10},
	{Name: "FRA_FWMASK", Value: 16},
	{Name: "FRA_GOTO", Value: 4},
	{Name: "FRA_IIFNAME", Value: 3},
	{Name: "FRA_IP_PROTO", Value: 22},
	{Name: "FRA_L3MDEV", Value: 19},
	{Name: "FRA_OIFNAME", Value: 17},
	{Name: "FRA_PRIORITY", Value: 6},
	{Name: "FRA_PROTOCOL", Value: 21},
	{Name: "FRA_SPORT_RANGE", Value: 23},
	{Name: "FRA_SUPPRESS_IFGROUP", Value: 13},
	{Name: "FRA_SUPPRESS_PREFIXLEN", Value: 14},
	{Name: "FRA_TABLE", Value: 15},
	{Name: "FRA_UID_RANGE", Value: 20},
	{Name: "FR_ACT_BLACKHOLE", Value: 6},
	{Name: "FR_ACT_GOTO", Value: 2},
	{Name: "FR_ACT_NOP", Value: 3},
	{Name: "FR_ACT_PROHIBIT", Value: 8},
	{Name: "FR_ACT_RES3", Value: 4},
	{Name: "FR_ACT_RES4", Value: 5},
	{Name: "FR_ACT_TO_TBL", Value: 1},
	{Name: "FR_ACT_UNREACHABLE", Value: 7},
	{Name: "FR_ACT_UNSPEC"},
	{Name: "FSLABEL_MAX", Value: 256},
	{Name: "FS_IOC_FIEMAP", Value: 3223348747},
	{Name: "FS_IOC_FSGETXATTR", Value: 2149341215},
	{Name: "FS_IOC_FSSETXATTR", Value: 1075599392},
	{Name: "FS_IOC_GETFSLABEL", Value: 2164298801},
	{Name: "FS_IOC_RESVSP", Value: 1076910120},
	{Name: "FS_IOC_SETFSLABEL", Value: 1090556978},
	{Name: "FUSE_ASYNC_DIO", Value: 32768},
	{Name: "FUSE_ASYNC_READ", Value: 1},
	{Name: "FUSE_ATOMIC_O_TRUNC", Value: 8},
	{Name: "FUSE_AUTO_INVAL_DATA", Value: 4096},
	{Name: "FUSE_BIG_WRITES", Value: 32},
	{Name: "FUSE_DEV_IOC_CLONE", Value: 2147804416},
	{Name: "FUSE_DONT_MASK", Value: 64},
	{Name: "FUSE_DO_READDIRPLUS", Value: 8192},
	{Name: "FUSE_EXPORT_SUPPORT", Value: 16},
	{Name: "FUSE_FILE_OPS", Value: 4},
	{Name: "FUSE_FLOCK_LOCKS", Value: 1024},
	{Name: "FUSE_HANDLE_KILLPRIV", Value: 524288},
	{Name: "FUSE_HAS_IOCTL_DIR", Value: 2048},
	{Name: "FUSE_IOCTL_RETRY", Value: 4},
	{Name: "FUSE_KERNEL_MINOR_VERSION", Value: 27},
	{Name: "FUSE_KERNEL_VERSION", Value: 7},
	{Name: "FUSE_NOTIFY_DELETE", Value: 6},
	{Name: "FUSE_NOTIFY_INVAL_ENTRY", Value: 3},
	{Name: "FUSE_NOTIFY_INVAL_INODE", Value: 2},
	{Name: "FUSE_NOTIFY_POLL", Value: 1},
	{Name: "FUSE_NOTIFY_RETRIEVE", Value: 5},
	{Name: "FUSE_NOTIFY_STORE", Value: 4},
	{Name: "FUSE_NO_OPEN_SUPPORT", Value: 131072},
	{Name: "FUSE_PARALLEL_DIROPS", Value: 262144},
	{Name: "FUSE_POSIX_ACL", Value: 1048576},
	{Name: "FUSE_POSIX_LOCKS", Value: 2},
	{Name: "FUSE_READDIRPLUS_AUTO", Value: 16384},
	{Name: "FUSE_SPLICE_MOVE", Value: 256},
	{Name: "FUSE_SPLICE_READ", Value: 512},
	{Name: "FUSE_SPLICE_WRITE", Value: 128},
	{Name: "FUSE_WRITEBACK_CACHE", Value: 65536},
	{Name: "FUTEX_CMP_REQUEUE", Value: 4},
	{Name: "FUTEX_REQUEUE", Value: 3},
	{Name: "FUTEX_WAIT"},
	{Name: "FUTEX_WAIT_BITSET", Value: 9},
	{Name: "FUTEX_WAKE", Value: 1},
	{Name: "F_ADD_SEALS", Value: 1033},
	{Name: "F_DUPFD"},
	{Name: "F_DUPFD_CLOEXEC", Value: 1030},
	{Name: "F_GETFD", Value: 1},
	{Name: "F_GETFL", Value: 3},
	{Name: "F_GETLEASE", Value: 1025},
	{Name: "F_GETLK", Value: 5},
	{Name: "F_GETOWN", Value: 9},
	{Name: "F_GETOWN_EX", Value: 16},
	{Name: "F_GETPIPE_SZ", Value: 1032},
	{Name: "F_GETSIG", Value: 11},
	{Name: "F_GET_FILE_RW_HINT", Value: 1037},
	{Name: "F_GET_RW_HINT", Value: 1035},
	{Name: "F_GET_SEALS", Value: 1034},
	{Name: "F_NOTIFY", Value: 1026},
	{Name: "F_OWNER_PGRP", Value: 2},
	{Name: "F_OWNER_PID", Value: 1},
	{Name: "F_OWNER_TID"},
	{Name: "F_RDLCK"},
	{Name: "F_SEAL_GROW", Value: 4},
	{Name: "F_SEAL_SEAL", Value: 1},
	{Name: "F_SEAL_SHRINK", Value: 2},
	{Name: "F_SEAL_WRITE", Value: 8},
	{Name: "F_SETFD", Value: 2},
	{Name: "F_SETFL", Value: 4},
	{Name: "F_SETLEASE", Value: 1024},
	{Name: "F_SETLK", Value: 6},
	{Name: "F_SETLKW", Value: 7},
	{Name: "F_SETOWN", Value: 8},
	{Name: "F_SETOWN_EX", Value: 15},
	{Name: "F_SETPIPE_SZ", Value: 1031},
	{Name: "F_SETSIG", Value: 10},
	{Name: "F_SET_FILE_RW_HINT", Value: 1038},
	{Name: "F_SET_RW_HINT", Value: 1036},
	{Name: "F_UNLCK", Value: 2},
	{Name: "F_WRLCK", Value: 1},
	{Name: "GETALL", Value: 13},
	{Name: "GETNCNT", Value: 14},
	{Name: "GETPID", Value: 11},
	{Name: "GETVAL", Value: 12},
	{Name: "GETZCNT", Value: 15},
	{Name: "GIO_CMAP", Value: 19312},
	{Name: "GIO_FONT", Value: 19296},
	{Name: "GIO_FONTX", Value: 19307},
	{Name: "GIO_SCRNMAP", Value: 19264},
	{Name: "GIO_UNIMAP", Value: 19302},
	{Name: "GIO_UNISCRNMAP", Value: 19305},
	{Name: "GRND_NONBLOCK", Value: 1},
	{Name: "GRND_RANDOM", Value: 2},
	{Name: "GUE_FLAG_PRIV", Value: 256},
	{Name: "GUE_PFLAG_REMCSUM", Value: 128},
	{Name: "HCIBLOCKADDR", Value: 1074022630},
	{Name: "HCIDEVDOWN", Value: 1074022602},
	{Name: "HCIDEVRESET", Value: 1074022603},
	{Name: "HCIDEVRESTAT", Value: 1074022604},
	{Name: "HCIDEVUP", Value: 1074022601},
	{Name: "HCIGETAUTHINFO", Value: 2147764439},
	{Name: "HCIGETCONNINFO", Value: 2147764437},
	{Name: "HCIGETCONNLIST", Value: 2147764436},
	{Name: "HCIGETDEVINFO", Value: 2147764435},
	{Name: "HCIGETDEVLIST", Value: 2147764434},
	{Name: "HCIINQUIRY", Value: 2147764464},
	{Name: "HCISETACLMTU", Value: 1074022627},
	{Name: "HCISETAUTH", Value: 1074022622},
	{Name: "HCISETENCRYPT", Value: 1074022623},
	{Name: "HCISETLINKMODE", Value: 1074022626},
	{Name: "HCISETLINKPOL", Value: 1074022625},
	{Name: "HCISETPTYPE", Value: 1074022624},
	{Name: "HCISETRAW", Value: 1074022620},
	{Name: "HCISETSCAN", Value: 1074022621},
	{Name: "HCISETSCOMTU", Value: 1074022628},
	{Name: "HCIUNBLOCKADDR", Value: 1074022631},
	{Name: "HCI_CHANNEL_CONTROL", Value: 3},
	{Name: "HCI_CHANNEL_MONITOR", Value: 2},
	{Name: "HCI_CHANNEL_RAW"},
	{Name: "HCI_CHANNEL_USER", Value: 1},
	{Name: "HCI_DATA_DIR", Value: 1},
	{Name: "HCI_FILTER", Value: 2},
	{Name: "HCI_TIME_STAMP", Value: 3},
	{Name: "HDIO_GETGEO", Value: 769},
	{Name: "HIDPCONNADD", Value: 1074022600},
	{Name: "HIDPCONNDEL", Value: 1074022601},
	{Name: "HIDPGETCONNINFO", Value: 2147764435},
	{Name: "HIDPGETCONNLIST", Value: 2147764434},
	{Name: "HW_BREAKPOINT_EMPTY"},
	{Name: "HW_BREAKPOINT_R", Value: 1},
	{Name: "HW_BREAKPOINT_W", Value: 2},
	{Name: "HW_BREAKPOINT_X", Value: 4},
	{Name: "I2C_FUNCS", Value: 1797},
	{Name: "I2C_MAX_BLOCK", Value: 34},
	{Name: "I2C_M_DMA_SAFE", Value: 512},
	{Name: "I2C_M_IGNORE_NAK", Value: 4096},
	{Name: "I2C_M_NOSTART", Value: 16384},
	{Name: "I2C_M_NO_RD_ACK", Value: 2048},
	{Name: "I2C_M_RD", Value: 1},
	{Name: "I2C_M_RECV_LEN", Value: 1024},
	{Name: "I2C_M_REV_DIR_ADDR", Value: 8192},
	{Name: "I2C_M_STOP", Value: 32768},
	{Name: "I2C_M_TEN", Value: 16},
	{Name: "I2C_PEC", Value: 1800},
	{Name: "I2C_RDWR", Value: 1799},
	{Name: "I2C_RETRIES", Value: 1793},
	{Name: "I2C_SLAVE", Value: 1795},
	{Name: "I2C_SLAVE_FORCE", Value: 1798},
	{Name: "I2C_SMBUS", Value: 1824},
	{Name: "I2C_SMBUS_I2C_BLOCK_DATA", Value: 8},
	{Name: "I2C_SMBUS_QUICK"},
	{Name: "I2C_TENBIT", Value: 1796},
	{Name: "I2C_TIMEOUT", Value: 1794},
	{Name: "IB_EVENT_CLIENT_REREGISTER", Value: 17},
	{Name: "IB_EVENT_COMM_EST", Value: 4},
	{Name: "IB_EVENT_CQ_ERR"},
	{Name: "IB_EVENT_DEVICE_FATAL", Value: 8},
	{Name: "IB_EVENT_GID_CHANGE", Value: 18},
	{Name: "IB_EVENT_LID_CHANGE", Value: 11},
	{Name: "IB_EVENT_PATH_MIG", Value: 6},
	{Name: "IB_EVENT_PATH_MIG_ERR", Value: 7},
	{Name: "IB_EVENT_PKEY_CHANGE", Value: 12},
	{Name: "IB_EVENT_PORT_ACTIVE", Value: 9},
	{Name: "IB_EVENT_PORT_ERR", Value: 10},
	{Name: "IB_EVENT_QP_ACCESS_ERR", Value: 3},
	{Name: "IB_EVENT_QP_FATAL", Value: 1},
	{Name: "IB_EVENT_QP_LAST_WQE_REACHED", Value: 16},
	{Name: "IB_EVENT_QP_REQ_ERR", Value: 2},
	{Name: "IB_EVENT_SM_CHANGE", Value: 13},
	{Name: "IB_EVENT_SQ_DRAINED", Value: 5},
	{Name: "IB_EVENT_SRQ_ERR", Value: 14},
	{Name: "IB_EVENT_SRQ_LIMIT_REACHED", Value: 15},
	{Name: "IB_EVENT_WQ_FATAL", Value: 19},
	{Name: "IB_PATH_ALTERNATE", Value: 4},
	{Name: "IB_PATH_GMP", Value: 1},
	{Name: "IB_PATH_INBOUND", Value: 16},
	{Name: "IB_PATH_INBOUND_REVERSE", Value: 32},
	{Name: "IB_PATH_OUTBOUND", Value: 8},
	{Name: "IB_PATH_PRIMARY", Value: 2},
	{Name: "IB_QPT_GSI", Value: 1},
	{Name: "IB_QPT_MAX", Value: 11},
	{Name: "IB_QPT_RAW_ETHERTYPE", Value: 6},
	{Name: "IB_QPT_RAW_IPV6", Value: 5},
	{Name: "IB_QPT_RAW_PACKET", Value: 8},
	{Name: "IB_QPT_RC", Value: 2},
	{Name: "IB_QPT_RESERVED1", Value: 4096},
	{Name: "IB_QPT_RESERVED10", Value: 4105},
	{Name: "IB_QPT_SMI"},
	{Name: "IB_QPT_UC", Value: 3},
	{Name: "IB_QPT_UD", Value: 4},
	{Name: "IB_QPT_XRC_INI", Value: 9},
	{Name: "IB_QPT_XRC_TGT", Value: 10},
	{Name: "IB_UVERBS_AH_ATTR_SIZE", Value: 32},
	{Name: "IB_UVERBS_QP_ATTR_SIZE", Value: 144},
	{Name: "ICMPV6_ADDR_UNREACH", Value: 3},
	{Name: "ICMPV6_ADM_PROHIBITED", Value: 1},
	{Name: "ICMPV6_DEST_UNREACH", Value: 1},
	{Name: "ICMPV6_ECHO_REPLY", Value: 129},
	{Name: "ICMPV6_ECHO_REQUEST", Value: 128},
	{Name: "ICMPV6_EXC_FRAGTIME", Value: 1},
	{Name: "ICMPV6_EXC_HOPLIMIT"},
	{Name: "ICMPV6_HDR_FIELD"},
	{Name: "ICMPV6_MGM_QUERY", Value: 130},
	{Name: "ICMPV6_MGM_REDUCTION", Value: 132},
	{Name: "ICMPV6_MGM_REPORT", Value: 131},
	{Name: "ICMPV6_NI_QUERY", Value: 139},
	{Name: "ICMPV6_NI_REPLY", Value: 140},
	{Name: "ICMPV6_NOROUTE"},
	{Name: "ICMPV6_NOT_NEIGHBOUR", Value: 2},
	{Name: "ICMPV6_PARAMPROB", Value: 4},
	{Name: "ICMPV6_PKT_TOOBIG", Value: 2},
	{Name: "ICMPV6_POLICY_FAIL", Value: 5},
	{Name: "ICMPV6_PORT_UNREACH", Value: 4},
	{Name: "ICMPV6_REJECT_ROUTE", Value: 6},
	{Name: "ICMPV6_TIME_EXCEED", Value: 3},
	{Name: "ICMPV6_UNK_NEXTHDR", Value: 1},
	{Name: "ICMPV6_UNK_OPTION", Value: 2},
	{Name: "ICMP_ADDRESS", Value: 17},
	{Name: "ICMP_ADDRESSREPLY", Value: 18},
	{Name: "ICMP_DEST_UNREACH", Value: 3},
	{Name: "ICMP_ECHO", Value: 8},
	{Name: "ICMP_ECHOREPLY"},
	{Name: "ICMP_EXC_FRAGTIME", Value: 1},
	{Name: "ICMP_EXC_TTL"},
	{Name: "ICMP_FILTER", Value: 1},
	{Name: "ICMP_FRAG_NEEDED", Value: 4},
	{Name: "ICMP_HOST_ANO", Value: 10},
	{Name: "ICMP_HOST_ISOLATED", Value: 8},
	{Name: "ICMP_HOST_UNKNOWN", Value: 7},
	{Name: "ICMP_HOST_UNREACH", Value: 1},
	{Name: "ICMP_HOST_UNR_TOS", Value: 12},
	{Name: "ICMP_INFO_REPLY", Value: 16},
	{Name: "ICMP_INFO_REQUEST", Value: 15},
	{Name: "ICMP_NET_ANO", Value: 9},
	{Name: "ICMP_NET_UNKNOWN", Value: 6},
	{Name: "ICMP_NET_UNREACH"},
	{Name: "ICMP_NET_UNR_TOS", Value: 11},
	{Name: "ICMP_PARAMETERPROB", Value: 12},
	{Name: "ICMP_PKT_FILTERED", Value: 13},
	{Name: "ICMP_PORT_UNREACH", Value: 3},
	{Name: "ICMP_PREC_CUTOFF", Value: 15},
	{Name: "ICMP_PREC_VIOLATION", Value: 14},
	{Name: "ICMP_PROT_UNREACH", Value: 2},
	{Name: "ICMP_REDIRECT", Value: 5},
	{Name: "ICMP_REDIR_HOST", Value: 1},
	{Name: "ICMP_REDIR_HOSTTOS", Value: 3},
	{Name: "ICMP_REDIR_NET"},
	{Name: "ICMP_REDIR_NETTOS", Value: 2},
	{Name: "ICMP_SOURCE_QUENCH", Value: 4},
	{Name: "ICMP_SR_FAILED", Value: 5},
	{Name: "ICMP_TIMESTAMP", Value: 13},
	{Name: "ICMP_TIMESTAMPREPLY", Value: 14},
	{Name: "ICMP_TIME_EXCEEDED", Value: 11},
	{Name: "IFA_ADDRESS", Value: 1},
	{Name: "IFA_BROADCAST", Value: 4},
	{Name: "IFA_CACHEINFO", Value: 6},
	{Name: "IFA_FLAGS", Value: 8},
	{Name: "IFA_F_DADFAILED", Value: 8},
	{Name: "IFA_F_DEPRECATED", Value: 32},
	{Name: "IFA_F_HOMEADDRESS", Value: 16},
	{Name: "IFA_F_MANAGETEMPADDR", Value: 256},
	{Name: "IFA_F_MCAUTOJOIN", Value: 1024},
	{Name: "IFA_F_NODAD", Value: 2},
	{Name: "IFA_F_NOPREFIXROUTE", Value: 512},
	{Name: "IFA_F_OPTIMISTIC", Value: 4},
	{Name: "IFA_F_PERMANENT", Value: 128},
	{Name: "IFA_F_SECONDARY", Value: 1},
	{Name: "IFA_F_TENTATIVE", Value: 64},
	{Name: "IFA_LABEL", Value: 3},
	{Name: "IFA_LOCAL", Value: 2},
	{Name: "IFE_META_PRIO", Value: 3},
	{Name: "IFE_META_SKBMARK", Value: 1},
	{Name: "IFE_META_TCINDEX", Value: 5},
	{Name: "IFF_ALLMULTI", Value: 512},
	{Name: "IFF_ATTACH_QUEUE", Value: 512},
	{Name: "IFF_AUTOMEDIA", Value: 16384},
	{Name: "IFF_BROADCAST", Value: 2},
	{Name: "IFF_DEBUG", Value: 4},
	{Name: "IFF_DETACH_QUEUE", Value: 1024},
	{Name: "IFF_DORMANT", Value: 131072},
	{Name: "IFF_DYNAMIC", Value: 32768},
	{Name: "IFF_ECHO", Value: 262144},
	{Name: "IFF_LOOPBACK", Value: 8},
	{Name: "IFF_LOWER_UP", Value: 65536},
	{Name: "IFF_MASTER", Value: 1024},
	{Name: "IFF_MULTICAST", Value: 4096},
	{Name: "IFF_MULTI_QUEUE", Value: 256},
	{Name: "IFF_NAPI", Value: 16},
	{Name: "IFF_NAPI_FRAGS", Value: 32},
	{Name: "IFF_NOARP", Value: 128},
	{Name: "IFF_NOFILTER", Value: 4096},
	{Name: "IFF_NOTRAILERS", Value: 32},
	{Name: "IFF_NO_PI", Value: 4096},
	{Name: "IFF_ONE_QUEUE", Value: 8192},
	{Name: "IFF_PERSIST", Value: 2048},
	{Name: "IFF_POINTOPOINT", Value: 16},
	{Name: "IFF_PORTSEL", Value: 8192},
	{Name: "IFF_PROMISC", Value: 256},
	{Name: "IFF_RUNNING", Value: 64},
	{Name: "IFF_SLAVE", Value: 2048},
	{Name: "IFF_TAP", Value: 2},
	{Name: "IFF_TUN", Value: 1},
	{Name: "IFF_TUN_EXCL", Value: 32768},
	{Name: "IFF_UP", Value: 1},
	{Name: "IFF_VNET_HDR", Value: 16384},
	{Name: "IFLA_ADDRESS", Value: 1},
	{Name: "IFLA_AF_SPEC", Value: 26},
	{Name: "IFLA_BOND_ACTIVE_SLAVE", Value: 2},
	{Name: "IFLA_BOND_AD_ACTOR_SYSTEM", Value: 26},
	{Name: "IFLA_BOND_AD_ACTOR_SYS_PRIO", Value: 24},
	{Name: "IFLA_BOND_AD_LACP_RATE", Value: 21},
	{Name: "IFLA_BOND_AD_SELECT", Value: 22},
	{Name: "IFLA_BOND_AD_USER_PORT_KEY", Value: 25},
	{Name: "IFLA_BOND_ALL_SLAVES_ACTIVE", Value: 17},
	{Name: "IFLA_BOND_ARP_ALL_TARGETS", Value: 10},
	{Name: "IFLA_BOND_ARP_INTERVAL", Value: 7},
	{Name: "IFLA_BOND_ARP_IP_TARGET", Value: 8},
	{Name: "IFLA_BOND_ARP_VALIDATE", Value: 9},
	{Name: "IFLA_BOND_DOWNDELAY", Value: 5},
	{Name: "IFLA_BOND_FAIL_OVER_MAC", Value: 13},
	{Name: "IFLA_BOND_LP_INTERVAL", Value: 19},
	{Name: "IFLA_BOND_MIIMON", Value: 3},
	{Name: "IFLA_BOND_MIN_LINKS", Value: 18},
	{Name: "IFLA_BOND_MODE", Value: 1},
	{Name: "IFLA_BOND_NUM_PEER_NOTIF", Value: 16},
	{Name: "IFLA_BOND_PACKETS_PER_SLAVE", Value: 20},
	{Name: "IFLA_BOND_PRIMARY", Value: 11},
	{Name: "IFLA_BOND_PRIMARY_RESELECT", Value: 12},
	{Name: "IFLA_BOND_RESEND_IGMP", Value: 15},
	{Name: "IFLA_BOND_SLAVE_QUEUE_ID", Value: 5},
	{Name: "IFLA_BOND_TLB_DYNAMIC_LB", Value: 27},
	{Name: "IFLA_BOND_UPDELAY", Value: 4},
	{Name: "IFLA_BOND_USE_CARRIER", Value: 6},
	{Name: "IFLA_BOND_XMIT_HASH_POLICY", Value: 14},
	{Name: "IFLA_BROADCAST", Value: 2},
	{Name: "IFLA_BRPORT_BCAST_FLOOD", Value: 30},
	{Name: "IFLA_BRPORT_COST", Value: 3},
	{Name: "IFLA_BRPORT_FAST_LEAVE", Value: 7},
	{Name: "IFLA_BRPORT_FLUSH", Value: 24},
	{Name: "IFLA_BRPORT_GROUP_FWD_MASK", Value: 31},
	{Name: "IFLA_BRPORT_GUARD", Value: 5},
	{Name: "IFLA_BRPORT_ISOLATED", Value: 33},
	{Name: "IFLA_BRPORT_LEARNING", Value: 8},
	{Name: "IFLA_BRPORT_MCAST_FLOOD", Value: 27},
	{Name: "IFLA_BRPORT_MCAST_TO_UCAST", Value: 28},
	{Name: "IFLA_BRPORT_MODE", Value: 4},
	{Name: "IFLA_BRPORT_MULTICAST_ROUTER", Value: 25},
	{Name: "IFLA_BRPORT_NEIGH_SUPPRESS", Value: 32},
	{Name: "IFLA_BRPORT_PRIORITY", Value: 2},
	{Name: "IFLA_BRPORT_PROTECT", Value: 6},
	{Name: "IFLA_BRPORT_PROXYARP", Value: 10},
	{Name: "IFLA_BRPORT_PROXYARP_WIFI", Value: 12},
	{Name: "IFLA_BRPORT_STATE", Value: 1},
	{Name: "IFLA_BRPORT_UNICAST_FLOOD", Value: 9},
	{Name: "IFLA_BRPORT_VLAN_TUNNEL", Value: 29},
	{Name: "IFLA_BR_AGEING_TIME", Value: 4},
	{Name: "IFLA_BR_FORWARD_DELAY", Value: 1},
	{Name: "IFLA_BR_GROUP_ADDR", Value: 20},
	{Name: "IFLA_BR_GROUP_FWD_MASK", Value: 9},
	{Name: "IFLA_BR_HELLO_TIME", Value: 2},
	{Name: "IFLA_BR_MAX_AGE", Value: 3},
	{Name: "IFLA_BR_MCAST_HASH_ELASTICITY", Value: 26},
	{Name: "IFLA_BR_MCAST_HASH_MAX", Value: 27},
	{Name: "IFLA_BR_MCAST_IGMP_VERSION", Value: 43},
	{Name: "IFLA_BR_MCAST_LAST_MEMBER_CNT", Value: 28},
	{Name: "IFLA_BR_MCAST_LAST_MEMBER_INTVL", Value: 30},
	{Name: "IFLA_BR_MCAST_MEMBERSHIP_INTVL", Value: 31},
	{Name: "IFLA_BR_MCAST_MLD_VERSION", Value: 44},
	{Name: "IFLA_BR_MCAST_QUERIER", Value: 25},
	{Name: "IFLA_BR_MCAST_QUERIER_INTVL", Value: 32},
	{Name: "IFLA_BR_MCAST_QUERY_INTVL", Value: 33},
	{Name: "IFLA_BR_MCAST_QUERY_RESPONSE_INTVL", Value: 34},
	{Name: "IFLA_BR_MCAST_QUERY_USE_IFADDR", Value: 24},
	{Name: "IFLA_BR_MCAST_ROUTER", Value: 22},
	{Name: "IFLA_BR_MCAST_SNOOPING", Value: 23},
	{Name: "IFLA_BR_MCAST_STARTUP_QUERY_CNT", Value: 29},
	{Name: "IFLA_BR_MCAST_STARTUP_QUERY_INTVL", Value: 35},
	{Name: "IFLA_BR_MCAST_STATS_ENABLED", Value: 42},
	{Name: "IFLA_BR_NF_CALL_ARPTABLES", Value: 38},
	{Name: "IFLA_BR_NF_CALL_IP6TABLES", Value: 37},
	{Name: "IFLA_BR_NF_CALL_IPTABLES", Value: 36},
	{Name: "IFLA_BR_PRIORITY", Value: 6},
	{Name: "IFLA_BR_STP_STATE", Value: 5},
	{Name: "IFLA_BR_VLAN_DEFAULT_PVID", Value: 39},
	{Name: "IFLA_BR_VLAN_FILTERING", Value: 7},
	{Name: "IFLA_BR_VLAN_PROTOCOL", Value: 8},
	{Name: "IFLA_BR_VLAN_STATS_ENABLED", Value: 41},
	{Name: "IFLA_CARRIER", Value: 33},
	{Name: "IFLA_CARRIER_CHANGES", Value: 35},
	{Name: "IFLA_EVENT", Value: 44},
	{Name: "IFLA_EXT_MASK", Value: 29},
	{Name: "IFLA_GRE_COLLECT_METADATA", Value: 18},
	{Name: "IFLA_GRE_ENCAP_DPORT", Value: 17},
	{Name: "IFLA_GRE_ENCAP_FLAGS", Value: 15},
	{Name: "IFLA_GRE_ENCAP_SPORT", Value: 16},
	{Name: "IFLA_GRE_ENCAP_TYPE", Value: 14},
	{Name: "IFLA_GRE_ERSPAN_DIR", Value: 23},
	{Name: "IFLA_GRE_ERSPAN_HWID", Value: 24},
	{Name: "IFLA_GRE_ERSPAN_INDEX", Value: 21},
	{Name: "IFLA_GRE_ERSPAN_VER", Value: 22},
	{Name: "IFLA_GRE_FWMARK", Value: 20},
	{Name: "IFLA_GRE_IFLAGS", Value: 2},
	{Name: "IFLA_GRE_IGNORE_DF", Value: 19},
	{Name: "IFLA_GRE_IKEY", Value: 4},
	{Name: "IFLA_GRE_LINK", Value: 1},
	{Name: "IFLA_GRE_LOCAL", Value: 6},
	{Name: "IFLA_GRE_OFLAGS", Value: 3},
	{Name: "IFLA_GRE_OKEY", Value: 5},
	{Name: "IFLA_GRE_PMTUDISC", Value: 10},
	{Name: "IFLA_GRE_REMOTE", Value: 7},
	{Name: "IFLA_GRE_TOS", Value: 9},
	{Name: "IFLA_GRE_TTL", Value: 8},
	{Name: "IFLA_GROUP", Value: 27},
	{Name: "IFLA_IFALIAS", Value: 20},
	{Name: "IFLA_IFNAME", Value: 3},
	{Name: "IFLA_IF_NETNSID", Value: 46},
	{Name: "IFLA_INFO_DATA", Value: 2},
	{Name: "IFLA_INFO_KIND", Value: 1},
	{Name: "IFLA_INFO_SLAVE_DATA", Value: 5},
	{Name: "IFLA_IPTUN_COLLECT_METADATA", Value: 19},
	{Name: "IFLA_IPTUN_ENCAP_DPORT", Value: 18},
	{Name: "IFLA_IPTUN_ENCAP_FLAGS", Value: 16},
	{Name: "IFLA_IPTUN_ENCAP_LIMIT", Value: 6},
	{Name: "IFLA_IPTUN_ENCAP_SPORT", Value: 17},
	{Name: "IFLA_IPTUN_ENCAP_TYPE", Value: 15},
	{Name: "IFLA_IPTUN_FLAGS", Value: 8},
	{Name: "IFLA_IPTUN_FLOWINFO", Value: 7},
	{Name: "IFLA_IPTUN_FWMARK", Value: 20},
	{Name: "IFLA_IPTUN_LOCAL", Value: 2},
	{Name: "IFLA_IPTUN_PMTUDISC", Value: 10},
	{Name: "IFLA_IPTUN_PROTO", Value: 9},
	{Name: "IFLA_IPTUN_REMOTE", Value: 3},
	{Name: "IFLA_IPTUN_TOS", Value: 5},
	{Name: "IFLA_IPTUN_TTL", Value: 4},
	{Name: "IFLA_LINK", Value: 5},
	{Name: "IFLA_LINKINFO", Value: 18},
	{Name: "IFLA_LINKMODE", Value: 17},
	{Name: "IFLA_LINK_NETNSID", Value: 37},
	{Name: "IFLA_MAP", Value: 14},
	{Name: "IFLA_MASTER", Value: 10},
	{Name: "IFLA_NET_NS_FD", Value: 28},
	{Name: "IFLA_NET_NS_PID", Value: 19},
	{Name: "IFLA_NUM_RX_QUEUES", Value: 32},
	{Name: "IFLA_NUM_TX_QUEUES", Value: 31},
	{Name: "IFLA_OPERSTATE", Value: 16},
	{Name: "IFLA_PHYS_PORT_ID", Value: 34},
	{Name: "IFLA_PHYS_SWITCH_ID", Value: 36},
	{Name: "IFLA_PORT_SELF", Value: 25},
	{Name: "IFLA_PROMISCUITY", Value: 30},
	{Name: "IFLA_PROTO_DOWN", Value: 39},
	{Name: "IFLA_STATS_AF_SPEC", Value: 5},
	{Name: "IFLA_STATS_LINK_64", Value: 1},
	{Name: "IFLA_STATS_LINK_OFFLOAD_XSTATS", Value: 4},
	{Name: "IFLA_STATS_LINK_XSTATS", Value: 2},
	{Name: "IFLA_STATS_LINK_XSTATS_SLAVE", Value: 3},
	{Name: "IFLA_STATS_UNSPEC"},
	{Name: "IFLA_TXQLEN", Value: 13},
	{Name: "IFLA_VFINFO_LIST", Value: 22},
	{Name: "IFLA_VF_INFO", Value: 1},
	{Name: "IFLA_VF_PORT", Value: 1},
	{Name: "IFLA_VF_PORTS", Value: 24},
	{Name: "IFLA_VTI_FWMARK", Value: 6},
	{Name: "IFLA_VTI_IKEY", Value: 2},
	{Name: "IFLA_VTI_LINK", Value: 1},
	{Name: "IFLA_VTI_LOCAL", Value: 4},
	{Name: "IFLA_VTI_OKEY", Value: 3},
	{Name: "IFLA_VTI_REMOTE", Value: 5},
	{Name: "IFLA_WEIGHT", Value: 15},
	{Name: "IFLA_XDP", Value: 43},
	{Name: "IFNAMSIZ", Value: 16},
	{Name: "IFREQ_SIZE", Value: 40},
	{Name: "IGMPV2_HOST_MEMBERSHIP_REPORT", Value: 22},
	{Name: "IGMPV3_HOST_MEMBERSHIP_REPORT", Value: 34},
	{Name: "IGMP_DVMRP", Value: 19},
	{Name: "IGMP_HOST_LEAVE_MESSAGE", Value: 23},
	{Name: "IGMP_HOST_MEMBERSHIP_QUERY", Value: 17},
	{Name: "IGMP_HOST_MEMBERSHIP_REPORT", Value: 18},
	{Name: "IGMP_MTRACE", Value: 31},
	{Name: "IGMP_MTRACE_RESP", Value: 30},
	{Name: "IGMP_PIM", Value: 20},
	{Name: "IGMP_TRACE", Value: 21},
	{Name: "INOTIFY_IOC_SETNEXTWD", Value: 1074022656},
	{Name: "INPUT_PROP_MAX", Value: 31},
	{Name: "IN_ACCESS", Value: 1},
	{Name: "IN_ATTRIB", Value: 4},
	{Name: "IN_CLOEXEC", Value: 524288},
	{Name: "IN_CLOSE_NOWRITE", Value: 16},
	{Name: "IN_CLOSE_WRITE", Value: 8},
	{Name: "IN_CREATE", Value: 256},
	{Name: "IN_DELETE", Value: 512},
	{Name: "IN_DELETE_SELF", Value: 1024},
	{Name: "IN_DONT_FOLLOW", Value: 33554432},
	{Name: "IN_EXCL_UNLINK", Value: 67108864},
	{Name: "IN_MASK_ADD", Value: 536870912},
	{Name: "IN_MODIFY", Value: 2},
	{Name: "IN_MOVED_FROM", Value: 64},
	{Name: "IN_MOVED_TO", Value: 128},
	{Name: "IN_MOVE_SELF", Value: 2048},
	{Name: "IN_NONBLOCK", Value: 2048},
	{Name: "IN_ONESHOT", Value: 2147483648},
	{Name: "IN_ONLYDIR", Value: 16777216},
	{Name: "IN_OPEN", Value: 32},
	{Name: "IOCB_CMD_FDSYNC", Value: 3},
	{Name: "IOCB_CMD_FSYNC", Value: 2},
	{Name: "IOCB_CMD_NOOP", Value: 6},
	{Name: "IOCB_CMD_PREAD"},
	{Name: "IOCB_CMD_PREADV", Value: 7},
	{Name: "IOCB_CMD_PWRITE", Value: 1},
	{Name: "IOCB_CMD_PWRITEV", Value: 8},
	{Name: "IOCB_FLAG_RESFD", Value: 1},
	{Name: "IOC_PR_CLEAR", Value: 1074819277},
	{Name: "IOC_PR_PREEMPT", Value: 1075343563},
	{Name: "IOC_PR_PREEMPT_ABORT", Value: 1075343564},
	{Name: "IOC_PR_REGISTER", Value: 1075343560},
	{Name: "IOC_PR_RELEASE", Value: 1074819274},
	{Name: "IOC_PR_RESERVE", Value: 1074819273},
	{Name: "ION_FLAG_CACHED", Value: 1},
	{Name: "ION_HEAP_TYPE_CARVEOUT_BIT", Value: 4},
	{Name: "ION_HEAP_TYPE_CHUNK_BIT", Value: 8},
	{Name: "ION_HEAP_TYPE_CUSTOM_BIT", Value: 32},
	{Name: "ION_HEAP_TYPE_DMA_BIT", Value: 16},
	{Name: "ION_HEAP_TYPE_SYSTEM_BIT", Value: 1},
	{Name: "ION_HEAP_TYPE_SYSTEM_CONTIG_BIT", Value: 2},
	{Name: "ION_IOC_ALLOC", Value: 3222817024},
	{Name: "ION_IOC_HEAP_QUERY", Value: 3222817032},
	{Name: "IOPRIO_WHO_PGRP", Value: 2},
	{Name: "IOPRIO_WHO_PROCESS", Value: 1},
	{Name: "IOPRIO_WHO_USER", Value: 3},
	{Name: "IP6T_AH_INV_LEN", Value: 2},
	{Name: "IP6T_AH_INV_SPI", Value: 1},
	{Name: "IP6T_FRAG_FST", Value: 8},
	{Name: "IP6T_FRAG_IDS", Value: 1},
	{Name: "IP6T_FRAG_INV_IDS", Value: 1},
	{Name: "IP6T_FRAG_INV_LEN", Value: 2},
	{Name: "IP6T_FRAG_LEN", Value: 2},
	{Name: "IP6T_FRAG_MF", Value: 16},
	{Name: "IP6T_FRAG_NMF", Value: 32},
	{Name: "IP6T_FRAG_RES", Value: 4},
	{Name: "IP6T_F_GOTO", Value: 4},
	{Name: "IP6T_F_PROTO", Value: 1},
	{Name: "IP6T_F_TOS", Value: 2},
	{Name: "IP6T_ICMP6_ADDR_UNREACH", Value: 3},
	{Name: "IP6T_ICMP6_ADM_PROHIBITED", Value: 1},
	{Name: "IP6T_ICMP6_ECHOREPLY", Value: 5},
	{Name: "IP6T_ICMP6_NOT_NEIGHBOUR", Value: 2},
	{Name: "IP6T_ICMP6_NO_ROUTE"},
	{Name: "IP6T_ICMP6_POLICY_FAIL", Value: 7},
	{Name: "IP6T_ICMP6_PORT_UNREACH", Value: 4},
	{Name: "IP6T_ICMP6_REJECT_ROUTE", Value: 8},
	{Name: "IP6T_INV_DSTIP", Value: 16},
	{Name: "IP6T_INV_FRAG", Value: 32},
	{Name: "IP6T_INV_PROTO", Value: 64},
	{Name: "IP6T_INV_SRCIP", Value: 8},
	{Name: "IP6T_INV_TOS", Value: 4},
	{Name: "IP6T_INV_VIA_IN", Value: 1},
	{Name: "IP6T_INV_VIA_OUT", Value: 2},
	{Name: "IP6T_IP6_SIZE", Value: 136},
	{Name: "IP6T_OPTS_INV_LEN", Value: 1},
	{Name: "IP6T_OPTS_LEN", Value: 1},
	{Name: "IP6T_OPTS_NSTRICT", Value: 4},
	{Name: "IP6T_OPTS_OPTS", Value: 2},
	{Name: "IP6T_OPTS_OPTSNR", Value: 16},
	{Name: "IP6T_RT_FST", Value: 16},
	{Name: "IP6T_RT_FST_MASK", Value: 48},
	{Name: "IP6T_RT_FST_NSTRICT", Value: 32},
	{Name: "IP6T_RT_HOPS", Value: 16},
	{Name: "IP6T_RT_INV_LEN", Value: 4},
	{Name: "IP6T_RT_INV_SGS", Value: 2},
	{Name: "IP6T_RT_INV_TYP", Value: 1},
	{Name: "IP6T_RT_LEN", Value: 4},
	{Name: "IP6T_RT_RES", Value: 8},
	{Name: "IP6T_RT_SGS", Value: 2},
	{Name: "IP6T_RT_TYP", Value: 1},
	{Name: "IP6T_SO_GET_ENTRIES", Value: 65},
	{Name: "IP6T_SO_GET_REVISION_MATCH", Value: 68},
	{Name: "IP6T_SO_GET_REVISION_TARGET", Value: 69},
	{Name: "IP6T_SO_ORIGINAL_DST", Value: 80},
	{Name: "IP6T_SO_SET_ADD_COUNTERS", Value: 65},
	{Name: "IP6T_SO_SET_REPLACE", Value: 64},
	{Name: "IP6T_SRH_LAST_EQ", Value: 128},
	{Name: "IP6T_SRH_LAST_GT", Value: 256},
	{Name: "IP6T_SRH_LAST_LT", Value: 512},
	{Name: "IP6T_SRH_LEN_EQ", Value: 2},
	{Name: "IP6T_SRH_LEN_GT", Value: 4},
	{Name: "IP6T_SRH_LEN_LT", Value: 8},
	{Name: "IP6T_SRH_LSID", Value: 8192},
	{Name: "IP6T_SRH_NEXTHDR", Value: 1},
	{Name: "IP6T_SRH_NSID", Value: 4096},
	{Name: "IP6T_SRH_PSID", Value: 2048},
	{Name: "IP6T_SRH_SEGS_EQ", Value: 16},
	{Name: "IP6T_SRH_SEGS_GT", Value: 32},
	{Name: "IP6T_SRH_SEGS_LT", Value: 64},
	{Name: "IP6T_SRH_TAG", Value: 1024},
	{Name: "IP6T_TCP_RESET", Value: 6},
	{Name: "IP6_RT_PRIO_ADDRCONF", Value: 256},
	{Name: "IP6_RT_PRIO_USER", Value: 1024},
	{Name: "IPC_CREAT", Value: 512},
	{Name: "IPC_EXCL", Value: 1024},
	{Name: "IPC_INFO", Value: 3},
	{Name: "IPC_NOWAIT", Value: 2048},
	{Name: "IPC_PRIVATE"},
	{Name: "IPC_RMID"},
	{Name: "IPC_SET", Value: 1},
	{Name: "IPC_STAT", Value: 2},
	{Name: "IPOPT_CIPSO", Value: 134},
	{Name: "IPOPT_END"},
	{Name: "IPOPT_LSRR", Value: 131},
	{Name: "IPOPT_NOOP", Value: 1},
	{Name: "IPOPT_RA", Value: 148},
	{Name: "IPOPT_RR", Value: 7},
	{Name: "IPOPT_SEC", Value: 130},
	{Name: "IPOPT_SID", Value: 136},
	{Name: "IPOPT_SSRR", Value: 137},
	{Name: "IPOPT_TIMESTAMP", Value: 68},
	{Name: "IPOPT_TS_PRESPEC", Value: 3},
	{Name: "IPOPT_TS_TSANDADDR", Value: 1},
	{Name: "IPOPT_TS_TSONLY"},
	{Name: "IPPROTO_AH", Value: 51},
	{Name: "IPPROTO_BEETPH", Value: 94},
	{Name: "IPPROTO_COMP", Value: 108},
	{Name: "IPPROTO_DCCP", Value: 33},
	{Name: "IPPROTO_DSTOPTS", Value: 60},
	{Name: "IPPROTO_EGP", Value: 8},
	{Name: "IPPROTO_ENCAP", Value: 98},
	{Name: "IPPROTO_ESP", Value: 50},
	{Name: "IPPROTO_FRAGMENT", Value: 44},
	{Name: "IPPROTO_GRE", Value: 47},
	{Name: "IPPROTO_HOPOPTS"},
	{Name: "IPPROTO_ICMP", Value: 1},
	{Name: "IPPROTO_ICMPV6", Value: 58},
	{Name: "IPPROTO_IDP", Value: 22},
	{Name: "IPPROTO_IGMP", Value: 2},
	{Name: "IPPROTO_IP"},
	{Name: "IPPROTO_IPIP", Value: 4},
	{Name: "IPPROTO_IPV6", Value: 41},
	{Name: "IPPROTO_L2TP", Value: 115},
	{Name: "IPPROTO_MH", Value: 135},
	{Name: "IPPROTO_MPLS", Value: 137},
	{Name: "IPPROTO_MTP", Value: 92},
	{Name: "IPPROTO_NONE", Value: 59},
	{Name: "IPPROTO_PIM", Value: 103},
	{Name: "IPPROTO_PUP", Value: 12},
	{Name: "IPPROTO_RAW", Value: 255},
	{Name: "IPPROTO_ROUTING", Value: 43},
	{Name: "IPPROTO_RSVP", Value: 46},
	{Name: "IPPROTO_SCTP", Value: 132},
	{Name: "IPPROTO_TCP", Value: 6},
	{Name: "IPPROTO_TP", Value: 29},
	{Name: "IPPROTO_UDP", Value: 17},
	{Name: "IPPROTO_UDPLITE", Value: 136},
	{Name: "IPRANGE_DST", Value: 2},
	{Name: "IPRANGE_DST_INV", Value: 32},
	{Name: "IPRANGE_SRC", Value: 1},
	{Name: "IPRANGE_SRC_INV", Value: 16},
	{Name: "IPSEC_DIR_ANY"},
	{Name: "IPSEC_DIR_FWD", Value: 3},
	{Name: "IPSEC_DIR_INBOUND", Value: 1},
	{Name: "IPSEC_DIR_MAX", Value: 4},
	{Name: "IPSEC_DIR_OUTBOUND", Value: 2},
	{Name: "IPSEC_POLICY_BYPASS", Value: 4},
	{Name: "IPSEC_POLICY_DISCARD"},
	{Name: "IPSEC_PROTO_ANY", Value: 255},
	{Name: "IPSET_DIM_MAX", Value: 6},
	{Name: "IPS_ASSURED", Value: 4},
	{Name: "IPS_CONFIRMED", Value: 8},
	{Name: "IPS_DST_NAT", Value: 32},
	{Name: "IPS_DST_NAT_DONE", Value: 256},
	{Name: "IPS_DYING", Value: 512},
	{Name: "IPS_EXPECTED", Value: 1},
	{Name: "IPS_FIXED_TIMEOUT", Value: 1024},
	{Name: "IPS_HELPER", Value: 8192},
	{Name: "IPS_SEEN_REPLY", Value: 2},
	{Name: "IPS_SEQ_ADJUST", Value: 64},
	{Name: "IPS_SRC_NAT", Value: 16},
	{Name: "IPS_SRC_NAT_DONE", Value: 128},
	{Name: "IPS_TEMPLATE", Value: 2048},
	{Name: "IPS_UNTRACKED", Value: 4096},
	{Name: "IPT_ECN_OP_SET_CWR", Value: 32},
	{Name: "IPT_ECN_OP_SET_ECE", Value: 16},
	{Name: "IPT_ECN_OP_SET_IP", Value: 1},
	{Name: "IPT_FILTER_VALID_HOOKS", Value: 14},
	{Name: "IPT_F_FRAG", Value: 1},
	{Name: "IPT_F_GOTO", Value: 2},
	{Name: "IPT_ICMP_ADMIN_PROHIBITED", Value: 8},
	{Name: "IPT_ICMP_HOST_PROHIBITED", Value: 6},
	{Name: "IPT_ICMP_HOST_UNREACHABLE", Value: 1},
	{Name: "IPT_ICMP_NET_PROHIBITED", Value: 5},
	{Name: "IPT_ICMP_NET_UNREACHABLE"},
	{Name: "IPT_ICMP_PORT_UNREACHABLE", Value: 3},
	{Name: "IPT_ICMP_PROT_UNREACHABLE", Value: 2},
	{Name: "IPT_INV_DSTIP", Value: 16},
	{Name: "IPT_INV_FRAG", Value: 32},
	{Name: "IPT_INV_PROTO", Value: 64},
	{Name: "IPT_INV_SRCIP", Value: 8},
	{Name: "IPT_INV_TOS", Value: 4},
	{Name: "IPT_INV_VIA_IN", Value: 1},
	{Name: "IPT_INV_VIA_OUT", Value: 2},
	{Name: "IPT_IP_SIZE", Value: 84},
	{Name: "IPT_MANGLE_VALID_HOOKS", Value: 31},
	{Name: "IPT_NAT_VALID_HOOKS", Value: 27},
	{Name: "IPT_RAW_VALID_HOOKS", Value: 9},
	{Name: "IPT_SECURITY_VALID_HOOKS", Value: 14},
	{Name: "IPT_SO_GET_ENTRIES", Value: 65},
	{Name: "IPT_SO_GET_INFO", Value: 64},
	{Name: "IPT_SO_GET_REVISION_MATCH", Value: 66},
	{Name: "IPT_SO_GET_REVISION_TARGET", Value: 67},
	{Name: "IPT_SO_SET_ADD_COUNTERS", Value: 65},
	{Name: "IPT_SO_SET_REPLACE", Value: 64},
	{Name: "IPT_TCP_RESET", Value: 7},
	{Name: "IPT_TTL_EQ"},
	{Name: "IPT_TTL_GT", Value: 3},
	{Name: "IPT_TTL_LT", Value: 2},
	{Name: "IPT_TTL_NE", Value: 1},
	{Name: "IPV4_FLOW", Value: 16},
	{Name: "IPV4_USER_FLOW", Value: 13},
	{Name: "IPV6_2292DSTOPTS", Value: 4},
	{Name: "IPV6_2292HOPLIMIT", Value: 8},
	{Name: "IPV6_2292HOPOPTS", Value: 3},
	{Name: "IPV6_2292PKTINFO", Value: 2},
	{Name: "IPV6_2292PKTOPTIONS", Value: 6},
	{Name: "IPV6_2292RTHDR", Value: 5},
	{Name: "IPV6_ADDRFORM", Value: 1},
	{Name: "IPV6_ADDR_PREFERENCES", Value: 72},
	{Name: "IPV6_ADD_MEMBERSHIP", Value: 20},
	{Name: "IPV6_AUTHHDR", Value: 10},
	{Name: "IPV6_AUTOFLOWLABEL", Value: 70},
	{Name: "IPV6_CHECKSUM", Value: 7},
	{Name: "IPV6_DONTFRAG", Value: 62},
	{Name: "IPV6_DROP_MEMBERSHIP", Value: 21},
	{Name: "IPV6_DSTOPTS", Value: 59},
	{Name: "IPV6_FLOW", Value: 17},
	{Name: "IPV6_FLOWINFO", Value: 11},
	{Name: "IPV6_FLOWINFO_SEND", Value: 33},
	{Name: "IPV6_FLOWLABEL_MGR", Value: 32},
	{Name: "IPV6_FL_A_GET"},
	{Name: "IPV6_FL_A_PUT", Value: 1},
	{Name: "IPV6_FL_A_RENEW", Value: 2},
	{Name: "IPV6_FL_F_CREATE", Value: 1},
	{Name: "IPV6_FL_F_EXCL", Value: 2},
	{Name: "IPV6_FL_F_REFLECT", Value: 4},
	{Name: "IPV6_FL_F_REMOTE", Value: 8},
	{Name: "IPV6_FL_S_ANY", Value: 255},
	{Name: "IPV6_FL_S_EXCL", Value: 1},
	{Name: "IPV6_FL_S_NONE"},
	{Name: "IPV6_FL_S_PROCESS", Value: 2},
	{Name: "IPV6_FL_S_USER", Value: 3},
	{Name: "IPV6_FREEBIND", Value: 78},
	{Name: "IPV6_HDRINCL", Value: 36},
	{Name: "IPV6_HOPLIMIT", Value: 52},
	{Name: "IPV6_HOPOPTS", Value: 54},
	{Name: "IPV6_IPSEC_POLICY", Value: 34},
	{Name: "IPV6_JOIN_ANYCAST", Value: 27},
	{Name: "IPV6_LEAVE_ANYCAST", Value: 28},
	{Name: "IPV6_MINHOPCOUNT", Value: 73},
	{Name: "IPV6_MTU", Value: 24},
	{Name: "IPV6_MTU_DISCOVER", Value: 23},
	{Name: "IPV6_MULTICAST_HOPS", Value: 18},
	{Name: "IPV6_MULTICAST_IF", Value: 17},
	{Name: "IPV6_MULTICAST_LOOP", Value: 19},
	{Name: "IPV6_NEXTHOP", Value: 9},
	{Name: "IPV6_PATHMTU", Value: 61},
	{Name: "IPV6_PKTINFO", Value: 50},
	{Name: "IPV6_RECVDSTOPTS", Value: 58},
	{Name: "IPV6_RECVERR", Value: 25},
	{Name: "IPV6_RECVHOPLIMIT", Value: 51},
	{Name: "IPV6_RECVHOPOPTS", Value: 53},
	{Name: "IPV6_RECVORIGDSTADDR", Value: 74},
	{Name: "IPV6_RECVPATHMTU", Value: 60},
	{Name: "IPV6_RECVPKTINFO", Value: 49},
	{Name: "IPV6_RECVRTHDR", Value: 56},
	{Name: "IPV6_RECVTCLASS", Value: 66},
	{Name: "IPV6_ROUTER_ALERT", Value: 22},
	{Name: "IPV6_RTHDR", Value: 57},
	{Name: "IPV6_RTHDRDSTOPTS", Value: 55},
	{Name: "IPV6_SRCRT_STRICT", Value: 1},
	{Name: "IPV6_SRCRT_TYPE_0"},
	{Name: "IPV6_SRCRT_TYPE_2", Value: 2},
	{Name: "IPV6_SRCRT_TYPE_4", Value: 4},
	{Name: "IPV6_TCLASS", Value: 67},
	{Name: "IPV6_TLV_CALIPSO", Value: 7},
	{Name: "IPV6_TLV_HAO", Value: 201},
	{Name: "IPV6_TLV_JUMBO", Value: 194},
	{Name: "IPV6_TLV_PAD1"},
	{Name: "IPV6_TLV_PADN", Value: 1},
	{Name: "IPV6_TLV_ROUTERALERT", Value: 5},
	{Name: "IPV6_TLV_TNL_ENCAP_LIMIT", Value: 4},
	{Name: "IPV6_TRANSPARENT", Value: 75},
	{Name: "IPV6_UNICAST_HOPS", Value: 16},
	{Name: "IPV6_UNICAST_IF", Value: 76},
	{Name: "IPV6_USER_FLOW", Value: 14},
	{Name: "IPV6_V6ONLY", Value: 26},
	{Name: "IPV6_XFRM_POLICY", Value: 35},
	{Name: "IPVS_CMD_ATTR_DAEMON", Value: 3},
	{Name: "IPVS_CMD_ATTR_DEST", Value: 2},
	{Name: "IPVS_CMD_ATTR_SERVICE", Value: 1},
	{Name: "IPVS_CMD_ATTR_TIMEOUT_TCP", Value: 4},
	{Name: "IPVS_CMD_ATTR_TIMEOUT_TCP_FIN", Value: 5},
	{Name: "IPVS_CMD_ATTR_TIMEOUT_UDP", Value: 6},
	{Name: "IPVS_CMD_DEL_DAEMON", Value: 10},
	{Name: "IPVS_CMD_DEL_DEST", Value: 7},
	{Name: "IPVS_CMD_DEL_SERVICE", Value: 3},
	{Name: "IPVS_CMD_FLUSH", Value: 17},
	{Name: "IPVS_CMD_GET_CONFIG", Value: 13},
	{Name: "IPVS_CMD_GET_DAEMON", Value: 11},
	{Name: "IPVS_CMD_GET_DEST", Value: 8},
	{Name: "IPVS_CMD_GET_INFO", Value: 15},
	{Name: "IPVS_CMD_GET_SERVICE", Value: 4},
	{Name: "IPVS_CMD_NEW_DAEMON", Value: 9},
	{Name: "IPVS_CMD_NEW_DEST", Value: 5},
	{Name: "IPVS_CMD_NEW_SERVICE", Value: 1},
	{Name: "IPVS_CMD_SET_CONFIG", Value: 12},
	{Name: "IPVS_CMD_SET_DEST", Value: 6},
	{Name: "IPVS_CMD_SET_INFO", Value: 14},
	{Name: "IPVS_CMD_SET_SERVICE", Value: 2},
	{Name: "IPVS_CMD_ZERO", Value: 16},
	{Name: "IPVS_DAEMON_ATTR_MCAST_GROUP", Value: 5},
	{Name: "IPVS_DAEMON_ATTR_MCAST_GROUP6", Value: 6},
	{Name: "IPVS_DAEMON_ATTR_MCAST_IFN", Value: 2},
	{Name: "IPVS_DAEMON_ATTR_MCAST_PORT", Value: 7},
	{Name: "IPVS_DAEMON_ATTR_MCAST_TTL", Value: 8},
	{Name: "IPVS_DAEMON_ATTR_STATE", Value: 1},
	{Name: "IPVS_DAEMON_ATTR_SYNC_ID", Value: 3},
	{Name: "IPVS_DAEMON_ATTR_SYNC_MAXLEN", Value: 4},
	{Name: "IPVS_DEST_ATTR_ACTIVE_CONNS", Value: 7},
	{Name: "IPVS_DEST_ATTR_ADDR", Value: 1},
	{Name: "IPVS_DEST_ATTR_ADDR_FAMILY", Value: 11},
	{Name: "IPVS_DEST_ATTR_FWD_METHOD", Value: 3},
	{Name: "IPVS_DEST_ATTR_INACT_CONNS", Value: 8},
	{Name: "IPVS_DEST_ATTR_L_THRESH", Value: 6},
	{Name: "IPVS_DEST_ATTR_PERSIST_CONNS", Value: 9},
	{Name: "IPVS_DEST_ATTR_PORT", Value: 2},
	{Name: "IPVS_DEST_ATTR_U_THRESH", Value: 5},
	{Name: "IPVS_DEST_ATTR_WEIGHT", Value: 4},
	{Name: "IPVS_SVC_ATTR_ADDR", Value: 3},
	{Name: "IPVS_SVC_ATTR_AF", Value: 1},
	{Name: "IPVS_SVC_ATTR_FLAGS", Value: 7},
	{Name: "IPVS_SVC_ATTR_FWMARK", Value: 5},
	{Name: "IPVS_SVC_ATTR_NETMASK", Value: 9},
	{Name: "IPVS_SVC_ATTR_PE_NAME", Value: 11},
	{Name: "IPVS_SVC_ATTR_PORT", Value: 4},
	{Name: "IPVS_SVC_ATTR_PROTOCOL", Value: 2},
	{Name: "IPVS_SVC_ATTR_SCHED_NAME", Value: 6},
	{Name: "IPVS_SVC_ATTR_TIMEOUT", Value: 8},
	{Name: "IPX_TYPE", Value: 1},
	{Name: "IPX_TYPE_NCP", Value: 17},
	{Name: "IPX_TYPE_PPROP", Value: 20},
	{Name: "IPX_TYPE_RIP", Value: 1},
	{Name: "IPX_TYPE_SAP", Value: 4},
	{Name: "IPX_TYPE_SPX", Value: 5},
	{Name: "IPX_TYPE_UNKNOWN"},
	{Name: "IP_ADD_MEMBERSHIP", Value: 35},
	{Name: "IP_ADD_SOURCE_MEMBERSHIP", Value: 39},
	{Name: "IP_BIND_ADDRESS_NO_PORT", Value: 24},
	{Name: "IP_BLOCK_SOURCE", Value: 38},
	{Name: "IP_CHECKSUM", Value: 23},
	{Name: "IP_DROP_MEMBERSHIP", Value: 36},
	{Name: "IP_DROP_SOURCE_MEMBERSHIP", Value: 40},
	{Name: "IP_FREEBIND", Value: 15},
	{Name: "IP_HDRINCL", Value: 3},
	{Name: "IP_IPSEC_POLICY", Value: 16},
	{Name: "IP_MINTTL", Value: 21},
	{Name: "IP_MSFILTER", Value: 41},
	{Name: "IP_MTU", Value: 14},
	{Name: "IP_MTU_DISCOVER", Value: 10},
	{Name: "IP_MULTICAST_ALL", Value: 49},
	{Name: "IP_MULTICAST_IF", Value: 32},
	{Name: "IP_MULTICAST_LOOP", Value: 34},
	{Name: "IP_MULTICAST_TTL", Value: 33},
	{Name: "IP_NODEFRAG", Value: 22},
	{Name: "IP_OPTIONS", Value: 4},
	{Name: "IP_PASSSEC", Value: 18},
	{Name: "IP_PKTINFO", Value: 8},
	{Name: "IP_PKTOPTIONS", Value: 9},
	{Name: "IP_PMTUDISC_DO", Value: 2},
	{Name: "IP_PMTUDISC_DONT"},
	{Name: "IP_PMTUDISC_INTERFACE", Value: 4},
	{Name: "IP_PMTUDISC_OMIT", Value: 5},
	{Name: "IP_PMTUDISC_PROBE", Value: 3},
	{Name: "IP_PMTUDISC_WANT", Value: 1},
	{Name: "IP_RECVERR", Value: 11},
	{Name: "IP_RECVOPTS", Value: 6},
	{Name: "IP_RECVORIGDSTADDR", Value: 20},
	{Name: "IP_RECVTOS", Value: 13},
	{Name: "IP_RECVTTL", Value: 12},
	{Name: "IP_RETOPTS", Value: 7},
	{Name: "IP_ROUTER_ALERT", Value: 5},
	{Name: "IP_TOS", Value: 1},
	{Name: "IP_TRANSPARENT", Value: 19},
	{Name: "IP_TTL", Value: 2},
	{Name: "IP_UNBLOCK_SOURCE", Value: 37},
	{Name: "IP_UNICAST_IF", Value: 50},
	{Name: "IP_USER_FLOW", Value: 13},
	{Name: "IP_VS_CONN_F_BYPASS", Value: 4},
	{Name: "IP_VS_CONN_F_DROUTE", Value: 3},
	{Name: "IP_VS_CONN_F_FWD_MASK", Value: 7},
	{Name: "IP_VS_CONN_F_LOCALNODE", Value: 1},
	{Name: "IP_VS_CONN_F_MASQ"},
	{Name: "IP_VS_CONN_F_NFCT", Value: 65536},
	{Name: "IP_VS_CONN_F_ONE_PACKET", Value: 8192},
	{Name: "IP_VS_CONN_F_TUNNEL", Value: 2},
	{Name: "IP_VS_DAEMON_SIZE", Value: 48},
	{Name: "IP_VS_GETINFO_SIZE", Value: 12},
	{Name: "IP_VS_SCHEDNAME_MAXLEN", Value: 16},
	{Name: "IP_VS_SERVICE_ENTRY_SIZE", Value: 104},
	{Name: "IP_VS_SO_GET_DAEMON", Value: 1159},
	{Name: "IP_VS_SO_GET_DESTS", Value: 1156},
	{Name: "IP_VS_SO_GET_INFO", Value: 1153},
	{Name: "IP_VS_SO_GET_SERVICE", Value: 1155},
	{Name: "IP_VS_SO_GET_SERVICES", Value: 1154},
	{Name: "IP_VS_SO_GET_TIMEOUT", Value: 1158},
	{Name: "IP_VS_SO_GET_VERSION", Value: 1152},
	{Name: "IP_VS_SO_SET_ADD", Value: 1154},
	{Name: "IP_VS_SO_SET_ADDDEST", Value: 1159},
	{Name: "IP_VS_SO_SET_DEL", Value: 1156},
	{Name: "IP_VS_SO_SET_DELDEST", Value: 1160},
	{Name: "IP_VS_SO_SET_EDIT", Value: 1155},
	{Name: "IP_VS_SO_SET_EDITDEST", Value: 1161},
	{Name: "IP_VS_SO_SET_FLUSH", Value: 1157},
	{Name: "IP_VS_SO_SET_STARTDAEMON", Value: 1163},
	{Name: "IP_VS_SO_SET_STOPDAEMON", Value: 1164},
	{Name: "IP_VS_SO_SET_TIMEOUT", Value: 1162},
	{Name: "IP_VS_SO_SET_ZERO", Value: 1167},
	{Name: "IP_VS_STATE_BACKUP", Value: 2},
	{Name: "IP_VS_STATE_MASTER", Value: 1},
	{Name: "IP_VS_STATE_NONE"},
	{Name: "IP_VS_SVC_F_HASHED", Value: 2},
	{Name: "IP_VS_SVC_F_ONEPACKET", Value: 4},
	{Name: "IP_VS_SVC_F_PERSISTENT", Value: 1},
	{Name: "IP_VS_SVC_F_SCHED1", Value: 8},
	{Name: "IP_VS_SVC_F_SCHED2", Value: 16},
	{Name: "IP_VS_SVC_F_SCHED3", Value: 32},
	{Name: "IP_VS_TIMEOUT_SIZE", Value: 12},
	{Name: "IP_XFRM_POLICY", Value: 17},
	{Name: "ITIMER_PROF", Value: 2},
	{Name: "ITIMER_REAL"},
	{Name: "ITIMER_VIRTUAL", Value: 1},
	{Name: "KCMPROTO_CONNECTED"},
	{Name: "KCMP_EPOLL_TFD", Value: 7},
	{Name: "KCMP_FILE"},
	{Name: "KCMP_FILES", Value: 2},
	{Name: "KCMP_FS", Value: 3},
	{Name: "KCMP_IO", Value: 5},
	{Name: "KCMP_SIGHAND", Value: 4},
	{Name: "KCMP_SYSVSEM", Value: 6},
	{Name: "KCMP_VM", Value: 1},
	{Name: "KCM_RECV_DISABLE", Value: 1},
	{Name: "KCOV_DISABLE", Value: 25445},
	{Name: "KCOV_ENABLE", Value: 25444},
	{Name: "KCOV_INIT_TRACE", Value: 2148033281},
	{Name: "KCOV_TRACE_CMP", Value: 1},
	{Name: "KCOV_TRACE_PC"},
	{Name: "KDADDIO", Value: 19252},
	{Name: "KDDELIO", Value: 19253},
	{Name: "KDDISABIO", Value: 19255},
	{Name: "KDENABIO", Value: 19254},
	{Name: "KDGETKEYCODE", Value: 19276},
	{Name: "KDGETLED", Value: 19249},
	{Name: "KDGETMODE", Value: 19259},
	{Name: "KDGKBDIACR", Value: 19274},
	{Name: "KDGKBENT", Value: 19270},
	{Name: "KDGKBLED", Value: 19300},
	{Name: "KDGKBMETA", Value: 19298},
	{Name: "KDGKBMODE", Value: 19268},
	{Name: "KDGKBSENT", Value: 19272},
	{Name: "KDGKBTYPE", Value: 19251},
	{Name: "KDMKTONE", Value: 19248},
	{Name: "KDSETKEYCODE", Value: 19277},
	{Name: "KDSETLED", Value: 19250},
	{Name: "KDSETMODE", Value: 19258},
	{Name: "KDSIGACCEPT", Value: 19278},
	{Name: "KDSKBLED", Value: 19301},
	{Name: "KDSKBMETA", Value: 19299},
	{Name: "KDSKBMODE", Value: 19269},
	{Name: "KDSKBSENT", Value: 19273},
	{Name: "KERNEL_CLIENT", Value: 2},
	{Name: "KEXEC_ARCH_386", Value: 196608},
	{Name: "KEXEC_ARCH_ARM", Value: 2621440},
	{Name: "KEXEC_ARCH_IA_64", Value: 3276800},
	{Name: "KEXEC_ARCH_MIPS", Value: 524288},
	{Name: "KEXEC_ARCH_MIPS_LE", Value: 655360},
	{Name: "KEXEC_ARCH_PPC", Value: 1310720},
	{Name: "KEXEC_ARCH_PPC64", Value: 1376256},
	{Name: "KEXEC_ARCH_S390", Value: 1441792},
	{Name: "KEXEC_ARCH_SH", Value: 2752512},
	{Name: "KEXEC_ARCH_X86_64", Value: 4063232},
	{Name: "KEXEC_ON_CRASH", Value: 1},
	{Name: "KEXEC_PRESERVE_CONTEXT", Value: 2},
	{Name: "KEYCTL_ASSUME_AUTHORITY", Value: 16},
	{Name: "KEYCTL_CHOWN", Value: 4},
	{Name: "KEYCTL_CLEAR", Value: 7},
	{Name: "KEYCTL_DESCRIBE", Value: 6},
	{Name: "KEYCTL_DH_COMPUTE", Value: 23},
	{Name: "KEYCTL_GET_KEYRING_ID"},
	{Name: "KEYCTL_GET_PERSISTENT", Value: 22},
	{Name: "KEYCTL_GET_SECURITY", Value: 17},
	{Name: "KEYCTL_INSTANTIATE", Value: 12},
	{Name: "KEYCTL_INSTANTIATE_IOV", Value: 20},
	{Name: "KEYCTL_INVALIDATE", Value: 21},
	{Name: "KEYCTL_JOIN_SESSION_KEYRING", Value: 1},
	{Name: "KEYCTL_LINK", Value: 8},
	{Name: "KEYCTL_NEGATE", Value: 13},
	{Name: "KEYCTL_READ", Value: 11},
	{Name: "KEYCTL_REJECT", Value: 19},
	{Name: "KEYCTL_RESTRICT_KEYRING", Value: 29},
	{Name: "KEYCTL_REVOKE", Value: 3},
	{Name: "KEYCTL_SEARCH", Value: 10},
	{Name: "KEYCTL_SESSION_TO_PARENT", Value: 18},
	{Name: "KEYCTL_SETPERM", Value: 5},
	{Name: "KEYCTL_SET_REQKEY_KEYRING", Value: 14},
	{Name: "KEYCTL_SET_TIMEOUT", Value: 15},
	{Name: "KEYCTL_UNLINK", Value: 9},
	{Name: "KEYCTL_UPDATE", Value: 2},
	{Name: "KEY_GRP_LINK", Value: 4096},
	{Name: "KEY_GRP_READ", Value: 512},
	{Name: "KEY_GRP_SEARCH", Value: 2048},
	{Name: "KEY_GRP_SETATTR", Value: 8192},
	{Name: "KEY_GRP_VIEW", Value: 256},
	{Name: "KEY_GRP_WRITE", Value: 1024},
	{Name: "KEY_MAX", Value: 767},
	{Name: "KEY_OTH_LINK", Value: 16},
	{Name: "KEY_OTH_READ", Value: 2},
	{Name: "KEY_OTH_SEARCH", Value: 8},
	{Name: "KEY_OTH_SETATTR", Value: 32},
	{Name: "KEY_OTH_VIEW", Value: 1},
	{Name: "KEY_OTH_WRITE", Value: 4},
	{Name: "KEY_PERM_UNDEF", Value: 4294967295},
	{Name: "KEY_POS_LINK", Value: 268435456},
	{Name: "KEY_POS_READ", Value: 33554432},
	{Name: "KEY_POS_SEARCH", Value: 134217728},
	{Name: "KEY_POS_SETATTR", Value: 536870912},
	{Name: "KEY_POS_VIEW", Value: 16777216},
	{Name: "KEY_POS_WRITE", Value: 67108864},
	{Name: "KEY_REQKEY_DEFL_DEFAULT"},
	{Name: "KEY_REQKEY_DEFL_GROUP_KEYRING", Value: 6},
	{Name: "KEY_REQKEY_DEFL_NO_CHANGE", Value: 18446744073709551615},
	{Name: "KEY_REQKEY_DEFL_PROCESS_KEYRING", Value: 2},
	{Name: "KEY_REQKEY_DEFL_REQUESTOR_KEYRING", Value: 7},
	{Name: "KEY_REQKEY_DEFL_SESSION_KEYRING", Value: 3},
	{Name: "KEY_REQKEY_DEFL_THREAD_KEYRING", Value: 1},
	{Name: "KEY_REQKEY_DEFL_USER_KEYRING", Value: 4},
	{Name: "KEY_REQKEY_DEFL_USER_SESSION_KEYRING", Value: 5},
	{Name: "KEY_SPEC_GROUP_KEYRING", Value: 18446744073709551610},
	{Name: "KEY_SPEC_PROCESS_KEYRING", Value: 18446744073709551614},
	{Name: "KEY_SPEC_REQKEY_AUTH_KEY", Value: 18446744073709551609},
	{Name: "KEY_SPEC_REQUESTOR_KEYRING", Value: 18446744073709551608},
	{Name: "KEY_SPEC_SESSION_KEYRING", Value: 18446744073709551613},
	{Name: "KEY_SPEC_THREAD_KEYRING", Value: 18446744073709551615},
	{Name: "KEY_SPEC_USER_KEYRING", Value: 18446744073709551612},
	{Name: "KEY_SPEC_USER_SESSION_KEYRING", Value: 18446744073709551611},
	{Name: "KEY_USR_LINK", Value: 1048576},
	{Name: "KEY_USR_READ", Value: 131072},
	{Name: "KEY_USR_SEARCH", Value: 524288},
	{Name: "KEY_USR_SETATTR", Value: 2097152},
	{Name: "KEY_USR_VIEW", Value: 65536},
	{Name: "KEY_USR_WRITE", Value: 262144},
	{Name: "KIOCSOUND", Value: 19247},
	{Name: "KVM_ARM_SET_DEVICE_ADDR", Value: 1074835115},
	{Name: "KVM_ARM_TARGET_AEM_V8"},
	{Name: "KVM_ARM_TARGET_CORTEX_A53", Value: 4},
	{Name: "KVM_ARM_TARGET_CORTEX_A57", Value: 2},
	{Name: "KVM_ARM_TARGET_FOUNDATION_V8", Value: 1},
	{Name: "KVM_ARM_TARGET_GENERIC_V8", Value: 5},
	{Name: "KVM_ARM_TARGET_XGENE_POTENZA", Value: 3},
	{Name: "KVM_ARM_VCPU_EL1_32BIT", Value: 1},
	{Name: "KVM_ARM_VCPU_INIT", Value: 1075883694},
	{Name: "KVM_ARM_VCPU_PMU_V3", Value: 3},
	{Name: "KVM_ARM_VCPU_POWER_OFF"},
	{Name: "KVM_ARM_VCPU_PSCI_0_2", Value: 2},
	{Name: "KVM_ASSIGN_DEV_IRQ", Value: 1077980784},
	{Name: "KVM_ASSIGN_PCI_DEVICE", Value: 2151722601},
	{Name: "KVM_ASSIGN_SET_INTX_MASK", Value: 1077980836},
	{Name: "KVM_ASSIGN_SET_MSIX_ENTRY", Value: 1074835060},
	{Name: "KVM_ASSIGN_SET_MSIX_NR", Value: 1074310771},
	{Name: "KVM_CAP_DISABLE_QUIRKS", Value: 116},
	{Name: "KVM_CAP_HYPERV_SYNIC", Value: 123},
	{Name: "KVM_CAP_SPLIT_IRQCHIP", Value: 121},
	{Name: "KVM_CAP_X2APIC_API", Value: 129},
	{Name: "KVM_CHECK_EXTENSION", Value: 44547},
	{Name: "KVM_CREATE_DEVICE", Value: 3222056672},
	{Name: "KVM_CREATE_DEVICE_TEST", Value: 1},
	{Name: "KVM_CREATE_IRQCHIP", Value: 44640},
	{Name: "KVM_CREATE_PIT2", Value: 1077980791},
	{Name: "KVM_CREATE_VCPU", Value: 44609},
	{Name: "KVM_CREATE_VM", Value: 44545},
	{Name: "KVM_DEASSIGN_DEV_IRQ", Value: 1077980789},
	{Name: "KVM_DEASSIGN_PCI_DEVICE", Value: 1077980786},
	{Name: "KVM_DEV_ASSIGN_ENABLE_IOMMU", Value: 1},
	{Name: "KVM_DEV_ASSIGN_MASK_INTX", Value: 4},
	{Name: "KVM_DEV_ASSIGN_PCI_2_3", Value: 2},
	{Name: "KVM_DEV_IRQ_GUEST_INTX", Value: 256},
	{Name: "KVM_DEV_IRQ_GUEST_MSI", Value: 512},
	{Name: "KVM_DEV_IRQ_GUEST_MSIX", Value: 1024},
	{Name: "KVM_DEV_IRQ_HOST_INTX", Value: 1},
	{Name: "KVM_DEV_IRQ_HOST_MSI", Value: 2},
	{Name: "KVM_DEV_IRQ_HOST_MSIX", Value: 4},
	{Name: "KVM_DEV_TYPE_FLIC", Value: 6},
	{Name: "KVM_DEV_TYPE_FSL_MPIC_20", Value: 1},
	{Name: "KVM_DEV_TYPE_FSL_MPIC_42", Value: 2},
	{Name: "KVM_DEV_TYPE_VFIO", Value: 4},
	{Name: "KVM_DEV_TYPE_XICS", Value: 3},
	{Name: "KVM_DIRTY_TLB", Value: 1074835114},
	{Name: "KVM_ENABLE_CAP", Value: 1080602275},
	{Name: "KVM_GET_CLOCK", Value: 2150674044},
	{Name: "KVM_GET_DEVICE_ATTR", Value: 1075359458},
	{Name: "KVM_GET_DIRTY_LOG", Value: 1074835010},
	{Name: "KVM_GET_FPU", Value: 2147528332},
	{Name: "KVM_GET_IRQCHIP", Value: 3255348834},
	{Name: "KVM_GET_MP_STATE", Value: 2147790488},
	{Name: "KVM_GET_NR_MMU_PAGES", Value: 44613},
	{Name: "KVM_GET_ONE_REG", Value: 1074835115},
	{Name: "KVM_GET_REGS", Value: 2204151425},
	{Name: "KVM_GET_REG_LIST", Value: 3221794480},
	{Name: "KVM_GET_SREGS", Value: 2147528323},
	{Name: "KVM_GET_TSC_KHZ", Value: 44707},
	{Name: "KVM_GET_VCPU_MMAP_SIZE", Value: 44548},
	{Name: "KVM_GUESTDBG_ENABLE", Value: 1},
	{Name: "KVM_GUESTDBG_SINGLESTEP", Value: 2},
	{Name: "KVM_GUESTDBG_USE_SW_BP", Value: 65536},
	{Name: "KVM_HAS_DEVICE_ATTR", Value: 1075359459},
	{Name: "KVM_HYPERV_EVENTFD", Value: 1075359421},
	{Name: "KVM_INTERRUPT", Value: 1074048646},
	{Name: "KVM_IOEVENTFD", Value: 1077980793},
	{Name: "KVM_IOEVENTFD_FLAG_DATAMATCH", Value: 1},
	{Name: "KVM_IOEVENTFD_FLAG_DEASSIGN", Value: 4},
	{Name: "KVM_IOEVENTFD_FLAG_PIO", Value: 2},
	{Name: "KVM_IOEVENTFD_FLAG_VIRTIO_CCW_NOTIFY", Value: 8},
	{Name: "KVM_IRQFD", Value: 1075883638},
	{Name: "KVM_IRQ_LINE", Value: 1074310753},
	{Name: "KVM_IRQ_LINE_STATUS", Value: 3221794407},
	{Name: "KVM_IRQ_ROUTING_HV_SINT", Value: 4},
	{Name: "KVM_IRQ_ROUTING_IRQCHIP", Value: 1},
	{Name: "KVM_IRQ_ROUTING_MSI", Value: 2},
	{Name: "KVM_IRQ_ROUTING_S390_ADAPTER", Value: 3},
	{Name: "KVM_KVMCLOCK_CTRL", Value: 44717},
	{Name: "KVM_MEM_LOG_DIRTY_PAGES", Value: 1},
	{Name: "KVM_MEM_READONLY", Value: 2},
	{Name: "KVM_MP_STATE_CHECK_STOP", Value: 6},
	{Name: "KVM_MP_STATE_HALTED", Value: 3},
	{Name: "KVM_MP_STATE_INIT_RECEIVED", Value: 2},
	{Name: "KVM_MP_STATE_LOAD", Value: 8},
	{Name: "KVM_MP_STATE_OPERATING", Value: 7},
	{Name: "KVM_MP_STATE_RUNNABLE"},
	{Name: "KVM_MP_STATE_SIPI_RECEIVED", Value: 4},
	{Name: "KVM_MP_STATE_STOPPED", Value: 5},
	{Name: "KVM_MP_STATE_UNINITIALIZED", Value: 1},
	{Name: "KVM_NMI", Value: 44698},
	{Name: "KVM_PPC_ALLOCATE_HTAB", Value: 3221532327},
	{Name: "KVM_PPC_GET_PVINFO", Value: 1082175137},
	{Name: "KVM_PPC_GET_SMMU_INFO", Value: 2186325670},
	{Name: "KVM_REGISTER_COALESCED_MMIO", Value: 1074835047},
	{Name: "KVM_REINJECT_CONTROL", Value: 44657},
	{Name: "KVM_RUN", Value: 44672},
	{Name: "KVM_S390_INTERRUPT", Value: 1074835092},
	{Name: "KVM_S390_UCAS_MAP", Value: 1075359312},
	{Name: "KVM_S390_UCAS_UNMAP", Value: 1075359313},
	{Name: "KVM_S390_VCPU_FAULT", Value: 1074310738},
	{Name: "KVM_SETUP_CPL3", Value: 8},
	{Name: "KVM_SETUP_PAE", Value: 2},
	{Name: "KVM_SETUP_PAGING", Value: 1},
	{Name: "KVM_SETUP_PROTECTED", Value: 4},
	{Name: "KVM_SETUP_SMM", Value: 32},
	{Name: "KVM_SETUP_VIRT86", Value: 16},
	{Name: "KVM_SETUP_VM", Value: 64},
	{Name: "KVM_SET_BOOT_CPU_ID", Value: 44664},
	{Name: "KVM_SET_CLOCK", Value: 1076932219},
	{Name: "KVM_SET_DEVICE_ATTR", Value: 1075359457},
	{Name: "KVM_SET_FPU", Value: 1073786509},
	{Name: "KVM_SET_GSI_ROUTING", Value: 1074310762},
	{Name: "KVM_SET_GUEST_DEBUG", Value: 1107865243},
	{Name: "KVM_SET_IDENTITY_MAP_ADDR", Value: 1074310728},
	{Name: "KVM_SET_IRQCHIP", Value: 2181607011},
	{Name: "KVM_SET_MP_STATE", Value: 1074048665},
	{Name: "KVM_SET_NR_MMU_PAGES", Value: 44612},
	{Name: "KVM_SET_ONE_REG", Value: 1074835116},
	{Name: "KVM_SET_REGS", Value: 1130409602},
	{Name: "KVM_SET_SIGNAL_MASK", Value: 1074048651},
	{Name: "KVM_SET_SREGS", Value: 1073786500},
	{Name: "KVM_SET_TSC_KHZ", Value: 44706},
	{Name: "KVM_SET_TSS_ADDR", Value: 44615},
	{Name: "KVM_SET_USER_MEMORY_REGION", Value: 1075883590},
	{Name: "KVM_SET_VAPIC_ADDR", Value: 1074310803},
	{Name: "KVM_SIGNAL_MSI", Value: 1075883685},
	{Name: "KVM_SMI", Value: 44727},
	{Name: "KVM_TPR_ACCESS_REPORTING", Value: 3223891602},
	{Name: "KVM_TRANSLATE", Value: 3222843013},
	{Name: "KVM_UNREGISTER_COALESCED_MMIO", Value: 1074835048},
	{Name: "KVM_X86_GET_MCE_CAP_SUPPORTED", Value: 2148052637},
	{Name: "KVM_X86_SETUP_MCE", Value: 1074310812},
	{Name: "L2CAP_CONNINFO", Value: 2},
	{Name: "L2CAP_LM", Value: 3},
	{Name: "L2CAP_LM_AUTH", Value: 2},
	{Name: "L2CAP_LM_ENCRYPT", Value: 4},
	{Name: "L2CAP_LM_FIPS", Value: 64},
	{Name: "L2CAP_LM_MASTER", Value: 1},
	{Name: "L2CAP_LM_RELIABLE", Value: 16},
	{Name: "L2CAP_LM_SECURE", Value: 32},
	{Name: "L2CAP_LM_TRUSTED", Value: 8},
	{Name: "L2CAP_OPTIONS", Value: 1},
	{Name: "LED_MAX", Value: 15},
	{Name: "LLC_OPT_ACK_TMR_EXP", Value: 3},
	{Name: "LLC_OPT_BUSY_TMR_EXP", Value: 6},
	{Name: "LLC_OPT_PKTINFO", Value: 9},
	{Name: "LLC_OPT_P_TMR_EXP", Value: 4},
	{Name: "LLC_OPT_REJ_TMR_EXP", Value: 5},
	{Name: "LLC_OPT_RETRY", Value: 1},
	{Name: "LLC_OPT_RX_WIN", Value: 8},
	{Name: "LLC_OPT_SIZE", Value: 2},
	{Name: "LLC_OPT_TX_WIN", Value: 7},
	{Name: "LLC_SAP_3COM", Value: 128},
	{Name: "LLC_SAP_8208", Value: 126},
	{Name: "LLC_SAP_BANYAN", Value: 188},
	{Name: "LLC_SAP_BSPAN", Value: 66},
	{Name: "LLC_SAP_DISC", Value: 252},
	{Name: "LLC_SAP_GLOBAL", Value: 255},
	{Name: "LLC_SAP_IMPL", Value: 248},
	{Name: "LLC_SAP_IP", Value: 6},
	{Name: "LLC_SAP_IPX", Value: 224},
	{Name: "LLC_SAP_LANMGR", Value: 244},
	{Name: "LLC_SAP_LAR", Value: 220},
	{Name: "LLC_SAP_LLC", Value: 2},
	{Name: "LLC_SAP_MMS", Value: 78},
	{Name: "LLC_SAP_NETBEUI", Value: 240},
	{Name: "LLC_SAP_NULL"},
	{Name: "LLC_SAP_OSI", Value: 254},
	{Name: "LLC_SAP_PNM", Value: 14},
	{Name: "LLC_SAP_PRO", Value: 142},
	{Name: "LLC_SAP_RM", Value: 212},
	{Name: "LLC_SAP_SNA", Value: 4},
	{Name: "LLC_SAP_SNAP", Value: 170},
	{Name: "LOCK_EX", Value: 2},
	{Name: "LOCK_NB", Value: 4},
	{Name: "LOCK_SH", Value: 1},
	{Name: "LOCK_UN", Value: 8},
	{Name: "LOOP_CHANGE_FD", Value: 19462},
	{Name: "LOOP_CLR_FD", Value: 19457},
	{Name: "LOOP_CTL_ADD", Value: 19584},
	{Name: "LOOP_CTL_GET_FREE", Value: 19586},
	{Name: "LOOP_CTL_REMOVE", Value: 19585},
	{Name: "LOOP_GET_STATUS", Value: 19459},
	{Name: "LOOP_GET_STATUS64", Value: 19461},
	{Name: "LOOP_SET_BLOCK_SIZE", Value: 19465},
	{Name: "LOOP_SET_CAPACITY", Value: 19463},
	{Name: "LOOP_SET_DIRECT_IO", Value: 19464},
	{Name: "LOOP_SET_FD", Value: 19456},
	{Name: "LOOP_SET_STATUS", Value: 19458},
	{Name: "LOOP_SET_STATUS64", Value: 19460},
	{Name: "LO_CRYPT_BLOW", Value: 4},
	{Name: "LO_CRYPT_CAST128", Value: 5},
	{Name: "LO_CRYPT_CRYPTOAPI", Value: 18},
	{Name: "LO_CRYPT_DES", Value: 2},
	{Name: "LO_CRYPT_DUMMY", Value: 9},
	{Name: "LO_CRYPT_FISH2", Value: 3},
	{Name: "LO_CRYPT_IDEA", Value: 6},
	{Name: "LO_CRYPT_NONE"},
	{Name: "LO_CRYPT_SKIPJACK", Value: 10},
	{Name: "LO_CRYPT_XOR", Value: 1},
	{Name: "LO_FLAGS_AUTOCLEAR", Value: 4},
	{Name: "LO_FLAGS_DIRECT_IO", Value: 16},
	{Name: "LO_FLAGS_PARTSCAN", Value: 8},
	{Name: "LO_FLAGS_READ_ONLY", Value: 1},
	{Name: "LO_KEY_SIZE", Value: 32},
	{Name: "LO_NAME_SIZE", Value: 64},
	{Name: "LWTUNNEL_ENCAP_BPF", Value: 6},
	{Name: "LWTUNNEL_ENCAP_ILA", Value: 3},
	{Name: "LWTUNNEL_ENCAP_IP", Value: 2},
	{Name: "LWTUNNEL_ENCAP_IP6", Value: 4},
	{Name: "LWTUNNEL_ENCAP_MPLS", Value: 1},
	{Name: "LWTUNNEL_ENCAP_NONE"},
	{Name: "LWTUNNEL_ENCAP_SEG6", Value: 5},
	{Name: "LWTUNNEL_ENCAP_SEG6_LOCAL", Value: 7},
	{Name: "MADV_DODUMP", Value: 17},
	{Name: "MADV_DOFORK", Value: 11},
	{Name: "MADV_DONTDUMP", Value: 16},
	{Name: "MADV_DONTFORK", Value: 10},
	{Name: "MADV_DONTNEED", Value: 4},
	{Name: "MADV_HUGEPAGE", Value: 14},
	{Name: "MADV_HWPOISON", Value: 100},
	{Name: "MADV_KEEPONFORK", Value: 19},
	{Name: "MADV_MERGEABLE", Value: 12},
	{Name: "MADV_NOHUGEPAGE", Value: 15},
	{Name: "MADV_NORMAL"},
	{Name: "MADV_RANDOM", Value: 1},
	{Name: "MADV_REMOVE", Value: 9},
	{Name: "MADV_SEQUENTIAL", Value: 2},
	{Name: "MADV_SOFT_OFFLINE", Value: 101},
	{Name: "MADV_UNMERGEABLE", Value: 13},
	{Name: "MADV_WILLNEED", Value: 3},
	{Name: "MADV_WIPEONFORK", Value: 18},
	{Name: "MAP_32BIT"},
	{Name: "MAP_ANONYMOUS", Value: 32},
	{Name: "MAP_DENYWRITE", Value: 2048},
	{Name: "MAP_EXECUTABLE", Value: 4096},
	{Name: "MAP_FILE"},
	{Name: "MAP_FIXED", Value: 16},
	{Name: "MAP_FIXED_NOREPLACE", Value: 1048576},
	{Name: "MAP_GROWSDOWN", Value: 256},
	{Name: "MAP_HUGETLB", Value: 262144},
	{Name: "MAP_LOCKED", Value: 8192},
	{Name: "MAP_NONBLOCK", Value: 65536},
	{Name: "MAP_NORESERVE", Value: 16384},
	{Name: "MAP_POPULATE", Value: 32768},
	{Name: "MAP_PRIVATE", Value: 2},
	{Name: "MAP_SHARED", Value: 1},
	{Name: "MAP_SHARED_VALIDATE", Value: 3},
	{Name: "MAP_STACK", Value: 131072},
	{Name: "MAP_SYNC", Value: 524288},
	{Name: "MAP_UNINITIALIZED"},
	{Name: "MARK_AND_VALUE", Value: 4294967248},
	{Name: "MARK_OR_VALUE", Value: 4294967264},
	{Name: "MARK_SET_VALUE", Value: 4294967280},
	{Name: "MARK_XOR_VALUE", Value: 4294967232},
	{Name: "MASK_AH", Value: 8},
	{Name: "MASK_DSTOPTS", Value: 64},
	{Name: "MASK_ESP", Value: 4},
	{Name: "MASK_FRAGMENT", Value: 16},
	{Name: "MASK_HOPOPTS", Value: 128},
	{Name: "MASK_NONE", Value: 2},
	{Name: "MASK_PROTO", Value: 1},
	{Name: "MASK_ROUTING", Value: 32},
	{Name: "MAXGENRELEN", Value: 32},
	{Name: "MAX_HEAP_NAME", Value: 32},
	{Name: "MAX_IDLETIMER_LABEL_SIZE", Value: 28},
	{Name: "MAX_NUM_QUEUE", Value: 4096},
	{Name: "MAX_PHYS_ITEM_ID_LEN", Value: 32},
	{Name: "MCAST_BLOCK_SOURCE", Value: 43},
	{Name: "MCAST_EXCLUDE"},
	{Name: "MCAST_INCLUDE", Value: 1},
	{Name: "MCAST_JOIN_GROUP", Value: 42},
	{Name: "MCAST_JOIN_SOURCE_GROUP", Value: 46},
	{Name: "MCAST_LEAVE_GROUP", Value: 45},
	{Name: "MCAST_LEAVE_SOURCE_GROUP", Value: 47},
	{Name: "MCAST_MSFILTER", Value: 48},
	{Name: "MCAST_UNBLOCK_SOURCE", Value: 44},
	{Name: "MCL_CURRENT", Value: 1},
	{Name: "MCL_FUTURE", Value: 2},
	{Name: "MEDIA_BUS_FMT_AHSV8888_1X32", Value: 24577},
	{Name: "MEDIA_BUS_FMT_ARGB8888_1X32", Value: 4109},
	{Name: "MEDIA_BUS_FMT_AYUV8_1X32", Value: 8215},
	{Name: "MEDIA_BUS_FMT_BGR565_2X8_BE", Value: 4101},
	{Name: "MEDIA_BUS_FMT_BGR565_2X8_LE", Value: 4102},
	{Name: "MEDIA_BUS_FMT_BGR888_1X24", Value: 4115},
	{Name: "MEDIA_BUS_FMT_FIXED", Value: 1},
	{Name: "MEDIA_BUS_FMT_GBR888_1X24", Value: 4116},
	{Name: "MEDIA_BUS_FMT_JPEG_1X8", Value: 16385},
	{Name: "MEDIA_BUS_FMT_RBG888_1X24", Value: 4110},
	{Name: "MEDIA_BUS_FMT_RGB444_1X12", Value: 4118},
	{Name: "MEDIA_BUS_FMT_RGB444_2X8_PADHI_BE", Value: 4097},
	{Name: "MEDIA_BUS_FMT_RGB444_2X8_PADHI_LE", Value: 4098},
	{Name: "MEDIA_BUS_FMT_RGB555_2X8_PADHI_BE", Value: 4099},
	{Name: "MEDIA_BUS_FMT_RGB555_2X8_PADHI_LE", Value: 4100},
	{Name: "MEDIA_BUS_FMT_RGB565_1X16", Value: 4119},
	{Name: "MEDIA_BUS_FMT_RGB565_2X8_BE", Value: 4103},
	{Name: "MEDIA_BUS_FMT_RGB565_2X8_LE", Value: 4104},
	{Name: "MEDIA_BUS_FMT_RGB666_1X18", Value: 4105},
	{Name: "MEDIA_BUS_FMT_RGB666_1X24_CPADHI", Value: 4117},
	{Name: "MEDIA_BUS_FMT_RGB666_1X7X3_SPWG", Value: 4112},
	{Name: "MEDIA_BUS_FMT_RGB888_1X24", Value: 4106},
	{Name: "MEDIA_BUS_FMT_RGB888_1X32_PADHI", Value: 4111},
	{Name: "MEDIA_BUS_FMT_RGB888_1X7X4_JEIDA", Value: 4114},
	{Name: "MEDIA_BUS_FMT_RGB888_1X7X4_SPWG", Value: 4113},
	{Name: "MEDIA_BUS_FMT_RGB888_2X12_BE", Value: 4107},
	{Name: "MEDIA_BUS_FMT_RGB888_2X12_LE", Value: 4108},
	{Name: "MEDIA_BUS_FMT_S5C_UYVY_JPEG_1X8", Value: 20481},
	{Name: "MEDIA_BUS_FMT_SBGGR10_1X10", Value: 12295},
	{Name: "MEDIA_BUS_FMT_SBGGR10_2X8_PADHI_BE", Value: 12291},
	{Name: "MEDIA_BUS_FMT_SBGGR10_2X8_PADHI_LE", Value: 12292},
	{Name: "MEDIA_BUS_FMT_SBGGR10_2X8_PADLO_BE", Value: 12293},
	{Name: "MEDIA_BUS_FMT_SBGGR10_2X8_PADLO_LE", Value: 12294},
	{Name: "MEDIA_BUS_FMT_SBGGR10_ALAW8_1X8", Value: 12309},
	{Name: "MEDIA_BUS_FMT_SBGGR10_DPCM8_1X8", Value: 12299},
	{Name: "MEDIA_BUS_FMT_SBGGR12_1X12", Value: 12296},
	{Name: "MEDIA_BUS_FMT_SBGGR8_1X8", Value: 12289},
	{Name: "MEDIA_BUS_FMT_SGBRG10_1X10", Value: 12302},
	{Name: "MEDIA_BUS_FMT_SGBRG10_ALAW8_1X8", Value: 12310},
	{Name: "MEDIA_BUS_FMT_SGBRG10_DPCM8_1X8", Value: 12300},
	{Name: "MEDIA_BUS_FMT_SGBRG12_1X12", Value: 12304},
	{Name: "MEDIA_BUS_FMT_SGBRG8_1X8", Value: 12307},
	{Name: "MEDIA_BUS_FMT_SGRBG10_1X10", Value: 12298},
	{Name: "MEDIA_BUS_FMT_SGRBG10_ALAW8_1X8", Value: 12311},
	{Name: "MEDIA_BUS_FMT_SGRBG10_DPCM8_1X8", Value: 12297},
	{Name: "MEDIA_BUS_FMT_SGRBG12_1X12", Value: 12305},
	{Name: "MEDIA_BUS_FMT_SGRBG8_1X8", Value: 12290},
	{Name: "MEDIA_BUS_FMT_SRGGB10_1X10", Value: 12303},
	{Name: "MEDIA_BUS_FMT_SRGGB10_ALAW8_1X8", Value: 12312},
	{Name: "MEDIA_BUS_FMT_SRGGB10_DPCM8_1X8", Value: 12301},
	{Name: "MEDIA_BUS_FMT_SRGGB12_1X12", Value: 12306},
	{Name: "MEDIA_BUS_FMT_SRGGB8_1X8", Value: 12308},
	{Name: "MEDIA_BUS_FMT_UV8_1X8", Value: 8213},
	{Name: "MEDIA_BUS_FMT_UYVY10_1X20", Value: 8218},
	{Name: "MEDIA_BUS_FMT_UYVY10_2X10", Value: 8216},
	{Name: "MEDIA_BUS_FMT_UYVY12_1X24", Value: 8224},
	{Name: "MEDIA_BUS_FMT_UYVY12_2X12", Value: 8220},
	{Name: "MEDIA_BUS_FMT_UYVY8_1X16", Value: 8207},
	{Name: "MEDIA_BUS_FMT_UYVY8_1_5X8", Value: 8194},
	{Name: "MEDIA_BUS_FMT_UYVY8_2X8", Value: 8198},
	{Name: "MEDIA_BUS_FMT_VUY8_1X24", Value: 8228},
	{Name: "MEDIA_BUS_FMT_VYUY10_1X20", Value: 8219},
	{Name: "MEDIA_BUS_FMT_VYUY10_2X10", Value: 8217},
	{Name: "MEDIA_BUS_FMT_VYUY12_1X24", Value: 8225},
	{Name: "MEDIA_BUS_FMT_VYUY12_2X12", Value: 8221},
	{Name: "MEDIA_BUS_FMT_VYUY8_1X16", Value: 8208},
	{Name: "MEDIA_BUS_FMT_VYUY8_1_5X8", Value: 8195},
	{Name: "MEDIA_BUS_FMT_VYUY8_2X8", Value: 8199},
	{Name: "MEDIA_BUS_FMT_Y10_1X10", Value: 8202},
	{Name: "MEDIA_BUS_FMT_Y12_1X12", Value: 8211},
	{Name: "MEDIA_BUS_FMT_Y8_1X8", Value: 8193},
	{Name: "MEDIA_BUS_FMT_YDYUYDYV8_1X16", Value: 8212},
	{Name: "MEDIA_BUS_FMT_YUV10_1X30", Value: 8214},
	{Name: "MEDIA_BUS_FMT_YUV8_1X24", Value: 8229},
	{Name: "MEDIA_BUS_FMT_YUYV10_1X20", Value: 8205},
	{Name: "MEDIA_BUS_FMT_YUYV10_2X10", Value: 8203},
	{Name: "MEDIA_BUS_FMT_YUYV12_1X24", Value: 8226},
	{Name: "MEDIA_BUS_FMT_YUYV12_2X12", Value: 8222},
	{Name: "MEDIA_BUS_FMT_YUYV8_1X16", Value: 8209},
	{Name: "MEDIA_BUS_FMT_YUYV8_1_5X8", Value: 8196},
	{Name: "MEDIA_BUS_FMT_YUYV8_2X8", Value: 8200},
	{Name: "MEDIA_BUS_FMT_YVYU10_1X20", Value: 8206},
	{Name: "MEDIA_BUS_FMT_YVYU10_2X10", Value: 8204},
	{Name: "MEDIA_BUS_FMT_YVYU12_1X24", Value: 8227},
	{Name: "MEDIA_BUS_FMT_YVYU12_2X12", Value: 8223},
	{Name: "MEDIA_BUS_FMT_YVYU8_1X16", Value: 8210},
	{Name: "MEDIA_BUS_FMT_YVYU8_1_5X8", Value: 8197},
	{Name: "MEDIA_BUS_FMT_YVYU8_2X8", Value: 8201},
	{Name: "MEMBARRIER_CMD_GLOBAL", Value: 1},
	{Name: "MEMBARRIER_CMD_GLOBAL_EXPEDITED", Value: 2},
	{Name: "MEMBARRIER_CMD_PRIVATE_EXPEDITED", Value: 8},
	{Name: "MEMBARRIER_CMD_PRIVATE_EXPEDITED_SYNC_CORE", Value: 32},
	{Name: "MEMBARRIER_CMD_REGISTER_PRIVATE_EXPEDITED", Value: 16},
	{Name: "MEMBARRIER_CMD_REGISTER_PRIVATE_EXPEDITED_SYNC_CORE", Value: 64},
	{Name: "MFD_ALLOW_SEALING", Value: 2},
	{Name: "MFD_CLOEXEC", Value: 1},
	{Name: "MIFF_REGISTER", Value: 1},
	{Name: "MLOCK_ONFAULT", Value: 1},
	{Name: "MMAP_PAGE_ZERO", Value: 1048576},
	{Name: "MNT_DETACH", Value: 2},
	{Name: "MNT_EXPIRE", Value: 4},
	{Name: "MNT_FORCE", Value: 1},
	{Name: "MODULE_INIT_IGNORE_MODVERSIONS", Value: 1},
	{Name: "MODULE_INIT_IGNORE_VERMAGIC", Value: 2},
	{Name: "MPOL_BIND", Value: 2},
	{Name: "MPOL_DEFAULT"},
	{Name: "MPOL_F_ADDR", Value: 2},
	{Name: "MPOL_F_MEMS_ALLOWED", Value: 4},
	{Name: "MPOL_F_NODE", Value: 1},
	{Name: "MPOL_F_RELATIVE_NODES", Value: 16384},
	{Name: "MPOL_F_STATIC_NODES", Value: 32768},
	{Name: "MPOL_INTERLEAVE", Value: 3},
	{Name: "MPOL_MF_MOVE", Value: 2},
	{Name: "MPOL_MF_MOVE_ALL", Value: 4},
	{Name: "MPOL_MF_STRICT", Value: 1},
	{Name: "MPOL_PREFERRED", Value: 1},
	{Name: "MREMAP_FIXED", Value: 2},
	{Name: "MREMAP_MAYMOVE", Value: 1},
	{Name: "MRT6_ADD_MFC", Value: 204},
	{Name: "MRT6_ADD_MFC_PROXY", Value: 210},
	{Name: "MRT6_ADD_MIF", Value: 202},
	{Name: "MRT6_ASSERT", Value: 207},
	{Name: "MRT6_DEL_MFC", Value: 205},
	{Name: "MRT6_DEL_MFC_PROXY", Value: 211},
	{Name: "MRT6_DEL_MIF", Value: 203},
	{Name: "MRT6_DONE", Value: 201},
	{Name: "MRT6_INIT", Value: 200},
	{Name: "MRT6_PIM", Value: 208},
	{Name: "MRT6_TABLE", Value: 209},
	{Name: "MRT6_VERSION", Value: 206},
	{Name: "MSC_MAX", Value: 7},
	{Name: "MSG_BATCH", Value: 262144},
	{Name: "MSG_CMSG_CLOEXEC", Value: 1073741824},
	{Name: "MSG_CONFIRM", Value: 2048},
	{Name: "MSG_DONTROUTE", Value: 4},
	{Name: "MSG_DONTWAIT", Value: 64},
	{Name: "MSG_EOR", Value: 128},
	{Name: "MSG_ERRQUEUE", Value: 8192},
	{Name: "MSG_EXCEPT", Value: 8192},
	{Name: "MSG_FASTOPEN", Value: 536870912},
	{Name: "MSG_INFO", Value: 12},
	{Name: "MSG_MORE", Value: 32768},
	{Name: "MSG_NOERROR", Value: 4096},
	{Name: "MSG_NOSIGNAL", Value: 16384},
	{Name: "MSG_OOB", Value: 1},
	{Name: "MSG_PEEK", Value: 2},
	{Name: "MSG_PROBE", Value: 16},
	{Name: "MSG_STAT", Value: 11},
	{Name: "MSG_TRUNC", Value: 32},
	{Name: "MSG_WAITALL", Value: 256},
	{Name: "MSG_WAITFORONE", Value: 65536},
	{Name: "MSG_ZEROCOPY", Value: 67108864},
	{Name: "MS_ASYNC", Value: 1},
	{Name: "MS_BIND", Value: 4096},
	{Name: "MS_DIRSYNC", Value: 128},
	{Name: "MS_INVALIDATE", Value: 2},
	{Name: "MS_I_VERSION", Value: 8388608},
	{Name: "MS_LAZYTIME", Value: 33554432},
	{Name: "MS_MANDLOCK", Value: 64},
	{Name: "MS_MOVE", Value: 8192},
	{Name: "MS_NOATIME", Value: 1024},
	{Name: "MS_NODEV", Value: 4},
	{Name: "MS_NODIRATIME", Value: 2048},
	{Name: "MS_NOEXEC", Value: 8},
	{Name: "MS_NOSUID", Value: 2},
	{Name: "MS_POSIXACL", Value: 65536},
	{Name: "MS_PRIVATE", Value: 262144},
	{Name: "MS_RDONLY", Value: 1},
	{Name: "MS_REC", Value: 16384},
	{Name: "MS_RELATIME", Value: 2097152},
	{Name: "MS_REMOUNT", Value: 32},
	{Name: "MS_SHARED", Value: 1048576},
	{Name: "MS_SILENT", Value: 32768},
	{Name: "MS_SLAVE", Value: 524288},
	{Name: "MS_STRICTATIME", Value: 16777216},
	{Name: "MS_SYNC", Value: 4},
	{Name: "MS_SYNCHRONOUS", Value: 16},
	{Name: "MS_UNBINDABLE", Value: 131072},
	{Name: "NAME_MAX", Value: 255},
	{Name: "NAT_ARP_BIT", Value: 16},
	{Name: "NDA_CACHEINFO", Value: 3},
	{Name: "NDA_DST", Value: 1},
	{Name: "NDA_IFINDEX", Value: 8},
	{Name: "NDA_LINK_NETNSID", Value: 10},
	{Name: "NDA_LLADDR", Value: 2},
	{Name: "NDA_MASTER", Value: 9},
	{Name: "NDA_PORT", Value: 6},
	{Name: "NDA_PROBES", Value: 4},
	{Name: "NDA_SRC_VNI", Value: 11},
	{Name: "NDA_VLAN", Value: 5},
	{Name: "NDA_VNI", Value: 7},
	{Name: "NDTA_GC_INTERVAL", Value: 8},
	{Name: "NDTA_NAME", Value: 1},
	{Name: "NDTA_PARMS", Value: 6},
	{Name: "NDTA_THRESH1", Value: 2},
	{Name: "NDTA_THRESH2", Value: 3},
	{Name: "NDTA_THRESH3", Value: 4},
	{Name: "NDTPA_ANYCAST_DELAY", Value: 12},
	{Name: "NDTPA_APP_PROBES", Value: 9},
	{Name: "NDTPA_BASE_REACHABLE_TIME", Value: 4},
	{Name: "NDTPA_DELAY_PROBE_TIME", Value: 7},
	{Name: "NDTPA_GC_STALETIME", Value: 6},
	{Name: "NDTPA_IFINDEX", Value: 1},
	{Name: "NDTPA_LOCKTIME", Value: 15},
	{Name: "NDTPA_MCAST_PROBES", Value: 11},
	{Name: "NDTPA_MCAST_REPROBES", Value: 17},
	{Name: "NDTPA_PROXY_DELAY", Value: 13},
	{Name: "NDTPA_PROXY_QLEN", Value: 14},
	{Name: "NDTPA_QUEUE_LEN", Value: 8},
	{Name: "NDTPA_RETRANS_TIME", Value: 5},
	{Name: "NDTPA_UCAST_PROBES", Value: 10},
	{Name: "NETCONFA_FORWARDING", Value: 2},
	{Name: "NETCONFA_IFINDEX", Value: 1},
	{Name: "NETCONFA_IGNORE_ROUTES_WITH_LINKDOWN", Value: 6},
	{Name: "NETCONFA_PROXY_NEIGH", Value: 5},
	{Name: "NETCONFA_RP_FILTER", Value: 3},
	{Name: "NETEM_LOSS_GE", Value: 2},
	{Name: "NETEM_LOSS_GI", Value: 1},
	{Name: "NETLINK_ADD_MEMBERSHIP", Value: 1},
	{Name: "NETLINK_AUDIT", Value: 9},
	{Name: "NETLINK_BROADCAST_ERROR", Value: 4},
	{Name: "NETLINK_CAP_ACK", Value: 10},
	{Name: "NETLINK_CONNECTOR", Value: 11},
	{Name: "NETLINK_CRYPTO", Value: 21},
	{Name: "NETLINK_DNRTMSG", Value: 14},
	{Name: "NETLINK_DROP_MEMBERSHIP", Value: 2},
	{Name: "NETLINK_ECRYPTFS", Value: 19},
	{Name: "NETLINK_FIB_LOOKUP", Value: 10},
	{Name: "NETLINK_FIREWALL", Value: 3},
	{Name: "NETLINK_GENERIC", Value: 16},
	{Name: "NETLINK_INET_DIAG", Value: 4},
	{Name: "NETLINK_IP6_FW", Value: 13},
	{Name: "NETLINK_ISCSI", Value: 8},
	{Name: "NETLINK_KOBJECT_UEVENT", Value: 15},
	{Name: "NETLINK_LISTEN_ALL_NSID", Value: 8},
	{Name: "NETLINK_LIST_MEMBERSHIPS", Value: 9},
	{Name: "NETLINK_NETFILTER", Value: 12},
	{Name: "NETLINK_NFLOG", Value: 5},
	{Name: "NETLINK_NO_ENOBUFS", Value: 5},
	{Name: "NETLINK_PKTINFO", Value: 3},
	{Name: "NETLINK_RDMA", Value: 20},
	{Name: "NETLINK_ROUTE"},
	{Name: "NETLINK_RX_RING", Value: 6},
	{Name: "NETLINK_SCSITRANSPORT", Value: 18},
	{Name: "NETLINK_SELINUX", Value: 7},
	{Name: "NETLINK_SMC", Value: 22},
	{Name: "NETLINK_SOCK_DIAG", Value: 4},
	{Name: "NETLINK_TX_RING", Value: 7},
	{Name: "NETLINK_UNUSED", Value: 1},
	{Name: "NETLINK_USERSOCK", Value: 2},
	{Name: "NETLINK_XFRM", Value: 6},
	{Name: "NETROM_IDLE", Value: 7},
	{Name: "NETROM_N2", Value: 3},
	{Name: "NETROM_T1", Value: 1},
	{Name: "NETROM_T2", Value: 2},
	{Name: "NETROM_T4", Value: 6},
	{Name: "NEXTHDR_AUTH", Value: 51},
	{Name: "NEXTHDR_DEST", Value: 60},
	{Name: "NEXTHDR_ESP", Value: 50},
	{Name: "NEXTHDR_FRAGMENT", Value: 44},
	{Name: "NEXTHDR_GRE", Value: 47},
	{Name: "NEXTHDR_HOP"},
	{Name: "NEXTHDR_ICMP", Value: 58},
	{Name: "NEXTHDR_MOBILITY", Value: 135},
	{Name: "NEXTHDR_NONE", Value: 59},
	{Name: "NEXTHDR_ROUTING", Value: 43},
	{Name: "NFACCT_NAME_MAX", Value: 32},
	{Name: "NFC_LLCP_MAX_SERVICE_NAME", Value: 63},
	{Name: "NFC_LLCP_MIUX", Value: 1},
	{Name: "NFC_LLCP_REMOTE_LTO", Value: 3},
	{Name: "NFC_LLCP_REMOTE_MIU", Value: 2},
	{Name: "NFC_LLCP_REMOTE_RW", Value: 4},
	{Name: "NFC_LLCP_RW"},
	{Name: "NFC_PROTO_FELICA", Value: 3},
	{Name: "NFC_PROTO_ISO14443", Value: 4},
	{Name: "NFC_PROTO_ISO14443_B", Value: 6},
	{Name: "NFC_PROTO_ISO15693", Value: 7},
	{Name: "NFC_PROTO_JEWEL", Value: 1},
	{Name: "NFC_PROTO_MIFARE", Value: 2},
	{Name: "NFC_PROTO_NFC_DEP", Value: 5},
	{Name: "NFC_SOCKPROTO_LLCP", Value: 1},
	{Name: "NFC_SOCKPROTO_RAW"},
	{Name: "NFNETLINK_V0"},
	{Name: "NFNL_SUBSYS_ACCT", Value: 7},
	{Name: "NFNL_SUBSYS_CTHELPER", Value: 9},
	{Name: "NFNL_SUBSYS_CTNETLINK", Value: 1},
	{Name: "NFNL_SUBSYS_CTNETLINK_EXP", Value: 2},
	{Name: "NFNL_SUBSYS_CTNETLINK_TIMEOUT", Value: 8},
	{Name: "NFNL_SUBSYS_IPSET", Value: 6},
	{Name: "NFNL_SUBSYS_NFTABLES", Value: 10},
	{Name: "NFNL_SUBSYS_NFT_COMPAT", Value: 11},
	{Name: "NFNL_SUBSYS_OSF", Value: 5},
	{Name: "NFNL_SUBSYS_QUEUE", Value: 3},
	{Name: "NFNL_SUBSYS_ULOG", Value: 4},
	{Name: "NFPROTO_ARP", Value: 3},
	{Name: "NFPROTO_BRIDGE", Value: 7},
	{Name: "NFPROTO_DECNET", Value: 12},
	{Name: "NFPROTO_INET", Value: 1},
	{Name: "NFPROTO_IPV4", Value: 2},
	{Name: "NFPROTO_IPV6", Value: 10},
	{Name: "NFPROTO_NETDEV", Value: 5},
	{Name: "NFPROTO_UNSPEC"},
	{Name: "NFQ_FLAG_BYPASS", Value: 1},
	{Name: "NFQ_FLAG_CPU_FANOUT", Value: 2},
	{Name: "NF_ACCEPT", Value: 1},
	{Name: "NF_ACCEPT_VERDICT", Value: 18446744073709551614},
	{Name: "NF_ARP_NUMHOOKS", Value: 3},
	{Name: "NF_BR_BROUTING_BIT", Value: 32},
	{Name: "NF_BR_FORWARD_BIT", Value: 4},
	{Name: "NF_BR_LOCAL_IN_BIT", Value: 2},
	{Name: "NF_BR_LOCAL_OUT_BIT", Value: 8},
	{Name: "NF_BR_NUMHOOKS", Value: 6},
	{Name: "NF_BR_POST_ROUTING_BIT", Value: 16},
	{Name: "NF_BR_PRE_ROUTING_BIT", Value: 1},
	{Name: "NF_DROP"},
	{Name: "NF_DROP_VERDICT", Value: 18446744073709551615},
	{Name: "NF_INET_FORWARD", Value: 2},
	{Name: "NF_INET_FORWARD_BIT", Value: 4},
	{Name: "NF_INET_LOCAL_IN", Value: 1},
	{Name: "NF_INET_LOCAL_IN_BIT", Value: 2},
	{Name: "NF_INET_LOCAL_OUT", Value: 3},
	{Name: "NF_INET_LOCAL_OUT_BIT", Value: 8},
	{Name: "NF_INET_NUMHOOKS", Value: 5},
	{Name: "NF_INET_POST_ROUTING", Value: 4},
	{Name: "NF_INET_POST_ROUTING_BIT", Value: 16},
	{Name: "NF_INET_PRE_ROUTING"},
	{Name: "NF_INET_PRE_ROUTING_BIT", Value: 1},
	{Name: "NF_NAT_RANGE_MAP_IPS", Value: 1},
	{Name: "NF_NAT_RANGE_PERSISTENT", Value: 8},
	{Name: "NF_NAT_RANGE_PROTO_RANDOM", Value: 4},
	{Name: "NF_NAT_RANGE_PROTO_RANDOM_FULLY", Value: 16},
	{Name: "NF_NAT_RANGE_PROTO_SPECIFIED", Value: 2},
	{Name: "NF_QUEUE_VERDICT", Value: 18446744073709551612},
	{Name: "NF_REPEAT_VERDICT", Value: 18446744073709551611},
	{Name: "NF_STOLEN_VERDICT", Value: 18446744073709551613},
	{Name: "NLA_BINARY", Value: 11},
	{Name: "NLA_FLAG", Value: 6},
	{Name: "NLA_S32", Value: 14},
	{Name: "NLA_STRING", Value: 5},
	{Name: "NLA_U32", Value: 3},
	{Name: "NLMSG_MAX_TYPE", Value: 66},
	{Name: "NLMSG_MIN_TYPE", Value: 16},
	{Name: "NLM_F_ACK", Value: 4},
	{Name: "NLM_F_APPEND", Value: 2048},
	{Name: "NLM_F_ATOMIC", Value: 1024},
	{Name: "NLM_F_CREATE", Value: 1024},
	{Name: "NLM_F_DUMP", Value: 768},
	{Name: "NLM_F_DUMP_FILTERED", Value: 32},
	{Name: "NLM_F_DUMP_INTR", Value: 16},
	{Name: "NLM_F_ECHO", Value: 8},
	{Name: "NLM_F_EXCL", Value: 512},
	{Name: "NLM_F_MATCH", Value: 512},
	{Name: "NLM_F_MULTI", Value: 2},
	{Name: "NLM_F_REPLACE", Value: 256},
	{Name: "NLM_F_REQUEST", Value: 1},
	{Name: "NLM_F_ROOT", Value: 256},
	{Name: "NMAGIC", Value: 264},
	{Name: "NO_CLIENT"},
	{Name: "NTF_EXT_LEARNED", Value: 16},
	{Name: "NTF_MASTER", Value: 4},
	{Name: "NTF_OFFLOADED", Value: 32},
	{Name: "NTF_PROXY", Value: 8},
	{Name: "NTF_ROUTER", Value: 128},
	{Name: "NTF_SELF", Value: 2},
	{Name: "NTF_USE", Value: 1},
	{Name: "NT_386_IOPERM", Value: 513},
	{Name: "NT_386_TLS", Value: 512},
	{Name: "NT_AUXV", Value: 6},
	{Name: "NT_PRFPREG", Value: 2},
	{Name: "NT_PRPSINFO", Value: 3},
	{Name: "NT_PRSTATUS", Value: 1},
	{Name: "NT_TASKSTRUCT", Value: 4},
	{Name: "NT_X86_XSTATE", Value: 514},
	{Name: "NUD_DELAY", Value: 8},
	{Name: "NUD_FAILED", Value: 32},
	{Name: "NUD_INCOMPLETE", Value: 1},
	{Name: "NUD_NOARP", Value: 64},
	{Name: "NUD_NONE"},
	{Name: "NUD_PERMANENT", Value: 128},
	{Name: "NUD_PROBE", Value: 16},
	{Name: "NUD_REACHABLE", Value: 2},
	{Name: "NUD_STALE", Value: 4},
	{Name: "OMAGIC", Value: 263},
	{Name: "O_APPEND", Value: 1024},
	{Name: "O_CLOEXEC", Value: 524288},
	{Name: "O_CREAT", Value: 64},
	{Name: "O_DIRECT", Value: 65536},
	{Name: "O_DIRECTORY", Value: 16384},
	{Name: "O_DSYNC", Value: 4096},
	{Name: "O_EXCL", Value: 128},
	{Name: "O_LARGEFILE", Value: 131072},
	{Name: "O_NOATIME", Value: 262144},
	{Name: "O_NOCTTY", Value: 256},
	{Name: "O_NOFOLLOW", Value: 32768},
	{Name: "O_NONBLOCK", Value: 2048},
	{Name: "O_PATH", Value: 2097152},
	{Name: "O_RDONLY"},
	{Name: "O_RDWR", Value: 2},
	{Name: "O_RDWR_NONBLOCK", Value: 2050},
	{Name: "O_SYNC", Value: 1052672},
	{Name: "O_TRUNC", Value: 512},
	{Name: "O_WRONLY", Value: 1},
	{Name: "P9_DMAPPEND", Value: 1073741824},
	{Name: "P9_DMAUTH", Value: 134217728},
	{Name: "P9_DMDEVICE", Value: 8388608},
	{Name: "P9_DMDIR", Value: 2147483648},
	{Name: "P9_DMEXCL", Value: 536870912},
	{Name: "P9_DMLINK", Value: 16777216},
	{Name: "P9_DMMOUNT", Value: 268435456},
	{Name: "P9_DMNAMEDPIPE", Value: 2097152},
	{Name: "P9_DMSETGID", Value: 262144},
	{Name: "P9_DMSETUID", Value: 524288},
	{Name: "P9_DMSETVTX", Value: 65536},
	{Name: "P9_DMSOCKET", Value: 1048576},
	{Name: "P9_DMSYMLINK", Value: 33554432},
	{Name: "P9_DMTMP", Value: 67108864},
	{Name: "P9_LOCK_BLOCKED", Value: 1},
	{Name: "P9_LOCK_ERROR", Value: 2},
	{Name: "P9_LOCK_GRACE", Value: 3},
	{Name: "P9_LOCK_SUCCESS"},
	{Name: "P9_LOCK_TYPE_RDLCK"},
	{Name: "P9_LOCK_TYPE_UNLCK", Value: 2},
	{Name: "P9_LOCK_TYPE_WRLCK", Value: 1},
	{Name: "P9_QTAPPEND", Value: 64},
	{Name: "P9_QTAUTH", Value: 8},
	{Name: "P9_QTDIR", Value: 128},
	{Name: "P9_QTEXCL", Value: 32},
	{Name: "P9_QTFILE"},
	{Name: "P9_QTLINK", Value: 1},
	{Name: "P9_QTMOUNT", Value: 16},
	{Name: "P9_QTSYMLINK", Value: 2},
	{Name: "P9_QTTMP", Value: 4},
	{Name: "P9_RATTACH", Value: 105},
	{Name: "P9_RAUTH", Value: 103},
	{Name: "P9_RCLUNK", Value: 121},
	{Name: "P9_RCREATE", Value: 115},
	{Name: "P9_RFLUSH", Value: 109},
	{Name: "P9_RFSYNC", Value: 51},
	{Name: "P9_RGETATTR", Value: 25},
	{Name: "P9_RGETLOCK", Value: 55},
	{Name: "P9_RLCREATE", Value: 15},
	{Name: "P9_RLERROR", Value: 7},
	{Name: "P9_RLINK", Value: 71},
	{Name: "P9_RLOCK", Value: 53},
	{Name: "P9_RLOPEN", Value: 13},
	{Name: "P9_RMKDIR", Value: 73},
	{Name: "P9_RMKNOD", Value: 19},
	{Name: "P9_ROPEN", Value: 113},
	{Name: "P9_RREAD", Value: 117},
	{Name: "P9_RREADDIR", Value: 41},
	{Name: "P9_RREADLINK", Value: 23},
	{Name: "P9_RREMOVE", Value: 123},
	{Name: "P9_RRENAME", Value: 21},
	{Name: "P9_RRENAMEAT", Value: 75},
	{Name: "P9_RSETATTR", Value: 27},
	{Name: "P9_RSTAT", Value: 125},
	{Name: "P9_RSTATFS", Value: 9},
	{Name: "P9_RSYMLINK", Value: 17},
	{Name: "P9_RUNLINKAT", Value: 77},
	{Name: "P9_RVERSION", Value: 101},
	{Name: "P9_RWALK", Value: 111},
	{Name: "P9_RWRITE", Value: 119},
	{Name: "P9_RWSTAT", Value: 127},
	{Name: "P9_RXATTRCREATE", Value: 33},
	{Name: "P9_RXATTRWALK", Value: 31},
	{Name: "P9_STATS_ATIME", Value: 32},
	{Name: "P9_STATS_BLOCKS", Value: 1024},
	{Name: "P9_STATS_BTIME", Value: 2048},
	{Name: "P9_STATS_CTIME", Value: 128},
	{Name: "P9_STATS_DATA_VERSION", Value: 8192},
	{Name: "P9_STATS_GEN", Value: 4096},
	{Name: "P9_STATS_GID", Value: 8},
	{Name: "P9_STATS_INO", Value: 256},
	{Name: "P9_STATS_MODE", Value: 1},
	{Name: "P9_STATS_MTIME", Value: 64},
	{Name: "P9_STATS_NLINK", Value: 2},
	{Name: "P9_STATS_RDEV", Value: 16},
	{Name: "P9_STATS_SIZE", Value: 512},
	{Name: "P9_STATS_UID", Value: 4},
	{Name: "PACKET_ADD_MEMBERSHIP", Value: 1},
	{Name: "PACKET_AUXDATA", Value: 8},
	{Name: "PACKET_BROADCAST", Value: 1},
	{Name: "PACKET_COPY_THRESH", Value: 7},
	{Name: "PACKET_DROP_MEMBERSHIP", Value: 2},
	{Name: "PACKET_FANOUT", Value: 18},
	{Name: "PACKET_FANOUT_CBPF", Value: 6},
	{Name: "PACKET_FANOUT_CPU", Value: 2},
	{Name: "PACKET_FANOUT_DATA", Value: 22},
	{Name: "PACKET_FANOUT_EBPF", Value: 7},
	{Name: "PACKET_FANOUT_FLAG_DEFRAG", Value: 32768},
	{Name: "PACKET_FANOUT_FLAG_ROLLOVER", Value: 4096},
	{Name: "PACKET_FANOUT_FLAG_UNIQUEID", Value: 8192},
	{Name: "PACKET_FANOUT_HASH"},
	{Name: "PACKET_FANOUT_LB", Value: 1},
	{Name: "PACKET_FANOUT_QM", Value: 5},
	{Name: "PACKET_FANOUT_RND", Value: 4},
	{Name: "PACKET_FANOUT_ROLLOVER", Value: 3},
	{Name: "PACKET_HDRLEN", Value: 11},
	{Name: "PACKET_HOST"},
	{Name: "PACKET_KERNEL", Value: 7},
	{Name: "PACKET_LOOPBACK", Value: 5},
	{Name: "PACKET_LOSS", Value: 14},
	{Name: "PACKET_MULTICAST", Value: 2},
	{Name: "PACKET_ORIGDEV", Value: 9},
	{Name: "PACKET_OTHERHOST", Value: 3},
	{Name: "PACKET_OUTGOING", Value: 4},
	{Name: "PACKET_QDISC_BYPASS", Value: 20},
	{Name: "PACKET_RECV_OUTPUT", Value: 3},
	{Name: "PACKET_RESERVE", Value: 12},
	{Name: "PACKET_RX_RING", Value: 5},
	{Name: "PACKET_STATISTICS", Value: 6},
	{Name: "PACKET_TIMESTAMP", Value: 17},
	{Name: "PACKET_TX_HAS_OFF", Value: 19},
	{Name: "PACKET_TX_RING", Value: 13},
	{Name: "PACKET_TX_TIMESTAMP", Value: 16},
	{Name: "PACKET_USER", Value: 6},
	{Name: "PACKET_VERSION", Value: 10},
	{Name: "PACKET_VNET_HDR", Value: 15},
	{Name: "PATH_MAX", Value: 4096},
	{Name: "PERF_EVENT_IOC_DISABLE", Value: 9217},
	{Name: "PERF_EVENT_IOC_ENABLE", Value: 9216},
	{Name: "PERF_EVENT_IOC_ID", Value: 2148017159},
	{Name: "PERF_EVENT_IOC_MODIFY_ATTRIBUTES", Value: 1074275339},
	{Name: "PERF_EVENT_IOC_PAUSE_OUTPUT", Value: 1074013193},
	{Name: "PERF_EVENT_IOC_PERIOD", Value: 1074275332},
	{Name: "PERF_EVENT_IOC_QUERY_BPF", Value: 3221758986},
	{Name: "PERF_EVENT_IOC_REFRESH", Value: 9218},
	{Name: "PERF_EVENT_IOC_RESET", Value: 9219},
	{Name: "PERF_EVENT_IOC_SET_BPF", Value: 1074013192},
	{Name: "PERF_EVENT_IOC_SET_FILTER", Value: 1074275334},
	{Name: "PERF_EVENT_IOC_SET_OUTPUT", Value: 9221},
	{Name: "PERF_FLAG_FD_CLOEXEC", Value: 8},
	{Name: "PERF_FLAG_FD_NO_GROUP", Value: 1},
	{Name: "PERF_FLAG_FD_OUTPUT", Value: 2},
	{Name: "PERF_FLAG_PID_CGROUP", Value: 4},
	{Name: "PERF_FORMAT_GROUP", Value: 8},
	{Name: "PERF_FORMAT_ID", Value: 4},
	{Name: "PERF_FORMAT_TOTAL_TIME_ENABLED", Value: 1},
	{Name: "PERF_FORMAT_TOTAL_TIME_RUNNING", Value: 2},
	{Name: "PERF_SAMPLE_ADDR", Value: 8},
	{Name: "PERF_SAMPLE_BRANCH_ABORT_TX", Value: 128},
	{Name: "PERF_SAMPLE_BRANCH_ANY", Value: 8},
	{Name: "PERF_SAMPLE_BRANCH_ANY_CALL", Value: 16},
	{Name: "PERF_SAMPLE_BRANCH_ANY_RETURN", Value: 32},
	{Name: "PERF_SAMPLE_BRANCH_CALL", Value: 8192},
	{Name: "PERF_SAMPLE_BRANCH_CALL_STACK", Value: 2048},
	{Name: "PERF_SAMPLE_BRANCH_COND", Value: 1024},
	{Name: "PERF_SAMPLE_BRANCH_HV", Value: 4},
	{Name: "PERF_SAMPLE_BRANCH_IND_CALL", Value: 64},
	{Name: "PERF_SAMPLE_BRANCH_IND_JUMP", Value: 4096},
	{Name: "PERF_SAMPLE_BRANCH_IN_TX", Value: 256},
	{Name: "PERF_SAMPLE_BRANCH_KERNEL", Value: 2},
	{Name: "PERF_SAMPLE_BRANCH_MAX", Value: 131072},
	{Name: "PERF_SAMPLE_BRANCH_NO_CYCLES", Value: 32768},
	{Name: "PERF_SAMPLE_BRANCH_NO_FLAGS", Value: 16384},
	{Name: "PERF_SAMPLE_BRANCH_NO_TX", Value: 512},
	{Name: "PERF_SAMPLE_BRANCH_STACK", Value: 2048},
	{Name: "PERF_SAMPLE_BRANCH_TYPE_SAVE", Value: 65536},
	{Name: "PERF_SAMPLE_BRANCH_USER", Value: 1},
	{Name: "PERF_SAMPLE_CALLCHAIN", Value: 32},
	{Name: "PERF_SAMPLE_CPU", Value: 128},
	{Name: "PERF_SAMPLE_DATA_SRC", Value: 32768},
	{Name: "PERF_SAMPLE_ID", Value: 64},
	{Name: "PERF_SAMPLE_IDENTIFIER", Value: 65536},
	{Name: "PERF_SAMPLE_IP", Value: 1},
	{Name: "PERF_SAMPLE_PERIOD", Value: 256},
	{Name: "PERF_SAMPLE_PHYS_ADDR", Value: 524288},
	{Name: "PERF_SAMPLE_RAW", Value: 1024},
	{Name: "PERF_SAMPLE_READ", Value: 16},
	{Name: "PERF_SAMPLE_REGS_INTR", Value: 262144},
	{Name: "PERF_SAMPLE_REGS_USER", Value: 4096},
	{Name: "PERF_SAMPLE_STACK_USER", Value: 8192},
	{Name: "PERF_SAMPLE_STREAM_ID", Value: 512},
	{Name: "PERF_SAMPLE_TID", Value: 2},
	{Name: "PERF_SAMPLE_TIME", Value: 4},
	{Name: "PERF_SAMPLE_TRANSACTION", Value: 131072},
	{Name: "PERF_SAMPLE_WEIGHT", Value: 16384},
	{Name: "PERF_TYPE_BREAKPOINT", Value: 5},
	{Name: "PERF_TYPE_HARDWARE"},
	{Name: "PERF_TYPE_HW_CACHE", Value: 3},
	{Name: "PERF_TYPE_RAW", Value: 4},
	{Name: "PERF_TYPE_SOFTWARE", Value: 1},
	{Name: "PERF_TYPE_TRACEPOINT", Value: 2},
	{Name: "PER_BSD", Value: 6},
	{Name: "PER_HPUX", Value: 16},
	{Name: "PER_IRIX32", Value: 67108873},
	{Name: "PER_IRIX64", Value: 67108875},
	{Name: "PER_IRIXN32", Value: 67108874},
	{Name: "PER_ISCR4", Value: 67108869},
	{Name: "PER_LINUX"},
	{Name: "PER_LINUX32", Value: 8},
	{Name: "PER_OSF4", Value: 15},
	{Name: "PER_OSR5", Value: 100663299},
	{Name: "PER_RISCOS", Value: 12},
	{Name: "PER_SOLARIS", Value: 67108877},
	{Name: "PER_SVR3", Value: 83886082},
	{Name: "PER_SVR4", Value: 68157441},
	{Name: "PER_UW7", Value: 68157454},
	{Name: "PER_WYSEV386", Value: 83886084},
	{Name: "PER_XENIX", Value: 83886087},
	{Name: "PF_KEY_V2", Value: 2},
	{Name: "PGACT_DETERM", Value: 2},
	{Name: "PGACT_NETRAND", Value: 1},
	{Name: "PGACT_NONE"},
	{Name: "PIO_CMAP", Value: 19313},
	{Name: "PIO_FONT", Value: 19297},
	{Name: "PIO_FONTRESET", Value: 19309},
	{Name: "PIO_FONTX", Value: 19308},
	{Name: "PIO_SCRNMAP", Value: 19265},
	{Name: "PIO_UNIMAP", Value: 19303},
	{Name: "PIO_UNIMAPCLR", Value: 19304},
	{Name: "PIO_UNISCRNMAP", Value: 19306},
	{Name: "PKEY_DISABLE_ACCESS", Value: 1},
	{Name: "PKEY_DISABLE_WRITE", Value: 2},
	{Name: "POLLERR", Value: 8},
	{Name: "POLLFREE", Value: 16384},
	{Name: "POLLHUP", Value: 16},
	{Name: "POLLIN", Value: 1},
	{Name: "POLLMSG", Value: 1024},
	{Name: "POLLNVAL", Value: 32},
	{Name: "POLLOUT", Value: 4},
	{Name: "POLLPRI", Value: 2},
	{Name: "POLLRDBAND", Value: 128},
	{Name: "POLLRDHUP", Value: 8192},
	{Name: "POLLRDNORM", Value: 64},
	{Name: "POLLREMOVE", Value: 4096},
	{Name: "POLLWRBAND", Value: 512},
	{Name: "POLLWRNORM", Value: 256},
	{Name: "POLL_BUSY_LOOP", Value: 32768},
	{Name: "POSIX_FADV_DONTNEED", Value: 4},
	{Name: "POSIX_FADV_NOREUSE", Value: 5},
	{Name: "POSIX_FADV_NORMAL"},
	{Name: "POSIX_FADV_RANDOM", Value: 1},
	{Name: "POSIX_FADV_SEQUENTIAL", Value: 2},
	{Name: "POSIX_FADV_WILLNEED", Value: 3},
	{Name: "PPPIOCGCHAN", Value: 2147775543},
	{Name: "PPPIOCGFLAGS", Value: 2147775578},
	{Name: "PPPIOCGL2TPSTATS", Value: 2152231990},
	{Name: "PPPIOCGMRU", Value: 2147775571},
	{Name: "PPPIOCSFLAGS", Value: 1074033753},
	{Name: "PPPIOCSMRU", Value: 1074033746},
	{Name: "PPPOEIOCDFWD", Value: 45313},
	{Name: "PPPOEIOCSFWD", Value: 1074311424},
	{Name: "PPPOL2TP_SO_DEBUG", Value: 1},
	{Name: "PPPOL2TP_SO_LNSMODE", Value: 4},
	{Name: "PPPOL2TP_SO_RECVSEQ", Value: 2},
	{Name: "PPPOL2TP_SO_REORDERTO", Value: 5},
	{Name: "PPPOL2TP_SO_SENDSEQ", Value: 3},
	{Name: "PRIO_PGRP", Value: 1},
	{Name: "PRIO_PROCESS"},
	{Name: "PRIO_USER", Value: 2},
	{Name: "PROT_EXEC", Value: 4},
	{Name: "PROT_GROWSDOWN", Value: 16777216},
	{Name: "PROT_GROWSUP", Value: 33554432},
	{Name: "PROT_NONE"},
	{Name: "PROT_READ", Value: 1},
	{Name: "PROT_SEM", Value: 8},
	{Name: "PROT_WRITE", Value: 2},
	{Name: "PR_CAPBSET_DROP", Value: 24},
	{Name: "PR_CAPBSET_READ", Value: 23},
	{Name: "PR_ENDIAN_BIG"},
	{Name: "PR_ENDIAN_LITTLE", Value: 1},
	{Name: "PR_ENDIAN_PPC_LITTLE", Value: 2},
	{Name: "PR_FP_EXC_ASYNC", Value: 2},
	{Name: "PR_FP_EXC_DISABLED"},
	{Name: "PR_FP_EXC_DIV", Value: 65536},
	{Name: "PR_FP_EXC_INV", Value: 1048576},
	{Name: "PR_FP_EXC_NONRECOV", Value: 1},
	{Name: "PR_FP_EXC_OVF", Value: 131072},
	{Name: "PR_FP_EXC_PRECISE", Value: 3},
	{Name: "PR_FP_EXC_RES", Value: 524288},
	{Name: "PR_FP_EXC_SW_ENABLE", Value: 128},
	{Name: "PR_FP_EXC_UND", Value: 262144},
	{Name: "PR_GET_CHILD_SUBREAPER", Value: 37},
	{Name: "PR_GET_DUMPABLE", Value: 3},
	{Name: "PR_GET_ENDIAN", Value: 19},
	{Name: "PR_GET_FPEMU", Value: 9},
	{Name: "PR_GET_FPEXC", Value: 11},
	{Name: "PR_GET_KEEPCAPS", Value: 7},
	{Name: "PR_GET_NAME", Value: 16},
	{Name: "PR_GET_NO_NEW_PRIVS", Value: 39},
	{Name: "PR_GET_PDEATHSIG", Value: 2},
	{Name: "PR_GET_SECCOMP", Value: 21},
	{Name: "PR_GET_SECUREBITS", Value: 27},
	{Name: "PR_GET_TID_ADDRESS", Value: 40},
	{Name: "PR_GET_TIMERSLACK", Value: 30},
	{Name: "PR_GET_TIMING", Value: 13},
	{Name: "PR_GET_TSC", Value: 25},
	{Name: "PR_GET_UNALIGN", Value: 5},
	{Name: "PR_MCE_KILL", Value: 33},
	{Name: "PR_MCE_KILL_GET", Value: 34},
	{Name: "PR_SET_CHILD_SUBREAPER", Value: 36},
	{Name: "PR_SET_DUMPABLE", Value: 4},
	{Name: "PR_SET_ENDIAN", Value: 20},
	{Name: "PR_SET_FPEMU", Value: 10},
	{Name: "PR_SET_FPEXC", Value: 12},
	{Name: "PR_SET_KEEPCAPS", Value: 8},
	{Name: "PR_SET_MM", Value: 35},
	{Name: "PR_SET_MM_BRK", Value: 7},
	{Name: "PR_SET_MM_END_CODE", Value: 2},
	{Name: "PR_SET_MM_END_DATA", Value: 4},
	{Name: "PR_SET_MM_START_BRK", Value: 6},
	{Name: "PR_SET_MM_START_CODE", Value: 1},
	{Name: "PR_SET_MM_START_DATA", Value: 3},
	{Name: "PR_SET_MM_START_STACK", Value: 5},
	{Name: "PR_SET_NAME", Value: 15},
	{Name: "PR_SET_NO_NEW_PRIVS", Value: 38},
	{Name: "PR_SET_PDEATHSIG", Value: 1},
	{Name: "PR_SET_PTRACER", Value: 1499557217},
	{Name: "PR_SET_SECCOMP", Value: 22},
	{Name: "PR_SET_SECUREBITS", Value: 28},
	{Name: "PR_SET_TIMERSLACK", Value: 29},
	{Name: "PR_SET_TIMING", Value: 14},
	{Name: "PR_SET_TSC", Value: 26},
	{Name: "PR_SET_UNALIGN", Value: 6},
	{Name: "PR_TASK_PERF_EVENTS_DISABLE", Value: 31},
	{Name: "PR_TASK_PERF_EVENTS_ENABLE", Value: 32},
	{Name: "PTRACE_ATTACH", Value: 16},
	{Name: "PTRACE_CONT", Value: 7},
	{Name: "PTRACE_DETACH", Value: 17},
	{Name: "PTRACE_GETEVENTMSG", Value: 16897},
	{Name: "PTRACE_GETREGSET", Value: 16900},
	{Name: "PTRACE_GETSIGINFO", Value: 16898},
	{Name: "PTRACE_INTERRUPT", Value: 16903},
	{Name: "PTRACE_KILL", Value: 8},
	{Name: "PTRACE_LISTEN", Value: 16904},
	{Name: "PTRACE_O_EXITKILL", Value: 1048576},
	{Name: "PTRACE_O_TRACECLONE", Value: 8},
	{Name: "PTRACE_O_TRACEEXEC", Value: 16},
	{Name: "PTRACE_O_TRACEEXIT", Value: 64},
	{Name: "PTRACE_O_TRACEFORK", Value: 2},
	{Name: "PTRACE_O_TRACESYSGOOD", Value: 1},
	{Name: "PTRACE_O_TRACEVFORK", Value: 4},
	{Name: "PTRACE_O_TRACEVFORKDONE", Value: 32},
	{Name: "PTRACE_PEEKDATA", Value: 2},
	{Name: "PTRACE_PEEKTEXT", Value: 1},
	{Name: "PTRACE_PEEKUSR", Value: 3},
	{Name: "PTRACE_POKEDATA", Value: 5},
	{Name: "PTRACE_POKETEXT", Value: 4},
	{Name: "PTRACE_POKEUSR", Value: 6},
	{Name: "PTRACE_SECCOMP_GET_FILTER", Value: 16908},
	{Name: "PTRACE_SECCOMP_GET_METADATA", Value: 16909},
	{Name: "PTRACE_SEIZE", Value: 16902},
	{Name: "PTRACE_SETOPTIONS", Value: 16896},
	{Name: "PTRACE_SETREGSET", Value: 16901},
	{Name: "PTRACE_SETSIGINFO", Value: 16899},
	{Name: "PTRACE_SINGLESTEP", Value: 9},
	{Name: "PTRACE_SYSCALL", Value: 24},
	{Name: "PTRACE_TRACEME"},
	{Name: "PT_DYNAMIC", Value: 2},
	{Name: "PT_GNU_STACK", Value: 1685382481},
	{Name: "PT_INTERP", Value: 3},
	{Name: "PT_LOAD", Value: 1},
	{Name: "PT_LOOS", Value: 1610612736},
	{Name: "PT_LOPROC", Value: 1879048192},
	{Name: "PT_NOTE", Value: 4},
	{Name: "PT_PHDR", Value: 6},
	{Name: "PT_SHLIB", Value: 5},
	{Name: "PT_TLS", Value: 7},
	{Name: "PX_PROTO_OE"},
	{Name: "PX_PROTO_OL2TP", Value: 1},
	{Name: "PX_PROTO_PPTP", Value: 2},
	{Name: "P_ALL"},
	{Name: "P_PGID", Value: 2},
	{Name: "P_PID", Value: 1},
	{Name: "QMAGIC", Value: 204},
	{Name: "RDMA_MAX_PRIVATE_DATA", Value: 256},
	{Name: "RDMA_MC_JOIN_FLAG_FULLMEMBER"},
	{Name: "RDMA_MC_JOIN_FLAG_SENDONLY_FULLMEMBER", Value: 1},
	{Name: "RDMA_OPTION_IB", Value: 1},
	{Name: "RDMA_OPTION_IB_PATH", Value: 1},
	{Name: "RDMA_OPTION_ID"},
	{Name: "RDMA_OPTION_ID_AFONLY", Value: 2},
	{Name: "RDMA_OPTION_ID_REUSEADDR", Value: 1},
	{Name: "RDMA_OPTION_ID_TOS"},
	{Name: "RDMA_PS_IB", Value: 319},
	{Name: "RDMA_PS_IPOIB", Value: 2},
	{Name: "RDMA_PS_TCP", Value: 262},
	{Name: "RDMA_PS_UDP", Value: 273},
	{Name: "RDMA_UCM_EVENT_RESP_SIZE", Value: 328},
	{Name: "RDMA_USER_CM_CMD_ACCEPT", Value: 8},
	{Name: "RDMA_USER_CM_CMD_BIND", Value: 20},
	{Name: "RDMA_USER_CM_CMD_BIND_IP", Value: 2},
	{Name: "RDMA_USER_CM_CMD_CONNECT", Value: 6},
	{Name: "RDMA_USER_CM_CMD_CREATE_ID"},
	{Name: "RDMA_USER_CM_CMD_DESTROY_ID", Value: 1},
	{Name: "RDMA_USER_CM_CMD_DISCONNECT", Value: 10},
	{Name: "RDMA_USER_CM_CMD_GET_EVENT", Value: 12},
	{Name: "RDMA_USER_CM_CMD_INIT_QP_ATTR", Value: 11},
	{Name: "RDMA_USER_CM_CMD_JOIN_IP_MCAST", Value: 16},
	{Name: "RDMA_USER_CM_CMD_JOIN_MCAST", Value: 22},
	{Name: "RDMA_USER_CM_CMD_LEAVE_MCAST", Value: 17},
	{Name: "RDMA_USER_CM_CMD_LISTEN", Value: 7},
	{Name: "RDMA_USER_CM_CMD_MIGRATE_ID", Value: 18},
	{Name: "RDMA_USER_CM_CMD_NOTIFY", Value: 15},
	{Name: "RDMA_USER_CM_CMD_QUERY", Value: 19},
	{Name: "RDMA_USER_CM_CMD_QUERY_ROUTE", Value: 5},
	{Name: "RDMA_USER_CM_CMD_REJECT", Value: 9},
	{Name: "RDMA_USER_CM_CMD_RESOLVE_ADDR", Value: 21},
	{Name: "RDMA_USER_CM_CMD_RESOLVE_IP", Value: 3},
	{Name: "RDMA_USER_CM_CMD_RESOLVE_ROUTE", Value: 4},
	{Name: "RDMA_USER_CM_CMD_SET_OPTION", Value: 14},
	{Name: "RDMA_USER_CM_QUERY_ADDR"},
	{Name: "RDMA_USER_CM_QUERY_GID", Value: 2},
	{Name: "RDMA_USER_CM_QUERY_PATH", Value: 1},
	{Name: "RDS_CANCEL_SENT_TO", Value: 1},
	{Name: "RDS_CMSG_ATOMIC_CSWP", Value: 7},
	{Name: "RDS_CMSG_ATOMIC_FADD", Value: 6},
	{Name: "RDS_CMSG_MASKED_ATOMIC_CSWP", Value: 9},
	{Name: "RDS_CMSG_MASKED_ATOMIC_FADD", Value: 8},
	{Name: "RDS_CMSG_RDMA_ARGS", Value: 1},
	{Name: "RDS_CMSG_RDMA_DEST", Value: 2},
	{Name: "RDS_CMSG_RDMA_MAP", Value: 3},
	{Name: "RDS_CMSG_ZCOPY_COOKIE", Value: 12},
	{Name: "RDS_CONG_MONITOR", Value: 6},
	{Name: "RDS_FREE_MR", Value: 3},
	{Name: "RDS_GET_MR", Value: 2},
	{Name: "RDS_GET_MR_FOR_DEST", Value: 7},
	{Name: "RDS_MSG_RX_DGRAM_TRACE_MAX", Value: 3},
	{Name: "RDS_RDMA_DONTWAIT", Value: 16},
	{Name: "RDS_RDMA_FENCE", Value: 2},
	{Name: "RDS_RDMA_INVALIDATE", Value: 4},
	{Name: "RDS_RDMA_NOTIFY_ME", Value: 32},
	{Name: "RDS_RDMA_READWRITE", Value: 1},
	{Name: "RDS_RDMA_SILENT", Value: 64},
	{Name: "RDS_RDMA_USE_ONCE", Value: 8},
	{Name: "RDS_RECVERR", Value: 5},
	{Name: "RDS_TRANS_IB"},
	{Name: "RDS_TRANS_IWARP", Value: 1},
	{Name: "RDS_TRANS_NONE", Value: 18446744073709551615},
	{Name: "RDS_TRANS_TCP", Value: 2},
	{Name: "READ_IMPLIES_EXEC", Value: 4194304},
	{Name: "REL_MAX", Value: 15},
	{Name: "RENAME_EXCHANGE", Value: 2},
	{Name: "RENAME_NOREPLACE", Value: 1},
	{Name: "RENAME_WHITEOUT", Value: 4},
	{Name: "RFCOMM_CONNINFO", Value: 2},
	{Name: "RFCOMM_LM", Value: 3},
	{Name: "RLIMIT_AS", Value: 9},
	{Name: "RLIMIT_CORE", Value: 4},
	{Name: "RLIMIT_CPU"},
	{Name: "RLIMIT_DATA", Value: 2},
	{Name: "RLIMIT_FSIZE", Value: 1},
	{Name: "RLIMIT_LOCKS", Value: 10},
	{Name: "RLIMIT_MEMLOCK", Value: 8},
	{Name: "RLIMIT_MSGQUEUE", Value: 12},
	{Name: "RLIMIT_NICE", Value: 13},
	{Name: "RLIMIT_NOFILE", Value: 7},
	{Name: "RLIMIT_NPROC", Value: 6},
	{Name: "RLIMIT_RSS", Value: 5},
	{Name: "RLIMIT_RTPRIO", Value: 14},
	{Name: "RLIMIT_RTTIME", Value: 15},
	{Name: "RLIMIT_SIGPENDING", Value: 11},
	{Name: "RLIMIT_STACK", Value: 3},
	{Name: "RNDADDENTROPY", Value: 1074287107},
	{Name: "RNDADDTOENTCNT", Value: 1074024961},
	{Name: "RNDCLEARPOOL", Value: 20998},
	{Name: "RNDGETENTCNT", Value: 2147766784},
	{Name: "RNDZAPENTCNT", Value: 20996},
	{Name: "RSEQ_CS_FLAG_NO_RESTART_ON_MIGRATE", Value: 4},
	{Name: "RSEQ_CS_FLAG_NO_RESTART_ON_PREEMPT", Value: 1},
	{Name: "RSEQ_CS_FLAG_NO_RESTART_ON_SIGNAL", Value: 2},
	{Name: "RTA_DST", Value: 1},
	{Name: "RTA_ENCAP", Value: 22},
	{Name: "RTA_ENCAP_TYPE", Value: 21},
	{Name: "RTA_FLOW", Value: 11},
	{Name: "RTA_GATEWAY", Value: 5},
	{Name: "RTA_MARK", Value: 16},
	{Name: "RTA_METRICS", Value: 8},
	{Name: "RTA_MULTIPATH", Value: 9},
	{Name: "RTA_OIF", Value: 4},
	{Name: "RTA_PREF", Value: 20},
	{Name: "RTA_PREFSRC", Value: 7},
	{Name: "RTA_PRIORITY", Value: 6},
	{Name: "RTA_SRC", Value: 2},
	{Name: "RTA_TTL_PROPAGATE", Value: 26},
	{Name: "RTA_UID", Value: 25},
	{Name: "RTC_AIE_OFF", Value: 28674},
	{Name: "RTC_AIE_ON", Value: 28673},
	{Name: "RTC_ALM_READ", Value: 2149871624},
	{Name: "RTC_ALM_SET", Value: 1076129799},
	{Name: "RTC_EPOCH_READ", Value: 2148036621},
	{Name: "RTC_EPOCH_SET", Value: 1074294798},
	{Name: "RTC_IRQP_READ", Value: 2148036619},
	{Name: "RTC_IRQP_SET", Value: 1074294796},
	{Name: "RTC_MAX_FREQ", Value: 8192},
	{Name: "RTC_PIE_OFF", Value: 28678},
	{Name: "RTC_PIE_ON", Value: 28677},
	{Name: "RTC_PLL_GET", Value: 2149609489},
	{Name: "RTC_PLL_SET", Value: 1075867666},
	{Name: "RTC_RD_TIME", Value: 2149871625},
	{Name: "RTC_SET_TIME", Value: 1076129802},
	{Name: "RTC_UIE_OFF", Value: 28676},
	{Name: "RTC_UIE_ON", Value: 28675},
	{Name: "RTC_VL_CLR", Value: 28692},
	{Name: "RTC_VL_READ", Value: 2147774483},
	{Name: "RTC_WIE_OFF", Value: 28688},
	{Name: "RTC_WIE_ON", Value: 28687},
	{Name: "RTC_WKALM_RD", Value: 2150133776},
	{Name: "RTC_WKALM_SET", Value: 1076391951},
	{Name: "RTF_ADDRCONF", Value: 262144},
	{Name: "RTF_ALLONLINK", Value: 131072},
	{Name: "RTF_ANYCAST", Value: 1048576},
	{Name: "RTF_CACHE", Value: 16777216},
	{Name: "RTF_DEFAULT", Value: 65536},
	{Name: "RTF_DYNAMIC", Value: 16},
	{Name: "RTF_EXPIRES", Value: 4194304},
	{Name: "RTF_FLOW", Value: 33554432},
	{Name: "RTF_GATEWAY", Value: 2},
	{Name: "RTF_HOST", Value: 4},
	{Name: "RTF_IRTT", Value: 256},
	{Name: "RTF_LOCAL", Value: 2147483648},
	{Name: "RTF_MODIFIED", Value: 32},
	{Name: "RTF_MTU", Value: 64},
	{Name: "RTF_NONEXTHOP", Value: 2097152},
	{Name: "RTF_PCPU", Value: 1073741824},
	{Name: "RTF_POLICY", Value: 67108864},
	{Name: "RTF_PREFIX_RT", Value: 524288},
	{Name: "RTF_REINSTATE", Value: 8},
	{Name: "RTF_REJECT", Value: 512},
	{Name: "RTF_ROUTEINFO", Value: 8388608},
	{Name: "RTF_UP", Value: 1},
	{Name: "RTF_WINDOW", Value: 128},
	{Name: "RTM_DELACTION", Value: 49},
	{Name: "RTM_DELADDR", Value: 21},
	{Name: "RTM_DELLINK", Value: 17},
	{Name: "RTM_DELNEIGH", Value: 29},
	{Name: "RTM_DELQDISC", Value: 37},
	{Name: "RTM_DELROUTE", Value: 25},
	{Name: "RTM_DELRULE", Value: 33},
	{Name: "RTM_DELTCLASS", Value: 41},
	{Name: "RTM_DELTFILTER", Value: 45},
	{Name: "RTM_F_CLONED", Value: 512},
	{Name: "RTM_F_EQUALIZE", Value: 1024},
	{Name: "RTM_F_FIB_MATCH", Value: 8192},
	{Name: "RTM_F_LOOKUP_TABLE", Value: 4096},
	{Name: "RTM_F_NOTIFY", Value: 256},
	{Name: "RTM_F_PREFIX", Value: 2048},
	{Name: "RTM_GETACTION", Value: 50},
	{Name: "RTM_GETADDR", Value: 22},
	{Name: "RTM_GETANYCAST", Value: 62},
	{Name: "RTM_GETLINK", Value: 18},
	{Name: "RTM_GETMULTICAST", Value: 58},
	{Name: "RTM_GETNEIGH", Value: 30},
	{Name: "RTM_GETNEIGHTBL", Value: 66},
	{Name: "RTM_GETNETCONF", Value: 82},
	{Name: "RTM_GETQDISC", Value: 38},
	{Name: "RTM_GETROUTE", Value: 26},
	{Name: "RTM_GETRULE", Value: 34},
	{Name: "RTM_GETSTATS", Value: 94},
	{Name: "RTM_GETTCLASS", Value: 42},
	{Name: "RTM_GETTFILTER", Value: 46},
	{Name: "RTM_NEWACTION", Value: 48},
	{Name: "RTM_NEWADDR", Value: 20},
	{Name: "RTM_NEWLINK", Value: 16},
	{Name: "RTM_NEWNEIGH", Value: 28},
	{Name: "RTM_NEWQDISC", Value: 36},
	{Name: "RTM_NEWROUTE", Value: 24},
	{Name: "RTM_NEWRULE", Value: 32},
	{Name: "RTM_NEWTCLASS", Value: 40},
	{Name: "RTM_NEWTFILTER", Value: 44},
	{Name: "RTM_SETLINK", Value: 19},
	{Name: "RTM_SETNEIGHTBL", Value: 67},
	{Name: "RTNL_FAMILY_IPMR", Value: 128},
	{Name: "RTN_ANYCAST", Value: 4},
	{Name: "RTN_BLACKHOLE", Value: 6},
	{Name: "RTN_BROADCAST", Value: 3},
	{Name: "RTN_LOCAL", Value: 2},
	{Name: "RTN_MULTICAST", Value: 5},
	{Name: "RTN_NAT", Value: 10},
	{Name: "RTN_PROHIBIT", Value: 8},
	{Name: "RTN_THROW", Value: 9},
	{Name: "RTN_UNICAST", Value: 1},
	{Name: "RTN_UNREACHABLE", Value: 7},
	{Name: "RTN_UNSPEC"},
	{Name: "RTN_XRESOLVE", Value: 11},
	{Name: "RTPROT_BOOT", Value: 3},
	{Name: "RTPROT_KERNEL", Value: 2},
	{Name: "RTPROT_REDIRECT", Value: 1},
	{Name: "RTPROT_STATIC", Value: 4},
	{Name: "RTPROT_UNSPEC"},
	{Name: "RT_SCOPE_HOST", Value: 254},
	{Name: "RT_SCOPE_LINK", Value: 253},
	{Name: "RT_SCOPE_NOWHERE", Value: 255},
	{Name: "RT_SCOPE_SITE", Value: 200},
	{Name: "RT_SCOPE_UNIVERSE"},
	{Name: "RT_TABLE_COMPAT", Value: 252},
	{Name: "RT_TABLE_DEFAULT", Value: 253},
	{Name: "RT_TABLE_LOCAL", Value: 255},
	{Name: "RT_TABLE_MAIN", Value: 254},
	{Name: "RT_TABLE_UNSPEC"},
	{Name: "RUSAGE_CHILDREN", Value: 18446744073709551615},
	{Name: "RUSAGE_SELF"},
	{Name: "RUSAGE_THREAD", Value: 1},
	{Name: "RWF_WRITE_LIFE_NOT_SET"},
	{Name: "RWH_WRITE_LIFE_EXTREME", Value: 5},
	{Name: "RWH_WRITE_LIFE_LONG", Value: 4},
	{Name: "RWH_WRITE_LIFE_MEDIUM", Value: 3},
	{Name: "RWH_WRITE_LIFE_NONE", Value: 1},
	{Name: "RWH_WRITE_LIFE_SHORT", Value: 2},
	{Name: "RX_ANNOUNCE_RESUME", Value: 256},
	{Name: "RX_CHECK_DLC", Value: 64},
	{Name: "RX_DELETE", Value: 6},
	{Name: "RX_FILTER_ID", Value: 32},
	{Name: "RX_NO_AUTOTIMER", Value: 128},
	{Name: "RX_READ", Value: 7},
	{Name: "RX_RTR_FRAME", Value: 1024},
	{Name: "RX_SETUP", Value: 5},
	{Name: "SADB_AALG_MAX", Value: 251},
	{Name: "SADB_AALG_NONE"},
	{Name: "SADB_EXT_ADDRESS_DST", Value: 6},
	{Name: "SADB_EXT_ADDRESS_PROXY", Value: 7},
	{Name: "SADB_EXT_ADDRESS_SRC", Value: 5},
	{Name: "SADB_EXT_IDENTITY_DST", Value: 11},
	{Name: "SADB_EXT_IDENTITY_SRC", Value: 10},
	{Name: "SADB_EXT_KEY_AUTH", Value: 8},
	{Name: "SADB_EXT_KEY_ENCRYPT", Value: 9},
	{Name: "SADB_EXT_LIFETIME_CURRENT", Value: 2},
	{Name: "SADB_EXT_LIFETIME_HARD", Value: 3},
	{Name: "SADB_EXT_LIFETIME_SOFT", Value: 4},
	{Name: "SADB_EXT_SA", Value: 1},
	{Name: "SADB_EXT_SPIRANGE", Value: 16},
	{Name: "SADB_MAX", Value: 24},
	{Name: "SADB_RESERVED"},
	{Name: "SADB_SAFLAGS_DECAP_DSCP", Value: 1073741824},
	{Name: "SADB_SAFLAGS_NOECN", Value: 2147483648},
	{Name: "SADB_SAFLAGS_NOPMTUDISC", Value: 536870912},
	{Name: "SADB_SAFLAGS_PFS", Value: 1},
	{Name: "SADB_SATYPE_AH", Value: 2},
	{Name: "SADB_SATYPE_ESP", Value: 3},
	{Name: "SADB_SATYPE_MAX", Value: 9},
	{Name: "SADB_SATYPE_MIP", Value: 8},
	{Name: "SADB_SATYPE_OSPFV2", Value: 6},
	{Name: "SADB_SATYPE_RIPV2", Value: 7},
	{Name: "SADB_SATYPE_RSVP", Value: 5},
	{Name: "SADB_SATYPE_UNSPEC"},
	{Name: "SADB_X_CALG_MAX", Value: 4},
	{Name: "SADB_X_CALG_NONE"},
	{Name: "SADB_X_EXT_FILTER", Value: 26},
	{Name: "SADB_X_EXT_KMADDRESS", Value: 25},
	{Name: "SADB_X_EXT_NAT_T_DPORT", Value: 22},
	{Name: "SADB_X_EXT_NAT_T_OA", Value: 23},
	{Name: "SADB_X_EXT_NAT_T_SPORT", Value: 21},
	{Name: "SADB_X_EXT_NAT_T_TYPE", Value: 20},
	{Name: "SADB_X_EXT_POLICY", Value: 18},
	{Name: "SADB_X_EXT_SA2", Value: 19},
	{Name: "SADB_X_EXT_SEC_CTX", Value: 24},
	{Name: "SADB_X_SATYPE_IPCOMP", Value: 9},
	{Name: "SA_NOCLDSTOP", Value: 1},
	{Name: "SA_NOCLDWAIT", Value: 2},
	{Name: "SA_NODEFER", Value: 1073741824},
	{Name: "SA_ONSTACK", Value: 134217728},
	{Name: "SA_RESETHAND", Value: 2147483648},
	{Name: "SA_RESTART", Value: 268435456},
	{Name: "SA_SIGINFO", Value: 4},
	{Name: "SCHED_BATCH", Value: 3},
	{Name: "SCHED_DEADLINE", Value: 6},
	{Name: "SCHED_FIFO", Value: 1},
	{Name: "SCHED_FLAG_RESET_ON_FORK", Value: 1},
	{Name: "SCHED_IDLE", Value: 5},
	{Name: "SCHED_NORMAL"},
	{Name: "SCHED_RR", Value: 2},
	{Name: "SCM_CREDENTIALS", Value: 2},
	{Name: "SCM_RIGHTS", Value: 1},
	{Name: "SCO_CONNINFO", Value: 2},
	{Name: "SCO_OPTIONS", Value: 1},
	{Name: "SCSI_IOCTL_BENCHMARK_COMMAND", Value: 3},
	{Name: "SCSI_IOCTL_DOORLOCK", Value: 21376},
	{Name: "SCSI_IOCTL_DOORUNLOCK", Value: 21377},
	{Name: "SCSI_IOCTL_GET_BUS_NUMBER", Value: 21382},
	{Name: "SCSI_IOCTL_GET_IDLUN", Value: 21378},
	{Name: "SCSI_IOCTL_GET_PCI", Value: 21383},
	{Name: "SCSI_IOCTL_PROBE_HOST", Value: 21381},
	{Name: "SCSI_IOCTL_SEND_COMMAND", Value: 1},
	{Name: "SCSI_IOCTL_START_UNIT", Value: 5},
	{Name: "SCSI_IOCTL_STOP_UNIT", Value: 6},
	{Name: "SCSI_IOCTL_SYNC", Value: 4},
	{Name: "SCSI_IOCTL_TEST_UNIT_READY", Value: 2},
	{Name: "SCTP_ABORT", Value: 4},
	{Name: "SCTP_ADAPTATION_LAYER", Value: 7},
	{Name: "SCTP_ADDR_OVER", Value: 2},
	{Name: "SCTP_ADD_STREAMS", Value: 121},
	{Name: "SCTP_ASSOCINFO", Value: 1},
	{Name: "SCTP_AUTHINFO", Value: 6},
	{Name: "SCTP_AUTH_ACTIVE_KEY", Value: 24},
	{Name: "SCTP_AUTH_CHUNK", Value: 21},
	{Name: "SCTP_AUTH_DEACTIVATE_KEY", Value: 35},
	{Name: "SCTP_AUTH_DELETE_KEY", Value: 25},
	{Name: "SCTP_AUTH_KEY", Value: 23},
	{Name: "SCTP_AUTOCLOSE", Value: 4},
	{Name: "SCTP_AUTO_ASCONF", Value: 30},
	{Name: "SCTP_CHUNK_MATCH_ALL", Value: 2},
	{Name: "SCTP_CHUNK_MATCH_ANY", Value: 1},
	{Name: "SCTP_CHUNK_MATCH_ONLY", Value: 4},
	{Name: "SCTP_CONTEXT", Value: 17},
	{Name: "SCTP_DEFAULT_PRINFO", Value: 114},
	{Name: "SCTP_DEFAULT_SEND_PARAM", Value: 10},
	{Name: "SCTP_DEFAULT_SNDINFO", Value: 34},
	{Name: "SCTP_DELAYED_SACK", Value: 16},
	{Name: "SCTP_DISABLE_FRAGMENTS", Value: 8},
	{Name: "SCTP_DSTADDRV4", Value: 7},
	{Name: "SCTP_DSTADDRV6", Value: 8},
	{Name: "SCTP_ENABLE_STREAM_RESET", Value: 118},
	{Name: "SCTP_EOF", Value: 512},
	{Name: "SCTP_EVENTS", Value: 11},
	{Name: "SCTP_FRAGMENT_INTERLEAVE", Value: 18},
	{Name: "SCTP_GET_ASSOC_ID_LIST", Value: 29},
	{Name: "SCTP_GET_ASSOC_NUMBER", Value: 28},
	{Name: "SCTP_GET_ASSOC_STATS", Value: 112},
	{Name: "SCTP_GET_LOCAL_ADDRS", Value: 109},
	{Name: "SCTP_GET_PEER_ADDRS", Value: 108},
	{Name: "SCTP_GET_PEER_ADDR_INFO", Value: 15},
	{Name: "SCTP_HMAC_IDENT", Value: 22},
	{Name: "SCTP_INIT"},
	{Name: "SCTP_INITMSG", Value: 2},
	{Name: "SCTP_I_WANT_MAPPED_V4_ADDR", Value: 12},
	{Name: "SCTP_LOCAL_AUTH_CHUNKS", Value: 27},
	{Name: "SCTP_MAXSEG", Value: 13},
	{Name: "SCTP_MAX_BURST", Value: 20},
	{Name: "SCTP_NODELAY", Value: 3},
	{Name: "SCTP_NOTIFICATION", Value: 32768},
	{Name: "SCTP_PARTIAL_DELIVERY_POINT", Value: 19},
	{Name: "SCTP_PEER_ADDR_PARAMS", Value: 9},
	{Name: "SCTP_PEER_ADDR_THLDS", Value: 31},
	{Name: "SCTP_PEER_AUTH_CHUNKS", Value: 26},
	{Name: "SCTP_PRIMARY_ADDR", Value: 6},
	{Name: "SCTP_PRINFO", Value: 5},
	{Name: "SCTP_PR_ASSOC_STATUS", Value: 115},
	{Name: "SCTP_PR_SCTP_NONE"},
	{Name: "SCTP_PR_SCTP_PRIO", Value: 48},
	{Name: "SCTP_PR_SCTP_RTX", Value: 32},
	{Name: "SCTP_PR_SCTP_TTL", Value: 16},
	{Name: "SCTP_PR_STREAM_STATUS", Value: 116},
	{Name: "SCTP_PR_SUPPORTED", Value: 113},
	{Name: "SCTP_RECONFIG_SUPPORTED", Value: 117},
	{Name: "SCTP_RECVNXTINFO", Value: 33},
	{Name: "SCTP_RECVRCVINFO", Value: 32},
	{Name: "SCTP_RESET_ASSOC", Value: 120},
	{Name: "SCTP_RESET_STREAMS", Value: 119},
	{Name: "SCTP_RTOINFO"},
	{Name: "SCTP_SACK_IMMEDIATELY", Value: 8},
	{Name: "SCTP_SET_PEER_PRIMARY_ADDR", Value: 5},
	{Name: "SCTP_SNDINFO", Value: 2},
	{Name: "SCTP_SNDRCV", Value: 1},
	{Name: "SCTP_SOCKOPT_BINDX_ADD", Value: 100},
	{Name: "SCTP_SOCKOPT_BINDX_REM", Value: 101},
	{Name: "SCTP_SOCKOPT_CONNECTX", Value: 110},
	{Name: "SCTP_SOCKOPT_CONNECTX3", Value: 111},
	{Name: "SCTP_SOCKOPT_CONNECTX_OLD", Value: 107},
	{Name: "SCTP_SOCKOPT_PEELOFF", Value: 102},
	{Name: "SCTP_STATUS", Value: 14},
	{Name: "SCTP_STREAM_SCHEDULER", Value: 123},
	{Name: "SCTP_STREAM_SCHEDULER_VALUE", Value: 124},
	{Name: "SCTP_UNORDERED", Value: 1},
	{Name: "SCTP_V4_FLOW", Value: 3},
	{Name: "SCTP_V6_FLOW", Value: 7},
	{Name: "SC_CCP_OPEN", Value: 64},
	{Name: "SC_CCP_UP", Value: 128},
	{Name: "SC_COMP_AC", Value: 2},
	{Name: "SC_COMP_PROT", Value: 1},
	{Name: "SC_COMP_RUN", Value: 4096},
	{Name: "SC_COMP_TCP", Value: 4},
	{Name: "SC_DEBUG", Value: 65536},
	{Name: "SC_DECOMP_RUN", Value: 8192},
	{Name: "SC_ENABLE_IP", Value: 256},
	{Name: "SC_LOG_FLUSH", Value: 1048576},
	{Name: "SC_LOG_INPKT", Value: 131072},
	{Name: "SC_LOG_OUTPKT", Value: 262144},
	{Name: "SC_LOG_RAWIN", Value: 524288},
	{Name: "SC_LOOP_TRAFFIC", Value: 512},
	{Name: "SC_MP_SHORTSEQ", Value: 2048},
	{Name: "SC_MP_XSHORTSEQ", Value: 16384},
	{Name: "SC_MULTILINK", Value: 1024},
	{Name: "SC_MUST_COMP", Value: 4194304},
	{Name: "SC_NO_TCP_CCID", Value: 8},
	{Name: "SC_REJ_COMP_AC", Value: 16},
	{Name: "SC_REJ_COMP_TCP", Value: 32},
	{Name: "SC_SYNC", Value: 2097152},
	{Name: "SECCOMP_FILTER_FLAG_TSYNC", Value: 1},
	{Name: "SECCOMP_MODE_DISABLED"},
	{Name: "SECCOMP_MODE_FILTER", Value: 2},
	{Name: "SECCOMP_MODE_STRICT", Value: 1},
	{Name: "SECCOMP_SET_MODE_FILTER", Value: 1},
	{Name: "SECCOMP_SET_MODE_STRICT"},
	{Name: "SECMARK_SECCTX_MAX", Value: 256},
	{Name: "SEEK_CUR", Value: 1},
	{Name: "SEEK_DATA", Value: 3},
	{Name: "SEEK_END", Value: 2},
	{Name: "SEEK_HOLE", Value: 4},
	{Name: "SEEK_SET"},
	{Name: "SELINUX_MAGIC", Value: 4185718668},
	{Name: "SEM_INFO", Value: 19},
	{Name: "SEM_STAT", Value: 18},
	{Name: "SEM_UNDO", Value: 4096},
	{Name: "SETALL", Value: 17},
	{Name: "SETTIMER", Value: 1},
	{Name: "SETVAL", Value: 16},
	{Name: "SFD_CLOEXEC", Value: 524288},
	{Name: "SFD_NONBLOCK", Value: 2048},
	{Name: "SG_DXFER_FROM_DEV", Value: 18446744073709551613},
	{Name: "SG_DXFER_NONE", Value: 18446744073709551615},
	{Name: "SG_DXFER_TO_DEV", Value: 18446744073709551614},
	{Name: "SG_DXFER_TO_FROM_DEV", Value: 18446744073709551612},
	{Name: "SG_DXFER_UNKNOWN", Value: 18446744073709551611},
	{Name: "SG_EMULATED_HOST", Value: 8707},
	{Name: "SG_FLAG_DIRECT_IO", Value: 1},
	{Name: "SG_FLAG_MMAP_IO", Value: 4},
	{Name: "SG_FLAG_NO_DXFER", Value: 65536},
	{Name: "SG_FLAG_Q_AT_HEAD", Value: 32},
	{Name: "SG_FLAG_Q_AT_TAIL", Value: 16},
	{Name: "SG_FLAG_UNUSED_LUN_INHIBIT", Value: 2},
	{Name: "SG_GET_ACCESS_COUNT", Value: 8841},
	{Name: "SG_GET_COMMAND_Q", Value: 8816},
	{Name: "SG_GET_KEEP_ORPHAN", Value: 8840},
	{Name: "SG_GET_LOW_DMA", Value: 8826},
	{Name: "SG_GET_NUM_WAITING", Value: 8829},
	{Name: "SG_GET_PACK_ID", Value: 8828},
	{Name: "SG_GET_REQUEST_TABLE", Value: 8838},
	{Name: "SG_GET_RESERVED_SIZE", Value: 8818},
	{Name: "SG_GET_SCSI_ID", Value: 8822},
	{Name: "SG_GET_SG_TABLESIZE", Value: 8831},
	{Name: "SG_GET_TIMEOUT", Value: 8706},
	{Name: "SG_GET_VERSION_NUM", Value: 8834},
	{Name: "SG_IO", Value: 8837},
	{Name: "SG_IO_HDR_SIZE", Value: 88},
	{Name: "SG_MAX_CDB_SIZE", Value: 252},
	{Name: "SG_NEXT_CMD_LEN", Value: 8835},
	{Name: "SG_REQUEST_TABLE_SIZE", Value: 384},
	{Name: "SG_SCSI_ID_T_SIZE", Value: 32},
	{Name: "SG_SCSI_RESET", Value: 8836},
	{Name: "SG_SET_COMMAND_Q", Value: 8817},
	{Name: "SG_SET_DEBUG", Value: 8830},
	{Name: "SG_SET_FORCE_PACK_ID", Value: 8827},
	{Name: "SG_SET_KEEP_ORPHAN", Value: 8839},
	{Name: "SG_SET_RESERVED_SIZE", Value: 8821},
	{Name: "SG_SET_TIMEOUT", Value: 8705},
	{Name: "SHM_HUGETLB", Value: 2048},
	{Name: "SHM_HUGE_1GB", Value: 2013265920},
	{Name: "SHM_HUGE_2MB", Value: 1409286144},
	{Name: "SHM_INFO", Value: 14},
	{Name: "SHM_LOCK", Value: 11},
	{Name: "SHM_NORESERVE", Value: 4096},
	{Name: "SHM_RDONLY", Value: 4096},
	{Name: "SHM_REMAP", Value: 16384},
	{Name: "SHM_RND", Value: 8192},
	{Name: "SHM_STAT", Value: 13},
	{Name: "SHM_UNLOCK", Value: 12},
	{Name: "SHORT_INODE", Value: 16777216},
	{Name: "SHUT_RD"},
	{Name: "SHUT_WR", Value: 1},
	{Name: "SIGEVENT_SIZE", Value: 64},
	{Name: "SIGEV_NONE", Value: 1},
	{Name: "SIGEV_SIGNAL"},
	{Name: "SIGEV_THREAD", Value: 2},
	{Name: "SIGEV_THREAD_ID", Value: 4},
	{Name: "SIG_BLOCK"},
	{Name: "SIG_SETMASK", Value: 2},
	{Name: "SIG_UNBLOCK", Value: 1},
	{Name: "SIOCADDDLCI", Value: 35200},
	{Name: "SIOCADDMULTI", Value: 35121},
	{Name: "SIOCADDRT", Value: 35083},
	{Name: "SIOCAIPXITFCRT", Value: 35296},
	{Name: "SIOCAIPXPRISLT", Value: 35297},
	{Name: "SIOCATMARK", Value: 35077},
	{Name: "SIOCBONDCHANGEACTIVE", Value: 35221},
	{Name: "SIOCBONDENSLAVE", Value: 35216},
	{Name: "SIOCBONDINFOQUERY", Value: 35220},
	{Name: "SIOCBONDRELEASE", Value: 35217},
	{Name: "SIOCBONDSETHWADDR", Value: 35218},
	{Name: "SIOCBONDSLAVEINFOQUERY", Value: 35219},
	{Name: "SIOCBRADDBR", Value: 35232},
	{Name: "SIOCBRADDIF", Value: 35234},
	{Name: "SIOCBRDELBR", Value: 35233},
	{Name: "SIOCBRDELIF", Value: 35235},
	{Name: "SIOCDARP", Value: 35155},
	{Name: "SIOCDELDLCI", Value: 35201},
	{Name: "SIOCDELMULTI", Value: 35122},
	{Name: "SIOCDELRT", Value: 35084},
	{Name: "SIOCDEVPRIVATE_BEG", Value: 35312},
	{Name: "SIOCDEVPRIVATE_END", Value: 35327},
	{Name: "SIOCDIFADDR", Value: 35126},
	{Name: "SIOCETHTOOL", Value: 35142},
	{Name: "SIOCGARP", Value: 35156},
	{Name: "SIOCGHWTSTAMP", Value: 35249},
	{Name: "SIOCGIFADDR", Value: 35093},
	{Name: "SIOCGIFBR", Value: 35136},
	{Name: "SIOCGIFBRDADDR", Value: 35097},
	{Name: "SIOCGIFCOUNT", Value: 35128},
	{Name: "SIOCGIFDSTADDR", Value: 35095},
	{Name: "SIOCGIFENCAP", Value: 35109},
	{Name: "SIOCGIFFLAGS", Value: 35091},
	{Name: "SIOCGIFHWADDR", Value: 35111},
	{Name: "SIOCGIFINDEX", Value: 35123},
	{Name: "SIOCGIFMAP", Value: 35184},
	{Name: "SIOCGIFMEM", Value: 35103},
	{Name: "SIOCGIFMETRIC", Value: 35101},
	{Name: "SIOCGIFMTU", Value: 35105},
	{Name: "SIOCGIFNAME", Value: 35088},
	{Name: "SIOCGIFNETMASK", Value: 35099},
	{Name: "SIOCGIFPFLAGS", Value: 35125},
	{Name: "SIOCGIFSLAVE", Value: 35113},
	{Name: "SIOCGIFTXQLEN", Value: 35138},
	{Name: "SIOCGMIIPHY", Value: 35143},
	{Name: "SIOCGMIIREG", Value: 35144},
	{Name: "SIOCGPGRP", Value: 35076},
	{Name: "SIOCGSKNS", Value: 35148},
	{Name: "SIOCGSTAMP", Value: 35078},
	{Name: "SIOCGSTAMPNS", Value: 35079},
	{Name: "SIOCINQ", Value: 21531},
	{Name: "SIOCIPXCFGDATA", Value: 35298},
	{Name: "SIOCIPXNCPCONN", Value: 35299},
	{Name: "SIOCKCMATTACH", Value: 35296},
	{Name: "SIOCKCMCLONE", Value: 35298},
	{Name: "SIOCKCMUNATTACH", Value: 35297},
	{Name: "SIOCOUTQ", Value: 21521},
	{Name: "SIOCOUTQNSD", Value: 35147},
	{Name: "SIOCPROTOPRIVATE_BEG", Value: 35296},
	{Name: "SIOCPROTOPRIVATE_END", Value: 35311},
	{Name: "SIOCRTMSG", Value: 35085},
	{Name: "SIOCSARP", Value: 35157},
	{Name: "SIOCSHWTSTAMP", Value: 35248},
	{Name: "SIOCSIFADDR", Value: 35094},
	{Name: "SIOCSIFBR", Value: 35137},
	{Name: "SIOCSIFBRDADDR", Value: 35098},
	{Name: "SIOCSIFDSTADDR", Value: 35096},
	{Name: "SIOCSIFENCAP", Value: 35110},
	{Name: "SIOCSIFFLAGS", Value: 35092},
	{Name: "SIOCSIFHWADDR", Value: 35108},
	{Name: "SIOCSIFHWBROADCAST", Value: 35127},
	{Name: "SIOCSIFLINK", Value: 35089},
	{Name: "SIOCSIFMAP", Value: 35185},
	{Name: "SIOCSIFMEM", Value: 35104},
	{Name: "SIOCSIFMETRIC", Value: 35102},
	{Name: "SIOCSIFMTU", Value: 35106},
	{Name: "SIOCSIFNAME", Value: 35107},
	{Name: "SIOCSIFNETMASK", Value: 35100},
	{Name: "SIOCSIFPFLAGS", Value: 35124},
	{Name: "SIOCSIFSLAVE", Value: 35120},
	{Name: "SIOCSIFTXQLEN", Value: 35139},
	{Name: "SIOCSMIIREG", Value: 35145},
	{Name: "SIOCSPGRP", Value: 35074},
	{Name: "SIOCWANDEV", Value: 35146},
	{Name: "SNDRV_CTL_ELEM_ACCESS_INACTIVE", Value: 256},
	{Name: "SNDRV_CTL_ELEM_ACCESS_LOCK", Value: 512},
	{Name: "SNDRV_CTL_ELEM_ACCESS_OWNER", Value: 1024},
	{Name: "SNDRV_CTL_ELEM_ACCESS_READ", Value: 1},
	{Name: "SNDRV_CTL_ELEM_ACCESS_READWRITE", Value: 3},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TIMESTAMP", Value: 8},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TLV_CALLBACK", Value: 268435456},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TLV_COMMAND", Value: 64},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TLV_READ", Value: 16},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TLV_READWRITE", Value: 48},
	{Name: "SNDRV_CTL_ELEM_ACCESS_TLV_WRITE", Value: 32},
	{Name: "SNDRV_CTL_ELEM_ACCESS_USER", Value: 536870912},
	{Name: "SNDRV_CTL_ELEM_ACCESS_VOLATILE", Value: 4},
	{Name: "SNDRV_CTL_ELEM_ACCESS_WRITE", Value: 2},
	{Name: "SNDRV_CTL_ELEM_ID_NAME_MAXLEN", Value: 44},
	{Name: "SNDRV_CTL_ELEM_IFACE_CARD"},
	{Name: "SNDRV_CTL_ELEM_IFACE_HWDEP", Value: 1},
	{Name: "SNDRV_CTL_ELEM_IFACE_MIXER", Value: 2},
	{Name: "SNDRV_CTL_ELEM_IFACE_PCM", Value: 3},
	{Name: "SNDRV_CTL_ELEM_IFACE_RAWMIDI", Value: 4},
	{Name: "SNDRV_CTL_ELEM_IFACE_SEQUENCER", Value: 6},
	{Name: "SNDRV_CTL_ELEM_IFACE_TIMER", Value: 5},
	{Name: "SNDRV_CTL_ELEM_TYPE_LAST", Value: 6},
	{Name: "SNDRV_CTL_ELEM_TYPE_NONE"},
	{Name: "SNDRV_CTL_IOCTL_CARD_INFO", Value: 2172146945},
	{Name: "SNDRV_CTL_IOCTL_ELEM_ADD", Value: 3239073047},
	{Name: "SNDRV_CTL_IOCTL_ELEM_INFO", Value: 3239073041},
	{Name: "SNDRV_CTL_IOCTL_ELEM_LIST", Value: 3226490128},
	{Name: "SNDRV_CTL_IOCTL_ELEM_LOCK", Value: 1077957908},
	{Name: "SNDRV_CTL_IOCTL_ELEM_READ", Value: 3301463314},
	{Name: "SNDRV_CTL_IOCTL_ELEM_REMOVE", Value: 3225441561},
	{Name: "SNDRV_CTL_IOCTL_ELEM_REPLACE", Value: 3239073048},
	{Name: "SNDRV_CTL_IOCTL_ELEM_UNLOCK", Value: 1077957909},
	{Name: "SNDRV_CTL_IOCTL_ELEM_WRITE", Value: 3301463315},
	{Name: "SNDRV_CTL_IOCTL_HWDEP_INFO", Value: 2161923361},
	{Name: "SNDRV_CTL_IOCTL_HWDEP_NEXT_DEVICE", Value: 3221509408},
	{Name: "SNDRV_CTL_IOCTL_PCM_INFO", Value: 3240121649},
	{Name: "SNDRV_CTL_IOCTL_PCM_NEXT_DEVICE", Value: 2147767600},
	{Name: "SNDRV_CTL_IOCTL_PCM_PREFER_SUBDEVICE", Value: 1074025778},
	{Name: "SNDRV_CTL_IOCTL_POWER_STATE", Value: 2147767761},
	{Name: "SNDRV_CTL_IOCTL_PVERSION", Value: 2147767552},
	{Name: "SNDRV_CTL_IOCTL_RAWMIDI_INFO", Value: 3238810945},
	{Name: "SNDRV_CTL_IOCTL_RAWMIDI_NEXT_DEVICE", Value: 3221509440},
	{Name: "SNDRV_CTL_IOCTL_RAWMIDI_PREFER_SUBDEVICE", Value: 1074025794},
	{Name: "SNDRV_CTL_IOCTL_SUBSCRIBE_EVENTS", Value: 3221509398},
	{Name: "SNDRV_CTL_IOCTL_TLV_COMMAND", Value: 3221771548},
	{Name: "SNDRV_CTL_IOCTL_TLV_READ", Value: 3221771546},
	{Name: "SNDRV_CTL_IOCTL_TLV_WRITE", Value: 3221771547},
	{Name: "SNDRV_RAWMIDI_INFO_DUPLEX", Value: 4},
	{Name: "SNDRV_RAWMIDI_INFO_INPUT", Value: 2},
	{Name: "SNDRV_RAWMIDI_INFO_OUTPUT", Value: 1},
	{Name: "SNDRV_RAWMIDI_IOCTL_DRAIN", Value: 1074026289},
	{Name: "SNDRV_RAWMIDI_IOCTL_DROP", Value: 1074026288},
	{Name: "SNDRV_RAWMIDI_IOCTL_INFO", Value: 2165069569},
	{Name: "SNDRV_RAWMIDI_IOCTL_PARAMS", Value: 3224393488},
	{Name: "SNDRV_RAWMIDI_IOCTL_PVERSION", Value: 2147768064},
	{Name: "SNDRV_RAWMIDI_IOCTL_STATUS", Value: 3224917792},
	{Name: "SNDRV_RAWMIDI_STREAM_INPUT", Value: 1},
	{Name: "SNDRV_RAWMIDI_STREAM_LAST", Value: 1},
	{Name: "SNDRV_RAWMIDI_STREAM_OUTPUT"},
	{Name: "SNDRV_SEQ_FILTER_BOUNCE", Value: 4},
	{Name: "SNDRV_SEQ_FILTER_BROADCAST", Value: 1},
	{Name: "SNDRV_SEQ_FILTER_MULTICAST", Value: 2},
	{Name: "SNDRV_SEQ_FILTER_USE_EVENT", Value: 18446744071562067968},
	{Name: "SNDRV_SEQ_IOCTL_CLIENT_ID", Value: 2147767041},
	{Name: "SNDRV_SEQ_IOCTL_CREATE_PORT", Value: 3232256800},
	{Name: "SNDRV_SEQ_IOCTL_CREATE_QUEUE", Value: 3230421810},
	{Name: "SNDRV_SEQ_IOCTL_DELETE_PORT", Value: 1084773153},
	{Name: "SNDRV_SEQ_IOCTL_DELETE_QUEUE", Value: 1082938163},
	{Name: "SNDRV_SEQ_IOCTL_GET_CLIENT_INFO", Value: 3233567504},
	{Name: "SNDRV_SEQ_IOCTL_GET_CLIENT_POOL", Value: 3227013963},
	{Name: "SNDRV_SEQ_IOCTL_GET_NAMED_QUEUE", Value: 3230421814},
	{Name: "SNDRV_SEQ_IOCTL_GET_PORT_INFO", Value: 3232256802},
	{Name: "SNDRV_SEQ_IOCTL_GET_QUEUE_CLIENT", Value: 3226227529},
	{Name: "SNDRV_SEQ_IOCTL_GET_QUEUE_INFO", Value: 3230421812},
	{Name: "SNDRV_SEQ_IOCTL_GET_QUEUE_STATUS", Value: 3227276096},
	{Name: "SNDRV_SEQ_IOCTL_GET_QUEUE_TEMPO", Value: 3224130369},
	{Name: "SNDRV_SEQ_IOCTL_GET_QUEUE_TIMER", Value: 3227538245},
	{Name: "SNDRV_SEQ_IOCTL_GET_SUBSCRIPTION", Value: 3226489680},
	{Name: "SNDRV_SEQ_IOCTL_PVERSION", Value: 2147767040},
	{Name: "SNDRV_SEQ_IOCTL_QUERY_NEXT_CLIENT", Value: 3233567569},
	{Name: "SNDRV_SEQ_IOCTL_QUERY_NEXT_PORT", Value: 3232256850},
	{Name: "SNDRV_SEQ_IOCTL_QUERY_SUBS", Value: 3227013967},
	{Name: "SNDRV_SEQ_IOCTL_REMOVE_EVENTS", Value: 1077957454},
	{Name: "SNDRV_SEQ_IOCTL_RUNNING_MODE", Value: 3222295299},
	{Name: "SNDRV_SEQ_IOCTL_SET_CLIENT_INFO", Value: 1086083857},
	{Name: "SNDRV_SEQ_IOCTL_SET_CLIENT_POOL", Value: 1079530316},
	{Name: "SNDRV_SEQ_IOCTL_SET_PORT_INFO", Value: 1084773155},
	{Name: "SNDRV_SEQ_IOCTL_SET_QUEUE_CLIENT", Value: 1078743882},
	{Name: "SNDRV_SEQ_IOCTL_SET_QUEUE_INFO", Value: 3230421813},
	{Name: "SNDRV_SEQ_IOCTL_SET_QUEUE_TEMPO", Value: 1076646722},
	{Name: "SNDRV_SEQ_IOCTL_SET_QUEUE_TIMER", Value: 1080054598},
	{Name: "SNDRV_SEQ_IOCTL_SUBSCRIBE_PORT", Value: 1079006000},
	{Name: "SNDRV_SEQ_IOCTL_SYSTEM_INFO", Value: 3224392450},
	{Name: "SNDRV_SEQ_IOCTL_UNSUBSCRIBE_PORT", Value: 1079006001},
	{Name: "SNDRV_SEQ_PORT_CAP_DUPLEX", Value: 16},
	{Name: "SNDRV_SEQ_PORT_CAP_NO_EXPORT", Value: 128},
	{Name: "SNDRV_SEQ_PORT_CAP_READ", Value: 1},
	{Name: "SNDRV_SEQ_PORT_CAP_SUBS_READ", Value: 32},
	{Name: "SNDRV_SEQ_PORT_CAP_SUBS_WRITE", Value: 64},
	{Name: "SNDRV_SEQ_PORT_CAP_SYNC_READ", Value: 4},
	{Name: "SNDRV_SEQ_PORT_CAP_SYNC_WRITE", Value: 8},
	{Name: "SNDRV_SEQ_PORT_CAP_WRITE", Value: 2},
	{Name: "SNDRV_SEQ_PORT_FLG_GIVEN_PORT", Value: 1},
	{Name: "SNDRV_SEQ_PORT_FLG_TIMESTAMP", Value: 2},
	{Name: "SNDRV_SEQ_PORT_FLG_TIME_REAL", Value: 4},
	{Name: "SNDRV_SEQ_PORT_SUBS_EXCLUSIVE", Value: 1},
	{Name: "SNDRV_SEQ_PORT_SUBS_TIMESTAMP", Value: 2},
	{Name: "SNDRV_SEQ_PORT_SUBS_TIME_REAL", Value: 4},
	{Name: "SNDRV_SEQ_PORT_TYPE_APPLICATION", Value: 1048576},
	{Name: "SNDRV_SEQ_PORT_TYPE_DIRECT_SAMPLE", Value: 2048},
	{Name: "SNDRV_SEQ_PORT_TYPE_HARDWARE", Value: 65536},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_GENERIC", Value: 2},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_GM", Value: 4},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_GM2", Value: 64},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_GS", Value: 8},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_MT32", Value: 32},
	{Name: "SNDRV_SEQ_PORT_TYPE_MIDI_XG", Value: 16},
	{Name: "SNDRV_SEQ_PORT_TYPE_PORT", Value: 524288},
	{Name: "SNDRV_SEQ_PORT_TYPE_SAMPLE", Value: 4096},
	{Name: "SNDRV_SEQ_PORT_TYPE_SOFTWARE", Value: 131072},
	{Name: "SNDRV_SEQ_PORT_TYPE_SPECIFIC", Value: 1},
	{Name: "SNDRV_SEQ_PORT_TYPE_SYNTH", Value: 1024},
	{Name: "SNDRV_SEQ_PORT_TYPE_SYNTHESIZER", Value: 262144},
	{Name: "SNDRV_SEQ_QUERY_SUBS_READ"},
	{Name: "SNDRV_SEQ_QUERY_SUBS_WRITE", Value: 1},
	{Name: "SNDRV_SEQ_REMOVE_DEST", Value: 4},
	{Name: "SNDRV_SEQ_REMOVE_DEST_CHANNEL", Value: 8},
	{Name: "SNDRV_SEQ_REMOVE_EVENT_TYPE", Value: 128},
	{Name: "SNDRV_SEQ_REMOVE_IGNORE_OFF", Value: 256},
	{Name: "SNDRV_SEQ_REMOVE_INPUT", Value: 1},
	{Name: "SNDRV_SEQ_REMOVE_OUTPUT", Value: 2},
	{Name: "SNDRV_SEQ_REMOVE_TAG_MATCH", Value: 512},
	{Name: "SNDRV_SEQ_REMOVE_TIME_AFTER", Value: 32},
	{Name: "SNDRV_SEQ_REMOVE_TIME_BEFORE", Value: 16},
	{Name: "SNDRV_SEQ_REMOVE_TIME_TICK", Value: 64},
	{Name: "SNDRV_SEQ_TIMER_ALSA"},
	{Name: "SNDRV_SEQ_TIMER_MIDI_CLOCK", Value: 1},
	{Name: "SNDRV_SEQ_TIMER_MIDI_TICK", Value: 2},
	{Name: "SNDRV_TIMER_CLASS_CARD", Value: 2},
	{Name: "SNDRV_TIMER_CLASS_GLOBAL", Value: 1},
	{Name: "SNDRV_TIMER_CLASS_NONE", Value: 18446744073709551615},
	{Name: "SNDRV_TIMER_CLASS_PCM", Value: 3},
	{Name: "SNDRV_TIMER_CLASS_SLAVE"},
	{Name: "SNDRV_TIMER_EVENT_CONTINUE", Value: 4},
	{Name: "SNDRV_TIMER_EVENT_EARLY", Value: 6},
	{Name: "SNDRV_TIMER_EVENT_MCONTINUE", Value: 14},
	{Name: "SNDRV_TIMER_EVENT_MPAUSE", Value: 15},
	{Name: "SNDRV_TIMER_EVENT_MRESUME", Value: 18},
	{Name: "SNDRV_TIMER_EVENT_MSTART", Value: 12},
	{Name: "SNDRV_TIMER_EVENT_MSTOP", Value: 13},
	{Name: "SNDRV_TIMER_EVENT_MSUSPEND", Value: 17},
	{Name: "SNDRV_TIMER_EVENT_PAUSE", Value: 5},
	{Name: "SNDRV_TIMER_EVENT_RESOLUTION"},
	{Name: "SNDRV_TIMER_EVENT_RESUME", Value: 8},
	{Name: "SNDRV_TIMER_EVENT_START", Value: 2},
	{Name: "SNDRV_TIMER_EVENT_STOP", Value: 3},
	{Name: "SNDRV_TIMER_EVENT_SUSPEND", Value: 7},
	{Name: "SNDRV_TIMER_EVENT_TICK", Value: 1},
	{Name: "SNDRV_TIMER_GLOBAL_HPET", Value: 2},
	{Name: "SNDRV_TIMER_GLOBAL_HRTIMER", Value: 3},
	{Name: "SNDRV_TIMER_GLOBAL_RTC", Value: 1},
	{Name: "SNDRV_TIMER_GLOBAL_SYSTEM"},
	{Name: "SNDRV_TIMER_IOCTL_CONTINUE", Value: 21666},
	{Name: "SNDRV_TIMER_IOCTL_GINFO", Value: 3237499907},
	{Name: "SNDRV_TIMER_IOCTL_GPARAMS", Value: 1078481924},
	{Name: "SNDRV_TIMER_IOCTL_GSTATUS", Value: 3226489861},
	{Name: "SNDRV_TIMER_IOCTL_INFO", Value: 2162709521},
	{Name: "SNDRV_TIMER_IOCTL_NEXT_DEVICE", Value: 3222557697},
	{Name: "SNDRV_TIMER_IOCTL_PARAMS", Value: 1079006226},
	{Name: "SNDRV_TIMER_IOCTL_PAUSE", Value: 21667},
	{Name: "SNDRV_TIMER_IOCTL_PVERSION", Value: 2147767296},
	{Name: "SNDRV_TIMER_IOCTL_SELECT", Value: 1077171216},
	{Name: "SNDRV_TIMER_IOCTL_START", Value: 21664},
	{Name: "SNDRV_TIMER_IOCTL_STATUS", Value: 2153796628},
	{Name: "SNDRV_TIMER_IOCTL_STOP", Value: 21665},
	{Name: "SNDRV_TIMER_IOCTL_TREAD", Value: 1074025474},
	{Name: "SNDRV_TIMER_PSFLG_AUTO", Value: 1},
	{Name: "SNDRV_TIMER_PSFLG_EARLY_EVENT", Value: 4},
	{Name: "SNDRV_TIMER_PSFLG_EXCLUSIVE", Value: 2},
	{Name: "SNDRV_TIMER_SCLASS_APPLICATION", Value: 1},
	{Name: "SNDRV_TIMER_SCLASS_NONE"},
	{Name: "SNDRV_TIMER_SCLASS_OSS_SEQUENCER", Value: 3},
	{Name: "SNDRV_TIMER_SCLASS_SEQUENCER", Value: 2},
	{Name: "SND_CTL_ELEM_INFO_SIZE", Value: 272},
	{Name: "SND_CTL_ELEM_VALUE_SIZE", Value: 1224},
	{Name: "SND_MAX", Value: 7},
	{Name: "SOCKADDR_PPPOX_SIZE", Value: 30},
	{Name: "SOCKADDR_SIZE", Value: 16},
	{Name: "SOCKADDR_STORAGE_SIZE", Value: 128},
	{Name: "SOCK_CLOEXEC", Value: 524288},
	{Name: "SOCK_DCCP", Value: 6},
	{Name: "SOCK_DGRAM", Value: 2},
	{Name: "SOCK_NONBLOCK", Value: 2048},
	{Name: "SOCK_PACKET", Value: 10},
	{Name: "SOCK_RAW", Value: 3},
	{Name: "SOCK_RDM", Value: 4},
	{Name: "SOCK_SEQPACKET", Value: 5},
	{Name: "SOCK_STREAM", Value: 1},
	{Name: "SOF_TIMESTAMPING_OPT_CMSG", Value: 1024},
	{Name: "SOF_TIMESTAMPING_OPT_ID", Value: 128},
	{Name: "SOF_TIMESTAMPING_OPT_TSONLY", Value: 2048},
	{Name: "SOF_TIMESTAMPING_RAW_HARDWARE", Value: 64},
	{Name: "SOF_TIMESTAMPING_RX_HARDWARE", Value: 4},
	{Name: "SOF_TIMESTAMPING_RX_SOFTWARE", Value: 8},
	{Name: "SOF_TIMESTAMPING_SOFTWARE", Value: 16},
	{Name: "SOF_TIMESTAMPING_SYS_HARDWARE", Value: 32},
	{Name: "SOF_TIMESTAMPING_TX_ACK", Value: 512},
	{Name: "SOF_TIMESTAMPING_TX_HARDWARE", Value: 1},
	{Name: "SOF_TIMESTAMPING_TX_SCHED", Value: 256},
	{Name: "SOF_TIMESTAMPING_TX_SOFTWARE", Value: 2},
	{Name: "SOL_AAL", Value: 265},
	{Name: "SOL_ALG", Value: 279},
	{Name: "SOL_ATALK", Value: 258},
	{Name: "SOL_ATM", Value: 264},
	{Name: "SOL_AX25", Value: 257},
	{Name: "SOL_BLUETOOTH", Value: 274},
	{Name: "SOL_CAIF", Value: 278},
	{Name: "SOL_DCCP", Value: 269},
	{Name: "SOL_DECNET", Value: 261},
	{Name: "SOL_ICMPV6", Value: 58},
	{Name: "SOL_IP"},
	{Name: "SOL_IPV6", Value: 41},
	{Name: "SOL_IPX", Value: 256},
	{Name: "SOL_IRDA", Value: 266},
	{Name: "SOL_IUCV", Value: 277},
	{Name: "SOL_KCM", Value: 281},
	{Name: "SOL_L2CAP", Value: 6},
	{Name: "SOL_LLC", Value: 268},
	{Name: "SOL_NETBEUI", Value: 267},
	{Name: "SOL_NETLINK", Value: 270},
	{Name: "SOL_NETROM", Value: 259},
	{Name: "SOL_NFC", Value: 280},
	{Name: "SOL_PACKET", Value: 263},
	{Name: "SOL_PNPIPE", Value: 275},
	{Name: "SOL_PPPOL2TP", Value: 273},
	{Name: "SOL_RAW", Value: 255},
	{Name: "SOL_RDS", Value: 276},
	{Name: "SOL_RFCOMM", Value: 18},
	{Name: "SOL_ROSE", Value: 260},
	{Name: "SOL_RXRPC", Value: 272},
	{Name: "SOL_SCO", Value: 17},
	{Name: "SOL_SCTP", Value: 132},
	{Name: "SOL_SOCKET", Value: 1},
	{Name: "SOL_TCP", Value: 6},
	{Name: "SOL_TIPC", Value: 271},
	{Name: "SOL_UDP", Value: 17},
	{Name: "SOL_UDPLITE", Value: 136},
	{Name: "SOL_XDP", Value: 283},
	{Name: "SOPASS_MAX", Value: 6},
	{Name: "SO_ACCEPTCONN", Value: 30},
	{Name: "SO_ATTACH_BPF", Value: 50},
	{Name: "SO_ATTACH_FILTER", Value: 26},
	{Name: "SO_BINDTODEVICE", Value: 25},
	{Name: "SO_BROADCAST", Value: 6},
	{Name: "SO_BUSY_POLL", Value: 46},
	{Name: "SO_COOKIE", Value: 57},
	{Name: "SO_DEBUG", Value: 1},
	{Name: "SO_DETACH_FILTER", Value: 27},
	{Name: "SO_DOMAIN", Value: 39},
	{Name: "SO_DONTROUTE", Value: 5},
	{Name: "SO_ERROR", Value: 4},
	{Name: "SO_GET_FILTER", Value: 26},
	{Name: "SO_KEEPALIVE", Value: 9},
	{Name: "SO_LINGER", Value: 13},
	{Name: "SO_LOCK_FILTER", Value: 44},
	{Name: "SO_MARK", Value: 36},
	{Name: "SO_MAX_PACING_RATE", Value: 47},
	{Name: "SO_MEMINFO", Value: 55},
	{Name: "SO_NOFCS", Value: 43},
	{Name: "SO_NO_CHECK", Value: 11},
	{Name: "SO_OOBINLINE", Value: 10},
	{Name: "SO_PASSCRED", Value: 16},
	{Name: "SO_PASSSEC", Value: 34},
	{Name: "SO_PEEK_OFF", Value: 42},
	{Name: "SO_PEERCRED", Value: 17},
	{Name: "SO_PEERGROUPS", Value: 59},
	{Name: "SO_PEERNAME", Value: 28},
	{Name: "SO_PEERSEC", Value: 31},
	{Name: "SO_PRIORITY", Value: 12},
	{Name: "SO_PROTOCOL", Value: 38},
	{Name: "SO_RCVBUF", Value: 8},
	{Name: "SO_RCVBUFFORCE", Value: 33},
	{Name: "SO_RCVLOWAT", Value: 18},
	{Name: "SO_RCVTIMEO", Value: 20},
	{Name: "SO_RDS_MSG_RXPATH_LATENCY", Value: 10},
	{Name: "SO_RDS_TRANSPORT", Value: 8},
	{Name: "SO_REUSEADDR", Value: 2},
	{Name: "SO_REUSEPORT", Value: 15},
	{Name: "SO_RXQ_OVFL", Value: 40},
	{Name: "SO_SELECT_ERR_QUEUE", Value: 45},
	{Name: "SO_SNDBUF", Value: 7},
	{Name: "SO_SNDBUFFORCE", Value: 32},
	{Name: "SO_SNDLOWAT", Value: 19},
	{Name: "SO_SNDTIMEO", Value: 21},
	{Name: "SO_TIMESTAMP", Value: 29},
	{Name: "SO_TIMESTAMPING", Value: 37},
	{Name: "SO_TIMESTAMPNS", Value: 35},
	{Name: "SO_TYPE", Value: 3},
	{Name: "SO_VM_SOCKETS_BUFFER_MAX_SIZE", Value: 2},
	{Name: "SO_VM_SOCKETS_BUFFER_MIN_SIZE", Value: 1},
	{Name: "SO_VM_SOCKETS_BUFFER_SIZE"},
	{Name: "SO_VM_SOCKETS_CONNECT_TIMEOUT", Value: 6},
	{Name: "SO_WIFI_STATUS", Value: 41},
	{Name: "SO_ZEROCOPY", Value: 60},
	{Name: "SPLICE_F_GIFT", Value: 8},
	{Name: "SPLICE_F_MORE", Value: 4},
	{Name: "SPLICE_F_MOVE", Value: 1},
	{Name: "SPLICE_F_NONBLOCK", Value: 2},
	{Name: "SPP_HB_DEMAND", Value: 4},
	{Name: "SPP_HB_DISABLE", Value: 2},
	{Name: "SPP_HB_ENABLE", Value: 1},
	{Name: "SPP_HB_TIME_IS_ZERO", Value: 128},
	{Name: "SPP_PMTUD_DISABLE", Value: 16},
	{Name: "SPP_PMTUD_ENABLE", Value: 8},
	{Name: "SPP_SACKDELAY_DISABLE", Value: 64},
	{Name: "SPP_SACKDELAY_ENABLE", Value: 32},
	{Name: "SR6_FLAG1_ALERT", Value: 16},
	{Name: "SR6_FLAG1_HMAC", Value: 8},
	{Name: "SR6_FLAG1_OAM", Value: 32},
	{Name: "SR6_FLAG1_PROTECTED", Value: 64},
	{Name: "STARTTIMER", Value: 2},
	{Name: "STATX_ALL", Value: 4095},
	{Name: "STATX_ATIME", Value: 32},
	{Name: "STATX_BASIC_STATS", Value: 2047},
	{Name: "STATX_BLOCKS", Value: 1024},
	{Name: "STATX_BTIME", Value: 2048},
	{Name: "STATX_CTIME", Value: 128},
	{Name: "STATX_GID", Value: 16},
	{Name: "STATX_INO", Value: 256},
	{Name: "STATX_MODE", Value: 2},
	{Name: "STATX_MTIME", Value: 64},
	{Name: "STATX_NLINK", Value: 4},
	{Name: "STATX_SIZE", Value: 512},
	{Name: "STATX_TYPE", Value: 1},
	{Name: "STATX_UID", Value: 8},
	{Name: "STICKY_TIMEOUTS", Value: 67108864},
	{Name: "SW_MAX", Value: 15},
	{Name: "SYNC_FILE_RANGE_WAIT_AFTER", Value: 4},
	{Name: "SYNC_FILE_RANGE_WAIT_BEFORE", Value: 1},
	{Name: "SYNC_FILE_RANGE_WRITE", Value: 2},
	{Name: "SYSLOG_ACTION_CLEAR", Value: 5},
	{Name: "SYSLOG_ACTION_CLOSE"},
	{Name: "SYSLOG_ACTION_CONSOLE_OFF", Value: 6},
	{Name: "SYSLOG_ACTION_CONSOLE_ON", Value: 7},
	{Name: "SYSLOG_ACTION_OPEN", Value: 1},
	{Name: "SYSLOG_ACTION_READ", Value: 2},
	{Name: "SYSLOG_ACTION_READ_ALL", Value: 3},
	{Name: "SYSLOG_ACTION_READ_CLEAR", Value: 4},
	{Name: "SYSLOG_ACTION_SIZE_BUFFER", Value: 10},
	{Name: "SYSLOG_ACTION_SIZE_UNREAD", Value: 9},
	{Name: "S_IFBLK", Value: 24576},
	{Name: "S_IFCHR", Value: 8192},
	{Name: "S_IFDIR", Value: 16384},
	{Name: "S_IFIFO", Value: 4096},
	{Name: "S_IFLNK", Value: 40960},
	{Name: "S_IFREG", Value: 32768},
	{Name: "S_IFSOCK", Value: 49152},
	{Name: "S_IRGRP", Value: 32},
	{Name: "S_IROTH", Value: 4},
	{Name: "S_IRUSR", Value: 256},
	{Name: "S_IWGRP", Value: 16},
	{Name: "S_IWOTH", Value: 2},
	{Name: "S_IWUSR", Value: 128},
	{Name: "S_IXGRP", Value: 8},
	{Name: "S_IXOTH", Value: 1},
	{Name: "S_IXUSR", Value: 64},
	{Name: "TCA_ACT_BPF_FD", Value: 5},
	{Name: "TCA_ACT_BPF_NAME", Value: 6},
	{Name: "TCA_ACT_BPF_OPS", Value: 4},
	{Name: "TCA_ACT_BPF_OPS_LEN", Value: 3},
	{Name: "TCA_ACT_BPF_PARMS", Value: 2},
	{Name: "TCA_ACT_COOKIE", Value: 6},
	{Name: "TCA_ACT_INDEX", Value: 3},
	{Name: "TCA_ACT_KIND", Value: 1},
	{Name: "TCA_ACT_MAX_PRIO", Value: 32},
	{Name: "TCA_ACT_OPTIONS", Value: 2},
	{Name: "TCA_ACT_TAB", Value: 1},
	{Name: "TCA_ATM_EXCESS", Value: 4},
	{Name: "TCA_ATM_FD", Value: 1},
	{Name: "TCA_ATM_HDR", Value: 3},
	{Name: "TCA_BASIC_ACT", Value: 3},
	{Name: "TCA_BASIC_CLASSID", Value: 1},
	{Name: "TCA_BASIC_EMATCHES", Value: 2},
	{Name: "TCA_BASIC_POLICE", Value: 4},
	{Name: "TCA_BPF_ACT", Value: 1},
	{Name: "TCA_BPF_CLASSID", Value: 3},
	{Name: "TCA_BPF_FD", Value: 6},
	{Name: "TCA_BPF_FLAGS", Value: 8},
	{Name: "TCA_BPF_FLAGS_GEN", Value: 9},
	{Name: "TCA_BPF_NAME", Value: 7},
	{Name: "TCA_BPF_OPS", Value: 5},
	{Name: "TCA_BPF_OPS_LEN", Value: 4},
	{Name: "TCA_BPF_POLICE", Value: 2},
	{Name: "TCA_CBQ_FOPT", Value: 3},
	{Name: "TCA_CBQ_LSSOPT", Value: 1},
	{Name: "TCA_CBQ_RATE", Value: 5},
	{Name: "TCA_CBQ_RTAB", Value: 6},
	{Name: "TCA_CBQ_WRROPT", Value: 2},
	{Name: "TCA_CBS_PARMS", Value: 1},
	{Name: "TCA_CGROUP_ACT", Value: 1},
	{Name: "TCA_CGROUP_EMATCHES", Value: 3},
	{Name: "TCA_CGROUP_POLICE", Value: 2},
	{Name: "TCA_CHAIN", Value: 11},
	{Name: "TCA_CHOKE_MAX_P", Value: 3},
	{Name: "TCA_CHOKE_PARMS", Value: 1},
	{Name: "TCA_CHOKE_STAB", Value: 2},
	{Name: "TCA_CODEL_CE_THRESHOLD", Value: 5},
	{Name: "TCA_CODEL_ECN", Value: 4},
	{Name: "TCA_CODEL_INTERVAL", Value: 3},
	{Name: "TCA_CODEL_LIMIT", Value: 2},
	{Name: "TCA_CODEL_TARGET", Value: 1},
	{Name: "TCA_CONNMARK_PARMS", Value: 1},
	{Name: "TCA_CSUM_PARMS", Value: 1},
	{Name: "TCA_DEF_DATA", Value: 3},
	{Name: "TCA_DEF_PARMS", Value: 2},
	{Name: "TCA_DRR_QUANTUM", Value: 1},
	{Name: "TCA_DSMARK_DEFAULT_INDEX", Value: 2},
	{Name: "TCA_DSMARK_INDICES", Value: 1},
	{Name: "TCA_DSMARK_MASK", Value: 4},
	{Name: "TCA_DSMARK_SET_TC_INDEX", Value: 3},
	{Name: "TCA_DSMARK_VALUE", Value: 5},
	{Name: "TCA_DUMP_INVISIBLE", Value: 10},
	{Name: "TCA_EGRESS_BLOCK", Value: 14},
	{Name: "TCA_EGRESS_MIRROR", Value: 2},
	{Name: "TCA_EGRESS_REDIR", Value: 1},
	{Name: "TCA_EMATCH_TREE_HDR", Value: 1},
	{Name: "TCA_EMATCH_TREE_LIST", Value: 2},
	{Name: "TCA_EM_IPT_HOOK", Value: 1},
	{Name: "TCA_EM_IPT_MATCH_DATA", Value: 5},
	{Name: "TCA_EM_IPT_MATCH_NAME", Value: 2},
	{Name: "TCA_EM_IPT_MATCH_REVISION", Value: 3},
	{Name: "TCA_EM_IPT_NFPROTO", Value: 4},
	{Name: "TCA_EM_META_HDR", Value: 1},
	{Name: "TCA_EM_META_LVALUE", Value: 2},
	{Name: "TCA_EM_META_RVALUE", Value: 3},
	{Name: "TCA_FLOW_ACT", Value: 9},
	{Name: "TCA_FLOW_ADDEND", Value: 5},
	{Name: "TCA_FLOW_BASECLASS", Value: 3},
	{Name: "TCA_FLOW_DIVISOR", Value: 8},
	{Name: "TCA_FLOW_EMATCHES", Value: 11},
	{Name: "TCA_FLOW_KEYS", Value: 1},
	{Name: "TCA_FLOW_MASK", Value: 6},
	{Name: "TCA_FLOW_MODE", Value: 2},
	{Name: "TCA_FLOW_PERTURB", Value: 12},
	{Name: "TCA_FLOW_POLICE", Value: 10},
	{Name: "TCA_FLOW_RSHIFT", Value: 4},
	{Name: "TCA_FLOW_XOR", Value: 7},
	{Name: "TCA_FQ_BUCKETS_LOG", Value: 8},
	{Name: "TCA_FQ_CODEL_CE_THRESHOLD", Value: 7},
	{Name: "TCA_FQ_CODEL_DROP_BATCH_SIZE", Value: 8},
	{Name: "TCA_FQ_CODEL_ECN", Value: 4},
	{Name: "TCA_FQ_CODEL_FLOWS", Value: 5},
	{Name: "TCA_FQ_CODEL_INTERVAL", Value: 3},
	{Name: "TCA_FQ_CODEL_LIMIT", Value: 2},
	{Name: "TCA_FQ_CODEL_MEMORY_LIMIT", Value: 9},
	{Name: "TCA_FQ_CODEL_QUANTUM", Value: 6},
	{Name: "TCA_FQ_CODEL_TARGET", Value: 1},
	{Name: "TCA_FQ_FLOW_DEFAULT_RATE", Value: 6},
	{Name: "TCA_FQ_FLOW_MAX_RATE", Value: 7},
	{Name: "TCA_FQ_FLOW_PLIMIT", Value: 2},
	{Name: "TCA_FQ_FLOW_REFILL_DELAY", Value: 9},
	{Name: "TCA_FQ_INITIAL_QUANTUM", Value: 4},
	{Name: "TCA_FQ_LOW_RATE_THRESHOLD", Value: 11},
	{Name: "TCA_FQ_ORPHAN_MASK", Value: 10},
	{Name: "TCA_FQ_PLIMIT", Value: 1},
	{Name: "TCA_FQ_QUANTUM", Value: 3},
	{Name: "TCA_FQ_RATE_ENABLE", Value: 5},
	{Name: "TCA_FW_ACT", Value: 4},
	{Name: "TCA_FW_CLASSID", Value: 1},
	{Name: "TCA_FW_INDEV", Value: 3},
	{Name: "TCA_FW_MASK", Value: 5},
	{Name: "TCA_FW_POLICE", Value: 2},
	{Name: "TCA_GACT_PARMS", Value: 2},
	{Name: "TCA_GACT_PROB", Value: 3},
	{Name: "TCA_GRED_DPS", Value: 3},
	{Name: "TCA_GRED_LIMIT", Value: 5},
	{Name: "TCA_GRED_MAX_P", Value: 4},
	{Name: "TCA_GRED_PARMS", Value: 1},
	{Name: "TCA_GRED_STAB", Value: 2},
	{Name: "TCA_HFSC_FSC", Value: 2},
	{Name: "TCA_HFSC_RSC", Value: 1},
	{Name: "TCA_HFSC_USC", Value: 3},
	{Name: "TCA_HHF_ADMIT_BYTES", Value: 5},
	{Name: "TCA_HHF_BACKLOG_LIMIT", Value: 1},
	{Name: "TCA_HHF_EVICT_TIMEOUT", Value: 6},
	{Name: "TCA_HHF_HH_FLOWS_LIMIT", Value: 3},
	{Name: "TCA_HHF_NON_HH_WEIGHT", Value: 7},
	{Name: "TCA_HHF_QUANTUM", Value: 2},
	{Name: "TCA_HHF_RESET_TIMEOUT", Value: 4},
	{Name: "TCA_HTB_CEIL64", Value: 7},
	{Name: "TCA_HTB_CTAB", Value: 3},
	{Name: "TCA_HTB_DIRECT_QLEN", Value: 5},
	{Name: "TCA_HTB_INIT", Value: 2},
	{Name: "TCA_HTB_PARMS", Value: 1},
	{Name: "TCA_HTB_RATE64", Value: 6},
	{Name: "TCA_HTB_RTAB", Value: 4},
	{Name: "TCA_IFE_DMAC", Value: 3},
	{Name: "TCA_IFE_METALST", Value: 6},
	{Name: "TCA_IFE_PARMS", Value: 1},
	{Name: "TCA_IFE_SMAC", Value: 4},
	{Name: "TCA_IFE_TYPE", Value: 5},
	{Name: "TCA_INGRESS_BLOCK", Value: 13},
	{Name: "TCA_INGRESS_MIRROR", Value: 4},
	{Name: "TCA_INGRESS_REDIR", Value: 3},
	{Name: "TCA_IPT_HOOK", Value: 2},
	{Name: "TCA_IPT_INDEX", Value: 3},
	{Name: "TCA_IPT_TABLE", Value: 1},
	{Name: "TCA_KIND", Value: 1},
	{Name: "TCA_MATCHALL_ACT", Value: 2},
	{Name: "TCA_MATCHALL_CLASSID", Value: 1},
	{Name: "TCA_MATCHALL_FLAGS", Value: 3},
	{Name: "TCA_MIRRED_PARMS", Value: 2},
	{Name: "TCA_MQPRIO_MAX_RATE64", Value: 4},
	{Name: "TCA_MQPRIO_MIN_RATE64", Value: 3},
	{Name: "TCA_MQPRIO_MODE", Value: 1},
	{Name: "TCA_MQPRIO_SHAPER", Value: 2},
	{Name: "TCA_NAT_PARMS", Value: 1},
	{Name: "TCA_NETEM_CORR", Value: 1},
	{Name: "TCA_NETEM_CORRUPT", Value: 4},
	{Name: "TCA_NETEM_DELAY_DIST", Value: 2},
	{Name: "TCA_NETEM_ECN", Value: 7},
	{Name: "TCA_NETEM_JITTER64", Value: 11},
	{Name: "TCA_NETEM_LATENCY64", Value: 10},
	{Name: "TCA_NETEM_LOSS", Value: 5},
	{Name: "TCA_NETEM_RATE", Value: 6},
	{Name: "TCA_NETEM_RATE64", Value: 8},
	{Name: "TCA_NETEM_REORDER", Value: 3},
	{Name: "TCA_NETEM_SLOT", Value: 12},
	{Name: "TCA_OPTIONS", Value: 2},
	{Name: "TCA_PEDIT_KEYS_EX", Value: 5},
	{Name: "TCA_PEDIT_KEY_EX", Value: 6},
	{Name: "TCA_PEDIT_KEY_EX_CMD", Value: 2},
	{Name: "TCA_PEDIT_KEY_EX_CMD_ADD", Value: 1},
	{Name: "TCA_PEDIT_KEY_EX_CMD_SET"},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_ETH", Value: 1},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_IP4", Value: 2},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_IP6", Value: 3},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_NETWORK"},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_TCP", Value: 4},
	{Name: "TCA_PEDIT_KEY_EX_HDR_TYPE_UDP", Value: 5},
	{Name: "TCA_PEDIT_KEY_EX_HTYPE", Value: 1},
	{Name: "TCA_PEDIT_PARMS", Value: 2},
	{Name: "TCA_PEDIT_PARMS_EX", Value: 4},
	{Name: "TCA_PIE_ALPHA", Value: 4},
	{Name: "TCA_PIE_BETA", Value: 5},
	{Name: "TCA_PIE_BYTEMODE", Value: 7},
	{Name: "TCA_PIE_ECN", Value: 6},
	{Name: "TCA_PIE_LIMIT", Value: 2},
	{Name: "TCA_PIE_TARGET", Value: 1},
	{Name: "TCA_PIE_TUPDATE", Value: 3},
	{Name: "TCA_POLICE_AVRATE", Value: 4},
	{Name: "TCA_POLICE_PEAKRATE", Value: 3},
	{Name: "TCA_POLICE_RATE", Value: 2},
	{Name: "TCA_POLICE_RESULT", Value: 5},
	{Name: "TCA_POLICE_TBF", Value: 1},
	{Name: "TCA_QFQ_LMAX", Value: 2},
	{Name: "TCA_QFQ_WEIGHT", Value: 1},
	{Name: "TCA_RATE", Value: 5},
	{Name: "TCA_RED_MAX_P", Value: 3},
	{Name: "TCA_RED_PARMS", Value: 1},
	{Name: "TCA_RED_STAB", Value: 2},
	{Name: "TCA_ROOT_FLAGS", Value: 2},
	{Name: "TCA_ROOT_TIME_DELTA", Value: 4},
	{Name: "TCA_ROUTE4_ACT", Value: 6},
	{Name: "TCA_ROUTE4_CLASSID", Value: 1},
	{Name: "TCA_ROUTE4_FROM", Value: 3},
	{Name: "TCA_ROUTE4_IIF", Value: 4},
	{Name: "TCA_ROUTE4_POLICE", Value: 5},
	{Name: "TCA_ROUTE4_TO", Value: 2},
	{Name: "TCA_RSVP_ACT", Value: 6},
	{Name: "TCA_RSVP_CLASSID", Value: 1},
	{Name: "TCA_RSVP_DST", Value: 2},
	{Name: "TCA_RSVP_PINFO", Value: 4},
	{Name: "TCA_RSVP_POLICE", Value: 5},
	{Name: "TCA_RSVP_SRC", Value: 3},
	{Name: "TCA_SAMPLE_PARMS", Value: 2},
	{Name: "TCA_SAMPLE_PSAMPLE_GROUP", Value: 5},
	{Name: "TCA_SAMPLE_RATE", Value: 3},
	{Name: "TCA_SAMPLE_TRUNC_SIZE", Value: 4},
	{Name: "TCA_SFB_PARMS", Value: 1},
	{Name: "TCA_SKBEDIT_MARK", Value: 5},
	{Name: "TCA_SKBEDIT_PARMS", Value: 2},
	{Name: "TCA_SKBEDIT_PRIORITY", Value: 3},
	{Name: "TCA_SKBEDIT_PTYPE", Value: 7},
	{Name: "TCA_SKBEDIT_QUEUE_MAPPING", Value: 4},
	{Name: "TCA_SKBMOD_DMAC", Value: 3},
	{Name: "TCA_SKBMOD_ETYPE", Value: 5},
	{Name: "TCA_SKBMOD_PARMS", Value: 2},
	{Name: "TCA_SKBMOD_SMAC", Value: 4},
	{Name: "TCA_STAB", Value: 8},
	{Name: "TCA_STAB_BASE", Value: 1},
	{Name: "TCA_STAB_DATA", Value: 2},
	{Name: "TCA_TBF_BURST", Value: 6},
	{Name: "TCA_TBF_PARMS", Value: 1},
	{Name: "TCA_TBF_PBURST", Value: 7},
	{Name: "TCA_TBF_PRATE64", Value: 5},
	{Name: "TCA_TBF_PTAB", Value: 3},
	{Name: "TCA_TBF_RATE64", Value: 4},
	{Name: "TCA_TBF_RTAB", Value: 2},
	{Name: "TCA_TCINDEX_ACT", Value: 7},
	{Name: "TCA_TCINDEX_CLASSID", Value: 5},
	{Name: "TCA_TCINDEX_FALL_THROUGH", Value: 4},
	{Name: "TCA_TCINDEX_HASH", Value: 1},
	{Name: "TCA_TCINDEX_MASK", Value: 2},
	{Name: "TCA_TCINDEX_POLICE", Value: 6},
	{Name: "TCA_TCINDEX_SHIFT", Value: 3},
	{Name: "TCA_TUNNEL_KEY_ENC_DST_PORT", Value: 9},
	{Name: "TCA_TUNNEL_KEY_ENC_IPV4_DST", Value: 4},
	{Name: "TCA_TUNNEL_KEY_ENC_IPV4_SRC", Value: 3},
	{Name: "TCA_TUNNEL_KEY_ENC_IPV6_DST", Value: 6},
	{Name: "TCA_TUNNEL_KEY_ENC_IPV6_SRC", Value: 5},
	{Name: "TCA_TUNNEL_KEY_ENC_KEY_ID", Value: 7},
	{Name: "TCA_TUNNEL_KEY_NO_CSUM", Value: 10},
	{Name: "TCA_TUNNEL_KEY_PARMS", Value: 2},
	{Name: "TCA_U32_ACT", Value: 7},
	{Name: "TCA_U32_CLASSID", Value: 1},
	{Name: "TCA_U32_DIVISOR", Value: 4},
	{Name: "TCA_U32_FLAGS", Value: 11},
	{Name: "TCA_U32_HASH", Value: 2},
	{Name: "TCA_U32_INDEV", Value: 8},
	{Name: "TCA_U32_LINK", Value: 3},
	{Name: "TCA_U32_MARK", Value: 10},
	{Name: "TCA_U32_POLICE", Value: 6},
	{Name: "TCA_U32_SEL", Value: 5},
	{Name: "TCA_VLAN_PARMS", Value: 2},
	{Name: "TCA_VLAN_PUSH_VLAN_ID", Value: 3},
	{Name: "TCA_VLAN_PUSH_VLAN_PRIORITY", Value: 6},
	{Name: "TCA_VLAN_PUSH_VLAN_PROTOCOL", Value: 4},
	{Name: "TCFLSH", Value: 21515},
	{Name: "TCF_EM_ALIGN_U16", Value: 2},
	{Name: "TCF_EM_ALIGN_U32", Value: 4},
	{Name: "TCF_EM_ALIGN_U8", Value: 1},
	{Name: "TCF_EM_CANID", Value: 7},
	{Name: "TCF_EM_CMP", Value: 1},
	{Name: "TCF_EM_CONTAINER"},
	{Name: "TCF_EM_IPSET", Value: 8},
	{Name: "TCF_EM_IPT", Value: 9},
	{Name: "TCF_EM_META", Value: 4},
	{Name: "TCF_EM_NBYTE", Value: 2},
	{Name: "TCF_EM_OPND_EQ"},
	{Name: "TCF_EM_OPND_GT", Value: 1},
	{Name: "TCF_EM_OPND_LT", Value: 2},
	{Name: "TCF_EM_PROG_TC"},
	{Name: "TCF_EM_U32", Value: 3},
	{Name: "TCF_LAYER_LINK"},
	{Name: "TCF_LAYER_NETWORK", Value: 1},
	{Name: "TCF_LAYER_TRANSPORT", Value: 2},
	{Name: "TCGETA", Value: 21509},
	{Name: "TCGETS", Value: 21505},
	{Name: "TCPHDR_ACK", Value: 16},
	{Name: "TCPHDR_CWR", Value: 128},
	{Name: "TCPHDR_ECE", Value: 64},
	{Name: "TCPHDR_FIN", Value: 1},
	{Name: "TCPHDR_PSH", Value: 8},
	{Name: "TCPHDR_RST", Value: 4},
	{Name: "TCPHDR_SYN", Value: 2},
	{Name: "TCPHDR_SYN_ECN", Value: 194},
	{Name: "TCPHDR_URG", Value: 32},
	{Name: "TCPOPT_EOL"},
	{Name: "TCPOPT_EXP", Value: 254},
	{Name: "TCPOPT_FASTOPEN", Value: 34},
	{Name: "TCPOPT_FASTOPEN_MAGIC", Value: 63881},
	{Name: "TCPOPT_MD5SIG", Value: 19},
	{Name: "TCPOPT_MSS", Value: 2},
	{Name: "TCPOPT_NOP", Value: 1},
	{Name: "TCPOPT_SACK", Value: 5},
	{Name: "TCPOPT_SACK_PERM", Value: 4},
	{Name: "TCPOPT_SMC_MAGIC", Value: 3805594585},
	{Name: "TCPOPT_TIMESTAMP", Value: 8},
	{Name: "TCPOPT_WINDOW", Value: 3},
	{Name: "TCP_CC_INFO", Value: 26},
	{Name: "TCP_CONGESTION", Value: 13},
	{Name: "TCP_CORK", Value: 3},
	{Name: "TCP_DEFER_ACCEPT", Value: 9},
	{Name: "TCP_FASTOPEN", Value: 23},
	{Name: "TCP_FASTOPEN_CONNECT", Value: 30},
	{Name: "TCP_FASTOPEN_KEY", Value: 33},
	{Name: "TCP_FASTOPEN_KEY_LENGTH", Value: 16},
	{Name: "TCP_FASTOPEN_NO_COOKIE", Value: 34},
	{Name: "TCP_INFO", Value: 11},
	{Name: "TCP_INQ", Value: 36},
	{Name: "TCP_KEEPCNT", Value: 6},
	{Name: "TCP_KEEPIDLE", Value: 4},
	{Name: "TCP_KEEPINTVL", Value: 5},
	{Name: "TCP_LINGER2", Value: 8},
	{Name: "TCP_MAXSEG", Value: 2},
	{Name: "TCP_MD5SIG", Value: 14},
	{Name: "TCP_MD5SIG_MAXKEYLEN", Value: 80},
	{Name: "TCP_NODELAY", Value: 1},
	{Name: "TCP_NOTSENT_LOWAT", Value: 25},
	{Name: "TCP_QUEUE_SEQ", Value: 21},
	{Name: "TCP_QUICKACK", Value: 12},
	{Name: "TCP_REPAIR", Value: 19},
	{Name: "TCP_REPAIR_OPTIONS", Value: 22},
	{Name: "TCP_REPAIR_QUEUE", Value: 20},
	{Name: "TCP_REPAIR_WINDOW", Value: 29},
	{Name: "TCP_SAVED_SYN", Value: 28},
	{Name: "TCP_SAVE_SYN", Value: 27},
	{Name: "TCP_SYNCNT", Value: 7},
	{Name: "TCP_THIN_DUPACK", Value: 17},
	{Name: "TCP_THIN_LINEAR_TIMEOUTS", Value: 16},
	{Name: "TCP_TIMESTAMP", Value: 24},
	{Name: "TCP_ULP", Value: 31},
	{Name: "TCP_USER_TIMEOUT", Value: 18},
	{Name: "TCP_V4_FLOW", Value: 1},
	{Name: "TCP_V6_FLOW", Value: 5},
	{Name: "TCP_WINDOW_CLAMP", Value: 10},
	{Name: "TCP_ZEROCOPY_RECEIVE", Value: 35},
	{Name: "TCSBRK", Value: 21513},
	{Name: "TCSBRKP", Value: 21541},
	{Name: "TCSETA", Value: 21510},
	{Name: "TCSETAF", Value: 21512},
	{Name: "TCSETAW", Value: 21511},
	{Name: "TCSETS", Value: 21506},
	{Name: "TCSETSF", Value: 21508},
	{Name: "TCSETSW", Value: 21507},
	{Name: "TCXONC", Value: 21514},
	{Name: "TC_ACT_GOTO_CHAIN", Value: 536870912},
	{Name: "TC_ACT_JUMP", Value: 268435456},
	{Name: "TC_ACT_OK"},
	{Name: "TC_ACT_PIPE", Value: 3},
	{Name: "TC_ACT_QUEUED", Value: 5},
	{Name: "TC_ACT_RECLASSIFY", Value: 1},
	{Name: "TC_ACT_REDIRECT", Value: 7},
	{Name: "TC_ACT_REPEAT", Value: 6},
	{Name: "TC_ACT_SHOT", Value: 2},
	{Name: "TC_ACT_STOLEN", Value: 4},
	{Name: "TC_ACT_TRAP", Value: 8},
	{Name: "TC_ACT_UNSPEC", Value: 18446744073709551615},
	{Name: "TC_CBQ_MAXPRIO", Value: 8},
	{Name: "TC_LINKLAYER_ATM", Value: 2},
	{Name: "TC_LINKLAYER_ETHERNET", Value: 1},
	{Name: "TC_LINKLAYER_UNAWARE"},
	{Name: "TC_MQPRIO_MODE_CHANNEL", Value: 1},
	{Name: "TC_MQPRIO_MODE_DCB"},
	{Name: "TC_MQPRIO_SHAPER_BW_RATE", Value: 1},
	{Name: "TC_MQPRIO_SHAPER_DCB"},
	{Name: "TC_QOPT_MAX_QUEUE", Value: 16},
	{Name: "TEAM_ATTR_ITEM_OPTION", Value: 1},
	{Name: "TEAM_ATTR_LIST_OPTION", Value: 2},
	{Name: "TEAM_ATTR_OPTION_ARRAY_INDEX", Value: 7},
	{Name: "TEAM_ATTR_OPTION_DATA", Value: 4},
	{Name: "TEAM_ATTR_OPTION_NAME", Value: 1},
	{Name: "TEAM_ATTR_OPTION_PORT_IFINDEX", Value: 6},
	{Name: "TEAM_ATTR_OPTION_TYPE", Value: 3},
	{Name: "TEAM_ATTR_TEAM_IFINDEX", Value: 1},
	{Name: "TEAM_CMD_NOOP"},
	{Name: "TEAM_CMD_OPTIONS_GET", Value: 2},
	{Name: "TEAM_CMD_OPTIONS_SET", Value: 1},
	{Name: "TEAM_CMD_PORT_LIST_GET", Value: 3},
	{Name: "TEAM_STRING_MAX_LEN", Value: 32},
	{Name: "TE_IOCTL_CLOSE_CLIENT_SESSION", Value: 3224925201},
	{Name: "TE_IOCTL_LAUNCH_OPERATION", Value: 3224925204},
	{Name: "TE_IOCTL_OPEN_CLIENT_SESSION", Value: 3224925200},
	{Name: "TE_IOCTL_SS_CMD", Value: 2147775536},
	{Name: "TE_IOCTL_SS_CMD_GET_NEW_REQ", Value: 1},
	{Name: "TE_IOCTL_SS_CMD_REQ_COMPLETE", Value: 2},
	{Name: "TE_PARAM_TYPE_FLAGS_PHYS_LIST", Value: 2147483648},
	{Name: "TE_PARAM_TYPE_INT_RO", Value: 1},
	{Name: "TE_PARAM_TYPE_INT_RW", Value: 2},
	{Name: "TE_PARAM_TYPE_MEM_RO", Value: 3},
	{Name: "TE_PARAM_TYPE_MEM_RW", Value: 4},
	{Name: "TE_PARAM_TYPE_NONE"},
	{Name: "TE_PARAM_TYPE_PERSIST_MEM_RO", Value: 256},
	{Name: "TE_PARAM_TYPE_PERSIST_MEM_RW", Value: 257},
	{Name: "TFD_CLOEXEC", Value: 524288},
	{Name: "TFD_NONBLOCK", Value: 2048},
	{Name: "TFD_TIMER_ABSTIME", Value: 1},
	{Name: "TF_ACCEPT_FDS", Value: 16},
	{Name: "TF_ONE_WAY", Value: 1},
	{Name: "TIMER_ABSTIME", Value: 1},
	{Name: "TIOCCBRK", Value: 21544},
	{Name: "TIOCCONS", Value: 21533},
	{Name: "TIOCEXCL", Value: 21516},
	{Name: "TIOCGETD", Value: 21540},
	{Name: "TIOCGLCKTRMIOS", Value: 21590},
	{Name: "TIOCGPGRP", Value: 21519},
	{Name: "TIOCGPTPEER", Value: 21569},
	{Name: "TIOCGSID", Value: 21545},
	{Name: "TIOCGSOFTCAR", Value: 21529},
	{Name: "TIOCGWINSZ", Value: 21523},
	{Name: "TIOCINQ", Value: 21531},
	{Name: "TIOCLINUX", Value: 21532},
	{Name: "TIOCMBIC", Value: 21527},
	{Name: "TIOCMBIS", Value: 21526},
	{Name: "TIOCMGET", Value: 21525},
	{Name: "TIOCMSET", Value: 21528},
	{Name: "TIOCNOTTY", Value: 21538},
	{Name: "TIOCNXCL", Value: 21517},
	{Name: "TIOCOUTQ", Value: 21521},
	{Name: "TIOCPKT", Value: 21536},
	{Name: "TIOCSBRK", Value: 21543},
	{Name: "TIOCSCTTY", Value: 21518},
	{Name: "TIOCSETD", Value: 21539},
	{Name: "TIOCSLCKTRMIOS", Value: 21591},
	{Name: "TIOCSPGRP", Value: 21520},
	{Name: "TIOCSSOFTCAR", Value: 21530},
	{Name: "TIOCSTI", Value: 21522},
	{Name: "TIOCSWINSZ", Value: 21524},
	{Name: "TLS_1_2_VERSION", Value: 771},
	{Name: "TLS_CIPHER_AES_GCM_128", Value: 51},
	{Name: "TLS_RX", Value: 2},
	{Name: "TLS_TX", Value: 1},
	{Name: "TUNATTACHFILTER", Value: 1074812117},
	{Name: "TUNDETACHFILTER", Value: 1074812118},
	{Name: "TUNGETFEATURES", Value: 2147767503},
	{Name: "TUNGETFILTER", Value: 2148553947},
	{Name: "TUNGETIFF", Value: 2147767506},
	{Name: "TUNGETSNDBUF", Value: 2147767507},
	{Name: "TUNGETVNETHDRSZ", Value: 2147767511},
	{Name: "TUNNEL_ENCAP_FOU", Value: 1},
	{Name: "TUNNEL_ENCAP_GUE", Value: 2},
	{Name: "TUNNEL_ENCAP_MPLS", Value: 3},
	{Name: "TUNNEL_ENCAP_NONE"},
	{Name: "TUNSETFILTEREBPF", Value: 2147767521},
	{Name: "TUNSETGROUP", Value: 1074025678},
	{Name: "TUNSETIFF", Value: 1074025674},
	{Name: "TUNSETIFINDEX", Value: 1074025690},
	{Name: "TUNSETLINK", Value: 1074025677},
	{Name: "TUNSETNOCSUM", Value: 1074025672},
	{Name: "TUNSETOFFLOAD", Value: 1074025680},
	{Name: "TUNSETOWNER", Value: 1074025676},
	{Name: "TUNSETPERSIST", Value: 1074025675},
	{Name: "TUNSETQUEUE", Value: 1074025689},
	{Name: "TUNSETSNDBUF", Value: 1074025684},
	{Name: "TUNSETSTEERINGEBPF", Value: 2147767520},
	{Name: "TUNSETTXFILTER", Value: 1074025681},
	{Name: "TUNSETVNETBE", Value: 1074025694},
	{Name: "TUNSETVNETHDRSZ", Value: 1074025688},
	{Name: "TUNSETVNETLE", Value: 1074025692},
	{Name: "TUN_FLT_ALLMULTI", Value: 1},
	{Name: "TUN_F_CSUM", Value: 1},
	{Name: "TUN_F_TSO4", Value: 2},
	{Name: "TUN_F_TSO6", Value: 4},
	{Name: "TUN_F_TSO_ECN", Value: 8},
	{Name: "TUN_F_UFO", Value: 16},
	{Name: "TX_ANNOUNCE", Value: 8},
	{Name: "TX_COUNTEVT", Value: 4},
	{Name: "TX_CP_CAN_ID", Value: 16},
	{Name: "TX_DELETE", Value: 2},
	{Name: "TX_READ", Value: 3},
	{Name: "TX_RESET_MULTI_IDX", Value: 512},
	{Name: "TX_SEND", Value: 4},
	{Name: "TX_SETUP", Value: 1},
	{Name: "UDPLITE_RECV_CSCOV", Value: 11},
	{Name: "UDPLITE_SEND_CSCOV", Value: 10},
	{Name: "UDP_CORK", Value: 1},
	{Name: "UDP_ENCAP", Value: 100},
	{Name: "UDP_ENCAP_ESPINUDP", Value: 2},
	{Name: "UDP_ENCAP_ESPINUDP_NON_IKE", Value: 1},
	{Name: "UDP_ENCAP_GTP0", Value: 4},
	{Name: "UDP_ENCAP_GTP1U", Value: 5},
	{Name: "UDP_ENCAP_L2TPINUDP", Value: 3},
	{Name: "UDP_NO_CHECK6_RX", Value: 102},
	{Name: "UDP_NO_CHECK6_TX", Value: 101},
	{Name: "UDP_SEGMENT", Value: 103},
	{Name: "UDP_V4_FLOW", Value: 2},
	{Name: "UDP_V6_FLOW", Value: 6},
	{Name: "UFFDIO_API", Value: 3222841919},
	{Name: "UFFDIO_COPY", Value: 3223890435},
	{Name: "UFFDIO_COPY_MODE_DONTWAKE", Value: 1},
	{Name: "UFFDIO_REGISTER", Value: 3223366144},
	{Name: "UFFDIO_REGISTER_MODE_MISSING", Value: 1},
	{Name: "UFFDIO_REGISTER_MODE_WP", Value: 2},
	{Name: "UFFDIO_UNREGISTER", Value: 2148575745},
	{Name: "UFFDIO_WAKE", Value: 2148575746},
	{Name: "UFFDIO_ZEROPAGE", Value: 3223366148},
	{Name: "UFFDIO_ZEROPAGE_MODE_DONTWAKE", Value: 1},
	{Name: "UFFD_API", Value: 170},
	{Name: "UFFD_FEATURE_EVENT_FORK", Value: 2},
	{Name: "UFFD_FEATURE_EVENT_REMAP", Value: 4},
	{Name: "UFFD_FEATURE_EVENT_REMOVE", Value: 8},
	{Name: "UFFD_FEATURE_EVENT_UNMAP", Value: 64},
	{Name: "UFFD_FEATURE_MISSING_HUGETLBFS", Value: 16},
	{Name: "UFFD_FEATURE_MISSING_SHMEM", Value: 32},
	{Name: "UFFD_FEATURE_PAGEFAULT_FLAG_WP", Value: 1},
	{Name: "UHID_CREATE"},
	{Name: "UHID_CREATE2", Value: 11},
	{Name: "UHID_DATA_MAX", Value: 4096},
	{Name: "UHID_DESTROY", Value: 1},
	{Name: "UHID_GET_REPORT_REPLY", Value: 10},
	{Name: "UHID_INPUT", Value: 8},
	{Name: "UHID_INPUT2", Value: 12},
	{Name: "UHID_SET_REPORT_REPLY", Value: 14},
	{Name: "UINPUT_MAX_NAME_SIZE", Value: 80},
	{Name: "UI_ABS_SETUP", Value: 1075598596},
	{Name: "UI_BEGIN_FF_ERASE", Value: 3222033866},
	{Name: "UI_BEGIN_FF_UPLOAD", Value: 3228063176},
	{Name: "UI_DEV_CREATE", Value: 21761},
	{Name: "UI_DEV_DESTROY", Value: 21762},
	{Name: "UI_DEV_SETUP", Value: 1079792899},
	{Name: "UI_END_FF_ERASE", Value: 1074550219},
	{Name: "UI_END_FF_UPLOAD", Value: 1080579529},
	{Name: "UI_GET_SYSNAME_64", Value: 2151699756},
	{Name: "UI_GET_VERSION", Value: 2147767597},
	{Name: "UI_SET_ABSBIT", Value: 1074025831},
	{Name: "UI_SET_EVBIT", Value: 1074025828},
	{Name: "UI_SET_FFBIT", Value: 1074025835},
	{Name: "UI_SET_KEYBIT", Value: 1074025829},
	{Name: "UI_SET_LEDBIT", Value: 1074025833},
	{Name: "UI_SET_MSCBIT", Value: 1074025832},
	{Name: "UI_SET_PHYS", Value: 1074287980},
	{Name: "UI_SET_PROPBIT", Value: 1074025838},
	{Name: "UI_SET_RELBIT", Value: 1074025830},
	{Name: "UI_SET_SNDBIT", Value: 1074025834},
	{Name: "UI_SET_SWBIT", Value: 1074025837},
	{Name: "UMOUNT_NOFOLLOW", Value: 8},
	{Name: "UNIX_PATH_MAX", Value: 108},
	{Name: "USER_CLIENT", Value: 1},
	{Name: "V4L2_AUDCAP_AVL", Value: 2},
	{Name: "V4L2_AUDCAP_STEREO", Value: 1},
	{Name: "V4L2_AUDMODE_AVL", Value: 1},
	{Name: "V4L2_BAND_MODULATION_AM", Value: 8},
	{Name: "V4L2_BAND_MODULATION_FM", Value: 4},
	{Name: "V4L2_BAND_MODULATION_VSB", Value: 2},
	{Name: "V4L2_BUF_FLAG_BFRAME", Value: 32},
	{Name: "V4L2_BUF_FLAG_DONE", Value: 4},
	{Name: "V4L2_BUF_FLAG_ERROR", Value: 64},
	{Name: "V4L2_BUF_FLAG_KEYFRAME", Value: 8},
	{Name: "V4L2_BUF_FLAG_LAST", Value: 1048576},
	{Name: "V4L2_BUF_FLAG_MAPPED", Value: 1},
	{Name: "V4L2_BUF_FLAG_NO_CACHE_CLEAN", Value: 4096},
	{Name: "V4L2_BUF_FLAG_NO_CACHE_INVALIDATE", Value: 2048},
	{Name: "V4L2_BUF_FLAG_PFRAME", Value: 16},
	{Name: "V4L2_BUF_FLAG_PREPARED", Value: 1024},
	{Name: "V4L2_BUF_FLAG_QUEUED", Value: 2},
	{Name: "V4L2_BUF_FLAG_TIMECODE", Value: 256},
	{Name: "V4L2_BUF_FLAG_TIMESTAMP_COPY", Value: 16384},
	{Name: "V4L2_BUF_FLAG_TIMESTAMP_MASK", Value: 57344},
	{Name: "V4L2_BUF_FLAG_TIMESTAMP_MONOTONIC", Value: 8192},
	{Name: "V4L2_BUF_FLAG_TIMESTAMP_UNKNOWN"},
	{Name: "V4L2_BUF_FLAG_TSTAMP_SRC_EOF"},
	{Name: "V4L2_BUF_FLAG_TSTAMP_SRC_MASK", Value: 458752},
	{Name: "V4L2_BUF_FLAG_TSTAMP_SRC_SOE", Value: 65536},
	{Name: "V4L2_BUF_TYPE_SDR_CAPTURE", Value: 11},
	{Name: "V4L2_BUF_TYPE_SDR_OUTPUT", Value: 12},
	{Name: "V4L2_BUF_TYPE_SLICED_VBI_CAPTURE", Value: 6},
	{Name: "V4L2_BUF_TYPE_SLICED_VBI_OUTPUT", Value: 7},
	{Name: "V4L2_BUF_TYPE_VBI_CAPTURE", Value: 4},
	{Name: "V4L2_BUF_TYPE_VBI_OUTPUT", Value: 5},
	{Name: "V4L2_BUF_TYPE_VIDEO_CAPTURE", Value: 1},
	{Name: "V4L2_BUF_TYPE_VIDEO_CAPTURE_MPLANE", Value: 9},
	{Name: "V4L2_BUF_TYPE_VIDEO_OUTPUT", Value: 2},
	{Name: "V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE", Value: 10},
	{Name: "V4L2_BUF_TYPE_VIDEO_OUTPUT_OVERLAY", Value: 8},
	{Name: "V4L2_BUF_TYPE_VIDEO_OVERLAY", Value: 3},
	{Name: "V4L2_CAP_ASYNCIO", Value: 33554432},
	{Name: "V4L2_CAP_AUDIO", Value: 131072},
	{Name: "V4L2_CAP_DEVICE_CAPS", Value: 2147483648},
	{Name: "V4L2_CAP_EXT_PIX_FORMAT", Value: 2097152},
	{Name: "V4L2_CAP_HW_FREQ_SEEK", Value: 1024},
	{Name: "V4L2_CAP_MODULATOR", Value: 524288},
	{Name: "V4L2_CAP_RADIO", Value: 262144},
	{Name: "V4L2_CAP_RDS_CAPTURE", Value: 256},
	{Name: "V4L2_CAP_RDS_OUTPUT", Value: 2048},
	{Name: "V4L2_CAP_READWRITE", Value: 16777216},
	{Name: "V4L2_CAP_SDR_CAPTURE", Value: 1048576},
	{Name: "V4L2_CAP_SDR_OUTPUT", Value: 4194304},
	{Name: "V4L2_CAP_SLICED_VBI_CAPTURE", Value: 64},
	{Name: "V4L2_CAP_SLICED_VBI_OUTPUT", Value: 128},
	{Name: "V4L2_CAP_STREAMING", Value: 67108864},
	{Name: "V4L2_CAP_TIMEPERFRAME", Value: 4096},
	{Name: "V4L2_CAP_TOUCH", Value: 268435456},
	{Name: "V4L2_CAP_TUNER", Value: 65536},
	{Name: "V4L2_CAP_VBI_CAPTURE", Value: 16},
	{Name: "V4L2_CAP_VBI_OUTPUT", Value: 32},
	{Name: "V4L2_CAP_VIDEO_CAPTURE", Value: 1},
	{Name: "V4L2_CAP_VIDEO_CAPTURE_MPLANE", Value: 4096},
	{Name: "V4L2_CAP_VIDEO_M2M", Value: 32768},
	{Name: "V4L2_CAP_VIDEO_M2M_MPLANE", Value: 16384},
	{Name: "V4L2_CAP_VIDEO_OUTPUT", Value: 2},
	{Name: "V4L2_CAP_VIDEO_OUTPUT_MPLANE", Value: 8192},
	{Name: "V4L2_CAP_VIDEO_OUTPUT_OVERLAY", Value: 512},
	{Name: "V4L2_CAP_VIDEO_OVERLAY", Value: 4},
	{Name: "V4L2_CHIP_FL_READABLE", Value: 1},
	{Name: "V4L2_CHIP_FL_WRITABLE", Value: 2},
	{Name: "V4L2_CHIP_MATCH_AC97", Value: 3},
	{Name: "V4L2_CHIP_MATCH_BRIDGE"},
	{Name: "V4L2_CHIP_MATCH_I2C_ADDR", Value: 2},
	{Name: "V4L2_CHIP_MATCH_I2C_DRIVER", Value: 1},
	{Name: "V4L2_CHIP_MATCH_SUBDEV", Value: 4},
	{Name: "V4L2_CID_3A_LOCK", Value: 10094875},
	{Name: "V4L2_CID_ALPHA_COMPONENT", Value: 9963817},
	{Name: "V4L2_CID_ANALOGUE_GAIN", Value: 10356995},
	{Name: "V4L2_CID_AUDIO_BALANCE", Value: 9963782},
	{Name: "V4L2_CID_AUDIO_BASS", Value: 9963783},
	{Name: "V4L2_CID_AUDIO_COMPRESSION_ATTACK_TIME", Value: 10160467},
	{Name: "V4L2_CID_AUDIO_COMPRESSION_ENABLED", Value: 10160464},
	{Name: "V4L2_CID_AUDIO_COMPRESSION_GAIN", Value: 10160465},
	{Name: "V4L2_CID_AUDIO_COMPRESSION_RELEASE_TIME", Value: 10160468},
	{Name: "V4L2_CID_AUDIO_COMPRESSION_THRESHOLD", Value: 10160466},
	{Name: "V4L2_CID_AUDIO_LIMITER_DEVIATION", Value: 10160450},
	{Name: "V4L2_CID_AUDIO_LIMITER_ENABLED", Value: 10160448},
	{Name: "V4L2_CID_AUDIO_LIMITER_RELEASE_TIME", Value: 10160449},
	{Name: "V4L2_CID_AUDIO_LOUDNESS", Value: 9963786},
	{Name: "V4L2_CID_AUDIO_MUTE", Value: 9963785},
	{Name: "V4L2_CID_AUDIO_TREBLE", Value: 9963784},
	{Name: "V4L2_CID_AUDIO_VOLUME", Value: 9963781},
	{Name: "V4L2_CID_AUTOBRIGHTNESS", Value: 9963808},
	{Name: "V4L2_CID_AUTOGAIN", Value: 9963794},
	{Name: "V4L2_CID_AUTO_EXPOSURE_BIAS", Value: 10094867},
	{Name: "V4L2_CID_AUTO_FOCUS_RANGE", Value: 10094879},
	{Name: "V4L2_CID_AUTO_FOCUS_START", Value: 10094876},
	{Name: "V4L2_CID_AUTO_FOCUS_STATUS", Value: 10094878},
	{Name: "V4L2_CID_AUTO_FOCUS_STOP", Value: 10094877},
	{Name: "V4L2_CID_AUTO_N_PRESET_WHITE_BALANCE", Value: 10094868},
	{Name: "V4L2_CID_AUTO_WHITE_BALANCE", Value: 9963788},
	{Name: "V4L2_CID_BACKLIGHT_COMPENSATION", Value: 9963804},
	{Name: "V4L2_CID_BAND_STOP_FILTER", Value: 9963809},
	{Name: "V4L2_CID_BG_COLOR", Value: 9963811},
	{Name: "V4L2_CID_BLACK_LEVEL", Value: 9963787},
	{Name: "V4L2_CID_BLUE_BALANCE", Value: 9963791},
	{Name: "V4L2_CID_BRIGHTNESS", Value: 9963776},
	{Name: "V4L2_CID_CAMERA_CLASS", Value: 10092545},
	{Name: "V4L2_CID_CHROMA_AGC", Value: 9963805},
	{Name: "V4L2_CID_CHROMA_GAIN", Value: 9963812},
	{Name: "V4L2_CID_COLORFX", Value: 9963807},
	{Name: "V4L2_CID_COLORFX_CBCR", Value: 9963818},
	{Name: "V4L2_CID_COLOR_KILLER", Value: 9963806},
	{Name: "V4L2_CID_CONTRAST", Value: 9963777},
	{Name: "V4L2_CID_DETECT_CLASS", Value: 10682369},
	{Name: "V4L2_CID_DETECT_MD_GLOBAL_THRESHOLD", Value: 10684674},
	{Name: "V4L2_CID_DETECT_MD_MODE", Value: 10684673},
	{Name: "V4L2_CID_DETECT_MD_REGION_GRID", Value: 10684676},
	{Name: "V4L2_CID_DETECT_MD_THRESHOLD_GRID", Value: 10684675},
	{Name: "V4L2_CID_DO_WHITE_BALANCE", Value: 9963789},
	{Name: "V4L2_CID_DV_CLASS", Value: 10485761},
	{Name: "V4L2_CID_DV_RX_IT_CONTENT_TYPE", Value: 10488166},
	{Name: "V4L2_CID_DV_RX_POWER_PRESENT", Value: 10488164},
	{Name: "V4L2_CID_DV_RX_RGB_RANGE", Value: 10488165},
	{Name: "V4L2_CID_DV_TX_EDID_PRESENT", Value: 10488067},
	{Name: "V4L2_CID_DV_TX_HOTPLUG", Value: 10488065},
	{Name: "V4L2_CID_DV_TX_IT_CONTENT_TYPE", Value: 10488070},
	{Name: "V4L2_CID_DV_TX_MODE", Value: 10488068},
	{Name: "V4L2_CID_DV_TX_RGB_RANGE", Value: 10488069},
	{Name: "V4L2_CID_DV_TX_RXSENSE", Value: 10488066},
	{Name: "V4L2_CID_EXPOSURE", Value: 9963793},
	{Name: "V4L2_CID_EXPOSURE_ABSOLUTE", Value: 10094850},
	{Name: "V4L2_CID_EXPOSURE_AUTO", Value: 10094849},
	{Name: "V4L2_CID_EXPOSURE_AUTO_PRIORITY", Value: 10094851},
	{Name: "V4L2_CID_EXPOSURE_METERING", Value: 10094873},
	{Name: "V4L2_CID_FLASH_CHARGE", Value: 10225931},
	{Name: "V4L2_CID_FLASH_CLASS", Value: 10223617},
	{Name: "V4L2_CID_FLASH_FAULT", Value: 10225930},
	{Name: "V4L2_CID_FLASH_INDICATOR_INTENSITY", Value: 10225929},
	{Name: "V4L2_CID_FLASH_INTENSITY", Value: 10225927},
	{Name: "V4L2_CID_FLASH_LED_MODE", Value: 10225921},
	{Name: "V4L2_CID_FLASH_READY", Value: 10225932},
	{Name: "V4L2_CID_FLASH_STROBE", Value: 10225923},
	{Name: "V4L2_CID_FLASH_STROBE_SOURCE", Value: 10225922},
	{Name: "V4L2_CID_FLASH_STROBE_STATUS", Value: 10225925},
	{Name: "V4L2_CID_FLASH_STROBE_STOP", Value: 10225924},
	{Name: "V4L2_CID_FLASH_TIMEOUT", Value: 10225926},
	{Name: "V4L2_CID_FLASH_TORCH_INTENSITY", Value: 10225928},
	{Name: "V4L2_CID_FM_RX_CLASS", Value: 10551297},
	{Name: "V4L2_CID_FM_TX_CLASS", Value: 10158081},
	{Name: "V4L2_CID_FOCUS_ABSOLUTE", Value: 10094858},
	{Name: "V4L2_CID_FOCUS_AUTO", Value: 10094860},
	{Name: "V4L2_CID_FOCUS_RELATIVE", Value: 10094859},
	{Name: "V4L2_CID_GAIN", Value: 9963795},
	{Name: "V4L2_CID_GAMMA", Value: 9963792},
	{Name: "V4L2_CID_HBLANK", Value: 10356994},
	{Name: "V4L2_CID_HFLIP", Value: 9963796},
	{Name: "V4L2_CID_HUE", Value: 9963779},
	{Name: "V4L2_CID_HUE_AUTO", Value: 9963801},
	{Name: "V4L2_CID_ILLUMINATORS_1", Value: 9963813},
	{Name: "V4L2_CID_ILLUMINATORS_2", Value: 9963814},
	{Name: "V4L2_CID_IMAGE_PROC_CLASS", Value: 10420225},
	{Name: "V4L2_CID_IMAGE_SOURCE_CLASS", Value: 10354689},
	{Name: "V4L2_CID_IMAGE_STABILIZATION", Value: 10094870},
	{Name: "V4L2_CID_IRIS_ABSOLUTE", Value: 10094865},
	{Name: "V4L2_CID_IRIS_RELATIVE", Value: 10094866},
	{Name: "V4L2_CID_ISO_SENSITIVITY", Value: 10094871},
	{Name: "V4L2_CID_ISO_SENSITIVITY_AUTO", Value: 10094872},
	{Name: "V4L2_CID_JPEG_ACTIVE_MARKER", Value: 10291460},
	{Name: "V4L2_CID_JPEG_CHROMA_SUBSAMPLING", Value: 10291457},
	{Name: "V4L2_CID_JPEG_CLASS", Value: 10289153},
	{Name: "V4L2_CID_JPEG_COMPRESSION_QUALITY", Value: 10291459},
	{Name: "V4L2_CID_JPEG_RESTART_INTERVAL", Value: 10291458},
	{Name: "V4L2_CID_LINK_FREQ", Value: 10422529},
	{Name: "V4L2_CID_MIN_BUFFERS_FOR_CAPTURE", Value: 9963815},
	{Name: "V4L2_CID_MIN_BUFFERS_FOR_OUTPUT", Value: 9963816},
	{Name: "V4L2_CID_MPEG_AUDIO_AAC_BITRATE", Value: 10029422},
	{Name: "V4L2_CID_MPEG_AUDIO_AC3_BITRATE", Value: 10029423},
	{Name: "V4L2_CID_MPEG_AUDIO_CRC", Value: 10029420},
	{Name: "V4L2_CID_MPEG_AUDIO_DEC_MULTILINGUAL_PLAYBACK", Value: 10029425},
	{Name: "V4L2_CID_MPEG_AUDIO_DEC_PLAYBACK", Value: 10029424},
	{Name: "V4L2_CID_MPEG_AUDIO_EMPHASIS", Value: 10029419},
	{Name: "V4L2_CID_MPEG_AUDIO_ENCODING", Value: 10029413},
	{Name: "V4L2_CID_MPEG_AUDIO_L1_BITRATE", Value: 10029414},
	{Name: "V4L2_CID_MPEG_AUDIO_L2_BITRATE", Value: 10029415},
	{Name: "V4L2_CID_MPEG_AUDIO_L3_BITRATE", Value: 10029416},
	{Name: "V4L2_CID_MPEG_AUDIO_MODE", Value: 10029417},
	{Name: "V4L2_CID_MPEG_AUDIO_MODE_EXTENSION", Value: 10029418},
	{Name: "V4L2_CID_MPEG_AUDIO_MUTE", Value: 10029421},
	{Name: "V4L2_CID_MPEG_AUDIO_SAMPLING_FREQ", Value: 10029412},
	{Name: "V4L2_CID_MPEG_CLASS", Value: 10027009},
	{Name: "V4L2_CID_MPEG_STREAM_PES_ID_AUDIO", Value: 10029317},
	{Name: "V4L2_CID_MPEG_STREAM_PES_ID_VIDEO", Value: 10029318},
	{Name: "V4L2_CID_MPEG_STREAM_PID_AUDIO", Value: 10029314},
	{Name: "V4L2_CID_MPEG_STREAM_PID_PCR", Value: 10029316},
	{Name: "V4L2_CID_MPEG_STREAM_PID_PMT", Value: 10029313},
	{Name: "V4L2_CID_MPEG_STREAM_PID_VIDEO", Value: 10029315},
	{Name: "V4L2_CID_MPEG_STREAM_TYPE", Value: 10029312},
	{Name: "V4L2_CID_MPEG_STREAM_VBI_FMT", Value: 10029319},
	{Name: "V4L2_CID_MPEG_VIDEO_ASPECT", Value: 10029513},
	{Name: "V4L2_CID_MPEG_VIDEO_BITRATE", Value: 10029519},
	{Name: "V4L2_CID_MPEG_VIDEO_BITRATE_MODE", Value: 10029518},
	{Name: "V4L2_CID_MPEG_VIDEO_BITRATE_PEAK", Value: 10029520},
	{Name: "V4L2_CID_MPEG_VIDEO_B_FRAMES", Value: 10029514},
	{Name: "V4L2_CID_MPEG_VIDEO_CYCLIC_INTRA_REFRESH_MB", Value: 10029526},
	{Name: "V4L2_CID_MPEG_VIDEO_DECODER_MPEG4_DEBLOCK_FILTER", Value: 10029525},
	{Name: "V4L2_CID_MPEG_VIDEO_DECODER_SLICE_INTERFACE", Value: 10029524},
	{Name: "V4L2_CID_MPEG_VIDEO_DEC_FRAME", Value: 10029536},
	{Name: "V4L2_CID_MPEG_VIDEO_DEC_PTS", Value: 10029535},
	{Name: "V4L2_CID_MPEG_VIDEO_ENCODING", Value: 10029512},
	{Name: "V4L2_CID_MPEG_VIDEO_FORCE_KEY_FRAME", Value: 10029541},
	{Name: "V4L2_CID_MPEG_VIDEO_FRAME_RC_ENABLE", Value: 10029527},
	{Name: "V4L2_CID_MPEG_VIDEO_GOP_CLOSURE", Value: 10029516},
	{Name: "V4L2_CID_MPEG_VIDEO_GOP_SIZE", Value: 10029515},
	{Name: "V4L2_CID_MPEG_VIDEO_H263_B_FRAME_QP", Value: 10029614},
	{Name: "V4L2_CID_MPEG_VIDEO_H263_I_FRAME_QP", Value: 10029612},
	{Name: "V4L2_CID_MPEG_VIDEO_H263_MAX_QP", Value: 10029616},
	{Name: "V4L2_CID_MPEG_VIDEO_H263_MIN_QP", Value: 10029615},
	{Name: "V4L2_CID_MPEG_VIDEO_H263_P_FRAME_QP", Value: 10029613},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_8X8_TRANSFORM", Value: 10029667},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_ASO", Value: 10029689},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_ASO_SLICE_ORDER", Value: 10029690},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_B_FRAME_QP", Value: 10029664},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_CPB_SIZE", Value: 10029668},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_ENTROPY_MODE", Value: 10029669},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO", Value: 10029683},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO_CHANGE_DIRECTION", Value: 10029686},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO_CHANGE_RATE", Value: 10029687},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO_MAP_TYPE", Value: 10029684},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO_RUN_LENGTH", Value: 10029688},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_FMO_SLICE_GROUP", Value: 10029685},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING", Value: 10029691},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_LAYER", Value: 10029693},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_LAYER_QP", Value: 10029694},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_TYPE", Value: 10029692},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_I_FRAME_QP", Value: 10029662},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_I_PERIOD", Value: 10029670},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_LEVEL", Value: 10029671},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_ALPHA", Value: 10029672},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_BETA", Value: 10029673},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_MODE", Value: 10029674},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_MAX_QP", Value: 10029666},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_MIN_QP", Value: 10029665},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_PROFILE", Value: 10029675},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_P_FRAME_QP", Value: 10029663},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE", Value: 10029682},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_SEI_FP_CURRENT_FRAME_0", Value: 10029681},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_SEI_FRAME_PACKING", Value: 10029680},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_VUI_EXT_SAR_HEIGHT", Value: 10029676},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_VUI_EXT_SAR_WIDTH", Value: 10029677},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_VUI_SAR_ENABLE", Value: 10029678},
	{Name: "V4L2_CID_MPEG_VIDEO_H264_VUI_SAR_IDC", Value: 10029679},
	{Name: "V4L2_CID_MPEG_VIDEO_HEADER_MODE", Value: 10029528},
	{Name: "V4L2_CID_MPEG_VIDEO_MAX_REF_PIC", Value: 10029529},
	{Name: "V4L2_CID_MPEG_VIDEO_MB_RC_ENABLE", Value: 10029530},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_B_FRAME_QP", Value: 10029714},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_I_FRAME_QP", Value: 10029712},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_LEVEL", Value: 10029717},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_MAX_QP", Value: 10029716},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_MIN_QP", Value: 10029715},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_PROFILE", Value: 10029718},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_P_FRAME_QP", Value: 10029713},
	{Name: "V4L2_CID_MPEG_VIDEO_MPEG4_QPEL", Value: 10029719},
	{Name: "V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MAX_BYTES", Value: 10029531},
	{Name: "V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MAX_MB", Value: 10029532},
	{Name: "V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MODE", Value: 10029533},
	{Name: "V4L2_CID_MPEG_VIDEO_MUTE", Value: 10029522},
	{Name: "V4L2_CID_MPEG_VIDEO_MUTE_YUV", Value: 10029523},
	{Name: "V4L2_CID_MPEG_VIDEO_MV_H_SEARCH_RANGE", Value: 10029539},
	{Name: "V4L2_CID_MPEG_VIDEO_MV_V_SEARCH_RANGE", Value: 10029540},
	{Name: "V4L2_CID_MPEG_VIDEO_PULLDOWN", Value: 10029517},
	{Name: "V4L2_CID_MPEG_VIDEO_REPEAT_SEQ_HEADER", Value: 10029538},
	{Name: "V4L2_CID_MPEG_VIDEO_TEMPORAL_DECIMATION", Value: 10029521},
	{Name: "V4L2_CID_MPEG_VIDEO_VBV_DELAY", Value: 10029537},
	{Name: "V4L2_CID_MPEG_VIDEO_VBV_SIZE", Value: 10029534},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_FILTER_LEVEL", Value: 10029815},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_FILTER_SHARPNESS", Value: 10029816},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_REF_PERIOD", Value: 10029817},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_SEL", Value: 10029818},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_IMD_DISABLE_4X4", Value: 10029813},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_I_FRAME_QP", Value: 10029821},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_MAX_QP", Value: 10029820},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_MIN_QP", Value: 10029819},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_NUM_PARTITIONS", Value: 10029812},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_NUM_REF_FRAMES", Value: 10029814},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_PROFILE", Value: 10029823},
	{Name: "V4L2_CID_MPEG_VIDEO_VPX_P_FRAME_QP", Value: 10029822},
	{Name: "V4L2_CID_PAN_ABSOLUTE", Value: 10094856},
	{Name: "V4L2_CID_PAN_RELATIVE", Value: 10094852},
	{Name: "V4L2_CID_PAN_RESET", Value: 10094854},
	{Name: "V4L2_CID_PAN_SPEED", Value: 10094880},
	{Name: "V4L2_CID_PILOT_TONE_DEVIATION", Value: 10160481},
	{Name: "V4L2_CID_PILOT_TONE_ENABLED", Value: 10160480},
	{Name: "V4L2_CID_PILOT_TONE_FREQUENCY", Value: 10160482},
	{Name: "V4L2_CID_PIXEL_RATE", Value: 10422530},
	{Name: "V4L2_CID_POWER_LINE_FREQUENCY", Value: 9963800},
	{Name: "V4L2_CID_PRIVACY", Value: 10094864},
	{Name: "V4L2_CID_RDS_RECEPTION", Value: 10553602},
	{Name: "V4L2_CID_RDS_RX_MUSIC_SPEECH", Value: 10553608},
	{Name: "V4L2_CID_RDS_RX_PS_NAME", Value: 10553604},
	{Name: "V4L2_CID_RDS_RX_PTY", Value: 10553603},
	{Name: "V4L2_CID_RDS_RX_RADIO_TEXT", Value: 10553605},
	{Name: "V4L2_CID_RDS_RX_TRAFFIC_ANNOUNCEMENT", Value: 10553606},
	{Name: "V4L2_CID_RDS_RX_TRAFFIC_PROGRAM", Value: 10553607},
	{Name: "V4L2_CID_RDS_TX_ALT_FREQS", Value: 10160399},
	{Name: "V4L2_CID_RDS_TX_ALT_FREQS_ENABLE", Value: 10160398},
	{Name: "V4L2_CID_RDS_TX_ARTIFICIAL_HEAD", Value: 10160392},
	{Name: "V4L2_CID_RDS_TX_COMPRESSED", Value: 10160393},
	{Name: "V4L2_CID_RDS_TX_DEVIATION", Value: 10160385},
	{Name: "V4L2_CID_RDS_TX_DYNAMIC_PTY", Value: 10160394},
	{Name: "V4L2_CID_RDS_TX_MONO_STEREO", Value: 10160391},
	{Name: "V4L2_CID_RDS_TX_MUSIC_SPEECH", Value: 10160397},
	{Name: "V4L2_CID_RDS_TX_PI", Value: 10160386},
	{Name: "V4L2_CID_RDS_TX_PS_NAME", Value: 10160389},
	{Name: "V4L2_CID_RDS_TX_PTY", Value: 10160387},
	{Name: "V4L2_CID_RDS_TX_RADIO_TEXT", Value: 10160390},
	{Name: "V4L2_CID_RDS_TX_TRAFFIC_ANNOUNCEMENT", Value: 10160395},
	{Name: "V4L2_CID_RDS_TX_TRAFFIC_PROGRAM", Value: 10160396},
	{Name: "V4L2_CID_RED_BALANCE", Value: 9963790},
	{Name: "V4L2_CID_RF_TUNER_BANDWIDTH", Value: 10619148},
	{Name: "V4L2_CID_RF_TUNER_BANDWIDTH_AUTO", Value: 10619147},
	{Name: "V4L2_CID_RF_TUNER_CLASS", Value: 10616833},
	{Name: "V4L2_CID_RF_TUNER_IF_GAIN", Value: 10619198},
	{Name: "V4L2_CID_RF_TUNER_IF_GAIN_AUTO", Value: 10619197},
	{Name: "V4L2_CID_RF_TUNER_LNA_GAIN", Value: 10619178},
	{Name: "V4L2_CID_RF_TUNER_LNA_GAIN_AUTO", Value: 10619177},
	{Name: "V4L2_CID_RF_TUNER_MIXER_GAIN", Value: 10619188},
	{Name: "V4L2_CID_RF_TUNER_MIXER_GAIN_AUTO", Value: 10619187},
	{Name: "V4L2_CID_RF_TUNER_PLL_LOCK", Value: 10619227},
	{Name: "V4L2_CID_RF_TUNER_RF_GAIN", Value: 10619168},
	{Name: "V4L2_CID_ROTATE", Value: 9963810},
	{Name: "V4L2_CID_SATURATION", Value: 9963778},
	{Name: "V4L2_CID_SCENE_MODE", Value: 10094874},
	{Name: "V4L2_CID_SHARPNESS", Value: 9963803},
	{Name: "V4L2_CID_TEST_PATTERN", Value: 10422531},
	{Name: "V4L2_CID_TEST_PATTERN_BLUE", Value: 10356998},
	{Name: "V4L2_CID_TEST_PATTERN_GREENB", Value: 10356999},
	{Name: "V4L2_CID_TEST_PATTERN_GREENR", Value: 10356997},
	{Name: "V4L2_CID_TEST_PATTERN_RED", Value: 10356996},
	{Name: "V4L2_CID_TILT_ABSOLUTE", Value: 10094857},
	{Name: "V4L2_CID_TILT_RELATIVE", Value: 10094853},
	{Name: "V4L2_CID_TILT_RESET", Value: 10094855},
	{Name: "V4L2_CID_TILT_SPEED", Value: 10094881},
	{Name: "V4L2_CID_TUNE_ANTENNA_CAPACITOR", Value: 10160498},
	{Name: "V4L2_CID_TUNE_DEEMPHASIS", Value: 10553601},
	{Name: "V4L2_CID_TUNE_POWER_LEVEL", Value: 10160497},
	{Name: "V4L2_CID_TUNE_PREEMPHASIS", Value: 10160496},
	{Name: "V4L2_CID_USER_CLASS", Value: 9961473},
	{Name: "V4L2_CID_VBLANK", Value: 10356993},
	{Name: "V4L2_CID_VFLIP", Value: 9963797},
	{Name: "V4L2_CID_WHITE_BALANCE_TEMPERATURE", Value: 9963802},
	{Name: "V4L2_CID_WIDE_DYNAMIC_RANGE", Value: 10094869},
	{Name: "V4L2_CID_ZOOM_ABSOLUTE", Value: 10094861},
	{Name: "V4L2_CID_ZOOM_CONTINUOUS", Value: 10094863},
	{Name: "V4L2_CID_ZOOM_RELATIVE", Value: 10094862},
	{Name: "V4L2_COLORSPACE_470_SYSTEM_BG", Value: 6},
	{Name: "V4L2_COLORSPACE_470_SYSTEM_M", Value: 5},
	{Name: "V4L2_COLORSPACE_ADOBERGB", Value: 9},
	{Name: "V4L2_COLORSPACE_BT2020", Value: 10},
	{Name: "V4L2_COLORSPACE_BT878", Value: 4},
	{Name: "V4L2_COLORSPACE_DCI_P3", Value: 12},
	{Name: "V4L2_COLORSPACE_DEFAULT"},
	{Name: "V4L2_COLORSPACE_JPEG", Value: 7},
	{Name: "V4L2_COLORSPACE_RAW", Value: 11},
	{Name: "V4L2_COLORSPACE_REC709", Value: 3},
	{Name: "V4L2_COLORSPACE_SMPTE170M", Value: 1},
	{Name: "V4L2_COLORSPACE_SMPTE240M", Value: 2},
	{Name: "V4L2_COLORSPACE_SRGB", Value: 8},
	{Name: "V4L2_CTRL_CLASS_CAMERA", Value: 10092544},
	{Name: "V4L2_CTRL_CLASS_DETECT", Value: 10682368},
	{Name: "V4L2_CTRL_CLASS_DV", Value: 10485760},
	{Name: "V4L2_CTRL_CLASS_FLASH", Value: 10223616},
	{Name: "V4L2_CTRL_CLASS_FM_RX", Value: 10551296},
	{Name: "V4L2_CTRL_CLASS_FM_TX", Value: 10158080},
	{Name: "V4L2_CTRL_CLASS_IMAGE_PROC", Value: 10420224},
	{Name: "V4L2_CTRL_CLASS_IMAGE_SOURCE", Value: 10354688},
	{Name: "V4L2_CTRL_CLASS_JPEG", Value: 10289152},
	{Name: "V4L2_CTRL_CLASS_MPEG", Value: 10027008},
	{Name: "V4L2_CTRL_CLASS_RF_TUNER", Value: 10616832},
	{Name: "V4L2_CTRL_CLASS_USER", Value: 9961472},
	{Name: "V4L2_CTRL_COMPOUND_TYPES", Value: 256},
	{Name: "V4L2_CTRL_FLAG_DISABLED", Value: 1},
	{Name: "V4L2_CTRL_FLAG_EXECUTE_ON_WRITE", Value: 512},
	{Name: "V4L2_CTRL_FLAG_GRABBED", Value: 2},
	{Name: "V4L2_CTRL_FLAG_HAS_PAYLOAD", Value: 256},
	{Name: "V4L2_CTRL_FLAG_INACTIVE", Value: 16},
	{Name: "V4L2_CTRL_FLAG_NEXT_COMPOUND", Value: 1073741824},
	{Name: "V4L2_CTRL_FLAG_NEXT_CTRL", Value: 2147483648},
	{Name: "V4L2_CTRL_FLAG_READ_ONLY", Value: 4},
	{Name: "V4L2_CTRL_FLAG_SLIDER", Value: 32},
	{Name: "V4L2_CTRL_FLAG_UPDATE", Value: 8},
	{Name: "V4L2_CTRL_FLAG_VOLATILE", Value: 128},
	{Name: "V4L2_CTRL_FLAG_WRITE_ONLY", Value: 64},
	{Name: "V4L2_CTRL_ID_MASK", Value: 268435455},
	{Name: "V4L2_CTRL_MAX_DIMS", Value: 4},
	{Name: "V4L2_CTRL_TYPE_BITMASK", Value: 8},
	{Name: "V4L2_CTRL_TYPE_BOOLEAN", Value: 2},
	{Name: "V4L2_CTRL_TYPE_BUTTON", Value: 4},
	{Name: "V4L2_CTRL_TYPE_CTRL_CLASS", Value: 6},
	{Name: "V4L2_CTRL_TYPE_INTEGER", Value: 1},
	{Name: "V4L2_CTRL_TYPE_INTEGER64", Value: 5},
	{Name: "V4L2_CTRL_TYPE_INTEGER_MENU", Value: 9},
	{Name: "V4L2_CTRL_TYPE_MENU", Value: 3},
	{Name: "V4L2_CTRL_TYPE_STRING", Value: 7},
	{Name: "V4L2_CTRL_TYPE_U16", Value: 257},
	{Name: "V4L2_CTRL_TYPE_U32", Value: 258},
	{Name: "V4L2_CTRL_TYPE_U8", Value: 256},
	{Name: "V4L2_CTRL_WHICH_CUR_VAL"},
	{Name: "V4L2_CTRL_WHICH_DEF_VAL", Value: 251658240},
	{Name: "V4L2_DEC_CMD_PAUSE", Value: 2},
	{Name: "V4L2_DEC_CMD_PAUSE_TO_BLACK", Value: 1},
	{Name: "V4L2_DEC_CMD_RESUME", Value: 3},
	{Name: "V4L2_DEC_CMD_START"},
	{Name: "V4L2_DEC_CMD_START_MUTE_AUDIO", Value: 1},
	{Name: "V4L2_DEC_CMD_STOP", Value: 1},
	{Name: "V4L2_DEC_CMD_STOP_IMMEDIATELY", Value: 2},
	{Name: "V4L2_DEC_CMD_STOP_TO_BLACK", Value: 1},
	{Name: "V4L2_DEC_QCOM_CMD_RECONFIG_HINT", Value: 5},
	{Name: "V4L2_DEC_START_FMT_GOP", Value: 1},
	{Name: "V4L2_DEC_START_FMT_NONE"},
	{Name: "V4L2_DV_BT_656_1120"},
	{Name: "V4L2_DV_BT_CAP_CUSTOM", Value: 8},
	{Name: "V4L2_DV_BT_CAP_INTERLACED", Value: 1},
	{Name: "V4L2_DV_BT_CAP_PROGRESSIVE", Value: 2},
	{Name: "V4L2_DV_BT_CAP_REDUCED_BLANKING", Value: 4},
	{Name: "V4L2_DV_BT_STD_CEA861", Value: 1},
	{Name: "V4L2_DV_BT_STD_CVT", Value: 4},
	{Name: "V4L2_DV_BT_STD_DMT", Value: 2},
	{Name: "V4L2_DV_BT_STD_GTF", Value: 8},
	{Name: "V4L2_DV_BT_STD_SDI", Value: 16},
	{Name: "V4L2_DV_FL_CAN_REDUCE_FPS", Value: 2},
	{Name: "V4L2_DV_FL_FIRST_FIELD_EXTRA_LINE", Value: 32},
	{Name: "V4L2_DV_FL_HALF_LINE", Value: 8},
	{Name: "V4L2_DV_FL_IS_CE_VIDEO", Value: 16},
	{Name: "V4L2_DV_FL_REDUCED_BLANKING", Value: 1},
	{Name: "V4L2_DV_FL_REDUCED_FPS", Value: 4},
	{Name: "V4L2_DV_HSYNC_POS_POL", Value: 2},
	{Name: "V4L2_DV_INTERLACED", Value: 1},
	{Name: "V4L2_DV_PROGRESSIVE"},
	{Name: "V4L2_DV_VSYNC_POS_POL", Value: 1},
	{Name: "V4L2_ENC_CMD_PAUSE", Value: 2},
	{Name: "V4L2_ENC_CMD_RESUME", Value: 3},
	{Name: "V4L2_ENC_CMD_START"},
	{Name: "V4L2_ENC_CMD_STOP", Value: 1},
	{Name: "V4L2_ENC_CMD_STOP_AT_GOP_END", Value: 1},
	{Name: "V4L2_ENC_IDX_FRAME_B", Value: 2},
	{Name: "V4L2_ENC_IDX_FRAME_I"},
	{Name: "V4L2_ENC_IDX_FRAME_MASK", Value: 15},
	{Name: "V4L2_ENC_IDX_FRAME_P", Value: 1},
	{Name: "V4L2_EVENT_ALL"},
	{Name: "V4L2_EVENT_CTRL", Value: 3},
	{Name: "V4L2_EVENT_CTRL_CH_FLAGS", Value: 2},
	{Name: "V4L2_EVENT_CTRL_CH_RANGE", Value: 4},
	{Name: "V4L2_EVENT_CTRL_CH_VALUE", Value: 1},
	{Name: "V4L2_EVENT_EOS", Value: 2},
	{Name: "V4L2_EVENT_FRAME_SYNC", Value: 4},
	{Name: "V4L2_EVENT_MD_FL_HAVE_FRAME_SEQ", Value: 1},
	{Name: "V4L2_EVENT_MOTION_DET", Value: 6},
	{Name: "V4L2_EVENT_MSM_VIDC_FLUSH_DONE", Value: 134221825},
	{Name: "V4L2_EVENT_MSM_VIDC_HW_OVERLOAD", Value: 134221832},
	{Name: "V4L2_EVENT_MSM_VIDC_HW_UNSUPPORTED", Value: 134221834},
	{Name: "V4L2_EVENT_MSM_VIDC_MAX_CLIENTS", Value: 134221833},
	{Name: "V4L2_EVENT_MSM_VIDC_PORT_SETTINGS_BITDEPTH_CHANGED_INSUFFICIENT", Value: 134221828},
	{Name: "V4L2_EVENT_MSM_VIDC_PORT_SETTINGS_CHANGED_INSUFFICIENT", Value: 134221827},
	{Name: "V4L2_EVENT_MSM_VIDC_PORT_SETTINGS_CHANGED_SUFFICIENT", Value: 134221826},
	{Name: "V4L2_EVENT_MSM_VIDC_RELEASE_BUFFER_REFERENCE", Value: 134221830},
	{Name: "V4L2_EVENT_MSM_VIDC_RELEASE_UNQUEUED_BUFFER", Value: 134221831},
	{Name: "V4L2_EVENT_MSM_VIDC_START", Value: 134221824},
	{Name: "V4L2_EVENT_MSM_VIDC_SYS_ERROR", Value: 134221829},
	{Name: "V4L2_EVENT_PRIVATE_START", Value: 134217728},
	{Name: "V4L2_EVENT_SOURCE_CHANGE", Value: 5},
	{Name: "V4L2_EVENT_SRC_CH_RESOLUTION", Value: 1},
	{Name: "V4L2_EVENT_SUB_FL_ALLOW_FEEDBACK", Value: 2},
	{Name: "V4L2_EVENT_SUB_FL_SEND_INITIAL", Value: 1},
	{Name: "V4L2_EVENT_VSYNC", Value: 1},
	{Name: "V4L2_FBUF_CAP_BITMAP_CLIPPING", Value: 8},
	{Name: "V4L2_FBUF_CAP_CHROMAKEY", Value: 2},
	{Name: "V4L2_FBUF_CAP_EXTERNOVERLAY", Value: 1},
	{Name: "V4L2_FBUF_CAP_GLOBAL_ALPHA", Value: 32},
	{Name: "V4L2_FBUF_CAP_LIST_CLIPPING", Value: 4},
	{Name: "V4L2_FBUF_CAP_LOCAL_ALPHA", Value: 16},
	{Name: "V4L2_FBUF_CAP_LOCAL_INV_ALPHA", Value: 64},
	{Name: "V4L2_FBUF_CAP_SRC_CHROMAKEY", Value: 128},
	{Name: "V4L2_FBUF_FLAG_CHROMAKEY", Value: 4},
	{Name: "V4L2_FBUF_FLAG_GLOBAL_ALPHA", Value: 16},
	{Name: "V4L2_FBUF_FLAG_LOCAL_ALPHA", Value: 8},
	{Name: "V4L2_FBUF_FLAG_LOCAL_INV_ALPHA", Value: 32},
	{Name: "V4L2_FBUF_FLAG_OVERLAY", Value: 2},
	{Name: "V4L2_FBUF_FLAG_PRIMARY", Value: 1},
	{Name: "V4L2_FBUF_FLAG_SRC_CHROMAKEY", Value: 64},
	{Name: "V4L2_FIELD_ALTERNATE", Value: 7},
	{Name: "V4L2_FIELD_ANY"},
	{Name: "V4L2_FIELD_BOTTOM", Value: 3},
	{Name: "V4L2_FIELD_INTERLACED", Value: 4},
	{Name: "V4L2_FIELD_INTERLACED_BT", Value: 9},
	{Name: "V4L2_FIELD_INTERLACED_TB", Value: 8},
	{Name: "V4L2_FIELD_NONE", Value: 1},
	{Name: "V4L2_FIELD_SEQ_BT", Value: 6},
	{Name: "V4L2_FIELD_SEQ_TB", Value: 5},
	{Name: "V4L2_FIELD_TOP", Value: 2},
	{Name: "V4L2_FMT_FLAG_COMPRESSED", Value: 1},
	{Name: "V4L2_FMT_FLAG_EMULATED", Value: 2},
	{Name: "V4L2_FRMIVAL_TYPE_CONTINUOUS", Value: 2},
	{Name: "V4L2_FRMIVAL_TYPE_DISCRETE", Value: 1},
	{Name: "V4L2_FRMIVAL_TYPE_STEPWISE", Value: 3},
	{Name: "V4L2_FRMSIZE_TYPE_CONTINUOUS", Value: 2},
	{Name: "V4L2_FRMSIZE_TYPE_DISCRETE", Value: 1},
	{Name: "V4L2_FRMSIZE_TYPE_STEPWISE", Value: 3},
	{Name: "V4L2_INPUT_TYPE_CAMERA", Value: 2},
	{Name: "V4L2_INPUT_TYPE_TOUCH", Value: 3},
	{Name: "V4L2_INPUT_TYPE_TUNER", Value: 1},
	{Name: "V4L2_IN_CAP_CUSTOM_TIMINGS", Value: 2},
	{Name: "V4L2_IN_CAP_DV_TIMINGS", Value: 2},
	{Name: "V4L2_IN_CAP_NATIVE_SIZE", Value: 8},
	{Name: "V4L2_IN_CAP_STD", Value: 4},
	{Name: "V4L2_IN_ST_COLOR_KILL", Value: 512},
	{Name: "V4L2_IN_ST_HFLIP", Value: 16},
	{Name: "V4L2_IN_ST_MACROVISION", Value: 16777216},
	{Name: "V4L2_IN_ST_NO_ACCESS", Value: 33554432},
	{Name: "V4L2_IN_ST_NO_CARRIER", Value: 262144},
	{Name: "V4L2_IN_ST_NO_COLOR", Value: 4},
	{Name: "V4L2_IN_ST_NO_EQU", Value: 131072},
	{Name: "V4L2_IN_ST_NO_H_LOCK", Value: 256},
	{Name: "V4L2_IN_ST_NO_POWER", Value: 1},
	{Name: "V4L2_IN_ST_NO_SIGNAL", Value: 2},
	{Name: "V4L2_IN_ST_NO_STD_LOCK", Value: 2048},
	{Name: "V4L2_IN_ST_NO_SYNC", Value: 65536},
	{Name: "V4L2_IN_ST_NO_V_LOCK", Value: 1024},
	{Name: "V4L2_IN_ST_VFLIP", Value: 32},
	{Name: "V4L2_IN_ST_VTR", Value: 67108864},
	{Name: "V4L2_JPEG_MARKER_APP", Value: 128},
	{Name: "V4L2_JPEG_MARKER_COM", Value: 64},
	{Name: "V4L2_JPEG_MARKER_DHT", Value: 8},
	{Name: "V4L2_JPEG_MARKER_DQT", Value: 16},
	{Name: "V4L2_JPEG_MARKER_DRI", Value: 32},
	{Name: "V4L2_MEMORY_DMABUF", Value: 4},
	{Name: "V4L2_MEMORY_MMAP", Value: 1},
	{Name: "V4L2_MEMORY_OVERLAY", Value: 3},
	{Name: "V4L2_MEMORY_USERPTR", Value: 2},
	{Name: "V4L2_MODE_HIGHQUALITY", Value: 1},
	{Name: "V4L2_MSM_BUF_FLAG_DEFER", Value: 1073741824},
	{Name: "V4L2_OUTPUT_TYPE_ANALOG", Value: 2},
	{Name: "V4L2_OUTPUT_TYPE_ANALOGVGAOVERLAY", Value: 3},
	{Name: "V4L2_OUTPUT_TYPE_MODULATOR", Value: 1},
	{Name: "V4L2_OUT_CAP_CUSTOM_TIMINGS", Value: 2},
	{Name: "V4L2_OUT_CAP_DV_TIMINGS", Value: 2},
	{Name: "V4L2_OUT_CAP_NATIVE_SIZE", Value: 8},
	{Name: "V4L2_OUT_CAP_STD", Value: 4},
	{Name: "V4L2_PIX_FMT_ABGR32", Value: 875713089},
	{Name: "V4L2_PIX_FMT_ARGB32", Value: 875708738},
	{Name: "V4L2_PIX_FMT_ARGB444", Value: 842093121},
	{Name: "V4L2_PIX_FMT_ARGB555", Value: 892424769},
	{Name: "V4L2_PIX_FMT_ARGB555X", Value: 3039908417},
	{Name: "V4L2_PIX_FMT_BGR24", Value: 861030210},
	{Name: "V4L2_PIX_FMT_BGR32", Value: 877807426},
	{Name: "V4L2_PIX_FMT_BGR666", Value: 1213351746},
	{Name: "V4L2_PIX_FMT_CIT_YYVYUY", Value: 1448364355},
	{Name: "V4L2_PIX_FMT_CPIA1", Value: 1095323715},
	{Name: "V4L2_PIX_FMT_DV", Value: 1685288548},
	{Name: "V4L2_PIX_FMT_ET61X251", Value: 892483141},
	{Name: "V4L2_PIX_FMT_FLAG_PREMUL_ALPHA", Value: 1},
	{Name: "V4L2_PIX_FMT_GREY", Value: 1497715271},
	{Name: "V4L2_PIX_FMT_H263", Value: 859189832},
	{Name: "V4L2_PIX_FMT_H264", Value: 875967048},
	{Name: "V4L2_PIX_FMT_H264_MVC", Value: 875967053},
	{Name: "V4L2_PIX_FMT_H264_NO_SC", Value: 826496577},
	{Name: "V4L2_PIX_FMT_HEVC", Value: 1129727304},
	{Name: "V4L2_PIX_FMT_HI240", Value: 875710792},
	{Name: "V4L2_PIX_FMT_HM12", Value: 842091848},
	{Name: "V4L2_PIX_FMT_JL2005BCD", Value: 808602698},
	{Name: "V4L2_PIX_FMT_JPEG", Value: 1195724874},
	{Name: "V4L2_PIX_FMT_JPGL", Value: 1279742026},
	{Name: "V4L2_PIX_FMT_KONICA420", Value: 1229868875},
	{Name: "V4L2_PIX_FMT_M420", Value: 808596557},
	{Name: "V4L2_PIX_FMT_MJPEG", Value: 1196444237},
	{Name: "V4L2_PIX_FMT_MPEG", Value: 1195724877},
	{Name: "V4L2_PIX_FMT_MPEG1", Value: 826757197},
	{Name: "V4L2_PIX_FMT_MPEG2", Value: 843534413},
	{Name: "V4L2_PIX_FMT_MPEG4", Value: 877088845},
	{Name: "V4L2_PIX_FMT_MR97310A", Value: 808530765},
	{Name: "V4L2_PIX_FMT_NV12", Value: 842094158},
	{Name: "V4L2_PIX_FMT_NV12M", Value: 842091854},
	{Name: "V4L2_PIX_FMT_NV12MT", Value: 842091860},
	{Name: "V4L2_PIX_FMT_NV12MT_16X16", Value: 842091862},
	{Name: "V4L2_PIX_FMT_NV12_P010_UBWC", Value: 1110585681},
	{Name: "V4L2_PIX_FMT_NV12_TP10_UBWC", Value: 1093808465},
	{Name: "V4L2_PIX_FMT_NV12_UBWC", Value: 942813521},
	{Name: "V4L2_PIX_FMT_NV16", Value: 909203022},
	{Name: "V4L2_PIX_FMT_NV16M", Value: 909200718},
	{Name: "V4L2_PIX_FMT_NV21", Value: 825382478},
	{Name: "V4L2_PIX_FMT_NV21M", Value: 825380174},
	{Name: "V4L2_PIX_FMT_NV24", Value: 875714126},
	{Name: "V4L2_PIX_FMT_NV42", Value: 842290766},
	{Name: "V4L2_PIX_FMT_NV61", Value: 825644622},
	{Name: "V4L2_PIX_FMT_NV61M", Value: 825642318},
	{Name: "V4L2_PIX_FMT_OV511", Value: 825308495},
	{Name: "V4L2_PIX_FMT_OV518", Value: 942749007},
	{Name: "V4L2_PIX_FMT_PAC207", Value: 925905488},
	{Name: "V4L2_PIX_FMT_PAL8", Value: 944521552},
	{Name: "V4L2_PIX_FMT_PJPG", Value: 1196444240},
	{Name: "V4L2_PIX_FMT_PWC1", Value: 826496848},
	{Name: "V4L2_PIX_FMT_PWC2", Value: 843274064},
	{Name: "V4L2_PIX_FMT_RGB24", Value: 859981650},
	{Name: "V4L2_PIX_FMT_RGB32", Value: 876758866},
	{Name: "V4L2_PIX_FMT_RGB332", Value: 826427218},
	{Name: "V4L2_PIX_FMT_RGB444", Value: 875836498},
	{Name: "V4L2_PIX_FMT_RGB555", Value: 1329743698},
	{Name: "V4L2_PIX_FMT_RGB555X", Value: 1363298130},
	{Name: "V4L2_PIX_FMT_RGB565", Value: 1346520914},
	{Name: "V4L2_PIX_FMT_RGB565X", Value: 1380075346},
	{Name: "V4L2_PIX_FMT_RGBA8888_UBWC", Value: 1111970385},
	{Name: "V4L2_PIX_FMT_S5C_UYVY_JPG", Value: 1229141331},
	{Name: "V4L2_PIX_FMT_SBGGR10", Value: 808535874},
	{Name: "V4L2_PIX_FMT_SBGGR10ALAW8", Value: 943800929},
	{Name: "V4L2_PIX_FMT_SBGGR10DPCM8", Value: 943800930},
	{Name: "V4L2_PIX_FMT_SBGGR10P", Value: 1094795888},
	{Name: "V4L2_PIX_FMT_SBGGR12", Value: 842090306},
	{Name: "V4L2_PIX_FMT_SBGGR16", Value: 844257602},
	{Name: "V4L2_PIX_FMT_SBGGR8", Value: 825770306},
	{Name: "V4L2_PIX_FMT_SE401", Value: 825242707},
	{Name: "V4L2_PIX_FMT_SGBRG10", Value: 808534599},
	{Name: "V4L2_PIX_FMT_SGBRG10ALAW8", Value: 943802209},
	{Name: "V4L2_PIX_FMT_SGBRG10DPCM8", Value: 943802210},
	{Name: "V4L2_PIX_FMT_SGBRG10P", Value: 1094797168},
	{Name: "V4L2_PIX_FMT_SGBRG12", Value: 842089031},
	{Name: "V4L2_PIX_FMT_SGBRG8", Value: 1196573255},
	{Name: "V4L2_PIX_FMT_SGRBG10", Value: 808534338},
	{Name: "V4L2_PIX_FMT_SGRBG10ALAW8", Value: 943810401},
	{Name: "V4L2_PIX_FMT_SGRBG10DPCM8", Value: 808535106},
	{Name: "V4L2_PIX_FMT_SGRBG10P", Value: 1094805360},
	{Name: "V4L2_PIX_FMT_SGRBG12", Value: 842088770},
	{Name: "V4L2_PIX_FMT_SGRBG8", Value: 1195528775},
	{Name: "V4L2_PIX_FMT_SN9C10X", Value: 808532307},
	{Name: "V4L2_PIX_FMT_SN9C2028", Value: 1481527123},
	{Name: "V4L2_PIX_FMT_SN9C20X_I420", Value: 808597843},
	{Name: "V4L2_PIX_FMT_SPCA501", Value: 825242963},
	{Name: "V4L2_PIX_FMT_SPCA505", Value: 892351827},
	{Name: "V4L2_PIX_FMT_SPCA508", Value: 942683475},
	{Name: "V4L2_PIX_FMT_SPCA561", Value: 825636179},
	{Name: "V4L2_PIX_FMT_SQ905C", Value: 1127559225},
	{Name: "V4L2_PIX_FMT_SRGGB10", Value: 808535890},
	{Name: "V4L2_PIX_FMT_SRGGB10ALAW8", Value: 943805025},
	{Name: "V4L2_PIX_FMT_SRGGB10DPCM8", Value: 943805026},
	{Name: "V4L2_PIX_FMT_SRGGB10P", Value: 1094799984},
	{Name: "V4L2_PIX_FMT_SRGGB12", Value: 842090322},
	{Name: "V4L2_PIX_FMT_SRGGB8", Value: 1111967570},
	{Name: "V4L2_PIX_FMT_STV0680", Value: 808990291},
	{Name: "V4L2_PIX_FMT_TM6000", Value: 808865108},
	{Name: "V4L2_PIX_FMT_TME", Value: 809848148},
	{Name: "V4L2_PIX_FMT_UV8", Value: 540563029},
	{Name: "V4L2_PIX_FMT_UYVY", Value: 1498831189},
	{Name: "V4L2_PIX_FMT_VC1_ANNEX_G", Value: 1194410838},
	{Name: "V4L2_PIX_FMT_VC1_ANNEX_L", Value: 1278296918},
	{Name: "V4L2_PIX_FMT_VP8", Value: 808996950},
	{Name: "V4L2_PIX_FMT_VP9", Value: 809062486},
	{Name: "V4L2_PIX_FMT_VYUY", Value: 1498765654},
	{Name: "V4L2_PIX_FMT_WNVA", Value: 1096175191},
	{Name: "V4L2_PIX_FMT_XBGR32", Value: 875713112},
	{Name: "V4L2_PIX_FMT_XRGB32", Value: 875714626},
	{Name: "V4L2_PIX_FMT_XRGB444", Value: 842093144},
	{Name: "V4L2_PIX_FMT_XRGB555", Value: 892424792},
	{Name: "V4L2_PIX_FMT_XRGB555X", Value: 3039908440},
	{Name: "V4L2_PIX_FMT_XVID", Value: 1145656920},
	{Name: "V4L2_PIX_FMT_Y10", Value: 540029273},
	{Name: "V4L2_PIX_FMT_Y10BPACK", Value: 1110454617},
	{Name: "V4L2_PIX_FMT_Y12", Value: 540160345},
	{Name: "V4L2_PIX_FMT_Y12I", Value: 1228026201},
	{Name: "V4L2_PIX_FMT_Y16", Value: 540422489},
	{Name: "V4L2_PIX_FMT_Y16_BE", Value: 2687906137},
	{Name: "V4L2_PIX_FMT_Y4", Value: 540291161},
	{Name: "V4L2_PIX_FMT_Y41P", Value: 1345401945},
	{Name: "V4L2_PIX_FMT_Y6", Value: 540422233},
	{Name: "V4L2_PIX_FMT_Y8I", Value: 541669465},
	{Name: "V4L2_PIX_FMT_YUV32", Value: 878073177},
	{Name: "V4L2_PIX_FMT_YUV410", Value: 961959257},
	{Name: "V4L2_PIX_FMT_YUV411P", Value: 1345401140},
	{Name: "V4L2_PIX_FMT_YUV420", Value: 842093913},
	{Name: "V4L2_PIX_FMT_YUV420M", Value: 842091865},
	{Name: "V4L2_PIX_FMT_YUV422M", Value: 909200729},
	{Name: "V4L2_PIX_FMT_YUV422P", Value: 1345466932},
	{Name: "V4L2_PIX_FMT_YUV444", Value: 875836505},
	{Name: "V4L2_PIX_FMT_YUV444M", Value: 875711833},
	{Name: "V4L2_PIX_FMT_YUV555", Value: 1331058009},
	{Name: "V4L2_PIX_FMT_YUV565", Value: 1347835225},
	{Name: "V4L2_PIX_FMT_YUYV", Value: 1448695129},
	{Name: "V4L2_PIX_FMT_YVU410", Value: 961893977},
	{Name: "V4L2_PIX_FMT_YVU420", Value: 842094169},
	{Name: "V4L2_PIX_FMT_YVU420M", Value: 825380185},
	{Name: "V4L2_PIX_FMT_YVU422M", Value: 825642329},
	{Name: "V4L2_PIX_FMT_YVU444M", Value: 842288473},
	{Name: "V4L2_PIX_FMT_YVYU", Value: 1431918169},
	{Name: "V4L2_PIX_FMT_YYUV", Value: 1448434009},
	{Name: "V4L2_PIX_FMT_Z16", Value: 540422490},
	{Name: "V4L2_PRIORITY_BACKGROUND", Value: 1},
	{Name: "V4L2_PRIORITY_DEFAULT", Value: 2},
	{Name: "V4L2_PRIORITY_INTERACTIVE", Value: 2},
	{Name: "V4L2_PRIORITY_RECORD", Value: 3},
	{Name: "V4L2_PRIORITY_UNSET"},
	{Name: "V4L2_QCOM_BUF_DATA_CORRUPT", Value: 4194304},
	{Name: "V4L2_QCOM_BUF_FLAG_CODECCONFIG", Value: 131072},
	{Name: "V4L2_QCOM_BUF_FLAG_DECODEONLY", Value: 2097152},
	{Name: "V4L2_QCOM_BUF_FLAG_EOS", Value: 33554432},
	{Name: "V4L2_QCOM_BUF_FLAG_EOSEQ", Value: 262144},
	{Name: "V4L2_QCOM_BUF_FLAG_IDRFRAME", Value: 2147483648},
	{Name: "V4L2_QCOM_BUF_FLAG_PERF_MODE", Value: 536870912},
	{Name: "V4L2_QCOM_BUF_FLAG_READONLY", Value: 67108864},
	{Name: "V4L2_QCOM_BUF_INPUT_UNSUPPORTED", Value: 16777216},
	{Name: "V4L2_QCOM_BUF_TIMESTAMP_INVALID", Value: 524288},
	{Name: "V4L2_QCOM_CMD_FLUSH", Value: 4},
	{Name: "V4L2_QCOM_CMD_FLUSH_CAPTURE", Value: 2},
	{Name: "V4L2_QCOM_CMD_FLUSH_OUTPUT", Value: 1},
	{Name: "V4L2_QCOM_CMD_SESSION_CONTINUE", Value: 6},
	{Name: "V4L2_QUANTIZATION_DEFAULT"},
	{Name: "V4L2_QUANTIZATION_FULL_RANGE", Value: 1},
	{Name: "V4L2_QUANTIZATION_LIM_RANGE", Value: 2},
	{Name: "V4L2_SEL_FLAG_GE", Value: 1},
	{Name: "V4L2_SEL_FLAG_KEEP_CONFIG", Value: 4},
	{Name: "V4L2_SEL_FLAG_LE", Value: 2},
	{Name: "V4L2_SEL_TGT_COMPOSE", Value: 256},
	{Name: "V4L2_SEL_TGT_COMPOSE_ACTIVE", Value: 256},
	{Name: "V4L2_SEL_TGT_COMPOSE_BOUNDS", Value: 258},
	{Name: "V4L2_SEL_TGT_COMPOSE_DEFAULT", Value: 257},
	{Name: "V4L2_SEL_TGT_COMPOSE_PADDED", Value: 259},
	{Name: "V4L2_SEL_TGT_CROP"},
	{Name: "V4L2_SEL_TGT_CROP_ACTIVE"},
	{Name: "V4L2_SEL_TGT_CROP_BOUNDS", Value: 2},
	{Name: "V4L2_SEL_TGT_CROP_DEFAULT", Value: 1},
	{Name: "V4L2_SEL_TGT_NATIVE_SIZE", Value: 3},
	{Name: "V4L2_STD_525_60", Value: 63744},
	{Name: "V4L2_STD_625_50", Value: 16713471},
	{Name: "V4L2_STD_ALL", Value: 16777215},
	{Name: "V4L2_STD_ATSC", Value: 50331648},
	{Name: "V4L2_STD_ATSC_16_VSB", Value: 33554432},
	{Name: "V4L2_STD_ATSC_8_VSB", Value: 16777216},
	{Name: "V4L2_STD_B", Value: 65539},
	{Name: "V4L2_STD_BG", Value: 327687},
	{Name: "V4L2_STD_DK", Value: 3277024},
	{Name: "V4L2_STD_G", Value: 262148},
	{Name: "V4L2_STD_GH", Value: 786444},
	{Name: "V4L2_STD_H", Value: 524296},
	{Name: "V4L2_STD_L", Value: 12582912},
	{Name: "V4L2_STD_MN", Value: 46848},
	{Name: "V4L2_STD_MTS", Value: 5888},
	{Name: "V4L2_STD_NTSC", Value: 45056},
	{Name: "V4L2_STD_NTSC_443", Value: 16384},
	{Name: "V4L2_STD_NTSC_M", Value: 4096},
	{Name: "V4L2_STD_NTSC_M_JP", Value: 8192},
	{Name: "V4L2_STD_NTSC_M_KR", Value: 32768},
	{Name: "V4L2_STD_PAL", Value: 255},
	{Name: "V4L2_STD_PAL_60", Value: 2048},
	{Name: "V4L2_STD_PAL_B", Value: 1},
	{Name: "V4L2_STD_PAL_B1", Value: 2},
	{Name: "V4L2_STD_PAL_BG", Value: 7},
	{Name: "V4L2_STD_PAL_D", Value: 32},
	{Name: "V4L2_STD_PAL_D1", Value: 64},
	{Name: "V4L2_STD_PAL_DK", Value: 224},
	{Name: "V4L2_STD_PAL_G", Value: 4},
	{Name: "V4L2_STD_PAL_H", Value: 8},
	{Name: "V4L2_STD_PAL_I", Value: 16},
	{Name: "V4L2_STD_PAL_K", Value: 128},
	{Name: "V4L2_STD_PAL_M", Value: 256},
	{Name: "V4L2_STD_PAL_N", Value: 512},
	{Name: "V4L2_STD_PAL_Nc", Value: 1024},
	{Name: "V4L2_STD_SECAM", Value: 16711680},
	{Name: "V4L2_STD_SECAM_B", Value: 65536},
	{Name: "V4L2_STD_SECAM_D", Value: 131072},
	{Name: "V4L2_STD_SECAM_DK", Value: 3276800},
	{Name: "V4L2_STD_SECAM_G", Value: 262144},
	{Name: "V4L2_STD_SECAM_H", Value: 524288},
	{Name: "V4L2_STD_SECAM_K", Value: 1048576},
	{Name: "V4L2_STD_SECAM_K1", Value: 2097152},
	{Name: "V4L2_STD_SECAM_L", Value: 4194304},
	{Name: "V4L2_STD_SECAM_LC", Value: 8388608},
	{Name: "V4L2_STD_UNKNOWN"},
	{Name: "V4L2_SUBDEV_FORMAT_ACTIVE", Value: 1},
	{Name: "V4L2_SUBDEV_FORMAT_TRY"},
	{Name: "V4L2_SUBDEV_SEL_FLAG_KEEP_CONFIG", Value: 4},
	{Name: "V4L2_SUBDEV_SEL_FLAG_SIZE_GE", Value: 1},
	{Name: "V4L2_SUBDEV_SEL_FLAG_SIZE_LE", Value: 2},
	{Name: "V4L2_SUBDEV_SEL_TGT_COMPOSE_ACTUAL", Value: 256},
	{Name: "V4L2_SUBDEV_SEL_TGT_COMPOSE_BOUNDS", Value: 258},
	{Name: "V4L2_SUBDEV_SEL_TGT_CROP_ACTUAL"},
	{Name: "V4L2_SUBDEV_SEL_TGT_CROP_BOUNDS", Value: 2},
	{Name: "V4L2_TC_FLAG_COLORFRAME", Value: 2},
	{Name: "V4L2_TC_FLAG_DROPFRAME", Value: 1},
	{Name: "V4L2_TC_TYPE_24FPS", Value: 1},
	{Name: "V4L2_TC_TYPE_25FPS", Value: 2},
	{Name: "V4L2_TC_TYPE_30FPS", Value: 3},
	{Name: "V4L2_TC_TYPE_50FPS", Value: 4},
	{Name: "V4L2_TC_TYPE_60FPS", Value: 5},
	{Name: "V4L2_TC_USERBITS_8BITCHARS", Value: 8},
	{Name: "V4L2_TC_USERBITS_USERDEFINED"},
	{Name: "V4L2_TC_USERBITS_field", Value: 12},
	{Name: "V4L2_TUNER_ANALOG_TV", Value: 2},
	{Name: "V4L2_TUNER_CAP_1HZ", Value: 4096},
	{Name: "V4L2_TUNER_CAP_FREQ_BANDS", Value: 1024},
	{Name: "V4L2_TUNER_CAP_HWSEEK_BOUNDED", Value: 4},
	{Name: "V4L2_TUNER_CAP_HWSEEK_PROG_LIM", Value: 2048},
	{Name: "V4L2_TUNER_CAP_HWSEEK_WRAP", Value: 8},
	{Name: "V4L2_TUNER_CAP_LANG1", Value: 64},
	{Name: "V4L2_TUNER_CAP_LANG2", Value: 32},
	{Name: "V4L2_TUNER_CAP_LOW", Value: 1},
	{Name: "V4L2_TUNER_CAP_NORM", Value: 2},
	{Name: "V4L2_TUNER_CAP_RDS", Value: 128},
	{Name: "V4L2_TUNER_CAP_RDS_BLOCK_IO", Value: 256},
	{Name: "V4L2_TUNER_CAP_RDS_CONTROLS", Value: 512},
	{Name: "V4L2_TUNER_CAP_SAP", Value: 32},
	{Name: "V4L2_TUNER_CAP_STEREO", Value: 16},
	{Name: "V4L2_TUNER_DIGITAL_TV", Value: 3},
	{Name: "V4L2_TUNER_MODE_LANG1", Value: 3},
	{Name: "V4L2_TUNER_MODE_LANG1_LANG2", Value: 4},
	{Name: "V4L2_TUNER_MODE_LANG2", Value: 2},
	{Name: "V4L2_TUNER_MODE_MONO"},
	{Name: "V4L2_TUNER_MODE_SAP", Value: 2},
	{Name: "V4L2_TUNER_MODE_STEREO", Value: 1},
	{Name: "V4L2_TUNER_RADIO", Value: 1},
	{Name: "V4L2_TUNER_RF", Value: 5},
	{Name: "V4L2_TUNER_SDR", Value: 4},
	{Name: "V4L2_TUNER_SUB_LANG1", Value: 8},
	{Name: "V4L2_TUNER_SUB_LANG2", Value: 4},
	{Name: "V4L2_TUNER_SUB_MONO", Value: 1},
	{Name: "V4L2_TUNER_SUB_RDS", Value: 16},
	{Name: "V4L2_TUNER_SUB_SAP", Value: 4},
	{Name: "V4L2_TUNER_SUB_STEREO", Value: 2},
	{Name: "V4L2_VBI_INTERLACED", Value: 2},
	{Name: "V4L2_VBI_ITU_525_F1_START", Value: 1},
	{Name: "V4L2_VBI_ITU_525_F2_START", Value: 264},
	{Name: "V4L2_VBI_ITU_625_F1_START", Value: 1},
	{Name: "V4L2_VBI_ITU_625_F2_START", Value: 314},
	{Name: "V4L2_VBI_UNSYNC", Value: 1},
	{Name: "V4L2_XFER_FUNC_709", Value: 1},
	{Name: "V4L2_XFER_FUNC_ADOBERGB", Value: 3},
	{Name: "V4L2_XFER_FUNC_DCI_P3", Value: 6},
	{Name: "V4L2_XFER_FUNC_DEFAULT"},
	{Name: "V4L2_XFER_FUNC_NONE", Value: 5},
	{Name: "V4L2_XFER_FUNC_SMPTE2084", Value: 7},
	{Name: "V4L2_XFER_FUNC_SMPTE240M", Value: 4},
	{Name: "V4L2_XFER_FUNC_SRGB", Value: 2},
	{Name: "V4L2_YCBCR_ENC_601", Value: 1},
	{Name: "V4L2_YCBCR_ENC_709", Value: 2},
	{Name: "V4L2_YCBCR_ENC_BT2020", Value: 6},
	{Name: "V4L2_YCBCR_ENC_BT2020_CONST_LUM", Value: 7},
	{Name: "V4L2_YCBCR_ENC_DEFAULT"},
	{Name: "V4L2_YCBCR_ENC_SMPTE240M", Value: 8},
	{Name: "V4L2_YCBCR_ENC_XV601", Value: 3},
	{Name: "V4L2_YCBCR_ENC_XV709", Value: 4},
	{Name: "VETH_INFO_PEER", Value: 1},
	{Name: "VHOST_ACCESS_RO", Value: 1},
	{Name: "VHOST_ACCESS_RW", Value: 3},
	{Name: "VHOST_ACCESS_WO", Value: 2},
	{Name: "VHOST_GET_FEATURES", Value: 2148052736},
	{Name: "VHOST_GET_VRING_BASE", Value: 3221794578},
	{Name: "VHOST_GET_VRING_ENDIAN", Value: 1074310932},
	{Name: "VHOST_IOTLB_ACCESS_FAIL", Value: 4},
	{Name: "VHOST_IOTLB_INVALIDATE", Value: 3},
	{Name: "VHOST_IOTLB_MISS", Value: 1},
	{Name: "VHOST_IOTLB_MSG", Value: 1},
	{Name: "VHOST_IOTLB_UPDATE", Value: 2},
	{Name: "VHOST_LOG_ALL", Value: 67108864},
	{Name: "VHOST_NET_SET_BACKEND", Value: 1074310960},
	{Name: "VHOST_NET_VIRTIO_NET_HDR", Value: 134217728},
	{Name: "VHOST_RESET_OWNER", Value: 44802},
	{Name: "VHOST_SET_FEATURES", Value: 1074310912},
	{Name: "VHOST_SET_LOG_BASE", Value: 1074310916},
	{Name: "VHOST_SET_LOG_FD", Value: 1074048775},
	{Name: "VHOST_SET_MEM_TABLE", Value: 1074310915},
	{Name: "VHOST_SET_OWNER", Value: 44801},
	{Name: "VHOST_SET_VRING_ADDR", Value: 1076408081},
	{Name: "VHOST_SET_VRING_BASE", Value: 1074310930},
	{Name: "VHOST_SET_VRING_BUSYLOOP_TIMEOUT", Value: 1074310947},
	{Name: "VHOST_SET_VRING_CALL", Value: 1074310945},
	{Name: "VHOST_SET_VRING_ENDIAN", Value: 1074310931},
	{Name: "VHOST_SET_VRING_ERR", Value: 1074310946},
	{Name: "VHOST_SET_VRING_KICK", Value: 1074310944},
	{Name: "VHOST_SET_VRING_NUM", Value: 1074310928},
	{Name: "VHOST_VSOCK_SET_GUEST_CID", Value: 1074311008},
	{Name: "VHOST_VSOCK_SET_RUNNING", Value: 1074048865},
	{Name: "VIDIOC_CREATE_BUFS", Value: 3238024796},
	{Name: "VIDIOC_CROPCAP", Value: 3224131130},
	{Name: "VIDIOC_DBG_G_CHIP_INFO", Value: 3234354790},
	{Name: "VIDIOC_DBG_G_REGISTER", Value: 3224917584},
	{Name: "VIDIOC_DBG_S_REGISTER", Value: 1077433935},
	{Name: "VIDIOC_DECODER_CMD", Value: 3225966176},
	{Name: "VIDIOC_DQBUF", Value: 3227014673},
	{Name: "VIDIOC_DQEVENT", Value: 2156418649},
	{Name: "VIDIOC_DV_TIMINGS_CAP", Value: 3230684772},
	{Name: "VIDIOC_ENCODER_CMD", Value: 3223869005},
	{Name: "VIDIOC_ENUMAUDIO", Value: 3224655425},
	{Name: "VIDIOC_ENUMAUDOUT", Value: 3224655426},
	{Name: "VIDIOC_ENUMINPUT", Value: 3226490394},
	{Name: "VIDIOC_ENUMOUTPUT", Value: 3225966128},
	{Name: "VIDIOC_ENUMSTD", Value: 3225966105},
	{Name: "VIDIOC_ENUM_DV_TIMINGS", Value: 3230946914},
	{Name: "VIDIOC_ENUM_FMT", Value: 3225441794},
	{Name: "VIDIOC_ENUM_FRAMEINTERVALS", Value: 3224655435},
	{Name: "VIDIOC_ENUM_FRAMESIZES", Value: 3224131146},
	{Name: "VIDIOC_ENUM_FREQ_BANDS", Value: 3225441893},
	{Name: "VIDIOC_EXPBUF", Value: 3225441808},
	{Name: "VIDIOC_G_AUDIO", Value: 2150913569},
	{Name: "VIDIOC_G_AUDOUT", Value: 2150913585},
	{Name: "VIDIOC_G_CROP", Value: 3222558267},
	{Name: "VIDIOC_G_CTRL", Value: 3221771803},
	{Name: "VIDIOC_G_DV_TIMINGS", Value: 3229898328},
	{Name: "VIDIOC_G_EDID", Value: 3223868968},
	{Name: "VIDIOC_G_ENC_INDEX", Value: 2283296332},
	{Name: "VIDIOC_G_EXT_CTRLS", Value: 3223344711},
	{Name: "VIDIOC_G_FBUF", Value: 2150651402},
	{Name: "VIDIOC_G_FMT", Value: 3234878980},
	{Name: "VIDIOC_G_FREQUENCY", Value: 3224131128},
	{Name: "VIDIOC_G_INPUT", Value: 2147767846},
	{Name: "VIDIOC_G_JPEGCOMP", Value: 2156680765},
	{Name: "VIDIOC_G_MODULATOR", Value: 3225703990},
	{Name: "VIDIOC_G_OUTPUT", Value: 2147767854},
	{Name: "VIDIOC_G_PARM", Value: 3234616853},
	{Name: "VIDIOC_G_PRIORITY", Value: 2147767875},
	{Name: "VIDIOC_G_SELECTION", Value: 3225441886},
	{Name: "VIDIOC_G_SLICED_VBI_CAP", Value: 3228849733},
	{Name: "VIDIOC_G_STD", Value: 2148029975},
	{Name: "VIDIOC_G_TUNER", Value: 3226752541},
	{Name: "VIDIOC_LOG_STATUS", Value: 22086},
	{Name: "VIDIOC_OVERLAY", Value: 1074025998},
	{Name: "VIDIOC_PREPARE_BUF", Value: 3227014749},
	{Name: "VIDIOC_QBUF", Value: 3227014671},
	{Name: "VIDIOC_QUERYBUF", Value: 3227014665},
	{Name: "VIDIOC_QUERYCAP", Value: 2154321408},
	{Name: "VIDIOC_QUERYCTRL", Value: 3225703972},
	{Name: "VIDIOC_QUERYMENU", Value: 3224131109},
	{Name: "VIDIOC_QUERYSTD", Value: 2148030015},
	{Name: "VIDIOC_QUERY_DV_TIMINGS", Value: 2156156515},
	{Name: "VIDIOC_QUERY_EXT_CTRL", Value: 3236451943},
	{Name: "VIDIOC_REQBUFS", Value: 3222558216},
	{Name: "VIDIOC_RESERVED", Value: 22017},
	{Name: "VIDIOC_STREAMOFF", Value: 1074026003},
	{Name: "VIDIOC_STREAMON", Value: 1074026002},
	{Name: "VIDIOC_SUBDEV_DV_TIMINGS_CAP", Value: 3230684772},
	{Name: "VIDIOC_SUBDEV_ENUM_DV_TIMINGS", Value: 3230946914},
	{Name: "VIDIOC_SUBDEV_ENUM_FRAME_INTERVAL", Value: 3225441867},
	{Name: "VIDIOC_SUBDEV_ENUM_FRAME_SIZE", Value: 3225441866},
	{Name: "VIDIOC_SUBDEV_ENUM_MBUS_CODE", Value: 3224393218},
	{Name: "VIDIOC_SUBDEV_G_CROP", Value: 3224917563},
	{Name: "VIDIOC_SUBDEV_G_DV_TIMINGS", Value: 3229898328},
	{Name: "VIDIOC_SUBDEV_G_EDID", Value: 3223868968},
	{Name: "VIDIOC_SUBDEV_G_FMT", Value: 3227014660},
	{Name: "VIDIOC_SUBDEV_G_FRAME_INTERVAL", Value: 3224393237},
	{Name: "VIDIOC_SUBDEV_G_SELECTION", Value: 3225441853},
	{Name: "VIDIOC_SUBDEV_QUERY_DV_TIMINGS", Value: 2156156515},
	{Name: "VIDIOC_SUBDEV_S_CROP", Value: 3224917564},
	{Name: "VIDIOC_SUBDEV_S_DV_TIMINGS", Value: 3229898327},
	{Name: "VIDIOC_SUBDEV_S_EDID", Value: 3223868969},
	{Name: "VIDIOC_SUBDEV_S_FMT", Value: 3227014661},
	{Name: "VIDIOC_SUBDEV_S_FRAME_INTERVAL", Value: 3224393238},
	{Name: "VIDIOC_SUBDEV_S_SELECTION", Value: 3225441854},
	{Name: "VIDIOC_SUBSCRIBE_EVENT", Value: 1075861082},
	{Name: "VIDIOC_S_AUDIO", Value: 1077171746},
	{Name: "VIDIOC_S_AUDOUT", Value: 1077171762},
	{Name: "VIDIOC_S_CROP", Value: 1075074620},
	{Name: "VIDIOC_S_CTRL", Value: 3221771804},
	{Name: "VIDIOC_S_DV_TIMINGS", Value: 3229898327},
	{Name: "VIDIOC_S_EDID", Value: 3223868969},
	{Name: "VIDIOC_S_EXT_CTRLS", Value: 3223344712},
	{Name: "VIDIOC_S_FBUF", Value: 1076909579},
	{Name: "VIDIOC_S_FMT", Value: 3234878981},
	{Name: "VIDIOC_S_FREQUENCY", Value: 1076647481},
	{Name: "VIDIOC_S_HW_FREQ_SEEK", Value: 1076909650},
	{Name: "VIDIOC_S_INPUT", Value: 3221509671},
	{Name: "VIDIOC_S_JPEGCOMP", Value: 1082938942},
	{Name: "VIDIOC_S_MODULATOR", Value: 1078220343},
	{Name: "VIDIOC_S_OUTPUT", Value: 3221509679},
	{Name: "VIDIOC_S_PARM", Value: 3234616854},
	{Name: "VIDIOC_S_PRIORITY", Value: 1074026052},
	{Name: "VIDIOC_S_SELECTION", Value: 3225441887},
	{Name: "VIDIOC_S_STD", Value: 1074288152},
	{Name: "VIDIOC_S_TUNER", Value: 1079268894},
	{Name: "VIDIOC_TRY_DECODER_CMD", Value: 3225966177},
	{Name: "VIDIOC_TRY_ENCODER_CMD", Value: 3223869006},
	{Name: "VIDIOC_TRY_EXT_CTRLS", Value: 3223344713},
	{Name: "VIDIOC_TRY_FMT", Value: 3234879040},
	{Name: "VIDIOC_UNSUBSCRIBE_EVENT", Value: 1075861083},
	{Name: "VIRTIO_ANY_LAYOUT", Value: 134217728},
	{Name: "VIRTIO_IOMMU_PLATFORM", Value: 8589934592},
	{Name: "VIRTIO_NET_HDR_F_DATA_VALID", Value: 2},
	{Name: "VIRTIO_NET_HDR_F_NEEDS_CSUM", Value: 1},
	{Name: "VIRTIO_NET_HDR_GSO_ECN", Value: 128},
	{Name: "VIRTIO_NET_HDR_GSO_NONE"},
	{Name: "VIRTIO_NET_HDR_GSO_TCPV4", Value: 1},
	{Name: "VIRTIO_NET_HDR_GSO_TCPV6", Value: 4},
	{Name: "VIRTIO_NET_HDR_GSO_UDP", Value: 3},
	{Name: "VIRTIO_NET_MRG_RXBUF", Value: 32768},
	{Name: "VIRTIO_NOTIFY_ON_EMPTY", Value: 16777216},
	{Name: "VIRTIO_RING_F_EVENT_IDX", Value: 29},
	{Name: "VIRTIO_RING_F_INDIRECT_DESC", Value: 28},
	{Name: "VIRTIO_VERSION_1", Value: 4294967296},
	{Name: "VMADDR_CID_ANY", Value: 4294967295},
	{Name: "VMADDR_CID_HOST", Value: 2},
	{Name: "VMADDR_CID_HYPERVISOR"},
	{Name: "VMADDR_CID_RESERVED", Value: 1},
	{Name: "VMADDR_PORT_ANY", Value: 4294967295},
	{Name: "VSOCK_VQ_EVENT", Value: 2},
	{Name: "VSOCK_VQ_MAX", Value: 3},
	{Name: "VSOCK_VQ_RX"},
	{Name: "VSOCK_VQ_TX", Value: 1},
	{Name: "VT_ACTIVATE", Value: 22022},
	{Name: "VT_DISALLOCATE", Value: 22024},
	{Name: "VT_GETMODE", Value: 22017},
	{Name: "VT_GETSTATE", Value: 22019},
	{Name: "VT_OPENQRY", Value: 22016},
	{Name: "VT_RELDISP", Value: 22021},
	{Name: "VT_RESIZE", Value: 22025},
	{Name: "VT_RESIZEX", Value: 22026},
	{Name: "VT_SETMODE", Value: 22018},
	{Name: "VT_WAITACTIVE", Value: 22023},
	{Name: "WCONTINUED", Value: 8},
	{Name: "WEXITED", Value: 4},
	{Name: "WHOLE_SECONDS", Value: 33554432},
	{Name: "WNOHANG", Value: 1},
	{Name: "WNOWAIT", Value: 16777216},
	{Name: "WSTOPPED", Value: 2},
	{Name: "WUNTRACED", Value: 2},
	{Name: "X25_CALL_ACCEPTED", Value: 15},
	{Name: "X25_CALL_REQUEST", Value: 11},
	{Name: "X25_CLEAR_CONFIRMATION", Value: 23},
	{Name: "X25_CLEAR_REQUEST", Value: 19},
	{Name: "X25_DATA"},
	{Name: "X25_DIAGNOSTIC", Value: 241},
	{Name: "X25_IFACE_CONNECT", Value: 1},
	{Name: "X25_IFACE_DATA"},
	{Name: "X25_IFACE_DISCONNECT", Value: 2},
	{Name: "X25_IFACE_PARAMS", Value: 3},
	{Name: "X25_ILLEGAL", Value: 253},
	{Name: "X25_INTERRUPT", Value: 35},
	{Name: "X25_INTERRUPT_CONFIRMATION", Value: 39},
	{Name: "X25_REGISTRATION_CONFIRMATION", Value: 247},
	{Name: "X25_REGISTRATION_REQUEST", Value: 243},
	{Name: "X25_REJ", Value: 9},
	{Name: "X25_RESET_CONFIRMATION", Value: 31},
	{Name: "X25_RESET_REQUEST", Value: 27},
	{Name: "X25_RESTART_CONFIRMATION", Value: 255},
	{Name: "X25_RESTART_REQUEST", Value: 251},
	{Name: "X25_RNR", Value: 5},
	{Name: "X25_RR", Value: 1},
	{Name: "XATTR_CREATE", Value: 1},
	{Name: "XATTR_REPLACE", Value: 2},
	{Name: "XDP_COPY", Value: 2},
	{Name: "XDP_MMAP_OFFSETS", Value: 1},
	{Name: "XDP_MMAP_OFFSETS_SIZE", Value: 96},
	{Name: "XDP_PGOFF_RX_RING"},
	{Name: "XDP_PGOFF_TX_RING", Value: 2147483648},
	{Name: "XDP_RX_RING", Value: 2},
	{Name: "XDP_SHARED_UMEM", Value: 1},
	{Name: "XDP_STATISTICS", Value: 7},
	{Name: "XDP_STATISTICS_SIZE", Value: 24},
	{Name: "XDP_TX_RING", Value: 3},
	{Name: "XDP_UMEM_COMPLETION_RING", Value: 6},
	{Name: "XDP_UMEM_FILL_RING", Value: 5},
	{Name: "XDP_UMEM_PGOFF_COMPLETION_RING", Value: 6442450944},
	{Name: "XDP_UMEM_PGOFF_FILL_RING", Value: 4294967296},
	{Name: "XDP_UMEM_REG", Value: 4},
	{Name: "XDP_ZEROCOPY", Value: 4},
	{Name: "XFRMA_ADDRESS_FILTER", Value: 26},
	{Name: "XFRMA_ALG_AEAD", Value: 18},
	{Name: "XFRMA_ALG_AUTH", Value: 1},
	{Name: "XFRMA_ALG_AUTH_TRUNC", Value: 20},
	{Name: "XFRMA_ALG_COMP", Value: 3},
	{Name: "XFRMA_ALG_CRYPT", Value: 2},
	{Name: "XFRMA_COADDR", Value: 14},
	{Name: "XFRMA_ENCAP", Value: 4},
	{Name: "XFRMA_ETIMER_THRESH", Value: 12},
	{Name: "XFRMA_KMADDRESS", Value: 19},
	{Name: "XFRMA_LASTUSED", Value: 15},
	{Name: "XFRMA_LTIME_VAL", Value: 9},
	{Name: "XFRMA_MARK", Value: 21},
	{Name: "XFRMA_MIGRATE", Value: 17},
	{Name: "XFRMA_OFFLOAD_DEV", Value: 28},
	{Name: "XFRMA_OUTPUT_MARK", Value: 29},
	{Name: "XFRMA_POLICY", Value: 7},
	{Name: "XFRMA_POLICY_TYPE", Value: 16},
	{Name: "XFRMA_PROTO", Value: 25},
	{Name: "XFRMA_REPLAY_ESN_VAL", Value: 23},
	{Name: "XFRMA_REPLAY_THRESH", Value: 11},
	{Name: "XFRMA_REPLAY_VAL", Value: 10},
	{Name: "XFRMA_SA", Value: 6},
	{Name: "XFRMA_SA_EXTRA_FLAGS", Value: 24},
	{Name: "XFRMA_SEC_CTX", Value: 8},
	{Name: "XFRMA_SPD_IPV4_HTHRESH", Value: 3},
	{Name: "XFRMA_SPD_IPV6_HTHRESH", Value: 4},
	{Name: "XFRMA_SRCADDR", Value: 13},
	{Name: "XFRMA_TFCPAD", Value: 22},
	{Name: "XFRMA_TMPL", Value: 5},
	{Name: "XFRM_MODE_BEET", Value: 4},
	{Name: "XFRM_MODE_IN_TRIGGER", Value: 3},
	{Name: "XFRM_MODE_ROUTEOPTIMIZATION", Value: 2},
	{Name: "XFRM_MODE_TRANSPORT"},
	{Name: "XFRM_MODE_TUNNEL", Value: 1},
	{Name: "XFRM_MSG_ACQUIRE", Value: 23},
	{Name: "XFRM_MSG_ALLOCSPI", Value: 22},
	{Name: "XFRM_MSG_DELPOLICY", Value: 20},
	{Name: "XFRM_MSG_DELSA", Value: 17},
	{Name: "XFRM_MSG_EXPIRE", Value: 24},
	{Name: "XFRM_MSG_FLUSHPOLICY", Value: 29},
	{Name: "XFRM_MSG_FLUSHSA", Value: 28},
	{Name: "XFRM_MSG_GETAE", Value: 31},
	{Name: "XFRM_MSG_GETPOLICY", Value: 21},
	{Name: "XFRM_MSG_GETSA", Value: 18},
	{Name: "XFRM_MSG_GETSADINFO", Value: 35},
	{Name: "XFRM_MSG_GETSPDINFO", Value: 37},
	{Name: "XFRM_MSG_MIGRATE", Value: 33},
	{Name: "XFRM_MSG_NEWAE", Value: 30},
	{Name: "XFRM_MSG_NEWPOLICY", Value: 19},
	{Name: "XFRM_MSG_NEWSA", Value: 16},
	{Name: "XFRM_MSG_NEWSPDINFO", Value: 36},
	{Name: "XFRM_MSG_POLEXPIRE", Value: 27},
	{Name: "XFRM_MSG_REPORT", Value: 32},
	{Name: "XFRM_MSG_UPDPOLICY", Value: 25},
	{Name: "XFRM_MSG_UPDSA", Value: 26},
	{Name: "XFRM_OFFLOAD_INBOUND", Value: 2},
	{Name: "XFRM_OFFLOAD_IPV6", Value: 1},
	{Name: "XFRM_POLICY_ALLOW"},
	{Name: "XFRM_POLICY_BLOCK", Value: 1},
	{Name: "XFRM_POLICY_FWD", Value: 2},
	{Name: "XFRM_POLICY_ICMP", Value: 2},
	{Name: "XFRM_POLICY_IN"},
	{Name: "XFRM_POLICY_LOCALOK", Value: 1},
	{Name: "XFRM_POLICY_OUT", Value: 1},
	{Name: "XFRM_POLICY_TYPE_MAIN"},
	{Name: "XFRM_POLICY_TYPE_SUB", Value: 1},
	{Name: "XFRM_SC_ALG_SELINUX", Value: 1},
	{Name: "XFRM_SHARE_ANY"},
	{Name: "XFRM_SHARE_SESSION", Value: 1},
	{Name: "XFRM_SHARE_UNIQUE", Value: 3},
	{Name: "XFRM_SHARE_USER", Value: 2},
	{Name: "XFRM_STATE_AF_UNSPEC", Value: 32},
	{Name: "XFRM_STATE_ALIGN4", Value: 64},
	{Name: "XFRM_STATE_DECAP_DSCP", Value: 2},
	{Name: "XFRM_STATE_ESN", Value: 128},
	{Name: "XFRM_STATE_ICMP", Value: 16},
	{Name: "XFRM_STATE_NOECN", Value: 1},
	{Name: "XFRM_STATE_NOPMTUDISC", Value: 4},
	{Name: "XFRM_STATE_WILDRECV", Value: 8},
	{Name: "XT_ADDRTYPE_ANYCAST", Value: 16},
	{Name: "XT_ADDRTYPE_BLACKHOLE", Value: 64},
	{Name: "XT_ADDRTYPE_BROADCAST", Value: 8},
	{Name: "XT_ADDRTYPE_INVERT_DEST", Value: 2},
	{Name: "XT_ADDRTYPE_INVERT_SOURCE", Value: 1},
	{Name: "XT_ADDRTYPE_LIMIT_IFACE_IN", Value: 4},
	{Name: "XT_ADDRTYPE_LIMIT_IFACE_OUT", Value: 8},
	{Name: "XT_ADDRTYPE_LOCAL", Value: 4},
	{Name: "XT_ADDRTYPE_MULTICAST", Value: 32},
	{Name: "XT_ADDRTYPE_NAT", Value: 1024},
	{Name: "XT_ADDRTYPE_PROHIBIT", Value: 256},
	{Name: "XT_ADDRTYPE_THROW", Value: 512},
	{Name: "XT_ADDRTYPE_UNICAST", Value: 2},
	{Name: "XT_ADDRTYPE_UNREACHABLE", Value: 128},
	{Name: "XT_ADDRTYPE_UNSPEC", Value: 1},
	{Name: "XT_ADDRTYPE_XRESOLVE", Value: 2048},
	{Name: "XT_AUDIT_TYPE_ACCEPT"},
	{Name: "XT_AUDIT_TYPE_DROP", Value: 1},
	{Name: "XT_AUDIT_TYPE_REJECT", Value: 2},
	{Name: "XT_BPF_MAX_NUM_INSTR", Value: 64},
	{Name: "XT_BPF_MODE_BYTECODE"},
	{Name: "XT_BPF_MODE_FD_ELF", Value: 2},
	{Name: "XT_BPF_MODE_FD_PINNED", Value: 1},
	{Name: "XT_BPF_PATH_MAX", Value: 512},
	{Name: "XT_CHECKSUM_OP_FILL", Value: 1},
	{Name: "XT_CONNBYTES_AVGPKT", Value: 2},
	{Name: "XT_CONNBYTES_BYTES", Value: 1},
	{Name: "XT_CONNBYTES_DIR_BOTH", Value: 2},
	{Name: "XT_CONNBYTES_DIR_ORIGINAL"},
	{Name: "XT_CONNBYTES_DIR_REPLY", Value: 1},
	{Name: "XT_CONNBYTES_PKTS"},
	{Name: "XT_CONNLABEL_OP_INVERT", Value: 1},
	{Name: "XT_CONNLABEL_OP_SET", Value: 2},
	{Name: "XT_CONNLIMIT_DADDR", Value: 2},
	{Name: "XT_CONNLIMIT_INVERT", Value: 1},
	{Name: "XT_CONNMARK_RESTORE", Value: 2},
	{Name: "XT_CONNMARK_SAVE", Value: 1},
	{Name: "XT_CONNMARK_SET"},
	{Name: "XT_CONNTRACK_DIRECTION", Value: 4096},
	{Name: "XT_CONNTRACK_EXPIRES", Value: 128},
	{Name: "XT_CONNTRACK_ORIGDST", Value: 8},
	{Name: "XT_CONNTRACK_ORIGDST_PORT", Value: 512},
	{Name: "XT_CONNTRACK_ORIGSRC", Value: 4},
	{Name: "XT_CONNTRACK_ORIGSRC_PORT", Value: 256},
	{Name: "XT_CONNTRACK_PROTO", Value: 2},
	{Name: "XT_CONNTRACK_REPLDST", Value: 32},
	{Name: "XT_CONNTRACK_REPLDST_PORT", Value: 2048},
	{Name: "XT_CONNTRACK_REPLSRC", Value: 16},
	{Name: "XT_CONNTRACK_REPLSRC_PORT", Value: 1024},
	{Name: "XT_CONNTRACK_STATE", Value: 1},
	{Name: "XT_CONNTRACK_STATE_ALIAS", Value: 8192},
	{Name: "XT_CONNTRACK_STATE_DNAT", Value: 128},
	{Name: "XT_CONNTRACK_STATE_INVALID", Value: 1},
	{Name: "XT_CONNTRACK_STATE_SNAT", Value: 64},
	{Name: "XT_CONNTRACK_STATE_UNTRACKED", Value: 256},
	{Name: "XT_CONNTRACK_STATUS", Value: 64},
	{Name: "XT_CONTINUE", Value: 4294967295},
	{Name: "XT_CT_NOTRACK", Value: 1},
	{Name: "XT_CT_NOTRACK_ALIAS", Value: 2},
	{Name: "XT_CT_ZONE_DIR_ORIG", Value: 4},
	{Name: "XT_CT_ZONE_DIR_REPL", Value: 8},
	{Name: "XT_CT_ZONE_MARK", Value: 16},
	{Name: "XT_DCCP_DEST_PORTS", Value: 2},
	{Name: "XT_DCCP_OPTION", Value: 8},
	{Name: "XT_DCCP_SRC_PORTS", Value: 1},
	{Name: "XT_DCCP_TYPE", Value: 4},
	{Name: "XT_DEVGROUP_INVERT_DST", Value: 8},
	{Name: "XT_DEVGROUP_INVERT_SRC", Value: 2},
	{Name: "XT_DEVGROUP_MATCH_DST", Value: 4},
	{Name: "XT_DEVGROUP_MATCH_SRC", Value: 1},
	{Name: "XT_DSCP_MAX", Value: 63},
	{Name: "XT_ECN_OP_MATCH_CWR", Value: 32},
	{Name: "XT_ECN_OP_MATCH_ECE", Value: 16},
	{Name: "XT_ECN_OP_MATCH_IP", Value: 1},
	{Name: "XT_ESP_INV_MASK", Value: 1},
	{Name: "XT_ESP_INV_SPI", Value: 1},
	{Name: "XT_EXTENSION_MAXNAMELEN", Value: 29},
	{Name: "XT_FUNCTION_MAXNAMELEN", Value: 30},
	{Name: "XT_HASHLIMIT_BYTES", Value: 32},
	{Name: "XT_HASHLIMIT_HASH_DIP", Value: 1},
	{Name: "XT_HASHLIMIT_HASH_DPT", Value: 2},
	{Name: "XT_HASHLIMIT_HASH_SIP", Value: 4},
	{Name: "XT_HASHLIMIT_HASH_SPT", Value: 8},
	{Name: "XT_HASHLIMIT_INVERT", Value: 16},
	{Name: "XT_HASHLIMIT_RATE_MATCH", Value: 64},
	{Name: "XT_IPCOMP_INV_MASK", Value: 1},
	{Name: "XT_IPCOMP_INV_SPI", Value: 1},
	{Name: "XT_IPVS_DIR", Value: 16},
	{Name: "XT_IPVS_IPVS_PROPERTY", Value: 1},
	{Name: "XT_IPVS_METHOD", Value: 32},
	{Name: "XT_IPVS_PROTO", Value: 2},
	{Name: "XT_IPVS_VADDR", Value: 4},
	{Name: "XT_IPVS_VPORT", Value: 8},
	{Name: "XT_L2TP_SID", Value: 2},
	{Name: "XT_L2TP_TID", Value: 1},
	{Name: "XT_L2TP_TYPE", Value: 8},
	{Name: "XT_L2TP_TYPE_CONTROL"},
	{Name: "XT_L2TP_TYPE_DATA", Value: 1},
	{Name: "XT_L2TP_VERSION", Value: 4},
	{Name: "XT_LOG_IPOPT", Value: 4},
	{Name: "XT_LOG_MACDECODE", Value: 32},
	{Name: "XT_LOG_NFLOG", Value: 16},
	{Name: "XT_LOG_TCPOPT", Value: 2},
	{Name: "XT_LOG_TCPSEQ", Value: 1},
	{Name: "XT_LOG_UID", Value: 8},
	{Name: "XT_MAX_COMMENT_LEN", Value: 256},
	{Name: "XT_MULTI_PORTS", Value: 15},
	{Name: "XT_NUM_SCTP_FLAGS", Value: 4},
	{Name: "XT_OSF_GENRE", Value: 1},
	{Name: "XT_OSF_INVERT", Value: 8},
	{Name: "XT_OSF_LOG", Value: 4},
	{Name: "XT_OSF_TTL", Value: 2},
	{Name: "XT_OWNER_GID", Value: 2},
	{Name: "XT_OWNER_SOCKET", Value: 4},
	{Name: "XT_OWNER_UID", Value: 1},
	{Name: "XT_PHYSDEV_OP_BRIDGED", Value: 4},
	{Name: "XT_PHYSDEV_OP_IN", Value: 1},
	{Name: "XT_PHYSDEV_OP_ISIN", Value: 8},
	{Name: "XT_PHYSDEV_OP_ISOUT", Value: 16},
	{Name: "XT_PHYSDEV_OP_OUT", Value: 2},
	{Name: "XT_POLICY_MATCH_IN", Value: 1},
	{Name: "XT_POLICY_MATCH_NONE", Value: 4},
	{Name: "XT_POLICY_MATCH_OUT", Value: 2},
	{Name: "XT_POLICY_MATCH_STRICT", Value: 8},
	{Name: "XT_POLICY_MAX_ELEM", Value: 4},
	{Name: "XT_POLICY_MODE_TRANSPORT"},
	{Name: "XT_POLICY_MODE_TUNNEL", Value: 1},
	{Name: "XT_RATEEST_MATCH_ABS", Value: 2},
	{Name: "XT_RATEEST_MATCH_BPS", Value: 16},
	{Name: "XT_RATEEST_MATCH_DELTA", Value: 8},
	{Name: "XT_RATEEST_MATCH_EQ", Value: 1},
	{Name: "XT_RATEEST_MATCH_GT", Value: 3},
	{Name: "XT_RATEEST_MATCH_INVERT", Value: 1},
	{Name: "XT_RATEEST_MATCH_LT", Value: 2},
	{Name: "XT_RATEEST_MATCH_NONE"},
	{Name: "XT_RATEEST_MATCH_PPS", Value: 32},
	{Name: "XT_RATEEST_MATCH_REL", Value: 4},
	{Name: "XT_RECENT_CHECK", Value: 1},
	{Name: "XT_RECENT_DEST", Value: 1},
	{Name: "XT_RECENT_NAME_LEN", Value: 200},
	{Name: "XT_RECENT_REAP", Value: 32},
	{Name: "XT_RECENT_REMOVE", Value: 8},
	{Name: "XT_RECENT_SET", Value: 2},
	{Name: "XT_RECENT_SOURCE"},
	{Name: "XT_RECENT_TTL", Value: 16},
	{Name: "XT_RECENT_UPDATE", Value: 4},
	{Name: "XT_RPFILTER_ACCEPT_LOCAL", Value: 4},
	{Name: "XT_RPFILTER_INVERT", Value: 8},
	{Name: "XT_RPFILTER_LOOSE", Value: 1},
	{Name: "XT_RPFILTER_VALID_MARK", Value: 2},
	{Name: "XT_SCTP_CHUNK_TYPES", Value: 4},
	{Name: "XT_SCTP_DEST_PORTS", Value: 2},
	{Name: "XT_SCTP_SRC_PORTS", Value: 1},
	{Name: "XT_SOCKET_NOWILDCARD", Value: 2},
	{Name: "XT_SOCKET_RESTORESKMARK", Value: 4},
	{Name: "XT_SOCKET_TRANSPARENT", Value: 1},
	{Name: "XT_STRING_FLAG_IGNORECASE", Value: 2},
	{Name: "XT_STRING_FLAG_INVERT", Value: 1},
	{Name: "XT_STRING_MAX_ALGO_NAME_SIZE", Value: 16},
	{Name: "XT_STRING_MAX_PATTERN_SIZE", Value: 128},
	{Name: "XT_SYNPROXY_OPT_ECN", Value: 16},
	{Name: "XT_SYNPROXY_OPT_MSS", Value: 1},
	{Name: "XT_SYNPROXY_OPT_SACK_PERM", Value: 4},
	{Name: "XT_SYNPROXY_OPT_TIMESTAMP", Value: 8},
	{Name: "XT_SYNPROXY_OPT_WSCALE", Value: 2},
	{Name: "XT_TABLE_MAXNAMELEN", Value: 32},
	{Name: "XT_TCP_INV_DSTPT", Value: 2},
	{Name: "XT_TCP_INV_FLAGS", Value: 4},
	{Name: "XT_TCP_INV_OPTION", Value: 8},
	{Name: "XT_TCP_INV_SRCPT", Value: 1},
	{Name: "XT_TIME_CONTIGUOUS", Value: 2},
	{Name: "XT_TIME_LOCAL_TZ", Value: 1},
	{Name: "XT_TIME_MAX_DAYTIME", Value: 86399},
	{Name: "XT_U32_AND"},
	{Name: "XT_U32_AT", Value: 3},
	{Name: "XT_U32_LEFTSH", Value: 1},
	{Name: "XT_U32_REAL_MAXSIZE", Value: 11},
	{Name: "XT_U32_RIGHTSH", Value: 2},
	{Name: "XT_UDP_INV_DSTPT", Value: 2},
	{Name: "XT_UDP_INV_SRCPT", Value: 1},
	{Name: "ZMAGIC", Value: 267},
	{Name: "_DRM_AGP", Value: 3},
	{Name: "_DRM_AGP_BUFFER", Value: 2},
	{Name: "_DRM_CONSISTENT", Value: 5},
	{Name: "_DRM_CONTAINS_LOCK", Value: 32},
	{Name: "_DRM_CONTEXT_2DONLY", Value: 2},
	{Name: "_DRM_CONTEXT_PRESERVED", Value: 1},
	{Name: "_DRM_DMA_BLOCK", Value: 1},
	{Name: "_DRM_DMA_LARGER_OK", Value: 64},
	{Name: "_DRM_DMA_PRIORITY", Value: 4},
	{Name: "_DRM_DMA_SMALLER_OK", Value: 32},
	{Name: "_DRM_DMA_WAIT", Value: 16},
	{Name: "_DRM_DMA_WHILE_LOCKED", Value: 2},
	{Name: "_DRM_DRIVER", Value: 128},
	{Name: "_DRM_FB_BUFFER", Value: 8},
	{Name: "_DRM_FRAME_BUFFER"},
	{Name: "_DRM_HALT_ALL_QUEUES", Value: 16},
	{Name: "_DRM_HALT_CUR_QUEUES", Value: 32},
	{Name: "_DRM_KERNEL", Value: 8},
	{Name: "_DRM_LOCKED", Value: 4},
	{Name: "_DRM_LOCK_FLUSH", Value: 4},
	{Name: "_DRM_LOCK_FLUSH_ALL", Value: 8},
	{Name: "_DRM_LOCK_QUIESCENT", Value: 2},
	{Name: "_DRM_LOCK_READY", Value: 1},
	{Name: "_DRM_PAGE_ALIGN", Value: 1},
	{Name: "_DRM_PCI_BUFFER_RO", Value: 16},
	{Name: "_DRM_READ_ONLY", Value: 2},
	{Name: "_DRM_REGISTERS", Value: 1},
	{Name: "_DRM_REMOVABLE", Value: 64},
	{Name: "_DRM_RESTRICTED", Value: 1},
	{Name: "_DRM_SCATTER_GATHER", Value: 4},
	{Name: "_DRM_SG_BUFFER", Value: 4},
	{Name: "_DRM_SHM", Value: 2},
	{Name: "_DRM_VBLANK_ABSOLUTE"},
	{Name: "_DRM_VBLANK_EVENT", Value: 67108864},
	{Name: "_DRM_VBLANK_FLIP", Value: 134217728},
	{Name: "_DRM_VBLANK_HIGH_CRTC_MASK", Value: 62},
	{Name: "_DRM_VBLANK_NEXTONMISS", Value: 268435456},
	{Name: "_DRM_VBLANK_RELATIVE", Value: 1},
	{Name: "_DRM_VBLANK_SECONDARY", Value: 536870912},
	{Name: "_DRM_VBLANK_SIGNAL", Value: 1073741824},
	{Name: "_DRM_WRITE_COMBINING", Value: 16},
	{Name: "__BPF_FUNC_MAX_ID", Value: 81},
	{Name: "__NR_accept", Value: 202},
	{Name: "__NR_accept4", Value: 242},
	{Name: "__NR_acct", Value: 89},
	{Name: "__NR_add_key", Value: 217},
	{Name: "__NR_bind", Value: 200},
	{Name: "__NR_bpf", Value: 280},
	{Name: "__NR_capget", Value: 90},
	{Name: "__NR_capset", Value: 91},
	{Name: "__NR_chdir", Value: 49},
	{Name: "__NR_chroot", Value: 51},
	{Name: "__NR_clock_adjtime", Value: 266},
	{Name: "__NR_clock_getres", Value: 114},
	{Name: "__NR_clock_gettime", Value: 113},
	{Name: "__NR_clock_nanosleep", Value: 115},
	{Name: "__NR_clock_settime", Value: 112},
	{Name: "__NR_clone", Value: 220},
	{Name: "__NR_close", Value: 57},
	{Name: "__NR_connect", Value: 203},
	{Name: "__NR_delete_module", Value: 106},
	{Name: "__NR_dup", Value: 23},
	{Name: "__NR_dup3", Value: 24},
	{Name: "__NR_epoll_create1", Value: 20},
	{Name: "__NR_epoll_ctl", Value: 21},
	{Name: "__NR_epoll_pwait", Value: 22},
	{Name: "__NR_eventfd2", Value: 19},
	{Name: "__NR_execve", Value: 221},
	{Name: "__NR_execveat", Value: 281},
	{Name: "__NR_exit", Value: 93},
	{Name: "__NR_exit_group", Value: 94},
	{Name: "__NR_faccessat", Value: 48},
	{Name: "__NR_fadvise64", Value: 223},
	{Name: "__NR_fallocate", Value: 47},
	{Name: "__NR_fanotify_init", Value: 262},
	{Name: "__NR_fanotify_mark", Value: 263},
	{Name: "__NR_fchdir", Value: 50},
	{Name: "__NR_fchmod", Value: 52},
	{Name: "__NR_fchmodat", Value: 53},
	{Name: "__NR_fchown", Value: 55},
	{Name: "__NR_fchownat", Value: 54},
	{Name: "__NR_fcntl", Value: 25},
	{Name: "__NR_fdatasync", Value: 83},
	{Name: "__NR_fgetxattr", Value: 10},
	{Name: "__NR_finit_module", Value: 273},
	{Name: "__NR_flistxattr", Value: 13},
	{Name: "__NR_flock", Value: 32},
	{Name: "__NR_fremovexattr", Value: 16},
	{Name: "__NR_fsetxattr", Value: 7},
	{Name: "__NR_fstat", Value: 80},
	{Name: "__NR_fstatfs", Value: 44},
	{Name: "__NR_fsync", Value: 82},
	{Name: "__NR_ftruncate", Value: 46},
	{Name: "__NR_futex", Value: 98},
	{Name: "__NR_get_mempolicy", Value: 236},
	{Name: "__NR_get_robust_list", Value: 100},
	{Name: "__NR_getcwd", Value: 17},
	{Name: "__NR_getdents64", Value: 61},
	{Name: "__NR_getegid", Value: 177},
	{Name: "__NR_geteuid", Value: 175},
	{Name: "__NR_getgid", Value: 176},
	{Name: "__NR_getgroups", Value: 158},
	{Name: "__NR_getitimer", Value: 102},
	{Name: "__NR_getpeername", Value: 205},
	{Name: "__NR_getpgid", Value: 155},
	{Name: "__NR_getpid", Value: 172},
	{Name: "__NR_getpriority", Value: 141},
	{Name: "__NR_getrandom", Value: 278},
	{Name: "__NR_getresgid", Value: 150},
	{Name: "__NR_getresuid", Value: 148},
	{Name: "__NR_getrlimit", Value: 163},
	{Name: "__NR_getrusage", Value: 165},
	{Name: "__NR_getsockname", Value: 204},
	{Name: "__NR_getsockopt", Value: 209},
	{Name: "__NR_gettid", Value: 178},
	{Name: "__NR_getuid", Value: 174},
	{Name: "__NR_getxattr", Value: 8},
	{Name: "__NR_init_module", Value: 105},
	{Name: "__NR_inotify_add_watch", Value: 27},
	{Name: "__NR_inotify_init1", Value: 26},
	{Name: "__NR_inotify_rm_watch", Value: 28},
	{Name: "__NR_io_cancel", Value: 3},
	{Name: "__NR_io_destroy", Value: 1},
	{Name: "__NR_io_getevents", Value: 4},
	{Name: "__NR_io_pgetevents", Value: 292},
	{Name: "__NR_io_setup"},
	{Name: "__NR_io_submit", Value: 2},
	{Name: "__NR_ioctl", Value: 29},
	{Name: "__NR_ioprio_get", Value: 31},
	{Name: "__NR_ioprio_set", Value: 30},
	{Name: "__NR_kcmp", Value: 272},
	{Name: "__NR_kexec_load", Value: 104},
	{Name: "__NR_keyctl", Value: 219},
	{Name: "__NR_lgetxattr", Value: 9},
	{Name: "__NR_linkat", Value: 37},
	{Name: "__NR_listen", Value: 201},
	{Name: "__NR_listxattr", Value: 11},
	{Name: "__NR_llistxattr", Value: 12},
	{Name: "__NR_lookup_dcookie", Value: 18},
	{Name: "__NR_lremovexattr", Value: 15},
	{Name: "__NR_lseek", Value: 62},
	{Name: "__NR_lsetxattr", Value: 6},
	{Name: "__NR_madvise", Value: 233},
	{Name: "__NR_mbind", Value: 235},
	{Name: "__NR_membarrier", Value: 283},
	{Name: "__NR_memfd_create", Value: 279},
	{Name: "__NR_migrate_pages", Value: 238},
	{Name: "__NR_mincore", Value: 232},
	{Name: "__NR_mkdirat", Value: 34},
	{Name: "__NR_mknodat", Value: 33},
	{Name: "__NR_mlock", Value: 228},
	{Name: "__NR_mlock2", Value: 284},
	{Name: "__NR_mlockall", Value: 230},
	{Name: "__NR_mmap", Value: 222},
	{Name: "__NR_mount", Value: 40},
	{Name: "__NR_move_pages", Value: 239},
	{Name: "__NR_mprotect", Value: 226},
	{Name: "__NR_mq_getsetattr", Value: 185},
	{Name: "__NR_mq_notify", Value: 184},
	{Name: "__NR_mq_open", Value: 180},
	{Name: "__NR_mq_timedreceive", Value: 183},
	{Name: "__NR_mq_timedsend", Value: 182},
	{Name: "__NR_mq_unlink", Value: 181},
	{Name: "__NR_mremap", Value: 216},
	{Name: "__NR_msgctl", Value: 187},
	{Name: "__NR_msgget", Value: 186},
	{Name: "__NR_msgrcv", Value: 188},
	{Name: "__NR_msgsnd", Value: 189},
	{Name: "__NR_msync", Value: 227},
	{Name: "__NR_munlock", Value: 229},
	{Name: "__NR_munlockall", Value: 231},
	{Name: "__NR_munmap", Value: 215},
	{Name: "__NR_name_to_handle_at", Value: 264},
	{Name: "__NR_nanosleep", Value: 101},
	{Name: "__NR_open_by_handle_at", Value: 265},
	{Name: "__NR_openat", Value: 56},
	{Name: "__NR_perf_event_open", Value: 241},
	{Name: "__NR_personality", Value: 92},
	{Name: "__NR_pipe2", Value: 59},
	{Name: "__NR_pivot_root", Value: 41},
	{Name: "__NR_pkey_alloc", Value: 289},
	{Name: "__NR_pkey_free", Value: 290},
	{Name: "__NR_pkey_mprotect", Value: 288},
	{Name: "__NR_ppoll", Value: 73},
	{Name: "__NR_prctl", Value: 167},
	{Name: "__NR_pread64", Value: 67},
	{Name: "__NR_preadv", Value: 69},
	{Name: "__NR_prlimit64", Value: 261},
	{Name: "__NR_process_vm_readv", Value: 270},
	{Name: "__NR_process_vm_writev", Value: 271},
	{Name: "__NR_pselect6", Value: 72},
	{Name: "__NR_ptrace", Value: 117},
	{Name: "__NR_pwrite64", Value: 68},
	{Name: "__NR_pwritev", Value: 70},
	{Name: "__NR_quotactl", Value: 60},
	{Name: "__NR_read", Value: 63},
	{Name: "__NR_readahead", Value: 213},
	{Name: "__NR_readlinkat", Value: 78},
	{Name: "__NR_readv", Value: 65},
	{Name: "__NR_recvfrom", Value: 207},
	{Name: "__NR_recvmmsg", Value: 243},
	{Name: "__NR_recvmsg", Value: 212},
	{Name: "__NR_remap_file_pages", Value: 234},
	{Name: "__NR_removexattr", Value: 14},
	{Name: "__NR_renameat", Value: 38},
	{Name: "__NR_renameat2", Value: 276},
	{Name: "__NR_request_key", Value: 218},
	{Name: "__NR_restart_syscall", Value: 128},
	{Name: "__NR_rt_sigaction", Value: 134},
	{Name: "__NR_rt_sigpending", Value: 136},
	{Name: "__NR_rt_sigprocmask", Value: 135},
	{Name: "__NR_rt_sigqueueinfo", Value: 138},
	{Name: "__NR_rt_sigreturn", Value: 139},
	{Name: "__NR_rt_sigsuspend", Value: 133},
	{Name: "__NR_rt_sigtimedwait", Value: 137},
	{Name: "__NR_rt_tgsigqueueinfo", Value: 240},
	{Name: "__NR_sched_getaffinity", Value: 123},
	{Name: "__NR_sched_getattr", Value: 275},
	{Name: "__NR_sched_getparam", Value: 121},
	{Name: "__NR_sched_getscheduler", Value: 120},
	{Name: "__NR_sched_rr_get_interval", Value: 127},
	{Name: "__NR_sched_setaffinity", Value: 122},
	{Name: "__NR_sched_setattr", Value: 274},
	{Name: "__NR_sched_setparam", Value: 118},
	{Name: "__NR_sched_setscheduler", Value: 119},
	{Name: "__NR_sched_yield", Value: 124},
	{Name: "__NR_seccomp", Value: 277},
	{Name: "__NR_semctl", Value: 191},
	{Name: "__NR_semget", Value: 190},
	{Name: "__NR_semop", Value: 193},
	{Name: "__NR_semtimedop", Value: 192},
	{Name: "__NR_sendfile", Value: 71},
	{Name: "__NR_sendmmsg", Value: 269},
	{Name: "__NR_sendmsg", Value: 211},
	{Name: "__NR_sendto", Value: 206},
	{Name: "__NR_set_mempolicy", Value: 237},
	{Name: "__NR_set_robust_list", Value: 99},
	{Name: "__NR_set_tid_address", Value: 96},
	{Name: "__NR_setfsgid", Value: 152},
	{Name: "__NR_setfsuid", Value: 151},
	{Name: "__NR_setgid", Value: 144},
	{Name: "__NR_setgroups", Value: 159},
	{Name: "__NR_setitimer", Value: 103},
	{Name: "__NR_setns", Value: 268},
	{Name: "__NR_setpgid", Value: 154},
	{Name: "__NR_setpriority", Value: 140},
	{Name: "__NR_setregid", Value: 143},
	{Name: "__NR_setresgid", Value: 149},
	{Name: "__NR_setresuid", Value: 147},
	{Name: "__NR_setreuid", Value: 145},
	{Name: "__NR_setrlimit", Value: 164},
	{Name: "__NR_setsockopt", Value: 208},
	{Name: "__NR_setuid", Value: 146},
	{Name: "__NR_setxattr", Value: 5},
	{Name: "__NR_shmat", Value: 196},
	{Name: "__NR_shmctl", Value: 195},
	{Name: "__NR_shmdt", Value: 197},
	{Name: "__NR_shmget", Value: 194},
	{Name: "__NR_shutdown", Value: 210},
	{Name: "__NR_sigaltstack", Value: 132},
	{Name: "__NR_signalfd4", Value: 74},
	{Name: "__NR_socket", Value: 198},
	{Name: "__NR_socketpair", Value: 199},
	{Name: "__NR_splice", Value: 76},
	{Name: "__NR_statfs", Value: 43},
	{Name: "__NR_statx", Value: 291},
	{Name: "__NR_symlinkat", Value: 36},
	{Name: "__NR_sync", Value: 81},
	{Name: "__NR_sync_file_range", Value: 84},
	{Name: "__NR_syncfs", Value: 267},
	{Name: "__NR_sysinfo", Value: 179},
	{Name: "__NR_syslog", Value: 116},
	{Name: "__NR_tee", Value: 77},
	{Name: "__NR_tgkill", Value: 131},
	{Name: "__NR_timer_create", Value: 107},
	{Name: "__NR_timer_delete", Value: 111},
	{Name: "__NR_timer_getoverrun", Value: 109},
	{Name: "__NR_timer_gettime", Value: 108},
	{Name: "__NR_timer_settime", Value: 110},
	{Name: "__NR_timerfd_create", Value: 85},
	{Name: "__NR_timerfd_gettime", Value: 87},
	{Name: "__NR_timerfd_settime", Value: 86},
	{Name: "__NR_times", Value: 153},
	{Name: "__NR_tkill", Value: 130},
	{Name: "__NR_truncate", Value: 45},
	{Name: "__NR_umount2", Value: 39},
	{Name: "__NR_uname", Value: 160},
	{Name: "__NR_unlinkat", Value: 35},
	{Name: "__NR_unshare", Value: 97},
	{Name: "__NR_userfaultfd", Value: 282},
	{Name: "__NR_utimensat", Value: 88},
	{Name: "__NR_vmsplice", Value: 75},
	{Name: "__NR_wait4", Value: 260},
	{Name: "__NR_waitid", Value: 95},
	{Name: "__NR_write", Value: 64},
	{Name: "__NR_writev", Value: 66},
	{Name: "__O_TMPFILE", Value: 4194304},
	{Name: "__WALL", Value: 1073741824},
	{Name: "__WCLONE", Value: 2147483648},
	{Name: "__WNOTHREAD", Value: 536870912},
	{Name: "bpf_call_code", Value: 133},
	{Name: "bpf_exit_code", Value: 149},
	{Name: "bpf_insn_load_imm_dw", Value: 24},
}

const revision_arm64 = "a704fd29cde1884c766605de62de1d34ec317232"
