// AUTOGENERATED FILE
// +build !syz_target syz_target,syz_os_windows,syz_arch_amd64

package gen

import . "github.com/google/syzkaller/prog"
import . "github.com/google/syzkaller/sys/windows"

func init() {
	RegisterTarget(&Target{OS: "windows", Arch: "amd64", Revision: revision_amd64, PtrSize: 8, PageSize: 4096, NumPages: 4096, DataOffset: 536870912, Syscalls: syscalls_amd64, Resources: resources_amd64, Structs: structDescs_amd64, Consts: consts_amd64}, InitTarget)
}

var resources_amd64 = []*ResourceDesc{
	{Name: "HANDLE", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"HANDLE"}, Values: []uint64{18446744073709551615}},
	{Name: "hFile", Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8}}}, Kind: []string{"HANDLE", "hFile"}, Values: []uint64{18446744073709551615}},
}

var structDescs_amd64 = []*KeyedStruct{
	{Key: StructKey{Name: "SECURITY_ATTRIBUTES"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "SECURITY_ATTRIBUTES", TypeSize: 24}, Fields: []Type{
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "nLength", TypeSize: 4}}, Buf: "parent"},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityDescriptor", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "SECURITY_DESCRIPTOR"}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}, Kind: 2, RangeEnd: 1},
		&ConstType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "pad", TypeSize: 4}}, IsPad: true},
	}}},
	{Key: StructKey{Name: "SECURITY_DESCRIPTOR"}, Desc: &StructDesc{TypeCommon: TypeCommon{TypeName: "SECURITY_DESCRIPTOR", TypeSize: 4}, Fields: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stub", TypeSize: 4}}},
	}}},
}

var syscalls_amd64 = []*Syscall{
	{Name: "AbortDoc", CallName: "AbortDoc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AbortPath", CallName: "AbortPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AbortPrinter", CallName: "AbortPrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "AbortSystemShutdownA", CallName: "AbortSystemShutdownA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMachineName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AcceptEx", CallName: "AcceptEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sListenSocket", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sAcceptSocket", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutputBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReceiveDataLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLocalAddressLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRemoteAddressLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwBytesReceived", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AccessCheck", CallName: "AccessCheck", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSet", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSetLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GrantedAccess", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AccessStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AccessCheckAndAuditAlarmA", CallName: "AccessCheckAndAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ObjectCreation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GrantedAccess", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AccessCheckByType", CallName: "AccessCheckByType", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrincipalSelfSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ObjectTypeListLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSet", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSetLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AccessCheckByTypeAndAuditAlarmA", CallName: "AccessCheckByTypeAndAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrincipalSelfSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuditType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "AccessCheckByTypeResultList", CallName: "AccessCheckByTypeResultList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrincipalSelfSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ObjectTypeListLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSet", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegeSetLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AccessCheckByTypeResultListAndAuditAlarmA", CallName: "AccessCheckByTypeResultListAndAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrincipalSelfSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuditType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "AccessCheckByTypeResultListAndAuditAlarmByHandleA", CallName: "AccessCheckByTypeResultListAndAuditAlarmByHandleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrincipalSelfSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuditType", TypeSize: 4}}},
	}},
	{Name: "AcquireSRWLockExclusive", CallName: "AcquireSRWLockExclusive", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AcquireSRWLockShared", CallName: "AcquireSRWLockShared", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ActivateActCtx", CallName: "ActivateActCtx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hActCtx", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCookie", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ActivateKeyboardLayout", CallName: "ActivateKeyboardLayout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "AddAccessAllowedAce", CallName: "AddAccessAllowedAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAccessAllowedAceEx", CallName: "AddAccessAllowedAceEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAccessAllowedObjectAce", CallName: "AddAccessAllowedObjectAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InheritedObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAccessDeniedAce", CallName: "AddAccessDeniedAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAccessDeniedAceEx", CallName: "AddAccessDeniedAceEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAccessDeniedObjectAce", CallName: "AddAccessDeniedObjectAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InheritedObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddAce", CallName: "AddAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStartingAceIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAceList", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nAceListLength", TypeSize: 4}}},
	}},
	{Name: "AddAtomA", CallName: "AddAtomA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddAuditAccessAce", CallName: "AddAuditAccessAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditSuccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditFailure", TypeSize: 4}}},
	}},
	{Name: "AddAuditAccessAceEx", CallName: "AddAuditAccessAceEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditSuccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditFailure", TypeSize: 4}}},
	}},
	{Name: "AddAuditAccessObjectAce", CallName: "AddAuditAccessObjectAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InheritedObjectTypeGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditSuccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAuditFailure", TypeSize: 4}}},
	}},
	{Name: "AddClipboardFormatListener", CallName: "AddClipboardFormatListener", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AddConditionalAce", CallName: "AddConditionalAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "AceType", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ConditionStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AddConsoleAliasA", CallName: "AddConsoleAliasA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Source", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Target", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddDllDirectory", CallName: "AddDllDirectory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "AddFontMemResourceEx", CallName: "AddFontMemResourceEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFileView", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvResrved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pNumFonts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "AddFontResourceA", CallName: "AddFontResourceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddFontResourceExA", CallName: "AddFontResourceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fl", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "res", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddFormA", CallName: "AddFormA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddIntegrityLabelToBoundaryDescriptor", CallName: "AddIntegrityLabelToBoundaryDescriptor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BoundaryDescriptor", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IntegrityLabel", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddJobA", CallName: "AddJobA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AddMandatoryAce", CallName: "AddMandatoryAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MandatoryPolicy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pLabelSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddMonitorA", CallName: "AddMonitorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMonitors", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPortA", CallName: "AddPortA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMonitorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPrintProcessorA", CallName: "AddPrintProcessorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProcessorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPrintProvidorA", CallName: "AddPrintProvidorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProvidorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPrinterA", CallName: "AddPrinterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "AddPrinterConnection2A", CallName: "AddPrinterConnection2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pConnectionInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddPrinterConnectionA", CallName: "AddPrinterConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPrinterDriverA", CallName: "AddPrinterDriverA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "AddPrinterDriverExA", CallName: "AddPrinterDriverExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbDriverInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileCopyFlags", TypeSize: 4}}},
	}},
	{Name: "AddRefActCtx", CallName: "AddRefActCtx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hActCtx", TypeSize: 8}},
	}},
	{Name: "AddResourceAttributeAce", CallName: "AddResourceAttributeAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAttributeInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AddSIDToBoundaryDescriptor", CallName: "AddSIDToBoundaryDescriptor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BoundaryDescriptor", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RequiredSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddScopedPolicyIDAce", CallName: "AddScopedPolicyIDAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceRevision", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AceFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "AddSecureMemoryCacheCallback", CallName: "AddSecureMemoryCacheCallback", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCallBack", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AddUsersToEncryptedFile", CallName: "AddUsersToEncryptedFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncryptionCertificates", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AddVectoredContinueHandler", CallName: "AddVectoredContinueHandler", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "First", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handler", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AddVectoredExceptionHandler", CallName: "AddVectoredExceptionHandler", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "First", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handler", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AdjustTokenGroups", CallName: "AdjustTokenGroups", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ResetToDefault", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PreviousState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AdjustTokenPrivileges", CallName: "AdjustTokenPrivileges", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DisableAllPrivileges", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PreviousState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "AdjustWindowRect", CallName: "AdjustWindowRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMenu", TypeSize: 4}}},
	}},
	{Name: "AdjustWindowRectEx", CallName: "AdjustWindowRectEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMenu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExStyle", TypeSize: 4}}},
	}},
	{Name: "AdjustWindowRectExForDpi", CallName: "AdjustWindowRectExForDpi", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMenu", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dpi", TypeSize: 4}}},
	}},
	{Name: "AdvancedDocumentPropertiesA", CallName: "AdvancedDocumentPropertiesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AllocConsole", CallName: "AllocConsole"},
	{Name: "AllocateAndInitializeSid", CallName: "AllocateAndInitializeSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIdentifierAuthority", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nSubAuthorityCount", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority0", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority4", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority5", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority6", TypeSize: 4}}},
	}},
	{Name: "AllocateLocallyUniqueId", CallName: "AllocateLocallyUniqueId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Luid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AllocateUserPhysicalPages", CallName: "AllocateUserPhysicalPages", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NumberOfPages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PageArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AllocateUserPhysicalPagesNuma", CallName: "AllocateUserPhysicalPagesNuma", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NumberOfPages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PageArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nndPreferred", TypeSize: 4}}},
	}},
	{Name: "AllowSetForegroundWindow", CallName: "AllowSetForegroundWindow", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
	}},
	{Name: "AlphaBlend", CallName: "AlphaBlend", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSrc", TypeSize: 4}}},
	}},
	{Name: "AngleArc", CallName: "AngleArc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "r", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "StartAngle", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "SweepAngle", TypeSize: 8}}},
	}},
	{Name: "AnimatePalette", CallName: "AnimatePalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hPal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStartIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AnimateWindow", CallName: "AnimateWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "AnyPopup", CallName: "AnyPopup"},
	{Name: "AppendMenuA", CallName: "AppendMenuA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uIDNewItem", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ApplicationRecoveryFinished", CallName: "ApplicationRecoveryFinished", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bSuccess", TypeSize: 4}}},
	}},
	{Name: "ApplicationRecoveryInProgress", CallName: "ApplicationRecoveryInProgress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCancelled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "Arc", CallName: "Arc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x4", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y4", TypeSize: 4}}},
	}},
	{Name: "ArcTo", CallName: "ArcTo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xr1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yr1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xr2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yr2", TypeSize: 4}}},
	}},
	{Name: "AreAllAccessesGranted", CallName: "AreAllAccessesGranted", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GrantedAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
	}},
	{Name: "AreAnyAccessesGranted", CallName: "AreAnyAccessesGranted", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GrantedAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
	}},
	{Name: "AreDpiAwarenessContextsEqual", CallName: "AreDpiAwarenessContextsEqual", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dpiContextA", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dpiContextB", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AreFileApisANSI", CallName: "AreFileApisANSI"},
	{Name: "ArrangeIconicWindows", CallName: "ArrangeIconicWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "AssignProcessToJobObject", CallName: "AssignProcessToJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
	}},
	{Name: "AssocCreateForClasses", CallName: "AssocCreateForClasses", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgClasses", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cClasses", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "riid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppv", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "AttachConsole", CallName: "AttachConsole", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
	}},
	{Name: "AttachThreadInput", CallName: "AttachThreadInput", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idAttach", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idAttachTo", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fAttach", TypeSize: 4}}},
	}},
	{Name: "BCryptFreeBuffer", CallName: "BCryptFreeBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "BSTR_UserFree", CallName: "BSTR_UserFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserFree64", CallName: "BSTR_UserFree64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserMarshal", CallName: "BSTR_UserMarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserMarshal64", CallName: "BSTR_UserMarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserSize", CallName: "BSTR_UserSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserSize64", CallName: "BSTR_UserSize64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserUnmarshal", CallName: "BSTR_UserUnmarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BSTR_UserUnmarshal64", CallName: "BSTR_UserUnmarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "BackupEventLogA", CallName: "BackupEventLogA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBackupFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "BackupRead", CallName: "BackupRead", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAbort", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bProcessSecurity", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "BackupSeek", CallName: "BackupSeek", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLowBytesToSeek", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwHighBytesToSeek", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwLowByteSeeked", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwHighByteSeeked", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "BackupWrite", CallName: "BackupWrite", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToWrite", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAbort", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bProcessSecurity", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "Beep", CallName: "Beep", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFreq", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDuration", TypeSize: 4}}},
	}},
	{Name: "BeginDeferWindowPos", CallName: "BeginDeferWindowPos", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumWindows", TypeSize: 4}}},
	}},
	{Name: "BeginPaint", CallName: "BeginPaint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPaint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "BeginPath", CallName: "BeginPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "BeginUpdateResourceA", CallName: "BeginUpdateResourceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDeleteExistingResources", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "BindIoCompletionCallback", CallName: "BindIoCompletionCallback", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "FileHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Function", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "BitBlt", CallName: "BitBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rop", TypeSize: 4}}},
	}},
	{Name: "BlockInput", CallName: "BlockInput", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fBlockIt", TypeSize: 4}}},
	}},
	{Name: "BringWindowToTop", CallName: "BringWindowToTop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "BroadcastSystemMessageA", CallName: "BroadcastSystemMessageA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "BroadcastSystemMessageExA", CallName: "BroadcastSystemMessageExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbsmInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "BuildCommDCBA", CallName: "BuildCommDCBA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDef", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDCB", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "BuildCommDCBAndTimeoutsA", CallName: "BuildCommDCBAndTimeoutsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDef", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDCB", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommTimeouts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CalculatePopupWindowPosition", CallName: "CalculatePopupWindowPosition", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "anchorPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "windowSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "excludeRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "popupWindowPosition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CallMsgFilterA", CallName: "CallMsgFilterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCode", TypeSize: 4}}},
	}},
	{Name: "CallNamedPipeA", CallName: "CallNamedPipeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNamedPipeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nInBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nOutBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTimeOut", TypeSize: 4}}},
	}},
	{Name: "CallNextHookEx", CallName: "CallNextHookEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hhk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "CallWindowProcA", CallName: "CallWindowProcA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPrevWndFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "CallbackMayRunLong", CallName: "CallbackMayRunLong", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CancelDC", CallName: "CancelDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CancelDeviceWakeupRequest", CallName: "CancelDeviceWakeupRequest", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
	}},
	{Name: "CancelIo", CallName: "CancelIo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "CancelIoEx", CallName: "CancelIoEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CancelShutdown", CallName: "CancelShutdown"},
	{Name: "CancelSynchronousIo", CallName: "CancelSynchronousIo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
	}},
	{Name: "CancelThreadpoolIo", CallName: "CancelThreadpoolIo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CancelTimerQueueTimer", CallName: "CancelTimerQueueTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Timer", TypeSize: 8}},
	}},
	{Name: "CancelWaitableTimer", CallName: "CancelWaitableTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTimer", TypeSize: 8}},
	}},
	{Name: "CascadeWindows", CallName: "CascadeWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wHow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cKids", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKids", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCRLContextToStore", CallName: "CertAddCRLContextToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCRLLinkToStore", CallName: "CertAddCRLLinkToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCTLContextToStore", CallName: "CertAddCTLContextToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCTLLinkToStore", CallName: "CertAddCTLLinkToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCertificateContextToStore", CallName: "CertAddCertificateContextToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddCertificateLinkToStore", CallName: "CertAddCertificateLinkToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppStoreContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddEncodedCRLToStore", CallName: "CertAddEncodedCRLToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCrlEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCrlEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppCrlContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddEncodedCTLToStore", CallName: "CertAddEncodedCTLToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgAndCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCtlEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCtlEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppCtlContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddEncodedCertificateToStore", CallName: "CertAddEncodedCertificateToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCertEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCertEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppCertContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertAddEncodedCertificateToSystemStoreA", CallName: "CertAddEncodedCertificateToSystemStoreA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szCertStoreName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCertEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCertEncoded", TypeSize: 4}}},
	}},
	{Name: "CertAddEnhancedKeyUsageIdentifier", CallName: "CertAddEnhancedKeyUsageIdentifier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszUsageIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CertAddRefServerOcspResponse", CallName: "CertAddRefServerOcspResponse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hServerOcspResponse", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertAddRefServerOcspResponseContext", CallName: "CertAddRefServerOcspResponseContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pServerOcspResponseContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertAddSerializedElementToStore", CallName: "CertAddSerializedElementToStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbElement", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAddDisposition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwContextTypeFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwContextType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CertAddStoreToCollection", CallName: "CertAddStoreToCollection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCollectionStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSiblingStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwUpdateFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPriority", TypeSize: 4}}},
	}},
	{Name: "CertAlgIdToOID", CallName: "CertAlgIdToOID", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAlgId", TypeSize: 4}}},
	}},
	{Name: "CertCloseServerOcspResponse", CallName: "CertCloseServerOcspResponse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hServerOcspResponse", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertCloseStore", CallName: "CertCloseStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertCompareCertificate", CallName: "CertCompareCertificate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertId1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertId2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertCompareCertificateName", CallName: "CertCompareCertificateName", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertName1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertName2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertCompareIntegerBlob", CallName: "CertCompareIntegerBlob", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInt1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInt2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertComparePublicKeyInfo", CallName: "CertComparePublicKeyInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPublicKey1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPublicKey2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertControlStore", CallName: "CertControlStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCtrlType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvCtrlPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertCreateCRLContext", CallName: "CertCreateCRLContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCrlEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCrlEncoded", TypeSize: 4}}},
	}},
	{Name: "CertCreateCTLContext", CallName: "CertCreateCTLContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgAndCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCtlEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCtlEncoded", TypeSize: 4}}},
	}},
	{Name: "CertCreateCTLEntryFromCertificateContextProperties", CallName: "CertCreateCTLEntryFromCertificateContextProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cOptAttr", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgOptAttr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbCtlEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertCreateCertificateChainEngine", CallName: "CertCreateCertificateChainEngine", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pConfig", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phChainEngine", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CertCreateCertificateContext", CallName: "CertCreateCertificateContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCertEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCertEncoded", TypeSize: 4}}},
	}},
	{Name: "CertCreateContext", CallName: "CertCreateContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwContextType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCreatePara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertCreateSelfSignCertificate", CallName: "CertCreateSelfSignCertificate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProvOrNCryptKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectIssuerBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyProvInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignatureAlgorithm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStartTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEndTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExtensions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDeleteCRLFromStore", CallName: "CertDeleteCRLFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDeleteCTLFromStore", CallName: "CertDeleteCTLFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDeleteCertificateFromStore", CallName: "CertDeleteCertificateFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDuplicateCRLContext", CallName: "CertDuplicateCRLContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDuplicateCTLContext", CallName: "CertDuplicateCTLContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDuplicateCertificateChain", CallName: "CertDuplicateCertificateChain", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDuplicateCertificateContext", CallName: "CertDuplicateCertificateContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertDuplicateStore", CallName: "CertDuplicateStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertEnumCRLContextProperties", CallName: "CertEnumCRLContextProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
	}},
	{Name: "CertEnumCRLsInStore", CallName: "CertEnumCRLsInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumCTLContextProperties", CallName: "CertEnumCTLContextProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
	}},
	{Name: "CertEnumCTLsInStore", CallName: "CertEnumCTLsInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumCertificateContextProperties", CallName: "CertEnumCertificateContextProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
	}},
	{Name: "CertEnumCertificatesInStore", CallName: "CertEnumCertificatesInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumPhysicalStore", CallName: "CertEnumPhysicalStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumSubjectInSortedCTL", CallName: "CertEnumSubjectInSortedCTL", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvNextSubject", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncodedAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumSystemStore", CallName: "CertEnumSystemStore", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStoreLocationPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertEnumSystemStoreLocation", CallName: "CertEnumSystemStoreLocation", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindAttribute", CallName: "CertFindAttribute", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cAttr", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgAttr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindCRLInStore", CallName: "CertFindCRLInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvFindPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindCTLInStore", CallName: "CertFindCTLInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgAndCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvFindPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindCertificateInCRL", CallName: "CertFindCertificateInCRL", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCert", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppCrlEntry", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertFindCertificateInStore", CallName: "CertFindCertificateInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvFindPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindChainInStore", CallName: "CertFindChainInStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvFindPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindExtension", CallName: "CertFindExtension", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cExtensions", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgExtensions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindRDNAttr", CallName: "CertFindRDNAttr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFindSubjectInCTL", CallName: "CertFindSubjectInCTL", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSubjectType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSubject", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertFindSubjectInSortedCTL", CallName: "CertFindSubjectInSortedCTL", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncodedAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFreeCRLContext", CallName: "CertFreeCRLContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFreeCTLContext", CallName: "CertFreeCTLContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFreeCertificateChain", CallName: "CertFreeCertificateChain", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFreeCertificateChainEngine", CallName: "CertFreeCertificateChainEngine", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hChainEngine", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertFreeCertificateChainList", CallName: "CertFreeCertificateChainList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prgpSelection", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertFreeCertificateContext", CallName: "CertFreeCertificateContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertFreeServerOcspResponseContext", CallName: "CertFreeServerOcspResponseContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pServerOcspResponseContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertGetCRLContextProperty", CallName: "CertGetCRLContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetCRLFromStore", CallName: "CertGetCRLFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIssuerContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetCTLContextProperty", CallName: "CertGetCTLContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetCertificateChain", CallName: "CertGetCertificateChain", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hChainEngine", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAdditionalStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppChainContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertGetCertificateContextProperty", CallName: "CertGetCertificateContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetEnhancedKeyUsage", CallName: "CertGetEnhancedKeyUsage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUsage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbUsage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetIntendedKeyUsage", CallName: "CertGetIntendedKeyUsage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbKeyUsage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbKeyUsage", TypeSize: 4}}},
	}},
	{Name: "CertGetIssuerCertificateFromStore", CallName: "CertGetIssuerCertificateFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrevIssuerContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetNameStringA", CallName: "CertGetNameStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvTypePara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszNameString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchNameString", TypeSize: 4}}},
	}},
	{Name: "CertGetPublicKeyLength", CallName: "CertGetPublicKeyLength", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPublicKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertGetServerOcspResponseContext", CallName: "CertGetServerOcspResponseContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hServerOcspResponse", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertGetStoreProperty", CallName: "CertGetStoreProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertGetSubjectCertificateFromStore", CallName: "CertGetSubjectCertificateFromStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertGetValidUsages", CallName: "CertGetValidUsages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCerts", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rghCerts", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cNumOIDs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rghOIDs", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbOIDs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertIsRDNAttrsInCertificateName", CallName: "CertIsRDNAttrsInCertificateName", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRDN", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertIsStrongHashToSign", CallName: "CertIsStrongHashToSign", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStrongSignPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszCNGHashAlgid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSigningCert", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertIsValidCRLForCertificate", CallName: "CertIsValidCRLForCertificate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCert", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertIsWeakHash", CallName: "CertIsWeakHash", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwHashUseType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszCNGHashAlgid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwChainFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignerChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pTimeStamp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "CertNameToStrA", CallName: "CertNameToStrA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStrType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "csz", TypeSize: 4}}},
	}},
	{Name: "CertOIDToAlgId", CallName: "CertOIDToAlgId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CertOpenServerOcspResponse", CallName: "CertOpenServerOcspResponse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOpenPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertOpenStore", CallName: "CertOpenStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStoreProvider", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertOpenSystemStoreA", CallName: "CertOpenSystemStoreA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szSubsystemProtocol", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CertRDNValueToStrA", CallName: "CertRDNValueToStrA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwValueType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "csz", TypeSize: 4}}},
	}},
	{Name: "CertRegisterPhysicalStore", CallName: "CertRegisterPhysicalStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszStoreName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStoreInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertRegisterSystemStore", CallName: "CertRegisterSystemStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStoreInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertRemoveEnhancedKeyUsageIdentifier", CallName: "CertRemoveEnhancedKeyUsageIdentifier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszUsageIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CertRemoveStoreFromCollection", CallName: "CertRemoveStoreFromCollection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCollectionStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSiblingStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertResyncCertificateChainEngine", CallName: "CertResyncCertificateChainEngine", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hChainEngine", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertRetrieveLogoOrBiometricInfo", CallName: "CertRetrieveLogoOrBiometricInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszLogoOrBiometricType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRetrievalFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeout", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppbData", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppwszMimeType", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "CertSaveStore", CallName: "CertSaveStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSaveAs", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSaveTo", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSaveToPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertSelectCertificateChains", CallName: "CertSelectCertificateChains", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSelectionContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainParameters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCriteria", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpCriteria", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcSelection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pprgpSelection", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}}},
	}},
	{Name: "CertSerializeCRLStoreElement", CallName: "CertSerializeCRLStoreElement", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertSerializeCTLStoreElement", CallName: "CertSerializeCTLStoreElement", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertSerializeCertificateStoreElement", CallName: "CertSerializeCertificateStoreElement", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbElement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertSetCRLContextProperty", CallName: "CertSetCRLContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertSetCTLContextProperty", CallName: "CertSetCTLContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertSetCertificateContextPropertiesFromCTLEntry", CallName: "CertSetCertificateContextPropertiesFromCTLEntry", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertSetCertificateContextProperty", CallName: "CertSetCertificateContextProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertSetEnhancedKeyUsage", CallName: "CertSetEnhancedKeyUsage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUsage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertSetStoreProperty", CallName: "CertSetStoreProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCertStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CertStrToNameA", CallName: "CertStrToNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszX500", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStrType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszError", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "CertUnregisterPhysicalStore", CallName: "CertUnregisterPhysicalStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszStoreName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "CertUnregisterSystemStore", CallName: "CertUnregisterSystemStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSystemStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CertVerifyCRLRevocation", CallName: "CertVerifyCRLRevocation", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCrlInfo", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpCrlInfo", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CertVerifyCRLTimeValidity", CallName: "CertVerifyCRLTimeValidity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pTimeToVerify", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCrlInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertVerifyCTLUsage", CallName: "CertVerifyCTLUsage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSubjectType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSubject", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectUsage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyUsagePara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyUsageStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertVerifyCertificateChainPolicy", CallName: "CertVerifyCertificateChainPolicy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPolicyOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChainContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPolicyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPolicyStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertVerifyRevocation", CallName: "CertVerifyRevocation", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRevType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cContext", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpvContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRevPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRevStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertVerifySubjectCertificateContext", CallName: "CertVerifySubjectCertificateContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubject", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIssuer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CertVerifyTimeValidity", CallName: "CertVerifyTimeValidity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pTimeToVerify", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CertVerifyValidityNesting", CallName: "CertVerifyValidityNesting", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubjectInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIssuerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ChangeClipboardChain", CallName: "ChangeClipboardChain", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndRemove", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndNewNext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ChangeDisplaySettingsA", CallName: "ChangeDisplaySettingsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDevMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "ChangeDisplaySettingsExA", CallName: "ChangeDisplaySettingsExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDevMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwflags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lParam", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ChangeMenuA", CallName: "ChangeMenuA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cmd", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszNewItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cmdInsert", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "ChangeServiceConfig2A", CallName: "ChangeServiceConfig2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ChangeServiceConfigA", CallName: "ChangeServiceConfigA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStartType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwErrorControl", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBinaryPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLoadOrderGroup", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwTagId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDependencies", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceStartName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ChangeTimerQueueTimer", CallName: "ChangeTimerQueueTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Timer", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DueTime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Period", TypeSize: 4}}},
	}},
	{Name: "ChangeWindowMessageFilter", CallName: "ChangeWindowMessageFilter", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "message", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlag", TypeSize: 4}}},
	}},
	{Name: "ChangeWindowMessageFilterEx", CallName: "ChangeWindowMessageFilterEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "message", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "action", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pChangeFilterStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CharLowerA", CallName: "CharLowerA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CharLowerBuffA", CallName: "CharLowerBuffA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLength", TypeSize: 4}}},
	}},
	{Name: "CharNextA", CallName: "CharNextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CharNextExA", CallName: "CharNextExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "CodePage", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrentChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CharPrevA", CallName: "CharPrevA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStart", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszCurrent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CharPrevExA", CallName: "CharPrevExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "CodePage", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStart", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrentChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CharToOemA", CallName: "CharToOemA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CharToOemBuffA", CallName: "CharToOemBuffA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDstLength", TypeSize: 4}}},
	}},
	{Name: "CharUpperA", CallName: "CharUpperA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CharUpperBuffA", CallName: "CharUpperBuffA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLength", TypeSize: 4}}},
	}},
	{Name: "CheckColorsInGamut", CallName: "CheckColorsInGamut", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRGBTriple", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dlpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
	}},
	{Name: "CheckDlgButton", CallName: "CheckDlgButton", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDButton", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCheck", TypeSize: 4}}},
	}},
	{Name: "CheckForHiberboot", CallName: "CheckForHiberboot", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHiberboot", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bClearFlag", TypeSize: 1}}},
	}},
	{Name: "CheckMenuItem", CallName: "CheckMenuItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uIDCheckItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCheck", TypeSize: 4}}},
	}},
	{Name: "CheckMenuRadioItem", CallName: "CheckMenuRadioItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "first", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "last", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "check", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "CheckNameLegalDOS8Dot3A", CallName: "CheckNameLegalDOS8Dot3A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "OemNameSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbNameContainsSpaces", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbNameLegal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CheckRadioButton", CallName: "CheckRadioButton", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDFirstButton", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDLastButton", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDCheckButton", TypeSize: 4}}},
	}},
	{Name: "CheckRemoteDebuggerPresent", CallName: "CheckRemoteDebuggerPresent", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDebuggerPresent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CheckTokenCapability", CallName: "CheckTokenCapability", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CapabilitySidToCheck", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HasCapability", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CheckTokenMembership", CallName: "CheckTokenMembership", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SidToCheck", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IsMember", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CheckTokenMembershipEx", CallName: "CheckTokenMembershipEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SidToCheck", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IsMember", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ChildWindowFromPoint", CallName: "ChildWindowFromPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "Point", TypeSize: 8}}},
	}},
	{Name: "ChildWindowFromPointEx", CallName: "ChildWindowFromPointEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pt", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "ChooseColorA", CallName: "ChooseColorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ChooseFontA", CallName: "ChooseFontA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ChoosePixelFormat", CallName: "ChoosePixelFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppfd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Chord", CallName: "Chord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x4", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y4", TypeSize: 4}}},
	}},
	{Name: "ClearCommBreak", CallName: "ClearCommBreak", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "ClearCommError", CallName: "ClearCommError", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpErrors", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ClearEventLogA", CallName: "ClearEventLogA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBackupFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ClientToScreen", CallName: "ClientToScreen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ClipCursor", CallName: "ClipCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseClipboard", CallName: "CloseClipboard"},
	{Name: "CloseDesktop", CallName: "CloseDesktop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseDriver", CallName: "CloseDriver", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam2", TypeSize: 8}}},
	}},
	{Name: "CloseEncryptedFileRaw", CallName: "CloseEncryptedFileRaw", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CloseEnhMetaFile", CallName: "CloseEnhMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseEventLog", CallName: "CloseEventLog", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
	}},
	{Name: "CloseFigure", CallName: "CloseFigure", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseGestureInfoHandle", CallName: "CloseGestureInfoHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hGestureInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseHandle", CallName: "CloseHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObject", TypeSize: 8}},
	}},
	{Name: "CloseMetaFile", CallName: "CloseMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ClosePrinter", CallName: "ClosePrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "ClosePrivateNamespace", CallName: "ClosePrivateNamespace", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Handle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "CloseServiceHandle", CallName: "CloseServiceHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCObject", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseSpoolFileHandle", CallName: "CloseSpoolFileHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSpoolFile", TypeSize: 8}},
	}},
	{Name: "CloseThreadpool", CallName: "CloseThreadpool", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseThreadpoolCleanupGroup", CallName: "CloseThreadpoolCleanupGroup", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpcg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseThreadpoolCleanupGroupMembers", CallName: "CloseThreadpoolCleanupGroupMembers", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpcg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fCancelPendingCallbacks", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvCleanupContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CloseThreadpoolIo", CallName: "CloseThreadpoolIo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseThreadpoolTimer", CallName: "CloseThreadpoolTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseThreadpoolWait", CallName: "CloseThreadpoolWait", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseThreadpoolWork", CallName: "CloseThreadpoolWork", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseTouchInputHandle", CallName: "CloseTouchInputHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hTouchInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseWindow", CallName: "CloseWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CloseWindowStation", CallName: "CloseWindowStation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWinSta", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ColorCorrectPalette", CallName: "ColorCorrectPalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hPal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "deFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num", TypeSize: 4}}},
	}},
	{Name: "ColorMatchToTarget", CallName: "ColorMatchToTarget", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcTarget", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "action", TypeSize: 4}}},
	}},
	{Name: "CombineRgn", CallName: "CombineRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnSrc1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnSrc2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMode", TypeSize: 4}}},
	}},
	{Name: "CombineTransform", CallName: "CombineTransform", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxfOut", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxf1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxf2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CommConfigDialogA", CallName: "CommConfigDialogA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CommDlgExtendedError", CallName: "CommDlgExtendedError"},
	{Name: "CommitSpoolData", CallName: "CommitSpoolData", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSpoolFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCommit", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CompareFileTime", CallName: "CompareFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CompareObjectHandles", CallName: "CompareObjectHandles", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFirstObjectHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSecondObjectHandle", TypeSize: 8}},
	}},
	{Name: "CompareStringA", CallName: "CompareStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCmpFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount2", TypeSize: 4}}},
	}},
	{Name: "CompareStringEx", CallName: "CompareStringEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCmpFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "CompareStringOrdinal", CallName: "CompareStringOrdinal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCount2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bIgnoreCase", TypeSize: 4}}},
	}},
	{Name: "ConfigurePortA", CallName: "ConfigurePortA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPortName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ConnectNamedPipe", CallName: "ConnectNamedPipe", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ConnectToPrinterDlg", CallName: "ConnectToPrinterDlg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "ContinueDebugEvent", CallName: "ContinueDebugEvent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwThreadId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwContinueStatus", TypeSize: 4}}},
	}},
	{Name: "ControlService", CallName: "ControlService", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwControl", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ControlServiceExA", CallName: "ControlServiceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwControl", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pControlParams", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ConvertDefaultLocale", CallName: "ConvertDefaultLocale", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
	}},
	{Name: "ConvertFiberToThread", CallName: "ConvertFiberToThread"},
	{Name: "ConvertThreadToFiber", CallName: "ConvertThreadToFiber", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ConvertThreadToFiberEx", CallName: "ConvertThreadToFiberEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "ConvertToAutoInheritPrivateObjectSecurity", CallName: "ConvertToAutoInheritPrivateObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ParentDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CurrentSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewSecurityDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "IsDirectoryObject", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CopyAcceleratorTableA", CallName: "CopyAcceleratorTableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAccelSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAccelDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cAccelEntries", TypeSize: 4}}},
	}},
	{Name: "CopyContext", CallName: "CopyContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Destination", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ContextFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Source", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CopyEnhMetaFileA", CallName: "CopyEnhMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hEnh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CopyFile2", CallName: "CopyFile2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExtendedParameters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CopyFileA", CallName: "CopyFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bFailIfExists", TypeSize: 4}}},
	}},
	{Name: "CopyFileExA", CallName: "CopyFileExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProgressRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCancel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCopyFlags", TypeSize: 4}}},
	}},
	{Name: "CopyFileTransactedA", CallName: "CopyFileTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProgressRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCancel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCopyFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "CopyIcon", CallName: "CopyIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CopyImage", CallName: "CopyImage", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "h", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CopyLZFile", CallName: "CopyLZFile", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfSource", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfDest", TypeSize: 4}}},
	}},
	{Name: "CopyMetaFileA", CallName: "CopyMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CopyRect", CallName: "CopyRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CopySid", CallName: "CopySid", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nDestinationSidLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDestinationSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSourceSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CorePrinterDriverInstalledA", CallName: "CorePrinterDriverInstalledA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "CoreDriverGUID", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ftDriverDate", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwlDriverVersion", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDriverInstalled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CountClipboardFormats", CallName: "CountClipboardFormats"},
	{Name: "CreateAcceleratorTableA", CallName: "CreateAcceleratorTableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "paccel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cAccel", TypeSize: 4}}},
	}},
	{Name: "CreateActCtxA", CallName: "CreateActCtxA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pActCtx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateBitmap", CallName: "CreateBitmap", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPlanes", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBitCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateBitmapIndirect", CallName: "CreateBitmapIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateBoundaryDescriptorA", CallName: "CreateBoundaryDescriptorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateBrushIndirect", CallName: "CreateBrushIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plbrush", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateCaret", CallName: "CreateCaret", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBitmap", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
	}},
	{Name: "CreateColorSpaceA", CallName: "CreateColorSpaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lplcs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateCompatibleBitmap", CallName: "CreateCompatibleBitmap", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
	}},
	{Name: "CreateCompatibleDC", CallName: "CreateCompatibleDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateConsoleScreenBuffer", CallName: "CreateConsoleScreenBuffer", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwShareMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpScreenBufferData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateCursor", CallName: "CreateCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xHotSpot", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yHotSpot", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvANDPlane", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvXORPlane", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateDCA", CallName: "CreateDCA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPort", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateDIBPatternBrush", CallName: "CreateDIBPatternBrush", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "h", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iUsage", TypeSize: 4}}},
	}},
	{Name: "CreateDIBPatternBrushPt", CallName: "CreateDIBPatternBrushPt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPackedDIB", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iUsage", TypeSize: 4}}},
	}},
	{Name: "CreateDIBSection", CallName: "CreateDIBSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "usage", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvBits", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSection", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "offset", TypeSize: 4}}},
	}},
	{Name: "CreateDIBitmap", CallName: "CreateDIBitmap", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbmih", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flInit", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pjBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iUsage", TypeSize: 4}}},
	}},
	{Name: "CreateDesktopA", CallName: "CreateDesktopA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevmode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateDesktopExA", CallName: "CreateDesktopExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevmode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulHeapSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvoid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateDialogIndirectParamA", CallName: "CreateDialogIndirectParamA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTemplate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDialogFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitParam", TypeSize: 8}}},
	}},
	{Name: "CreateDialogParamA", CallName: "CreateDialogParamA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTemplateName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDialogFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitParam", TypeSize: 8}}},
	}},
	{Name: "CreateDirectoryA", CallName: "CreateDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateDirectoryExA", CallName: "CreateDirectoryExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTemplateDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateDirectoryTransactedA", CallName: "CreateDirectoryTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTemplateDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "CreateDiscardableBitmap", CallName: "CreateDiscardableBitmap", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
	}},
	{Name: "CreateEllipticRgn", CallName: "CreateEllipticRgn", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y2", TypeSize: 4}}},
	}},
	{Name: "CreateEllipticRgnIndirect", CallName: "CreateEllipticRgnIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateEnclave", CallName: "CreateEnclave", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitialCommitment", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flEnclaveType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnclaveInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnclaveError", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CreateEnhMetaFileA", CallName: "CreateEnhMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFilename", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDesc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateEventA", CallName: "CreateEventA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEventAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bManualReset", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInitialState", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateEventExA", CallName: "CreateEventExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEventAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFiber", CallName: "CreateFiber", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartAddress", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateFiberEx", CallName: "CreateFiberEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackCommitSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackReserveSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartAddress", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateFile2", CallName: "CreateFile2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwShareMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationDisposition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCreateExParams", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFileA", CallName: "CreateFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "filename", IsVarlen: true}, Kind: 3}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "file_access_rights", FldName: "dwDesiredAccess", TypeSize: 8}}, Vals: []uint64{65536, 131072, 1048576, 262144, 524288, 2, 4, 2032127, 4, 4, 64, 32, 1, 128, 1, 8, 32, 256, 2, 16}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "file_share_mode", FldName: "dwShareMode", TypeSize: 8}}, Vals: []uint64{4, 1, 2}, BitMask: true},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8, IsOptional: true}, Type: &StructType{Key: StructKey{Name: "SECURITY_ATTRIBUTES"}}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "file_create_disposition", FldName: "dwCreationDisposition", TypeSize: 8}}, Vals: []uint64{2, 1, 4, 3, 5}},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "file_attributes", FldName: "dwFlagsAndAttributes", TypeSize: 8}}, Vals: []uint64{32, 16384, 2, 128, 4096, 1, 4, 256, 33554432, 67108864, 536870912, 1048576, 2097152, 1073741824, 16777216, 268435456, 8388608, 134217728, 2147483648, 0, 262144, 196608, 524288, 65536, 131072}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTemplateFile", TypeSize: 8, IsOptional: true}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "hFile", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFileMappingA", CallName: "CreateFileMappingA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileMappingAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flProtect", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMaximumSizeHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMaximumSizeLow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFileMappingFromApp", CallName: "CreateFileMappingFromApp", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "PageProtection", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "MaximumSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFileMappingNumaA", CallName: "CreateFileMappingNumaA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileMappingAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flProtect", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMaximumSizeHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMaximumSizeLow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nndPreferred", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFileTransactedA", CallName: "CreateFileTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwShareMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationDisposition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlagsAndAttributes", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTemplateFile", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pusMiniVersion", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateFontA", CallName: "CreateFontA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cHeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEscapement", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cOrientation", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cWeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bItalic", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bUnderline", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bStrikeOut", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iCharSet", TypeSize: 4}}},
	}},
	{Name: "CreateFontIndirectA", CallName: "CreateFontIndirectA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lplf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateFontIndirectExA", CallName: "CreateFontIndirectExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateHalftonePalette", CallName: "CreateHalftonePalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateHardLinkA", CallName: "CreateHardLinkA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateHardLinkTransactedA", CallName: "CreateHardLinkTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "CreateHatchBrush", CallName: "CreateHatchBrush", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iHatch", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "CreateICA", CallName: "CreateICA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPort", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateILockBytesOnHGlobal", CallName: "CreateILockBytesOnHGlobal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hGlobal", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fDeleteOnRelease", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pplkbyt", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CreateIcon", CallName: "CreateIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cPlanes", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cBitsPixel", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbANDbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbXORbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateIconFromResource", CallName: "CreateIconFromResource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "presbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwResSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fIcon", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVer", TypeSize: 4}}},
	}},
	{Name: "CreateIconFromResourceEx", CallName: "CreateIconFromResourceEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "presbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwResSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fIcon", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVer", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cxDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cyDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "CreateIconIndirect", CallName: "CreateIconIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piconinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateIoCompletionPort", CallName: "CreateIoCompletionPort", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "FileHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ExistingCompletionPort", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "CompletionKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NumberOfConcurrentThreads", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateJobObjectA", CallName: "CreateJobObjectA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpJobAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateJobSet", CallName: "CreateJobSet", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NumJob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UserJobSet", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "CreateMDIWindowA", CallName: "CreateMDIWindowA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWindowName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateMailslotA", CallName: "CreateMailslotA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxMessageSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lReadTimeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateMemoryResourceNotification", CallName: "CreateMemoryResourceNotification", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NotificationType", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateMenu", CallName: "CreateMenu"},
	{Name: "CreateMetaFileA", CallName: "CreateMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateMutexA", CallName: "CreateMutexA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMutexAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInitialOwner", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateMutexExA", CallName: "CreateMutexExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMutexAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateNamedPipeA", CallName: "CreateNamedPipeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOpenMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPipeMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxInstances", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nOutBufferSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nInBufferSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nDefaultTimeOut", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreatePalette", CallName: "CreatePalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plpal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreatePatternBrush", CallName: "CreatePatternBrush", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreatePen", CallName: "CreatePen", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "CreatePenIndirect", CallName: "CreatePenIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plpen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreatePipe", CallName: "CreatePipe", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hReadPipe", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWritePipe", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPipeAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "CreatePolyPolygonRgn", CallName: "CreatePolyPolygonRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pptl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cPoly", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMode", TypeSize: 4}}},
	}},
	{Name: "CreatePolygonRgn", CallName: "CreatePolygonRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pptl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cPoint", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMode", TypeSize: 4}}},
	}},
	{Name: "CreatePopupMenu", CallName: "CreatePopupMenu"},
	{Name: "CreatePrivateNamespaceA", CallName: "CreatePrivateNamespaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPrivateNamespaceAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBoundaryDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAliasPrefix", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreatePrivateObjectSecurity", CallName: "CreatePrivateObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ParentDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CreatorDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "IsDirectoryObject", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreatePrivateObjectSecurityEx", CallName: "CreatePrivateObjectSecurityEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ParentDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CreatorDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "IsContainerObject", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AutoInheritFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreatePrivateObjectSecurityWithMultipleInheritance", CallName: "CreatePrivateObjectSecurityWithMultipleInheritance", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ParentDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CreatorDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypes", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GuidCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "IsContainerObject", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AutoInheritFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateProcessA", CallName: "CreateProcessA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpApplicationName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommandLine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProcessAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandles", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnvironment", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrentDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartupInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateProcessAsUserA", CallName: "CreateProcessAsUserA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hToken", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpApplicationName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommandLine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProcessAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandles", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnvironment", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrentDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateRectRgn", CallName: "CreateRectRgn", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y2", TypeSize: 4}}},
	}},
	{Name: "CreateRectRgnIndirect", CallName: "CreateRectRgnIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateRemoteThread", CallName: "CreateRemoteThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartAddress", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateRemoteThreadEx", CallName: "CreateRemoteThreadEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartAddress", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttributeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateRestrictedToken", CallName: "CreateRestrictedToken", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ExistingTokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DisableSidCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SidsToDisable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DeletePrivilegeCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PrivilegesToDelete", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RestrictedSidCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SidsToRestrict", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewTokenHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "CreateRoundRectRgn", CallName: "CreateRoundRectRgn", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "w", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
	}},
	{Name: "CreateScalableFontResourceA", CallName: "CreateScalableFontResourceA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwHidden", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFont", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateSemaphoreA", CallName: "CreateSemaphoreA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSemaphoreAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lInitialCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lMaximumCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateSemaphoreExA", CallName: "CreateSemaphoreExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSemaphoreAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lInitialCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lMaximumCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateServiceA", CallName: "CreateServiceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDisplayName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStartType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwErrorControl", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBinaryPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLoadOrderGroup", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CreateSolidBrush", CallName: "CreateSolidBrush", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "CreateSymbolicLinkA", CallName: "CreateSymbolicLinkA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSymlinkFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTargetFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CreateSymbolicLinkTransactedA", CallName: "CreateSymbolicLinkTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSymlinkFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTargetFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "CreateTapePartition", CallName: "CreateTapePartition", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPartitionMethod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSize", TypeSize: 4}}},
	}},
	{Name: "CreateThread", CallName: "CreateThread", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwStackSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartAddress", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpThreadId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateThreadpool", CallName: "CreateThreadpool", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "reserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CreateThreadpoolCleanupGroup", CallName: "CreateThreadpoolCleanupGroup"},
	{Name: "CreateThreadpoolIo", CallName: "CreateThreadpoolIo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "fl", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateThreadpoolTimer", CallName: "CreateThreadpoolTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateThreadpoolWait", CallName: "CreateThreadpoolWait", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnwa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateThreadpoolWork", CallName: "CreateThreadpoolWork", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnwk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateTimerQueue", CallName: "CreateTimerQueue", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateTimerQueueTimer", CallName: "CreateTimerQueueTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phNewTimer", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Callback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Parameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DueTime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Period", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "CreateUmsCompletionList", CallName: "CreateUmsCompletionList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsCompletionList", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CreateUmsThreadContext", CallName: "CreateUmsThreadContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUmsThread", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CreateWaitableTimerA", CallName: "CreateWaitableTimerA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bManualReset", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateWaitableTimerExA", CallName: "CreateWaitableTimerExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "CreateWellKnownSid", CallName: "CreateWellKnownSid", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "WellKnownSidType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DomainSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cbSid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CreateWindowExA", CallName: "CreateWindowExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExStyle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWindowName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CreateWindowStationA", CallName: "CreateWindowStationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwinsta", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptAcquireCertificatePrivateKey", CallName: "CryptAcquireCertificatePrivateKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCert", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvParameters", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phCryptProvOrNCryptKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwKeySpec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfCallerFreeProvOrNCryptKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptAcquireContextA", CallName: "CryptAcquireContextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phProv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szContainer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szProvider", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProvType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptBinaryToStringA", CallName: "CryptBinaryToStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbBinary", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBinary", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptCloseAsyncHandle", CallName: "CryptCloseAsyncHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAsync", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptContextAddRef", CallName: "CryptContextAddRef", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptCreateAsyncHandle", CallName: "CryptCreateAsyncHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phAsync", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "CryptCreateHash", CallName: "CryptCreateHash", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Algid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptCreateKeyIdentifierFromCSP", CallName: "CryptCreateKeyIdentifierFromCSP", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPubKeyOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPubKeyStruc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbPubKeyStruc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptDecodeMessage", CallName: "CryptDecodeMessage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgTypeFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDecryptPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSignerIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncodedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncodedBlob", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPrevInnerContentType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwMsgType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwInnerContentType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptDecodeObject", CallName: "CryptDecodeObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvStructInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbStructInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptDecodeObjectEx", CallName: "CryptDecodeObjectEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDecodePara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvStructInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbStructInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptDecrypt", CallName: "CryptDecrypt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Final", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptDecryptAndVerifyMessageSignature", CallName: "CryptDecryptAndVerifyMessageSignature", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDecryptPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSignerIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncryptedBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDecrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbDecrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppXchgCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppSignerCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptDecryptMessage", CallName: "CryptDecryptMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDecryptPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncryptedBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDecrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbDecrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppXchgCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptDeriveKey", CallName: "CryptDeriveKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Algid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hBaseData", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptDestroyHash", CallName: "CryptDestroyHash", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
	}},
	{Name: "CryptDestroyKey", CallName: "CryptDestroyKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
	}},
	{Name: "CryptDuplicateHash", CallName: "CryptDuplicateHash", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptDuplicateKey", CallName: "CryptDuplicateKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptEncodeObject", CallName: "CryptEncodeObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvStructInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptEncodeObjectEx", CallName: "CryptEncodeObjectEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvStructInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncodePara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvEncoded", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptEncrypt", CallName: "CryptEncrypt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Final", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufLen", TypeSize: 4}}},
	}},
	{Name: "CryptEncryptMessage", CallName: "CryptEncryptMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncryptPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cRecipientCert", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpRecipientCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbToBeEncrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbToBeEncrypted", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptEnumKeyIdentifierProperties", CallName: "CryptEnumKeyIdentifierProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptEnumOIDFunction", CallName: "CryptEnumOIDFunction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnumOIDFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptEnumOIDInfo", CallName: "CryptEnumOIDInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwGroupId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnEnumOIDInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptEnumProviderTypesA", CallName: "CryptEnumProviderTypesA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwProvType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptEnumProvidersA", CallName: "CryptEnumProvidersA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwProvType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptExportKey", CallName: "CryptExportKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hExpKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBlobType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptExportPKCS8", CallName: "CryptExportPKCS8", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPrivateKeyObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbPrivateKeyBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbPrivateKeyBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptExportPublicKeyInfo", CallName: "CryptExportPublicKeyInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProvOrNCryptKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptExportPublicKeyInfoEx", CallName: "CryptExportPublicKeyInfoEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProvOrNCryptKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPublicKeyObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptExportPublicKeyInfoFromBCryptKeyHandle", CallName: "CryptExportPublicKeyInfoFromBCryptKeyHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBCryptKey", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPublicKeyObjId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptFindCertificateKeyProvInfo", CallName: "CryptFindCertificateKeyProvInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCert", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptFindLocalizedName", CallName: "CryptFindLocalizedName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszCryptName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "CryptFindOIDInfo", CallName: "CryptFindOIDInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeyType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvKey", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwGroupId", TypeSize: 4}}},
	}},
	{Name: "CryptFormatObject", CallName: "CryptFormatObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFormatType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFormatStrType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFormatStruct", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbFormat", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptFreeOIDFunctionAddress", CallName: "CryptFreeOIDFunctionAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hFuncAddr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptGenKey", CallName: "CryptGenKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Algid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptGenRandom", CallName: "CryptGenRandom", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLen", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CryptGetAsyncParam", CallName: "CryptGetAsyncParam", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAsync", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszParamOid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvParam", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppfnFree", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptGetDefaultOIDDllList", CallName: "CryptGetDefaultOIDDllList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hFuncSet", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDllList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchDllList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptGetDefaultOIDFunctionAddress", CallName: "CryptGetDefaultOIDFunctionAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hFuncSet", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvFuncAddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phFuncAddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CryptGetDefaultProviderA", CallName: "CryptGetDefaultProviderA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProvType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptGetHashParam", CallName: "CryptGetHashParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptGetKeyIdentifierProperty", CallName: "CryptGetKeyIdentifierProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptGetKeyParam", CallName: "CryptGetKeyParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptGetMessageCertificates", CallName: "CryptGetMessageCertificates", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgAndCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignedBlob", TypeSize: 4}}},
	}},
	{Name: "CryptGetMessageSignerCount", CallName: "CryptGetMessageSignerCount", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignedBlob", TypeSize: 4}}},
	}},
	{Name: "CryptGetOIDFunctionAddress", CallName: "CryptGetOIDFunctionAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hFuncSet", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvFuncAddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phFuncAddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CryptGetOIDFunctionValue", CallName: "CryptGetOIDFunctionValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwValueType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbValueData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbValueData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptGetObjectUrl", CallName: "CryptGetObjectUrl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszUrlOid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUrlArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbUrlArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUrlInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbUrlInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptGetProvParam", CallName: "CryptGetProvParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDataLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptGetUserKey", CallName: "CryptGetUserKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phUserKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptHashCertificate", CallName: "CryptHashCertificate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Algid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptHashCertificate2", CallName: "CryptHashCertificate2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszCNGHashAlgid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptHashData", CallName: "CryptHashData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDataLen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptHashMessage", CallName: "CryptHashMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHashPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fDetachedHash", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cToBeHashed", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpbToBeHashed", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgcbToBeHashed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbHashedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbHashedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptHashPublicKeyInfo", CallName: "CryptHashPublicKeyInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Algid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptHashSessionKey", CallName: "CryptHashSessionKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptHashToBeSigned", CallName: "CryptHashToBeSigned", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptImportKey", CallName: "CryptImportKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDataLen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hPubKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptImportPKCS8", CallName: "CryptImportPKCS8", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "sPrivateKeyAndParams", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phCryptProv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptImportPublicKeyInfo", CallName: "CryptImportPublicKeyInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptImportPublicKeyInfoEx", CallName: "CryptImportPublicKeyInfoEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "aiKeyAlg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptImportPublicKeyInfoEx2", CallName: "CryptImportPublicKeyInfoEx2", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CryptInitOIDFunctionSet", CallName: "CryptInitOIDFunctionSet", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptInstallCancelRetrieval", CallName: "CryptInstallCancelRetrieval", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCancel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvArg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptInstallDefaultContext", CallName: "CryptInstallDefaultContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDefaultType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvDefaultPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phDefaultContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CryptInstallOIDFunctionAddress", CallName: "CryptInstallOIDFunctionAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cFuncEntry", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgFuncEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptMemAlloc", CallName: "CryptMemAlloc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "CryptMemFree", CallName: "CryptMemFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptMemRealloc", CallName: "CryptMemRealloc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "CryptMsgCalculateEncodedLength", CallName: "CryptMsgCalculateEncodedLength", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvMsgEncodeInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszInnerContentObjID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "CryptMsgClose", CallName: "CryptMsgClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptMsgControl", CallName: "CryptMsgControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCtrlType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvCtrlPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptMsgCountersign", CallName: "CryptMsgCountersign", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCountersigners", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgCountersigners", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgCountersignEncoded", CallName: "CryptMsgCountersignEncoded", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignerInfo", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCountersigners", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgCountersigners", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCountersignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbCountersignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgDuplicate", CallName: "CryptMsgDuplicate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptMsgEncodeAndSignCTL", CallName: "CryptMsgEncodeAndSignCTL", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCtlInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgGetAndVerifySigner", CallName: "CryptMsgGetAndVerifySigner", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cSignerStore", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rghSignerStore", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppSigner", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwSignerIndex", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgGetParam", CallName: "CryptMsgGetParam", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParamType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgOpenToDecode", CallName: "CryptMsgOpenToDecode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRecipientInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStreamInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgOpenToEncode", CallName: "CryptMsgOpenToEncode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvMsgEncodeInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszInnerContentObjID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStreamInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgSignCTL", CallName: "CryptMsgSignCTL", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsgEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbCtlContent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbCtlContent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgUpdate", CallName: "CryptMsgUpdate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCryptMsg", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fFinal", TypeSize: 4}}},
	}},
	{Name: "CryptMsgVerifyCountersignatureEncoded", CallName: "CryptMsgVerifyCountersignatureEncoded", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignerInfo", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignerInfoCountersignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignerInfoCountersignature", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pciCountersigner", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptMsgVerifyCountersignatureEncodedEx", CallName: "CryptMsgVerifyCountersignatureEncodedEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignerInfo", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignerInfoCountersignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignerInfoCountersignature", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSignerType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSigner", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptProtectData", CallName: "CryptProtectData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataIn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szDataDescr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOptionalEntropy", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPromptStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataOut", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptProtectMemory", CallName: "CryptProtectMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataIn", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDataIn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptQueryObject", CallName: "CryptQueryObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwObjectType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvObject", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExpectedContentTypeFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExpectedFormatTypeFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwMsgAndCertEncodingType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwContentType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFormatType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phCertStore", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CryptRegisterDefaultOIDFunction", CallName: "CryptRegisterDefaultOIDFunction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "CryptRegisterOIDFunction", CallName: "CryptRegisterOIDFunction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOverrideFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CryptRegisterOIDInfo", CallName: "CryptRegisterOIDInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptReleaseContext", CallName: "CryptReleaseContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptRetrieveObjectByUrlA", CallName: "CryptRetrieveObjectByUrlA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszUrl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszObjectOid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRetrievalFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvObject", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAsyncRetrieve", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCredentials", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvVerify", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAuxInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptRetrieveTimeStamp", CallName: "CryptRetrieveTimeStamp", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "wszUrl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRetrievalFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszHashId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppTsContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppTsSigner", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptSetAsyncParam", CallName: "CryptSetAsyncParam", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAsync", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszParamOid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvParam", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnFree", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptSetHashParam", CallName: "CryptSetHashParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptSetKeyIdentifierProperty", CallName: "CryptSetKeyIdentifierProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyIdentifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPropId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptSetKeyParam", CallName: "CryptSetKeyParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptSetOIDFunctionValue", CallName: "CryptSetOIDFunctionValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwValueType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbValueData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbValueData", TypeSize: 4}}},
	}},
	{Name: "CryptSetProvParam", CallName: "CryptSetProvParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptSetProviderA", CallName: "CryptSetProviderA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProvType", TypeSize: 4}}},
	}},
	{Name: "CryptSetProviderExA", CallName: "CryptSetProviderExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProvName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProvType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptSignAndEncodeCertificate", CallName: "CryptSignAndEncodeCertificate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProvOrNCryptKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszStructType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvStructInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignatureAlgorithm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvHashAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptSignAndEncryptMessage", CallName: "CryptSignAndEncryptMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncryptPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cRecipientCert", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpRecipientCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbToBeSignedAndEncrypted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbToBeSignedAndEncrypted", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedAndEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSignedAndEncryptedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptSignCertificate", CallName: "CryptSignCertificate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProvOrNCryptKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncodedToBeSigned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncodedToBeSigned", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignatureAlgorithm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvHashAuxInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptSignHashA", CallName: "CryptSignHashA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwKeySpec", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szDescription", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwSigLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptSignMessage", CallName: "CryptSignMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fDetachedSignature", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cToBeSigned", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpbToBeSigned", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgcbToBeSigned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptSignMessageWithKey", CallName: "CryptSignMessageWithKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSignPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbToBeSigned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbToBeSigned", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptStringToBinaryA", CallName: "CryptStringToBinaryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchString", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbBinary", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBinary", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwSkip", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptUninstallCancelRetrieval", CallName: "CryptUninstallCancelRetrieval", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptUninstallDefaultContext", CallName: "CryptUninstallDefaultContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDefaultContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptUnprotectData", CallName: "CryptUnprotectData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataIn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszDataDescr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOptionalEntropy", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPromptStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataOut", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptUnprotectMemory", CallName: "CryptUnprotectMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDataIn", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDataIn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptUnregisterDefaultOIDFunction", CallName: "CryptUnregisterDefaultOIDFunction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszDll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "CryptUnregisterOIDFunction", CallName: "CryptUnregisterOIDFunction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFuncName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "CryptUnregisterOIDInfo", CallName: "CryptUnregisterOIDInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptUpdateProtectedState", CallName: "CryptUpdateProtectedState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOldSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszOldPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwSuccessCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFailureCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptVerifyCertificateSignature", CallName: "CryptVerifyCertificateSignature", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEncoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEncoded", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPublicKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "CryptVerifyCertificateSignatureEx", CallName: "CryptVerifyCertificateSignatureEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hCryptProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCertEncodingType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSubjectType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvSubject", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIssuerType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvIssuer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvExtra", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "CryptVerifyDetachedMessageHash", CallName: "CryptVerifyDetachedMessageHash", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHashPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDetachedHashBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDetachedHashBlob", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cToBeHashed", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpbToBeHashed", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgcbToBeHashed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptVerifyDetachedMessageSignature", CallName: "CryptVerifyDetachedMessageSignature", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSignerIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDetachedSignBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDetachedSignBlob", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cToBeSigned", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgpbToBeSigned", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rgcbToBeSigned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppSignerCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptVerifyMessageHash", CallName: "CryptVerifyMessageHash", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHashPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbHashedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbHashedBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbToBeHashed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbToBeHashed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbComputedHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptVerifyMessageSignature", CallName: "CryptVerifyMessageSignature", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSignerIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignedBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDecoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbDecoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppSignerCert", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "CryptVerifyMessageSignatureWithKey", CallName: "CryptVerifyMessageSignatureWithKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVerifyPara", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPublicKeyInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignedBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignedBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDecoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbDecoded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "CryptVerifySignatureA", CallName: "CryptVerifySignatureA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hHash", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSigLen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hPubKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szDescription", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "CryptVerifyTimeStampSignature", CallName: "CryptVerifyTimeStampSignature", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbTSContentInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbTSContentInfo", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAdditionalStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppTsContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppTsSigner", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phStore", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "CveEventWrite", CallName: "CveEventWrite", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CveId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AdditionalDetails", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "DPtoLP", CallName: "DPtoLP", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
	}},
	{Name: "DceErrorInqTextA", CallName: "DceErrorInqTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RpcStatus", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ErrorText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DdeAbandonTransaction", CallName: "DdeAbandonTransaction", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idTransaction", TypeSize: 4}}},
	}},
	{Name: "DdeAccessData", CallName: "DdeAccessData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbDataSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "DdeAddData", CallName: "DdeAddData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cb", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOff", TypeSize: 4}}},
	}},
	{Name: "DdeClientTransaction", CallName: "DdeClientTransaction", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFmt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "DdeCmpStringHandles", CallName: "DdeCmpStringHandles", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeConnect", CallName: "DdeConnect", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszTopic", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeConnectList", CallName: "DdeConnectList", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszTopic", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConvList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeCreateDataHandle", CallName: "DdeCreateDataHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cb", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOff", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFmt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "afCmd", TypeSize: 4}}},
	}},
	{Name: "DdeCreateStringHandleA", CallName: "DdeCreateStringHandleA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iCodePage", TypeSize: 4}}},
	}},
	{Name: "DdeDisconnect", CallName: "DdeDisconnect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeDisconnectList", CallName: "DdeDisconnectList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConvList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeEnableCallback", CallName: "DdeEnableCallback", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wCmd", TypeSize: 4}}},
	}},
	{Name: "DdeFreeDataHandle", CallName: "DdeFreeDataHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeFreeStringHandle", CallName: "DdeFreeStringHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeGetData", CallName: "DdeGetData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbMax", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOff", TypeSize: 4}}},
	}},
	{Name: "DdeGetLastError", CallName: "DdeGetLastError", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
	}},
	{Name: "DdeImpersonateClient", CallName: "DdeImpersonateClient", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeInitializeA", CallName: "DdeInitializeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pidInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "afCmd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulRes", TypeSize: 4}}},
	}},
	{Name: "DdeKeepStringHandle", CallName: "DdeKeepStringHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeNameService", CallName: "DdeNameService", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "afCmd", TypeSize: 4}}},
	}},
	{Name: "DdePostAdvise", CallName: "DdePostAdvise", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszTopic", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hszItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeQueryConvInfo", CallName: "DdeQueryConvInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idTransaction", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pConvInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeQueryNextServer", CallName: "DdeQueryNextServer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConvList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConvPrev", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeQueryStringA", CallName: "DdeQueryStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchMax", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iCodePage", TypeSize: 4}}},
	}},
	{Name: "DdeReconnect", CallName: "DdeReconnect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeSetQualityOfService", CallName: "DdeSetQualityOfService", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndClient", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pqosNew", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pqosPrev", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeSetUserHandle", CallName: "DdeSetUserHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hConv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hUser", TypeSize: 8}}},
	}},
	{Name: "DdeUnaccessData", CallName: "DdeUnaccessData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DdeUninitialize", CallName: "DdeUninitialize", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idInst", TypeSize: 4}}},
	}},
	{Name: "DeactivateActCtx", CallName: "DeactivateActCtx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ulCookie", TypeSize: 8}}},
	}},
	{Name: "DebugActiveProcess", CallName: "DebugActiveProcess", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
	}},
	{Name: "DebugActiveProcessStop", CallName: "DebugActiveProcessStop", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
	}},
	{Name: "DebugBreak", CallName: "DebugBreak"},
	{Name: "DebugBreakProcess", CallName: "DebugBreakProcess", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
	}},
	{Name: "DebugSetProcessKillOnExit", CallName: "DebugSetProcessKillOnExit", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "KillOnExit", TypeSize: 4}}},
	}},
	{Name: "DecryptFileA", CallName: "DecryptFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
	}},
	{Name: "DefDlgProcA", CallName: "DefDlgProcA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "DefDriverProc", CallName: "DefDriverProc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwDriverIdentifier", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdrvr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam2", TypeSize: 8}}},
	}},
	{Name: "DefFrameProcA", CallName: "DefFrameProcA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndMDIClient", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "DefMDIChildProcA", CallName: "DefMDIChildProcA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "DefRawInputProc", CallName: "DefRawInputProc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "paRawInput", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nInput", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSizeHeader", TypeSize: 4}}},
	}},
	{Name: "DefWindowProcA", CallName: "DefWindowProcA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "DeferWindowPos", CallName: "DeferWindowPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWinPosInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndInsertAfter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "DefineDosDeviceA", CallName: "DefineDosDeviceA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTargetPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeleteAce", CallName: "DeleteAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceIndex", TypeSize: 4}}},
	}},
	{Name: "DeleteAtom", CallName: "DeleteAtom", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nAtom", TypeSize: 2}}},
	}},
	{Name: "DeleteBoundaryDescriptor", CallName: "DeleteBoundaryDescriptor", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "BoundaryDescriptor", TypeSize: 8}},
	}},
	{Name: "DeleteColorSpace", CallName: "DeleteColorSpace", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hcs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteCriticalSection", CallName: "DeleteCriticalSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteDC", CallName: "DeleteDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteEnhMetaFile", CallName: "DeleteEnhMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteFiber", CallName: "DeleteFiber", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFiber", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "DeleteFileA", CallName: "DeleteFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeleteFileTransactedA", CallName: "DeleteFileTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "DeleteFormA", CallName: "DeleteFormA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFormName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeleteJobNamedProperty", CallName: "DeleteJobNamedProperty", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "DeleteMenu", CallName: "DeleteMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPosition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "DeleteMetaFile", CallName: "DeleteMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteMonitorA", CallName: "DeleteMonitorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMonitorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeleteObject", CallName: "DeleteObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ho", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "DeletePortA", CallName: "DeletePortA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPortName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrintProcessorA", CallName: "DeletePrintProcessorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProcessorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrintProvidorA", CallName: "DeletePrintProvidorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProvidorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinter", CallName: "DeletePrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "DeletePrinterConnectionA", CallName: "DeletePrinterConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinterDataA", CallName: "DeletePrinterDataA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinterDataExA", CallName: "DeletePrinterDataExA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinterDriverA", CallName: "DeletePrinterDriverA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinterDriverExA", CallName: "DeletePrinterDriverExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDeleteFlag", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVersionFlag", TypeSize: 4}}},
	}},
	{Name: "DeletePrinterDriverPackageA", CallName: "DeletePrinterDriverPackageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszInfPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeletePrinterKeyA", CallName: "DeletePrinterKeyA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DeleteProcThreadAttributeList", CallName: "DeleteProcThreadAttributeList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttributeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteService", CallName: "DeleteService", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteSynchronizationBarrier", CallName: "DeleteSynchronizationBarrier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBarrier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeleteTimerQueue", CallName: "DeleteTimerQueue", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
	}},
	{Name: "DeleteTimerQueueEx", CallName: "DeleteTimerQueueEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionEvent", TypeSize: 8}},
	}},
	{Name: "DeleteTimerQueueTimer", CallName: "DeleteTimerQueueTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Timer", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionEvent", TypeSize: 8}},
	}},
	{Name: "DeleteUmsCompletionList", CallName: "DeleteUmsCompletionList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsCompletionList", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "DeleteUmsThreadContext", CallName: "DeleteUmsThreadContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "DeleteVolumeMountPointA", CallName: "DeleteVolumeMountPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeMountPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DequeueUmsCompletionListItems", CallName: "DequeueUmsCompletionListItems", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsCompletionList", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "WaitTimeOut", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThreadList", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "DeregisterEventSource", CallName: "DeregisterEventSource", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
	}},
	{Name: "DeregisterShellHookWindow", CallName: "DeregisterShellHookWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DescribePixelFormat", CallName: "DescribePixelFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iPixelFormat", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBytes", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppfd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DestroyAcceleratorTable", CallName: "DestroyAcceleratorTable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAccel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DestroyCaret", CallName: "DestroyCaret"},
	{Name: "DestroyCursor", CallName: "DestroyCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCursor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DestroyIcon", CallName: "DestroyIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DestroyMenu", CallName: "DestroyMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DestroyPrivateObjectSecurity", CallName: "DestroyPrivateObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "DestroyWindow", CallName: "DestroyWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeviceCapabilitiesA", CallName: "DeviceCapabilitiesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPort", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "fwCapability", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DeviceIoControl", CallName: "DeviceIoControl", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIoControlCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nInBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nOutBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DialogBoxIndirectParamA", CallName: "DialogBoxIndirectParamA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDialogTemplate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDialogFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitParam", TypeSize: 8}}},
	}},
	{Name: "DialogBoxParamA", CallName: "DialogBoxParamA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTemplateName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDialogFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitParam", TypeSize: 8}}},
	}},
	{Name: "DisableProcessWindowsGhosting", CallName: "DisableProcessWindowsGhosting"},
	{Name: "DisableThreadLibraryCalls", CallName: "DisableThreadLibraryCalls", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hLibModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DisableThreadProfiling", CallName: "DisableThreadProfiling", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "PerformanceDataHandle", TypeSize: 8}},
	}},
	{Name: "DisassociateCurrentThreadFromCallback", CallName: "DisassociateCurrentThreadFromCallback", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DiscardVirtualMemory", CallName: "DiscardVirtualMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
	}},
	{Name: "DisconnectNamedPipe", CallName: "DisconnectNamedPipe", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
	}},
	{Name: "DispatchMessageA", CallName: "DispatchMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DisplayConfigGetDeviceInfo", CallName: "DisplayConfigGetDeviceInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "requestPacket", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DisplayConfigSetDeviceInfo", CallName: "DisplayConfigSetDeviceInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "setPacket", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DlgDirListA", CallName: "DlgDirListA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathSpec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDListBox", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDStaticPath", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFileType", TypeSize: 4}}},
	}},
	{Name: "DlgDirListComboBoxA", CallName: "DlgDirListComboBoxA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathSpec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDComboBox", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDStaticPath", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFiletype", TypeSize: 4}}},
	}},
	{Name: "DlgDirSelectComboBoxExA", CallName: "DlgDirSelectComboBoxExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchOut", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idComboBox", TypeSize: 4}}},
	}},
	{Name: "DlgDirSelectExA", CallName: "DlgDirSelectExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idListBox", TypeSize: 4}}},
	}},
	{Name: "DnsHostnameToComputerNameA", CallName: "DnsHostnameToComputerNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Hostname", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "DoEnvironmentSubstA", CallName: "DoEnvironmentSubstA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
	}},
	{Name: "DocumentPropertiesA", CallName: "DocumentPropertiesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fMode", TypeSize: 4}}},
	}},
	{Name: "DosDateTimeToFileTime", CallName: "DosDateTimeToFileTime", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wFatDate", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wFatTime", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DragAcceptFiles", CallName: "DragAcceptFiles", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fAccept", TypeSize: 4}}},
	}},
	{Name: "DragDetect", CallName: "DragDetect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pt", TypeSize: 8}}},
	}},
	{Name: "DragFinish", CallName: "DragFinish", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDrop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DragObject", CallName: "DragObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndFrom", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fmt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hcur", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DragQueryFileA", CallName: "DragQueryFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDrop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iFile", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cch", TypeSize: 4}}},
	}},
	{Name: "DragQueryPoint", CallName: "DragQueryPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDrop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DrawAnimatedRects", CallName: "DrawAnimatedRects", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idAni", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcFrom", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcTo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DrawCaption", CallName: "DrawCaption", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "DrawEdge", CallName: "DrawEdge", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "qrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "edge", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfFlags", TypeSize: 4}}},
	}},
	{Name: "DrawEscape", CallName: "DrawEscape", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iEscape", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjIn", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "DrawFocusRect", CallName: "DrawFocusRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DrawFrameControl", CallName: "DrawFrameControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
	}},
	{Name: "DrawIcon", CallName: "DrawIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DrawIconEx", CallName: "DrawIconEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xLeft", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yTop", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cxWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cyWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "istepIfAniCur", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbrFlickerFreeDraw", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "diFlags", TypeSize: 4}}},
	}},
	{Name: "DrawMenuBar", CallName: "DrawMenuBar", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DrawStateA", CallName: "DrawStateA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbrFore", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "qfnCallBack", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lData", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wData", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
	}},
	{Name: "DrawTextA", CallName: "DrawTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpchText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
	}},
	{Name: "DrawTextExA", CallName: "DrawTextExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpchText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdtp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DriverCallback", CallName: "DriverCallback", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwUser", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam2", TypeSize: 8}}},
	}},
	{Name: "DrvGetModuleHandle", CallName: "DrvGetModuleHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DuplicateEncryptionInfoFile", CallName: "DuplicateEncryptionInfoFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SrcFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DstFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCreationDistribution", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAttributes", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DuplicateHandle", CallName: "DuplicateHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSourceProcessHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSourceHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTargetProcessHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTargetHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOptions", TypeSize: 4}}},
	}},
	{Name: "DuplicateIcon", CallName: "DuplicateIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "DuplicateToken", CallName: "DuplicateToken", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ExistingTokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ImpersonationLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DuplicateTokenHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "DuplicateTokenEx", CallName: "DuplicateTokenEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hExistingToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTokenAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ImpersonationLevel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TokenType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phNewToken", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "Ellipse", CallName: "Ellipse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
	}},
	{Name: "EmptyClipboard", CallName: "EmptyClipboard"},
	{Name: "EnableMenuItem", CallName: "EnableMenuItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uIDEnableItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uEnable", TypeSize: 4}}},
	}},
	{Name: "EnableMouseInPointer", CallName: "EnableMouseInPointer", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fEnable", TypeSize: 4}}},
	}},
	{Name: "EnableNonClientDpiScaling", CallName: "EnableNonClientDpiScaling", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnableScrollBar", CallName: "EnableScrollBar", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSBflags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wArrows", TypeSize: 4}}},
	}},
	{Name: "EnableThreadProfiling", CallName: "EnableThreadProfiling", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "HardwareCounters", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PerformanceDataHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "EnableWindow", CallName: "EnableWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bEnable", TypeSize: 4}}},
	}},
	{Name: "EncryptFileA", CallName: "EncryptFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "EncryptionDisable", CallName: "EncryptionDisable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DirPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Disable", TypeSize: 4}}},
	}},
	{Name: "EndDeferWindowPos", CallName: "EndDeferWindowPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWinPosInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "EndDialog", CallName: "EndDialog", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nResult", TypeSize: 8}}},
	}},
	{Name: "EndDoc", CallName: "EndDoc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EndDocPrinter", CallName: "EndDocPrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "EndMenu", CallName: "EndMenu"},
	{Name: "EndPage", CallName: "EndPage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EndPagePrinter", CallName: "EndPagePrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "EndPaint", CallName: "EndPaint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPaint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EndPath", CallName: "EndPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EndUpdateResourceA", CallName: "EndUpdateResourceA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hUpdate", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fDiscard", TypeSize: 4}}},
	}},
	{Name: "EnterCriticalSection", CallName: "EnterCriticalSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnterSynchronizationBarrier", CallName: "EnterSynchronizationBarrier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBarrier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnterUmsSchedulingMode", CallName: "EnterUmsSchedulingMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SchedulerStartupInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumCalendarInfoA", CallName: "EnumCalendarInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalInfoEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
	}},
	{Name: "EnumCalendarInfoExA", CallName: "EnumCalendarInfoExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalInfoEnumProcEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
	}},
	{Name: "EnumCalendarInfoExEx", CallName: "EnumCalendarInfoExEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCalInfoEnumProcExEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumChildWindows", CallName: "EnumChildWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumClipboardFormats", CallName: "EnumClipboardFormats", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
	}},
	{Name: "EnumDateFormatsA", CallName: "EnumDateFormatsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDateFmtEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumDateFormatsExA", CallName: "EnumDateFormatsExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDateFmtEnumProcEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumDateFormatsExEx", CallName: "EnumDateFormatsExEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDateFmtEnumProcExEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumDependentServicesA", CallName: "EnumDependentServicesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceState", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServicesReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumDesktopWindows", CallName: "EnumDesktopWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumDesktopsA", CallName: "EnumDesktopsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwinsta", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumDisplayDevicesA", CallName: "EnumDisplayDevicesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iDevNum", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDisplayDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumDisplayMonitors", CallName: "EnumDisplayMonitors", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcClip", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfnEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwData", TypeSize: 8}}},
	}},
	{Name: "EnumDisplaySettingsA", CallName: "EnumDisplaySettingsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iModeNum", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDevMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumDisplaySettingsExA", CallName: "EnumDisplaySettingsExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iModeNum", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDevMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumDynamicTimeZoneInformation", CallName: "EnumDynamicTimeZoneInformation", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumEnhMetaFile", CallName: "EnumEnhMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "param", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumFontFamiliesA", CallName: "EnumFontFamiliesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLogfont", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumFontFamiliesExA", CallName: "EnumFontFamiliesExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLogfont", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumFontsA", CallName: "EnumFontsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLogfont", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumFormsA", CallName: "EnumFormsA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumICMProfilesA", CallName: "EnumICMProfilesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "param", TypeSize: 8}}},
	}},
	{Name: "EnumJobNamedProperties", CallName: "EnumJobNamedProperties", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcProperties", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppProperties", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "EnumJobsA", CallName: "EnumJobsA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FirstJob", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NoJobs", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pJob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumLanguageGroupLocalesA", CallName: "EnumLanguageGroupLocalesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLangGroupLocaleEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "LanguageGroup", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumMetaFile", CallName: "EnumMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "param", TypeSize: 8}}},
	}},
	{Name: "EnumMonitorsA", CallName: "EnumMonitorsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMonitor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumObjects", CallName: "EnumObjects", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumPortsA", CallName: "EnumPortsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPort", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrintProcessorDatatypesA", CallName: "EnumPrintProcessorDatatypesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProcessorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDatatypes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrintProcessorsA", CallName: "EnumPrintProcessorsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProcessorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrinterDataA", CallName: "EnumPrinterDataA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbValueName", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrinterDataExA", CallName: "EnumPrinterDataExA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnumValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbEnumValues", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbEnumValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pnEnumValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrinterDriversA", CallName: "EnumPrinterDriversA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrinterKeyA", CallName: "EnumPrinterKeyA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSubkey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSubkey", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSubkey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPrintersA", CallName: "EnumPrintersA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinterEnum", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumPropsA", CallName: "EnumPropsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumPropsExA", CallName: "EnumPropsExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumResourceLanguagesA", CallName: "EnumResourceLanguagesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumResourceLanguagesExA", CallName: "EnumResourceLanguagesExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "LangId", TypeSize: 2}}},
	}},
	{Name: "EnumResourceNamesA", CallName: "EnumResourceNamesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumResourceNamesExA", CallName: "EnumResourceNamesExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "LangId", TypeSize: 2}}},
	}},
	{Name: "EnumResourceTypesA", CallName: "EnumResourceTypesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumResourceTypesExA", CallName: "EnumResourceTypesExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "LangId", TypeSize: 2}}},
	}},
	{Name: "EnumServicesStatusA", CallName: "EnumServicesStatusA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceState", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServicesReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResumeHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumServicesStatusExA", CallName: "EnumServicesStatusExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "InfoLevel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwServiceState", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServicesReturned", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResumeHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EnumSystemCodePagesA", CallName: "EnumSystemCodePagesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCodePageEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumSystemFirmwareTables", CallName: "EnumSystemFirmwareTables", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FirmwareTableProviderSignature", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFirmwareTableEnumBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BufferSize", TypeSize: 4}}},
	}},
	{Name: "EnumSystemGeoID", CallName: "EnumSystemGeoID", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GeoClass", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ParentGeoId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGeoEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EnumSystemLanguageGroupsA", CallName: "EnumSystemLanguageGroupsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLanguageGroupEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumSystemLocalesA", CallName: "EnumSystemLocalesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumSystemLocalesEx", CallName: "EnumSystemLocalesEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleEnumProcEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "EnumThreadWindows", CallName: "EnumThreadWindows", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwThreadId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumTimeFormatsA", CallName: "EnumTimeFormatsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeFmtEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "EnumTimeFormatsEx", CallName: "EnumTimeFormatsEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeFmtEnumProcEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumUILanguagesA", CallName: "EnumUILanguagesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUILanguageEnumProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumWindowStationsA", CallName: "EnumWindowStationsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EnumWindows", CallName: "EnumWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnumFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "EqualDomainSid", CallName: "EqualDomainSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid1", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid2", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfEqual", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "EqualPrefixSid", CallName: "EqualPrefixSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid1", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid2", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "EqualRect", CallName: "EqualRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EqualRgn", CallName: "EqualRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EqualSid", CallName: "EqualSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid1", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid2", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "EraseTape", CallName: "EraseTape", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEraseType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bImmediate", TypeSize: 4}}},
	}},
	{Name: "Escape", CallName: "Escape", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iEscape", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjIn", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvIn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvOut", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "EscapeCommFunction", CallName: "EscapeCommFunction", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFunc", TypeSize: 4}}},
	}},
	{Name: "EvaluateProximityToPolygon", CallName: "EvaluateProximityToPolygon", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numVertices", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "controlPolygon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHitTestingInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProximityEval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "EvaluateProximityToRect", CallName: "EvaluateProximityToRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "controlBoundingBox", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHitTestingInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProximityEval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ExcludeClipRect", CallName: "ExcludeClipRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
	}},
	{Name: "ExcludeUpdateRgn", CallName: "ExcludeUpdateRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ExecuteUmsThread", CallName: "ExecuteUmsThread", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ExitProcess", CallName: "ExitProcess", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uExitCode", TypeSize: 4}}},
	}},
	{Name: "ExitThread", CallName: "ExitThread", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExitCode", TypeSize: 4}}},
	}},
	{Name: "ExpandEnvironmentStringsA", CallName: "ExpandEnvironmentStringsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "ExtCreatePen", CallName: "ExtCreatePen", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iPenStyle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cWidth", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plbrush", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cStyle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pstyle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ExtCreateRegion", CallName: "ExtCreateRegion", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ExtDeviceMode", CallName: "ExtDeviceMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hInst", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPort", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevModeInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProfile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fMode", TypeSize: 4}}},
	}},
	{Name: "ExtEscape", CallName: "ExtEscape", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iEscape", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjInput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjOutput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ExtFloodFill", CallName: "ExtFloodFill", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
	}},
	{Name: "ExtSelectClipRgn", CallName: "ExtSelectClipRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "ExtTextOutA", CallName: "ExtTextOutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "options", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ExtractAssociatedIconA", CallName: "ExtractAssociatedIconA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszIconPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "ExtractAssociatedIconExA", CallName: "ExtractAssociatedIconExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszIconPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piIconIndex", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piIconId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "ExtractIconA", CallName: "ExtractIconA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszExeFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIconIndex", TypeSize: 4}}},
	}},
	{Name: "ExtractIconExA", CallName: "ExtractIconExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIconIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phiconLarge", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phiconSmall", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIcons", TypeSize: 4}}},
	}},
	{Name: "FatalAppExitA", CallName: "FatalAppExitA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uAction", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMessageText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FatalExit", CallName: "FatalExit", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExitCode", TypeSize: 4}}},
	}},
	{Name: "FileEncryptionStatusA", CallName: "FileEncryptionStatusA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "FileTimeToDosDateTime", CallName: "FileTimeToDosDateTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFatDate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFatTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "FileTimeToLocalFileTime", CallName: "FileTimeToLocalFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FileTimeToSystemTime", CallName: "FileTimeToSystemTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FillConsoleOutputAttribute", CallName: "FillConsoleOutputAttribute", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wAttribute", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwWriteCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfAttrsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "FillConsoleOutputCharacterA", CallName: "FillConsoleOutputCharacterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cCharacter", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwWriteCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfCharsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "FillPath", CallName: "FillPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FillRect", CallName: "FillRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FillRgn", CallName: "FillRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FindActCtxSectionGuid", CallName: "FindActCtxSectionGuid", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExtensionGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulSectionId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGuidToFind", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FindActCtxSectionStringA", CallName: "FindActCtxSectionStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExtensionGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulSectionId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringToFind", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FindAtomA", CallName: "FindAtomA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FindClose", CallName: "FindClose", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindFile", TypeSize: 8}},
	}},
	{Name: "FindCloseChangeNotification", CallName: "FindCloseChangeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hChangeHandle", TypeSize: 8}},
	}},
	{Name: "FindClosePrinterChangeNotification", CallName: "FindClosePrinterChangeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hChange", TypeSize: 8}},
	}},
	{Name: "FindExecutableA", CallName: "FindExecutableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FindFirstChangeNotificationA", CallName: "FindFirstChangeNotificationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bWatchSubtree", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNotifyFilter", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstFileA", CallName: "FindFirstFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFindFileData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstFileExA", CallName: "FindFirstFileExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInfoLevelId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFindFileData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fSearchOp", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSearchFilter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAdditionalFlags", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstFileTransactedA", CallName: "FindFirstFileTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInfoLevelId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFindFileData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fSearchOp", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSearchFilter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAdditionalFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstFreeAce", CallName: "FindFirstFreeAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAce", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "FindFirstPrinterChangeNotification", CallName: "FindFirstPrinterChangeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwFilter", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOptions", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinterNotifyOptions", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstVolumeA", CallName: "FindFirstVolumeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindFirstVolumeMountPointA", CallName: "FindFirstVolumeMountPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszRootPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeMountPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "FindNLSString", CallName: "FindNLSString", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindNLSStringFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSource", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchValue", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchFound", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "FindNLSStringEx", CallName: "FindNLSStringEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindNLSStringFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSource", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchValue", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchFound", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "FindNextChangeNotification", CallName: "FindNextChangeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hChangeHandle", TypeSize: 8}},
	}},
	{Name: "FindNextFileA", CallName: "FindNextFileA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFindFileData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FindNextPrinterChangeNotification", CallName: "FindNextPrinterChangeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hChange", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwChange", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppPrinterNotifyInfo", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "FindNextVolumeA", CallName: "FindNextVolumeA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindVolume", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}},
	{Name: "FindNextVolumeMountPointA", CallName: "FindNextVolumeMountPointA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindVolumeMountPoint", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeMountPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}},
	{Name: "FindResourceA", CallName: "FindResourceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FindResourceExA", CallName: "FindResourceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wLanguage", TypeSize: 2}}},
	}},
	{Name: "FindStringOrdinal", CallName: "FindStringOrdinal", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFindStringOrdinalFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSource", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStringValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchValue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bIgnoreCase", TypeSize: 4}}},
	}},
	{Name: "FindTextA", CallName: "FindTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FindVolumeClose", CallName: "FindVolumeClose", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindVolume", TypeSize: 8}},
	}},
	{Name: "FindVolumeMountPointClose", CallName: "FindVolumeMountPointClose", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFindVolumeMountPoint", TypeSize: 8}},
	}},
	{Name: "FindWindowA", CallName: "FindWindowA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWindowName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FindWindowExA", CallName: "FindWindowExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndChildAfter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszWindow", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FixBrushOrgEx", CallName: "FixBrushOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FlashWindow", CallName: "FlashWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInvert", TypeSize: 4}}},
	}},
	{Name: "FlashWindowEx", CallName: "FlashWindowEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FlattenPath", CallName: "FlattenPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FloodFill", CallName: "FloodFill", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "FlsAlloc", CallName: "FlsAlloc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FlsFree", CallName: "FlsFree", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlsIndex", TypeSize: 4}}},
	}},
	{Name: "FlsGetValue", CallName: "FlsGetValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlsIndex", TypeSize: 4}}},
	}},
	{Name: "FlsSetValue", CallName: "FlsSetValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlsIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFlsData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "FlushConsoleInputBuffer", CallName: "FlushConsoleInputBuffer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
	}},
	{Name: "FlushFileBuffers", CallName: "FlushFileBuffers", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "FlushInstructionCache", CallName: "FlushInstructionCache", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
	}},
	{Name: "FlushPrinter", CallName: "FlushPrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBuf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cSleep", TypeSize: 4}}},
	}},
	{Name: "FlushProcessWriteBuffers", CallName: "FlushProcessWriteBuffers"},
	{Name: "FlushViewOfFile", CallName: "FlushViewOfFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNumberOfBytesToFlush", TypeSize: 8}}},
	}},
	{Name: "FmtIdToPropStgName", CallName: "FmtIdToPropStgName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfmtid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "FoldStringA", CallName: "FoldStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMapFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDestStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDest", TypeSize: 4}}},
	}},
	{Name: "FormatMessageA", CallName: "FormatMessageA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSource", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMessageId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLanguageId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Arguments", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "FrameRect", CallName: "FrameRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FrameRgn", CallName: "FrameRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "w", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
	}},
	{Name: "FreeConsole", CallName: "FreeConsole"},
	{Name: "FreeDDElParam", CallName: "FreeDDElParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "FreeEncryptedFileMetadata", CallName: "FreeEncryptedFileMetadata", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbMetadata", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FreeEncryptionCertificateHashList", CallName: "FreeEncryptionCertificateHashList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUsers", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FreeEnvironmentStringsA", CallName: "FreeEnvironmentStringsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "penv", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "FreeLibrary", CallName: "FreeLibrary", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hLibModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FreeLibraryAndExitThread", CallName: "FreeLibraryAndExitThread", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hLibModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExitCode", TypeSize: 4}}},
	}},
	{Name: "FreeLibraryWhenCallbackReturns", CallName: "FreeLibraryWhenCallbackReturns", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "mod", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FreeMemoryJobObject", CallName: "FreeMemoryJobObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "FreePrintNamedPropertyArray", CallName: "FreePrintNamedPropertyArray", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cProperties", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppProperties", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "FreePrintPropertyValue", CallName: "FreePrintPropertyValue", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FreePrinterNotifyInfo", CallName: "FreePrinterNotifyInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinterNotifyInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "FreeResource", CallName: "FreeResource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hResData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "FreeSid", CallName: "FreeSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "FreeUserPhysicalPages", CallName: "FreeUserPhysicalPages", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NumberOfPages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PageArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GdiAlphaBlend", CallName: "GdiAlphaBlend", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSrc", TypeSize: 4}}},
	}},
	{Name: "GdiComment", CallName: "GdiComment", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GdiFlush", CallName: "GdiFlush"},
	{Name: "GdiGetBatchLimit", CallName: "GdiGetBatchLimit"},
	{Name: "GdiGradientFill", CallName: "GdiGradientFill", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVertex", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nVertex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMesh", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulMode", TypeSize: 4}}},
	}},
	{Name: "GdiSetBatchLimit", CallName: "GdiSetBatchLimit", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dw", TypeSize: 4}}},
	}},
	{Name: "GdiTransparentBlt", CallName: "GdiTransparentBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSrc", TypeSize: 4}}},
	}},
	{Name: "GenerateConsoleCtrlEvent", CallName: "GenerateConsoleCtrlEvent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCtrlEvent", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessGroupId", TypeSize: 4}}},
	}},
	{Name: "GetACP", CallName: "GetACP"},
	{Name: "GetAcceptExSockaddrs", CallName: "GetAcceptExSockaddrs", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutputBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReceiveDataLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLocalAddressLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRemoteAddressLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LocalSockaddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LocalSockaddrLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RemoteSockaddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RemoteSockaddrLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetAce", CallName: "GetAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAceIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAce", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "GetAclInformation", CallName: "GetAclInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAclInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nAclInformationLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAclInformationClass", TypeSize: 4}}},
	}},
	{Name: "GetActiveProcessorCount", CallName: "GetActiveProcessorCount", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "GroupNumber", TypeSize: 2}}},
	}},
	{Name: "GetActiveProcessorGroupCount", CallName: "GetActiveProcessorGroupCount"},
	{Name: "GetActiveWindow", CallName: "GetActiveWindow"},
	{Name: "GetAltTabInfoA", CallName: "GetAltTabInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pati", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszItemText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchItemText", TypeSize: 4}}},
	}},
	{Name: "GetAncestor", CallName: "GetAncestor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gaFlags", TypeSize: 4}}},
	}},
	{Name: "GetAppContainerAce", CallName: "GetAppContainerAce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Acl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "StartingAceIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AppContainerAce", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AppContainerAceIndex", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetAppContainerNamedObjectPath", CallName: "GetAppContainerNamedObjectPath", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AppContainerSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ObjectPathLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetApplicationRecoveryCallback", CallName: "GetApplicationRecoveryCallback", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRecoveryCallback", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvParameter", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwPingInterval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetApplicationRestartSettings", CallName: "GetApplicationRestartSettings", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwzCommandline", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetArcDirection", CallName: "GetArcDirection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetAspectRatioFilterEx", CallName: "GetAspectRatioFilterEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetAsyncKeyState", CallName: "GetAsyncKeyState", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vKey", TypeSize: 4}}},
	}},
	{Name: "GetAtomNameA", CallName: "GetAtomNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nAtom", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetAutoRotationState", CallName: "GetAutoRotationState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetAwarenessFromDpiAwarenessContext", CallName: "GetAwarenessFromDpiAwarenessContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "value", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetBinaryTypeA", CallName: "GetBinaryTypeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpApplicationName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBinaryType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetBitmapBits", CallName: "GetBitmapBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cb", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpvBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetBitmapDimensionEx", CallName: "GetBitmapDimensionEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetBkColor", CallName: "GetBkColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetBkMode", CallName: "GetBkMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetBoundsRect", CallName: "GetBoundsRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "GetBrushOrgEx", CallName: "GetBrushOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCIMSSM", CallName: "GetCIMSSM", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "inputMessageSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCPInfo", CallName: "GetCPInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCPInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCPInfoExA", CallName: "GetCPInfoExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCPInfoEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCachedSigningLevel", CallName: "GetCachedSigningLevel", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "File", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Flags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SigningLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Thumbprint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ThumbprintSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ThumbprintAlgorithm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCalendarInfoA", CallName: "GetCalendarInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCalendarInfoEx", CallName: "GetCalendarInfoEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchData", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCapture", CallName: "GetCapture"},
	{Name: "GetCaretBlinkTime", CallName: "GetCaretBlinkTime"},
	{Name: "GetCaretPos", CallName: "GetCaretPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCharABCWidthsA", CallName: "GetCharABCWidthsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wLast", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpABC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCharABCWidthsFloatA", CallName: "GetCharABCWidthsFloatA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iLast", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpABC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCharABCWidthsI", CallName: "GetCharABCWidthsI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "giFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cgi", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pgi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pabc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCharWidth32A", CallName: "GetCharWidth32A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iLast", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCharWidthA", CallName: "GetCharWidthA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iLast", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCharWidthFloatA", CallName: "GetCharWidthFloatA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iLast", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCharWidthI", CallName: "GetCharWidthI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "giFirst", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cgi", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pgi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piWidths", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCharacterPlacementA", CallName: "GetCharacterPlacementA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMexExtent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResults", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "GetClassInfoA", CallName: "GetClassInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWndClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClassInfoExA", CallName: "GetClassInfoExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwcx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClassLongA", CallName: "GetClassLongA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetClassLongPtrA", CallName: "GetClassLongPtrA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetClassNameA", CallName: "GetClassNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxCount", TypeSize: 4}}},
	}},
	{Name: "GetClassWord", CallName: "GetClassWord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetClientRect", CallName: "GetClientRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClipBox", CallName: "GetClipBox", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClipCursor", CallName: "GetClipCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClipRgn", CallName: "GetClipRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetClipboardData", CallName: "GetClipboardData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFormat", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetClipboardFormatNameA", CallName: "GetClipboardFormatNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFormatName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchMaxCount", TypeSize: 4}}},
	}},
	{Name: "GetClipboardOwner", CallName: "GetClipboardOwner"},
	{Name: "GetClipboardSequenceNumber", CallName: "GetClipboardSequenceNumber"},
	{Name: "GetClipboardViewer", CallName: "GetClipboardViewer"},
	{Name: "GetColorAdjustment", CallName: "GetColorAdjustment", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpca", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetColorSpace", CallName: "GetColorSpace", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetComboBoxInfo", CallName: "GetComboBoxInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndCombo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCommConfig", CallName: "GetCommConfig", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hCommDev", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCommMask", CallName: "GetCommMask", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEvtMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCommModemStatus", CallName: "GetCommModemStatus", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpModemStat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCommProperties", CallName: "GetCommProperties", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommProp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCommState", CallName: "GetCommState", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDCB", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCommTimeouts", CallName: "GetCommTimeouts", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommTimeouts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCommandLineA", CallName: "GetCommandLineA"},
	{Name: "GetCompressedFileSizeA", CallName: "GetCompressedFileSizeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSizeHigh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetCompressedFileSizeTransactedA", CallName: "GetCompressedFileSizeTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSizeHigh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "GetComputerNameA", CallName: "GetComputerNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetComputerNameExA", CallName: "GetComputerNameExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NameType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "nSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleAliasA", CallName: "GetConsoleAliasA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Source", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TargetBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TargetBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleAliasExesA", CallName: "GetConsoleAliasExesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeNameBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExeNameBufferLength", TypeSize: 4}}},
	}},
	{Name: "GetConsoleAliasExesLengthA", CallName: "GetConsoleAliasExesLengthA"},
	{Name: "GetConsoleAliasesA", CallName: "GetConsoleAliasesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AliasBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AliasBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleAliasesLengthA", CallName: "GetConsoleAliasesLengthA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleCP", CallName: "GetConsoleCP"},
	{Name: "GetConsoleCursorInfo", CallName: "GetConsoleCursorInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleCursorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleDisplayMode", CallName: "GetConsoleDisplayMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpModeFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleFontSize", CallName: "GetConsoleFontSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nFont", TypeSize: 4}}},
	}},
	{Name: "GetConsoleHistoryInfo", CallName: "GetConsoleHistoryInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleHistoryInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleMode", CallName: "GetConsoleMode", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleOriginalTitleA", CallName: "GetConsoleOriginalTitleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleTitle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetConsoleOutputCP", CallName: "GetConsoleOutputCP"},
	{Name: "GetConsoleProcessList", CallName: "GetConsoleProcessList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwProcessList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessCount", TypeSize: 4}}},
	}},
	{Name: "GetConsoleScreenBufferInfo", CallName: "GetConsoleScreenBufferInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleScreenBufferInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleScreenBufferInfoEx", CallName: "GetConsoleScreenBufferInfoEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleScreenBufferInfoEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleSelectionInfo", CallName: "GetConsoleSelectionInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleSelectionInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetConsoleTitleA", CallName: "GetConsoleTitleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleTitle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetConsoleWindow", CallName: "GetConsoleWindow"},
	{Name: "GetConvertStg", CallName: "GetConvertStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCorePrinterDriversA", CallName: "GetCorePrinterDriversA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszzCoreDriverDependencies", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cCorePrinterDrivers", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCorePrinterDrivers", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrencyFormatA", CallName: "GetCurrencyFormatA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrencyStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCurrency", TypeSize: 4}}},
	}},
	{Name: "GetCurrencyFormatEx", CallName: "GetCurrencyFormatEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurrencyStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchCurrency", TypeSize: 4}}},
	}},
	{Name: "GetCurrentActCtx", CallName: "GetCurrentActCtx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lphActCtx", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "GetCurrentConsoleFont", CallName: "GetCurrentConsoleFont", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMaximumWindow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleCurrentFont", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentConsoleFontEx", CallName: "GetCurrentConsoleFontEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMaximumWindow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleCurrentFontEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentDirectoryA", CallName: "GetCurrentDirectoryA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentHwProfileA", CallName: "GetCurrentHwProfileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHwProfileInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentInputMessageSource", CallName: "GetCurrentInputMessageSource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "inputMessageSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentObject", CallName: "GetCurrentObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
	}},
	{Name: "GetCurrentPositionEx", CallName: "GetCurrentPositionEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentProcess", CallName: "GetCurrentProcess", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetCurrentProcessId", CallName: "GetCurrentProcessId"},
	{Name: "GetCurrentProcessorNumber", CallName: "GetCurrentProcessorNumber"},
	{Name: "GetCurrentProcessorNumberEx", CallName: "GetCurrentProcessorNumberEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentThread", CallName: "GetCurrentThread", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetCurrentThreadId", CallName: "GetCurrentThreadId"},
	{Name: "GetCurrentThreadStackLimits", CallName: "GetCurrentThreadStackLimits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LowLimit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HighLimit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCurrentUmsThread", CallName: "GetCurrentUmsThread"},
	{Name: "GetCursor", CallName: "GetCursor"},
	{Name: "GetCursorInfo", CallName: "GetCursorInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetCursorPos", CallName: "GetCursorPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDC", CallName: "GetDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDCBrushColor", CallName: "GetDCBrushColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDCEx", CallName: "GetDCEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnClip", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "GetDCOrgEx", CallName: "GetDCOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDCPenColor", CallName: "GetDCPenColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDIBColorTable", CallName: "GetDIBColorTable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prgbq", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDIBits", CallName: "GetDIBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "start", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cLines", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpvBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "usage", TypeSize: 4}}},
	}},
	{Name: "GetDateFormatA", CallName: "GetDateFormatA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDateStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDate", TypeSize: 4}}},
	}},
	{Name: "GetDateFormatEx", CallName: "GetDateFormatEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDateStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDate", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalendar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetDefaultCommConfigA", CallName: "GetDefaultCommConfigA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDefaultPrinterA", CallName: "GetDefaultPrinterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDesktopWindow", CallName: "GetDesktopWindow"},
	{Name: "GetDeviceCaps", CallName: "GetDeviceCaps", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "index", TypeSize: 4}}},
	}},
	{Name: "GetDeviceGammaRamp", CallName: "GetDeviceGammaRamp", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRamp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetDevicePowerState", CallName: "GetDevicePowerState", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfOn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDialogBaseUnits", CallName: "GetDialogBaseUnits"},
	{Name: "GetDiskFreeSpaceA", CallName: "GetDiskFreeSpaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRootPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSectorsPerCluster", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesPerSector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfFreeClusters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTotalNumberOfClusters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDiskFreeSpaceExA", CallName: "GetDiskFreeSpaceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDirectoryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFreeBytesAvailableToCaller", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTotalNumberOfBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTotalNumberOfFreeBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDisplayAutoRotationPreferences", CallName: "GetDisplayAutoRotationPreferences", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOrientation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDisplayConfigBufferSizes", CallName: "GetDisplayConfigBufferSizes", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "numPathArrayElements", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "numModeInfoArrayElements", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetDlgCtrlID", CallName: "GetDlgCtrlID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDlgItem", CallName: "GetDlgItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
	}},
	{Name: "GetDlgItemInt", CallName: "GetDlgItemInt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTranslated", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bSigned", TypeSize: 4}}},
	}},
	{Name: "GetDlgItemTextA", CallName: "GetDlgItemTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchMax", TypeSize: 4}}},
	}},
	{Name: "GetDllDirectoryA", CallName: "GetDllDirectoryA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetDoubleClickTime", CallName: "GetDoubleClickTime"},
	{Name: "GetDpiForSystem", CallName: "GetDpiForSystem"},
	{Name: "GetDpiForWindow", CallName: "GetDpiForWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDriveTypeA", CallName: "GetDriveTypeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRootPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetDriverModuleHandle", CallName: "GetDriverModuleHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDurationFormat", CallName: "GetDurationFormat", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDuration", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ullDuration", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDurationStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDuration", TypeSize: 4}}},
	}},
	{Name: "GetDurationFormatEx", CallName: "GetDurationFormatEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDuration", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ullDuration", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDurationStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDuration", TypeSize: 4}}},
	}},
	{Name: "GetDynamicTimeZoneInformation", CallName: "GetDynamicTimeZoneInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetDynamicTimeZoneInformationEffectiveYears", CallName: "GetDynamicTimeZoneInformationEffectiveYears", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "FirstYear", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LastYear", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetEnabledXStateFeatures", CallName: "GetEnabledXStateFeatures"},
	{Name: "GetEncryptedFileMetadata", CallName: "GetEncryptedFileMetadata", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbMetadata", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppbMetadata", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "GetEnhMetaFileA", CallName: "GetEnhMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetEnhMetaFileBits", CallName: "GetEnhMetaFileBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hEMF", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetEnhMetaFileDescriptionA", CallName: "GetEnhMetaFileDescriptionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hemf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuffer", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDescription", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetEnhMetaFileHeader", CallName: "GetEnhMetaFileHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hemf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnhMetaHeader", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetEnhMetaFilePaletteEntries", CallName: "GetEnhMetaFilePaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hemf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPaletteEntries", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetEnhMetaFilePixelFormat", CallName: "GetEnhMetaFilePixelFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hemf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuffer", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppfd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetEnvironmentStrings", CallName: "GetEnvironmentStrings"},
	{Name: "GetEnvironmentVariableA", CallName: "GetEnvironmentVariableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetErrorMode", CallName: "GetErrorMode"},
	{Name: "GetEventLogInformation", CallName: "GetEventLogInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetExitCodeProcess", CallName: "GetExitCodeProcess", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExitCode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetExitCodeThread", CallName: "GetExitCodeThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExitCode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetExpandedNameA", CallName: "GetExpandedNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszSource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetFileAttributesA", CallName: "GetFileAttributesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetFileAttributesExA", CallName: "GetFileAttributesExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInfoLevelId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetFileAttributesTransactedA", CallName: "GetFileAttributesTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInfoLevelId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "GetFileBandwidthReservation", CallName: "GetFileBandwidthReservation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPeriodMilliseconds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesPerPeriod", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDiscardable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTransferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumOutstandingRequests", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFileInformationByHandle", CallName: "GetFileInformationByHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetFileInformationByHandleEx", CallName: "GetFileInformationByHandleEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FileInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufferSize", TypeSize: 4}}},
	}},
	{Name: "GetFileMUIInfo", CallName: "GetFileMUIInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcwszFilePath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFileMUIInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbFileMUIInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFileMUIPath", CallName: "GetFileMUIPath", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcwszFilePath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszFileMUIPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchFileMUIPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pululEnumerator", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetFileSecurityA", CallName: "GetFileSecurityA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RequestedInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLengthNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFileSize", CallName: "GetFileSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSizeHigh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFileSizeEx", CallName: "GetFileSizeEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetFileTime", CallName: "GetFileTime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCreationTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLastAccessTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLastWriteTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetFileTitleA", CallName: "GetFileTitleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "cchSize", TypeSize: 2}}},
	}},
	{Name: "GetFileType", CallName: "GetFileType", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "GetFinalPathNameByHandleA", CallName: "GetFinalPathNameByHandleA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFilePath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchFilePath", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "GetFirmwareEnvironmentVariableA", CallName: "GetFirmwareEnvironmentVariableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetFirmwareEnvironmentVariableExA", CallName: "GetFirmwareEnvironmentVariableExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwAttribubutes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFirmwareType", CallName: "GetFirmwareType", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "FirmwareType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFocus", CallName: "GetFocus"},
	{Name: "GetFontData", CallName: "GetFontData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTable", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOffset", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjBuffer", TypeSize: 4}}},
	}},
	{Name: "GetFontLanguageInfo", CallName: "GetFontLanguageInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetFontUnicodeRanges", CallName: "GetFontUnicodeRanges", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpgs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetForegroundWindow", CallName: "GetForegroundWindow"},
	{Name: "GetFormA", CallName: "GetFormA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFormName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetFullPathNameA", CallName: "GetFullPathNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFilePart", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "GetFullPathNameTransactedA", CallName: "GetFullPathNameTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFilePart", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "GetGUIThreadInfo", CallName: "GetGUIThreadInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pgui", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetGeoInfoA", CallName: "GetGeoInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Location", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GeoType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGeoData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchData", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "LangId", TypeSize: 2}}},
	}},
	{Name: "GetGestureConfig", CallName: "GetGestureConfig", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcIDs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pGestureConfig", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "GetGestureExtraArgs", CallName: "GetGestureExtraArgs", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hGestureInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbExtraArgs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExtraArgs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetGestureInfo", CallName: "GetGestureInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hGestureInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pGestureInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetGlyphIndicesA", CallName: "GetGlyphIndicesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpstr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pgi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fl", TypeSize: 4}}},
	}},
	{Name: "GetGlyphOutlineA", CallName: "GetGlyphOutlineA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uChar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuFormat", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpgm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjBuffer", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmat2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetGraphicsMode", CallName: "GetGraphicsMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetGuiResources", CallName: "GetGuiResources", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiFlags", TypeSize: 4}}},
	}},
	{Name: "GetHGlobalFromILockBytes", CallName: "GetHGlobalFromILockBytes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plkbyt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phglobal", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "GetHandleInformation", CallName: "GetHandleInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObject", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetICMProfileA", CallName: "GetICMProfileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBufSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFilename", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetIconInfo", CallName: "GetIconInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piconinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetIconInfoExA", CallName: "GetIconInfoExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hicon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piconinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetInputState", CallName: "GetInputState"},
	{Name: "GetIntegratedDisplaySize", CallName: "GetIntegratedDisplaySize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sizeInInches", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetJobA", CallName: "GetJobA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pJob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetJobNamedPropertyValue", CallName: "GetJobNamedPropertyValue", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetKBCodePage", CallName: "GetKBCodePage"},
	{Name: "GetKernelObjectSecurity", CallName: "GetKernelObjectSecurity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Handle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RequestedInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLengthNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetKerningPairsA", CallName: "GetKerningPairsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPairs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKernPair", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetKeyNameTextA", CallName: "GetKeyNameTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSize", TypeSize: 4}}},
	}},
	{Name: "GetKeyState", CallName: "GetKeyState", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nVirtKey", TypeSize: 4}}},
	}},
	{Name: "GetKeyboardLayout", CallName: "GetKeyboardLayout", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
	}},
	{Name: "GetKeyboardLayoutList", CallName: "GetKeyboardLayoutList", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBuff", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpList", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "GetKeyboardLayoutNameA", CallName: "GetKeyboardLayoutNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszKLID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetKeyboardState", CallName: "GetKeyboardState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetKeyboardType", CallName: "GetKeyboardType", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTypeFlag", TypeSize: 4}}},
	}},
	{Name: "GetLargePageMinimum", CallName: "GetLargePageMinimum"},
	{Name: "GetLargestConsoleWindowSize", CallName: "GetLargestConsoleWindowSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
	}},
	{Name: "GetLastActivePopup", CallName: "GetLastActivePopup", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetLastError", CallName: "GetLastError"},
	{Name: "GetLastInputInfo", CallName: "GetLastInputInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plii", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetLayeredWindowAttributes", CallName: "GetLayeredWindowAttributes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcrKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbAlpha", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetLayout", CallName: "GetLayout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetLengthSid", CallName: "GetLengthSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetListBoxInfo", CallName: "GetListBoxInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetLocalTime", CallName: "GetLocalTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetLocaleInfoA", CallName: "GetLocaleInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "LCType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLCData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchData", TypeSize: 4}}},
	}},
	{Name: "GetLocaleInfoEx", CallName: "GetLocaleInfoEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "LCType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLCData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchData", TypeSize: 4}}},
	}},
	{Name: "GetLogColorSpaceA", CallName: "GetLogColorSpaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hColorSpace", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetLogicalDriveStringsA", CallName: "GetLogicalDriveStringsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetLogicalDrives", CallName: "GetLogicalDrives"},
	{Name: "GetLogicalProcessorInformation", CallName: "GetLogicalProcessorInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetLogicalProcessorInformationEx", CallName: "GetLogicalProcessorInformationEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RelationshipType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetLongPathNameA", CallName: "GetLongPathNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszShortPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszLongPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuffer", TypeSize: 4}}},
	}},
	{Name: "GetLongPathNameTransactedA", CallName: "GetLongPathNameTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszShortPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszLongPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuffer", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "GetMailslotInfo", CallName: "GetMailslotInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hMailslot", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaxMessageSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNextSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMessageCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReadTimeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetMapMode", CallName: "GetMapMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMaximumProcessorCount", CallName: "GetMaximumProcessorCount", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "GroupNumber", TypeSize: 2}}},
	}},
	{Name: "GetMaximumProcessorGroupCount", CallName: "GetMaximumProcessorGroupCount"},
	{Name: "GetMemoryErrorHandlingCapabilities", CallName: "GetMemoryErrorHandlingCapabilities", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Capabilities", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetMenu", CallName: "GetMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuBarInfo", CallName: "GetMenuBarInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idObject", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmbi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuCheckMarkDimensions", CallName: "GetMenuCheckMarkDimensions"},
	{Name: "GetMenuContextHelpId", CallName: "GetMenuContextHelpId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuDefaultItem", CallName: "GetMenuDefaultItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fByPos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "gmdiFlags", TypeSize: 4}}},
	}},
	{Name: "GetMenuInfo", CallName: "GetMenuInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuItemCount", CallName: "GetMenuItemCount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuItemID", CallName: "GetMenuItemID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPos", TypeSize: 4}}},
	}},
	{Name: "GetMenuItemInfoA", CallName: "GetMenuItemInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "item", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fByPosition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmii", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuItemRect", CallName: "GetMenuItemRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMenuState", CallName: "GetMenuState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "GetMenuStringA", CallName: "GetMenuStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uIDItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchMax", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "GetMessageA", CallName: "GetMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsgFilterMin", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsgFilterMax", TypeSize: 4}}},
	}},
	{Name: "GetMessageExtraInfo", CallName: "GetMessageExtraInfo"},
	{Name: "GetMessagePos", CallName: "GetMessagePos"},
	{Name: "GetMessageTime", CallName: "GetMessageTime"},
	{Name: "GetMetaFileA", CallName: "GetMetaFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetMetaFileBitsEx", CallName: "GetMetaFileBitsEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMF", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuffer", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetMetaRgn", CallName: "GetMetaRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMiterLimit", CallName: "GetMiterLimit", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plimit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetModuleFileNameA", CallName: "GetModuleFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFilename", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetModuleHandleA", CallName: "GetModuleHandleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpModuleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetModuleHandleExA", CallName: "GetModuleHandleExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpModuleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phModule", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "GetMonitorInfoA", CallName: "GetMonitorInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMonitor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetMouseMovePointsEx", CallName: "GetMouseMovePointsEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpptBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufPoints", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "resolution", TypeSize: 4}}},
	}},
	{Name: "GetNLSVersion", CallName: "GetNLSVersion", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Function", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNLSVersionEx", CallName: "GetNLSVersionEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "function", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNamedPipeClientComputerNameA", CallName: "GetNamedPipeClientComputerNameA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Pipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ClientComputerNameLength", TypeSize: 4}}},
	}},
	{Name: "GetNamedPipeClientProcessId", CallName: "GetNamedPipeClientProcessId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Pipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientProcessId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNamedPipeClientSessionId", CallName: "GetNamedPipeClientSessionId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Pipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientSessionId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNamedPipeHandleStateA", CallName: "GetNamedPipeHandleStateA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCurInstances", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaxCollectionCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCollectDataTimeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxUserNameSize", TypeSize: 4}}},
	}},
	{Name: "GetNamedPipeInfo", CallName: "GetNamedPipeInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaxInstances", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNamedPipeServerProcessId", CallName: "GetNamedPipeServerProcessId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Pipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerProcessId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNamedPipeServerSessionId", CallName: "GetNamedPipeServerSessionId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Pipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerSessionId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNativeSystemInfo", CallName: "GetNativeSystemInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNearestColor", CallName: "GetNearestColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "GetNearestPaletteIndex", CallName: "GetNearestPaletteIndex", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "h", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "GetNextDlgGroupItem", CallName: "GetNextDlgGroupItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCtl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bPrevious", TypeSize: 4}}},
	}},
	{Name: "GetNextDlgTabItem", CallName: "GetNextDlgTabItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCtl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bPrevious", TypeSize: 4}}},
	}},
	{Name: "GetNextUmsListItem", CallName: "GetNextUmsListItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetNumaAvailableMemoryNode", CallName: "GetNumaAvailableMemoryNode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Node", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AvailableBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNumaAvailableMemoryNodeEx", CallName: "GetNumaAvailableMemoryNodeEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "Node", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AvailableBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNumaHighestNodeNumber", CallName: "GetNumaHighestNodeNumber", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HighestNodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNumaNodeNumberFromHandle", CallName: "GetNumaNodeNumberFromHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetNumaNodeProcessorMask", CallName: "GetNumaNodeProcessorMask", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Node", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessorMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNumaNodeProcessorMaskEx", CallName: "GetNumaNodeProcessorMaskEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "Node", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessorMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetNumaProcessorNode", CallName: "GetNumaProcessorNode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Processor", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetNumaProcessorNodeEx", CallName: "GetNumaProcessorNodeEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Processor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetNumaProximityNode", CallName: "GetNumaProximityNode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProximityId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetNumaProximityNodeEx", CallName: "GetNumaProximityNodeEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProximityId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetNumberFormatA", CallName: "GetNumberFormatA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchNumber", TypeSize: 4}}},
	}},
	{Name: "GetNumberFormatEx", CallName: "GetNumberFormatEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchNumber", TypeSize: 4}}},
	}},
	{Name: "GetNumberOfConsoleInputEvents", CallName: "GetNumberOfConsoleInputEvents", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfEvents", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNumberOfConsoleMouseButtons", CallName: "GetNumberOfConsoleMouseButtons", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfMouseButtons", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetNumberOfEventLogRecords", CallName: "GetNumberOfEventLogRecords", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NumberOfRecords", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetOEMCP", CallName: "GetOEMCP"},
	{Name: "GetObjectA", CallName: "GetObjectA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "h", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetObjectType", CallName: "GetObjectType", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "h", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetOldestEventLogRecord", CallName: "GetOldestEventLogRecord", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldestRecord", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetOpenClipboardWindow", CallName: "GetOpenClipboardWindow"},
	{Name: "GetOpenFileNameA", CallName: "GetOpenFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetOsManufacturingMode", CallName: "GetOsManufacturingMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbEnabled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetOsSafeBootMode", CallName: "GetOsSafeBootMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Flags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetOutlineTextMetricsA", CallName: "GetOutlineTextMetricsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjCopy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "potm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetOverlappedResult", CallName: "GetOverlappedResult", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesTransferred", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bWait", TypeSize: 4}}},
	}},
	{Name: "GetOverlappedResultEx", CallName: "GetOverlappedResultEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesTransferred", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAlertable", TypeSize: 4}}},
	}},
	{Name: "GetPaletteEntries", CallName: "GetPaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hpal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPalEntries", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetParent", CallName: "GetParent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPath", CallName: "GetPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "aj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "GetPhysicalCursorPos", CallName: "GetPhysicalCursorPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPhysicallyInstalledSystemMemory", CallName: "GetPhysicallyInstalledSystemMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TotalMemoryInKilobytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPixel", CallName: "GetPixel", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "GetPixelFormat", CallName: "GetPixelFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerCursorId", CallName: "GetPointerCursorId", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cursorId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPointerDevice", CallName: "GetPointerDevice", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "device", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerDeviceCursors", CallName: "GetPointerDeviceCursors", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "device", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cursorCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "deviceCursors", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerDeviceProperties", CallName: "GetPointerDeviceProperties", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "device", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "propertyCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerProperties", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerDeviceRects", CallName: "GetPointerDeviceRects", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "device", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerDeviceRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "displayRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerDevices", CallName: "GetPointerDevices", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "deviceCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerDevices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFrameInfo", CallName: "GetPointerFrameInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFrameInfoHistory", CallName: "GetPointerFrameInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFramePenInfo", CallName: "GetPointerFramePenInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "penInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFramePenInfoHistory", CallName: "GetPointerFramePenInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "penInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFrameTouchInfo", CallName: "GetPointerFrameTouchInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "touchInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerFrameTouchInfoHistory", CallName: "GetPointerFrameTouchInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "touchInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerInfo", CallName: "GetPointerInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerInfoHistory", CallName: "GetPointerInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerInputTransform", CallName: "GetPointerInputTransform", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "historyCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "inputTransform", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerPenInfo", CallName: "GetPointerPenInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "penInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerPenInfoHistory", CallName: "GetPointerPenInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "penInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerTouchInfo", CallName: "GetPointerTouchInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "touchInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerTouchInfoHistory", CallName: "GetPointerTouchInfoHistory", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "entriesCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "touchInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPointerType", CallName: "GetPointerType", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pointerType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPolyFillMode", CallName: "GetPolyFillMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPrintExecutionData", CallName: "GetPrintExecutionData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetPrintOutputInfo", CallName: "GetPrintOutputInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPrinter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phFile", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszOutputFile", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "GetPrintProcessorDirectoryA", CallName: "GetPrintProcessorDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrintProcessorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterA", CallName: "GetPrinterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDataA", CallName: "GetPrinterDataA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDataExA", CallName: "GetPrinterDataExA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDriver2A", CallName: "GetPrinterDriver2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDriverA", CallName: "GetPrinterDriverA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDriverDirectoryA", CallName: "GetPrinterDriverDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDriverDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrinterDriverPackagePathA", CallName: "GetPrinterDriverPackagePathA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPackageID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDriverPackageCab", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDriverPackageCab", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchRequiredSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPriorityClass", CallName: "GetPriorityClass", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
	}},
	{Name: "GetPriorityClipboardFormat", CallName: "GetPriorityClipboardFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "paFormatPriorityList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cFormats", TypeSize: 4}}},
	}},
	{Name: "GetPrivateObjectSecurity", CallName: "GetPrivateObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ResultantDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DescriptorLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetPrivateProfileIntA", CallName: "GetPrivateProfileIntA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nDefault", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetPrivateProfileSectionA", CallName: "GetPrivateProfileSectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnedString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetPrivateProfileSectionNamesA", CallName: "GetPrivateProfileSectionNamesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszReturnBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetPrivateProfileStringA", CallName: "GetPrivateProfileStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDefault", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnedString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetPrivateProfileStructA", CallName: "GetPrivateProfileStructA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStruct", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSizeStruct", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetProcAddress", CallName: "GetProcAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProcName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetProcessAffinityMask", CallName: "GetProcessAffinityMask", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProcessAffinityMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemAffinityMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetProcessDEPPolicy", CallName: "GetProcessDEPPolicy", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPermanent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessDefaultCpuSets", CallName: "GetProcessDefaultCpuSets", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CpuSetIds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CpuSetIdCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RequiredIdCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessDefaultLayout", CallName: "GetProcessDefaultLayout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwDefaultLayout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessGroupAffinity", CallName: "GetProcessGroupAffinity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetProcessHandleCount", CallName: "GetProcessHandleCount", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwHandleCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessHeap", CallName: "GetProcessHeap", Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetProcessHeaps", CallName: "GetProcessHeaps", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NumberOfHeaps", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessHeaps", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "GetProcessId", CallName: "GetProcessId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
	}},
	{Name: "GetProcessIdOfThread", CallName: "GetProcessIdOfThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Thread", TypeSize: 8}},
	}},
	{Name: "GetProcessInformation", CallName: "GetProcessInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessInformationSize", TypeSize: 4}}},
	}},
	{Name: "GetProcessIoCounters", CallName: "GetProcessIoCounters", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIoCounters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetProcessMitigationPolicy", CallName: "GetProcessMitigationPolicy", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MitigationPolicy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwLength", TypeSize: 8}}},
	}},
	{Name: "GetProcessPreferredUILanguages", CallName: "GetProcessPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessPriorityBoost", CallName: "GetProcessPriorityBoost", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDisablePriorityBoost", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessShutdownParameters", CallName: "GetProcessShutdownParameters", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessTimes", CallName: "GetProcessTimes", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCreationTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExitTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKernelTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetProcessVersion", CallName: "GetProcessVersion", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessId", TypeSize: 4}}},
	}},
	{Name: "GetProcessWindowStation", CallName: "GetProcessWindowStation"},
	{Name: "GetProcessWorkingSetSize", CallName: "GetProcessWorkingSetSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMinimumWorkingSetSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaximumWorkingSetSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetProcessWorkingSetSizeEx", CallName: "GetProcessWorkingSetSizeEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMinimumWorkingSetSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaximumWorkingSetSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Flags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProcessorSystemCycleTime", CallName: "GetProcessorSystemCycleTime", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "Group", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProductInfo", CallName: "GetProductInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOSMajorVersion", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOSMinorVersion", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSpMajorVersion", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSpMinorVersion", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwReturnedProductType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetProfileIntA", CallName: "GetProfileIntA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nDefault", TypeSize: 4}}},
	}},
	{Name: "GetProfileSectionA", CallName: "GetProfileSectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnedString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetProfileStringA", CallName: "GetProfileStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDefault", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnedString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GetPropA", CallName: "GetPropA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetQueueStatus", CallName: "GetQueueStatus", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "GetQueuedCompletionStatus", CallName: "GetQueuedCompletionStatus", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionPort", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesTransferred", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompletionKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "GetQueuedCompletionStatusEx", CallName: "GetQueuedCompletionStatusEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionPort", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompletionPortEntries", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ulNumEntriesRemoved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fAlertable", TypeSize: 4}}},
	}},
	{Name: "GetROP2", CallName: "GetROP2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetRandomRgn", CallName: "GetRandomRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "i", TypeSize: 4}}},
	}},
	{Name: "GetRasterizerCaps", CallName: "GetRasterizerCaps", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpraststat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cjBytes", TypeSize: 4}}},
	}},
	{Name: "GetRawInputBuffer", CallName: "GetRawInputBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSizeHeader", TypeSize: 4}}},
	}},
	{Name: "GetRawInputData", CallName: "GetRawInputData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRawInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiCommand", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSizeHeader", TypeSize: 4}}},
	}},
	{Name: "GetRawInputDeviceInfoA", CallName: "GetRawInputDeviceInfoA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiCommand", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetRawInputDeviceList", CallName: "GetRawInputDeviceList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRawInputDeviceList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puiNumDevices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "GetRawPointerDeviceData", CallName: "GetRawPointerDeviceData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "historyCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "propertiesCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProperties", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetRegionData", CallName: "GetRegionData", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRgnData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetRegisteredRawInputDevices", CallName: "GetRegisteredRawInputDevices", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRawInputDevices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puiNumDevices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "GetRgnBox", CallName: "GetRgnBox", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSaveFileNameA", CallName: "GetSaveFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetScrollBarInfo", CallName: "GetScrollBarInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idObject", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psbi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetScrollInfo", CallName: "GetScrollInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetScrollPos", CallName: "GetScrollPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
	}},
	{Name: "GetScrollRange", CallName: "GetScrollRange", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMinPos", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaxPos", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorControl", CallName: "GetSecurityDescriptorControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pControl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwRevision", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorDacl", CallName: "GetSecurityDescriptorDacl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbDaclPresent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDacl", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbDaclDefaulted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorGroup", CallName: "GetSecurityDescriptorGroup", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pGroup", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbGroupDefaulted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorLength", CallName: "GetSecurityDescriptorLength", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetSecurityDescriptorOwner", CallName: "GetSecurityDescriptorOwner", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOwner", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbOwnerDefaulted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorRMControl", CallName: "GetSecurityDescriptorRMControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RMControl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetSecurityDescriptorSacl", CallName: "GetSecurityDescriptorSacl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbSaclPresent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSacl", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbSaclDefaulted", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetServiceDisplayNameA", CallName: "GetServiceDisplayNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDisplayName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetServiceKeyNameA", CallName: "GetServiceKeyNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDisplayName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetShellWindow", CallName: "GetShellWindow"},
	{Name: "GetShortPathNameA", CallName: "GetShortPathNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszLongPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszShortPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuffer", TypeSize: 4}}},
	}},
	{Name: "GetSidIdentifierAuthority", CallName: "GetSidIdentifierAuthority", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetSidLengthRequired", CallName: "GetSidLengthRequired", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nSubAuthorityCount", TypeSize: 1}}},
	}},
	{Name: "GetSidSubAuthority", CallName: "GetSidSubAuthority", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSubAuthority", TypeSize: 4}}},
	}},
	{Name: "GetSidSubAuthorityCount", CallName: "GetSidSubAuthorityCount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetSpoolFileHandle", CallName: "GetSpoolFileHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetStartupInfoA", CallName: "GetStartupInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStartupInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetStdHandle", CallName: "GetStdHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nStdHandle", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "GetStockObject", CallName: "GetStockObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "i", TypeSize: 4}}},
	}},
	{Name: "GetStretchBltMode", CallName: "GetStretchBltMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetStringScripts", CallName: "GetStringScripts", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchString", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpScripts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchScripts", TypeSize: 4}}},
	}},
	{Name: "GetStringTypeA", CallName: "GetStringTypeA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCharType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetStringTypeExA", CallName: "GetStringTypeExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCharType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "GetSubMenu", CallName: "GetSubMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPos", TypeSize: 4}}},
	}},
	{Name: "GetSysColor", CallName: "GetSysColor", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetSysColorBrush", CallName: "GetSysColorBrush", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetSystemCpuSetInformation", CallName: "GetSystemCpuSetInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Information", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnedLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "GetSystemDEPPolicy", CallName: "GetSystemDEPPolicy"},
	{Name: "GetSystemDefaultLCID", CallName: "GetSystemDefaultLCID"},
	{Name: "GetSystemDefaultLangID", CallName: "GetSystemDefaultLangID"},
	{Name: "GetSystemDefaultLocaleName", CallName: "GetSystemDefaultLocaleName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLocaleName", TypeSize: 4}}},
	}},
	{Name: "GetSystemDefaultUILanguage", CallName: "GetSystemDefaultUILanguage"},
	{Name: "GetSystemDirectoryA", CallName: "GetSystemDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSize", TypeSize: 4}}},
	}},
	{Name: "GetSystemFileCacheSize", CallName: "GetSystemFileCacheSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMinimumFileCacheSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaximumFileCacheSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSystemFirmwareTable", CallName: "GetSystemFirmwareTable", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FirmwareTableProviderSignature", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FirmwareTableID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFirmwareTableBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BufferSize", TypeSize: 4}}},
	}},
	{Name: "GetSystemInfo", CallName: "GetSystemInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemMenu", CallName: "GetSystemMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bRevert", TypeSize: 4}}},
	}},
	{Name: "GetSystemMetrics", CallName: "GetSystemMetrics", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetSystemMetricsForDpi", CallName: "GetSystemMetricsForDpi", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dpi", TypeSize: 4}}},
	}},
	{Name: "GetSystemPaletteEntries", CallName: "GetSystemPaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPalEntries", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemPaletteUse", CallName: "GetSystemPaletteUse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemPowerStatus", CallName: "GetSystemPowerStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemPowerStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemPreferredUILanguages", CallName: "GetSystemPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSystemRegistryQuota", CallName: "GetSystemRegistryQuota", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwQuotaAllowed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwQuotaUsed", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSystemTime", CallName: "GetSystemTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemTimeAdjustment", CallName: "GetSystemTimeAdjustment", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeAdjustment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeIncrement", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeAdjustmentDisabled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetSystemTimeAsFileTime", CallName: "GetSystemTimeAsFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTimeAsFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemTimePreciseAsFileTime", CallName: "GetSystemTimePreciseAsFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTimeAsFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemTimes", CallName: "GetSystemTimes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIdleTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKernelTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetSystemWindowsDirectoryA", CallName: "GetSystemWindowsDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSize", TypeSize: 4}}},
	}},
	{Name: "GetSystemWow64Directory2A", CallName: "GetSystemWow64Directory2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ImageFileMachineType", TypeSize: 2}}},
	}},
	{Name: "GetSystemWow64DirectoryA", CallName: "GetSystemWow64DirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSize", TypeSize: 4}}},
	}},
	{Name: "GetTabbedTextExtentA", CallName: "GetTabbedTextExtentA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTabPositions", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnTabStopPositions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetTapeParameters", CallName: "GetTapeParameters", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOperation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTapeInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetTapePosition", CallName: "GetTapePosition", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPositionType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwPartition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwOffsetLow", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwOffsetHigh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetTapeStatus", CallName: "GetTapeStatus", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
	}},
	{Name: "GetTempFileNameA", CallName: "GetTempFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPrefixString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uUnique", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTempFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetTempPathA", CallName: "GetTempPathA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetTextAlign", CallName: "GetTextAlign", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextCharacterExtra", CallName: "GetTextCharacterExtra", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextCharset", CallName: "GetTextCharset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextCharsetInfo", CallName: "GetTextCharsetInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSig", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "GetTextColor", CallName: "GetTextColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextExtentExPointA", CallName: "GetTextExtentExPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchString", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxExtent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnFit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnDx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextExtentExPointI", CallName: "GetTextExtentExPointI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwszString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cwchString", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxExtent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnFit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnDx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextExtentPoint32A", CallName: "GetTextExtentPoint32A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psizl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextExtentPointA", CallName: "GetTextExtentPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextExtentPointI", CallName: "GetTextExtentPointI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pgiIn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cgi", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTextFaceA", CallName: "GetTextFaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GetTextMetricsA", CallName: "GetTextMetricsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lptm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetThreadContext", CallName: "GetThreadContext", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetThreadDesktop", CallName: "GetThreadDesktop", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwThreadId", TypeSize: 4}}},
	}},
	{Name: "GetThreadDpiAwarenessContext", CallName: "GetThreadDpiAwarenessContext"},
	{Name: "GetThreadErrorMode", CallName: "GetThreadErrorMode"},
	{Name: "GetThreadGroupAffinity", CallName: "GetThreadGroupAffinity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupAffinity", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetThreadIOPendingFlag", CallName: "GetThreadIOPendingFlag", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIOIsPending", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetThreadId", CallName: "GetThreadId", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Thread", TypeSize: 8}},
	}},
	{Name: "GetThreadIdealProcessorEx", CallName: "GetThreadIdealProcessorEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIdealProcessor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetThreadInformation", CallName: "GetThreadInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ThreadInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ThreadInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ThreadInformationSize", TypeSize: 4}}},
	}},
	{Name: "GetThreadLocale", CallName: "GetThreadLocale"},
	{Name: "GetThreadPreferredUILanguages", CallName: "GetThreadPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetThreadPriority", CallName: "GetThreadPriority", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
	}},
	{Name: "GetThreadPriorityBoost", CallName: "GetThreadPriorityBoost", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDisablePriorityBoost", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetThreadSelectedCpuSets", CallName: "GetThreadSelectedCpuSets", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Thread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CpuSetIds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CpuSetIdCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RequiredIdCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetThreadSelectorEntry", CallName: "GetThreadSelectorEntry", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSelector", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSelectorEntry", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetThreadTimes", CallName: "GetThreadTimes", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCreationTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExitTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKernelTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetThreadUILanguage", CallName: "GetThreadUILanguage"},
	{Name: "GetTickCount", CallName: "GetTickCount"},
	{Name: "GetTickCount64", CallName: "GetTickCount64"},
	{Name: "GetTimeFormatA", CallName: "GetTimeFormatA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchTime", TypeSize: 4}}},
	}},
	{Name: "GetTimeFormatEx", CallName: "GetTimeFormatEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchTime", TypeSize: 4}}},
	}},
	{Name: "GetTimeZoneInformation", CallName: "GetTimeZoneInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTimeZoneInformationForYear", CallName: "GetTimeZoneInformationForYear", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wYear", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdtzi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptzi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTitleBarInfo", CallName: "GetTitleBarInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTokenInformation", CallName: "GetTokenInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TokenInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TokenInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TokenInformationLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetTopWindow", CallName: "GetTopWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetTouchInputInfo", CallName: "GetTouchInputInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hTouchInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cInputs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInputs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "GetUILanguageInfo", CallName: "GetUILanguageInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwmszLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszFallbackLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchFallbackLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetUmsCompletionListEvent", CallName: "GetUmsCompletionListEvent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsCompletionList", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsCompletionEvent", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "GetUmsSystemThreadInformation", CallName: "GetUmsSystemThreadInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SystemThreadInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetUnpredictedMessagePos", CallName: "GetUnpredictedMessagePos"},
	{Name: "GetUpdateRect", CallName: "GetUpdateRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bErase", TypeSize: 4}}},
	}},
	{Name: "GetUpdateRgn", CallName: "GetUpdateRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bErase", TypeSize: 4}}},
	}},
	{Name: "GetUpdatedClipboardFormats", CallName: "GetUpdatedClipboardFormats", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpuiFormats", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cFormats", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcFormatsOut", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetUserDefaultLCID", CallName: "GetUserDefaultLCID"},
	{Name: "GetUserDefaultLangID", CallName: "GetUserDefaultLangID"},
	{Name: "GetUserDefaultLocaleName", CallName: "GetUserDefaultLocaleName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLocaleName", TypeSize: 4}}},
	}},
	{Name: "GetUserDefaultUILanguage", CallName: "GetUserDefaultUILanguage"},
	{Name: "GetUserGeoID", CallName: "GetUserGeoID", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GeoClass", TypeSize: 4}}},
	}},
	{Name: "GetUserNameA", CallName: "GetUserNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetUserObjectInformationA", CallName: "GetUserObjectInformationA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObj", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLengthNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetUserObjectSecurity", CallName: "GetUserObjectSecurity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObj", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSIRequested", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSID", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLengthNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetUserPreferredUILanguages", CallName: "GetUserPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetVersion", CallName: "GetVersion"},
	{Name: "GetVersionExA", CallName: "GetVersionExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetViewportExtEx", CallName: "GetViewportExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetViewportOrgEx", CallName: "GetViewportOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetVolumeInformationA", CallName: "GetVolumeInformationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRootPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVolumeNameBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nVolumeNameSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVolumeSerialNumber", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaximumComponentLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSystemFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileSystemNameBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nFileSystemNameSize", TypeSize: 4}}},
	}},
	{Name: "GetVolumeNameForVolumeMountPointA", CallName: "GetVolumeNameForVolumeMountPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeMountPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}},
	{Name: "GetVolumePathNameA", CallName: "GetVolumePathNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumePathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
	}},
	{Name: "GetVolumePathNamesForVolumeNameA", CallName: "GetVolumePathNamesForVolumeNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumePathNames", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetWinMetaFileBits", CallName: "GetWinMetaFileBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hemf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData16", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData16", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMapMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcRef", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindow", CallName: "GetWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCmd", TypeSize: 4}}},
	}},
	{Name: "GetWindowContextHelpId", CallName: "GetWindowContextHelpId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowDC", CallName: "GetWindowDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowDisplayAffinity", CallName: "GetWindowDisplayAffinity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwAffinity", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetWindowDpiAwarenessContext", CallName: "GetWindowDpiAwarenessContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowExtEx", CallName: "GetWindowExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowFeedbackSetting", CallName: "GetWindowFeedbackSetting", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "feedback", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "config", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GetWindowInfo", CallName: "GetWindowInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowLongA", CallName: "GetWindowLongA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetWindowLongPtrA", CallName: "GetWindowLongPtrA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetWindowModuleFileNameA", CallName: "GetWindowModuleFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchFileNameMax", TypeSize: 4}}},
	}},
	{Name: "GetWindowOrgEx", CallName: "GetWindowOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowPlacement", CallName: "GetWindowPlacement", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwndpl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowRect", CallName: "GetWindowRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowRgn", CallName: "GetWindowRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowRgnBox", CallName: "GetWindowRgnBox", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowTextA", CallName: "GetWindowTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxCount", TypeSize: 4}}},
	}},
	{Name: "GetWindowTextLengthA", CallName: "GetWindowTextLengthA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWindowThreadProcessId", CallName: "GetWindowThreadProcessId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwProcessId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetWindowWord", CallName: "GetWindowWord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
	}},
	{Name: "GetWindowsAccountDomainSid", CallName: "GetWindowsAccountDomainSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDomainSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cbDomainSid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetWindowsDirectoryA", CallName: "GetWindowsDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSize", TypeSize: 4}}},
	}},
	{Name: "GetWorldTransform", CallName: "GetWorldTransform", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GetWriteWatch", CallName: "GetWriteWatch", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwRegionSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddresses", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwGranularity", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "GetXStateFeaturesMask", CallName: "GetXStateFeaturesMask", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "FeatureMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GlobalAddAtomA", CallName: "GlobalAddAtomA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GlobalAddAtomExA", CallName: "GlobalAddAtomExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "GlobalAlloc", CallName: "GlobalAlloc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwBytes", TypeSize: 8}}},
	}},
	{Name: "GlobalCompact", CallName: "GlobalCompact", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMinFree", TypeSize: 4}}},
	}},
	{Name: "GlobalDeleteAtom", CallName: "GlobalDeleteAtom", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nAtom", TypeSize: 2}}},
	}},
	{Name: "GlobalFindAtomA", CallName: "GlobalFindAtomA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "GlobalFix", CallName: "GlobalFix", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalFlags", CallName: "GlobalFlags", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalFree", CallName: "GlobalFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalGetAtomNameA", CallName: "GlobalGetAtomNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "nAtom", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "GlobalHandle", CallName: "GlobalHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalLock", CallName: "GlobalLock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalMemoryStatus", CallName: "GlobalMemoryStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GlobalMemoryStatusEx", CallName: "GlobalMemoryStatusEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "GlobalReAlloc", CallName: "GlobalReAlloc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwBytes", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "GlobalSize", CallName: "GlobalSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalUnWire", CallName: "GlobalUnWire", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalUnfix", CallName: "GlobalUnfix", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalUnlock", CallName: "GlobalUnlock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GlobalWire", CallName: "GlobalWire", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "GradientFill", CallName: "GradientFill", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pVertex", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nVertex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMesh", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMesh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulMode", TypeSize: 4}}},
	}},
	{Name: "GrayStringA", CallName: "GrayStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBrush", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutputFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lpData", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
	}},
	{Name: "HeapAlloc", CallName: "HeapAlloc", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwBytes", TypeSize: 8}}},
	}},
	{Name: "HeapCompact", CallName: "HeapCompact", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "HeapCreate", CallName: "HeapCreate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInitialSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwMaximumSize", TypeSize: 8}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "HeapDestroy", CallName: "HeapDestroy", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
	}},
	{Name: "HeapFree", CallName: "HeapFree", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "HeapLock", CallName: "HeapLock", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
	}},
	{Name: "HeapQueryInformation", CallName: "HeapQueryInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "HeapHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "HeapInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HeapInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "HeapInformationLength", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "HeapReAlloc", CallName: "HeapReAlloc", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwBytes", TypeSize: 8}}},
	}},
	{Name: "HeapSetInformation", CallName: "HeapSetInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "HeapHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "HeapInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HeapInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "HeapInformationLength", TypeSize: 8}}},
	}},
	{Name: "HeapSize", CallName: "HeapSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "HeapSummary", CallName: "HeapSummary", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSummary", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "HeapUnlock", CallName: "HeapUnlock", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
	}},
	{Name: "HeapValidate", CallName: "HeapValidate", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "HeapWalk", CallName: "HeapWalk", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHeap", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "HideCaret", CallName: "HideCaret", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "HiliteMenuItem", CallName: "HiliteMenuItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uIDHiliteItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uHilite", TypeSize: 4}}},
	}},
	{Name: "I_UuidCreate", CallName: "I_UuidCreate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IdnToAscii", CallName: "IdnToAscii", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUnicodeCharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchUnicodeChar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpASCIICharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchASCIIChar", TypeSize: 4}}},
	}},
	{Name: "IdnToUnicode", CallName: "IdnToUnicode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpASCIICharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchASCIIChar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUnicodeCharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchUnicodeChar", TypeSize: 4}}},
	}},
	{Name: "ImmAssociateContext", CallName: "ImmAssociateContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmAssociateContextEx", CallName: "ImmAssociateContextEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
	}},
	{Name: "ImmConfigureIMEA", CallName: "ImmConfigureIMEA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg3", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ImmCreateContext", CallName: "ImmCreateContext"},
	{Name: "ImmDestroyContext", CallName: "ImmDestroyContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmDisableIME", CallName: "ImmDisableIME", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg0", TypeSize: 4}}},
	}},
	{Name: "ImmDisableLegacyIME", CallName: "ImmDisableLegacyIME"},
	{Name: "ImmDisableTextFrameService", CallName: "ImmDisableTextFrameService", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
	}},
	{Name: "ImmEnumInputContext", CallName: "ImmEnumInputContext", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "ImmEnumRegisterWordA", CallName: "ImmEnumRegisterWordA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszReading", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszRegister", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg5", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ImmEscapeA", CallName: "ImmEscapeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg3", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ImmGetCandidateListA", CallName: "ImmGetCandidateListA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "deIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCandList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufLen", TypeSize: 4}}},
	}},
	{Name: "ImmGetCandidateListCountA", CallName: "ImmGetCandidateListCountA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwListCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ImmGetCandidateWindow", CallName: "ImmGetCandidateWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCandidate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetCompositionFontA", CallName: "ImmGetCompositionFontA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lplf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetCompositionStringA", CallName: "ImmGetCompositionStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufLen", TypeSize: 4}}},
	}},
	{Name: "ImmGetCompositionWindow", CallName: "ImmGetCompositionWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetContext", CallName: "ImmGetContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetConversionListA", CallName: "ImmGetConversionListA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufLen", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlag", TypeSize: 4}}},
	}},
	{Name: "ImmGetConversionStatus", CallName: "ImmGetConversionStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfdwConversion", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfdwSentence", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ImmGetDefaultIMEWnd", CallName: "ImmGetDefaultIMEWnd", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetDescriptionA", CallName: "ImmGetDescriptionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDescription", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uBufLen", TypeSize: 4}}},
	}},
	{Name: "ImmGetGuideLineA", CallName: "ImmGetGuideLineA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufLen", TypeSize: 4}}},
	}},
	{Name: "ImmGetIMEFileNameA", CallName: "ImmGetIMEFileNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uBufLen", TypeSize: 4}}},
	}},
	{Name: "ImmGetImeMenuItemsA", CallName: "ImmGetImeMenuItemsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpImeParentMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpImeMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSize", TypeSize: 4}}},
	}},
	{Name: "ImmGetOpenStatus", CallName: "ImmGetOpenStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetProperty", CallName: "ImmGetProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "ImmGetRegisterWordStyleA", CallName: "ImmGetRegisterWordStyleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStyleBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetStatusWindowPos", CallName: "ImmGetStatusWindowPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpptPos", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmGetVirtualKey", CallName: "ImmGetVirtualKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmInstallIMEA", CallName: "ImmInstallIMEA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszIMEFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszLayoutText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ImmIsIME", CallName: "ImmIsIME", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmIsUIMessageA", CallName: "ImmIsUIMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "arg2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "arg3", TypeSize: 8}}},
	}},
	{Name: "ImmNotifyIME", CallName: "ImmNotifyIME", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAction", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwValue", TypeSize: 4}}},
	}},
	{Name: "ImmRegisterWordA", CallName: "ImmRegisterWordA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszReading", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszRegister", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ImmReleaseContext", CallName: "ImmReleaseContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmSetCandidateWindow", CallName: "ImmSetCandidateWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCandidate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmSetCompositionFontA", CallName: "ImmSetCompositionFontA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lplf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmSetCompositionStringA", CallName: "ImmSetCompositionStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpComp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCompLen", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRead", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReadLen", TypeSize: 4}}},
	}},
	{Name: "ImmSetCompositionWindow", CallName: "ImmSetCompositionWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmSetConversionStatus", CallName: "ImmSetConversionStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
	}},
	{Name: "ImmSetOpenStatus", CallName: "ImmSetOpenStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "ImmSetStatusWindowPos", CallName: "ImmSetStatusWindowPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpptPos", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImmSimulateHotKey", CallName: "ImmSimulateHotKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "ImmUnregisterWordA", CallName: "ImmUnregisterWordA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszReading", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszUnregister", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ImpersonateAnonymousToken", CallName: "ImpersonateAnonymousToken", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
	}},
	{Name: "ImpersonateDdeClientWindow", CallName: "ImpersonateDdeClientWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndClient", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ImpersonateLoggedOnUser", CallName: "ImpersonateLoggedOnUser", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hToken", TypeSize: 8}},
	}},
	{Name: "ImpersonateNamedPipeClient", CallName: "ImpersonateNamedPipeClient", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
	}},
	{Name: "ImpersonateSelf", CallName: "ImpersonateSelf", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ImpersonationLevel", TypeSize: 4}}},
	}},
	{Name: "InSendMessage", CallName: "InSendMessage"},
	{Name: "InSendMessageEx", CallName: "InSendMessageEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "InflateRect", CallName: "InflateRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dy", TypeSize: 4}}},
	}},
	{Name: "InheritWindowMonitor", CallName: "InheritWindowMonitor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndInherit", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitAtomTable", CallName: "InitAtomTable", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "InitNetworkAddressControl", CallName: "InitNetworkAddressControl"},
	{Name: "InitOnceBeginInitialize", CallName: "InitOnceBeginInitialize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInitOnce", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fPending", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "InitOnceComplete", CallName: "InitOnceComplete", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInitOnce", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "InitOnceExecuteOnce", CallName: "InitOnceExecuteOnce", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InitOnce", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InitFn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Parameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "InitOnceInitialize", CallName: "InitOnceInitialize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InitOnce", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeAcl", CallName: "InitializeAcl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nAclLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAclRevision", TypeSize: 4}}},
	}},
	{Name: "InitializeConditionVariable", CallName: "InitializeConditionVariable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ConditionVariable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeContext", CallName: "InitializeContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Buffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ContextFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ContextLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "InitializeCriticalSection", CallName: "InitializeCriticalSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeCriticalSectionAndSpinCount", CallName: "InitializeCriticalSectionAndSpinCount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSpinCount", TypeSize: 4}}},
	}},
	{Name: "InitializeCriticalSectionEx", CallName: "InitializeCriticalSectionEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSpinCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "InitializeEnclave", CallName: "InitializeEnclave", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnclaveInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnclaveError", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "InitializeProcThreadAttributeList", CallName: "InitializeProcThreadAttributeList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttributeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAttributeCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeSListHead", CallName: "InitializeSListHead", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeSRWLock", CallName: "InitializeSRWLock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InitializeSecurityDescriptor", CallName: "InitializeSecurityDescriptor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRevision", TypeSize: 4}}},
	}},
	{Name: "InitializeSid", CallName: "InitializeSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Sid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIdentifierAuthority", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "nSubAuthorityCount", TypeSize: 1}}},
	}},
	{Name: "InitializeSynchronizationBarrier", CallName: "InitializeSynchronizationBarrier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBarrier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lTotalThreads", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lSpinCount", TypeSize: 4}}},
	}},
	{Name: "InitializeTouchInjection", CallName: "InitializeTouchInjection", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "maxCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMode", TypeSize: 4}}},
	}},
	{Name: "InjectTouchInput", CallName: "InjectTouchInput", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "contacts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InsertMenuA", CallName: "InsertMenuA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPosition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uIDNewItem", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "InsertMenuItemA", CallName: "InsertMenuItemA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "item", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fByPosition", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InstallELAMCertificateInfo", CallName: "InstallELAMCertificateInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ELAMFile", TypeSize: 8}},
	}},
	{Name: "InstallPrinterDriverFromPackageA", CallName: "InstallPrinterDriverFromPackageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszInfPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDriverName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "InterlockedFlushSList", CallName: "InterlockedFlushSList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InterlockedPopEntrySList", CallName: "InterlockedPopEntrySList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InterlockedPushEntrySList", CallName: "InterlockedPushEntrySList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InterlockedPushListSListEx", CallName: "InterlockedPushListSListEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "List", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListEnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Count", TypeSize: 4}}},
	}},
	{Name: "InternalGetWindowText", CallName: "InternalGetWindowText", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchMaxCount", TypeSize: 4}}},
	}},
	{Name: "IntersectClipRect", CallName: "IntersectClipRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
	}},
	{Name: "IntersectRect", CallName: "IntersectRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InvalidateRect", CallName: "InvalidateRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bErase", TypeSize: 4}}},
	}},
	{Name: "InvalidateRgn", CallName: "InvalidateRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bErase", TypeSize: 4}}},
	}},
	{Name: "InvertRect", CallName: "InvertRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "InvertRgn", CallName: "InvertRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsBadCodePtr", CallName: "IsBadCodePtr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsBadHugeReadPtr", CallName: "IsBadHugeReadPtr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ucb", TypeSize: 8}}},
	}},
	{Name: "IsBadHugeWritePtr", CallName: "IsBadHugeWritePtr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ucb", TypeSize: 8}}},
	}},
	{Name: "IsBadReadPtr", CallName: "IsBadReadPtr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ucb", TypeSize: 8}}},
	}},
	{Name: "IsBadStringPtrA", CallName: "IsBadStringPtrA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ucchMax", TypeSize: 8}}},
	}},
	{Name: "IsBadWritePtr", CallName: "IsBadWritePtr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ucb", TypeSize: 8}}},
	}},
	{Name: "IsCharAlphaA", CallName: "IsCharAlphaA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
	}},
	{Name: "IsCharAlphaNumericA", CallName: "IsCharAlphaNumericA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
	}},
	{Name: "IsCharLowerA", CallName: "IsCharLowerA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
	}},
	{Name: "IsCharUpperA", CallName: "IsCharUpperA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
	}},
	{Name: "IsChild", CallName: "IsChild", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsClipboardFormatAvailable", CallName: "IsClipboardFormatAvailable", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
	}},
	{Name: "IsDBCSLeadByte", CallName: "IsDBCSLeadByte", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "TestChar", TypeSize: 1}}},
	}},
	{Name: "IsDBCSLeadByteEx", CallName: "IsDBCSLeadByteEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "TestChar", TypeSize: 1}}},
	}},
	{Name: "IsDebuggerPresent", CallName: "IsDebuggerPresent"},
	{Name: "IsDialogMessageA", CallName: "IsDialogMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsDlgButtonChecked", CallName: "IsDlgButtonChecked", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDButton", TypeSize: 4}}},
	}},
	{Name: "IsEnclaveTypeSupported", CallName: "IsEnclaveTypeSupported", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flEnclaveType", TypeSize: 4}}},
	}},
	{Name: "IsGUIThread", CallName: "IsGUIThread", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bConvert", TypeSize: 4}}},
	}},
	{Name: "IsHungAppWindow", CallName: "IsHungAppWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsIconic", CallName: "IsIconic", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsImmersiveProcess", CallName: "IsImmersiveProcess", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
	}},
	{Name: "IsLFNDriveA", CallName: "IsLFNDriveA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "IsMenu", CallName: "IsMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsMouseInPointerEnabled", CallName: "IsMouseInPointerEnabled"},
	{Name: "IsNLSDefinedString", CallName: "IsNLSDefinedString", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Function", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchStr", TypeSize: 4}}},
	}},
	{Name: "IsNativeVhdBoot", CallName: "IsNativeVhdBoot", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NativeVhdBoot", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsNormalizedString", CallName: "IsNormalizedString", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NormForm", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cwLength", TypeSize: 4}}},
	}},
	{Name: "IsProcessCritical", CallName: "IsProcessCritical", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Critical", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsProcessDPIAware", CallName: "IsProcessDPIAware"},
	{Name: "IsProcessInJob", CallName: "IsProcessInJob", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ProcessHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "JobHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Result", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsProcessorFeaturePresent", CallName: "IsProcessorFeaturePresent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessorFeature", TypeSize: 4}}},
	}},
	{Name: "IsRectEmpty", CallName: "IsRectEmpty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsSystemResumeAutomatic", CallName: "IsSystemResumeAutomatic"},
	{Name: "IsTextUnicode", CallName: "IsTextUnicode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpiResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsThreadAFiber", CallName: "IsThreadAFiber"},
	{Name: "IsThreadpoolTimerSet", CallName: "IsThreadpoolTimerSet", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsTokenRestricted", CallName: "IsTokenRestricted", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
	}},
	{Name: "IsTokenUntrusted", CallName: "IsTokenUntrusted", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
	}},
	{Name: "IsTouchWindow", CallName: "IsTouchWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsValidAcl", CallName: "IsValidAcl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsValidCodePage", CallName: "IsValidCodePage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
	}},
	{Name: "IsValidDevmodeA", CallName: "IsValidDevmodeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDevmode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "DevmodeSize", TypeSize: 8}}},
	}},
	{Name: "IsValidDpiAwarenessContext", CallName: "IsValidDpiAwarenessContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "value", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsValidLanguageGroup", CallName: "IsValidLanguageGroup", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "LanguageGroup", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "IsValidLocale", CallName: "IsValidLocale", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "IsValidLocaleName", CallName: "IsValidLocaleName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "IsValidNLSVersion", CallName: "IsValidNLSVersion", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "function", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsValidSecurityDescriptor", CallName: "IsValidSecurityDescriptor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "IsValidSid", CallName: "IsValidSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "IsWellKnownSid", CallName: "IsWellKnownSid", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "WellKnownSidType", TypeSize: 4}}},
	}},
	{Name: "IsWinEventHookInstalled", CallName: "IsWinEventHookInstalled", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "event", TypeSize: 4}}},
	}},
	{Name: "IsWindow", CallName: "IsWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsWindowEnabled", CallName: "IsWindowEnabled", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsWindowUnicode", CallName: "IsWindowUnicode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsWindowVisible", CallName: "IsWindowVisible", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "IsWow64Message", CallName: "IsWow64Message"},
	{Name: "IsWow64Process", CallName: "IsWow64Process", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Wow64Process", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "IsWow64Process2", CallName: "IsWow64Process2", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProcessMachine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pNativeMachine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "IsZoomed", CallName: "IsZoomed", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "KillTimer", CallName: "KillTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uIDEvent", TypeSize: 8}}},
	}},
	{Name: "LCIDToLocaleName", CallName: "LCIDToLocaleName", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchName", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "LCMapStringA", CallName: "LCMapStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMapFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDestStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDest", TypeSize: 4}}},
	}},
	{Name: "LCMapStringEx", CallName: "LCMapStringEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMapFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchSrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDestStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "sortHandle", TypeSize: 8}}},
	}},
	{Name: "LPSAFEARRAY_UserFree", CallName: "LPSAFEARRAY_UserFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserFree64", CallName: "LPSAFEARRAY_UserFree64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserMarshal", CallName: "LPSAFEARRAY_UserMarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserMarshal64", CallName: "LPSAFEARRAY_UserMarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserSize", CallName: "LPSAFEARRAY_UserSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserSize64", CallName: "LPSAFEARRAY_UserSize64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserUnmarshal", CallName: "LPSAFEARRAY_UserUnmarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPSAFEARRAY_UserUnmarshal64", CallName: "LPSAFEARRAY_UserUnmarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "LPtoDP", CallName: "LPtoDP", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
	}},
	{Name: "LZClose", CallName: "LZClose", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hFile", TypeSize: 4}}},
	}},
	{Name: "LZCopy", CallName: "LZCopy", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfSource", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfDest", TypeSize: 4}}},
	}},
	{Name: "LZDone", CallName: "LZDone"},
	{Name: "LZInit", CallName: "LZInit", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hfSource", TypeSize: 4}}},
	}},
	{Name: "LZOpenFileA", CallName: "LZOpenFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReOpenBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wStyle", TypeSize: 2}}},
	}},
	{Name: "LZRead", CallName: "LZRead", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hFile", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbRead", TypeSize: 4}}},
	}},
	{Name: "LZSeek", CallName: "LZSeek", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hFile", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lOffset", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iOrigin", TypeSize: 4}}},
	}},
	{Name: "LZStart", CallName: "LZStart"},
	{Name: "LeaveCriticalSection", CallName: "LeaveCriticalSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LeaveCriticalSectionWhenCallbackReturns", CallName: "LeaveCriticalSectionWhenCallbackReturns", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LineDDA", CallName: "LineDDA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xEnd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yEnd", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "data", TypeSize: 8}}},
	}},
	{Name: "LineTo", CallName: "LineTo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "LoadAcceleratorsA", CallName: "LoadAcceleratorsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTableName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadBitmapA", CallName: "LoadBitmapA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBitmapName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadCursorA", CallName: "LoadCursorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCursorName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadCursorFromFileA", CallName: "LoadCursorFromFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadEnclaveData", CallName: "LoadEnclaveData", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flProtect", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPageInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEnclaveError", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LoadIconA", CallName: "LoadIconA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIconName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadImageA", CallName: "LoadImageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuLoad", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "LoadKeyboardLayoutA", CallName: "LoadKeyboardLayoutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszKLID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "LoadLibraryA", CallName: "LoadLibraryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLibFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadLibraryExA", CallName: "LoadLibraryExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLibFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "LoadMenuA", CallName: "LoadMenuA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMenuName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "LoadMenuIndirectA", CallName: "LoadMenuIndirectA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMenuTemplate", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LoadModule", CallName: "LoadModule", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpModuleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameterBlock", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LoadPackagedLibrary", CallName: "LoadPackagedLibrary", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwLibFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
	}},
	{Name: "LoadResource", CallName: "LoadResource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hResInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LoadStringA", CallName: "LoadStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBufferMax", TypeSize: 4}}},
	}},
	{Name: "LocalAlloc", CallName: "LocalAlloc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uBytes", TypeSize: 8}}},
	}},
	{Name: "LocalCompact", CallName: "LocalCompact", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMinFree", TypeSize: 4}}},
	}},
	{Name: "LocalFileTimeToFileTime", CallName: "LocalFileTimeToFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LocalFlags", CallName: "LocalFlags", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocalFree", CallName: "LocalFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocalHandle", CallName: "LocalHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocalLock", CallName: "LocalLock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocalReAlloc", CallName: "LocalReAlloc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uBytes", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "LocalShrink", CallName: "LocalShrink", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbNewSize", TypeSize: 4}}},
	}},
	{Name: "LocalSize", CallName: "LocalSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocalUnlock", CallName: "LocalUnlock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMem", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LocaleNameToLCID", CallName: "LocaleNameToLCID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "LocateXStateFeature", CallName: "LocateXStateFeature", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FeatureId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Length", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LockFile", CallName: "LockFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToLockLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToLockHigh", TypeSize: 4}}},
	}},
	{Name: "LockFileEx", CallName: "LockFileEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToLockLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToLockHigh", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LockResource", CallName: "LockResource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hResData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "LockServiceDatabase", CallName: "LockServiceDatabase", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LockSetForegroundWindow", CallName: "LockSetForegroundWindow", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uLockCode", TypeSize: 4}}},
	}},
	{Name: "LockWindowUpdate", CallName: "LockWindowUpdate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LogicalToPhysicalPoint", CallName: "LogicalToPhysicalPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LogicalToPhysicalPointForPerMonitorDPI", CallName: "LogicalToPhysicalPointForPerMonitorDPI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "LogonUserA", CallName: "LogonUserA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszUsername", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDomain", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLogonType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLogonProvider", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phToken", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "LogonUserExA", CallName: "LogonUserExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszUsername", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDomain", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLogonType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLogonProvider", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phToken", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppLogonSid", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppProfileBuffer", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwProfileLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LookupAccountNameA", CallName: "LookupAccountNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAccountName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Sid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cbSid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReferencedDomainName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cchReferencedDomainName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peUse", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LookupAccountSidA", CallName: "LookupAccountSidA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Sid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cchName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReferencedDomainName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cchReferencedDomainName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "peUse", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LookupIconIdFromDirectory", CallName: "LookupIconIdFromDirectory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "presbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fIcon", TypeSize: 4}}},
	}},
	{Name: "LookupIconIdFromDirectoryEx", CallName: "LookupIconIdFromDirectoryEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "presbits", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fIcon", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cxDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cyDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "LookupPrivilegeDisplayNameA", CallName: "LookupPrivilegeDisplayNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDisplayName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cchDisplayName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLanguageId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LookupPrivilegeNameA", CallName: "LookupPrivilegeNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cchName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "LookupPrivilegeValueA", CallName: "LookupPrivilegeValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MakeAbsoluteSD", CallName: "MakeAbsoluteSD", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSelfRelativeSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAbsoluteSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwAbsoluteSecurityDescriptorSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDacl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwDaclSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSacl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwSaclSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOwner", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwOwnerSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "MakeSelfRelativeSD", CallName: "MakeSelfRelativeSD", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAbsoluteSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSelfRelativeSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwBufferLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "MapDialogRect", CallName: "MapDialogRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MapGenericMask", CallName: "MapGenericMask", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AccessMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MapUserPhysicalPages", CallName: "MapUserPhysicalPages", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "NumberOfPages", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PageArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MapUserPhysicalPagesScatter", CallName: "MapUserPhysicalPagesScatter", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddresses", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "NumberOfPages", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PageArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MapViewOfFile", CallName: "MapViewOfFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFileMappingObject", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNumberOfBytesToMap", TypeSize: 8}}},
	}},
	{Name: "MapViewOfFileEx", CallName: "MapViewOfFileEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFileMappingObject", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNumberOfBytesToMap", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "MapViewOfFileExNuma", CallName: "MapViewOfFileExNuma", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFileMappingObject", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNumberOfBytesToMap", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nndPreferred", TypeSize: 4}}},
	}},
	{Name: "MapViewOfFileFromApp", CallName: "MapViewOfFileFromApp", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFileMappingObject", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "FileOffset", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "NumberOfBytesToMap", TypeSize: 8}}},
	}},
	{Name: "MapVirtualKeyA", CallName: "MapVirtualKeyA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMapType", TypeSize: 4}}},
	}},
	{Name: "MapVirtualKeyExA", CallName: "MapVirtualKeyExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMapType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dwhkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MapWindowPoints", CallName: "MapWindowPoints", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndFrom", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndTo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoints", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cPoints", TypeSize: 4}}},
	}},
	{Name: "MaskBlt", CallName: "MaskBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ySrc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbmMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MenuItemFromPoint", CallName: "MenuItemFromPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ptScreen", TypeSize: 8}}},
	}},
	{Name: "MessageBeep", CallName: "MessageBeep", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uType", TypeSize: 4}}},
	}},
	{Name: "MessageBoxA", CallName: "MessageBoxA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCaption", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uType", TypeSize: 4}}},
	}},
	{Name: "MessageBoxExA", CallName: "MessageBoxExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCaption", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wLanguageId", TypeSize: 2}}},
	}},
	{Name: "MessageBoxIndirectA", CallName: "MessageBoxIndirectA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmbp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ModifyMenuA", CallName: "ModifyMenuA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMnu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPosition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uIDNewItem", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewItem", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ModifyWorldTransform", CallName: "ModifyWorldTransform", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "MonitorFromPoint", CallName: "MonitorFromPoint", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pt", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MonitorFromRect", CallName: "MonitorFromRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MonitorFromWindow", CallName: "MonitorFromWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MoveFileA", CallName: "MoveFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "MoveFileExA", CallName: "MoveFileExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MoveFileTransactedA", CallName: "MoveFileTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProgressRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "MoveFileWithProgressA", CallName: "MoveFileWithProgressA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExistingFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProgressRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MoveToEx", CallName: "MoveToEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "MoveWindow", CallName: "MoveWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nHeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bRepaint", TypeSize: 4}}},
	}},
	{Name: "MsgWaitForMultipleObjects", CallName: "MsgWaitForMultipleObjects", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHandles", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fWaitAll", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwWakeMask", TypeSize: 4}}},
	}},
	{Name: "MsgWaitForMultipleObjectsEx", CallName: "MsgWaitForMultipleObjectsEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHandles", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwWakeMask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "MulDiv", CallName: "MulDiv", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumber", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumerator", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nDenominator", TypeSize: 4}}},
	}},
	{Name: "MultiByteToWideChar", CallName: "MultiByteToWideChar", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMultiByteStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbMultiByte", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWideCharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchWideChar", TypeSize: 4}}},
	}},
	{Name: "MultinetGetConnectionPerformanceA", CallName: "MultinetGetConnectionPerformanceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetConnectInfoStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "NCryptCreateClaim", CallName: "NCryptCreateClaim", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hSubjectKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hAuthorityKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwClaimType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbClaimBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbClaimBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptCreatePersistedKey", CallName: "NCryptCreatePersistedKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszAlgId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLegacyKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptDecrypt", CallName: "NCryptDecrypt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbInput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPaddingInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOutput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptDeleteKey", CallName: "NCryptDeleteKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptDeriveKey", CallName: "NCryptDeriveKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hSharedSecret", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszKDF", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDerivedKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDerivedKey", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptEncrypt", CallName: "NCryptEncrypt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbInput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPaddingInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOutput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptEnumAlgorithms", CallName: "NCryptEnumAlgorithms", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAlgOperations", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwAlgCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppAlgList", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptEnumKeys", CallName: "NCryptEnumKeys", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszScope", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppKeyName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppEnumState", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptEnumStorageProviders", CallName: "NCryptEnumStorageProviders", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwProviderCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppProviderList", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptExportKey", CallName: "NCryptExportKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hExportKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszBlobType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOutput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptFinalizeKey", CallName: "NCryptFinalizeKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptFreeBuffer", CallName: "NCryptFreeBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvInput", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "NCryptFreeObject", CallName: "NCryptFreeObject", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hObject", TypeSize: 8}}},
	}},
	{Name: "NCryptGetProperty", CallName: "NCryptGetProperty", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hObject", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProperty", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOutput", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptImportKey", CallName: "NCryptImportKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hImportKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszBlobType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptIsAlgSupported", CallName: "NCryptIsAlgSupported", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszAlgId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptIsKeyHandle", CallName: "NCryptIsKeyHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
	}},
	{Name: "NCryptKeyDerivation", CallName: "NCryptKeyDerivation", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbDerivedKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbDerivedKey", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptNotifyChangeKey", CallName: "NCryptNotifyChangeKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phEvent", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptOpenKey", CallName: "NCryptOpenKey", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hProvider", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLegacyKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptOpenStorageProvider", CallName: "NCryptOpenStorageProvider", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phProvider", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProviderName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptSecretAgreement", CallName: "NCryptSecretAgreement", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hPrivKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hPubKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phAgreedSecret", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptSetProperty", CallName: "NCryptSetProperty", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hObject", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszProperty", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbInput", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptSignHash", CallName: "NCryptSignHash", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPaddingInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbHashValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbHashValue", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignature", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptTranslateHandle", CallName: "NCryptTranslateHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phProvider", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hLegacyProv", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hLegacyKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLegacyKeySpec", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptVerifyClaim", CallName: "NCryptVerifyClaim", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hSubjectKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hAuthorityKey", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwClaimType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pParameterList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbClaimBlob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbClaimBlob", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOutput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NCryptVerifySignature", CallName: "NCryptVerifySignature", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPaddingInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbHashValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbHashValue", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbSignature", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSignature", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "NeedCurrentDirectoryForExePathA", CallName: "NeedCurrentDirectoryForExePathA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "NormalizeString", CallName: "NormalizeString", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NormForm", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrcString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cwSrcLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDstString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cwDstLength", TypeSize: 4}}},
	}},
	{Name: "NotifyBootConfigStatus", CallName: "NotifyBootConfigStatus", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BootAcceptable", TypeSize: 4}}},
	}},
	{Name: "NotifyChangeEventLog", CallName: "NotifyChangeEventLog", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEvent", TypeSize: 8}},
	}},
	{Name: "NotifyServiceStatusChangeA", CallName: "NotifyServiceStatusChangeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNotifyMask", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pNotifyBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "NotifyUILanguageChange", CallName: "NotifyUILanguageChange", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcwstrNewLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcwstrPreviousLanguage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwStatusRtrn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "NotifyWinEvent", CallName: "NotifyWinEvent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "event", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idObject", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idChild", TypeSize: 4}}},
	}},
	{Name: "ObjectCloseAuditAlarmA", CallName: "ObjectCloseAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GenerateOnClose", TypeSize: 4}}},
	}},
	{Name: "ObjectDeleteAuditAlarmA", CallName: "ObjectDeleteAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GenerateOnClose", TypeSize: 4}}},
	}},
	{Name: "ObjectOpenAuditAlarmA", CallName: "ObjectOpenAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectTypeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GrantedAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Privileges", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ObjectPrivilegeAuditAlarmA", CallName: "ObjectPrivilegeAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandleId", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Privileges", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessGranted", TypeSize: 4}}},
	}},
	{Name: "OemKeyScan", CallName: "OemKeyScan", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wOemChar", TypeSize: 2}}},
	}},
	{Name: "OemToCharA", CallName: "OemToCharA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "OemToCharBuffA", CallName: "OemToCharBuffA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchDstLength", TypeSize: 4}}},
	}},
	{Name: "OfferVirtualMemory", CallName: "OfferVirtualMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Priority", TypeSize: 4}}},
	}},
	{Name: "OffsetClipRgn", CallName: "OffsetClipRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "OffsetRect", CallName: "OffsetRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dy", TypeSize: 4}}},
	}},
	{Name: "OffsetRgn", CallName: "OffsetRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "OffsetViewportOrgEx", CallName: "OffsetViewportOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OffsetWindowOrgEx", CallName: "OffsetWindowOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OpenBackupEventLogA", CallName: "OpenBackupEventLogA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUNCServerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenClipboard", CallName: "OpenClipboard", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndNewOwner", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OpenDesktopA", CallName: "OpenDesktopA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInherit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}},
	{Name: "OpenDriver", CallName: "OpenDriver", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szDriverName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szSectionName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam2", TypeSize: 8}}},
	}},
	{Name: "OpenEncryptedFileRawA", CallName: "OpenEncryptedFileRawA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "OpenEventA", CallName: "OpenEventA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenEventLogA", CallName: "OpenEventLogA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUNCServerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSourceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenFile", CallName: "OpenFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReOpenBuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uStyle", TypeSize: 4}}},
	}},
	{Name: "OpenFileById", CallName: "OpenFileById", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hVolumeHint", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwShareMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlagsAndAttributes", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenFileMappingA", CallName: "OpenFileMappingA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenFileMappingFromApp", CallName: "OpenFileMappingFromApp", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "InheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenIcon", CallName: "OpenIcon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OpenInputDesktop", CallName: "OpenInputDesktop", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInherit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}},
	{Name: "OpenJobObjectA", CallName: "OpenJobObjectA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenMutexA", CallName: "OpenMutexA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenPrinter2A", CallName: "OpenPrinter2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinterName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phPrinter", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDefault", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOptions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OpenPrinterA", CallName: "OpenPrinterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinterName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phPrinter", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDefault", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OpenPrivateNamespaceA", CallName: "OpenPrivateNamespaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBoundaryDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAliasPrefix", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenProcess", CallName: "OpenProcess", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenProcessToken", CallName: "OpenProcessToken", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ProcessHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TokenHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "OpenSCManagerA", CallName: "OpenSCManagerA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMachineName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDatabaseName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}},
	{Name: "OpenSemaphoreA", CallName: "OpenSemaphoreA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenServiceA", CallName: "OpenServiceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}},
	{Name: "OpenThread", CallName: "OpenThread", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwThreadId", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenThreadToken", CallName: "OpenThreadToken", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "OpenAsSelf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TokenHandle", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "OpenWaitableTimerA", CallName: "OpenWaitableTimerA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bInheritHandle", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "OpenWindowStationA", CallName: "OpenWindowStationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszWinSta", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fInherit", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
	}},
	{Name: "OperationEnd", CallName: "OperationEnd", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OperationEndParams", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OperationStart", CallName: "OperationStart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OperationStartParams", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "OutputDebugStringA", CallName: "OutputDebugStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutputString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "PFXExportCertStore", CallName: "PFXExportCertStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPFX", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "PFXExportCertStoreEx", CallName: "PFXExportCertStoreEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hStore", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPFX", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvPara", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "PFXImportCertStore", CallName: "PFXImportCertStore", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPFX", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "PFXIsPFXBlob", CallName: "PFXIsPFXBlob", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPFX", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PFXVerifyPassword", CallName: "PFXVerifyPassword", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPFX", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "PackDDElParam", CallName: "PackDDElParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uiLo", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uiHi", TypeSize: 8}}},
	}},
	{Name: "PackTouchHitTestingProximityEvaluation", CallName: "PackTouchHitTestingProximityEvaluation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHitTestingInput", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProximityEval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PageSetupDlgA", CallName: "PageSetupDlgA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PaintDesktop", CallName: "PaintDesktop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PaintRgn", CallName: "PaintRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PatBlt", CallName: "PatBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "w", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rop", TypeSize: 4}}},
	}},
	{Name: "PathToRegion", CallName: "PathToRegion", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PeekConsoleInputA", CallName: "PeekConsoleInputA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfEventsRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "PeekMessageA", CallName: "PeekMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsgFilterMin", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsgFilterMax", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wRemoveMsg", TypeSize: 4}}},
	}},
	{Name: "PeekNamedPipe", CallName: "PeekNamedPipe", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTotalBytesAvail", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesLeftThisMessage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "PhysicalToLogicalPoint", CallName: "PhysicalToLogicalPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PhysicalToLogicalPointForPerMonitorDPI", CallName: "PhysicalToLogicalPointForPerMonitorDPI", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Pie", CallName: "Pie", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xr1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yr1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xr2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yr2", TypeSize: 4}}},
	}},
	{Name: "PlayEnhMetaFile", CallName: "PlayEnhMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PlayEnhMetaFileRecord", CallName: "PlayEnhMetaFileRecord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pht", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cht", TypeSize: 4}}},
	}},
	{Name: "PlayMetaFile", CallName: "PlayMetaFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PlayMetaFileRecord", CallName: "PlayMetaFileRecord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHandleTable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMR", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "noObjs", TypeSize: 4}}},
	}},
	{Name: "PlaySoundA", CallName: "PlaySoundA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszSound", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmod", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwSound", TypeSize: 4}}},
	}},
	{Name: "PlgBlt", CallName: "PlgBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ySrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbmMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xMask", TypeSize: 4}}},
	}},
	{Name: "PolyBezier", CallName: "PolyBezier", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "PolyBezierTo", CallName: "PolyBezierTo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "PolyDraw", CallName: "PolyDraw", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "aj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "PolyPolygon", CallName: "PolyPolygon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "asz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "csz", TypeSize: 4}}},
	}},
	{Name: "PolyPolyline", CallName: "PolyPolyline", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "asz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "csz", TypeSize: 4}}},
	}},
	{Name: "PolyTextOutA", CallName: "PolyTextOutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nstrings", TypeSize: 4}}},
	}},
	{Name: "Polygon", CallName: "Polygon", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "Polyline", CallName: "Polyline", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "PolylineTo", CallName: "PolylineTo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "apt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cpt", TypeSize: 4}}},
	}},
	{Name: "PostMessageA", CallName: "PostMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "PostQueuedCompletionStatus", CallName: "PostQueuedCompletionStatus", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionPort", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNumberOfBytesTransferred", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCompletionKey", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PostQuitMessage", CallName: "PostQuitMessage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nExitCode", TypeSize: 4}}},
	}},
	{Name: "PostThreadMessageA", CallName: "PostThreadMessageA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "PowerClearRequest", CallName: "PowerClearRequest", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "PowerRequest", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RequestType", TypeSize: 4}}},
	}},
	{Name: "PowerCreateRequest", CallName: "PowerCreateRequest", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "PowerSetRequest", CallName: "PowerSetRequest", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "PowerRequest", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RequestType", TypeSize: 4}}},
	}},
	{Name: "PrefetchVirtualMemory", CallName: "PrefetchVirtualMemory", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "NumberOfEntries", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddresses", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "PrepareTape", CallName: "PrepareTape", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOperation", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bImmediate", TypeSize: 4}}},
	}},
	{Name: "PrintDlgA", CallName: "PrintDlgA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPD", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PrintDlgExA", CallName: "PrintDlgExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPD", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PrintWindow", CallName: "PrintWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcBlt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nFlags", TypeSize: 4}}},
	}},
	{Name: "PrinterMessageBoxA", CallName: "PrinterMessageBoxA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Error", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCaption", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
	}},
	{Name: "PrinterProperties", CallName: "PrinterProperties", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "PrivateExtractIconsA", CallName: "PrivateExtractIconsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIconIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cxIcon", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cyIcon", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phicon", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "piconid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIcons", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "PrivilegeCheck", CallName: "PrivilegeCheck", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RequiredPrivileges", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "PrivilegedServiceAuditAlarmA", CallName: "PrivilegedServiceAuditAlarmA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SubsystemName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ClientToken", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Privileges", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AccessGranted", TypeSize: 4}}},
	}},
	{Name: "ProcessIdToSessionId", CallName: "ProcessIdToSessionId", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProcessId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSessionId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "PropStgNameToFmtId", CallName: "PropStgNameToFmtId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "oszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfmtid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "PtInRect", CallName: "PtInRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "pt", TypeSize: 8}}},
	}},
	{Name: "PtInRegion", CallName: "PtInRegion", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "PtVisible", CallName: "PtVisible", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
	}},
	{Name: "PulseEvent", CallName: "PulseEvent", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEvent", TypeSize: 8}},
	}},
	{Name: "PurgeComm", CallName: "PurgeComm", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "QueryDepthSList", CallName: "QueryDepthSList", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ListHead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryDisplayConfig", CallName: "QueryDisplayConfig", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "numPathArrayElements", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pathArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "numModeInfoArrayElements", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "modeInfoArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "currentTopologyId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryDosDeviceA", CallName: "QueryDosDeviceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDeviceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTargetPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ucchMax", TypeSize: 4}}},
	}},
	{Name: "QueryFullProcessImageNameA", CallName: "QueryFullProcessImageNameA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryIdleProcessorCycleTime", CallName: "QueryIdleProcessorCycleTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BufferLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessorIdleCycleTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryIdleProcessorCycleTimeEx", CallName: "QueryIdleProcessorCycleTimeEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "Group", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BufferLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessorIdleCycleTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryInformationJobObject", CallName: "QueryInformationJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobObjectInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpJobObjectInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbJobObjectInformationLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryInterruptTime", CallName: "QueryInterruptTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInterruptTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryInterruptTimePrecise", CallName: "QueryInterruptTimePrecise", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInterruptTimePrecise", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryIoRateControlInformationJobObject", CallName: "QueryIoRateControlInformationJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InfoBlocks", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InfoBlockCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryMemoryResourceNotification", CallName: "QueryMemoryResourceNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ResourceNotificationHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ResourceState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryPerformanceCounter", CallName: "QueryPerformanceCounter", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPerformanceCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryPerformanceFrequency", CallName: "QueryPerformanceFrequency", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFrequency", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryProcessAffinityUpdateMode", CallName: "QueryProcessAffinityUpdateMode", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwFlags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryProcessCycleTime", CallName: "QueryProcessCycleTime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ProcessHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CycleTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryProtectedPolicy", CallName: "QueryProtectedPolicy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PolicyGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PolicyValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryRecoveryAgentsOnEncryptedFile", CallName: "QueryRecoveryAgentsOnEncryptedFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRecoveryAgents", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "QuerySecurityAccessMask", CallName: "QuerySecurityAccessMask", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DesiredAccess", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceConfig2A", CallName: "QueryServiceConfig2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceConfigA", CallName: "QueryServiceConfigA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceConfig", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceDynamicInformation", CallName: "QueryServiceDynamicInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hServiceStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppDynamicInfo", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "QueryServiceLockStatusA", CallName: "QueryServiceLockStatusA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hSCManager", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLockStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceObjectSecurity", CallName: "QueryServiceObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceStatus", CallName: "QueryServiceStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryServiceStatusEx", CallName: "QueryServiceStatusEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "InfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryThreadCycleTime", CallName: "QueryThreadCycleTime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CycleTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryThreadProfiling", CallName: "QueryThreadProfiling", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ThreadHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Enabled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "QueryThreadpoolStackInformation", CallName: "QueryThreadpoolStackInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpsi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryUmsThreadInformation", CallName: "QueryUmsThreadInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "UmsThreadInfoClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThreadInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "UmsThreadInformationLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "QueryUnbiasedInterruptTime", CallName: "QueryUnbiasedInterruptTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UnbiasedTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryUnbiasedInterruptTimePrecise", CallName: "QueryUnbiasedInterruptTimePrecise", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUnbiasedInterruptTimePrecise", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueryUsersOnEncryptedFile", CallName: "QueryUsersOnEncryptedFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUsers", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "QueryVirtualMemoryInformation", CallName: "QueryVirtualMemoryInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemoryInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemoryInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "MemoryInformationSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ReturnSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "QueueUserAPC", CallName: "QueueUserAPC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnAPC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwData", TypeSize: 8}}},
	}},
	{Name: "QueueUserWorkItem", CallName: "QueueUserWorkItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Function", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RaiseException", CallName: "RaiseException", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExceptionCode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExceptionFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfArguments", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpArguments", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RaiseFailFastException", CallName: "RaiseFailFastException", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExceptionRecord", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pContextRecord", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "ReOpenFile", CallName: "ReOpenFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hOriginalFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDesiredAccess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwShareMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlagsAndAttributes", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "ReadClassStg", CallName: "ReadClassStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pclsid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadClassStm", CallName: "ReadClassStm", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pclsid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadConsoleA", CallName: "ReadConsoleA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfCharsToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfCharsRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInputControl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadConsoleInputA", CallName: "ReadConsoleInputA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfEventsRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReadConsoleOutputA", CallName: "ReadConsoleOutputA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwBufferSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwBufferCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReadRegion", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadConsoleOutputAttribute", CallName: "ReadConsoleOutputAttribute", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttribute", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwReadCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfAttrsRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReadConsoleOutputCharacterA", CallName: "ReadConsoleOutputCharacterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCharacter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwReadCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfCharsRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReadEncryptedFileRaw", CallName: "ReadEncryptedFileRaw", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfExportCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvCallbackContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ReadEventLogA", CallName: "ReadEventLogA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReadFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRecordOffset", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pnBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pnMinNumberOfBytesNeeded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReadFile", CallName: "ReadFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadFileEx", CallName: "ReadFileEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompletionRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadFileScatter", CallName: "ReadFileScatter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "aSegmentArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToRead", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadPrinter", CallName: "ReadPrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBuf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pNoBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReadProcessMemory", CallName: "ReadProcessMemory", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReadThreadProfilingData", CallName: "ReadThreadProfilingData", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "PerformanceDataHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PerformanceData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RealChildWindowFromPoint", CallName: "RealChildWindowFromPoint", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "ptParentClientCoords", TypeSize: 8}}},
	}},
	{Name: "RealGetWindowClassA", CallName: "RealGetWindowClassA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptszClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchClassNameMax", TypeSize: 4}}},
	}},
	{Name: "RealizePalette", CallName: "RealizePalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReclaimVirtualMemory", CallName: "ReclaimVirtualMemory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
	}},
	{Name: "RectInRegion", CallName: "RectInRegion", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RectVisible", CallName: "RectVisible", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Rectangle", CallName: "Rectangle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
	}},
	{Name: "RedrawWindow", CallName: "RedrawWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "RegCloseKey", CallName: "RegCloseKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegConnectRegistryA", CallName: "RegConnectRegistryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMachineName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegConnectRegistryExA", CallName: "RegConnectRegistryExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMachineName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegCopyTreeA", CallName: "RegCopyTreeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKeySrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKeyDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegCreateKeyA", CallName: "RegCreateKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegCreateKeyExA", CallName: "RegCreateKeyExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwDisposition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegCreateKeyTransactedA", CallName: "RegCreateKeyTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwDisposition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegDeleteKeyA", CallName: "RegDeleteKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegDeleteKeyExA", CallName: "RegDeleteKeyExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
	}},
	{Name: "RegDeleteKeyTransactedA", CallName: "RegDeleteKeyTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExtendedParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RegDeleteKeyValueA", CallName: "RegDeleteKeyValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegDeleteTreeA", CallName: "RegDeleteTreeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegDeleteValueA", CallName: "RegDeleteValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegDisablePredefinedCache", CallName: "RegDisablePredefinedCache"},
	{Name: "RegDisablePredefinedCacheEx", CallName: "RegDisablePredefinedCacheEx"},
	{Name: "RegDisableReflectionKey", CallName: "RegDisableReflectionKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBase", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegEnableReflectionKey", CallName: "RegEnableReflectionKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBase", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegEnumKeyA", CallName: "RegEnumKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchName", TypeSize: 4}}},
	}},
	{Name: "RegEnumKeyExA", CallName: "RegEnumKeyExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpftLastWriteTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegEnumValueA", CallName: "RegEnumValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegFlushKey", CallName: "RegFlushKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegGetKeySecurity", CallName: "RegGetKeySecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbSecurityDescriptor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegGetValueA", CallName: "RegGetValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hkey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegLoadAppKeyA", CallName: "RegLoadAppKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
	}},
	{Name: "RegLoadKeyA", CallName: "RegLoadKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegLoadMUIStringA", CallName: "RegLoadMUIStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszOutBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbOutBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegNotifyChangeKeyValue", CallName: "RegNotifyChangeKeyValue", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bWatchSubtree", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNotifyFilter", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEvent", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fAsynchronous", TypeSize: 4}}},
	}},
	{Name: "RegOpenCurrentUser", CallName: "RegOpenCurrentUser", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegOpenKeyA", CallName: "RegOpenKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegOpenKeyExA", CallName: "RegOpenKeyExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegOpenKeyTransactedA", CallName: "RegOpenKeyTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExtendedParemeter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RegOpenUserClassesRoot", CallName: "RegOpenUserClassesRoot", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOptions", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "samDesired", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phkResult", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RegOverridePredefKey", CallName: "RegOverridePredefKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hNewHKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegQueryInfoKeyA", CallName: "RegQueryInfoKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcchClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcSubKeys", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbMaxSubKeyLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbMaxClassLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbMaxValueNameLen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegQueryMultipleValuesA", CallName: "RegQueryMultipleValuesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "val_list", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "num_vals", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ldwTotsize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegQueryReflectionKey", CallName: "RegQueryReflectionKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBase", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "bIsReflectionDisabled", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegQueryValueA", CallName: "RegQueryValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegQueryValueExA", CallName: "RegQueryValueExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RegRenameKey", CallName: "RegRenameKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "RegReplaceKeyA", CallName: "RegReplaceKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOldFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegRestoreKeyA", CallName: "RegRestoreKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "RegSaveKeyA", CallName: "RegSaveKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegSaveKeyExA", CallName: "RegSaveKeyExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityAttributes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RegSetKeySecurity", CallName: "RegSetKeySecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RegSetKeyValueA", CallName: "RegSetKeyValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "RegSetValueA", CallName: "RegSetValueA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "RegSetValueExA", CallName: "RegSetValueExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "RegUnLoadKeyA", CallName: "RegUnLoadKeyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSubKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegisterApplicationRecoveryCallback", CallName: "RegisterApplicationRecoveryCallback", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRecoveyCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvParameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPingInterval", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "RegisterApplicationRestart", CallName: "RegisterApplicationRestart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwzCommandline", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "RegisterBadMemoryNotification", CallName: "RegisterBadMemoryNotification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Callback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegisterClassA", CallName: "RegisterClassA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWndClass", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegisterClassExA", CallName: "RegisterClassExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegisterClipboardFormatA", CallName: "RegisterClipboardFormatA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFormat", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RegisterDeviceNotificationA", CallName: "RegisterDeviceNotificationA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hRecipient", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NotificationFilter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RegisterEventSourceA", CallName: "RegisterEventSourceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUNCServerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSourceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "RegisterHotKey", CallName: "RegisterHotKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fsModifiers", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "vk", TypeSize: 4}}},
	}},
	{Name: "RegisterPointerDeviceNotifications", CallName: "RegisterPointerDeviceNotifications", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "window", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "notifyRange", TypeSize: 4}}},
	}},
	{Name: "RegisterPointerInputTarget", CallName: "RegisterPointerInputTarget", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerType", TypeSize: 4}}},
	}},
	{Name: "RegisterPointerInputTargetEx", CallName: "RegisterPointerInputTargetEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fObserve", TypeSize: 4}}},
	}},
	{Name: "RegisterPowerSettingNotification", CallName: "RegisterPowerSettingNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hRecipient", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PowerSettingGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RegisterRawInputDevices", CallName: "RegisterRawInputDevices", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pRawInputDevices", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiNumDevices", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "RegisterServiceCtrlHandlerA", CallName: "RegisterServiceCtrlHandlerA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHandlerProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegisterServiceCtrlHandlerExA", CallName: "RegisterServiceCtrlHandlerExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHandlerProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RegisterShellHookWindow", CallName: "RegisterShellHookWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RegisterSuspendResumeNotification", CallName: "RegisterSuspendResumeNotification", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hRecipient", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RegisterTouchHitTestingWindow", CallName: "RegisterTouchHitTestingWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "value", TypeSize: 4}}},
	}},
	{Name: "RegisterTouchWindow", CallName: "RegisterTouchWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulFlags", TypeSize: 4}}},
	}},
	{Name: "RegisterWaitForSingleObject", CallName: "RegisterWaitForSingleObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phNewWaitObject", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObject", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Callback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "RegisterWindowMessageA", CallName: "RegisterWindowMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "ReleaseActCtx", CallName: "ReleaseActCtx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hActCtx", TypeSize: 8}},
	}},
	{Name: "ReleaseCapture", CallName: "ReleaseCapture"},
	{Name: "ReleaseDC", CallName: "ReleaseDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReleaseMutex", CallName: "ReleaseMutex", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hMutex", TypeSize: 8}},
	}},
	{Name: "ReleaseMutexWhenCallbackReturns", CallName: "ReleaseMutexWhenCallbackReturns", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "mut", TypeSize: 8}},
	}},
	{Name: "ReleaseSRWLockExclusive", CallName: "ReleaseSRWLockExclusive", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReleaseSRWLockShared", CallName: "ReleaseSRWLockShared", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReleaseSemaphore", CallName: "ReleaseSemaphore", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hSemaphore", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lReleaseCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPreviousCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "ReleaseSemaphoreWhenCallbackReturns", CallName: "ReleaseSemaphoreWhenCallbackReturns", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "sem", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "crel", TypeSize: 4}}},
	}},
	{Name: "RemoveClipboardFormatListener", CallName: "RemoveClipboardFormatListener", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RemoveDirectoryA", CallName: "RemoveDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RemoveDirectoryTransactedA", CallName: "RemoveDirectoryTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "RemoveDllDirectory", CallName: "RemoveDllDirectory", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Cookie", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RemoveFontMemResourceEx", CallName: "RemoveFontMemResourceEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "h", TypeSize: 8}},
	}},
	{Name: "RemoveFontResourceA", CallName: "RemoveFontResourceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RemoveFontResourceExA", CallName: "RemoveFontResourceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fl", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RemoveMenu", CallName: "RemoveMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPosition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "RemovePropA", CallName: "RemovePropA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "RemoveSecureMemoryCacheCallback", CallName: "RemoveSecureMemoryCacheCallback", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCallBack", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RemoveUsersFromEncryptedFile", CallName: "RemoveUsersFromEncryptedFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pHashes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RemoveVectoredContinueHandler", CallName: "RemoveVectoredContinueHandler", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RemoveVectoredExceptionHandler", CallName: "RemoveVectoredExceptionHandler", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ReplaceFileA", CallName: "ReplaceFileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReplacedFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReplacementFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBackupFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReplaceFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExclude", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ReplacePartitionUnit", CallName: "ReplacePartitionUnit", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TargetPartition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SparePartition", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "ReplaceTextA", CallName: "ReplaceTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ReplyMessage", CallName: "ReplyMessage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lResult", TypeSize: 8}}},
	}},
	{Name: "ReportEventA", CallName: "ReportEventA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEventLog", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wType", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wCategory", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEventID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserSid", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wNumStrings", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDataSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStrings", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRawData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ReportJobProcessingProgress", CallName: "ReportJobProcessingProgress", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "printerHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "jobId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "jobOperation", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "jobProgress", TypeSize: 4}}},
	}},
	{Name: "RequestDeviceWakeup", CallName: "RequestDeviceWakeup", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
	}},
	{Name: "RequestWakeupLatency", CallName: "RequestWakeupLatency", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "latency", TypeSize: 4}}},
	}},
	{Name: "ResetDCA", CallName: "ResetDCA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ResetEvent", CallName: "ResetEvent", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEvent", TypeSize: 8}},
	}},
	{Name: "ResetPrinterA", CallName: "ResetPrinterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDefault", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ResetWriteWatch", CallName: "ResetWriteWatch", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwRegionSize", TypeSize: 8}}},
	}},
	{Name: "ResizePalette", CallName: "ResizePalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hpal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "n", TypeSize: 4}}},
	}},
	{Name: "ResolveLocaleName", CallName: "ResolveLocaleName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNameToResolve", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLocaleName", TypeSize: 4}}},
	}},
	{Name: "RestoreDC", CallName: "RestoreDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSavedDC", TypeSize: 4}}},
	}},
	{Name: "ResumeThread", CallName: "ResumeThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
	}},
	{Name: "ReuseDDElParam", CallName: "ReuseDDElParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msgIn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msgOut", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uiLo", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uiHi", TypeSize: 8}}},
	}},
	{Name: "RevertToSelf", CallName: "RevertToSelf"},
	{Name: "RoundRect", CallName: "RoundRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "width", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "height", TypeSize: 4}}},
	}},
	{Name: "RpcAsyncAbortCall", CallName: "RpcAsyncAbortCall", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExceptionCode", TypeSize: 4}}},
	}},
	{Name: "RpcAsyncCancelCall", CallName: "RpcAsyncCancelCall", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fAbort", TypeSize: 4}}},
	}},
	{Name: "RpcAsyncCompleteCall", CallName: "RpcAsyncCompleteCall", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Reply", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcAsyncGetCallStatus", CallName: "RpcAsyncGetCallStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcAsyncInitializeHandle", CallName: "RpcAsyncInitializeHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Size", TypeSize: 4}}},
	}},
	{Name: "RpcAsyncRegisterInfo", CallName: "RpcAsyncRegisterInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingBind", CallName: "RpcBindingBind", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAsync", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcBindingCopy", CallName: "RpcBindingCopy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SourceBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DestinationBinding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcBindingCreateA", CallName: "RpcBindingCreateA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Template", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Security", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Options", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcBindingFree", CallName: "RpcBindingFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcBindingFromStringBindingA", CallName: "RpcBindingFromStringBindingA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringBinding", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcBindingInqAuthClientA", CallName: "RpcBindingInqAuthClientA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Privs", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthzSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingInqAuthClientExA", CallName: "RpcBindingInqAuthClientExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Privs", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthzSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "RpcBindingInqAuthInfoA", CallName: "RpcBindingInqAuthInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthIdentity", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthzSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingInqAuthInfoExA", CallName: "RpcBindingInqAuthInfoExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthIdentity", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthzSvc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "RpcQosVersion", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityQOS", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingInqObject", CallName: "RpcBindingInqObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingInqOption", CallName: "RpcBindingInqOption", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "option", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOptionValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingReset", CallName: "RpcBindingReset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcBindingServerFromClient", CallName: "RpcBindingServerFromClient", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerBinding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcBindingSetAuthInfoA", CallName: "RpcBindingSetAuthInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnLevel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnSvc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthIdentity", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthzSvc", TypeSize: 4}}},
	}},
	{Name: "RpcBindingSetAuthInfoExA", CallName: "RpcBindingSetAuthInfoExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnLevel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnSvc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthIdentity", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthzSvc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityQos", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingSetObject", CallName: "RpcBindingSetObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcBindingSetOption", CallName: "RpcBindingSetOption", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "option", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "optionValue", TypeSize: 8}}},
	}},
	{Name: "RpcBindingToStringBindingA", CallName: "RpcBindingToStringBindingA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringBinding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcBindingUnbind", CallName: "RpcBindingUnbind", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcBindingVectorFree", CallName: "RpcBindingVectorFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcCancelThread", CallName: "RpcCancelThread", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Thread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcCancelThreadEx", CallName: "RpcCancelThreadEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Thread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Timeout", TypeSize: 4}}},
	}},
	{Name: "RpcEpRegisterA", CallName: "RpcEpRegisterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UuidVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Annotation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcEpRegisterNoReplaceA", CallName: "RpcEpRegisterNoReplaceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UuidVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Annotation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcEpResolveBinding", CallName: "RpcEpResolveBinding", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcEpUnregister", CallName: "RpcEpUnregister", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UuidVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorAddRecord", CallName: "RpcErrorAddRecord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ErrorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorClearInformation", CallName: "RpcErrorClearInformation"},
	{Name: "RpcErrorEndEnumeration", CallName: "RpcErrorEndEnumeration", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorGetNextRecord", CallName: "RpcErrorGetNextRecord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CopyStrings", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ErrorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorGetNumberOfRecords", CallName: "RpcErrorGetNumberOfRecords", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Records", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorLoadErrorInfo", CallName: "RpcErrorLoadErrorInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ErrorBlob", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "BlobSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorResetEnumeration", CallName: "RpcErrorResetEnumeration", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorSaveErrorInfo", CallName: "RpcErrorSaveErrorInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ErrorBlob", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BlobSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcErrorStartEnumeration", CallName: "RpcErrorStartEnumeration", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EnumHandle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcExceptionFilter", CallName: "RpcExceptionFilter", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExceptionCode", TypeSize: 4}}},
	}},
	{Name: "RpcFreeAuthorizationContext", CallName: "RpcFreeAuthorizationContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAuthzClientContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcGetAuthorizationContextForClient", CallName: "RpcGetAuthorizationContextForClient", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ImpersonateOnReturn", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Reserved1", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExpirationTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "Reserved2", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Reserved3", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Reserved4", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAuthzClientContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcIfIdVectorFree", CallName: "RpcIfIdVectorFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfIdVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcIfInqId", CallName: "RpcIfInqId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RpcIfHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RpcIfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcImpersonateClient", CallName: "RpcImpersonateClient", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcImpersonateClient2", CallName: "RpcImpersonateClient2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcImpersonateClientContainer", CallName: "RpcImpersonateClientContainer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcMgmtEnableIdleCleanup", CallName: "RpcMgmtEnableIdleCleanup"},
	{Name: "RpcMgmtEpEltInqBegin", CallName: "RpcMgmtEpEltInqBegin", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EpBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "InquiryType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "VersOption", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}}},
	}},
	{Name: "RpcMgmtEpEltInqDone", CallName: "RpcMgmtEpEltInqDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}}},
	}},
	{Name: "RpcMgmtEpEltInqNextA", CallName: "RpcMgmtEpEltInqNextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Annotation", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcMgmtEpUnregister", CallName: "RpcMgmtEpUnregister", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EpBinding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcMgmtInqComTimeout", CallName: "RpcMgmtInqComTimeout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Timeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcMgmtInqDefaultProtectLevel", CallName: "RpcMgmtInqDefaultProtectLevel", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnSvc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthnLevel", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcMgmtInqIfIds", CallName: "RpcMgmtInqIfIds", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfIdVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcMgmtInqServerPrincNameA", CallName: "RpcMgmtInqServerPrincNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AuthnSvc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerPrincName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcMgmtInqStats", CallName: "RpcMgmtInqStats", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Statistics", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcMgmtIsServerListening", CallName: "RpcMgmtIsServerListening", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcMgmtSetAuthorizationFn", CallName: "RpcMgmtSetAuthorizationFn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "AuthorizationFn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcMgmtSetCancelTimeout", CallName: "RpcMgmtSetCancelTimeout", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Timeout", TypeSize: 4}}},
	}},
	{Name: "RpcMgmtSetComTimeout", CallName: "RpcMgmtSetComTimeout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Timeout", TypeSize: 4}}},
	}},
	{Name: "RpcMgmtSetServerStackSize", CallName: "RpcMgmtSetServerStackSize", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ThreadStackSize", TypeSize: 4}}},
	}},
	{Name: "RpcMgmtStatsVectorFree", CallName: "RpcMgmtStatsVectorFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StatsVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcMgmtStopServerListening", CallName: "RpcMgmtStopServerListening", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcMgmtWaitServerListen", CallName: "RpcMgmtWaitServerListen"},
	{Name: "RpcNetworkInqProtseqsA", CallName: "RpcNetworkInqProtseqsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProtseqVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcNetworkIsProtseqValidA", CallName: "RpcNetworkIsProtseqValidA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Protseq", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsBindingExportA", CallName: "RpcNsBindingExportA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuidVec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsBindingExportPnPA", CallName: "RpcNsBindingExportPnPA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsBindingImportBeginA", CallName: "RpcNsBindingImportBeginA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ImportContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingImportDone", CallName: "RpcNsBindingImportDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ImportContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingImportNext", CallName: "RpcNsBindingImportNext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ImportContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingInqEntryNameA", CallName: "RpcNsBindingInqEntryNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsBindingLookupBeginA", CallName: "RpcNsBindingLookupBeginA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "BindingMaxCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LookupContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingLookupDone", CallName: "RpcNsBindingLookupDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LookupContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingLookupNext", CallName: "RpcNsBindingLookupNext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "LookupContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVec", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsBindingSelect", CallName: "RpcNsBindingSelect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingVec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsBindingUnexportA", CallName: "RpcNsBindingUnexportA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuidVec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsBindingUnexportPnPA", CallName: "RpcNsBindingUnexportPnPA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfSpec", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectVector", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsEntryExpandNameA", CallName: "RpcNsEntryExpandNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExpandedName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsEntryObjectInqBeginA", CallName: "RpcNsEntryObjectInqBeginA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsEntryObjectInqDone", CallName: "RpcNsEntryObjectInqDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsEntryObjectInqNext", CallName: "RpcNsEntryObjectInqNext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsGroupDeleteA", CallName: "RpcNsGroupDeleteA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GroupNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsGroupMbrAddA", CallName: "RpcNsGroupMbrAddA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GroupNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsGroupMbrInqBeginA", CallName: "RpcNsGroupMbrInqBeginA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GroupNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsGroupMbrInqDone", CallName: "RpcNsGroupMbrInqDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsGroupMbrInqNextA", CallName: "RpcNsGroupMbrInqNextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsGroupMbrRemoveA", CallName: "RpcNsGroupMbrRemoveA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GroupNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsMgmtBindingUnexportA", CallName: "RpcNsMgmtBindingUnexportA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "VersOption", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectUuidVec", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcNsMgmtEntryCreateA", CallName: "RpcNsMgmtEntryCreateA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsMgmtEntryDeleteA", CallName: "RpcNsMgmtEntryDeleteA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsMgmtEntryInqIfIdsA", CallName: "RpcNsMgmtEntryInqIfIdsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "EntryNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "EntryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfIdVec", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsMgmtHandleSetExpAge", CallName: "RpcNsMgmtHandleSetExpAge", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NsHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExpirationAge", TypeSize: 4}}},
	}},
	{Name: "RpcNsMgmtInqExpAge", CallName: "RpcNsMgmtInqExpAge", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExpirationAge", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcNsMgmtSetExpAge", CallName: "RpcNsMgmtSetExpAge", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ExpirationAge", TypeSize: 4}}},
	}},
	{Name: "RpcNsProfileDeleteA", CallName: "RpcNsProfileDeleteA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProfileNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProfileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsProfileEltAddA", CallName: "RpcNsProfileEltAddA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProfileNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProfileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Priority", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Annotation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcNsProfileEltInqBeginA", CallName: "RpcNsProfileEltInqBeginA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProfileNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProfileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "InquiryType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "VersOption", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsProfileEltInqDone", CallName: "RpcNsProfileEltInqDone", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcNsProfileEltInqNextA", CallName: "RpcNsProfileEltInqNextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Priority", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Annotation", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcNsProfileEltRemoveA", CallName: "RpcNsProfileEltRemoveA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProfileNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProfileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IfId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MemberNameSyntax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "MemberName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "RpcObjectInqType", CallName: "RpcObjectInqType", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TypeUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcObjectSetInqFn", CallName: "RpcObjectSetInqFn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "InquiryFn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcObjectSetType", CallName: "RpcObjectSetType", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TypeUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcProtseqVectorFreeA", CallName: "RpcProtseqVectorFreeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProtseqVector", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcRaiseException", CallName: "RpcRaiseException", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "exception", TypeSize: 4}}},
	}},
	{Name: "RpcRevertContainerImpersonation", CallName: "RpcRevertContainerImpersonation"},
	{Name: "RpcRevertToSelf", CallName: "RpcRevertToSelf"},
	{Name: "RpcRevertToSelfEx", CallName: "RpcRevertToSelfEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSmAllocate", CallName: "RpcSmAllocate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcSmClientFree", CallName: "RpcSmClientFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pNodeToFree", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSmDestroyClientContext", CallName: "RpcSmDestroyClientContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ContextHandle", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcSmDisableAllocate", CallName: "RpcSmDisableAllocate"},
	{Name: "RpcSmEnableAllocate", CallName: "RpcSmEnableAllocate"},
	{Name: "RpcSmFree", CallName: "RpcSmFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeToFree", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSmGetThreadHandle", CallName: "RpcSmGetThreadHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "RpcSmSetClientAllocFree", CallName: "RpcSmSetClientAllocFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientAlloc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientFree", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcSmSetThreadHandle", CallName: "RpcSmSetThreadHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Id", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSmSwapClientAllocFree", CallName: "RpcSmSwapClientAllocFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientAlloc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientFree", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldClientAlloc", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldClientFree", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcSsAllocate", CallName: "RpcSsAllocate", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
	}},
	{Name: "RpcSsContextLockExclusive", CallName: "RpcSsContextLockExclusive", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerBindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UserContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSsContextLockShared", CallName: "RpcSsContextLockShared", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ServerBindingHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UserContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSsDestroyClientContext", CallName: "RpcSsDestroyClientContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ContextHandle", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcSsDisableAllocate", CallName: "RpcSsDisableAllocate"},
	{Name: "RpcSsDontSerializeContext", CallName: "RpcSsDontSerializeContext"},
	{Name: "RpcSsEnableAllocate", CallName: "RpcSsEnableAllocate"},
	{Name: "RpcSsFree", CallName: "RpcSsFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NodeToFree", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSsGetContextBinding", CallName: "RpcSsGetContextBinding", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ContextHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Binding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "RpcSsGetThreadHandle", CallName: "RpcSsGetThreadHandle"},
	{Name: "RpcSsSetClientAllocFree", CallName: "RpcSsSetClientAllocFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientAlloc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientFree", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "RpcSsSetThreadHandle", CallName: "RpcSsSetThreadHandle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Id", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "RpcSsSwapClientAllocFree", CallName: "RpcSsSwapClientAllocFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientAlloc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ClientFree", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldClientAlloc", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldClientFree", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "RpcStringBindingComposeA", CallName: "RpcStringBindingComposeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProtSeq", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NetworkAddr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Endpoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Options", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringBinding", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcStringBindingParseA", CallName: "RpcStringBindingParseA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringBinding", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjUuid", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Protseq", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NetworkAddr", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Endpoint", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NetworkOptions", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcStringFreeA", CallName: "RpcStringFreeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "String", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "RpcTestCancel", CallName: "RpcTestCancel"},
	{Name: "SHAppBarMessage", CallName: "SHAppBarMessage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMessage", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SHEmptyRecycleBinA", CallName: "SHEmptyRecycleBinA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszRootPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SHEvaluateSystemCommandTemplate", CallName: "SHEvaluateSystemCommandTemplate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszCmdTemplate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszApplication", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszCommandLine", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppszParameters", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
	}},
	{Name: "SHFileOperationA", CallName: "SHFileOperationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileOp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SHFreeNameMappings", CallName: "SHFreeNameMappings", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNameMappings", TypeSize: 8}},
	}},
	{Name: "SHGetDiskFreeSpaceExA", CallName: "SHGetDiskFreeSpaceExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDirectoryName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulFreeBytesAvailableToCaller", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulTotalNumberOfBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulTotalNumberOfFreeBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SHGetDriveMedia", CallName: "SHGetDriveMedia", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDrive", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwMediaContent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SHGetFileInfoA", CallName: "SHGetFileInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileAttributes", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psfi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbFileInfo", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "SHGetImageList", CallName: "SHGetImageList", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iImageList", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "riid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppvObj", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "SHGetLocalizedName", CallName: "SHGetLocalizedName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszResModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cch", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pidsRes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SHGetNewLinkInfoA", CallName: "SHGetNewLinkInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszLinkTo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDir", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfMustCopy", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "SHGetPropertyStoreForWindow", CallName: "SHGetPropertyStoreForWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "riid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppv", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "SHGetStockIconInfo", CallName: "SHGetStockIconInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "siid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psii", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SHInvokePrinterCommandA", CallName: "SHInvokePrinterCommandA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uAction", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuf1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuf2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fModal", TypeSize: 4}}},
	}},
	{Name: "SHIsFileAvailableOffline", CallName: "SHIsFileAvailableOffline", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SHLoadNonloadedIconOverlayIdentifiers", CallName: "SHLoadNonloadedIconOverlayIdentifiers"},
	{Name: "SHQueryRecycleBinA", CallName: "SHQueryRecycleBinA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszRootPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSHQueryRBInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SHQueryUserNotificationState", CallName: "SHQueryUserNotificationState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pquns", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SHRemoveLocalizedName", CallName: "SHRemoveLocalizedName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "SHSetLocalizedName", CallName: "SHSetLocalizedName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszResModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idsRes", TypeSize: 4}}},
	}},
	{Name: "SHTestTokenMembership", CallName: "SHTestTokenMembership", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hToken", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulRID", TypeSize: 4}}},
	}},
	{Name: "SaveDC", CallName: "SaveDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScaleViewportExtEx", CallName: "ScaleViewportExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yd", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScaleWindowExtEx", CallName: "ScaleWindowExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xd", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yn", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yd", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScheduleJob", CallName: "ScheduleJob", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
	}},
	{Name: "ScreenToClient", CallName: "ScreenToClient", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScrollConsoleScreenBufferA", CallName: "ScrollConsoleScreenBufferA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpScrollRectangle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClipRectangle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwDestinationOrigin", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFill", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScrollDC", CallName: "ScrollDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcScroll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcClip", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScrollWindow", CallName: "ScrollWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "XAmount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "YAmount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClipRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ScrollWindowEx", CallName: "ScrollWindowEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prcScroll", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prcClip", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgnUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prcUpdate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "SearchPathA", CallName: "SearchPathA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpExtension", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBufferLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFilePart", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "SelectClipPath", CallName: "SelectClipPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "SelectClipRgn", CallName: "SelectClipRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SelectObject", CallName: "SelectObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "h", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SelectPalette", CallName: "SelectPalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hPal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bForceBkgd", TypeSize: 4}}},
	}},
	{Name: "SendDlgItemMessageA", CallName: "SendDlgItemMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "SendDriverMessage", CallName: "SendDriverMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "message", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam2", TypeSize: 8}}},
	}},
	{Name: "SendInput", CallName: "SendInput", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cInputs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pInputs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "SendMessageA", CallName: "SendMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "SendMessageCallbackA", CallName: "SendMessageCallbackA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResultCallBack", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwData", TypeSize: 8}}},
	}},
	{Name: "SendMessageTimeoutA", CallName: "SendMessageTimeoutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uTimeout", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdwResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SendNotifyMessageA", CallName: "SendNotifyMessageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "wParam", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "SetAbortProc", CallName: "SetAbortProc", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetAclInformation", CallName: "SetAclInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAcl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pAclInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nAclInformationLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAclInformationClass", TypeSize: 4}}},
	}},
	{Name: "SetActiveWindow", CallName: "SetActiveWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetArcDirection", CallName: "SetArcDirection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dir", TypeSize: 4}}},
	}},
	{Name: "SetBitmapBits", CallName: "SetBitmapBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cb", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetBitmapDimensionEx", CallName: "SetBitmapDimensionEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "w", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetBkColor", CallName: "SetBkColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetBkMode", CallName: "SetBkMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "SetBoundsRect", CallName: "SetBoundsRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "SetBrushOrgEx", CallName: "SetBrushOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCachedSigningLevel", CallName: "SetCachedSigningLevel", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SourceFiles", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SourceFileCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TargetFile", TypeSize: 8}},
	}},
	{Name: "SetCalendarInfoA", CallName: "SetCalendarInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Calendar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CalType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCalData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetCapture", CallName: "SetCapture", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCaretBlinkTime", CallName: "SetCaretBlinkTime", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMSeconds", TypeSize: 4}}},
	}},
	{Name: "SetCaretPos", CallName: "SetCaretPos", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
	}},
	{Name: "SetClassLongA", CallName: "SetClassLongA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNewLong", TypeSize: 4}}},
	}},
	{Name: "SetClassLongPtrA", CallName: "SetClassLongPtrA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNewLong", TypeSize: 8}}},
	}},
	{Name: "SetClassWord", CallName: "SetClassWord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wNewWord", TypeSize: 2}}},
	}},
	{Name: "SetClipboardData", CallName: "SetClipboardData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFormat", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hMem", TypeSize: 8}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "SetClipboardViewer", CallName: "SetClipboardViewer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndNewViewer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCoalescableTimer", CallName: "SetCoalescableTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nIDEvent", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uElapse", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uToleranceDelay", TypeSize: 4}}},
	}},
	{Name: "SetColorAdjustment", CallName: "SetColorAdjustment", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpca", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetColorSpace", CallName: "SetColorSpace", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hcs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCommBreak", CallName: "SetCommBreak", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "SetCommConfig", CallName: "SetCommConfig", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hCommDev", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSize", TypeSize: 4}}},
	}},
	{Name: "SetCommMask", CallName: "SetCommMask", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwEvtMask", TypeSize: 4}}},
	}},
	{Name: "SetCommState", CallName: "SetCommState", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDCB", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCommTimeouts", CallName: "SetCommTimeouts", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCommTimeouts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetComputerNameA", CallName: "SetComputerNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpComputerName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetComputerNameExA", CallName: "SetComputerNameExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NameType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleActiveScreenBuffer", CallName: "SetConsoleActiveScreenBuffer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
	}},
	{Name: "SetConsoleCP", CallName: "SetConsoleCP", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wCodePageID", TypeSize: 4}}},
	}},
	{Name: "SetConsoleCtrlHandler", CallName: "SetConsoleCtrlHandler", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "HandlerRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Add", TypeSize: 4}}},
	}},
	{Name: "SetConsoleCursorInfo", CallName: "SetConsoleCursorInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleCursorInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleCursorPosition", CallName: "SetConsoleCursorPosition", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwCursorPosition", TypeSize: 8}}},
	}},
	{Name: "SetConsoleDisplayMode", CallName: "SetConsoleDisplayMode", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewScreenBufferDimensions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleHistoryInfo", CallName: "SetConsoleHistoryInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleHistoryInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleMode", CallName: "SetConsoleMode", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMode", TypeSize: 4}}},
	}},
	{Name: "SetConsoleOutputCP", CallName: "SetConsoleOutputCP", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wCodePageID", TypeSize: 4}}},
	}},
	{Name: "SetConsoleScreenBufferInfoEx", CallName: "SetConsoleScreenBufferInfoEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleScreenBufferInfoEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleScreenBufferSize", CallName: "SetConsoleScreenBufferSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwSize", TypeSize: 8}}},
	}},
	{Name: "SetConsoleTextAttribute", CallName: "SetConsoleTextAttribute", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wAttributes", TypeSize: 2}}},
	}},
	{Name: "SetConsoleTitleA", CallName: "SetConsoleTitleA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleTitle", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetConsoleWindowInfo", CallName: "SetConsoleWindowInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAbsolute", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleWindow", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCriticalSectionSpinCount", CallName: "SetCriticalSectionSpinCount", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSpinCount", TypeSize: 4}}},
	}},
	{Name: "SetCurrentConsoleFontEx", CallName: "SetCurrentConsoleFontEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bMaximumWindow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConsoleCurrentFontEx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCurrentDirectoryA", CallName: "SetCurrentDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetCursor", CallName: "SetCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hCursor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetCursorPos", CallName: "SetCursorPos", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
	}},
	{Name: "SetDCBrushColor", CallName: "SetDCBrushColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetDCPenColor", CallName: "SetDCPenColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetDIBColorTable", CallName: "SetDIBColorTable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prgbq", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetDIBits", CallName: "SetDIBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hbm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "start", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cLines", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBits", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpbmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ColorUse", TypeSize: 4}}},
	}},
	{Name: "SetDIBitsToDevice", CallName: "SetDIBitsToDevice", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "w", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "h", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ySrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "StartScan", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cLines", TypeSize: 4}}},
	}},
	{Name: "SetDebugErrorLevel", CallName: "SetDebugErrorLevel", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLevel", TypeSize: 4}}},
	}},
	{Name: "SetDefaultCommConfigA", CallName: "SetDefaultCommConfigA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSize", TypeSize: 4}}},
	}},
	{Name: "SetDefaultDllDirectories", CallName: "SetDefaultDllDirectories", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DirectoryFlags", TypeSize: 4}}},
	}},
	{Name: "SetDefaultPrinterA", CallName: "SetDefaultPrinterA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszPrinter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetDeviceGammaRamp", CallName: "SetDeviceGammaRamp", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRamp", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetDisplayAutoRotationPreferences", CallName: "SetDisplayAutoRotationPreferences", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "orientation", TypeSize: 4}}},
	}},
	{Name: "SetDisplayConfig", CallName: "SetDisplayConfig", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numPathArrayElements", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pathArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "numModeInfoArrayElements", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "modeInfoArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "SetDlgItemInt", CallName: "SetDlgItemInt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uValue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bSigned", TypeSize: 4}}},
	}},
	{Name: "SetDlgItemTextA", CallName: "SetDlgItemTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDlg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIDDlgItem", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetDllDirectoryA", CallName: "SetDllDirectoryA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetDoubleClickTime", CallName: "SetDoubleClickTime", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg0", TypeSize: 4}}},
	}},
	{Name: "SetDynamicTimeZoneInformation", CallName: "SetDynamicTimeZoneInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetEncryptedFileMetadata", CallName: "SetEncryptedFileMetadata", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbOldMetadata", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pbNewMetadata", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOwnerHash", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOperation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pCertificatesAdded", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetEndOfFile", CallName: "SetEndOfFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
	}},
	{Name: "SetEnhMetaFileBits", CallName: "SetEnhMetaFileBits", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pb", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetEnvironmentStringsA", CallName: "SetEnvironmentStringsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NewEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetEnvironmentVariableA", CallName: "SetEnvironmentVariableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetErrorMode", CallName: "SetErrorMode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMode", TypeSize: 4}}},
	}},
	{Name: "SetEvent", CallName: "SetEvent", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEvent", TypeSize: 8}},
	}},
	{Name: "SetEventWhenCallbackReturns", CallName: "SetEventWhenCallbackReturns", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pci", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "evt", TypeSize: 8}},
	}},
	{Name: "SetFileApisToANSI", CallName: "SetFileApisToANSI"},
	{Name: "SetFileApisToOEM", CallName: "SetFileApisToOEM"},
	{Name: "SetFileAttributesA", CallName: "SetFileAttributesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileAttributes", TypeSize: 4}}},
	}},
	{Name: "SetFileAttributesTransactedA", CallName: "SetFileAttributesTransactedA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileAttributes", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTransaction", TypeSize: 8}},
	}},
	{Name: "SetFileBandwidthReservation", CallName: "SetFileBandwidthReservation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPeriodMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBytesPerPeriod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDiscardable", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTransferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumOutstandingRequests", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetFileCompletionNotificationModes", CallName: "SetFileCompletionNotificationModes", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "FileHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Flags", TypeSize: 1}}},
	}},
	{Name: "SetFileInformationByHandle", CallName: "SetFileInformationByHandle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "FileInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwBufferSize", TypeSize: 4}}},
	}},
	{Name: "SetFileIoOverlappedRange", CallName: "SetFileIoOverlappedRange", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "FileHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OverlappedRangeStart", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Length", TypeSize: 4}}},
	}},
	{Name: "SetFilePointer", CallName: "SetFilePointer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lDistanceToMove", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDistanceToMoveHigh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMoveMethod", TypeSize: 4}}},
	}},
	{Name: "SetFilePointerEx", CallName: "SetFilePointerEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "liDistanceToMove", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNewFilePointer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMoveMethod", TypeSize: 4}}},
	}},
	{Name: "SetFileSecurityA", CallName: "SetFileSecurityA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetFileShortNameA", CallName: "SetFileShortNameA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpShortName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetFileTime", CallName: "SetFileTime", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCreationTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLastAccessTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLastWriteTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetFileValidData", CallName: "SetFileValidData", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ValidDataLength", TypeSize: 8}}},
	}},
	{Name: "SetFirmwareEnvironmentVariableA", CallName: "SetFirmwareEnvironmentVariableA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
	}},
	{Name: "SetFirmwareEnvironmentVariableExA", CallName: "SetFirmwareEnvironmentVariableExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAttributes", TypeSize: 4}}},
	}},
	{Name: "SetFocus", CallName: "SetFocus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetForegroundWindow", CallName: "SetForegroundWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetFormA", CallName: "SetFormA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pFormName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pForm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetGestureConfig", CallName: "SetGestureConfig", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cIDs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pGestureConfig", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbSize", TypeSize: 4}}},
	}},
	{Name: "SetGraphicsMode", CallName: "SetGraphicsMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMode", TypeSize: 4}}},
	}},
	{Name: "SetHandleCount", CallName: "SetHandleCount", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uNumber", TypeSize: 4}}},
	}},
	{Name: "SetHandleInformation", CallName: "SetHandleInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObject", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetICMMode", CallName: "SetICMMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "SetICMProfileA", CallName: "SetICMProfileA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetInformationJobObject", CallName: "SetInformationJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobObjectInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpJobObjectInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbJobObjectInformationLength", TypeSize: 4}}},
	}},
	{Name: "SetIoRateControlInformationJobObject", CallName: "SetIoRateControlInformationJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "IoRateControlInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetJobA", CallName: "SetJobA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pJob", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Command", TypeSize: 4}}},
	}},
	{Name: "SetJobNamedProperty", CallName: "SetJobNamedProperty", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "JobId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pProperty", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetKernelObjectSecurity", CallName: "SetKernelObjectSecurity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Handle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetKeyboardState", CallName: "SetKeyboardState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetLastError", CallName: "SetLastError", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwErrCode", TypeSize: 4}}},
	}},
	{Name: "SetLastErrorEx", CallName: "SetLastErrorEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwErrCode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
	}},
	{Name: "SetLayeredWindowAttributes", CallName: "SetLayeredWindowAttributes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "crKey", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bAlpha", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetLayout", CallName: "SetLayout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "l", TypeSize: 4}}},
	}},
	{Name: "SetLocalTime", CallName: "SetLocalTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetLocaleInfoA", CallName: "SetLocaleInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "LCType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLCData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetMailslotInfo", CallName: "SetMailslotInfo", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hMailslot", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lReadTimeout", TypeSize: 4}}},
	}},
	{Name: "SetMapMode", CallName: "SetMapMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMode", TypeSize: 4}}},
	}},
	{Name: "SetMapperFlags", CallName: "SetMapperFlags", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "SetMenu", CallName: "SetMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetMenuContextHelpId", CallName: "SetMenuContextHelpId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "SetMenuDefaultItem", CallName: "SetMenuDefaultItem", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uItem", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fByPos", TypeSize: 4}}},
	}},
	{Name: "SetMenuInfo", CallName: "SetMenuInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetMenuItemBitmaps", CallName: "SetMenuItemBitmaps", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPosition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBitmapUnchecked", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hBitmapChecked", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetMenuItemInfoA", CallName: "SetMenuItemInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "item", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fByPositon", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmii", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetMessageExtraInfo", CallName: "SetMessageExtraInfo", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
	}},
	{Name: "SetMessageQueue", CallName: "SetMessageQueue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cMessagesMax", TypeSize: 4}}},
	}},
	{Name: "SetMessageWaitingIndicator", CallName: "SetMessageWaitingIndicator", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hMsgIndicator", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ulMsgCount", TypeSize: 4}}},
	}},
	{Name: "SetMetaFileBitsEx", CallName: "SetMetaFileBitsEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuffer", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetMetaRgn", CallName: "SetMetaRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetMiterLimit", CallName: "SetMiterLimit", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "limit", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "old", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetNamedPipeHandleState", CallName: "SetNamedPipeHandleState", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMaxCollectionCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCollectDataTimeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetPaletteEntries", CallName: "SetPaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hpal", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iStart", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cEntries", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPalEntries", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetParent", CallName: "SetParent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndChild", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndNewParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetPhysicalCursorPos", CallName: "SetPhysicalCursorPos", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
	}},
	{Name: "SetPixel", CallName: "SetPixel", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetPixelFormat", CallName: "SetPixelFormat", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "format", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppfd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetPixelV", CallName: "SetPixelV", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetPolyFillMode", CallName: "SetPolyFillMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "SetPortA", CallName: "SetPortA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPortName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPortInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetPrinterA", CallName: "SetPrinterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pPrinter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Command", TypeSize: 4}}},
	}},
	{Name: "SetPrinterDataA", CallName: "SetPrinterDataA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Type", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "SetPrinterDataExA", CallName: "SetPrinterDataExA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pValueName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Type", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbData", TypeSize: 4}}},
	}},
	{Name: "SetPriorityClass", CallName: "SetPriorityClass", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPriorityClass", TypeSize: 4}}},
	}},
	{Name: "SetPrivateObjectSecurity", CallName: "SetPrivateObjectSecurity", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ModificationDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectsSecurityDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
	}},
	{Name: "SetPrivateObjectSecurityEx", CallName: "SetPrivateObjectSecurityEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ModificationDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ObjectsSecurityDescriptor", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AutoInheritFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GenericMapping", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
	}},
	{Name: "SetProcessAffinityMask", CallName: "SetProcessAffinityMask", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwProcessAffinityMask", TypeSize: 8}}},
	}},
	{Name: "SetProcessAffinityUpdateMode", CallName: "SetProcessAffinityUpdateMode", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetProcessDEPPolicy", CallName: "SetProcessDEPPolicy", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetProcessDPIAware", CallName: "SetProcessDPIAware"},
	{Name: "SetProcessDefaultCpuSets", CallName: "SetProcessDefaultCpuSets", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Process", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CpuSetIds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CpuSetIdCount", TypeSize: 4}}},
	}},
	{Name: "SetProcessDefaultLayout", CallName: "SetProcessDefaultLayout", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwDefaultLayout", TypeSize: 4}}},
	}},
	{Name: "SetProcessDpiAwarenessContext", CallName: "SetProcessDpiAwarenessContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "value", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetProcessInformation", CallName: "SetProcessInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ProcessInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ProcessInformationSize", TypeSize: 4}}},
	}},
	{Name: "SetProcessMitigationPolicy", CallName: "SetProcessMitigationPolicy", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "MitigationPolicy", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwLength", TypeSize: 8}}},
	}},
	{Name: "SetProcessPreferredUILanguages", CallName: "SetProcessPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetProcessPriorityBoost", CallName: "SetProcessPriorityBoost", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDisablePriorityBoost", TypeSize: 4}}},
	}},
	{Name: "SetProcessRestrictionExemption", CallName: "SetProcessRestrictionExemption", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fEnableExemption", TypeSize: 4}}},
	}},
	{Name: "SetProcessShutdownParameters", CallName: "SetProcessShutdownParameters", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwLevel", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetProcessValidCallTargets", CallName: "SetProcessValidCallTargets", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "VirtualAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "RegionSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NumberOfOffsets", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OffsetInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetProcessWindowStation", CallName: "SetProcessWindowStation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWinSta", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetProcessWorkingSetSize", CallName: "SetProcessWorkingSetSize", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwMinimumWorkingSetSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwMaximumWorkingSetSize", TypeSize: 8}}},
	}},
	{Name: "SetProcessWorkingSetSizeEx", CallName: "SetProcessWorkingSetSizeEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwMinimumWorkingSetSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwMaximumWorkingSetSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "SetPropA", CallName: "SetPropA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hData", TypeSize: 8}},
	}},
	{Name: "SetProtectedPolicy", CallName: "SetProtectedPolicy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PolicyGuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "PolicyValue", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldPolicyValue", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetROP2", CallName: "SetROP2", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "rop2", TypeSize: 4}}},
	}},
	{Name: "SetRect", CallName: "SetRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xLeft", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yTop", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xRight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yBottom", TypeSize: 4}}},
	}},
	{Name: "SetRectEmpty", CallName: "SetRectEmpty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetRectRgn", CallName: "SetRectRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hrgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "left", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "top", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "right", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bottom", TypeSize: 4}}},
	}},
	{Name: "SetScrollInfo", CallName: "SetScrollInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "redraw", TypeSize: 4}}},
	}},
	{Name: "SetScrollPos", CallName: "SetScrollPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bRedraw", TypeSize: 4}}},
	}},
	{Name: "SetScrollRange", CallName: "SetScrollRange", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nBar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMinPos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nMaxPos", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bRedraw", TypeSize: 4}}},
	}},
	{Name: "SetSearchPathMode", CallName: "SetSearchPathMode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "SetSecurityAccessMask", CallName: "SetSecurityAccessMask", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "DesiredAccess", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetSecurityDescriptorControl", CallName: "SetSecurityDescriptorControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ControlBitsOfInterest", TypeSize: 2}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "ControlBitsToSet", TypeSize: 2}}},
	}},
	{Name: "SetSecurityDescriptorDacl", CallName: "SetSecurityDescriptorDacl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDaclPresent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDacl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDaclDefaulted", TypeSize: 4}}},
	}},
	{Name: "SetSecurityDescriptorGroup", CallName: "SetSecurityDescriptorGroup", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pGroup", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bGroupDefaulted", TypeSize: 4}}},
	}},
	{Name: "SetSecurityDescriptorOwner", CallName: "SetSecurityDescriptorOwner", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pOwner", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bOwnerDefaulted", TypeSize: 4}}},
	}},
	{Name: "SetSecurityDescriptorRMControl", CallName: "SetSecurityDescriptorRMControl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RMControl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetSecurityDescriptorSacl", CallName: "SetSecurityDescriptorSacl", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bSaclPresent", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSacl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bSaclDefaulted", TypeSize: 4}}},
	}},
	{Name: "SetServiceObjectSecurity", CallName: "SetServiceObjectSecurity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSecurityInformation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetServiceStatus", CallName: "SetServiceStatus", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hServiceStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceStatus", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetStdHandle", CallName: "SetStdHandle", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nStdHandle", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHandle", TypeSize: 8}},
	}},
	{Name: "SetStdHandleEx", CallName: "SetStdHandleEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nStdHandle", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHandle", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phPrevValue", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "SetStretchBltMode", CallName: "SetStretchBltMode", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mode", TypeSize: 4}}},
	}},
	{Name: "SetSysColors", CallName: "SetSysColors", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cElements", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpaElements", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpaRgbValues", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetSystemCursor", CallName: "SetSystemCursor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hcur", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
	}},
	{Name: "SetSystemFileCacheSize", CallName: "SetSystemFileCacheSize", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "MinimumFileCacheSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "MaximumFileCacheSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "SetSystemPaletteUse", CallName: "SetSystemPaletteUse", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "use", TypeSize: 4}}},
	}},
	{Name: "SetSystemPowerState", CallName: "SetSystemPowerState", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fSuspend", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fForce", TypeSize: 4}}},
	}},
	{Name: "SetSystemTime", CallName: "SetSystemTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetSystemTimeAdjustment", CallName: "SetSystemTimeAdjustment", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeAdjustment", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bTimeAdjustmentDisabled", TypeSize: 4}}},
	}},
	{Name: "SetTapeParameters", CallName: "SetTapeParameters", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOperation", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTapeInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetTapePosition", CallName: "SetTapePosition", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPositionMethod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPartition", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bImmediate", TypeSize: 4}}},
	}},
	{Name: "SetTextAlign", CallName: "SetTextAlign", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "align", TypeSize: 4}}},
	}},
	{Name: "SetTextCharacterExtra", CallName: "SetTextCharacterExtra", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "extra", TypeSize: 4}}},
	}},
	{Name: "SetTextColor", CallName: "SetTextColor", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "color", TypeSize: 4}}},
	}},
	{Name: "SetTextJustification", CallName: "SetTextJustification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "extra", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "count", TypeSize: 4}}},
	}},
	{Name: "SetThreadAffinityMask", CallName: "SetThreadAffinityMask", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwThreadAffinityMask", TypeSize: 8}}},
	}},
	{Name: "SetThreadContext", CallName: "SetThreadContext", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadDesktop", CallName: "SetThreadDesktop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadDpiAwarenessContext", CallName: "SetThreadDpiAwarenessContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dpiContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadErrorMode", CallName: "SetThreadErrorMode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNewMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOldMode", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetThreadExecutionState", CallName: "SetThreadExecutionState", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "esFlags", TypeSize: 4}}},
	}},
	{Name: "SetThreadGroupAffinity", CallName: "SetThreadGroupAffinity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "GroupAffinity", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "PreviousGroupAffinity", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadIdealProcessor", CallName: "SetThreadIdealProcessor", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwIdealProcessor", TypeSize: 4}}},
	}},
	{Name: "SetThreadIdealProcessorEx", CallName: "SetThreadIdealProcessorEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpIdealProcessor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPreviousIdealProcessor", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadInformation", CallName: "SetThreadInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ThreadInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ThreadInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ThreadInformationSize", TypeSize: 4}}},
	}},
	{Name: "SetThreadLocale", CallName: "SetThreadLocale", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Locale", TypeSize: 4}}},
	}},
	{Name: "SetThreadPreferredUILanguages", CallName: "SetThreadPreferredUILanguages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszLanguagesBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pulNumLanguages", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetThreadPriority", CallName: "SetThreadPriority", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nPriority", TypeSize: 4}}},
	}},
	{Name: "SetThreadPriorityBoost", CallName: "SetThreadPriorityBoost", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bDisablePriorityBoost", TypeSize: 4}}},
	}},
	{Name: "SetThreadSelectedCpuSets", CallName: "SetThreadSelectedCpuSets", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Thread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CpuSetIds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CpuSetIdCount", TypeSize: 4}}},
	}},
	{Name: "SetThreadStackGuarantee", CallName: "SetThreadStackGuarantee", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StackSizeInBytes", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SetThreadToken", CallName: "SetThreadToken", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Thread", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "Token", TypeSize: 8}},
	}},
	{Name: "SetThreadUILanguage", CallName: "SetThreadUILanguage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "LangId", TypeSize: 2}}},
	}},
	{Name: "SetThreadpoolStackInformation", CallName: "SetThreadpoolStackInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpsi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadpoolThreadMaximum", CallName: "SetThreadpoolThreadMaximum", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cthrdMost", TypeSize: 4}}},
	}},
	{Name: "SetThreadpoolThreadMinimum", CallName: "SetThreadpoolThreadMinimum", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptpp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cthrdMic", TypeSize: 4}}},
	}},
	{Name: "SetThreadpoolTimer", CallName: "SetThreadpoolTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pftDueTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msPeriod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msWindowLength", TypeSize: 4}}},
	}},
	{Name: "SetThreadpoolTimerEx", CallName: "SetThreadpoolTimerEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pftDueTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msPeriod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msWindowLength", TypeSize: 4}}},
	}},
	{Name: "SetThreadpoolWait", CallName: "SetThreadpoolWait", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "h", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pftTimeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetThreadpoolWaitEx", CallName: "SetThreadpoolWaitEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "h", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pftTimeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Reserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetTimeZoneInformation", CallName: "SetTimeZoneInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetTimer", CallName: "SetTimer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nIDEvent", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uElapse", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimerFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetTimerQueueTimer", CallName: "SetTimerQueueTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TimerQueue", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Callback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Parameter", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DueTime", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Period", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "PreferIo", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "SetTokenInformation", CallName: "SetTokenInformation", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "TokenHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TokenInformationClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "TokenInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TokenInformationLength", TypeSize: 4}}},
	}},
	{Name: "SetUmsThreadInformation", CallName: "SetUmsThreadInformation", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThread", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "UmsThreadInfoClass", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "UmsThreadInformation", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "UmsThreadInformationLength", TypeSize: 4}}},
	}},
	{Name: "SetUnhandledExceptionFilter", CallName: "SetUnhandledExceptionFilter", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTopLevelExceptionFilter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetUserFileEncryptionKey", CallName: "SetUserFileEncryptionKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncryptionCertificate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetUserFileEncryptionKeyEx", CallName: "SetUserFileEncryptionKeyEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pEncryptionCertificate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwCapabilities", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetUserGeoID", CallName: "SetUserGeoID", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "GeoId", TypeSize: 4}}},
	}},
	{Name: "SetUserObjectInformationA", CallName: "SetUserObjectInformationA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObj", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvInfo", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
	}},
	{Name: "SetUserObjectSecurity", CallName: "SetUserObjectSecurity", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObj", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSIRequested", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSID", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetViewportExtEx", CallName: "SetViewportExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetViewportOrgEx", CallName: "SetViewportOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetVolumeLabelA", CallName: "SetVolumeLabelA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRootPathName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetVolumeMountPointA", CallName: "SetVolumeMountPointA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeMountPoint", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszVolumeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetWaitableTimer", CallName: "SetWaitableTimer", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTimer", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDueTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lPeriod", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCompletionRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpArgToCompletionRoutine", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fResume", TypeSize: 4}}},
	}},
	{Name: "SetWaitableTimerEx", CallName: "SetWaitableTimerEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hTimer", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDueTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lPeriod", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnCompletionRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpArgToCompletionRoutine", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "WakeContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TolerableDelay", TypeSize: 4}}},
	}},
	{Name: "SetWinEventHook", CallName: "SetWinEventHook", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eventMin", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "eventMax", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmodWinEventProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnWinEventProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idProcess", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idThread", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "SetWinMetaFileBits", CallName: "SetWinMetaFileBits", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMeta16Data", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcRef", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMFP", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetWindowContextHelpId", CallName: "SetWindowContextHelpId", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "SetWindowDisplayAffinity", CallName: "SetWindowDisplayAffinity", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwAffinity", TypeSize: 4}}},
	}},
	{Name: "SetWindowExtEx", CallName: "SetWindowExtEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpsz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetWindowFeedbackSetting", CallName: "SetWindowFeedbackSetting", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "feedback", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "size", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "configuration", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SetWindowLongA", CallName: "SetWindowLongA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNewLong", TypeSize: 4}}},
	}},
	{Name: "SetWindowLongPtrA", CallName: "SetWindowLongPtrA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwNewLong", TypeSize: 8}}},
	}},
	{Name: "SetWindowOrgEx", CallName: "SetWindowOrgEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetWindowPlacement", CallName: "SetWindowPlacement", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpwndpl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetWindowPos", CallName: "SetWindowPos", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndInsertAfter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "X", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cy", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "SetWindowRgn", CallName: "SetWindowRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bRedraw", TypeSize: 4}}},
	}},
	{Name: "SetWindowTextA", CallName: "SetWindowTextA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "SetWindowWord", CallName: "SetWindowWord", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nIndex", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wNewWord", TypeSize: 2}}},
	}},
	{Name: "SetWindowsHookA", CallName: "SetWindowsHookA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nFilterType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnFilterProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetWindowsHookExA", CallName: "SetWindowsHookExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "idHook", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpfn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmod", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwThreadId", TypeSize: 4}}},
	}},
	{Name: "SetWorldTransform", CallName: "SetWorldTransform", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpxf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SetXStateFeaturesMask", CallName: "SetXStateFeaturesMask", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Context", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "FeatureMask", TypeSize: 8}}},
	}},
	{Name: "SetupComm", CallName: "SetupComm", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInQueue", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwOutQueue", TypeSize: 4}}},
	}},
	{Name: "ShellAboutA", CallName: "ShellAboutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szApp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szOtherStuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hIcon", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ShellExecuteA", CallName: "ShellExecuteA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOperation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpParameters", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDirectory", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nShowCmd", TypeSize: 4}}},
	}},
	{Name: "ShellExecuteExA", CallName: "ShellExecuteExA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pExecInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Shell_NotifyIconA", CallName: "Shell_NotifyIconA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMessage", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Shell_NotifyIconGetRect", CallName: "Shell_NotifyIconGetRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "identifier", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "iconLocation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ShowCaret", CallName: "ShowCaret", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ShowCursor", CallName: "ShowCursor", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bShow", TypeSize: 4}}},
	}},
	{Name: "ShowOwnedPopups", CallName: "ShowOwnedPopups", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fShow", TypeSize: 4}}},
	}},
	{Name: "ShowScrollBar", CallName: "ShowScrollBar", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wBar", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bShow", TypeSize: 4}}},
	}},
	{Name: "ShowWindow", CallName: "ShowWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCmdShow", TypeSize: 4}}},
	}},
	{Name: "ShowWindowAsync", CallName: "ShowWindowAsync", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCmdShow", TypeSize: 4}}},
	}},
	{Name: "ShutdownBlockReasonCreate", CallName: "ShutdownBlockReasonCreate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszReason", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "ShutdownBlockReasonDestroy", CallName: "ShutdownBlockReasonDestroy", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ShutdownBlockReasonQuery", CallName: "ShutdownBlockReasonQuery", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszBuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchBuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "SignalObjectAndWait", CallName: "SignalObjectAndWait", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObjectToSignal", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hObjectToWaitOn", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAlertable", TypeSize: 4}}},
	}},
	{Name: "SizeofResource", CallName: "SizeofResource", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hModule", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hResInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SkipPointerFrameMessages", CallName: "SkipPointerFrameMessages", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerId", TypeSize: 4}}},
	}},
	{Name: "Sleep", CallName: "Sleep", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "SleepConditionVariableCS", CallName: "SleepConditionVariableCS", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ConditionVariable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "SleepEx", CallName: "SleepEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAlertable", TypeSize: 4}}},
	}},
	{Name: "SoundSentry", CallName: "SoundSentry"},
	{Name: "StartDocA", CallName: "StartDocA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpdi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StartDocPrinterA", CallName: "StartDocPrinterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Level", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pDocInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "StartPage", CallName: "StartPage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StartPagePrinter", CallName: "StartPagePrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
	}},
	{Name: "StartServiceA", CallName: "StartServiceA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNumServiceArgs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceArgVectors", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "StartServiceCtrlDispatcherA", CallName: "StartServiceCtrlDispatcherA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpServiceStartTable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StartThreadpoolIo", CallName: "StartThreadpoolIo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StgConvertVariantToProperty", CallName: "StgConvertVariantToProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "CodePage", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pprop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcb", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pid", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "fReserved", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcIndirect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "StgCreateDocfile", CallName: "StgCreateDocfile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwcsName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppstgOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgCreateDocfileOnILockBytes", CallName: "StgCreateDocfileOnILockBytes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plkbyt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppstgOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgCreatePropSetStg", CallName: "StgCreatePropSetStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStorage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppPropSetStg", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgCreatePropStg", CallName: "StgCreatePropStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUnk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fmtid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pclsid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppPropStg", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgCreateStorageEx", CallName: "StgCreateStorageEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwcsName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stgfmt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfAttrs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStgOptions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "riid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppObjectOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "StgIsStorageFile", CallName: "StgIsStorageFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwcsName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
	}},
	{Name: "StgIsStorageILockBytes", CallName: "StgIsStorageILockBytes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plkbyt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StgOpenPropStg", CallName: "StgOpenPropStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pUnk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fmtid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppPropStg", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgOpenStorage", CallName: "StgOpenStorage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwcsName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pstgPriority", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "snbExclude", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppstgOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgOpenStorageEx", CallName: "StgOpenStorageEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwcsName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "stgfmt", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfAttrs", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStgOptions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pSecurityDescriptor", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "riid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppObjectOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "StgOpenStorageOnILockBytes", CallName: "StgOpenStorageOnILockBytes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "plkbyt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pstgPriority", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "grfMode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "snbExclude", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ppstgOpen", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "StgSetTimes", CallName: "StgSetTimes", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pctime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "patime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmtime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StretchBlt", CallName: "StretchBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ySrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSrc", TypeSize: 4}}},
	}},
	{Name: "StretchDIBits", CallName: "StretchDIBits", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DestWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "DestHeight", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "ySrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SrcWidth", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "SrcHeight", TypeSize: 4}}},
	}},
	{Name: "StrokeAndFillPath", CallName: "StrokeAndFillPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "StrokePath", CallName: "StrokePath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SubmitThreadpoolWork", CallName: "SubmitThreadpoolWork", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SubtractRect", CallName: "SubtractRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SuspendThread", CallName: "SuspendThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
	}},
	{Name: "SwapBuffers", CallName: "SwapBuffers", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SwapMouseButton", CallName: "SwapMouseButton", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fSwap", TypeSize: 4}}},
	}},
	{Name: "SwitchDesktop", CallName: "SwitchDesktop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDesktop", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SwitchToFiber", CallName: "SwitchToFiber", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFiber", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "SwitchToThisWindow", CallName: "SwitchToThisWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fUnknown", TypeSize: 4}}},
	}},
	{Name: "SwitchToThread", CallName: "SwitchToThread"},
	{Name: "SystemParametersInfoA", CallName: "SystemParametersInfoA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiAction", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvParam", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fWinIni", TypeSize: 4}}},
	}},
	{Name: "SystemParametersInfoForDpi", CallName: "SystemParametersInfoForDpi", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiAction", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uiParam", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvParam", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fWinIni", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dpi", TypeSize: 4}}},
	}},
	{Name: "SystemTimeToFileTime", CallName: "SystemTimeToFileTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSystemTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SystemTimeToTzSpecificLocalTime", CallName: "SystemTimeToTzSpecificLocalTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUniversalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "SystemTimeToTzSpecificLocalTimeEx", CallName: "SystemTimeToTzSpecificLocalTimeEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUniversalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TabbedTextOutA", CallName: "TabbedTextOutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "chCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTabPositions", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnTabStopPositions", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTabOrigin", TypeSize: 4}}},
	}},
	{Name: "TerminateJobObject", CallName: "TerminateJobObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uExitCode", TypeSize: 4}}},
	}},
	{Name: "TerminateProcess", CallName: "TerminateProcess", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uExitCode", TypeSize: 4}}},
	}},
	{Name: "TerminateProcessOnMemoryExhaustion", CallName: "TerminateProcessOnMemoryExhaustion", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "FailedAllocationSize", TypeSize: 8}}},
	}},
	{Name: "TerminateThread", CallName: "TerminateThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwExitCode", TypeSize: 4}}},
	}},
	{Name: "TextOutA", CallName: "TextOutA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "c", TypeSize: 4}}},
	}},
	{Name: "TileWindows", CallName: "TileWindows", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wHow", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cKids", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKids", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
	}},
	{Name: "TlsAlloc", CallName: "TlsAlloc"},
	{Name: "TlsFree", CallName: "TlsFree", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTlsIndex", TypeSize: 4}}},
	}},
	{Name: "TlsGetValue", CallName: "TlsGetValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTlsIndex", TypeSize: 4}}},
	}},
	{Name: "TlsSetValue", CallName: "TlsSetValue", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTlsIndex", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTlsValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "ToAscii", CallName: "ToAscii", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uVirtKey", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uScanCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "ToAsciiEx", CallName: "ToAsciiEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uVirtKey", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uScanCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dwhkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ToUnicode", CallName: "ToUnicode", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wVirtKey", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wScanCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszBuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuff", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFlags", TypeSize: 4}}},
	}},
	{Name: "ToUnicodeEx", CallName: "ToUnicodeEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wVirtKey", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wScanCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyState", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwszBuff", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuff", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dwhkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TrackMouseEvent", CallName: "TrackMouseEvent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEventTrack", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TrackPopupMenu", CallName: "TrackPopupMenu", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nReserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "prcRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TrackPopupMenuEx", CallName: "TrackPopupMenuEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hMenu", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "x", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "y", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lptpm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TransactNamedPipe", CallName: "TransactNamedPipe", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hNamedPipe", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpInBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nInBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOutBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nOutBufferSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBytesRead", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TranslateAcceleratorA", CallName: "TranslateAcceleratorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hAccTable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TranslateCharsetInfo", CallName: "TranslateCharsetInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCs", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "TranslateMDISysAccel", CallName: "TranslateMDISysAccel", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndClient", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TranslateMessage", CallName: "TranslateMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMsg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TransmitCommChar", CallName: "TransmitCommChar", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "cChar", TypeSize: 1}}},
	}},
	{Name: "TransmitFile", CallName: "TransmitFile", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "hSocket", TypeSize: 8}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToWrite", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesPerSend", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTransmitBuffers", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
	}},
	{Name: "TransparentBlt", CallName: "TransparentBlt", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDest", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDest", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hDest", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "xoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "yoriginSrc", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wSrc", TypeSize: 4}}},
	}},
	{Name: "TryAcquireSRWLockExclusive", CallName: "TryAcquireSRWLockExclusive", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TryAcquireSRWLockShared", CallName: "TryAcquireSRWLockShared", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SRWLock", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TryEnterCriticalSection", CallName: "TryEnterCriticalSection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCriticalSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TrySubmitThreadpoolCallback", CallName: "TrySubmitThreadpoolCallback", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfns", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pv", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcbe", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TzSpecificLocalTimeToSystemTime", CallName: "TzSpecificLocalTimeToSystemTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUniversalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "TzSpecificLocalTimeToSystemTimeEx", CallName: "TzSpecificLocalTimeToSystemTimeEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTimeZoneInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUniversalTime", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UmsThreadYield", CallName: "UmsThreadYield", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "SchedulerParam", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnhandledExceptionFilter", CallName: "UnhandledExceptionFilter", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ExceptionInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnhookWinEvent", CallName: "UnhookWinEvent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWinEventHook", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnhookWindowsHook", CallName: "UnhookWindowsHook", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCode", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfnFilterProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnhookWindowsHookEx", CallName: "UnhookWindowsHookEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hhk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnionRect", CallName: "UnionRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lprcSrc2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnloadKeyboardLayout", CallName: "UnloadKeyboardLayout", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnlockFile", CallName: "UnlockFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFileOffsetHigh", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToUnlockLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToUnlockHigh", TypeSize: 4}}},
	}},
	{Name: "UnlockFileEx", CallName: "UnlockFileEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwReserved", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToUnlockLow", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToUnlockHigh", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnlockServiceDatabase", CallName: "UnlockServiceDatabase", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ScLock", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnmapViewOfFile", CallName: "UnmapViewOfFile", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnmapViewOfFileEx", CallName: "UnmapViewOfFileEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "UnmapFlags", TypeSize: 4}}},
	}},
	{Name: "UnpackDDElParam", CallName: "UnpackDDElParam", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "msg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puiLo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puiHi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnrealizeObject", CallName: "UnrealizeObject", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "h", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnregisterApplicationRecoveryCallback", CallName: "UnregisterApplicationRecoveryCallback"},
	{Name: "UnregisterApplicationRestart", CallName: "UnregisterApplicationRestart"},
	{Name: "UnregisterBadMemoryNotification", CallName: "UnregisterBadMemoryNotification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "RegistrationHandle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnregisterClassA", CallName: "UnregisterClassA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpClassName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hInstance", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnregisterDeviceNotification", CallName: "UnregisterDeviceNotification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnregisterHotKey", CallName: "UnregisterHotKey", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "id", TypeSize: 4}}},
	}},
	{Name: "UnregisterPointerInputTarget", CallName: "UnregisterPointerInputTarget", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerType", TypeSize: 4}}},
	}},
	{Name: "UnregisterPointerInputTargetEx", CallName: "UnregisterPointerInputTargetEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "pointerType", TypeSize: 4}}},
	}},
	{Name: "UnregisterPowerSettingNotification", CallName: "UnregisterPowerSettingNotification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnregisterSuspendResumeNotification", CallName: "UnregisterSuspendResumeNotification", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Handle", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "UnregisterTouchWindow", CallName: "UnregisterTouchWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UnregisterWait", CallName: "UnregisterWait", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "WaitHandle", TypeSize: 8}},
	}},
	{Name: "UnregisterWaitEx", CallName: "UnregisterWaitEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "WaitHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "CompletionEvent", TypeSize: 8}},
	}},
	{Name: "UpdateColors", CallName: "UpdateColors", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UpdateICMRegKeyA", CallName: "UpdateICMRegKeyA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "reserved", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszCMID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "command", TypeSize: 4}}},
	}},
	{Name: "UpdateLayeredWindow", CallName: "UpdateLayeredWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pptDst", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "psize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdcSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pptSrc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "crKey", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pblend", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "UpdateLayeredWindowIndirect", CallName: "UpdateLayeredWindowIndirect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pULWInfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UpdateProcThreadAttribute", CallName: "UpdateProcThreadAttribute", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttributeList", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Attribute", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "cbSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPreviousValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReturnSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UpdateResourceA", CallName: "UpdateResourceA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hUpdate", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wLanguage", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpData", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cb", TypeSize: 4}}},
	}},
	{Name: "UpdateWindow", CallName: "UpdateWindow", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UploadPrinterDriverPackageA", CallName: "UploadPrinterDriverPackageA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszServer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszInfPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszEnvironment", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDestInfPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcchDestInfPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "UserHandleGrantAccess", CallName: "UserHandleGrantAccess", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hUserHandle", TypeSize: 8}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hJob", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bGrant", TypeSize: 4}}},
	}},
	{Name: "UuidCompare", CallName: "UuidCompare", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Status", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "UuidCreate", CallName: "UuidCreate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UuidCreateNil", CallName: "UuidCreateNil", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "NilUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UuidCreateSequential", CallName: "UuidCreateSequential", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UuidEqual", CallName: "UuidEqual", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Status", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "UuidFromStringA", CallName: "UuidFromStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringUuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "UuidHash", CallName: "UuidHash", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Status", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "UuidIsNil", CallName: "UuidIsNil", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Status", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "UuidToStringA", CallName: "UuidToStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Uuid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "StringUuid", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "VARIANT_UserFree", CallName: "VARIANT_UserFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserFree64", CallName: "VARIANT_UserFree64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserMarshal", CallName: "VARIANT_UserMarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserMarshal64", CallName: "VARIANT_UserMarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserSize", CallName: "VARIANT_UserSize", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserSize64", CallName: "VARIANT_UserSize64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserUnmarshal", CallName: "VARIANT_UserUnmarshal", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VARIANT_UserUnmarshal64", CallName: "VARIANT_UserUnmarshal64", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ValidateRect", CallName: "ValidateRect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "ValidateRgn", CallName: "ValidateRgn", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hRgn", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "VerLanguageNameA", CallName: "VerLanguageNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wLang", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szLang", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLang", TypeSize: 4}}},
	}},
	{Name: "VerSetConditionMask", CallName: "VerSetConditionMask", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "ConditionMask", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "TypeMask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Condition", TypeSize: 1}}},
	}},
	{Name: "VerifyScripts", CallName: "VerifyScripts", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocaleScripts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchLocaleScripts", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpTestScripts", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchTestScripts", TypeSize: 4}}},
	}},
	{Name: "VerifyVersionInfoA", CallName: "VerifyVersionInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpVersionInformation", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTypeMask", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwlConditionMask", TypeSize: 8}}},
	}},
	{Name: "VirtualAlloc", CallName: "VirtualAlloc", Args: []Type{
		&VmaType{TypeCommon: TypeCommon{TypeName: "vma", FldName: "lpAddress", TypeSize: 8}},
		&LenType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "len", FldName: "dwSize", TypeSize: 8}}, Buf: "lpAddress"},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "allocation_type", FldName: "flAllocationType", TypeSize: 8}}, Vals: []uint64{4096, 8192, 524288, 16777216, 536870912, 4194304, 1048576, 2097152}, BitMask: true},
		&FlagsType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "protect_flags", FldName: "flProtect", TypeSize: 8}}, Vals: []uint64{16, 32, 64, 128, 1, 2, 4, 8, 1073741824, 1073741824, 256, 512, 1024, 2147483648, 536870912}},
	}},
	{Name: "VirtualAllocEx", CallName: "VirtualAllocEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flAllocationType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flProtect", TypeSize: 4}}},
	}},
	{Name: "VirtualAllocExNuma", CallName: "VirtualAllocExNuma", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flAllocationType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flProtect", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nndPreferred", TypeSize: 4}}},
	}},
	{Name: "VirtualAllocFromApp", CallName: "VirtualAllocFromApp", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "BaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "AllocationType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Protection", TypeSize: 4}}},
	}},
	{Name: "VirtualFree", CallName: "VirtualFree", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFreeType", TypeSize: 4}}},
	}},
	{Name: "VirtualFreeEx", CallName: "VirtualFreeEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFreeType", TypeSize: 4}}},
	}},
	{Name: "VirtualLock", CallName: "VirtualLock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
	}},
	{Name: "VirtualProtect", CallName: "VirtualProtect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flNewProtect", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpflOldProtect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "VirtualProtectEx", CallName: "VirtualProtectEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flNewProtect", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpflOldProtect", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "VirtualProtectFromApp", CallName: "VirtualProtectFromApp", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Address", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "Size", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "NewProtection", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldProtection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "VirtualQuery", CallName: "VirtualQuery", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwLength", TypeSize: 8}}},
	}},
	{Name: "VirtualQueryEx", CallName: "VirtualQueryEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwLength", TypeSize: 8}}},
	}},
	{Name: "VirtualUnlock", CallName: "VirtualUnlock", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwSize", TypeSize: 8}}},
	}},
	{Name: "VkKeyScanA", CallName: "VkKeyScanA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
	}},
	{Name: "VkKeyScanExA", CallName: "VkKeyScanExA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "ch", TypeSize: 1}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "dwhkl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WNetAddConnection2A", CallName: "WNetAddConnection2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "WNetAddConnection3A", CallName: "WNetAddConnection3A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndOwner", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "WNetAddConnectionA", CallName: "WNetAddConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRemoteName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WNetCancelConnection2A", CallName: "WNetCancelConnection2A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fForce", TypeSize: 4}}},
	}},
	{Name: "WNetCancelConnectionA", CallName: "WNetCancelConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fForce", TypeSize: 4}}},
	}},
	{Name: "WNetCloseEnum", CallName: "WNetCloseEnum", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEnum", TypeSize: 8}},
	}},
	{Name: "WNetConnectionDialog", CallName: "WNetConnectionDialog", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
	}},
	{Name: "WNetConnectionDialog1A", CallName: "WNetConnectionDialog1A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConnDlgStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WNetDisconnectDialog", CallName: "WNetDisconnectDialog", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
	}},
	{Name: "WNetDisconnectDialog1A", CallName: "WNetDisconnectDialog1A", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpConnDlgStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WNetEnumResourceA", CallName: "WNetEnumResourceA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hEnum", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcCount", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetGetConnectionA", CallName: "WNetGetConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpRemoteName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetGetLastErrorA", CallName: "WNetGetLastErrorA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpError", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpErrorBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nErrorBufSize", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNameBuf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNameBufSize", TypeSize: 4}}},
	}},
	{Name: "WNetGetNetworkInformationA", CallName: "WNetGetNetworkInformationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProvider", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetInfoStruct", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WNetGetProviderNameA", CallName: "WNetGetProviderNameA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNetType", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpProviderName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetGetResourceInformationA", CallName: "WNetGetResourceInformationA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lplpSystem", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}}},
	}},
	{Name: "WNetGetResourceParentA", CallName: "WNetGetResourceParentA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpcbBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetGetUniversalNameA", CallName: "WNetGetUniversalNameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpLocalPath", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwInfoLevel", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetGetUserA", CallName: "WNetGetUserA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpnLength", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WNetOpenEnumA", CallName: "WNetOpenEnumA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwScope", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwUsage", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lphEnum", TypeSize: 8}, Type: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", TypeSize: 8, ArgDir: 2}}},
	}},
	{Name: "WNetUseConnectionA", CallName: "WNetUseConnectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndOwner", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNetResource", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpPassword", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUserId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAccessName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBufferSize", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResult", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WSAAsyncGetHostByAddr", CallName: "WSAAsyncGetHostByAddr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncGetHostByName", CallName: "WSAAsyncGetHostByName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncGetProtoByName", CallName: "WSAAsyncGetProtoByName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncGetProtoByNumber", CallName: "WSAAsyncGetProtoByNumber", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "number", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncGetServByName", CallName: "WSAAsyncGetServByName", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proto", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncGetServByPort", CallName: "WSAAsyncGetServByPort", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "port", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proto", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "buflen", TypeSize: 4}}},
	}, Ret: &ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "ret", TypeSize: 8, ArgDir: 1}}},
	{Name: "WSAAsyncSelect", CallName: "WSAAsyncSelect", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lEvent", TypeSize: 4}}},
	}},
	{Name: "WSACancelAsyncRequest", CallName: "WSACancelAsyncRequest", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hAsyncTaskHandle", TypeSize: 8}},
	}},
	{Name: "WSACancelBlockingCall", CallName: "WSACancelBlockingCall"},
	{Name: "WSACleanup", CallName: "WSACleanup"},
	{Name: "WSAGetLastError", CallName: "WSAGetLastError"},
	{Name: "WSAIsBlocking", CallName: "WSAIsBlocking"},
	{Name: "WSARecvEx", CallName: "WSARecvEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "flags", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WSASetBlockingHook", CallName: "WSASetBlockingHook", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBlockFunc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WSASetLastError", CallName: "WSASetLastError", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iError", TypeSize: 4}}},
	}},
	{Name: "WSAStartup", CallName: "WSAStartup", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "wVersionRequired", TypeSize: 2}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWSAData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WSAUnhookBlockingHook", CallName: "WSAUnhookBlockingHook"},
	{Name: "WTSGetActiveConsoleSessionId", CallName: "WTSGetActiveConsoleSessionId"},
	{Name: "WaitCommEvent", CallName: "WaitCommEvent", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpEvtMask", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WaitForDebugEvent", CallName: "WaitForDebugEvent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDebugEvent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitForDebugEventEx", CallName: "WaitForDebugEventEx", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDebugEvent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitForInputIdle", CallName: "WaitForInputIdle", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitForMultipleObjects", CallName: "WaitForMultipleObjects", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHandles", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bWaitAll", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitForMultipleObjectsEx", CallName: "WaitForMultipleObjectsEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nCount", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpHandles", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bWaitAll", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAlertable", TypeSize: 4}}},
	}},
	{Name: "WaitForPrinterChange", CallName: "WaitForPrinterChange", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "Flags", TypeSize: 4}}},
	}},
	{Name: "WaitForSingleObject", CallName: "WaitForSingleObject", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitForSingleObjectEx", CallName: "WaitForSingleObjectEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hHandle", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bAlertable", TypeSize: 4}}},
	}},
	{Name: "WaitForThreadpoolIoCallbacks", CallName: "WaitForThreadpoolIoCallbacks", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fCancelPendingCallbacks", TypeSize: 4}}},
	}},
	{Name: "WaitForThreadpoolTimerCallbacks", CallName: "WaitForThreadpoolTimerCallbacks", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pti", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fCancelPendingCallbacks", TypeSize: 4}}},
	}},
	{Name: "WaitForThreadpoolWaitCallbacks", CallName: "WaitForThreadpoolWaitCallbacks", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fCancelPendingCallbacks", TypeSize: 4}}},
	}},
	{Name: "WaitForThreadpoolWorkCallbacks", CallName: "WaitForThreadpoolWorkCallbacks", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwk", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fCancelPendingCallbacks", TypeSize: 4}}},
	}},
	{Name: "WaitMessage", CallName: "WaitMessage"},
	{Name: "WaitNamedPipeA", CallName: "WaitNamedPipeA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNamedPipeName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nTimeOut", TypeSize: 4}}},
	}},
	{Name: "WaitOnAddress", CallName: "WaitOnAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Address", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "CompareAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "AddressSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMilliseconds", TypeSize: 4}}},
	}},
	{Name: "WaitServiceState", CallName: "WaitServiceState", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hService", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwNotify", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTimeout", TypeSize: 4}}},
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hCancelEvent", TypeSize: 8}},
	}},
	{Name: "WakeAllConditionVariable", CallName: "WakeAllConditionVariable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ConditionVariable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WakeByAddressAll", CallName: "WakeByAddressAll", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Address", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "WakeByAddressSingle", CallName: "WakeByAddressSingle", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "Address", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "WakeConditionVariable", CallName: "WakeConditionVariable", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ConditionVariable", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WideCharToMultiByte", CallName: "WideCharToMultiByte", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "CodePage", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWideCharStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchWideChar", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpMultiByteStr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbMultiByte", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpDefaultChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpUsedDefaultChar", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WidenPath", CallName: "WidenPath", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hdc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WinExec", CallName: "WinExec", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCmdLine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCmdShow", TypeSize: 4}}},
	}},
	{Name: "WinHelpA", CallName: "WinHelpA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hWndMain", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszHelp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uCommand", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwData", TypeSize: 8}}},
	}},
	{Name: "WindowFromDC", CallName: "WindowFromDC", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDC", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WindowFromPhysicalPoint", CallName: "WindowFromPhysicalPoint", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "Point", TypeSize: 8}}},
	}},
	{Name: "WindowFromPoint", CallName: "WindowFromPoint", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "Point", TypeSize: 8}}},
	}},
	{Name: "Wow64DisableWow64FsRedirection", CallName: "Wow64DisableWow64FsRedirection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OldValue", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}}},
	}},
	{Name: "Wow64EnableWow64FsRedirection", CallName: "Wow64EnableWow64FsRedirection", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "Wow64FsEnableRedirection", TypeSize: 1}}},
	}},
	{Name: "Wow64GetThreadContext", CallName: "Wow64GetThreadContext", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Wow64GetThreadSelectorEntry", CallName: "Wow64GetThreadSelectorEntry", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwSelector", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpSelectorEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Wow64RevertWow64FsRedirection", CallName: "Wow64RevertWow64FsRedirection", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "OlValue", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "Wow64SetThreadContext", CallName: "Wow64SetThreadContext", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpContext", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "Wow64SetThreadDefaultGuestMachine", CallName: "Wow64SetThreadDefaultGuestMachine", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "Machine", TypeSize: 2}}},
	}},
	{Name: "Wow64SuspendThread", CallName: "Wow64SuspendThread", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hThread", TypeSize: 8}},
	}},
	{Name: "WriteClassStg", CallName: "WriteClassStg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStg", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rclsid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteClassStm", CallName: "WriteClassStm", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pStm", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "rclsid", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteConsoleA", CallName: "WriteConsoleA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfCharsToWrite", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfCharsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "WriteConsoleInputA", CallName: "WriteConsoleInputA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleInput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfEventsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WriteConsoleOutputA", CallName: "WriteConsoleOutputA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwBufferSize", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwBufferCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpWriteRegion", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteConsoleOutputAttribute", CallName: "WriteConsoleOutputAttribute", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAttribute", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwWriteCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfAttrsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WriteConsoleOutputCharacterA", CallName: "WriteConsoleOutputCharacterA", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hConsoleOutput", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCharacter", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nLength", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "dwWriteCoord", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfCharsWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WriteEncryptedFileRaw", CallName: "WriteEncryptedFileRaw", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pfImportCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvCallbackContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pvContext", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "WriteFile", CallName: "WriteFile", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToWrite", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteFileEx", CallName: "WriteFileEx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToWrite", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpCompletionRoutine", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteFileGather", CallName: "WriteFileGather", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hFile", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "aSegmentArray", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nNumberOfBytesToWrite", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpReserved", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpOverlapped", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WritePrinter", CallName: "WritePrinter", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hPrinter", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pBuf", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbBuf", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pcWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "WritePrivateProfileSectionA", CallName: "WritePrivateProfileSectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WritePrivateProfileStringA", CallName: "WritePrivateProfileStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WritePrivateProfileStructA", CallName: "WritePrivateProfileStructA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszSection", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpszKey", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpStruct", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uSizeStruct", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "szFile", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WriteProcessMemory", CallName: "WriteProcessMemory", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hProcess", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBaseAddress", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpBuffer", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "nSize", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpNumberOfBytesWritten", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "WriteProfileSectionA", CallName: "WriteProfileSectionA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WriteProfileStringA", CallName: "WriteProfileStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpAppName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpKeyName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "WriteTapemark", CallName: "WriteTapemark", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hDevice", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTapemarkType", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwTapemarkCount", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "bImmediate", TypeSize: 4}}},
	}},
	{Name: "ZombifyActCtx", CallName: "ZombifyActCtx", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hActCtx", TypeSize: 8}},
	}},
	{Name: "accept", CallName: "accept", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addrlen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "auxGetDevCapsA", CallName: "auxGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uDeviceID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pac", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbac", TypeSize: 4}}},
	}},
	{Name: "auxGetNumDevs", CallName: "auxGetNumDevs"},
	{Name: "auxGetVolume", CallName: "auxGetVolume", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwVolume", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "auxOutMessage", CallName: "auxOutMessage", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw2", TypeSize: 8}}},
	}},
	{Name: "auxSetVolume", CallName: "auxSetVolume", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVolume", TypeSize: 4}}},
	}},
	{Name: "bind", CallName: "bind", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "namelen", TypeSize: 4}}},
	}},
	{Name: "closesocket", CallName: "closesocket", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
	}},
	{Name: "connect", CallName: "connect", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "namelen", TypeSize: 4}}},
	}},
	{Name: "gethostbyaddr", CallName: "gethostbyaddr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "addr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
	}},
	{Name: "gethostbyname", CallName: "gethostbyname", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "gethostname", CallName: "gethostname", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "namelen", TypeSize: 4}}},
	}},
	{Name: "getpeername", CallName: "getpeername", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "namelen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "getprotobyname", CallName: "getprotobyname", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "getprotobynumber", CallName: "getprotobynumber", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "proto", TypeSize: 4}}},
	}},
	{Name: "getservbyname", CallName: "getservbyname", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proto", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "getservbyport", CallName: "getservbyport", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "port", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "proto", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "getsockname", CallName: "getsockname", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "name", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "namelen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "getsockopt", CallName: "getsockopt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optname", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optlen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "htonl", CallName: "htonl", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "hostlong", TypeSize: 4}}},
	}},
	{Name: "htons", CallName: "htons", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "hostshort", TypeSize: 2}}},
	}},
	{Name: "inet_addr", CallName: "inet_addr", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "cp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "inet_ntoa", CallName: "inet_ntoa", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "in", TypeSize: 8}}},
	}},
	{Name: "ioctlsocket", CallName: "ioctlsocket", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cmd", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "argp", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "joyConfigChanged", CallName: "joyConfigChanged", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "joyGetDevCapsA", CallName: "joyGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uJoyID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pjc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbjc", TypeSize: 4}}},
	}},
	{Name: "joyGetNumDevs", CallName: "joyGetNumDevs"},
	{Name: "joyGetPos", CallName: "joyGetPos", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pji", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "joyGetPosEx", CallName: "joyGetPosEx", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pji", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "joyGetThreshold", CallName: "joyGetThreshold", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puThreshold", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "joyReleaseCapture", CallName: "joyReleaseCapture", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
	}},
	{Name: "joySetCapture", CallName: "joySetCapture", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwnd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPeriod", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fChanged", TypeSize: 4}}},
	}},
	{Name: "joySetThreshold", CallName: "joySetThreshold", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uJoyID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uThreshold", TypeSize: 4}}},
	}},
	{Name: "keybd_event", CallName: "keybd_event", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bVk", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", FldName: "bScan", TypeSize: 1}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwExtraInfo", TypeSize: 8}}},
	}},
	{Name: "listen", CallName: "listen", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "backlog", TypeSize: 4}}},
	}},
	{Name: "lstrcatA", CallName: "lstrcatA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "lstrcmpA", CallName: "lstrcmpA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "lstrcmpiA", CallName: "lstrcmpiA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "lstrcpyA", CallName: "lstrcpyA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "lstrcpynA", CallName: "lstrcpynA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString2", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iMaxLength", TypeSize: 4}}},
	}},
	{Name: "lstrlenA", CallName: "lstrlenA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "mciDriverNotify", CallName: "mciDriverNotify", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hwndCallback", TypeSize: 8}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uStatus", TypeSize: 4}}},
	}},
	{Name: "mciDriverYield", CallName: "mciDriverYield", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDeviceID", TypeSize: 4}}},
	}},
	{Name: "mciFreeCommandResource", CallName: "mciFreeCommandResource", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wTable", TypeSize: 4}}},
	}},
	{Name: "mciGetCreatorTask", CallName: "mciGetCreatorTask", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mciId", TypeSize: 4}}},
	}},
	{Name: "mciGetDeviceIDA", CallName: "mciGetDeviceIDA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszDevice", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "mciGetDeviceIDFromElementIDA", CallName: "mciGetDeviceIDFromElementIDA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwElementID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpstrType", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "mciGetDriverData", CallName: "mciGetDriverData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDeviceID", TypeSize: 4}}},
	}},
	{Name: "mciGetErrorStringA", CallName: "mciGetErrorStringA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mcierr", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
	}},
	{Name: "mciGetYieldProc", CallName: "mciGetYieldProc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mciId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwYieldData", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "mciLoadCommandResource", CallName: "mciLoadCommandResource", Args: []Type{
		&ResourceType{TypeCommon: TypeCommon{TypeName: "HANDLE", FldName: "hInstance", TypeSize: 8}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpResName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wType", TypeSize: 4}}},
	}},
	{Name: "mciSendCommandA", CallName: "mciSendCommandA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mciId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam2", TypeSize: 8}}},
	}},
	{Name: "mciSendStringA", CallName: "mciSendStringA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpstrCommand", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpstrReturnString", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uReturnLength", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwndCallback", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "mciSetDriverData", CallName: "mciSetDriverData", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwData", TypeSize: 8}}},
	}},
	{Name: "mciSetYieldProc", CallName: "mciSetYieldProc", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mciId", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fpYieldProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwYieldData", TypeSize: 4}}},
	}},
	{Name: "midiConnect", CallName: "midiConnect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "midiDisconnect", CallName: "midiDisconnect", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pReserved", TypeSize: 8}, Type: &BufferType{TypeCommon: TypeCommon{TypeName: "array", ArgDir: 2, IsVarlen: true}}},
	}},
	{Name: "midiInAddBuffer", CallName: "midiInAddBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiInClose", CallName: "midiInClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiInGetDevCapsA", CallName: "midiInGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uDeviceID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmic", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmic", TypeSize: 4}}},
	}},
	{Name: "midiInGetErrorTextA", CallName: "midiInGetErrorTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mmrError", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
	}},
	{Name: "midiInGetID", CallName: "midiInGetID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puDeviceID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "midiInGetNumDevs", CallName: "midiInGetNumDevs"},
	{Name: "midiInMessage", CallName: "midiInMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw2", TypeSize: 8}}},
	}},
	{Name: "midiInOpen", CallName: "midiInOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phmi", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "midiInPrepareHeader", CallName: "midiInPrepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiInReset", CallName: "midiInReset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiInStart", CallName: "midiInStart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiInStop", CallName: "midiInStop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiInUnprepareHeader", CallName: "midiInUnprepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiOutCacheDrumPatches", CallName: "midiOutCacheDrumPatches", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPatch", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwkya", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuCache", TypeSize: 4}}},
	}},
	{Name: "midiOutCachePatches", CallName: "midiOutCachePatches", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uBank", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwpa", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuCache", TypeSize: 4}}},
	}},
	{Name: "midiOutClose", CallName: "midiOutClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiOutGetDevCapsA", CallName: "midiOutGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uDeviceID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmoc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmoc", TypeSize: 4}}},
	}},
	{Name: "midiOutGetErrorTextA", CallName: "midiOutGetErrorTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mmrError", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
	}},
	{Name: "midiOutGetID", CallName: "midiOutGetID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puDeviceID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "midiOutGetNumDevs", CallName: "midiOutGetNumDevs"},
	{Name: "midiOutGetVolume", CallName: "midiOutGetVolume", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwVolume", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "midiOutLongMsg", CallName: "midiOutLongMsg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiOutMessage", CallName: "midiOutMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw2", TypeSize: 8}}},
	}},
	{Name: "midiOutOpen", CallName: "midiOutOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phmo", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "midiOutPrepareHeader", CallName: "midiOutPrepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiOutReset", CallName: "midiOutReset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiOutSetVolume", CallName: "midiOutSetVolume", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVolume", TypeSize: 4}}},
	}},
	{Name: "midiOutShortMsg", CallName: "midiOutShortMsg", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwMsg", TypeSize: 4}}},
	}},
	{Name: "midiOutUnprepareHeader", CallName: "midiOutUnprepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiStreamClose", CallName: "midiStreamClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiStreamOpen", CallName: "midiStreamOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phms", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puDeviceID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cMidi", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "midiStreamOut", CallName: "midiStreamOut", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmh", TypeSize: 4}}},
	}},
	{Name: "midiStreamPause", CallName: "midiStreamPause", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiStreamPosition", CallName: "midiStreamPosition", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lpmmt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmmt", TypeSize: 4}}},
	}},
	{Name: "midiStreamProperty", CallName: "midiStreamProperty", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "lppropdata", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwProperty", TypeSize: 4}}},
	}},
	{Name: "midiStreamRestart", CallName: "midiStreamRestart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "midiStreamStop", CallName: "midiStreamStop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hms", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "mixerClose", CallName: "mixerClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "mixerGetControlDetailsA", CallName: "mixerGetControlDetailsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmxobj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmxcd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwDetails", TypeSize: 4}}},
	}},
	{Name: "mixerGetDevCapsA", CallName: "mixerGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uMxId", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmxcaps", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmxcaps", TypeSize: 4}}},
	}},
	{Name: "mixerGetID", CallName: "mixerGetID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmxobj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puMxId", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwId", TypeSize: 4}}},
	}},
	{Name: "mixerGetLineControlsA", CallName: "mixerGetLineControlsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmxobj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmxlc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwControls", TypeSize: 4}}},
	}},
	{Name: "mixerGetLineInfoA", CallName: "mixerGetLineInfoA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmxobj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmxl", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwInfo", TypeSize: 4}}},
	}},
	{Name: "mixerGetNumDevs", CallName: "mixerGetNumDevs"},
	{Name: "mixerMessage", CallName: "mixerMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwParam2", TypeSize: 8}}},
	}},
	{Name: "mixerOpen", CallName: "mixerOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phmx", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMxId", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "mixerSetControlDetails", CallName: "mixerSetControlDetails", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmxobj", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmxcd", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwDetails", TypeSize: 4}}},
	}},
	{Name: "mmDrvInstall", CallName: "mmDrvInstall", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hDriver", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "wszDrvEntry", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", TypeSize: 2, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "drvMessage", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "wFlags", TypeSize: 4}}},
	}},
	{Name: "mmioAdvance", CallName: "mmioAdvance", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmioinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuAdvance", TypeSize: 4}}},
	}},
	{Name: "mmioAscend", CallName: "mmioAscend", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmcki", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuAscend", TypeSize: 4}}},
	}},
	{Name: "mmioClose", CallName: "mmioClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuClose", TypeSize: 4}}},
	}},
	{Name: "mmioCreateChunk", CallName: "mmioCreateChunk", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmcki", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuCreate", TypeSize: 4}}},
	}},
	{Name: "mmioDescend", CallName: "mmioDescend", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmcki", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmckiParent", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuDescend", TypeSize: 4}}},
	}},
	{Name: "mmioFlush", CallName: "mmioFlush", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuFlush", TypeSize: 4}}},
	}},
	{Name: "mmioGetInfo", CallName: "mmioGetInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmioinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuInfo", TypeSize: 4}}},
	}},
	{Name: "mmioInstallIOProcA", CallName: "mmioInstallIOProcA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fccIOProc", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pIOProc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
	}},
	{Name: "mmioOpenA", CallName: "mmioOpenA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmioinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "mmioRead", CallName: "mmioRead", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pch", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cch", TypeSize: 4}}},
	}},
	{Name: "mmioRenameA", CallName: "mmioRenameA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszNewFileName", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmioinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwRename", TypeSize: 4}}},
	}},
	{Name: "mmioSeek", CallName: "mmioSeek", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "lOffset", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "iOrigin", TypeSize: 4}}},
	}},
	{Name: "mmioSendMessage", CallName: "mmioSendMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "lParam2", TypeSize: 8}}},
	}},
	{Name: "mmioSetBuffer", CallName: "mmioSetBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pchBuffer", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchBuffer", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuBuffer", TypeSize: 4}}},
	}},
	{Name: "mmioSetInfo", CallName: "mmioSetInfo", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmioinfo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuInfo", TypeSize: 4}}},
	}},
	{Name: "mmioStringToFOURCCA", CallName: "mmioStringToFOURCCA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "sz", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uFlags", TypeSize: 4}}},
	}},
	{Name: "mmioWrite", CallName: "mmioWrite", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hmmio", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pch", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cch", TypeSize: 4}}},
	}},
	{Name: "mouse_event", CallName: "mouse_event", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwFlags", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dx", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dy", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwData", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwExtraInfo", TypeSize: 8}}},
	}},
	{Name: "ntohl", CallName: "ntohl", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "netlong", TypeSize: 4}}},
	}},
	{Name: "ntohs", CallName: "ntohs", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int16", FldName: "netshort", TypeSize: 2}}},
	}},
	{Name: "recv", CallName: "recv", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "recvfrom", CallName: "recvfrom", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "from", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fromlen", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "select", CallName: "select", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "nfds", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "readfds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "writefds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "exceptfds", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "timeout", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "send", CallName: "send", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
	}},
	{Name: "sendto", CallName: "sendto", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "buf", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "len", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "flags", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "to", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "tolen", TypeSize: 4}}},
	}},
	{Name: "setsockopt", CallName: "setsockopt", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "s", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "level", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optname", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "optval", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "optlen", TypeSize: 4}}},
	}},
	{Name: "sndPlaySoundA", CallName: "sndPlaySoundA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszSound", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuSound", TypeSize: 4}}},
	}},
	{Name: "socket", CallName: "socket", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "af", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "type", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "protocol", TypeSize: 4}}},
	}},
	{Name: "timeBeginPeriod", CallName: "timeBeginPeriod", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPeriod", TypeSize: 4}}},
	}},
	{Name: "timeEndPeriod", CallName: "timeEndPeriod", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uPeriod", TypeSize: 4}}},
	}},
	{Name: "timeGetDevCaps", CallName: "timeGetDevCaps", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "ptc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbtc", TypeSize: 4}}},
	}},
	{Name: "timeGetSystemTime", CallName: "timeGetSystemTime", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmmt", TypeSize: 4}}},
	}},
	{Name: "timeGetTime", CallName: "timeGetTime"},
	{Name: "timeKillEvent", CallName: "timeKillEvent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uTimerID", TypeSize: 4}}},
	}},
	{Name: "timeSetEvent", CallName: "timeSetEvent", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDelay", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uResolution", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "fptc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwUser", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fuEvent", TypeSize: 4}}},
	}},
	{Name: "waveInAddBuffer", CallName: "waveInAddBuffer", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "waveInClose", CallName: "waveInClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveInGetDevCapsA", CallName: "waveInGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uDeviceID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwic", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwic", TypeSize: 4}}},
	}},
	{Name: "waveInGetErrorTextA", CallName: "waveInGetErrorTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mmrError", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
	}},
	{Name: "waveInGetID", CallName: "waveInGetID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puDeviceID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "waveInGetNumDevs", CallName: "waveInGetNumDevs"},
	{Name: "waveInGetPosition", CallName: "waveInGetPosition", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmmt", TypeSize: 4}}},
	}},
	{Name: "waveInMessage", CallName: "waveInMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw2", TypeSize: 8}}},
	}},
	{Name: "waveInOpen", CallName: "waveInOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phwi", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwfx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "waveInPrepareHeader", CallName: "waveInPrepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "waveInReset", CallName: "waveInReset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveInStart", CallName: "waveInStart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveInStop", CallName: "waveInStop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveInUnprepareHeader", CallName: "waveInUnprepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwi", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "waveOutBreakLoop", CallName: "waveOutBreakLoop", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveOutClose", CallName: "waveOutClose", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveOutGetDevCapsA", CallName: "waveOutGetDevCapsA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "uDeviceID", TypeSize: 8}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwoc", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwoc", TypeSize: 4}}},
	}},
	{Name: "waveOutGetErrorTextA", CallName: "waveOutGetErrorTextA", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "mmrError", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pszText", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cchText", TypeSize: 4}}},
	}},
	{Name: "waveOutGetID", CallName: "waveOutGetID", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "puDeviceID", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "waveOutGetNumDevs", CallName: "waveOutGetNumDevs"},
	{Name: "waveOutGetPitch", CallName: "waveOutGetPitch", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwPitch", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "waveOutGetPlaybackRate", CallName: "waveOutGetPlaybackRate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwRate", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "waveOutGetPosition", CallName: "waveOutGetPosition", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pmmt", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbmmt", TypeSize: 4}}},
	}},
	{Name: "waveOutGetVolume", CallName: "waveOutGetVolume", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pdwVolume", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "waveOutMessage", CallName: "waveOutMessage", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uMsg", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw1", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dw2", TypeSize: 8}}},
	}},
	{Name: "waveOutOpen", CallName: "waveOutOpen", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "phwo", TypeSize: 8}, Type: &PtrType{TypeCommon: TypeCommon{TypeName: "ptr", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "uDeviceID", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwfx", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwCallback", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int64", FldName: "dwInstance", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "fdwOpen", TypeSize: 4}}},
	}},
	{Name: "waveOutPause", CallName: "waveOutPause", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveOutPrepareHeader", CallName: "waveOutPrepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "waveOutReset", CallName: "waveOutReset", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveOutRestart", CallName: "waveOutRestart", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "waveOutSetPitch", CallName: "waveOutSetPitch", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwPitch", TypeSize: 4}}},
	}},
	{Name: "waveOutSetPlaybackRate", CallName: "waveOutSetPlaybackRate", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwRate", TypeSize: 4}}},
	}},
	{Name: "waveOutSetVolume", CallName: "waveOutSetVolume", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "dwVolume", TypeSize: 4}}},
	}},
	{Name: "waveOutUnprepareHeader", CallName: "waveOutUnprepareHeader", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "waveOutWrite", CallName: "waveOutWrite", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "hwo", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "pwh", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "cbwh", TypeSize: 4}}},
	}},
	{Name: "wglCopyContext", CallName: "wglCopyContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
	}},
	{Name: "wglCreateContext", CallName: "wglCreateContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglCreateLayerContext", CallName: "wglCreateLayerContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "wglDeleteContext", CallName: "wglDeleteContext", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglDescribeLayerPlane", CallName: "wglDescribeLayerPlane", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg4", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglGetCurrentContext", CallName: "wglGetCurrentContext"},
	{Name: "wglGetCurrentDC", CallName: "wglGetCurrentDC"},
	{Name: "wglGetLayerPaletteEntries", CallName: "wglGetLayerPaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg4", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "wglGetProcAddress", CallName: "wglGetProcAddress", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "wglMakeCurrent", CallName: "wglMakeCurrent", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglRealizeLayerPalette", CallName: "wglRealizeLayerPalette", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
	}},
	{Name: "wglSetLayerPaletteEntries", CallName: "wglSetLayerPaletteEntries", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg4", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", TypeSize: 4, ArgDir: 2}}}},
	}},
	{Name: "wglShareLists", CallName: "wglShareLists", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglSwapLayerBuffers", CallName: "wglSwapLayerBuffers", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
	}},
	{Name: "wglSwapMultipleBuffers", CallName: "wglSwapMultipleBuffers", Args: []Type{
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg0", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wglUseFontBitmapsA", CallName: "wglUseFontBitmapsA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
	}},
	{Name: "wglUseFontOutlinesA", CallName: "wglUseFontOutlinesA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg1", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg2", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg3", TypeSize: 4}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg4", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", FldName: "arg5", TypeSize: 8}}},
		&IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int32", FldName: "arg6", TypeSize: 4}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg7", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "intptr", TypeSize: 8, ArgDir: 2}}}},
	}},
	{Name: "wsprintfA", CallName: "wsprintfA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
	{Name: "wvsprintfA", CallName: "wvsprintfA", Args: []Type{
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg0", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arg1", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
		&PtrType{TypeCommon: TypeCommon{TypeName: "ptr", FldName: "arglist", TypeSize: 8}, Type: &IntType{IntTypeCommon: IntTypeCommon{TypeCommon: TypeCommon{TypeName: "int8", TypeSize: 1, ArgDir: 2}}}},
	}},
}

var consts_amd64 = []ConstValue{
	{Name: "CREATE_ALWAYS", Value: 2},
	{Name: "CREATE_NEW", Value: 1},
	{Name: "DELETE", Value: 65536},
	{Name: "FILE_ADD_FILE", Value: 2},
	{Name: "FILE_ADD_SUBDIRECTORY", Value: 4},
	{Name: "FILE_ALL_ACCESS", Value: 2032127},
	{Name: "FILE_APPEND_DATA", Value: 4},
	{Name: "FILE_ATTRIBUTE_ARCHIVE", Value: 32},
	{Name: "FILE_ATTRIBUTE_ENCRYPTED", Value: 16384},
	{Name: "FILE_ATTRIBUTE_HIDDEN", Value: 2},
	{Name: "FILE_ATTRIBUTE_NORMAL", Value: 128},
	{Name: "FILE_ATTRIBUTE_OFFLINE", Value: 4096},
	{Name: "FILE_ATTRIBUTE_READONLY", Value: 1},
	{Name: "FILE_ATTRIBUTE_SYSTEM", Value: 4},
	{Name: "FILE_ATTRIBUTE_TEMPORARY", Value: 256},
	{Name: "FILE_CREATE_PIPE_INSTANCE", Value: 4},
	{Name: "FILE_DELETE_CHILD", Value: 64},
	{Name: "FILE_EXECUTE", Value: 32},
	{Name: "FILE_FLAG_BACKUP_SEMANTICS", Value: 33554432},
	{Name: "FILE_FLAG_DELETE_ON_CLOSE", Value: 67108864},
	{Name: "FILE_FLAG_NO_BUFFERING", Value: 536870912},
	{Name: "FILE_FLAG_OPEN_NO_RECALL", Value: 1048576},
	{Name: "FILE_FLAG_OPEN_REPARSE_POINT", Value: 2097152},
	{Name: "FILE_FLAG_OVERLAPPED", Value: 1073741824},
	{Name: "FILE_FLAG_POSIX_SEMANTICS", Value: 16777216},
	{Name: "FILE_FLAG_RANDOM_ACCESS", Value: 268435456},
	{Name: "FILE_FLAG_SEQUENTIAL_SCAN", Value: 134217728},
	{Name: "FILE_FLAG_SESSION_AWARE", Value: 8388608},
	{Name: "FILE_FLAG_WRITE_THROUGH", Value: 2147483648},
	{Name: "FILE_LIST_DIRECTORY", Value: 1},
	{Name: "FILE_READ_ATTRIBUTES", Value: 128},
	{Name: "FILE_READ_DATA", Value: 1},
	{Name: "FILE_READ_EA", Value: 8},
	{Name: "FILE_SHARE_DELETE", Value: 4},
	{Name: "FILE_SHARE_READ", Value: 1},
	{Name: "FILE_SHARE_WRITE", Value: 2},
	{Name: "FILE_TRAVERSE", Value: 32},
	{Name: "FILE_WRITE_ATTRIBUTES", Value: 256},
	{Name: "FILE_WRITE_DATA", Value: 2},
	{Name: "FILE_WRITE_EA", Value: 16},
	{Name: "INVALID_HANDLE_VALUE", Value: 18446744073709551615},
	{Name: "MEM_COMMIT", Value: 4096},
	{Name: "MEM_LARGE_PAGES", Value: 536870912},
	{Name: "MEM_PHYSICAL", Value: 4194304},
	{Name: "MEM_RESERVE", Value: 8192},
	{Name: "MEM_RESET", Value: 524288},
	{Name: "MEM_RESET_UNDO", Value: 16777216},
	{Name: "MEM_TOP_DOWN", Value: 1048576},
	{Name: "MEM_WRITE_WATCH", Value: 2097152},
	{Name: "OPEN_ALWAYS", Value: 4},
	{Name: "OPEN_EXISTING", Value: 3},
	{Name: "PAGE_ENCLAVE_THREAD_CONTROL", Value: 2147483648},
	{Name: "PAGE_ENCLAVE_UNVALIDATED", Value: 536870912},
	{Name: "PAGE_EXECUTE", Value: 16},
	{Name: "PAGE_EXECUTE_READ", Value: 32},
	{Name: "PAGE_EXECUTE_READWRITE", Value: 64},
	{Name: "PAGE_EXECUTE_WRITECOPY", Value: 128},
	{Name: "PAGE_GUARD", Value: 256},
	{Name: "PAGE_NOACCESS", Value: 1},
	{Name: "PAGE_NOCACHE", Value: 512},
	{Name: "PAGE_READONLY", Value: 2},
	{Name: "PAGE_READWRITE", Value: 4},
	{Name: "PAGE_TARGETS_INVALID", Value: 1073741824},
	{Name: "PAGE_TARGETS_NO_UPDATE", Value: 1073741824},
	{Name: "PAGE_WRITECOMBINE", Value: 1024},
	{Name: "PAGE_WRITECOPY", Value: 8},
	{Name: "READ_CONTROL", Value: 131072},
	{Name: "SECURITY_ANONYMOUS"},
	{Name: "SECURITY_CONTEXT_TRACKING", Value: 262144},
	{Name: "SECURITY_DELEGATION", Value: 196608},
	{Name: "SECURITY_EFFECTIVE_ONLY", Value: 524288},
	{Name: "SECURITY_IDENTIFICATION", Value: 65536},
	{Name: "SECURITY_IMPERSONATION", Value: 131072},
	{Name: "SYNCHRONIZE", Value: 1048576},
	{Name: "TRUNCATE_EXISTING", Value: 5},
	{Name: "WRITE_DAC", Value: 262144},
	{Name: "WRITE_OWNER", Value: 524288},
}

const revision_amd64 = "f2b48fb82a68b0cb24b2ab9638add66deb9542dd"
